/* NOTE: Do not edit this file, it is generated by a script:
   Export.py --api gl 4.5 --api wgl 4.5 --api glx 4.5 --api cgl 1.4 --api egl 1.0 --outdir .
*/

/*
  Copyright (c) 2011-2014 NVIDIA Corporation
  Copyright (c) 2012-2014 Scott Nations
  Copyright (c) 2012-2014 Nigel Stewart
  Copyright (c) 2011-2013 Cass Everitt
  Copyright (c) 2012 Mathias Schott
  Copyright (c) 2012-2013 Google Inc.
  All rights reserved.

  Redistribution and use in source and binary forms, with or without modification,
  are permitted provided that the following conditions are met:

    Redistributions of source code must retain the above copyright notice, this
    list of conditions and the following disclaimer.

    Redistributions in binary form must reproduce the above copyright notice,
    this list of conditions and the following disclaimer in the documentation
    and/or other materials provided with the distribution.

  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
  BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
  LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
  OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
  OF THE POSSIBILITY OF SUCH DAMAGE.
*/

/*
  Intended formatting conventions:
  $ astyle --style=allman --indent=spaces=2 --indent-switches
*/

#include "pch.h" /* For MS precompiled header support */

#include "RegalUtil.h"

REGAL_GLOBAL_BEGIN

#include "RegalLog.h"
#include "RegalMac.h"
#include "RegalInit.h"
#include "RegalIff.h"
#include "RegalPush.h"
#include "RegalToken.h"
#include "RegalState.h"
#include "RegalClientState.h"
#include "RegalHelper.h"
#include "RegalPrivate.h"
#include "RegalDebugInfo.h"
#include "RegalContextInfo.h"
#include "RegalEmuInfo.h"
#include "RegalCacheShader.h"
#include "RegalCacheTexture.h"
#include "RegalScopedPtr.h"
#include "RegalFrame.h"
#include "RegalMarker.h"
#include "RegalDispatcherGL.h"
#include "RegalDispatcherGlobal.h"

using namespace REGAL_NAMESPACE_INTERNAL;
using namespace ::REGAL_NAMESPACE_INTERNAL::Logging;
using namespace ::REGAL_NAMESPACE_INTERNAL::Token;
using namespace boost::print;

extern "C" {

  /* GL_VERSION_1_0 */

  REGAL_DECL void REGAL_CALL glAccum(GLenum op, GLfloat value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glAccum","(", toString(op), ", ", value, ")");;
    #endif
    App("glAccum","(", toString(op), ", ", value, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glAccum)(op, value);
  }

  REGAL_DECL void REGAL_CALL glAlphaFunc(GLenum func, GLclampf ref)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glAlphaFunc","(", toString(func), ", ", ref, ")");;
    #endif
    App("glAlphaFunc","(", toString(func), ", ", ref, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glAlphaFunc)(func, ref);
  }

  REGAL_DECL void REGAL_CALL glBegin(GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBegin","(", GLmodeToString(mode), ")");;
    #endif
    App("glBegin","(", GLmodeToString(mode), ")");
    if (!_context) return;
    RegalAssert(_context);
    _context->depthBeginEnd++;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBegin)(mode);
  }

  REGAL_DECL void REGAL_CALL glBitmap(GLsizei width, GLsizei height, GLfloat xorig, GLfloat yorig, GLfloat xmove, GLfloat ymove, const GLubyte *bitmap)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBitmap","(", width, ", ", height, ", ", xorig, ", ", yorig, ", ", xmove, ", ", ymove, ", ", boost::print::optional(bitmap,Logging::pointers), ")");;
    #endif
    App("glBitmap","(", width, ", ", height, ", ", xorig, ", ", yorig, ", ", xmove, ", ", ymove, ", ", boost::print::optional(bitmap,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBitmap)(width, height, xorig, yorig, xmove, ymove, bitmap);
  }

  REGAL_DECL void REGAL_CALL glBlendFunc(GLenum sfactor, GLenum dfactor)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBlendFunc","(", toString(sfactor), ", ", toString(dfactor), ")");;
    #endif
    App("glBlendFunc","(", toString(sfactor), ", ", toString(dfactor), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendFunc)(sfactor, dfactor);
  }

  REGAL_DECL void REGAL_CALL glCallList(GLuint list)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCallList","(", list, ")");;
    #endif
    App("glCallList","(", list, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCallList)(list);
  }

  REGAL_DECL void REGAL_CALL glCallLists(GLsizei n, GLenum type, const GLvoid *lists)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCallLists","(", n, ", ", toString(type), ", ", boost::print::array(reinterpret_cast<const GLubyte *>(lists),helper::size::callLists(n, type)), ")");;
    #endif
    App("glCallLists","(", n, ", ", toString(type), ", ", boost::print::array(reinterpret_cast<const GLubyte *>(lists),helper::size::callLists(n, type)), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCallLists)(n, type, lists);
  }

  REGAL_DECL void REGAL_CALL glClear(GLbitfield mask)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glClear","(", GLclearToString(mask), ")");;
    #endif
    App("glClear","(", GLclearToString(mask), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClear)(mask);
  }

  REGAL_DECL void REGAL_CALL glClearAccum(GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glClearAccum","(", red, ", ", green, ", ", blue, ", ", alpha, ")");;
    #endif
    App("glClearAccum","(", red, ", ", green, ", ", blue, ", ", alpha, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClearAccum)(red, green, blue, alpha);
  }

  REGAL_DECL void REGAL_CALL glClearColor(GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glClearColor","(", red, ", ", green, ", ", blue, ", ", alpha, ")");;
    #endif
    App("glClearColor","(", red, ", ", green, ", ", blue, ", ", alpha, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClearColor)(red, green, blue, alpha);
  }

  REGAL_DECL void REGAL_CALL glClearDepth(GLclampd depth)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glClearDepth","(", depth, ")");;
    #endif
    App("glClearDepth","(", depth, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClearDepth)(depth);
  }

  REGAL_DECL void REGAL_CALL glClearIndex(GLfloat c)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glClearIndex","(", c, ")");;
    #endif
    App("glClearIndex","(", c, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClearIndex)(c);
  }

  REGAL_DECL void REGAL_CALL glClearStencil(GLint s)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glClearStencil","(", s, ")");;
    #endif
    App("glClearStencil","(", s, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClearStencil)(s);
  }

  REGAL_DECL void REGAL_CALL glClipPlane(GLenum plane, const GLdouble *equation)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glClipPlane","(", toString(plane), ", ", boost::print::array(equation,4), ")");;
    #endif
    App("glClipPlane","(", toString(plane), ", ", boost::print::array(equation,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClipPlane)(plane, equation);
  }

  REGAL_DECL void REGAL_CALL glColor3b(GLbyte red, GLbyte green, GLbyte blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColor3b","(", red, ", ", green, ", ", blue, ")");;
    #endif
    App("glColor3b","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor3b)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glColor3bv(const GLbyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColor3bv","(", boost::print::array(v,3), ")");;
    #endif
    App("glColor3bv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor3bv)(v);
  }

  REGAL_DECL void REGAL_CALL glColor3d(GLdouble red, GLdouble green, GLdouble blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColor3d","(", red, ", ", green, ", ", blue, ")");;
    #endif
    App("glColor3d","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor3d)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glColor3dv(const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColor3dv","(", boost::print::array(v,3), ")");;
    #endif
    App("glColor3dv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor3dv)(v);
  }

  REGAL_DECL void REGAL_CALL glColor3f(GLfloat red, GLfloat green, GLfloat blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColor3f","(", red, ", ", green, ", ", blue, ")");;
    #endif
    App("glColor3f","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor3f)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glColor3fv(const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColor3fv","(", boost::print::array(v,3), ")");;
    #endif
    App("glColor3fv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor3fv)(v);
  }

  REGAL_DECL void REGAL_CALL glColor3i(GLint red, GLint green, GLint blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColor3i","(", red, ", ", green, ", ", blue, ")");;
    #endif
    App("glColor3i","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor3i)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glColor3iv(const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColor3iv","(", boost::print::array(v,3), ")");;
    #endif
    App("glColor3iv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor3iv)(v);
  }

  REGAL_DECL void REGAL_CALL glColor3s(GLshort red, GLshort green, GLshort blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColor3s","(", red, ", ", green, ", ", blue, ")");;
    #endif
    App("glColor3s","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor3s)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glColor3sv(const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColor3sv","(", boost::print::array(v,3), ")");;
    #endif
    App("glColor3sv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor3sv)(v);
  }

  REGAL_DECL void REGAL_CALL glColor3ub(GLubyte red, GLubyte green, GLubyte blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColor3ub","(", red, ", ", green, ", ", blue, ")");;
    #endif
    App("glColor3ub","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor3ub)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glColor3ubv(const GLubyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColor3ubv","(", boost::print::array(v,3), ")");;
    #endif
    App("glColor3ubv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor3ubv)(v);
  }

  REGAL_DECL void REGAL_CALL glColor3ui(GLuint red, GLuint green, GLuint blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColor3ui","(", red, ", ", green, ", ", blue, ")");;
    #endif
    App("glColor3ui","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor3ui)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glColor3uiv(const GLuint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColor3uiv","(", boost::print::array(v,3), ")");;
    #endif
    App("glColor3uiv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor3uiv)(v);
  }

  REGAL_DECL void REGAL_CALL glColor3us(GLushort red, GLushort green, GLushort blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColor3us","(", red, ", ", green, ", ", blue, ")");;
    #endif
    App("glColor3us","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor3us)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glColor3usv(const GLushort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColor3usv","(", boost::print::array(v,3), ")");;
    #endif
    App("glColor3usv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor3usv)(v);
  }

  REGAL_DECL void REGAL_CALL glColor4b(GLbyte red, GLbyte green, GLbyte blue, GLbyte alpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColor4b","(", red, ", ", green, ", ", blue, ", ", alpha, ")");;
    #endif
    App("glColor4b","(", red, ", ", green, ", ", blue, ", ", alpha, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor4b)(red, green, blue, alpha);
  }

  REGAL_DECL void REGAL_CALL glColor4bv(const GLbyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColor4bv","(", boost::print::array(v,4), ")");;
    #endif
    App("glColor4bv","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor4bv)(v);
  }

  REGAL_DECL void REGAL_CALL glColor4d(GLdouble red, GLdouble green, GLdouble blue, GLdouble alpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColor4d","(", red, ", ", green, ", ", blue, ", ", alpha, ")");;
    #endif
    App("glColor4d","(", red, ", ", green, ", ", blue, ", ", alpha, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor4d)(red, green, blue, alpha);
  }

  REGAL_DECL void REGAL_CALL glColor4dv(const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColor4dv","(", boost::print::array(v,4), ")");;
    #endif
    App("glColor4dv","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor4dv)(v);
  }

  REGAL_DECL void REGAL_CALL glColor4f(GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColor4f","(", red, ", ", green, ", ", blue, ", ", alpha, ")");;
    #endif
    App("glColor4f","(", red, ", ", green, ", ", blue, ", ", alpha, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor4f)(red, green, blue, alpha);
  }

  REGAL_DECL void REGAL_CALL glColor4fv(const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColor4fv","(", boost::print::array(v,4), ")");;
    #endif
    App("glColor4fv","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor4fv)(v);
  }

  REGAL_DECL void REGAL_CALL glColor4i(GLint red, GLint green, GLint blue, GLint alpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColor4i","(", red, ", ", green, ", ", blue, ", ", alpha, ")");;
    #endif
    App("glColor4i","(", red, ", ", green, ", ", blue, ", ", alpha, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor4i)(red, green, blue, alpha);
  }

  REGAL_DECL void REGAL_CALL glColor4iv(const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColor4iv","(", boost::print::array(v,4), ")");;
    #endif
    App("glColor4iv","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor4iv)(v);
  }

  REGAL_DECL void REGAL_CALL glColor4s(GLshort red, GLshort green, GLshort blue, GLshort alpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColor4s","(", red, ", ", green, ", ", blue, ", ", alpha, ")");;
    #endif
    App("glColor4s","(", red, ", ", green, ", ", blue, ", ", alpha, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor4s)(red, green, blue, alpha);
  }

  REGAL_DECL void REGAL_CALL glColor4sv(const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColor4sv","(", boost::print::array(v,4), ")");;
    #endif
    App("glColor4sv","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor4sv)(v);
  }

  REGAL_DECL void REGAL_CALL glColor4ub(GLubyte red, GLubyte green, GLubyte blue, GLubyte alpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColor4ub","(", red, ", ", green, ", ", blue, ", ", alpha, ")");;
    #endif
    App("glColor4ub","(", red, ", ", green, ", ", blue, ", ", alpha, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor4ub)(red, green, blue, alpha);
  }

  REGAL_DECL void REGAL_CALL glColor4ubv(const GLubyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColor4ubv","(", boost::print::array(v,4), ")");;
    #endif
    App("glColor4ubv","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor4ubv)(v);
  }

  REGAL_DECL void REGAL_CALL glColor4ui(GLuint red, GLuint green, GLuint blue, GLuint alpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColor4ui","(", red, ", ", green, ", ", blue, ", ", alpha, ")");;
    #endif
    App("glColor4ui","(", red, ", ", green, ", ", blue, ", ", alpha, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor4ui)(red, green, blue, alpha);
  }

  REGAL_DECL void REGAL_CALL glColor4uiv(const GLuint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColor4uiv","(", boost::print::array(v,4), ")");;
    #endif
    App("glColor4uiv","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor4uiv)(v);
  }

  REGAL_DECL void REGAL_CALL glColor4us(GLushort red, GLushort green, GLushort blue, GLushort alpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColor4us","(", red, ", ", green, ", ", blue, ", ", alpha, ")");;
    #endif
    App("glColor4us","(", red, ", ", green, ", ", blue, ", ", alpha, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor4us)(red, green, blue, alpha);
  }

  REGAL_DECL void REGAL_CALL glColor4usv(const GLushort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColor4usv","(", boost::print::array(v,4), ")");;
    #endif
    App("glColor4usv","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor4usv)(v);
  }

  REGAL_DECL void REGAL_CALL glColorMask(GLboolean red, GLboolean green, GLboolean blue, GLboolean alpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColorMask","(", toString(red), ", ", toString(green), ", ", toString(blue), ", ", toString(alpha), ")");;
    #endif
    App("glColorMask","(", toString(red), ", ", toString(green), ", ", toString(blue), ", ", toString(alpha), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorMask)(red, green, blue, alpha);
  }

  REGAL_DECL void REGAL_CALL glColorMaterial(GLenum face, GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColorMaterial","(", toString(face), ", ", GLmodeToString(mode), ")");;
    #endif
    App("glColorMaterial","(", toString(face), ", ", GLmodeToString(mode), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorMaterial)(face, mode);
  }

  REGAL_DECL void REGAL_CALL glCopyPixels(GLint x, GLint y, GLsizei width, GLsizei height, GLenum type)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCopyPixels","(", x, ", ", y, ", ", width, ", ", height, ", ", toString(type), ")");;
    #endif
    App("glCopyPixels","(", x, ", ", y, ", ", width, ", ", height, ", ", toString(type), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyPixels)(x, y, width, height, type);
  }

  REGAL_DECL void REGAL_CALL glCullFace(GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCullFace","(", GLmodeToString(mode), ")");;
    #endif
    App("glCullFace","(", GLmodeToString(mode), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCullFace)(mode);
  }

  REGAL_DECL void REGAL_CALL glDeleteLists(GLuint list, GLsizei range)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDeleteLists","(", list, ", ", range, ")");;
    #endif
    App("glDeleteLists","(", list, ", ", range, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteLists)(list, range);
  }

  REGAL_DECL void REGAL_CALL glDepthFunc(GLenum func)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDepthFunc","(", toString(func), ")");;
    #endif
    App("glDepthFunc","(", toString(func), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDepthFunc)(func);
  }

  REGAL_DECL void REGAL_CALL glDepthMask(GLboolean flag)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDepthMask","(", toString(flag), ")");;
    #endif
    App("glDepthMask","(", toString(flag), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDepthMask)(flag);
  }

  REGAL_DECL void REGAL_CALL glDepthRange(GLclampd near, GLclampd far)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDepthRange","(", near, ", ", far, ")");;
    #endif
    App("glDepthRange","(", near, ", ", far, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDepthRange)(near, far);
  }

  REGAL_DECL void REGAL_CALL glDisable(GLenum cap)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDisable","(", toString(cap), ")");;
    #endif
    App("glDisable","(", toString(cap), ")");
    if (!_context) return;
    switch(cap)
    {
      case GL_LOG_ERROR_REGAL:    Logging::enableError    = false; return;
      case GL_LOG_WARNING_REGAL:  Logging::enableWarning  = false; return;
      case GL_LOG_INFO_REGAL:     Logging::enableInfo     = false; return;
      case GL_LOG_APP_REGAL:      Logging::enableApp      = false; return;
      case GL_LOG_DRIVER_REGAL:   Logging::enableDriver   = false; return;
      case GL_LOG_INTERNAL_REGAL: Logging::enableInternal = false; return;
      case GL_LOG_HTTP_REGAL:     Logging::enableHttp     = false; return;
      default: break;
    }

    switch(cap)
    {
      case GL_ERROR_REGAL:
        #if REGAL_ERROR
        _context->dispatcher.disable(_context->dispatcher.error);
        #endif
        return;

      case GL_DEBUG_REGAL:
        #if REGAL_DEBUG
        _context->dispatcher.disable(_context->dispatcher.debug);
        #endif
        return;

      case GL_LOG_REGAL:
        #if REGAL_LOG
        _context->dispatcher.disable(_context->dispatcher.logging);
        #endif
        return;

      case GL_EMULATION_REGAL:
        #if REGAL_EMULATION
        _context->dispatcher.disable(_context->dispatcher.emulation);
        #endif
        return;

      case GL_DRIVER_REGAL:
        #if REGAL_DRIVER
        _context->dispatcher.disable(_context->dispatcher.driver);
        #endif
        return;

      case GL_MISSING_REGAL:
        #if REGAL_MISSING
        _context->dispatcher.disable(_context->dispatcher.missing);
        #endif
        return;

      case GL_TRACE_REGAL:
        #if REGAL_TRACE
        _context->dispatcher.disable(_context->dispatcher.trace);
        #endif
        return;

      case GL_CACHE_REGAL:
        #if REGAL_CACHE
        _context->dispatcher.disable(_context->dispatcher.cache);
        #endif
        return;

      case GL_CODE_REGAL:
        #if REGAL_CODE
        _context->dispatcher.disable(_context->dispatcher.code);
        #endif
        return;

      case GL_STATISTICS_REGAL:
        #if REGAL_STATISTICS
        _context->dispatcher.disable(_context->dispatcher.statistics);
        #endif
        return;

      default: break;
    }
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDisable)(cap);
  }

  REGAL_DECL void REGAL_CALL glDrawBuffer(GLenum buf)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDrawBuffer","(", toString(buf), ")");;
    #endif
    App("glDrawBuffer","(", toString(buf), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawBuffer)(buf);
  }

  REGAL_DECL void REGAL_CALL glDrawPixels(GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDrawPixels","(", width, ", ", height, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(reinterpret_cast<const GLubyte *>(pixels),Logging::pointers), ")");;
    #endif
    App("glDrawPixels","(", width, ", ", height, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(reinterpret_cast<const GLubyte *>(pixels),Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawPixels)(width, height, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glEdgeFlag(GLboolean flag)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEdgeFlag","(", toString(flag), ")");;
    #endif
    App("glEdgeFlag","(", toString(flag), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEdgeFlag)(flag);
  }

  REGAL_DECL void REGAL_CALL glEdgeFlagv(const GLboolean *flag)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEdgeFlagv","(", boost::print::array(flag,1), ")");;
    #endif
    App("glEdgeFlagv","(", boost::print::array(flag,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEdgeFlagv)(flag);
  }

  REGAL_DECL void REGAL_CALL glEnable(GLenum cap)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEnable","(", toString(cap), ")");;
    #endif
    App("glEnable","(", toString(cap), ")");
    if (!_context) return;
    switch(cap)
    {
      case GL_LOG_ERROR_REGAL:    Logging::enableError    = true; return;
      case GL_LOG_WARNING_REGAL:  Logging::enableWarning  = true; return;
      case GL_LOG_INFO_REGAL:     Logging::enableInfo     = true; return;
      case GL_LOG_APP_REGAL:      Logging::enableApp      = true; return;
      case GL_LOG_DRIVER_REGAL:   Logging::enableDriver   = true; return;
      case GL_LOG_INTERNAL_REGAL: Logging::enableInternal = true; return;
      case GL_LOG_HTTP_REGAL:     Logging::enableHttp     = true; return;
      default: break;
    }

    switch(cap)
    {
      case GL_ERROR_REGAL:
        #if REGAL_ERROR
        _context->dispatcher.enable(_context->dispatcher.error);
        #endif
        return;

      case GL_DEBUG_REGAL:
        #if REGAL_DEBUG
        _context->dispatcher.enable(_context->dispatcher.debug);
        if (!_context->dbg)
        {
          _context->dbg = new DebugInfo();
          _context->dbg->Init(_context);
        }
        #endif
        return;

      case GL_LOG_REGAL:
        #if REGAL_LOG
        _context->dispatcher.enable(_context->dispatcher.logging);
        #endif
        return;

      case GL_EMULATION_REGAL:
        #if REGAL_EMULATION
        _context->dispatcher.enable(_context->dispatcher.emulation);
        #endif
        return;

      case GL_DRIVER_REGAL:
        #if REGAL_DRIVER
        _context->dispatcher.enable(_context->dispatcher.driver);
        #endif
        return;

      case GL_MISSING_REGAL:
        #if REGAL_MISSING
        _context->dispatcher.enable(_context->dispatcher.missing);
        #endif
        return;

      case GL_TRACE_REGAL:
        #if REGAL_TRACE
        _context->dispatcher.enable(_context->dispatcher.trace);
        #endif
        return;

      case GL_CACHE_REGAL:
        #if REGAL_CACHE
        _context->dispatcher.enable(_context->dispatcher.cache);
        #endif
        return;

      case GL_CODE_REGAL:
        #if REGAL_CODE
        _context->dispatcher.enable(_context->dispatcher.code);
        #endif
        return;

      case GL_STATISTICS_REGAL:
        #if REGAL_STATISTICS
        _context->dispatcher.enable(_context->dispatcher.statistics);
        #endif
        return;

      default: break;
    }
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEnable)(cap);
  }

  REGAL_DECL void REGAL_CALL glEnd(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    if (_context)
      _context->depthBeginEnd--;
    #if REGAL_HTTP
    _context->http.callString = print_string("glEnd","()");;
    #endif
    App("glEnd","()");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEnd)();
  }

  REGAL_DECL void REGAL_CALL glEndList(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    if (_context)
      _context->depthNewList--;
    #if REGAL_HTTP
    _context->http.callString = print_string("glEndList","()");;
    #endif
    App("glEndList","()");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEndList)();
  }

  REGAL_DECL void REGAL_CALL glEvalCoord1d(GLdouble u)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEvalCoord1d","(", u, ")");;
    #endif
    App("glEvalCoord1d","(", u, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEvalCoord1d)(u);
  }

  REGAL_DECL void REGAL_CALL glEvalCoord1dv(const GLdouble *u)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEvalCoord1dv","(", boost::print::array(u,1), ")");;
    #endif
    App("glEvalCoord1dv","(", boost::print::array(u,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEvalCoord1dv)(u);
  }

  REGAL_DECL void REGAL_CALL glEvalCoord1f(GLfloat u)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEvalCoord1f","(", u, ")");;
    #endif
    App("glEvalCoord1f","(", u, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEvalCoord1f)(u);
  }

  REGAL_DECL void REGAL_CALL glEvalCoord1fv(const GLfloat *u)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEvalCoord1fv","(", boost::print::array(u,1), ")");;
    #endif
    App("glEvalCoord1fv","(", boost::print::array(u,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEvalCoord1fv)(u);
  }

  REGAL_DECL void REGAL_CALL glEvalCoord2d(GLdouble u, GLdouble v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEvalCoord2d","(", u, ", ", v, ")");;
    #endif
    App("glEvalCoord2d","(", u, ", ", v, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEvalCoord2d)(u, v);
  }

  REGAL_DECL void REGAL_CALL glEvalCoord2dv(const GLdouble *u)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEvalCoord2dv","(", boost::print::array(u,2), ")");;
    #endif
    App("glEvalCoord2dv","(", boost::print::array(u,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEvalCoord2dv)(u);
  }

  REGAL_DECL void REGAL_CALL glEvalCoord2f(GLfloat u, GLfloat v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEvalCoord2f","(", u, ", ", v, ")");;
    #endif
    App("glEvalCoord2f","(", u, ", ", v, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEvalCoord2f)(u, v);
  }

  REGAL_DECL void REGAL_CALL glEvalCoord2fv(const GLfloat *u)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEvalCoord2fv","(", boost::print::array(u,2), ")");;
    #endif
    App("glEvalCoord2fv","(", boost::print::array(u,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEvalCoord2fv)(u);
  }

  REGAL_DECL void REGAL_CALL glEvalMesh1(GLenum mode, GLint i1, GLint i2)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEvalMesh1","(", GLmodeToString(mode), ", ", i1, ", ", i2, ")");;
    #endif
    App("glEvalMesh1","(", GLmodeToString(mode), ", ", i1, ", ", i2, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEvalMesh1)(mode, i1, i2);
  }

  REGAL_DECL void REGAL_CALL glEvalMesh2(GLenum mode, GLint i1, GLint i2, GLint j1, GLint j2)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEvalMesh2","(", GLmodeToString(mode), ", ", i1, ", ", i2, ", ", j1, ", ", j2, ")");;
    #endif
    App("glEvalMesh2","(", GLmodeToString(mode), ", ", i1, ", ", i2, ", ", j1, ", ", j2, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEvalMesh2)(mode, i1, i2, j1, j2);
  }

  REGAL_DECL void REGAL_CALL glEvalPoint1(GLint i)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEvalPoint1","(", i, ")");;
    #endif
    App("glEvalPoint1","(", i, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEvalPoint1)(i);
  }

  REGAL_DECL void REGAL_CALL glEvalPoint2(GLint i, GLint j)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEvalPoint2","(", i, ", ", j, ")");;
    #endif
    App("glEvalPoint2","(", i, ", ", j, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEvalPoint2)(i, j);
  }

  REGAL_DECL void REGAL_CALL glFeedbackBuffer(GLsizei size, GLenum type, GLfloat *buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFeedbackBuffer","(", size, ", ", toString(type), ")");;
    #endif
    App("glFeedbackBuffer","(", size, ", ", toString(type), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFeedbackBuffer)(size, type, buffer);
  }

  REGAL_DECL void REGAL_CALL glFinish(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFinish","()");;
    #endif
    App("glFinish","()");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFinish)();
    #if REGAL_FRAME
    if (_context->frame)
    {
      // Notify Regal::Frame about the glFinish() event
      _context->frame->glFinish(*_context);
    }
    #endif /* REGAL_FRAME */
  }

  REGAL_DECL void REGAL_CALL glFlush(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFlush","()");;
    #endif
    App("glFlush","()");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFlush)();
  }

  REGAL_DECL void REGAL_CALL glFogf(GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFogf","(", toString(pname), ", ", param, ")");;
    #endif
    App("glFogf","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFogf)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glFogfv(GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFogfv","(", toString(pname), ", ", boost::print::array(params,helper::size::fogv(pname)), ")");;
    #endif
    App("glFogfv","(", toString(pname), ", ", boost::print::array(params,helper::size::fogv(pname)), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFogfv)(pname, params);
  }

  REGAL_DECL void REGAL_CALL glFogi(GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFogi","(", toString(pname), ", ", param, ")");;
    #endif
    App("glFogi","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFogi)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glFogiv(GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFogiv","(", toString(pname), ", ", boost::print::array(params,helper::size::fogv(pname)), ")");;
    #endif
    App("glFogiv","(", toString(pname), ", ", boost::print::array(params,helper::size::fogv(pname)), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFogiv)(pname, params);
  }

  REGAL_DECL void REGAL_CALL glFrontFace(GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFrontFace","(", GLmodeToString(mode), ")");;
    #endif
    App("glFrontFace","(", GLmodeToString(mode), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFrontFace)(mode);
  }

  REGAL_DECL void REGAL_CALL glFrustum(GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble zNear, GLdouble zFar)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFrustum","(", left, ", ", right, ", ", bottom, ", ", top, ", ", zNear, ", ", zFar, ")");;
    #endif
    App("glFrustum","(", left, ", ", right, ", ", bottom, ", ", top, ", ", zNear, ", ", zFar, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFrustum)(left, right, bottom, top, zNear, zFar);
  }

  REGAL_DECL GLuint REGAL_CALL glGenLists(GLsizei range)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGenLists","(", range, ")");;
    #endif
    App("glGenLists","(", range, ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGenLists)(range);
  }

  REGAL_DECL void REGAL_CALL glGetBooleanv(GLenum pname, GLboolean *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetBooleanv","(", toString(pname), ")");;
    #endif
    App("glGetBooleanv","(", toString(pname), ")");
    if (!_context) return;
    // Regal interceptions
    switch (pname)
    {
      case GL_NUM_EXTENSIONS:
        _context->numExtensions( data );
        return;

      default:
        break;
    }
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetBooleanv)(pname, data);
  }

  REGAL_DECL void REGAL_CALL glGetClipPlane(GLenum plane, GLdouble *equation)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetClipPlane","(", toString(plane), ")");;
    #endif
    App("glGetClipPlane","(", toString(plane), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetClipPlane)(plane, equation);
  }

  REGAL_DECL void REGAL_CALL glGetDoublev(GLenum pname, GLdouble *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetDoublev","(", toString(pname), ")");;
    #endif
    App("glGetDoublev","(", toString(pname), ")");
    if (!_context) return;
    // Regal interceptions
    switch (pname)
    {
      case GL_NUM_EXTENSIONS:
        _context->numExtensions( data );
        return;

      default:
        break;
    }
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetDoublev)(pname, data);
  }

  REGAL_DECL GLenum REGAL_CALL glGetError(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetError","()");;
    #endif
    App("glGetError","()");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetError)();
  }

  REGAL_DECL void REGAL_CALL glGetFloatv(GLenum pname, GLfloat *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetFloatv","(", toString(pname), ")");;
    #endif
    App("glGetFloatv","(", toString(pname), ")");
    if (!_context) return;
    // Regal interceptions
    switch (pname)
    {
      case GL_NUM_EXTENSIONS:
        _context->numExtensions( data );
        return;

      default:
        break;
    }
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetFloatv)(pname, data);
  }

  REGAL_DECL void REGAL_CALL glGetIntegerv(GLenum pname, GLint *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetIntegerv","(", toString(pname), ")");;
    #endif
    App("glGetIntegerv","(", toString(pname), ")");
    if (!_context) return;
    // Regal interceptions
    switch (pname)
    {
      case GL_NUM_EXTENSIONS:
        _context->numExtensions( data );
        return;

      default:
        break;
    }
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetIntegerv)(pname, data);
  }

  REGAL_DECL void REGAL_CALL glGetLightfv(GLenum light, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetLightfv","(", toString(light), ", ", toString(pname), ")");;
    #endif
    App("glGetLightfv","(", toString(light), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetLightfv)(light, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetLightiv(GLenum light, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetLightiv","(", toString(light), ", ", toString(pname), ")");;
    #endif
    App("glGetLightiv","(", toString(light), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetLightiv)(light, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetMapdv(GLenum target, GLenum query, GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetMapdv","(", toString(target), ", ", toString(query), ")");;
    #endif
    App("glGetMapdv","(", toString(target), ", ", toString(query), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMapdv)(target, query, v);
  }

  REGAL_DECL void REGAL_CALL glGetMapfv(GLenum target, GLenum query, GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetMapfv","(", toString(target), ", ", toString(query), ")");;
    #endif
    App("glGetMapfv","(", toString(target), ", ", toString(query), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMapfv)(target, query, v);
  }

  REGAL_DECL void REGAL_CALL glGetMapiv(GLenum target, GLenum query, GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetMapiv","(", toString(target), ", ", toString(query), ")");;
    #endif
    App("glGetMapiv","(", toString(target), ", ", toString(query), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMapiv)(target, query, v);
  }

  REGAL_DECL void REGAL_CALL glGetMaterialfv(GLenum face, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetMaterialfv","(", toString(face), ", ", toString(pname), ")");;
    #endif
    App("glGetMaterialfv","(", toString(face), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMaterialfv)(face, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetMaterialiv(GLenum face, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetMaterialiv","(", toString(face), ", ", toString(pname), ")");;
    #endif
    App("glGetMaterialiv","(", toString(face), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMaterialiv)(face, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetPixelMapfv(GLenum map, GLfloat *values)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetPixelMapfv","(", toString(map), ")");;
    #endif
    App("glGetPixelMapfv","(", toString(map), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPixelMapfv)(map, values);
  }

  REGAL_DECL void REGAL_CALL glGetPixelMapuiv(GLenum map, GLuint *values)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetPixelMapuiv","(", toString(map), ")");;
    #endif
    App("glGetPixelMapuiv","(", toString(map), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPixelMapuiv)(map, values);
  }

  REGAL_DECL void REGAL_CALL glGetPixelMapusv(GLenum map, GLushort *values)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetPixelMapusv","(", toString(map), ")");;
    #endif
    App("glGetPixelMapusv","(", toString(map), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPixelMapusv)(map, values);
  }

  REGAL_DECL void REGAL_CALL glGetPolygonStipple(GLubyte *mask)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetPolygonStipple","()");;
    #endif
    App("glGetPolygonStipple","()");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPolygonStipple)(mask);
  }

  REGAL_DECL const GLubyte *REGAL_CALL glGetString(GLenum name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetString","(", toString(name), ")");;
    #endif
    App("glGetString","(", toString(name), ")");
    if (!_context) return NULL;
    // Regal interceptions
    RegalAssert(_context->emuInfo);
    switch (name)
    {
      case GL_VENDOR:     return reinterpret_cast<const GLubyte *>(_context->emuInfo->vendor.c_str());
      case GL_RENDERER:   return reinterpret_cast<const GLubyte *>(_context->emuInfo->renderer.c_str());
      case GL_VERSION:    return reinterpret_cast<const GLubyte *>(_context->emuInfo->version.c_str());
      case GL_EXTENSIONS: return reinterpret_cast<const GLubyte *>(_context->extensions.c_str());
      default:
        break;
    }
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetString)(name);
  }

  REGAL_DECL void REGAL_CALL glGetTexEnvfv(GLenum target, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTexEnvfv","(", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetTexEnvfv","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTexEnvfv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetTexEnviv(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTexEnviv","(", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetTexEnviv","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTexEnviv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetTexGendv(GLenum coord, GLenum pname, GLdouble *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTexGendv","(", toString(coord), ", ", toString(pname), ")");;
    #endif
    App("glGetTexGendv","(", toString(coord), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTexGendv)(coord, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetTexGenfv(GLenum coord, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTexGenfv","(", toString(coord), ", ", toString(pname), ")");;
    #endif
    App("glGetTexGenfv","(", toString(coord), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTexGenfv)(coord, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetTexGeniv(GLenum coord, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTexGeniv","(", toString(coord), ", ", toString(pname), ")");;
    #endif
    App("glGetTexGeniv","(", toString(coord), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTexGeniv)(coord, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetTexImage(GLenum target, GLint level, GLenum format, GLenum type, GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTexImage","(", toString(target), ", ", level, ", ", toString(format), ", ", toString(type), ")");;
    #endif
    App("glGetTexImage","(", toString(target), ", ", level, ", ", toString(format), ", ", toString(type), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTexImage)(target, level, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glGetTexLevelParameterfv(GLenum target, GLint level, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTexLevelParameterfv","(", toString(target), ", ", level, ", ", toString(pname), ")");;
    #endif
    App("glGetTexLevelParameterfv","(", toString(target), ", ", level, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTexLevelParameterfv)(target, level, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetTexLevelParameteriv(GLenum target, GLint level, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTexLevelParameteriv","(", toString(target), ", ", level, ", ", toString(pname), ")");;
    #endif
    App("glGetTexLevelParameteriv","(", toString(target), ", ", level, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTexLevelParameteriv)(target, level, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetTexParameterfv(GLenum target, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTexParameterfv","(", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetTexParameterfv","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTexParameterfv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetTexParameteriv(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTexParameteriv","(", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetTexParameteriv","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTexParameteriv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glHint(GLenum target, GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glHint","(", toString(target), ", ", GLmodeToString(mode), ")");;
    #endif
    App("glHint","(", toString(target), ", ", GLmodeToString(mode), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glHint)(target, mode);
  }

  REGAL_DECL void REGAL_CALL glIndexMask(GLuint mask)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIndexMask","(", mask, ")");;
    #endif
    App("glIndexMask","(", mask, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glIndexMask)(mask);
  }

  REGAL_DECL void REGAL_CALL glIndexd(GLdouble c)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIndexd","(", c, ")");;
    #endif
    App("glIndexd","(", c, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glIndexd)(c);
  }

  REGAL_DECL void REGAL_CALL glIndexdv(const GLdouble *c)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIndexdv","(", boost::print::array(c,1), ")");;
    #endif
    App("glIndexdv","(", boost::print::array(c,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glIndexdv)(c);
  }

  REGAL_DECL void REGAL_CALL glIndexf(GLfloat c)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIndexf","(", c, ")");;
    #endif
    App("glIndexf","(", c, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glIndexf)(c);
  }

  REGAL_DECL void REGAL_CALL glIndexfv(const GLfloat *c)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIndexfv","(", boost::print::array(c,1), ")");;
    #endif
    App("glIndexfv","(", boost::print::array(c,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glIndexfv)(c);
  }

  REGAL_DECL void REGAL_CALL glIndexi(GLint c)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIndexi","(", c, ")");;
    #endif
    App("glIndexi","(", c, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glIndexi)(c);
  }

  REGAL_DECL void REGAL_CALL glIndexiv(const GLint *c)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIndexiv","(", boost::print::array(c,1), ")");;
    #endif
    App("glIndexiv","(", boost::print::array(c,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glIndexiv)(c);
  }

  REGAL_DECL void REGAL_CALL glIndexs(GLshort c)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIndexs","(", c, ")");;
    #endif
    App("glIndexs","(", c, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glIndexs)(c);
  }

  REGAL_DECL void REGAL_CALL glIndexsv(const GLshort *c)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIndexsv","(", boost::print::array(c,1), ")");;
    #endif
    App("glIndexsv","(", boost::print::array(c,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glIndexsv)(c);
  }

  REGAL_DECL void REGAL_CALL glInitNames(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glInitNames","()");;
    #endif
    App("glInitNames","()");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glInitNames)();
  }

  REGAL_DECL GLboolean REGAL_CALL glIsEnabled(GLenum cap)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsEnabled","(", toString(cap), ")");;
    #endif
    App("glIsEnabled","(", toString(cap), ")");
    if (!_context) return GL_FALSE;
    switch(cap)
    {
      case GL_LOG_ERROR_REGAL:    return Logging::enableError    ? GL_TRUE : GL_FALSE;
      case GL_LOG_WARNING_REGAL:  return Logging::enableWarning  ? GL_TRUE : GL_FALSE;
      case GL_LOG_INFO_REGAL:     return Logging::enableInfo     ? GL_TRUE : GL_FALSE;
      case GL_LOG_APP_REGAL:      return Logging::enableApp      ? GL_TRUE : GL_FALSE;
      case GL_LOG_DRIVER_REGAL:   return Logging::enableDriver   ? GL_TRUE : GL_FALSE;
      case GL_LOG_INTERNAL_REGAL: return Logging::enableInternal ? GL_TRUE : GL_FALSE;
      case GL_LOG_HTTP_REGAL:     return Logging::enableHttp     ? GL_TRUE : GL_FALSE;
      default: break;
    }

    switch(cap)
    {
      case GL_ERROR_REGAL:
        #if REGAL_ERROR
        return _context->dispatcher.isEnabled(_context->dispatcher.error) ? GL_TRUE : GL_FALSE;
        #else
        return GL_FALSE;
        #endif

      case GL_DEBUG_REGAL:
        #if REGAL_DEBUG
        return _context->dispatcher.isEnabled(_context->dispatcher.debug) ? GL_TRUE : GL_FALSE;
        #else
        return GL_FALSE;
        #endif

      case GL_LOG_REGAL:
        #if REGAL_LOG
        return _context->dispatcher.isEnabled(_context->dispatcher.logging) ? GL_TRUE : GL_FALSE;
        #else
        return GL_FALSE;
        #endif

      case GL_EMULATION_REGAL:
        #if REGAL_EMULATION
        return _context->dispatcher.isEnabled(_context->dispatcher.emulation) ? GL_TRUE : GL_FALSE;
        #else
        return GL_FALSE;
        #endif

      case GL_DRIVER_REGAL:
        #if REGAL_DRIVER
        return _context->dispatcher.isEnabled(_context->dispatcher.driver) ? GL_TRUE : GL_FALSE;
        #else
        return GL_FALSE;
        #endif

      case GL_MISSING_REGAL:
        #if REGAL_MISSING
        return _context->dispatcher.isEnabled(_context->dispatcher.missing) ? GL_TRUE : GL_FALSE;
        #else
        return GL_FALSE;
        #endif

      case GL_TRACE_REGAL:
        #if REGAL_TRACE
        return _context->dispatcher.isEnabled(_context->dispatcher.trace) ? GL_TRUE : GL_FALSE;
        #else
        return GL_FALSE;
        #endif

      case GL_CACHE_REGAL:
        #if REGAL_CACHE
        return _context->dispatcher.isEnabled(_context->dispatcher.cache) ? GL_TRUE : GL_FALSE;
        #else
        return GL_FALSE;
        #endif

      case GL_CODE_REGAL:
        #if REGAL_CODE
        return _context->dispatcher.isEnabled(_context->dispatcher.code) ? GL_TRUE : GL_FALSE;
        #else
        return GL_FALSE;
        #endif

      case GL_STATISTICS_REGAL:
        #if REGAL_STATISTICS
        return _context->dispatcher.isEnabled(_context->dispatcher.statistics) ? GL_TRUE : GL_FALSE;
        #else
        return GL_FALSE;
        #endif

      default: break;
    }
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsEnabled)(cap);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsList(GLuint list)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsList","(", list, ")");;
    #endif
    App("glIsList","(", list, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsList)(list);
  }

  REGAL_DECL void REGAL_CALL glLightModelf(GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glLightModelf","(", toString(pname), ", ", param, ")");;
    #endif
    App("glLightModelf","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLightModelf)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glLightModelfv(GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glLightModelfv","(", toString(pname), ", ", boost::print::array(params,helper::size::lightModelv(pname)), ")");;
    #endif
    App("glLightModelfv","(", toString(pname), ", ", boost::print::array(params,helper::size::lightModelv(pname)), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLightModelfv)(pname, params);
  }

  REGAL_DECL void REGAL_CALL glLightModeli(GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glLightModeli","(", toString(pname), ", ", param, ")");;
    #endif
    App("glLightModeli","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLightModeli)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glLightModeliv(GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glLightModeliv","(", toString(pname), ", ", boost::print::array(params,helper::size::lightModelv(pname)), ")");;
    #endif
    App("glLightModeliv","(", toString(pname), ", ", boost::print::array(params,helper::size::lightModelv(pname)), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLightModeliv)(pname, params);
  }

  REGAL_DECL void REGAL_CALL glLightf(GLenum light, GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glLightf","(", toString(light), ", ", toString(pname), ", ", param, ")");;
    #endif
    App("glLightf","(", toString(light), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLightf)(light, pname, param);
  }

  REGAL_DECL void REGAL_CALL glLightfv(GLenum light, GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glLightfv","(", toString(light), ", ", toString(pname), ", ", boost::print::array(params,helper::size::lightv(pname)), ")");;
    #endif
    App("glLightfv","(", toString(light), ", ", toString(pname), ", ", boost::print::array(params,helper::size::lightv(pname)), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLightfv)(light, pname, params);
  }

  REGAL_DECL void REGAL_CALL glLighti(GLenum light, GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glLighti","(", toString(light), ", ", toString(pname), ", ", param, ")");;
    #endif
    App("glLighti","(", toString(light), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLighti)(light, pname, param);
  }

  REGAL_DECL void REGAL_CALL glLightiv(GLenum light, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glLightiv","(", toString(light), ", ", toString(pname), ", ", boost::print::array(params,helper::size::lightv(pname)), ")");;
    #endif
    App("glLightiv","(", toString(light), ", ", toString(pname), ", ", boost::print::array(params,helper::size::lightv(pname)), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLightiv)(light, pname, params);
  }

  REGAL_DECL void REGAL_CALL glLineStipple(GLint factor, GLushort pattern)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glLineStipple","(", factor, ", ", pattern, ")");;
    #endif
    App("glLineStipple","(", factor, ", ", pattern, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLineStipple)(factor, pattern);
  }

  REGAL_DECL void REGAL_CALL glLineWidth(GLfloat width)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glLineWidth","(", width, ")");;
    #endif
    App("glLineWidth","(", width, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLineWidth)(width);
  }

  REGAL_DECL void REGAL_CALL glListBase(GLuint base)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glListBase","(", base, ")");;
    #endif
    App("glListBase","(", base, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glListBase)(base);
  }

  REGAL_DECL void REGAL_CALL glLoadIdentity(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glLoadIdentity","()");;
    #endif
    App("glLoadIdentity","()");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLoadIdentity)();
  }

  REGAL_DECL void REGAL_CALL glLoadMatrixd(const GLdouble *m)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glLoadMatrixd","(", boost::print::array(m,16), ")");;
    #endif
    App("glLoadMatrixd","(", boost::print::array(m,16), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLoadMatrixd)(m);
  }

  REGAL_DECL void REGAL_CALL glLoadMatrixf(const GLfloat *m)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glLoadMatrixf","(", boost::print::array(m,16), ")");;
    #endif
    App("glLoadMatrixf","(", boost::print::array(m,16), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLoadMatrixf)(m);
  }

  REGAL_DECL void REGAL_CALL glLoadName(GLuint name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glLoadName","(", name, ")");;
    #endif
    App("glLoadName","(", name, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLoadName)(name);
  }

  REGAL_DECL void REGAL_CALL glLogicOp(GLenum opcode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glLogicOp","(", toString(opcode), ")");;
    #endif
    App("glLogicOp","(", toString(opcode), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLogicOp)(opcode);
  }

  REGAL_DECL void REGAL_CALL glMap1d(GLenum target, GLdouble u1, GLdouble u2, GLint stride, GLint order, const GLdouble *points)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMap1d","(", toString(target), ", ", u1, ", ", u2, ", ", stride, ", ", order, ", ", boost::print::optional(points,Logging::pointers), ")");;
    #endif
    App("glMap1d","(", toString(target), ", ", u1, ", ", u2, ", ", stride, ", ", order, ", ", boost::print::optional(points,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMap1d)(target, u1, u2, stride, order, points);
  }

  REGAL_DECL void REGAL_CALL glMap1f(GLenum target, GLfloat u1, GLfloat u2, GLint stride, GLint order, const GLfloat *points)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMap1f","(", toString(target), ", ", u1, ", ", u2, ", ", stride, ", ", order, ", ", boost::print::optional(points,Logging::pointers), ")");;
    #endif
    App("glMap1f","(", toString(target), ", ", u1, ", ", u2, ", ", stride, ", ", order, ", ", boost::print::optional(points,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMap1f)(target, u1, u2, stride, order, points);
  }

  REGAL_DECL void REGAL_CALL glMap2d(GLenum target, GLdouble u1, GLdouble u2, GLint ustride, GLint uorder, GLdouble v1, GLdouble v2, GLint vstride, GLint vorder, const GLdouble *points)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMap2d","(", toString(target), ", ", u1, ", ", u2, ", ", ustride, ", ", uorder, ", ", v1, ", ", v2, ", ", vstride, ", ", vorder, ", ", boost::print::optional(points,Logging::pointers), ")");;
    #endif
    App("glMap2d","(", toString(target), ", ", u1, ", ", u2, ", ", ustride, ", ", uorder, ", ", v1, ", ", v2, ", ", vstride, ", ", vorder, ", ", boost::print::optional(points,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMap2d)(target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, points);
  }

  REGAL_DECL void REGAL_CALL glMap2f(GLenum target, GLfloat u1, GLfloat u2, GLint ustride, GLint uorder, GLfloat v1, GLfloat v2, GLint vstride, GLint vorder, const GLfloat *points)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMap2f","(", toString(target), ", ", u1, ", ", u2, ", ", ustride, ", ", uorder, ", ", v1, ", ", v2, ", ", vstride, ", ", vorder, ", ", boost::print::optional(points,Logging::pointers), ")");;
    #endif
    App("glMap2f","(", toString(target), ", ", u1, ", ", u2, ", ", ustride, ", ", uorder, ", ", v1, ", ", v2, ", ", vstride, ", ", vorder, ", ", boost::print::optional(points,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMap2f)(target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, points);
  }

  REGAL_DECL void REGAL_CALL glMapGrid1d(GLint un, GLdouble u1, GLdouble u2)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMapGrid1d","(", un, ", ", u1, ", ", u2, ")");;
    #endif
    App("glMapGrid1d","(", un, ", ", u1, ", ", u2, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMapGrid1d)(un, u1, u2);
  }

  REGAL_DECL void REGAL_CALL glMapGrid1f(GLint un, GLfloat u1, GLfloat u2)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMapGrid1f","(", un, ", ", u1, ", ", u2, ")");;
    #endif
    App("glMapGrid1f","(", un, ", ", u1, ", ", u2, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMapGrid1f)(un, u1, u2);
  }

  REGAL_DECL void REGAL_CALL glMapGrid2d(GLint un, GLdouble u1, GLdouble u2, GLint vn, GLdouble v1, GLdouble v2)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMapGrid2d","(", un, ", ", u1, ", ", u2, ", ", vn, ", ", v1, ", ", v2, ")");;
    #endif
    App("glMapGrid2d","(", un, ", ", u1, ", ", u2, ", ", vn, ", ", v1, ", ", v2, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMapGrid2d)(un, u1, u2, vn, v1, v2);
  }

  REGAL_DECL void REGAL_CALL glMapGrid2f(GLint un, GLfloat u1, GLfloat u2, GLint vn, GLfloat v1, GLfloat v2)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMapGrid2f","(", un, ", ", u1, ", ", u2, ", ", vn, ", ", v1, ", ", v2, ")");;
    #endif
    App("glMapGrid2f","(", un, ", ", u1, ", ", u2, ", ", vn, ", ", v1, ", ", v2, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMapGrid2f)(un, u1, u2, vn, v1, v2);
  }

  REGAL_DECL void REGAL_CALL glMaterialf(GLenum face, GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMaterialf","(", toString(face), ", ", toString(pname), ", ", param, ")");;
    #endif
    App("glMaterialf","(", toString(face), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMaterialf)(face, pname, param);
  }

  REGAL_DECL void REGAL_CALL glMaterialfv(GLenum face, GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMaterialfv","(", toString(face), ", ", toString(pname), ", ", boost::print::array(params,helper::size::materialv(pname)), ")");;
    #endif
    App("glMaterialfv","(", toString(face), ", ", toString(pname), ", ", boost::print::array(params,helper::size::materialv(pname)), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMaterialfv)(face, pname, params);
  }

  REGAL_DECL void REGAL_CALL glMateriali(GLenum face, GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMateriali","(", toString(face), ", ", toString(pname), ", ", param, ")");;
    #endif
    App("glMateriali","(", toString(face), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMateriali)(face, pname, param);
  }

  REGAL_DECL void REGAL_CALL glMaterialiv(GLenum face, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMaterialiv","(", toString(face), ", ", toString(pname), ", ", boost::print::array(params,helper::size::materialv(pname)), ")");;
    #endif
    App("glMaterialiv","(", toString(face), ", ", toString(pname), ", ", boost::print::array(params,helper::size::materialv(pname)), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMaterialiv)(face, pname, params);
  }

  REGAL_DECL void REGAL_CALL glMatrixMode(GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMatrixMode","(", GLmodeToString(mode), ")");;
    #endif
    App("glMatrixMode","(", GLmodeToString(mode), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixMode)(mode);
  }

  REGAL_DECL void REGAL_CALL glMultMatrixd(const GLdouble *m)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultMatrixd","(", boost::print::array(m,16), ")");;
    #endif
    App("glMultMatrixd","(", boost::print::array(m,16), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultMatrixd)(m);
  }

  REGAL_DECL void REGAL_CALL glMultMatrixf(const GLfloat *m)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultMatrixf","(", boost::print::array(m,16), ")");;
    #endif
    App("glMultMatrixf","(", boost::print::array(m,16), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultMatrixf)(m);
  }

  REGAL_DECL void REGAL_CALL glNewList(GLuint list, GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNewList","(", list, ", ", GLmodeToString(mode), ")");;
    #endif
    App("glNewList","(", list, ", ", GLmodeToString(mode), ")");
    if (!_context) return;
    RegalAssert(_context);
    _context->depthNewList++;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNewList)(list, mode);
  }

  REGAL_DECL void REGAL_CALL glNormal3b(GLbyte nx, GLbyte ny, GLbyte nz)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNormal3b","(", nx, ", ", ny, ", ", nz, ")");;
    #endif
    App("glNormal3b","(", nx, ", ", ny, ", ", nz, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormal3b)(nx, ny, nz);
  }

  REGAL_DECL void REGAL_CALL glNormal3bv(const GLbyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNormal3bv","(", boost::print::array(v,3), ")");;
    #endif
    App("glNormal3bv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormal3bv)(v);
  }

  REGAL_DECL void REGAL_CALL glNormal3d(GLdouble nx, GLdouble ny, GLdouble nz)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNormal3d","(", nx, ", ", ny, ", ", nz, ")");;
    #endif
    App("glNormal3d","(", nx, ", ", ny, ", ", nz, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormal3d)(nx, ny, nz);
  }

  REGAL_DECL void REGAL_CALL glNormal3dv(const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNormal3dv","(", boost::print::array(v,3), ")");;
    #endif
    App("glNormal3dv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormal3dv)(v);
  }

  REGAL_DECL void REGAL_CALL glNormal3f(GLfloat nx, GLfloat ny, GLfloat nz)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNormal3f","(", nx, ", ", ny, ", ", nz, ")");;
    #endif
    App("glNormal3f","(", nx, ", ", ny, ", ", nz, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormal3f)(nx, ny, nz);
  }

  REGAL_DECL void REGAL_CALL glNormal3fv(const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNormal3fv","(", boost::print::array(v,3), ")");;
    #endif
    App("glNormal3fv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormal3fv)(v);
  }

  REGAL_DECL void REGAL_CALL glNormal3i(GLint nx, GLint ny, GLint nz)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNormal3i","(", nx, ", ", ny, ", ", nz, ")");;
    #endif
    App("glNormal3i","(", nx, ", ", ny, ", ", nz, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormal3i)(nx, ny, nz);
  }

  REGAL_DECL void REGAL_CALL glNormal3iv(const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNormal3iv","(", boost::print::array(v,3), ")");;
    #endif
    App("glNormal3iv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormal3iv)(v);
  }

  REGAL_DECL void REGAL_CALL glNormal3s(GLshort nx, GLshort ny, GLshort nz)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNormal3s","(", nx, ", ", ny, ", ", nz, ")");;
    #endif
    App("glNormal3s","(", nx, ", ", ny, ", ", nz, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormal3s)(nx, ny, nz);
  }

  REGAL_DECL void REGAL_CALL glNormal3sv(const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNormal3sv","(", boost::print::array(v,3), ")");;
    #endif
    App("glNormal3sv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormal3sv)(v);
  }

  REGAL_DECL void REGAL_CALL glOrtho(GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble zNear, GLdouble zFar)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glOrtho","(", left, ", ", right, ", ", bottom, ", ", top, ", ", zNear, ", ", zFar, ")");;
    #endif
    App("glOrtho","(", left, ", ", right, ", ", bottom, ", ", top, ", ", zNear, ", ", zFar, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glOrtho)(left, right, bottom, top, zNear, zFar);
  }

  REGAL_DECL void REGAL_CALL glPassThrough(GLfloat token)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPassThrough","(", token, ")");;
    #endif
    App("glPassThrough","(", token, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPassThrough)(token);
  }

  REGAL_DECL void REGAL_CALL glPixelMapfv(GLenum map, GLsizei mapsize, const GLfloat *values)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPixelMapfv","(", toString(map), ", ", mapsize, ", ", boost::print::array(values,mapsize), ")");;
    #endif
    App("glPixelMapfv","(", toString(map), ", ", mapsize, ", ", boost::print::array(values,mapsize), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPixelMapfv)(map, mapsize, values);
  }

  REGAL_DECL void REGAL_CALL glPixelMapuiv(GLenum map, GLsizei mapsize, const GLuint *values)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPixelMapuiv","(", toString(map), ", ", mapsize, ", ", boost::print::array(values,mapsize), ")");;
    #endif
    App("glPixelMapuiv","(", toString(map), ", ", mapsize, ", ", boost::print::array(values,mapsize), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPixelMapuiv)(map, mapsize, values);
  }

  REGAL_DECL void REGAL_CALL glPixelMapusv(GLenum map, GLsizei mapsize, const GLushort *values)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPixelMapusv","(", toString(map), ", ", mapsize, ", ", boost::print::array(values,mapsize), ")");;
    #endif
    App("glPixelMapusv","(", toString(map), ", ", mapsize, ", ", boost::print::array(values,mapsize), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPixelMapusv)(map, mapsize, values);
  }

  REGAL_DECL void REGAL_CALL glPixelStoref(GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPixelStoref","(", toString(pname), ", ", param, ")");;
    #endif
    App("glPixelStoref","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPixelStoref)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glPixelStorei(GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPixelStorei","(", toString(pname), ", ", param, ")");;
    #endif
    App("glPixelStorei","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPixelStorei)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glPixelTransferf(GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPixelTransferf","(", toString(pname), ", ", param, ")");;
    #endif
    App("glPixelTransferf","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPixelTransferf)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glPixelTransferi(GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPixelTransferi","(", toString(pname), ", ", param, ")");;
    #endif
    App("glPixelTransferi","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPixelTransferi)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glPixelZoom(GLfloat xfactor, GLfloat yfactor)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPixelZoom","(", xfactor, ", ", yfactor, ")");;
    #endif
    App("glPixelZoom","(", xfactor, ", ", yfactor, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPixelZoom)(xfactor, yfactor);
  }

  REGAL_DECL void REGAL_CALL glPointSize(GLfloat size)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPointSize","(", size, ")");;
    #endif
    App("glPointSize","(", size, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPointSize)(size);
  }

  REGAL_DECL void REGAL_CALL glPolygonMode(GLenum face, GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPolygonMode","(", toString(face), ", ", GLmodeToString(mode), ")");;
    #endif
    App("glPolygonMode","(", toString(face), ", ", GLmodeToString(mode), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPolygonMode)(face, mode);
  }

  REGAL_DECL void REGAL_CALL glPolygonStipple(const GLubyte *mask)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPolygonStipple","(", boost::print::optional(mask,Logging::pointers), ")");;
    #endif
    App("glPolygonStipple","(", boost::print::optional(mask,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPolygonStipple)(mask);
  }

  REGAL_DECL void REGAL_CALL glPopAttrib(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    if (_context)
      _context->depthPushAttrib--;
    #if REGAL_HTTP
    _context->http.callString = print_string("glPopAttrib","()");;
    #endif
    App("glPopAttrib","()");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPopAttrib)();
  }

  REGAL_DECL void REGAL_CALL glPopMatrix(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    if (_context)
      _context->depthPushMatrix--;
    #if REGAL_HTTP
    _context->http.callString = print_string("glPopMatrix","()");;
    #endif
    App("glPopMatrix","()");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPopMatrix)();
  }

  REGAL_DECL void REGAL_CALL glPopName(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPopName","()");;
    #endif
    App("glPopName","()");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPopName)();
  }

  REGAL_DECL void REGAL_CALL glPushAttrib(GLbitfield mask)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPushAttrib","(", GLpushAttribToString(mask), ")");;
    #endif
    App("glPushAttrib","(", GLpushAttribToString(mask), ")");
    if (!_context) return;
    RegalAssert(_context);
    _context->depthPushAttrib++;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPushAttrib)(mask);
  }

  REGAL_DECL void REGAL_CALL glPushMatrix(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPushMatrix","()");;
    #endif
    App("glPushMatrix","()");
    if (!_context) return;
    RegalAssert(_context);
    _context->depthPushMatrix++;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPushMatrix)();
  }

  REGAL_DECL void REGAL_CALL glPushName(GLuint name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPushName","(", name, ")");;
    #endif
    App("glPushName","(", name, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPushName)(name);
  }

  REGAL_DECL void REGAL_CALL glRasterPos2d(GLdouble x, GLdouble y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glRasterPos2d","(", x, ", ", y, ")");;
    #endif
    App("glRasterPos2d","(", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRasterPos2d)(x, y);
  }

  REGAL_DECL void REGAL_CALL glRasterPos2dv(const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glRasterPos2dv","(", boost::print::array(v,2), ")");;
    #endif
    App("glRasterPos2dv","(", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRasterPos2dv)(v);
  }

  REGAL_DECL void REGAL_CALL glRasterPos2f(GLfloat x, GLfloat y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glRasterPos2f","(", x, ", ", y, ")");;
    #endif
    App("glRasterPos2f","(", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRasterPos2f)(x, y);
  }

  REGAL_DECL void REGAL_CALL glRasterPos2fv(const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glRasterPos2fv","(", boost::print::array(v,2), ")");;
    #endif
    App("glRasterPos2fv","(", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRasterPos2fv)(v);
  }

  REGAL_DECL void REGAL_CALL glRasterPos2i(GLint x, GLint y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glRasterPos2i","(", x, ", ", y, ")");;
    #endif
    App("glRasterPos2i","(", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRasterPos2i)(x, y);
  }

  REGAL_DECL void REGAL_CALL glRasterPos2iv(const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glRasterPos2iv","(", boost::print::array(v,2), ")");;
    #endif
    App("glRasterPos2iv","(", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRasterPos2iv)(v);
  }

  REGAL_DECL void REGAL_CALL glRasterPos2s(GLshort x, GLshort y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glRasterPos2s","(", x, ", ", y, ")");;
    #endif
    App("glRasterPos2s","(", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRasterPos2s)(x, y);
  }

  REGAL_DECL void REGAL_CALL glRasterPos2sv(const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glRasterPos2sv","(", boost::print::array(v,2), ")");;
    #endif
    App("glRasterPos2sv","(", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRasterPos2sv)(v);
  }

  REGAL_DECL void REGAL_CALL glRasterPos3d(GLdouble x, GLdouble y, GLdouble z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glRasterPos3d","(", x, ", ", y, ", ", z, ")");;
    #endif
    App("glRasterPos3d","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRasterPos3d)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glRasterPos3dv(const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glRasterPos3dv","(", boost::print::array(v,3), ")");;
    #endif
    App("glRasterPos3dv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRasterPos3dv)(v);
  }

  REGAL_DECL void REGAL_CALL glRasterPos3f(GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glRasterPos3f","(", x, ", ", y, ", ", z, ")");;
    #endif
    App("glRasterPos3f","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRasterPos3f)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glRasterPos3fv(const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glRasterPos3fv","(", boost::print::array(v,3), ")");;
    #endif
    App("glRasterPos3fv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRasterPos3fv)(v);
  }

  REGAL_DECL void REGAL_CALL glRasterPos3i(GLint x, GLint y, GLint z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glRasterPos3i","(", x, ", ", y, ", ", z, ")");;
    #endif
    App("glRasterPos3i","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRasterPos3i)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glRasterPos3iv(const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glRasterPos3iv","(", boost::print::array(v,3), ")");;
    #endif
    App("glRasterPos3iv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRasterPos3iv)(v);
  }

  REGAL_DECL void REGAL_CALL glRasterPos3s(GLshort x, GLshort y, GLshort z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glRasterPos3s","(", x, ", ", y, ", ", z, ")");;
    #endif
    App("glRasterPos3s","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRasterPos3s)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glRasterPos3sv(const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glRasterPos3sv","(", boost::print::array(v,3), ")");;
    #endif
    App("glRasterPos3sv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRasterPos3sv)(v);
  }

  REGAL_DECL void REGAL_CALL glRasterPos4d(GLdouble x, GLdouble y, GLdouble z, GLdouble w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glRasterPos4d","(", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glRasterPos4d","(", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRasterPos4d)(x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glRasterPos4dv(const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glRasterPos4dv","(", boost::print::array(v,4), ")");;
    #endif
    App("glRasterPos4dv","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRasterPos4dv)(v);
  }

  REGAL_DECL void REGAL_CALL glRasterPos4f(GLfloat x, GLfloat y, GLfloat z, GLfloat w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glRasterPos4f","(", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glRasterPos4f","(", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRasterPos4f)(x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glRasterPos4fv(const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glRasterPos4fv","(", boost::print::array(v,4), ")");;
    #endif
    App("glRasterPos4fv","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRasterPos4fv)(v);
  }

  REGAL_DECL void REGAL_CALL glRasterPos4i(GLint x, GLint y, GLint z, GLint w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glRasterPos4i","(", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glRasterPos4i","(", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRasterPos4i)(x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glRasterPos4iv(const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glRasterPos4iv","(", boost::print::array(v,4), ")");;
    #endif
    App("glRasterPos4iv","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRasterPos4iv)(v);
  }

  REGAL_DECL void REGAL_CALL glRasterPos4s(GLshort x, GLshort y, GLshort z, GLshort w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glRasterPos4s","(", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glRasterPos4s","(", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRasterPos4s)(x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glRasterPos4sv(const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glRasterPos4sv","(", boost::print::array(v,4), ")");;
    #endif
    App("glRasterPos4sv","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRasterPos4sv)(v);
  }

  REGAL_DECL void REGAL_CALL glReadBuffer(GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glReadBuffer","(", GLmodeToString(mode), ")");;
    #endif
    App("glReadBuffer","(", GLmodeToString(mode), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReadBuffer)(mode);
  }

  REGAL_DECL void REGAL_CALL glReadPixels(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glReadPixels","(", x, ", ", y, ", ", width, ", ", height, ", ", toString(format), ", ", toString(type), ")");;
    #endif
    App("glReadPixels","(", x, ", ", y, ", ", width, ", ", height, ", ", toString(format), ", ", toString(type), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReadPixels)(x, y, width, height, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glRectd(GLdouble x1, GLdouble y1, GLdouble x2, GLdouble y2)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glRectd","(", x1, ", ", y1, ", ", x2, ", ", y2, ")");;
    #endif
    App("glRectd","(", x1, ", ", y1, ", ", x2, ", ", y2, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRectd)(x1, y1, x2, y2);
  }

  REGAL_DECL void REGAL_CALL glRectdv(const GLdouble *v1, const GLdouble *v2)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glRectdv","(", boost::print::array(v1,2), ", ", boost::print::array(v2,2), ")");;
    #endif
    App("glRectdv","(", boost::print::array(v1,2), ", ", boost::print::array(v2,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRectdv)(v1, v2);
  }

  REGAL_DECL void REGAL_CALL glRectf(GLfloat x1, GLfloat y1, GLfloat x2, GLfloat y2)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glRectf","(", x1, ", ", y1, ", ", x2, ", ", y2, ")");;
    #endif
    App("glRectf","(", x1, ", ", y1, ", ", x2, ", ", y2, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRectf)(x1, y1, x2, y2);
  }

  REGAL_DECL void REGAL_CALL glRectfv(const GLfloat *v1, const GLfloat *v2)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glRectfv","(", boost::print::array(v1,2), ", ", boost::print::array(v2,2), ")");;
    #endif
    App("glRectfv","(", boost::print::array(v1,2), ", ", boost::print::array(v2,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRectfv)(v1, v2);
  }

  REGAL_DECL void REGAL_CALL glRecti(GLint x1, GLint y1, GLint x2, GLint y2)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glRecti","(", x1, ", ", y1, ", ", x2, ", ", y2, ")");;
    #endif
    App("glRecti","(", x1, ", ", y1, ", ", x2, ", ", y2, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRecti)(x1, y1, x2, y2);
  }

  REGAL_DECL void REGAL_CALL glRectiv(const GLint *v1, const GLint *v2)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glRectiv","(", boost::print::array(v1,2), ", ", boost::print::array(v2,2), ")");;
    #endif
    App("glRectiv","(", boost::print::array(v1,2), ", ", boost::print::array(v2,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRectiv)(v1, v2);
  }

  REGAL_DECL void REGAL_CALL glRects(GLshort x1, GLshort y1, GLshort x2, GLshort y2)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glRects","(", x1, ", ", y1, ", ", x2, ", ", y2, ")");;
    #endif
    App("glRects","(", x1, ", ", y1, ", ", x2, ", ", y2, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRects)(x1, y1, x2, y2);
  }

  REGAL_DECL void REGAL_CALL glRectsv(const GLshort *v1, const GLshort *v2)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glRectsv","(", boost::print::array(v1,2), ", ", boost::print::array(v2,2), ")");;
    #endif
    App("glRectsv","(", boost::print::array(v1,2), ", ", boost::print::array(v2,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRectsv)(v1, v2);
  }

  REGAL_DECL GLint REGAL_CALL glRenderMode(GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glRenderMode","(", GLmodeToString(mode), ")");;
    #endif
    App("glRenderMode","(", GLmodeToString(mode), ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glRenderMode)(mode);
  }

  REGAL_DECL void REGAL_CALL glRotated(GLdouble angle, GLdouble x, GLdouble y, GLdouble z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glRotated","(", angle, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glRotated","(", angle, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRotated)(angle, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glRotatef(GLfloat angle, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glRotatef","(", angle, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glRotatef","(", angle, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRotatef)(angle, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glScaled(GLdouble x, GLdouble y, GLdouble z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glScaled","(", x, ", ", y, ", ", z, ")");;
    #endif
    App("glScaled","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glScaled)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glScalef(GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glScalef","(", x, ", ", y, ", ", z, ")");;
    #endif
    App("glScalef","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glScalef)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glScissor(GLint x, GLint y, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glScissor","(", x, ", ", y, ", ", width, ", ", height, ")");;
    #endif
    App("glScissor","(", x, ", ", y, ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glScissor)(x, y, width, height);
  }

  REGAL_DECL void REGAL_CALL glSelectBuffer(GLsizei size, GLuint *buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSelectBuffer","(", size, ")");;
    #endif
    App("glSelectBuffer","(", size, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSelectBuffer)(size, buffer);
  }

  REGAL_DECL void REGAL_CALL glShadeModel(GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glShadeModel","(", GLmodeToString(mode), ")");;
    #endif
    App("glShadeModel","(", GLmodeToString(mode), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glShadeModel)(mode);
  }

  REGAL_DECL void REGAL_CALL glStencilFunc(GLenum func, GLint ref, GLuint mask)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glStencilFunc","(", toString(func), ", ", boost::print::hex(ref), ", ", boost::print::hex(mask), ")");;
    #endif
    App("glStencilFunc","(", toString(func), ", ", boost::print::hex(ref), ", ", boost::print::hex(mask), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glStencilFunc)(func, ref, mask);
  }

  REGAL_DECL void REGAL_CALL glStencilMask(GLuint mask)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glStencilMask","(", boost::print::hex(mask), ")");;
    #endif
    App("glStencilMask","(", boost::print::hex(mask), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glStencilMask)(mask);
  }

  REGAL_DECL void REGAL_CALL glStencilOp(GLenum fail, GLenum zfail, GLenum zpass)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glStencilOp","(", toString(fail), ", ", toString(zfail), ", ", toString(zpass), ")");;
    #endif
    App("glStencilOp","(", toString(fail), ", ", toString(zfail), ", ", toString(zpass), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glStencilOp)(fail, zfail, zpass);
  }

  REGAL_DECL void REGAL_CALL glTexCoord1d(GLdouble s)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord1d","(", s, ")");;
    #endif
    App("glTexCoord1d","(", s, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord1d)(s);
  }

  REGAL_DECL void REGAL_CALL glTexCoord1dv(const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord1dv","(", boost::print::array(v,1), ")");;
    #endif
    App("glTexCoord1dv","(", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord1dv)(v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord1f(GLfloat s)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord1f","(", s, ")");;
    #endif
    App("glTexCoord1f","(", s, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord1f)(s);
  }

  REGAL_DECL void REGAL_CALL glTexCoord1fv(const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord1fv","(", boost::print::array(v,1), ")");;
    #endif
    App("glTexCoord1fv","(", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord1fv)(v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord1i(GLint s)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord1i","(", s, ")");;
    #endif
    App("glTexCoord1i","(", s, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord1i)(s);
  }

  REGAL_DECL void REGAL_CALL glTexCoord1iv(const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord1iv","(", boost::print::array(v,1), ")");;
    #endif
    App("glTexCoord1iv","(", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord1iv)(v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord1s(GLshort s)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord1s","(", s, ")");;
    #endif
    App("glTexCoord1s","(", s, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord1s)(s);
  }

  REGAL_DECL void REGAL_CALL glTexCoord1sv(const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord1sv","(", boost::print::array(v,1), ")");;
    #endif
    App("glTexCoord1sv","(", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord1sv)(v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord2d(GLdouble s, GLdouble t)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord2d","(", s, ", ", t, ")");;
    #endif
    App("glTexCoord2d","(", s, ", ", t, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord2d)(s, t);
  }

  REGAL_DECL void REGAL_CALL glTexCoord2dv(const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord2dv","(", boost::print::array(v,2), ")");;
    #endif
    App("glTexCoord2dv","(", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord2dv)(v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord2f(GLfloat s, GLfloat t)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord2f","(", s, ", ", t, ")");;
    #endif
    App("glTexCoord2f","(", s, ", ", t, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord2f)(s, t);
  }

  REGAL_DECL void REGAL_CALL glTexCoord2fv(const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord2fv","(", boost::print::array(v,2), ")");;
    #endif
    App("glTexCoord2fv","(", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord2fv)(v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord2i(GLint s, GLint t)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord2i","(", s, ", ", t, ")");;
    #endif
    App("glTexCoord2i","(", s, ", ", t, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord2i)(s, t);
  }

  REGAL_DECL void REGAL_CALL glTexCoord2iv(const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord2iv","(", boost::print::array(v,2), ")");;
    #endif
    App("glTexCoord2iv","(", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord2iv)(v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord2s(GLshort s, GLshort t)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord2s","(", s, ", ", t, ")");;
    #endif
    App("glTexCoord2s","(", s, ", ", t, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord2s)(s, t);
  }

  REGAL_DECL void REGAL_CALL glTexCoord2sv(const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord2sv","(", boost::print::array(v,2), ")");;
    #endif
    App("glTexCoord2sv","(", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord2sv)(v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord3d(GLdouble s, GLdouble t, GLdouble r)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord3d","(", s, ", ", t, ", ", r, ")");;
    #endif
    App("glTexCoord3d","(", s, ", ", t, ", ", r, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord3d)(s, t, r);
  }

  REGAL_DECL void REGAL_CALL glTexCoord3dv(const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord3dv","(", boost::print::array(v,3), ")");;
    #endif
    App("glTexCoord3dv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord3dv)(v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord3f(GLfloat s, GLfloat t, GLfloat r)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord3f","(", s, ", ", t, ", ", r, ")");;
    #endif
    App("glTexCoord3f","(", s, ", ", t, ", ", r, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord3f)(s, t, r);
  }

  REGAL_DECL void REGAL_CALL glTexCoord3fv(const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord3fv","(", boost::print::array(v,3), ")");;
    #endif
    App("glTexCoord3fv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord3fv)(v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord3i(GLint s, GLint t, GLint r)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord3i","(", s, ", ", t, ", ", r, ")");;
    #endif
    App("glTexCoord3i","(", s, ", ", t, ", ", r, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord3i)(s, t, r);
  }

  REGAL_DECL void REGAL_CALL glTexCoord3iv(const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord3iv","(", boost::print::array(v,3), ")");;
    #endif
    App("glTexCoord3iv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord3iv)(v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord3s(GLshort s, GLshort t, GLshort r)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord3s","(", s, ", ", t, ", ", r, ")");;
    #endif
    App("glTexCoord3s","(", s, ", ", t, ", ", r, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord3s)(s, t, r);
  }

  REGAL_DECL void REGAL_CALL glTexCoord3sv(const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord3sv","(", boost::print::array(v,3), ")");;
    #endif
    App("glTexCoord3sv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord3sv)(v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord4d(GLdouble s, GLdouble t, GLdouble r, GLdouble q)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord4d","(", s, ", ", t, ", ", r, ", ", q, ")");;
    #endif
    App("glTexCoord4d","(", s, ", ", t, ", ", r, ", ", q, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord4d)(s, t, r, q);
  }

  REGAL_DECL void REGAL_CALL glTexCoord4dv(const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord4dv","(", boost::print::array(v,4), ")");;
    #endif
    App("glTexCoord4dv","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord4dv)(v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord4f(GLfloat s, GLfloat t, GLfloat r, GLfloat q)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord4f","(", s, ", ", t, ", ", r, ", ", q, ")");;
    #endif
    App("glTexCoord4f","(", s, ", ", t, ", ", r, ", ", q, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord4f)(s, t, r, q);
  }

  REGAL_DECL void REGAL_CALL glTexCoord4fv(const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord4fv","(", boost::print::array(v,4), ")");;
    #endif
    App("glTexCoord4fv","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord4fv)(v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord4i(GLint s, GLint t, GLint r, GLint q)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord4i","(", s, ", ", t, ", ", r, ", ", q, ")");;
    #endif
    App("glTexCoord4i","(", s, ", ", t, ", ", r, ", ", q, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord4i)(s, t, r, q);
  }

  REGAL_DECL void REGAL_CALL glTexCoord4iv(const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord4iv","(", boost::print::array(v,4), ")");;
    #endif
    App("glTexCoord4iv","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord4iv)(v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord4s(GLshort s, GLshort t, GLshort r, GLshort q)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord4s","(", s, ", ", t, ", ", r, ", ", q, ")");;
    #endif
    App("glTexCoord4s","(", s, ", ", t, ", ", r, ", ", q, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord4s)(s, t, r, q);
  }

  REGAL_DECL void REGAL_CALL glTexCoord4sv(const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord4sv","(", boost::print::array(v,4), ")");;
    #endif
    App("glTexCoord4sv","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord4sv)(v);
  }

  REGAL_DECL void REGAL_CALL glTexEnvf(GLenum target, GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexEnvf","(", toString(target), ", ", toString(pname), ", ", param, ")");;
    #endif
    App("glTexEnvf","(", toString(target), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexEnvf)(target, pname, param);
  }

  REGAL_DECL void REGAL_CALL glTexEnvfv(GLenum target, GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexEnvfv","(", toString(target), ", ", toString(pname), ", ", boost::print::array(params,helper::size::texEnvv(target, pname)), ")");;
    #endif
    App("glTexEnvfv","(", toString(target), ", ", toString(pname), ", ", boost::print::array(params,helper::size::texEnvv(target, pname)), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexEnvfv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glTexEnvi(GLenum target, GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexEnvi","(", toString(target), ", ", toString(pname), ", ", param, ")");;
    #endif
    App("glTexEnvi","(", toString(target), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexEnvi)(target, pname, param);
  }

  REGAL_DECL void REGAL_CALL glTexEnviv(GLenum target, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexEnviv","(", toString(target), ", ", toString(pname), ", ", boost::print::array(params,helper::size::texEnvv(target, pname)), ")");;
    #endif
    App("glTexEnviv","(", toString(target), ", ", toString(pname), ", ", boost::print::array(params,helper::size::texEnvv(target, pname)), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexEnviv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glTexGend(GLenum coord, GLenum pname, GLdouble param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexGend","(", toString(coord), ", ", toString(pname), ", ", param, ")");;
    #endif
    App("glTexGend","(", toString(coord), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexGend)(coord, pname, param);
  }

  REGAL_DECL void REGAL_CALL glTexGendv(GLenum coord, GLenum pname, const GLdouble *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexGendv","(", toString(coord), ", ", toString(pname), ", ", boost::print::array(params,helper::size::texGenv(pname)), ")");;
    #endif
    App("glTexGendv","(", toString(coord), ", ", toString(pname), ", ", boost::print::array(params,helper::size::texGenv(pname)), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexGendv)(coord, pname, params);
  }

  REGAL_DECL void REGAL_CALL glTexGenf(GLenum coord, GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexGenf","(", toString(coord), ", ", toString(pname), ", ", param, ")");;
    #endif
    App("glTexGenf","(", toString(coord), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexGenf)(coord, pname, param);
  }

  REGAL_DECL void REGAL_CALL glTexGenfv(GLenum coord, GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexGenfv","(", toString(coord), ", ", toString(pname), ", ", boost::print::array(params,helper::size::texGenv(pname)), ")");;
    #endif
    App("glTexGenfv","(", toString(coord), ", ", toString(pname), ", ", boost::print::array(params,helper::size::texGenv(pname)), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexGenfv)(coord, pname, params);
  }

  REGAL_DECL void REGAL_CALL glTexGeni(GLenum coord, GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexGeni","(", toString(coord), ", ", toString(pname), ", ", GLenumToString(static_cast<GLenum>(param)), ")");;
    #endif
    App("glTexGeni","(", toString(coord), ", ", toString(pname), ", ", GLenumToString(static_cast<GLenum>(param)), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexGeni)(coord, pname, param);
  }

  REGAL_DECL void REGAL_CALL glTexGeniv(GLenum coord, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexGeniv","(", toString(coord), ", ", toString(pname), ", ", boost::print::array(params,helper::size::texGenv(pname)), ")");;
    #endif
    App("glTexGeniv","(", toString(coord), ", ", toString(pname), ", ", boost::print::array(params,helper::size::texGenv(pname)), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexGeniv)(coord, pname, params);
  }

  REGAL_DECL void REGAL_CALL glTexImage1D(GLenum target, GLint level, GLint internalformat, GLsizei width, GLint border, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexImage1D","(", toString(target), ", ", level, ", ", internalFormatToString(internalformat), ", ", width, ", ", border, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(reinterpret_cast<const GLubyte *>(pixels),Logging::pointers), ")");;
    #endif
    App("glTexImage1D","(", toString(target), ", ", level, ", ", internalFormatToString(internalformat), ", ", width, ", ", border, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(reinterpret_cast<const GLubyte *>(pixels),Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexImage1D)(target, level, internalformat, width, border, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glTexImage2D(GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexImage2D","(", toString(target), ", ", level, ", ", internalFormatToString(internalformat), ", ", width, ", ", height, ", ", border, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(reinterpret_cast<const GLubyte *>(pixels),Logging::pointers), ")");;
    #endif
    App("glTexImage2D","(", toString(target), ", ", level, ", ", internalFormatToString(internalformat), ", ", width, ", ", height, ", ", border, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(reinterpret_cast<const GLubyte *>(pixels),Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexImage2D)(target, level, internalformat, width, height, border, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glTexParameterf(GLenum target, GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexParameterf","(", toString(target), ", ", toString(pname), ", ", GLTexParameterToString(pname,param), ")");;
    #endif
    App("glTexParameterf","(", toString(target), ", ", toString(pname), ", ", GLTexParameterToString(pname,param), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexParameterf)(target, pname, param);
  }

  REGAL_DECL void REGAL_CALL glTexParameterfv(GLenum target, GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexParameterfv","(", toString(target), ", ", toString(pname), ", ", GLTexParameterToString(pname,params), ")");;
    #endif
    App("glTexParameterfv","(", toString(target), ", ", toString(pname), ", ", GLTexParameterToString(pname,params), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexParameterfv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glTexParameteri(GLenum target, GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexParameteri","(", toString(target), ", ", toString(pname), ", ", GLTexParameterToString(pname,param), ")");;
    #endif
    App("glTexParameteri","(", toString(target), ", ", toString(pname), ", ", GLTexParameterToString(pname,param), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexParameteri)(target, pname, param);
  }

  REGAL_DECL void REGAL_CALL glTexParameteriv(GLenum target, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexParameteriv","(", toString(target), ", ", toString(pname), ", ", GLTexParameterToString(pname,params), ")");;
    #endif
    App("glTexParameteriv","(", toString(target), ", ", toString(pname), ", ", GLTexParameterToString(pname,params), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexParameteriv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glTranslated(GLdouble x, GLdouble y, GLdouble z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTranslated","(", x, ", ", y, ", ", z, ")");;
    #endif
    App("glTranslated","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTranslated)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glTranslatef(GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTranslatef","(", x, ", ", y, ", ", z, ")");;
    #endif
    App("glTranslatef","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTranslatef)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertex2d(GLdouble x, GLdouble y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertex2d","(", x, ", ", y, ")");;
    #endif
    App("glVertex2d","(", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex2d)(x, y);
  }

  REGAL_DECL void REGAL_CALL glVertex2dv(const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertex2dv","(", boost::print::array(v,2), ")");;
    #endif
    App("glVertex2dv","(", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex2dv)(v);
  }

  REGAL_DECL void REGAL_CALL glVertex2f(GLfloat x, GLfloat y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertex2f","(", x, ", ", y, ")");;
    #endif
    App("glVertex2f","(", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex2f)(x, y);
  }

  REGAL_DECL void REGAL_CALL glVertex2fv(const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertex2fv","(", boost::print::array(v,2), ")");;
    #endif
    App("glVertex2fv","(", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex2fv)(v);
  }

  REGAL_DECL void REGAL_CALL glVertex2i(GLint x, GLint y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertex2i","(", x, ", ", y, ")");;
    #endif
    App("glVertex2i","(", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex2i)(x, y);
  }

  REGAL_DECL void REGAL_CALL glVertex2iv(const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertex2iv","(", boost::print::array(v,2), ")");;
    #endif
    App("glVertex2iv","(", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex2iv)(v);
  }

  REGAL_DECL void REGAL_CALL glVertex2s(GLshort x, GLshort y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertex2s","(", x, ", ", y, ")");;
    #endif
    App("glVertex2s","(", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex2s)(x, y);
  }

  REGAL_DECL void REGAL_CALL glVertex2sv(const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertex2sv","(", boost::print::array(v,2), ")");;
    #endif
    App("glVertex2sv","(", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex2sv)(v);
  }

  REGAL_DECL void REGAL_CALL glVertex3d(GLdouble x, GLdouble y, GLdouble z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertex3d","(", x, ", ", y, ", ", z, ")");;
    #endif
    App("glVertex3d","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex3d)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertex3dv(const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertex3dv","(", boost::print::array(v,3), ")");;
    #endif
    App("glVertex3dv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex3dv)(v);
  }

  REGAL_DECL void REGAL_CALL glVertex3f(GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertex3f","(", x, ", ", y, ", ", z, ")");;
    #endif
    App("glVertex3f","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex3f)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertex3fv(const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertex3fv","(", boost::print::array(v,3), ")");;
    #endif
    App("glVertex3fv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex3fv)(v);
  }

  REGAL_DECL void REGAL_CALL glVertex3i(GLint x, GLint y, GLint z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertex3i","(", x, ", ", y, ", ", z, ")");;
    #endif
    App("glVertex3i","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex3i)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertex3iv(const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertex3iv","(", boost::print::array(v,3), ")");;
    #endif
    App("glVertex3iv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex3iv)(v);
  }

  REGAL_DECL void REGAL_CALL glVertex3s(GLshort x, GLshort y, GLshort z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertex3s","(", x, ", ", y, ", ", z, ")");;
    #endif
    App("glVertex3s","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex3s)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertex3sv(const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertex3sv","(", boost::print::array(v,3), ")");;
    #endif
    App("glVertex3sv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex3sv)(v);
  }

  REGAL_DECL void REGAL_CALL glVertex4d(GLdouble x, GLdouble y, GLdouble z, GLdouble w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertex4d","(", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glVertex4d","(", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex4d)(x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertex4dv(const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertex4dv","(", boost::print::array(v,4), ")");;
    #endif
    App("glVertex4dv","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex4dv)(v);
  }

  REGAL_DECL void REGAL_CALL glVertex4f(GLfloat x, GLfloat y, GLfloat z, GLfloat w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertex4f","(", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glVertex4f","(", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex4f)(x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertex4fv(const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertex4fv","(", boost::print::array(v,4), ")");;
    #endif
    App("glVertex4fv","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex4fv)(v);
  }

  REGAL_DECL void REGAL_CALL glVertex4i(GLint x, GLint y, GLint z, GLint w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertex4i","(", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glVertex4i","(", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex4i)(x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertex4iv(const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertex4iv","(", boost::print::array(v,4), ")");;
    #endif
    App("glVertex4iv","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex4iv)(v);
  }

  REGAL_DECL void REGAL_CALL glVertex4s(GLshort x, GLshort y, GLshort z, GLshort w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertex4s","(", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glVertex4s","(", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex4s)(x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertex4sv(const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertex4sv","(", boost::print::array(v,4), ")");;
    #endif
    App("glVertex4sv","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex4sv)(v);
  }

  REGAL_DECL void REGAL_CALL glViewport(GLint x, GLint y, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glViewport","(", x, ", ", y, ", ", width, ", ", height, ")");;
    #endif
    App("glViewport","(", x, ", ", y, ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glViewport)(x, y, width, height);
  }

  /* GL_VERSION_1_1 */

  REGAL_DECL GLboolean REGAL_CALL glAreTexturesResident(GLsizei n, const GLuint *textures, GLboolean *residences)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glAreTexturesResident","(", n, ", ", boost::print::array(textures,n), ")");;
    #endif
    App("glAreTexturesResident","(", n, ", ", boost::print::array(textures,n), ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glAreTexturesResident)(n, textures, residences);
  }

  REGAL_DECL void REGAL_CALL glArrayElement(GLint i)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glArrayElement","(", i, ")");;
    #endif
    App("glArrayElement","(", i, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glArrayElement)(i);
  }

  REGAL_DECL void REGAL_CALL glBindTexture(GLenum target, GLuint texture)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindTexture","(", toString(target), ", ", texture, ")");;
    #endif
    App("glBindTexture","(", toString(target), ", ", texture, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    if (REGAL_CACHE && REGAL_CACHE_TEXTURE)
    {
      Cache::bindTexture(_next->call(&_next->glBindTexture),_next->call(&_next->glGetTexLevelParameteriv),_next->call(&_next->glGetTexImage), target, texture);
      return;
    }
    _next->call(&_next->glBindTexture)(target, texture);
  }

  REGAL_DECL void REGAL_CALL glColorPointer(GLint size, GLenum type, GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColorPointer","(", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");;
    #endif
    App("glColorPointer","(", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorPointer)(size, type, stride, pointer);
  }

  REGAL_DECL void REGAL_CALL glCopyTexImage1D(GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLint border)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCopyTexImage1D","(", toString(target), ", ", level, ", ", toString(internalformat), ", ", x, ", ", y, ", ", width, ", ", border, ")");;
    #endif
    App("glCopyTexImage1D","(", toString(target), ", ", level, ", ", toString(internalformat), ", ", x, ", ", y, ", ", width, ", ", border, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyTexImage1D)(target, level, internalformat, x, y, width, border);
  }

  REGAL_DECL void REGAL_CALL glCopyTexImage2D(GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCopyTexImage2D","(", toString(target), ", ", level, ", ", toString(internalformat), ", ", x, ", ", y, ", ", width, ", ", height, ", ", border, ")");;
    #endif
    App("glCopyTexImage2D","(", toString(target), ", ", level, ", ", toString(internalformat), ", ", x, ", ", y, ", ", width, ", ", height, ", ", border, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyTexImage2D)(target, level, internalformat, x, y, width, height, border);
  }

  REGAL_DECL void REGAL_CALL glCopyTexSubImage1D(GLenum target, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCopyTexSubImage1D","(", toString(target), ", ", level, ", ", xoffset, ", ", x, ", ", y, ", ", width, ")");;
    #endif
    App("glCopyTexSubImage1D","(", toString(target), ", ", level, ", ", xoffset, ", ", x, ", ", y, ", ", width, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyTexSubImage1D)(target, level, xoffset, x, y, width);
  }

  REGAL_DECL void REGAL_CALL glCopyTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCopyTexSubImage2D","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", x, ", ", y, ", ", width, ", ", height, ")");;
    #endif
    App("glCopyTexSubImage2D","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", x, ", ", y, ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyTexSubImage2D)(target, level, xoffset, yoffset, x, y, width, height);
  }

  REGAL_DECL void REGAL_CALL glDeleteTextures(GLsizei n, const GLuint *textures)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDeleteTextures","(", n, ", ", boost::print::array(textures,n), ")");;
    #endif
    App("glDeleteTextures","(", n, ", ", boost::print::array(textures,n), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteTextures)(n, textures);
  }

  REGAL_DECL void REGAL_CALL glDisableClientState(GLenum array)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDisableClientState","(", toString(array), ")");;
    #endif
    App("glDisableClientState","(", toString(array), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDisableClientState)(array);
  }

  REGAL_DECL void REGAL_CALL glDrawArrays(GLenum mode, GLint first, GLsizei count)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDrawArrays","(", GLmodeToString(mode), ", ", first, ", ", count, ")");;
    #endif
    App("glDrawArrays","(", GLmodeToString(mode), ", ", first, ", ", count, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawArrays)(mode, first, count);
  }

  REGAL_DECL void REGAL_CALL glDrawElements(GLenum mode, GLsizei count, GLenum type, const GLvoid *indices)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDrawElements","(", GLmodeToString(mode), ", ", count, ", ", toString(type), ", ", boost::print::optional(reinterpret_cast<const GLubyte *>(indices),Logging::pointers), ")");;
    #endif
    App("glDrawElements","(", GLmodeToString(mode), ", ", count, ", ", toString(type), ", ", boost::print::optional(reinterpret_cast<const GLubyte *>(indices),Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawElements)(mode, count, type, indices);
  }

  REGAL_DECL void REGAL_CALL glEdgeFlagPointer(GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEdgeFlagPointer","(", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");;
    #endif
    App("glEdgeFlagPointer","(", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEdgeFlagPointer)(stride, pointer);
  }

  REGAL_DECL void REGAL_CALL glEnableClientState(GLenum array)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEnableClientState","(", toString(array), ")");;
    #endif
    App("glEnableClientState","(", toString(array), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEnableClientState)(array);
  }

  REGAL_DECL void REGAL_CALL glGenTextures(GLsizei n, GLuint *textures)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGenTextures","(", n, ")");;
    #endif
    App("glGenTextures","(", n, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenTextures)(n, textures);
  }

  REGAL_DECL void REGAL_CALL glGetPointerv(GLenum pname, GLvoid **params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetPointerv","(", toString(pname), ")");;
    #endif
    App("glGetPointerv","(", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPointerv)(pname, params);
  }

  REGAL_DECL void REGAL_CALL glIndexPointer(GLenum type, GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIndexPointer","(", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");;
    #endif
    App("glIndexPointer","(", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glIndexPointer)(type, stride, pointer);
  }

  REGAL_DECL void REGAL_CALL glIndexub(GLubyte c)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIndexub","(", c, ")");;
    #endif
    App("glIndexub","(", c, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glIndexub)(c);
  }

  REGAL_DECL void REGAL_CALL glIndexubv(const GLubyte *c)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIndexubv","(", boost::print::array(c,1), ")");;
    #endif
    App("glIndexubv","(", boost::print::array(c,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glIndexubv)(c);
  }

  REGAL_DECL void REGAL_CALL glInterleavedArrays(GLenum format, GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glInterleavedArrays","(", toString(format), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");;
    #endif
    App("glInterleavedArrays","(", toString(format), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glInterleavedArrays)(format, stride, pointer);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsTexture(GLuint texture)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsTexture","(", texture, ")");;
    #endif
    App("glIsTexture","(", texture, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsTexture)(texture);
  }

  REGAL_DECL void REGAL_CALL glNormalPointer(GLenum type, GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNormalPointer","(", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");;
    #endif
    App("glNormalPointer","(", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormalPointer)(type, stride, pointer);
  }

  REGAL_DECL void REGAL_CALL glPolygonOffset(GLfloat factor, GLfloat units)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPolygonOffset","(", factor, ", ", units, ")");;
    #endif
    App("glPolygonOffset","(", factor, ", ", units, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPolygonOffset)(factor, units);
  }

  REGAL_DECL void REGAL_CALL glPopClientAttrib(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPopClientAttrib","()");;
    #endif
    App("glPopClientAttrib","()");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPopClientAttrib)();
  }

  REGAL_DECL void REGAL_CALL glPrioritizeTextures(GLsizei n, const GLuint *textures, const GLclampf *priorities)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPrioritizeTextures","(", n, ", ", boost::print::array(textures,n), ", ", boost::print::array(priorities,n), ")");;
    #endif
    App("glPrioritizeTextures","(", n, ", ", boost::print::array(textures,n), ", ", boost::print::array(priorities,n), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPrioritizeTextures)(n, textures, priorities);
  }

  REGAL_DECL void REGAL_CALL glPushClientAttrib(GLbitfield mask)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPushClientAttrib","(", GLpushClientAttribToString(mask), ")");;
    #endif
    App("glPushClientAttrib","(", GLpushClientAttribToString(mask), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPushClientAttrib)(mask);
  }

  REGAL_DECL void REGAL_CALL glTexCoordPointer(GLint size, GLenum type, GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoordPointer","(", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");;
    #endif
    App("glTexCoordPointer","(", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoordPointer)(size, type, stride, pointer);
  }

  REGAL_DECL void REGAL_CALL glTexSubImage1D(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexSubImage1D","(", toString(target), ", ", level, ", ", xoffset, ", ", width, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(reinterpret_cast<const GLubyte *>(pixels),Logging::pointers), ")");;
    #endif
    App("glTexSubImage1D","(", toString(target), ", ", level, ", ", xoffset, ", ", width, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(reinterpret_cast<const GLubyte *>(pixels),Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexSubImage1D)(target, level, xoffset, width, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexSubImage2D","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", width, ", ", height, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(reinterpret_cast<const GLubyte *>(pixels),Logging::pointers), ")");;
    #endif
    App("glTexSubImage2D","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", width, ", ", height, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(reinterpret_cast<const GLubyte *>(pixels),Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexSubImage2D)(target, level, xoffset, yoffset, width, height, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glVertexPointer(GLint size, GLenum type, GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexPointer","(", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");;
    #endif
    App("glVertexPointer","(", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexPointer)(size, type, stride, pointer);
  }

  /* GL_VERSION_1_2 */

  REGAL_DECL void REGAL_CALL glCopyTexSubImage3D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCopyTexSubImage3D","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", x, ", ", y, ", ", width, ", ", height, ")");;
    #endif
    App("glCopyTexSubImage3D","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", x, ", ", y, ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyTexSubImage3D)(target, level, xoffset, yoffset, zoffset, x, y, width, height);
  }

  REGAL_DECL void REGAL_CALL glDrawRangeElements(GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const GLvoid *indices)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDrawRangeElements","(", GLmodeToString(mode), ", ", start, ", ", end, ", ", count, ", ", toString(type), ", ", boost::print::optional(indices,Logging::pointers), ")");;
    #endif
    App("glDrawRangeElements","(", GLmodeToString(mode), ", ", start, ", ", end, ", ", count, ", ", toString(type), ", ", boost::print::optional(indices,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawRangeElements)(mode, start, end, count, type, indices);
  }

  REGAL_DECL void REGAL_CALL glTexImage3D(GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexImage3D","(", toString(target), ", ", level, ", ", internalFormatToString(internalformat), ", ", width, ", ", height, ", ", depth, ", ", border, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(reinterpret_cast<const GLubyte *>(pixels),Logging::pointers), ")");;
    #endif
    App("glTexImage3D","(", toString(target), ", ", level, ", ", internalFormatToString(internalformat), ", ", width, ", ", height, ", ", depth, ", ", border, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(reinterpret_cast<const GLubyte *>(pixels),Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexImage3D)(target, level, internalformat, width, height, depth, border, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glTexSubImage3D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexSubImage3D","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(reinterpret_cast<const GLubyte *>(pixels),Logging::pointers), ")");;
    #endif
    App("glTexSubImage3D","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(reinterpret_cast<const GLubyte *>(pixels),Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexSubImage3D)(target, level, xoffset, yoffset, zoffset, width, height, depth, format, type, pixels);
  }

  /* GL_VERSION_1_3 */

  REGAL_DECL void REGAL_CALL glActiveTexture(GLenum texture)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glActiveTexture","(", toString(texture), ")");;
    #endif
    App("glActiveTexture","(", toString(texture), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glActiveTexture)(texture);
  }

  REGAL_DECL void REGAL_CALL glClientActiveTexture(GLenum texture)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glClientActiveTexture","(", toString(texture), ")");;
    #endif
    App("glClientActiveTexture","(", toString(texture), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClientActiveTexture)(texture);
  }

  REGAL_DECL void REGAL_CALL glCompressedTexImage1D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLint border, GLsizei imageSize, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCompressedTexImage1D","(", toString(target), ", ", level, ", ", toString(internalformat), ", ", width, ", ", border, ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");;
    #endif
    App("glCompressedTexImage1D","(", toString(target), ", ", level, ", ", toString(internalformat), ", ", width, ", ", border, ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedTexImage1D)(target, level, internalformat, width, border, imageSize, data);
  }

  REGAL_DECL void REGAL_CALL glCompressedTexImage2D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCompressedTexImage2D","(", toString(target), ", ", level, ", ", toString(internalformat), ", ", width, ", ", height, ", ", border, ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");;
    #endif
    App("glCompressedTexImage2D","(", toString(target), ", ", level, ", ", toString(internalformat), ", ", width, ", ", height, ", ", border, ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedTexImage2D)(target, level, internalformat, width, height, border, imageSize, data);
  }

  REGAL_DECL void REGAL_CALL glCompressedTexImage3D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCompressedTexImage3D","(", toString(target), ", ", level, ", ", toString(internalformat), ", ", width, ", ", height, ", ", depth, ", ", border, ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");;
    #endif
    App("glCompressedTexImage3D","(", toString(target), ", ", level, ", ", toString(internalformat), ", ", width, ", ", height, ", ", depth, ", ", border, ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedTexImage3D)(target, level, internalformat, width, height, depth, border, imageSize, data);
  }

  REGAL_DECL void REGAL_CALL glCompressedTexSubImage1D(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCompressedTexSubImage1D","(", toString(target), ", ", level, ", ", xoffset, ", ", width, ", ", toString(format), ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");;
    #endif
    App("glCompressedTexSubImage1D","(", toString(target), ", ", level, ", ", xoffset, ", ", width, ", ", toString(format), ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedTexSubImage1D)(target, level, xoffset, width, format, imageSize, data);
  }

  REGAL_DECL void REGAL_CALL glCompressedTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCompressedTexSubImage2D","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", width, ", ", height, ", ", toString(format), ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");;
    #endif
    App("glCompressedTexSubImage2D","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", width, ", ", height, ", ", toString(format), ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedTexSubImage2D)(target, level, xoffset, yoffset, width, height, format, imageSize, data);
  }

  REGAL_DECL void REGAL_CALL glCompressedTexSubImage3D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCompressedTexSubImage3D","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ", ", toString(format), ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");;
    #endif
    App("glCompressedTexSubImage3D","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ", ", toString(format), ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedTexSubImage3D)(target, level, xoffset, yoffset, zoffset, width, height, depth, format, imageSize, data);
  }

  REGAL_DECL void REGAL_CALL glGetCompressedTexImage(GLenum target, GLint level, GLvoid *img)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetCompressedTexImage","(", toString(target), ", ", level, ")");;
    #endif
    App("glGetCompressedTexImage","(", toString(target), ", ", level, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetCompressedTexImage)(target, level, img);
  }

  REGAL_DECL void REGAL_CALL glLoadTransposeMatrixd(const GLdouble *m)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glLoadTransposeMatrixd","(", boost::print::array(m,16), ")");;
    #endif
    App("glLoadTransposeMatrixd","(", boost::print::array(m,16), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLoadTransposeMatrixd)(m);
  }

  REGAL_DECL void REGAL_CALL glLoadTransposeMatrixf(const GLfloat *m)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glLoadTransposeMatrixf","(", boost::print::array(m,16), ")");;
    #endif
    App("glLoadTransposeMatrixf","(", boost::print::array(m,16), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLoadTransposeMatrixf)(m);
  }

  REGAL_DECL void REGAL_CALL glMultTransposeMatrixd(const GLdouble *m)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultTransposeMatrixd","(", boost::print::array(m,16), ")");;
    #endif
    App("glMultTransposeMatrixd","(", boost::print::array(m,16), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultTransposeMatrixd)(m);
  }

  REGAL_DECL void REGAL_CALL glMultTransposeMatrixf(const GLfloat *m)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultTransposeMatrixf","(", boost::print::array(m,16), ")");;
    #endif
    App("glMultTransposeMatrixf","(", boost::print::array(m,16), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultTransposeMatrixf)(m);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord1d(GLenum target, GLdouble s)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord1d","(", toString(target), ", ", s, ")");;
    #endif
    App("glMultiTexCoord1d","(", toString(target), ", ", s, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord1d)(target, s);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord1dv(GLenum target, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord1dv","(", toString(target), ", ", boost::print::array(v,1), ")");;
    #endif
    App("glMultiTexCoord1dv","(", toString(target), ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord1dv)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord1f(GLenum target, GLfloat s)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord1f","(", toString(target), ", ", s, ")");;
    #endif
    App("glMultiTexCoord1f","(", toString(target), ", ", s, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord1f)(target, s);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord1fv(GLenum target, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord1fv","(", toString(target), ", ", boost::print::array(v,1), ")");;
    #endif
    App("glMultiTexCoord1fv","(", toString(target), ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord1fv)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord1i(GLenum target, GLint s)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord1i","(", toString(target), ", ", s, ")");;
    #endif
    App("glMultiTexCoord1i","(", toString(target), ", ", s, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord1i)(target, s);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord1iv(GLenum target, const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord1iv","(", toString(target), ", ", boost::print::array(v,1), ")");;
    #endif
    App("glMultiTexCoord1iv","(", toString(target), ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord1iv)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord1s(GLenum target, GLshort s)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord1s","(", toString(target), ", ", s, ")");;
    #endif
    App("glMultiTexCoord1s","(", toString(target), ", ", s, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord1s)(target, s);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord1sv(GLenum target, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord1sv","(", toString(target), ", ", boost::print::array(v,1), ")");;
    #endif
    App("glMultiTexCoord1sv","(", toString(target), ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord1sv)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord2d(GLenum target, GLdouble s, GLdouble t)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord2d","(", toString(target), ", ", s, ", ", t, ")");;
    #endif
    App("glMultiTexCoord2d","(", toString(target), ", ", s, ", ", t, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord2d)(target, s, t);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord2dv(GLenum target, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord2dv","(", toString(target), ", ", boost::print::array(v,2), ")");;
    #endif
    App("glMultiTexCoord2dv","(", toString(target), ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord2dv)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord2f(GLenum target, GLfloat s, GLfloat t)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord2f","(", toString(target), ", ", s, ", ", t, ")");;
    #endif
    App("glMultiTexCoord2f","(", toString(target), ", ", s, ", ", t, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord2f)(target, s, t);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord2fv(GLenum target, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord2fv","(", toString(target), ", ", boost::print::array(v,2), ")");;
    #endif
    App("glMultiTexCoord2fv","(", toString(target), ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord2fv)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord2i(GLenum target, GLint s, GLint t)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord2i","(", toString(target), ", ", s, ", ", t, ")");;
    #endif
    App("glMultiTexCoord2i","(", toString(target), ", ", s, ", ", t, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord2i)(target, s, t);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord2iv(GLenum target, const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord2iv","(", toString(target), ", ", boost::print::array(v,2), ")");;
    #endif
    App("glMultiTexCoord2iv","(", toString(target), ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord2iv)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord2s(GLenum target, GLshort s, GLshort t)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord2s","(", toString(target), ", ", s, ", ", t, ")");;
    #endif
    App("glMultiTexCoord2s","(", toString(target), ", ", s, ", ", t, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord2s)(target, s, t);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord2sv(GLenum target, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord2sv","(", toString(target), ", ", boost::print::array(v,2), ")");;
    #endif
    App("glMultiTexCoord2sv","(", toString(target), ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord2sv)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord3d(GLenum target, GLdouble s, GLdouble t, GLdouble r)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord3d","(", toString(target), ", ", s, ", ", t, ", ", r, ")");;
    #endif
    App("glMultiTexCoord3d","(", toString(target), ", ", s, ", ", t, ", ", r, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord3d)(target, s, t, r);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord3dv(GLenum target, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord3dv","(", toString(target), ", ", boost::print::array(v,3), ")");;
    #endif
    App("glMultiTexCoord3dv","(", toString(target), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord3dv)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord3f(GLenum target, GLfloat s, GLfloat t, GLfloat r)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord3f","(", toString(target), ", ", s, ", ", t, ", ", r, ")");;
    #endif
    App("glMultiTexCoord3f","(", toString(target), ", ", s, ", ", t, ", ", r, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord3f)(target, s, t, r);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord3fv(GLenum target, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord3fv","(", toString(target), ", ", boost::print::array(v,3), ")");;
    #endif
    App("glMultiTexCoord3fv","(", toString(target), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord3fv)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord3i(GLenum target, GLint s, GLint t, GLint r)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord3i","(", toString(target), ", ", s, ", ", t, ", ", r, ")");;
    #endif
    App("glMultiTexCoord3i","(", toString(target), ", ", s, ", ", t, ", ", r, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord3i)(target, s, t, r);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord3iv(GLenum target, const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord3iv","(", toString(target), ", ", boost::print::array(v,3), ")");;
    #endif
    App("glMultiTexCoord3iv","(", toString(target), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord3iv)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord3s(GLenum target, GLshort s, GLshort t, GLshort r)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord3s","(", toString(target), ", ", s, ", ", t, ", ", r, ")");;
    #endif
    App("glMultiTexCoord3s","(", toString(target), ", ", s, ", ", t, ", ", r, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord3s)(target, s, t, r);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord3sv(GLenum target, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord3sv","(", toString(target), ", ", boost::print::array(v,3), ")");;
    #endif
    App("glMultiTexCoord3sv","(", toString(target), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord3sv)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord4d(GLenum target, GLdouble s, GLdouble t, GLdouble r, GLdouble q)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord4d","(", toString(target), ", ", s, ", ", t, ", ", r, ", ", q, ")");;
    #endif
    App("glMultiTexCoord4d","(", toString(target), ", ", s, ", ", t, ", ", r, ", ", q, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord4d)(target, s, t, r, q);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord4dv(GLenum target, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord4dv","(", toString(target), ", ", boost::print::array(v,4), ")");;
    #endif
    App("glMultiTexCoord4dv","(", toString(target), ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord4dv)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord4f(GLenum target, GLfloat s, GLfloat t, GLfloat r, GLfloat q)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord4f","(", toString(target), ", ", s, ", ", t, ", ", r, ", ", q, ")");;
    #endif
    App("glMultiTexCoord4f","(", toString(target), ", ", s, ", ", t, ", ", r, ", ", q, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord4f)(target, s, t, r, q);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord4fv(GLenum target, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord4fv","(", toString(target), ", ", boost::print::array(v,4), ")");;
    #endif
    App("glMultiTexCoord4fv","(", toString(target), ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord4fv)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord4i(GLenum target, GLint s, GLint t, GLint r, GLint q)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord4i","(", toString(target), ", ", s, ", ", t, ", ", r, ", ", q, ")");;
    #endif
    App("glMultiTexCoord4i","(", toString(target), ", ", s, ", ", t, ", ", r, ", ", q, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord4i)(target, s, t, r, q);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord4iv(GLenum target, const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord4iv","(", toString(target), ", ", boost::print::array(v,4), ")");;
    #endif
    App("glMultiTexCoord4iv","(", toString(target), ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord4iv)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord4s(GLenum target, GLshort s, GLshort t, GLshort r, GLshort q)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord4s","(", toString(target), ", ", s, ", ", t, ", ", r, ", ", q, ")");;
    #endif
    App("glMultiTexCoord4s","(", toString(target), ", ", s, ", ", t, ", ", r, ", ", q, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord4s)(target, s, t, r, q);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord4sv(GLenum target, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord4sv","(", toString(target), ", ", boost::print::array(v,4), ")");;
    #endif
    App("glMultiTexCoord4sv","(", toString(target), ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord4sv)(target, v);
  }

  REGAL_DECL void REGAL_CALL glSampleCoverage(GLclampf value, GLboolean invert)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSampleCoverage","(", value, ", ", toString(invert), ")");;
    #endif
    App("glSampleCoverage","(", value, ", ", toString(invert), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSampleCoverage)(value, invert);
  }

  /* GL_VERSION_1_4 */

  REGAL_DECL void REGAL_CALL glBlendColor(GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBlendColor","(", red, ", ", green, ", ", blue, ", ", alpha, ")");;
    #endif
    App("glBlendColor","(", red, ", ", green, ", ", blue, ", ", alpha, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendColor)(red, green, blue, alpha);
  }

  REGAL_DECL void REGAL_CALL glBlendEquation(GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBlendEquation","(", GLmodeToString(mode), ")");;
    #endif
    App("glBlendEquation","(", GLmodeToString(mode), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendEquation)(mode);
  }

  REGAL_DECL void REGAL_CALL glBlendFuncSeparate(GLenum sfactorRGB, GLenum dfactorRGB, GLenum sfactorAlpha, GLenum dfactorAlpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBlendFuncSeparate","(", toString(sfactorRGB), ", ", toString(dfactorRGB), ", ", toString(sfactorAlpha), ", ", toString(dfactorAlpha), ")");;
    #endif
    App("glBlendFuncSeparate","(", toString(sfactorRGB), ", ", toString(dfactorRGB), ", ", toString(sfactorAlpha), ", ", toString(dfactorAlpha), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendFuncSeparate)(sfactorRGB, dfactorRGB, sfactorAlpha, dfactorAlpha);
  }

  REGAL_DECL void REGAL_CALL glFogCoordPointer(GLenum type, GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFogCoordPointer","(", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");;
    #endif
    App("glFogCoordPointer","(", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFogCoordPointer)(type, stride, pointer);
  }

  REGAL_DECL void REGAL_CALL glFogCoordd(GLdouble coord)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFogCoordd","(", coord, ")");;
    #endif
    App("glFogCoordd","(", coord, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFogCoordd)(coord);
  }

  REGAL_DECL void REGAL_CALL glFogCoorddv(const GLdouble *coord)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFogCoorddv","(", boost::print::array(coord,1), ")");;
    #endif
    App("glFogCoorddv","(", boost::print::array(coord,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFogCoorddv)(coord);
  }

  REGAL_DECL void REGAL_CALL glFogCoordf(GLfloat coord)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFogCoordf","(", coord, ")");;
    #endif
    App("glFogCoordf","(", coord, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFogCoordf)(coord);
  }

  REGAL_DECL void REGAL_CALL glFogCoordfv(const GLfloat *coord)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFogCoordfv","(", boost::print::array(coord,1), ")");;
    #endif
    App("glFogCoordfv","(", boost::print::array(coord,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFogCoordfv)(coord);
  }

  REGAL_DECL void REGAL_CALL glMultiDrawArrays(GLenum mode, const GLint *first, const GLsizei *count, GLsizei drawcount)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiDrawArrays","(", GLmodeToString(mode), ", ", boost::print::array(first,drawcount), ", ", boost::print::array(count,drawcount), ", ", drawcount, ")");;
    #endif
    App("glMultiDrawArrays","(", GLmodeToString(mode), ", ", boost::print::array(first,drawcount), ", ", boost::print::array(count,drawcount), ", ", drawcount, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiDrawArrays)(mode, first, count, drawcount);
  }

  REGAL_DECL void REGAL_CALL glMultiDrawElements(GLenum mode, const GLsizei *count, GLenum type, const GLvoid * const *indices, GLsizei drawcount)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiDrawElements","(", GLmodeToString(mode), ", ", boost::print::array(count,drawcount), ", ", toString(type), ", ", indices, ", ", drawcount, ")");;
    #endif
    App("glMultiDrawElements","(", GLmodeToString(mode), ", ", boost::print::array(count,drawcount), ", ", toString(type), ", ", indices, ", ", drawcount, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiDrawElements)(mode, count, type, indices, drawcount);
  }

  REGAL_DECL void REGAL_CALL glPointParameterf(GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPointParameterf","(", toString(pname), ", ", param, ")");;
    #endif
    App("glPointParameterf","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPointParameterf)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glPointParameterfv(GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPointParameterfv","(", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glPointParameterfv","(", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPointParameterfv)(pname, params);
  }

  REGAL_DECL void REGAL_CALL glPointParameteri(GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPointParameteri","(", toString(pname), ", ", param, ")");;
    #endif
    App("glPointParameteri","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPointParameteri)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glPointParameteriv(GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPointParameteriv","(", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glPointParameteriv","(", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPointParameteriv)(pname, params);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3b(GLbyte red, GLbyte green, GLbyte blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSecondaryColor3b","(", red, ", ", green, ", ", blue, ")");;
    #endif
    App("glSecondaryColor3b","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3b)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3bv(const GLbyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSecondaryColor3bv","(", boost::print::array(v,3), ")");;
    #endif
    App("glSecondaryColor3bv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3bv)(v);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3d(GLdouble red, GLdouble green, GLdouble blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSecondaryColor3d","(", red, ", ", green, ", ", blue, ")");;
    #endif
    App("glSecondaryColor3d","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3d)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3dv(const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSecondaryColor3dv","(", boost::print::array(v,3), ")");;
    #endif
    App("glSecondaryColor3dv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3dv)(v);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3f(GLfloat red, GLfloat green, GLfloat blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSecondaryColor3f","(", red, ", ", green, ", ", blue, ")");;
    #endif
    App("glSecondaryColor3f","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3f)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3fv(const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSecondaryColor3fv","(", boost::print::array(v,3), ")");;
    #endif
    App("glSecondaryColor3fv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3fv)(v);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3i(GLint red, GLint green, GLint blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSecondaryColor3i","(", red, ", ", green, ", ", blue, ")");;
    #endif
    App("glSecondaryColor3i","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3i)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3iv(const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSecondaryColor3iv","(", boost::print::array(v,3), ")");;
    #endif
    App("glSecondaryColor3iv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3iv)(v);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3s(GLshort red, GLshort green, GLshort blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSecondaryColor3s","(", red, ", ", green, ", ", blue, ")");;
    #endif
    App("glSecondaryColor3s","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3s)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3sv(const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSecondaryColor3sv","(", boost::print::array(v,3), ")");;
    #endif
    App("glSecondaryColor3sv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3sv)(v);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3ub(GLubyte red, GLubyte green, GLubyte blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSecondaryColor3ub","(", red, ", ", green, ", ", blue, ")");;
    #endif
    App("glSecondaryColor3ub","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3ub)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3ubv(const GLubyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSecondaryColor3ubv","(", boost::print::array(v,3), ")");;
    #endif
    App("glSecondaryColor3ubv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3ubv)(v);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3ui(GLuint red, GLuint green, GLuint blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSecondaryColor3ui","(", red, ", ", green, ", ", blue, ")");;
    #endif
    App("glSecondaryColor3ui","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3ui)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3uiv(const GLuint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSecondaryColor3uiv","(", boost::print::array(v,3), ")");;
    #endif
    App("glSecondaryColor3uiv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3uiv)(v);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3us(GLushort red, GLushort green, GLushort blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSecondaryColor3us","(", red, ", ", green, ", ", blue, ")");;
    #endif
    App("glSecondaryColor3us","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3us)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3usv(const GLushort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSecondaryColor3usv","(", boost::print::array(v,3), ")");;
    #endif
    App("glSecondaryColor3usv","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3usv)(v);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColorPointer(GLint size, GLenum type, GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSecondaryColorPointer","(", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");;
    #endif
    App("glSecondaryColorPointer","(", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColorPointer)(size, type, stride, pointer);
  }

  REGAL_DECL void REGAL_CALL glWindowPos2d(GLdouble x, GLdouble y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos2d","(", x, ", ", y, ")");;
    #endif
    App("glWindowPos2d","(", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos2d)(x, y);
  }

  REGAL_DECL void REGAL_CALL glWindowPos2dv(const GLdouble *p)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos2dv","(", boost::print::array(p,2), ")");;
    #endif
    App("glWindowPos2dv","(", boost::print::array(p,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos2dv)(p);
  }

  REGAL_DECL void REGAL_CALL glWindowPos2f(GLfloat x, GLfloat y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos2f","(", x, ", ", y, ")");;
    #endif
    App("glWindowPos2f","(", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos2f)(x, y);
  }

  REGAL_DECL void REGAL_CALL glWindowPos2fv(const GLfloat *p)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos2fv","(", boost::print::array(p,2), ")");;
    #endif
    App("glWindowPos2fv","(", boost::print::array(p,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos2fv)(p);
  }

  REGAL_DECL void REGAL_CALL glWindowPos2i(GLint x, GLint y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos2i","(", x, ", ", y, ")");;
    #endif
    App("glWindowPos2i","(", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos2i)(x, y);
  }

  REGAL_DECL void REGAL_CALL glWindowPos2iv(const GLint *p)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos2iv","(", boost::print::array(p,2), ")");;
    #endif
    App("glWindowPos2iv","(", boost::print::array(p,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos2iv)(p);
  }

  REGAL_DECL void REGAL_CALL glWindowPos2s(GLshort x, GLshort y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos2s","(", x, ", ", y, ")");;
    #endif
    App("glWindowPos2s","(", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos2s)(x, y);
  }

  REGAL_DECL void REGAL_CALL glWindowPos2sv(const GLshort *p)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos2sv","(", boost::print::array(p,2), ")");;
    #endif
    App("glWindowPos2sv","(", boost::print::array(p,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos2sv)(p);
  }

  REGAL_DECL void REGAL_CALL glWindowPos3d(GLdouble x, GLdouble y, GLdouble z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos3d","(", x, ", ", y, ", ", z, ")");;
    #endif
    App("glWindowPos3d","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos3d)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glWindowPos3dv(const GLdouble *p)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos3dv","(", boost::print::array(p,3), ")");;
    #endif
    App("glWindowPos3dv","(", boost::print::array(p,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos3dv)(p);
  }

  REGAL_DECL void REGAL_CALL glWindowPos3f(GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos3f","(", x, ", ", y, ", ", z, ")");;
    #endif
    App("glWindowPos3f","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos3f)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glWindowPos3fv(const GLfloat *p)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos3fv","(", boost::print::array(p,3), ")");;
    #endif
    App("glWindowPos3fv","(", boost::print::array(p,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos3fv)(p);
  }

  REGAL_DECL void REGAL_CALL glWindowPos3i(GLint x, GLint y, GLint z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos3i","(", x, ", ", y, ", ", z, ")");;
    #endif
    App("glWindowPos3i","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos3i)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glWindowPos3iv(const GLint *p)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos3iv","(", boost::print::array(p,3), ")");;
    #endif
    App("glWindowPos3iv","(", boost::print::array(p,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos3iv)(p);
  }

  REGAL_DECL void REGAL_CALL glWindowPos3s(GLshort x, GLshort y, GLshort z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos3s","(", x, ", ", y, ", ", z, ")");;
    #endif
    App("glWindowPos3s","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos3s)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glWindowPos3sv(const GLshort *p)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos3sv","(", boost::print::array(p,3), ")");;
    #endif
    App("glWindowPos3sv","(", boost::print::array(p,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos3sv)(p);
  }

  /* GL_VERSION_1_5 */

  REGAL_DECL void REGAL_CALL glBeginQuery(GLenum target, GLuint id)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBeginQuery","(", toString(target), ", ", id, ")");;
    #endif
    App("glBeginQuery","(", toString(target), ", ", id, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBeginQuery)(target, id);
  }

  REGAL_DECL void REGAL_CALL glBindBuffer(GLenum target, GLuint buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindBuffer","(", toString(target), ", ", buffer, ")");;
    #endif
    App("glBindBuffer","(", toString(target), ", ", buffer, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindBuffer)(target, buffer);
  }

  REGAL_DECL void REGAL_CALL glBufferData(GLenum target, GLsizeiptr size, const GLvoid *data, GLenum usage)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBufferData","(", toString(target), ", ", size, ", ", boost::print::raw(data,Logging::rawLimit(data ? size : 0)), ", ", toString(usage), ")");;
    #endif
    App("glBufferData","(", toString(target), ", ", size, ", ", boost::print::raw(data,Logging::rawLimit(data ? size : 0)), ", ", toString(usage), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBufferData)(target, size, data, usage);
  }

  REGAL_DECL void REGAL_CALL glBufferSubData(GLenum target, GLintptr offset, GLsizeiptr size, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBufferSubData","(", toString(target), ", ", offset, ", ", size, ", ", boost::print::raw(data,Logging::rawLimit(data ? size : 0)), ")");;
    #endif
    App("glBufferSubData","(", toString(target), ", ", offset, ", ", size, ", ", boost::print::raw(data,Logging::rawLimit(data ? size : 0)), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBufferSubData)(target, offset, size, data);
  }

  REGAL_DECL void REGAL_CALL glDeleteBuffers(GLsizei n, const GLuint *buffers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDeleteBuffers","(", n, ", ", boost::print::array(buffers,n), ")");;
    #endif
    App("glDeleteBuffers","(", n, ", ", boost::print::array(buffers,n), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteBuffers)(n, buffers);
  }

  REGAL_DECL void REGAL_CALL glDeleteQueries(GLsizei n, const GLuint *ids)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDeleteQueries","(", n, ", ", boost::print::array(ids,n), ")");;
    #endif
    App("glDeleteQueries","(", n, ", ", boost::print::array(ids,n), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteQueries)(n, ids);
  }

  REGAL_DECL void REGAL_CALL glEndQuery(GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEndQuery","(", toString(target), ")");;
    #endif
    App("glEndQuery","(", toString(target), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEndQuery)(target);
  }

  REGAL_DECL void REGAL_CALL glGenBuffers(GLsizei n, GLuint *buffers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGenBuffers","(", n, ")");;
    #endif
    App("glGenBuffers","(", n, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenBuffers)(n, buffers);
  }

  REGAL_DECL void REGAL_CALL glGenQueries(GLsizei n, GLuint *ids)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGenQueries","(", n, ")");;
    #endif
    App("glGenQueries","(", n, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenQueries)(n, ids);
  }

  REGAL_DECL void REGAL_CALL glGetBufferParameteriv(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetBufferParameteriv","(", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetBufferParameteriv","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetBufferParameteriv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetBufferPointerv(GLenum target, GLenum pname, GLvoid **params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetBufferPointerv","(", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetBufferPointerv","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetBufferPointerv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetBufferSubData(GLenum target, GLintptr offset, GLsizeiptr size, GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetBufferSubData","(", toString(target), ", ", offset, ", ", size, ")");;
    #endif
    App("glGetBufferSubData","(", toString(target), ", ", offset, ", ", size, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetBufferSubData)(target, offset, size, data);
  }

  REGAL_DECL void REGAL_CALL glGetQueryObjectiv(GLuint id, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetQueryObjectiv","(", id, ", ", toString(pname), ")");;
    #endif
    App("glGetQueryObjectiv","(", id, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetQueryObjectiv)(id, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetQueryObjectuiv(GLuint id, GLenum pname, GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetQueryObjectuiv","(", id, ", ", toString(pname), ")");;
    #endif
    App("glGetQueryObjectuiv","(", id, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetQueryObjectuiv)(id, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetQueryiv(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetQueryiv","(", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetQueryiv","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetQueryiv)(target, pname, params);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsBuffer(GLuint buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsBuffer","(", buffer, ")");;
    #endif
    App("glIsBuffer","(", buffer, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsBuffer)(buffer);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsQuery(GLuint id)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsQuery","(", id, ")");;
    #endif
    App("glIsQuery","(", id, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsQuery)(id);
  }

  REGAL_DECL void *REGAL_CALL glMapBuffer(GLenum target, GLenum access)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMapBuffer","(", toString(target), ", ", toString(access), ")");;
    #endif
    App("glMapBuffer","(", toString(target), ", ", toString(access), ")");
    if (!_context) return NULL;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glMapBuffer)(target, access);
  }

  REGAL_DECL GLboolean REGAL_CALL glUnmapBuffer(GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUnmapBuffer","(", toString(target), ")");;
    #endif
    App("glUnmapBuffer","(", toString(target), ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glUnmapBuffer)(target);
  }

  /* GL_VERSION_2_0 */

  REGAL_DECL void REGAL_CALL glAttachShader(GLuint program, GLuint shader)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glAttachShader","(", program, ", ", shader, ")");;
    #endif
    App("glAttachShader","(", program, ", ", shader, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glAttachShader)(program, shader);
  }

  REGAL_DECL void REGAL_CALL glBindAttribLocation(GLuint program, GLuint index, const GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindAttribLocation","(", program, ", ", index, ", ", boost::print::quote(name,'"'), ")");;
    #endif
    App("glBindAttribLocation","(", program, ", ", index, ", ", boost::print::quote(name,'"'), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindAttribLocation)(program, index, name);
  }

  REGAL_DECL void REGAL_CALL glBlendEquationSeparate(GLenum modeRGB, GLenum modeAlpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBlendEquationSeparate","(", GLmodeToString(modeRGB), ", ", GLmodeToString(modeAlpha), ")");;
    #endif
    App("glBlendEquationSeparate","(", GLmodeToString(modeRGB), ", ", GLmodeToString(modeAlpha), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendEquationSeparate)(modeRGB, modeAlpha);
  }

  REGAL_DECL void REGAL_CALL glCompileShader(GLuint shader)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCompileShader","(", shader, ")");;
    #endif
    App("glCompileShader","(", shader, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompileShader)(shader);
  }

  REGAL_DECL GLuint REGAL_CALL glCreateProgram(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCreateProgram","()");;
    #endif
    App("glCreateProgram","()");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glCreateProgram)();
  }

  REGAL_DECL GLuint REGAL_CALL glCreateShader(GLenum type)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCreateShader","(", toString(type), ")");;
    #endif
    App("glCreateShader","(", toString(type), ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glCreateShader)(type);
  }

  REGAL_DECL void REGAL_CALL glDeleteProgram(GLuint program)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDeleteProgram","(", program, ")");;
    #endif
    App("glDeleteProgram","(", program, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteProgram)(program);
  }

  REGAL_DECL void REGAL_CALL glDeleteShader(GLuint shader)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDeleteShader","(", shader, ")");;
    #endif
    App("glDeleteShader","(", shader, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteShader)(shader);
  }

  REGAL_DECL void REGAL_CALL glDetachShader(GLuint program, GLuint shader)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDetachShader","(", program, ", ", shader, ")");;
    #endif
    App("glDetachShader","(", program, ", ", shader, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDetachShader)(program, shader);
  }

  REGAL_DECL void REGAL_CALL glDisableVertexAttribArray(GLuint index)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDisableVertexAttribArray","(", index, ")");;
    #endif
    App("glDisableVertexAttribArray","(", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDisableVertexAttribArray)(index);
  }

  REGAL_DECL void REGAL_CALL glDrawBuffers(GLsizei n, const GLenum *bufs)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDrawBuffers","(", n, ", ", boost::print::array(bufs,n), ")");;
    #endif
    App("glDrawBuffers","(", n, ", ", boost::print::array(bufs,n), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawBuffers)(n, bufs);
  }

  REGAL_DECL void REGAL_CALL glEnableVertexAttribArray(GLuint index)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEnableVertexAttribArray","(", index, ")");;
    #endif
    App("glEnableVertexAttribArray","(", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEnableVertexAttribArray)(index);
  }

  REGAL_DECL void REGAL_CALL glGetActiveAttrib(GLuint program, GLuint index, GLsizei bufSize, GLsizei *length, GLint *size, GLenum *type, GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetActiveAttrib","(", program, ", ", index, ", ", bufSize, ")");;
    #endif
    App("glGetActiveAttrib","(", program, ", ", index, ", ", bufSize, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetActiveAttrib)(program, index, bufSize, length, size, type, name);
  }

  REGAL_DECL void REGAL_CALL glGetActiveUniform(GLuint program, GLuint index, GLsizei bufSize, GLsizei *length, GLint *size, GLenum *type, GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetActiveUniform","(", program, ", ", index, ", ", bufSize, ")");;
    #endif
    App("glGetActiveUniform","(", program, ", ", index, ", ", bufSize, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetActiveUniform)(program, index, bufSize, length, size, type, name);
  }

  REGAL_DECL void REGAL_CALL glGetAttachedShaders(GLuint program, GLsizei maxCount, GLsizei *count, GLuint *shaders)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetAttachedShaders","(", program, ", ", maxCount, ")");;
    #endif
    App("glGetAttachedShaders","(", program, ", ", maxCount, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetAttachedShaders)(program, maxCount, count, shaders);
  }

  REGAL_DECL GLint REGAL_CALL glGetAttribLocation(GLuint program, const GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetAttribLocation","(", program, ", ", boost::print::quote(name,'"'), ")");;
    #endif
    App("glGetAttribLocation","(", program, ", ", boost::print::quote(name,'"'), ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetAttribLocation)(program, name);
  }

  REGAL_DECL void REGAL_CALL glGetProgramInfoLog(GLuint program, GLsizei bufSize, GLsizei *length, GLchar *infoLog)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetProgramInfoLog","(", program, ", ", bufSize, ")");;
    #endif
    App("glGetProgramInfoLog","(", program, ", ", bufSize, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramInfoLog)(program, bufSize, length, infoLog);
  }

  REGAL_DECL void REGAL_CALL glGetProgramiv(GLuint program, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetProgramiv","(", program, ", ", toString(pname), ")");;
    #endif
    App("glGetProgramiv","(", program, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramiv)(program, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetShaderInfoLog(GLuint shader, GLsizei bufSize, GLsizei *length, GLchar *infoLog)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetShaderInfoLog","(", shader, ", ", bufSize, ")");;
    #endif
    App("glGetShaderInfoLog","(", shader, ", ", bufSize, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetShaderInfoLog)(shader, bufSize, length, infoLog);
  }

  REGAL_DECL void REGAL_CALL glGetShaderSource(GLuint shader, GLsizei bufSize, GLsizei *length, GLchar *source)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetShaderSource","(", shader, ", ", bufSize, ")");;
    #endif
    App("glGetShaderSource","(", shader, ", ", bufSize, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetShaderSource)(shader, bufSize, length, source);
  }

  REGAL_DECL void REGAL_CALL glGetShaderiv(GLuint shader, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetShaderiv","(", shader, ", ", toString(pname), ")");;
    #endif
    App("glGetShaderiv","(", shader, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetShaderiv)(shader, pname, params);
  }

  REGAL_DECL GLint REGAL_CALL glGetUniformLocation(GLuint program, const GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetUniformLocation","(", program, ", ", boost::print::quote(reinterpret_cast<const char *>(name),'"'), ")");;
    #endif
    App("glGetUniformLocation","(", program, ", ", boost::print::quote(reinterpret_cast<const char *>(name),'"'), ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetUniformLocation)(program, name);
  }

  REGAL_DECL void REGAL_CALL glGetUniformfv(GLuint program, GLint location, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetUniformfv","(", program, ", ", location, ")");;
    #endif
    App("glGetUniformfv","(", program, ", ", location, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetUniformfv)(program, location, params);
  }

  REGAL_DECL void REGAL_CALL glGetUniformiv(GLuint program, GLint location, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetUniformiv","(", program, ", ", location, ")");;
    #endif
    App("glGetUniformiv","(", program, ", ", location, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetUniformiv)(program, location, params);
  }

  REGAL_DECL void REGAL_CALL glGetVertexAttribPointerv(GLuint index, GLenum pname, GLvoid **pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetVertexAttribPointerv","(", index, ", ", toString(pname), ")");;
    #endif
    App("glGetVertexAttribPointerv","(", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexAttribPointerv)(index, pname, pointer);
  }

  REGAL_DECL void REGAL_CALL glGetVertexAttribdv(GLuint index, GLenum pname, GLdouble *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetVertexAttribdv","(", index, ", ", toString(pname), ")");;
    #endif
    App("glGetVertexAttribdv","(", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexAttribdv)(index, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetVertexAttribfv(GLuint index, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetVertexAttribfv","(", index, ", ", toString(pname), ")");;
    #endif
    App("glGetVertexAttribfv","(", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexAttribfv)(index, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetVertexAttribiv(GLuint index, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetVertexAttribiv","(", index, ", ", toString(pname), ")");;
    #endif
    App("glGetVertexAttribiv","(", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexAttribiv)(index, pname, params);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsProgram(GLuint program)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsProgram","(", program, ")");;
    #endif
    App("glIsProgram","(", program, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsProgram)(program);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsShader(GLuint shader)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsShader","(", shader, ")");;
    #endif
    App("glIsShader","(", shader, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsShader)(shader);
  }

  REGAL_DECL void REGAL_CALL glLinkProgram(GLuint program)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glLinkProgram","(", program, ")");;
    #endif
    App("glLinkProgram","(", program, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLinkProgram)(program);
  }

  REGAL_DECL void REGAL_CALL glShaderSource(GLuint shader, GLsizei count, const GLchar * const *string, const GLint *length)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glShaderSource","(", shader, ", ", count, ", ", boost::print::array(reinterpret_cast<const char * const *>(string),string ? count : 0,"\""), ", ", boost::print::array(length,length ? count : 0), ")");;
    #endif
    App("glShaderSource","(", shader, ", ", count, ", ", boost::print::array(reinterpret_cast<const char * const *>(string),string ? count : 0,"\""), ", ", boost::print::array(length,length ? count : 0), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    if (REGAL_CACHE && REGAL_CACHE_SHADER)
    {
      Cache::shaderSource(_next->call(&_next->glShaderSource), shader, count, string, length);
      return;
    }
    _next->call(&_next->glShaderSource)(shader, count, string, length);
  }

  REGAL_DECL void REGAL_CALL glStencilFuncSeparate(GLenum face, GLenum func, GLint ref, GLuint mask)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glStencilFuncSeparate","(", toString(face), ", ", toString(func), ", ", boost::print::hex(ref), ", ", boost::print::hex(mask), ")");;
    #endif
    App("glStencilFuncSeparate","(", toString(face), ", ", toString(func), ", ", boost::print::hex(ref), ", ", boost::print::hex(mask), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glStencilFuncSeparate)(face, func, ref, mask);
  }

  REGAL_DECL void REGAL_CALL glStencilMaskSeparate(GLenum face, GLuint mask)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glStencilMaskSeparate","(", toString(face), ", ", boost::print::hex(mask), ")");;
    #endif
    App("glStencilMaskSeparate","(", toString(face), ", ", boost::print::hex(mask), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glStencilMaskSeparate)(face, mask);
  }

  REGAL_DECL void REGAL_CALL glStencilOpSeparate(GLenum face, GLenum sfail, GLenum dpfail, GLenum dppass)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glStencilOpSeparate","(", toString(face), ", ", toString(sfail), ", ", toString(dpfail), ", ", toString(dppass), ")");;
    #endif
    App("glStencilOpSeparate","(", toString(face), ", ", toString(sfail), ", ", toString(dpfail), ", ", toString(dppass), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glStencilOpSeparate)(face, sfail, dpfail, dppass);
  }

  REGAL_DECL void REGAL_CALL glUniform1f(GLint location, GLfloat v0)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform1f","(", location, ", ", v0, ")");;
    #endif
    App("glUniform1f","(", location, ", ", v0, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform1f)(location, v0);
  }

  REGAL_DECL void REGAL_CALL glUniform1fv(GLint location, GLsizei count, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform1fv","(", location, ", ", count, ", ", boost::print::array(value,1 * count), ")");;
    #endif
    App("glUniform1fv","(", location, ", ", count, ", ", boost::print::array(value,1 * count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform1fv)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform1i(GLint location, GLint v0)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform1i","(", location, ", ", v0, ")");;
    #endif
    App("glUniform1i","(", location, ", ", v0, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform1i)(location, v0);
  }

  REGAL_DECL void REGAL_CALL glUniform1iv(GLint location, GLsizei count, const GLint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform1iv","(", location, ", ", count, ", ", boost::print::array(value,count), ")");;
    #endif
    App("glUniform1iv","(", location, ", ", count, ", ", boost::print::array(value,count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform1iv)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform2f(GLint location, GLfloat v0, GLfloat v1)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform2f","(", location, ", ", v0, ", ", v1, ")");;
    #endif
    App("glUniform2f","(", location, ", ", v0, ", ", v1, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform2f)(location, v0, v1);
  }

  REGAL_DECL void REGAL_CALL glUniform2fv(GLint location, GLsizei count, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform2fv","(", location, ", ", count, ", ", boost::print::array(value,count), ")");;
    #endif
    App("glUniform2fv","(", location, ", ", count, ", ", boost::print::array(value,count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform2fv)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform2i(GLint location, GLint v0, GLint v1)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform2i","(", location, ", ", v0, ", ", v1, ")");;
    #endif
    App("glUniform2i","(", location, ", ", v0, ", ", v1, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform2i)(location, v0, v1);
  }

  REGAL_DECL void REGAL_CALL glUniform2iv(GLint location, GLsizei count, const GLint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform2iv","(", location, ", ", count, ", ", boost::print::array(value,2 * count), ")");;
    #endif
    App("glUniform2iv","(", location, ", ", count, ", ", boost::print::array(value,2 * count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform2iv)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform3f(GLint location, GLfloat v0, GLfloat v1, GLfloat v2)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform3f","(", location, ", ", v0, ", ", v1, ", ", v2, ")");;
    #endif
    App("glUniform3f","(", location, ", ", v0, ", ", v1, ", ", v2, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform3f)(location, v0, v1, v2);
  }

  REGAL_DECL void REGAL_CALL glUniform3fv(GLint location, GLsizei count, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform3fv","(", location, ", ", count, ", ", boost::print::array(value,3 * count), ")");;
    #endif
    App("glUniform3fv","(", location, ", ", count, ", ", boost::print::array(value,3 * count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform3fv)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform3i(GLint location, GLint v0, GLint v1, GLint v2)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform3i","(", location, ", ", v0, ", ", v1, ", ", v2, ")");;
    #endif
    App("glUniform3i","(", location, ", ", v0, ", ", v1, ", ", v2, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform3i)(location, v0, v1, v2);
  }

  REGAL_DECL void REGAL_CALL glUniform3iv(GLint location, GLsizei count, const GLint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform3iv","(", location, ", ", count, ", ", boost::print::array(value,3 * count), ")");;
    #endif
    App("glUniform3iv","(", location, ", ", count, ", ", boost::print::array(value,3 * count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform3iv)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform4f(GLint location, GLfloat v0, GLfloat v1, GLfloat v2, GLfloat v3)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform4f","(", location, ", ", v0, ", ", v1, ", ", v2, ", ", v3, ")");;
    #endif
    App("glUniform4f","(", location, ", ", v0, ", ", v1, ", ", v2, ", ", v3, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform4f)(location, v0, v1, v2, v3);
  }

  REGAL_DECL void REGAL_CALL glUniform4fv(GLint location, GLsizei count, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform4fv","(", location, ", ", count, ", ", boost::print::array(value,4 * count), ")");;
    #endif
    App("glUniform4fv","(", location, ", ", count, ", ", boost::print::array(value,4 * count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform4fv)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform4i(GLint location, GLint v0, GLint v1, GLint v2, GLint v3)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform4i","(", location, ", ", v0, ", ", v1, ", ", v2, ", ", v3, ")");;
    #endif
    App("glUniform4i","(", location, ", ", v0, ", ", v1, ", ", v2, ", ", v3, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform4i)(location, v0, v1, v2, v3);
  }

  REGAL_DECL void REGAL_CALL glUniform4iv(GLint location, GLsizei count, const GLint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform4iv","(", location, ", ", count, ", ", boost::print::array(value,4 * count), ")");;
    #endif
    App("glUniform4iv","(", location, ", ", count, ", ", boost::print::array(value,4 * count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform4iv)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniformMatrix2fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniformMatrix2fv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,2 * 2 * count), ")");;
    #endif
    App("glUniformMatrix2fv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,2 * 2 * count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformMatrix2fv)(location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glUniformMatrix3fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniformMatrix3fv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,3 * 3 * count), ")");;
    #endif
    App("glUniformMatrix3fv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,3 * 3 * count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformMatrix3fv)(location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glUniformMatrix4fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniformMatrix4fv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,4 * 4 * count), ")");;
    #endif
    App("glUniformMatrix4fv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,4 * 4 * count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformMatrix4fv)(location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glUseProgram(GLuint program)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUseProgram","(", program, ")");;
    #endif
    App("glUseProgram","(", program, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUseProgram)(program);
  }

  REGAL_DECL void REGAL_CALL glValidateProgram(GLuint program)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glValidateProgram","(", program, ")");;
    #endif
    App("glValidateProgram","(", program, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glValidateProgram)(program);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib1d(GLuint index, GLdouble x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib1d","(", index, ", ", x, ")");;
    #endif
    App("glVertexAttrib1d","(", index, ", ", x, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib1d)(index, x);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib1dv(GLuint index, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib1dv","(", index, ", ", boost::print::array(v,1), ")");;
    #endif
    App("glVertexAttrib1dv","(", index, ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib1dv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib1f(GLuint index, GLfloat x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib1f","(", index, ", ", x, ")");;
    #endif
    App("glVertexAttrib1f","(", index, ", ", x, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib1f)(index, x);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib1fv(GLuint index, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib1fv","(", index, ", ", boost::print::array(v,1), ")");;
    #endif
    App("glVertexAttrib1fv","(", index, ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib1fv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib1s(GLuint index, GLshort x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib1s","(", index, ", ", x, ")");;
    #endif
    App("glVertexAttrib1s","(", index, ", ", x, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib1s)(index, x);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib1sv(GLuint index, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib1sv","(", index, ", ", boost::print::array(v,1), ")");;
    #endif
    App("glVertexAttrib1sv","(", index, ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib1sv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib2d(GLuint index, GLdouble x, GLdouble y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib2d","(", index, ", ", x, ", ", y, ")");;
    #endif
    App("glVertexAttrib2d","(", index, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib2d)(index, x, y);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib2dv(GLuint index, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib2dv","(", index, ", ", boost::print::array(v,2), ")");;
    #endif
    App("glVertexAttrib2dv","(", index, ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib2dv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib2f(GLuint index, GLfloat x, GLfloat y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib2f","(", index, ", ", x, ", ", y, ")");;
    #endif
    App("glVertexAttrib2f","(", index, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib2f)(index, x, y);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib2fv(GLuint index, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib2fv","(", index, ", ", boost::print::array(v,2), ")");;
    #endif
    App("glVertexAttrib2fv","(", index, ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib2fv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib2s(GLuint index, GLshort x, GLshort y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib2s","(", index, ", ", x, ", ", y, ")");;
    #endif
    App("glVertexAttrib2s","(", index, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib2s)(index, x, y);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib2sv(GLuint index, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib2sv","(", index, ", ", boost::print::array(v,2), ")");;
    #endif
    App("glVertexAttrib2sv","(", index, ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib2sv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib3d(GLuint index, GLdouble x, GLdouble y, GLdouble z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib3d","(", index, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glVertexAttrib3d","(", index, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib3d)(index, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib3dv(GLuint index, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib3dv","(", index, ", ", boost::print::array(v,3), ")");;
    #endif
    App("glVertexAttrib3dv","(", index, ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib3dv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib3f(GLuint index, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib3f","(", index, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glVertexAttrib3f","(", index, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib3f)(index, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib3fv(GLuint index, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib3fv","(", index, ", ", boost::print::array(v,3), ")");;
    #endif
    App("glVertexAttrib3fv","(", index, ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib3fv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib3s(GLuint index, GLshort x, GLshort y, GLshort z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib3s","(", index, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glVertexAttrib3s","(", index, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib3s)(index, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib3sv(GLuint index, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib3sv","(", index, ", ", boost::print::array(v,3), ")");;
    #endif
    App("glVertexAttrib3sv","(", index, ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib3sv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4Nbv(GLuint index, const GLbyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib4Nbv","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glVertexAttrib4Nbv","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4Nbv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4Niv(GLuint index, const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib4Niv","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glVertexAttrib4Niv","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4Niv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4Nsv(GLuint index, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib4Nsv","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glVertexAttrib4Nsv","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4Nsv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4Nub(GLuint index, GLubyte x, GLubyte y, GLubyte z, GLubyte w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib4Nub","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glVertexAttrib4Nub","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4Nub)(index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4Nubv(GLuint index, const GLubyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib4Nubv","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glVertexAttrib4Nubv","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4Nubv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4Nuiv(GLuint index, const GLuint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib4Nuiv","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glVertexAttrib4Nuiv","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4Nuiv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4Nusv(GLuint index, const GLushort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib4Nusv","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glVertexAttrib4Nusv","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4Nusv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4bv(GLuint index, const GLbyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib4bv","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glVertexAttrib4bv","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4bv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4d(GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib4d","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glVertexAttrib4d","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4d)(index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4dv(GLuint index, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib4dv","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glVertexAttrib4dv","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4dv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4f(GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib4f","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glVertexAttrib4f","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4f)(index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4fv(GLuint index, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib4fv","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glVertexAttrib4fv","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4fv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4iv(GLuint index, const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib4iv","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glVertexAttrib4iv","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4iv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4s(GLuint index, GLshort x, GLshort y, GLshort z, GLshort w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib4s","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glVertexAttrib4s","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4s)(index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4sv(GLuint index, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib4sv","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glVertexAttrib4sv","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4sv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4ubv(GLuint index, const GLubyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib4ubv","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glVertexAttrib4ubv","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4ubv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4uiv(GLuint index, const GLuint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib4uiv","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glVertexAttrib4uiv","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4uiv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4usv(GLuint index, const GLushort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib4usv","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glVertexAttrib4usv","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4usv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribPointer(GLuint index, GLint size, GLenum type, GLboolean normalized, GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribPointer","(", index, ", ", size, ", ", toString(type), ", ", toString(normalized), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");;
    #endif
    App("glVertexAttribPointer","(", index, ", ", size, ", ", toString(type), ", ", toString(normalized), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribPointer)(index, size, type, normalized, stride, pointer);
  }

  /* GL_VERSION_2_1 */

  REGAL_DECL void REGAL_CALL glUniformMatrix2x3fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniformMatrix2x3fv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,2 * 3 * count), ")");;
    #endif
    App("glUniformMatrix2x3fv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,2 * 3 * count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformMatrix2x3fv)(location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glUniformMatrix2x4fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniformMatrix2x4fv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,2 * 4 * count), ")");;
    #endif
    App("glUniformMatrix2x4fv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,2 * 4 * count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformMatrix2x4fv)(location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glUniformMatrix3x2fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniformMatrix3x2fv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,3 * 2 * count), ")");;
    #endif
    App("glUniformMatrix3x2fv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,3 * 2 * count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformMatrix3x2fv)(location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glUniformMatrix3x4fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniformMatrix3x4fv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,3 * 4 * count), ")");;
    #endif
    App("glUniformMatrix3x4fv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,3 * 4 * count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformMatrix3x4fv)(location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glUniformMatrix4x2fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniformMatrix4x2fv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,4 * 2 * count), ")");;
    #endif
    App("glUniformMatrix4x2fv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,4 * 2 * count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformMatrix4x2fv)(location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glUniformMatrix4x3fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniformMatrix4x3fv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,4 * 3 * count), ")");;
    #endif
    App("glUniformMatrix4x3fv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,4 * 3 * count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformMatrix4x3fv)(location, count, transpose, value);
  }

  /* GL_VERSION_3_0 */

  REGAL_DECL void REGAL_CALL glBeginConditionalRender(GLuint id, GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBeginConditionalRender","(", id, ", ", GLmodeToString(mode), ")");;
    #endif
    App("glBeginConditionalRender","(", id, ", ", GLmodeToString(mode), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBeginConditionalRender)(id, mode);
  }

  REGAL_DECL void REGAL_CALL glBeginTransformFeedback(GLenum primitiveMode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBeginTransformFeedback","(", toString(primitiveMode), ")");;
    #endif
    App("glBeginTransformFeedback","(", toString(primitiveMode), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBeginTransformFeedback)(primitiveMode);
  }

  REGAL_DECL void REGAL_CALL glBindFragDataLocation(GLuint program, GLuint color, const GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindFragDataLocation","(", program, ", ", color, ", ", boost::print::quote(name,'"'), ")");;
    #endif
    App("glBindFragDataLocation","(", program, ", ", color, ", ", boost::print::quote(name,'"'), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindFragDataLocation)(program, color, name);
  }

  REGAL_DECL void REGAL_CALL glClampColor(GLenum target, GLenum clamp)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glClampColor","(", toString(target), ", ", toString(clamp), ")");;
    #endif
    App("glClampColor","(", toString(target), ", ", toString(clamp), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClampColor)(target, clamp);
  }

  REGAL_DECL void REGAL_CALL glClearBufferfi(GLenum buffer, GLint drawbuffer, GLfloat depth, GLint stencil)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glClearBufferfi","(", toString(buffer), ", ", drawbuffer, ", ", depth, ", ", stencil, ")");;
    #endif
    App("glClearBufferfi","(", toString(buffer), ", ", drawbuffer, ", ", depth, ", ", stencil, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClearBufferfi)(buffer, drawbuffer, depth, stencil);
  }

  REGAL_DECL void REGAL_CALL glClearBufferfv(GLenum buffer, GLint drawbuffer, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glClearBufferfv","(", toString(buffer), ", ", drawbuffer, ", ", boost::print::optional(value,Logging::pointers), ")");;
    #endif
    App("glClearBufferfv","(", toString(buffer), ", ", drawbuffer, ", ", boost::print::optional(value,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClearBufferfv)(buffer, drawbuffer, value);
  }

  REGAL_DECL void REGAL_CALL glClearBufferiv(GLenum buffer, GLint drawbuffer, const GLint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glClearBufferiv","(", toString(buffer), ", ", drawbuffer, ", ", boost::print::optional(value,Logging::pointers), ")");;
    #endif
    App("glClearBufferiv","(", toString(buffer), ", ", drawbuffer, ", ", boost::print::optional(value,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClearBufferiv)(buffer, drawbuffer, value);
  }

  REGAL_DECL void REGAL_CALL glClearBufferuiv(GLenum buffer, GLint drawbuffer, const GLuint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glClearBufferuiv","(", toString(buffer), ", ", drawbuffer, ", ", boost::print::optional(value,Logging::pointers), ")");;
    #endif
    App("glClearBufferuiv","(", toString(buffer), ", ", drawbuffer, ", ", boost::print::optional(value,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClearBufferuiv)(buffer, drawbuffer, value);
  }

  REGAL_DECL void REGAL_CALL glColorMaski(GLuint index, GLboolean r, GLboolean g, GLboolean b, GLboolean a)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColorMaski","(", index, ", ", toString(r), ", ", toString(g), ", ", toString(b), ", ", toString(a), ")");;
    #endif
    App("glColorMaski","(", index, ", ", toString(r), ", ", toString(g), ", ", toString(b), ", ", toString(a), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorMaski)(index, r, g, b, a);
  }

  REGAL_DECL void REGAL_CALL glDisablei(GLenum target, GLuint index)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDisablei","(", toString(target), ", ", index, ")");;
    #endif
    App("glDisablei","(", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDisablei)(target, index);
  }

  REGAL_DECL void REGAL_CALL glEnablei(GLenum target, GLuint index)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEnablei","(", toString(target), ", ", index, ")");;
    #endif
    App("glEnablei","(", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEnablei)(target, index);
  }

  REGAL_DECL void REGAL_CALL glEndConditionalRender(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEndConditionalRender","()");;
    #endif
    App("glEndConditionalRender","()");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEndConditionalRender)();
  }

  REGAL_DECL void REGAL_CALL glEndTransformFeedback(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEndTransformFeedback","()");;
    #endif
    App("glEndTransformFeedback","()");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEndTransformFeedback)();
  }

  REGAL_DECL void REGAL_CALL glGetBooleani_v(GLenum target, GLuint index, GLboolean *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetBooleani_v","(", toString(target), ", ", index, ")");;
    #endif
    App("glGetBooleani_v","(", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetBooleani_v)(target, index, data);
  }

  REGAL_DECL GLint REGAL_CALL glGetFragDataLocation(GLuint program, const GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetFragDataLocation","(", program, ", ", boost::print::quote(name,'"'), ")");;
    #endif
    App("glGetFragDataLocation","(", program, ", ", boost::print::quote(name,'"'), ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetFragDataLocation)(program, name);
  }

  REGAL_DECL const GLubyte *REGAL_CALL glGetStringi(GLenum name, GLuint index)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetStringi","(", toString(name), ", ", index, ")");;
    #endif
    App("glGetStringi","(", toString(name), ", ", index, ")");
    if (!_context) return NULL;
    // Regal interceptions
    switch (name)
    {
      case GL_EXTENSIONS:
      {
        std::set<std::string>::iterator it = _context->extensionsSet.begin();
        std::advance(it, index);
        return reinterpret_cast<const GLubyte *>(it->c_str());
      };
      default:
        break;
    }
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetStringi)(name, index);
  }

  REGAL_DECL void REGAL_CALL glGetTexParameterIiv(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTexParameterIiv","(", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetTexParameterIiv","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTexParameterIiv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetTexParameterIuiv(GLenum target, GLenum pname, GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTexParameterIuiv","(", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetTexParameterIuiv","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTexParameterIuiv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetTransformFeedbackVarying(GLuint program, GLuint index, GLsizei bufSize, GLsizei *length, GLsizei *size, GLenum *type, GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTransformFeedbackVarying","(", program, ", ", index, ", ", bufSize, ")");;
    #endif
    App("glGetTransformFeedbackVarying","(", program, ", ", index, ", ", bufSize, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTransformFeedbackVarying)(program, index, bufSize, length, size, type, name);
  }

  REGAL_DECL void REGAL_CALL glGetUniformuiv(GLuint program, GLint location, GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetUniformuiv","(", program, ", ", location, ")");;
    #endif
    App("glGetUniformuiv","(", program, ", ", location, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetUniformuiv)(program, location, params);
  }

  REGAL_DECL void REGAL_CALL glGetVertexAttribIiv(GLuint index, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetVertexAttribIiv","(", index, ", ", toString(pname), ")");;
    #endif
    App("glGetVertexAttribIiv","(", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexAttribIiv)(index, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetVertexAttribIuiv(GLuint index, GLenum pname, GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetVertexAttribIuiv","(", index, ", ", toString(pname), ")");;
    #endif
    App("glGetVertexAttribIuiv","(", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexAttribIuiv)(index, pname, params);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsEnabledi(GLenum target, GLuint index)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsEnabledi","(", toString(target), ", ", index, ")");;
    #endif
    App("glIsEnabledi","(", toString(target), ", ", index, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsEnabledi)(target, index);
  }

  REGAL_DECL void REGAL_CALL glTexParameterIiv(GLenum target, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexParameterIiv","(", toString(target), ", ", toString(pname), ", ", GLTexParameterToString(pname,params), ")");;
    #endif
    App("glTexParameterIiv","(", toString(target), ", ", toString(pname), ", ", GLTexParameterToString(pname,params), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexParameterIiv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glTexParameterIuiv(GLenum target, GLenum pname, const GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexParameterIuiv","(", toString(target), ", ", toString(pname), ", ", GLTexParameterToString(pname,params), ")");;
    #endif
    App("glTexParameterIuiv","(", toString(target), ", ", toString(pname), ", ", GLTexParameterToString(pname,params), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexParameterIuiv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glTransformFeedbackVaryings(GLuint program, GLsizei count, const GLchar * const *varyings, GLenum bufferMode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTransformFeedbackVaryings","(", program, ", ", count, ", ", boost::print::array(varyings,count,"\""), ", ", toString(bufferMode), ")");;
    #endif
    App("glTransformFeedbackVaryings","(", program, ", ", count, ", ", boost::print::array(varyings,count,"\""), ", ", toString(bufferMode), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTransformFeedbackVaryings)(program, count, varyings, bufferMode);
  }

  REGAL_DECL void REGAL_CALL glUniform1ui(GLint location, GLuint v0)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform1ui","(", location, ", ", v0, ")");;
    #endif
    App("glUniform1ui","(", location, ", ", v0, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform1ui)(location, v0);
  }

  REGAL_DECL void REGAL_CALL glUniform1uiv(GLint location, GLsizei count, const GLuint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform1uiv","(", location, ", ", count, ", ", boost::print::array(value,count), ")");;
    #endif
    App("glUniform1uiv","(", location, ", ", count, ", ", boost::print::array(value,count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform1uiv)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform2ui(GLint location, GLuint v0, GLuint v1)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform2ui","(", location, ", ", v0, ", ", v1, ")");;
    #endif
    App("glUniform2ui","(", location, ", ", v0, ", ", v1, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform2ui)(location, v0, v1);
  }

  REGAL_DECL void REGAL_CALL glUniform2uiv(GLint location, GLsizei count, const GLuint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform2uiv","(", location, ", ", count, ", ", boost::print::array(value,count * 2), ")");;
    #endif
    App("glUniform2uiv","(", location, ", ", count, ", ", boost::print::array(value,count * 2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform2uiv)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform3ui(GLint location, GLuint v0, GLuint v1, GLuint v2)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform3ui","(", location, ", ", v0, ", ", v1, ", ", v2, ")");;
    #endif
    App("glUniform3ui","(", location, ", ", v0, ", ", v1, ", ", v2, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform3ui)(location, v0, v1, v2);
  }

  REGAL_DECL void REGAL_CALL glUniform3uiv(GLint location, GLsizei count, const GLuint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform3uiv","(", location, ", ", count, ", ", boost::print::array(value,count * 3), ")");;
    #endif
    App("glUniform3uiv","(", location, ", ", count, ", ", boost::print::array(value,count * 3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform3uiv)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform4ui(GLint location, GLuint v0, GLuint v1, GLuint v2, GLuint v3)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform4ui","(", location, ", ", v0, ", ", v1, ", ", v2, ", ", v3, ")");;
    #endif
    App("glUniform4ui","(", location, ", ", v0, ", ", v1, ", ", v2, ", ", v3, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform4ui)(location, v0, v1, v2, v3);
  }

  REGAL_DECL void REGAL_CALL glUniform4uiv(GLint location, GLsizei count, const GLuint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform4uiv","(", location, ", ", count, ", ", boost::print::array(value,count * 4), ")");;
    #endif
    App("glUniform4uiv","(", location, ", ", count, ", ", boost::print::array(value,count * 4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform4uiv)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI1i(GLuint index, GLint x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribI1i","(", index, ", ", x, ")");;
    #endif
    App("glVertexAttribI1i","(", index, ", ", x, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI1i)(index, x);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI1iv(GLuint index, const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribI1iv","(", index, ", ", boost::print::array(v,1), ")");;
    #endif
    App("glVertexAttribI1iv","(", index, ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI1iv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI1ui(GLuint index, GLuint x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribI1ui","(", index, ", ", x, ")");;
    #endif
    App("glVertexAttribI1ui","(", index, ", ", x, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI1ui)(index, x);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI1uiv(GLuint index, const GLuint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribI1uiv","(", index, ", ", boost::print::array(v,1), ")");;
    #endif
    App("glVertexAttribI1uiv","(", index, ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI1uiv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI2i(GLuint index, GLint x, GLint y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribI2i","(", index, ", ", x, ", ", y, ")");;
    #endif
    App("glVertexAttribI2i","(", index, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI2i)(index, x, y);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI2iv(GLuint index, const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribI2iv","(", index, ", ", boost::print::array(v,2), ")");;
    #endif
    App("glVertexAttribI2iv","(", index, ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI2iv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI2ui(GLuint index, GLuint x, GLuint y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribI2ui","(", index, ", ", x, ", ", y, ")");;
    #endif
    App("glVertexAttribI2ui","(", index, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI2ui)(index, x, y);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI2uiv(GLuint index, const GLuint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribI2uiv","(", index, ", ", boost::print::array(v,2), ")");;
    #endif
    App("glVertexAttribI2uiv","(", index, ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI2uiv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI3i(GLuint index, GLint x, GLint y, GLint z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribI3i","(", index, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glVertexAttribI3i","(", index, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI3i)(index, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI3iv(GLuint index, const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribI3iv","(", index, ", ", boost::print::array(v,3), ")");;
    #endif
    App("glVertexAttribI3iv","(", index, ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI3iv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI3ui(GLuint index, GLuint x, GLuint y, GLuint z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribI3ui","(", index, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glVertexAttribI3ui","(", index, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI3ui)(index, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI3uiv(GLuint index, const GLuint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribI3uiv","(", index, ", ", boost::print::array(v,3), ")");;
    #endif
    App("glVertexAttribI3uiv","(", index, ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI3uiv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI4bv(GLuint index, const GLbyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribI4bv","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glVertexAttribI4bv","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI4bv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI4i(GLuint index, GLint x, GLint y, GLint z, GLint w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribI4i","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glVertexAttribI4i","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI4i)(index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI4iv(GLuint index, const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribI4iv","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glVertexAttribI4iv","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI4iv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI4sv(GLuint index, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribI4sv","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glVertexAttribI4sv","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI4sv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI4ubv(GLuint index, const GLubyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribI4ubv","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glVertexAttribI4ubv","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI4ubv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI4ui(GLuint index, GLuint x, GLuint y, GLuint z, GLuint w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribI4ui","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glVertexAttribI4ui","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI4ui)(index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI4uiv(GLuint index, const GLuint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribI4uiv","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glVertexAttribI4uiv","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI4uiv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI4usv(GLuint index, const GLushort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribI4usv","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glVertexAttribI4usv","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI4usv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribIPointer(GLuint index, GLint size, GLenum type, GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribIPointer","(", index, ", ", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");;
    #endif
    App("glVertexAttribIPointer","(", index, ", ", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribIPointer)(index, size, type, stride, pointer);
  }

  /* GL_VERSION_3_1 */

  REGAL_DECL void REGAL_CALL glDrawArraysInstanced(GLenum mode, GLint first, GLsizei count, GLsizei instancecount)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDrawArraysInstanced","(", GLmodeToString(mode), ", ", first, ", ", count, ", ", instancecount, ")");;
    #endif
    App("glDrawArraysInstanced","(", GLmodeToString(mode), ", ", first, ", ", count, ", ", instancecount, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawArraysInstanced)(mode, first, count, instancecount);
  }

  REGAL_DECL void REGAL_CALL glDrawElementsInstanced(GLenum mode, GLsizei count, GLenum type, const GLvoid *indices, GLsizei instancecount)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDrawElementsInstanced","(", GLmodeToString(mode), ", ", count, ", ", toString(type), ", ", boost::print::optional(indices,Logging::pointers), ", ", instancecount, ")");;
    #endif
    App("glDrawElementsInstanced","(", GLmodeToString(mode), ", ", count, ", ", toString(type), ", ", boost::print::optional(indices,Logging::pointers), ", ", instancecount, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawElementsInstanced)(mode, count, type, indices, instancecount);
  }

  REGAL_DECL void REGAL_CALL glPrimitiveRestartIndex(GLuint index)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPrimitiveRestartIndex","(", index, ")");;
    #endif
    App("glPrimitiveRestartIndex","(", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPrimitiveRestartIndex)(index);
  }

  REGAL_DECL void REGAL_CALL glTexBuffer(GLenum target, GLenum internalformat, GLuint buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexBuffer","(", toString(target), ", ", toString(internalformat), ", ", buffer, ")");;
    #endif
    App("glTexBuffer","(", toString(target), ", ", toString(internalformat), ", ", buffer, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexBuffer)(target, internalformat, buffer);
  }

  /* GL_VERSION_3_2 */

  REGAL_DECL void REGAL_CALL glFramebufferTexture(GLenum target, GLenum attachment, GLuint texture, GLint level)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFramebufferTexture","(", toString(target), ", ", toString(attachment), ", ", texture, ", ", level, ")");;
    #endif
    App("glFramebufferTexture","(", toString(target), ", ", toString(attachment), ", ", texture, ", ", level, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferTexture)(target, attachment, texture, level);
  }

  REGAL_DECL void REGAL_CALL glGetBufferParameteri64v(GLenum target, GLenum pname, GLint64 *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetBufferParameteri64v","(", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetBufferParameteri64v","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetBufferParameteri64v)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetInteger64i_v(GLenum target, GLuint index, GLint64 *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetInteger64i_v","(", toString(target), ", ", index, ")");;
    #endif
    App("glGetInteger64i_v","(", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetInteger64i_v)(target, index, data);
  }

  /* GL_VERSION_3_3 */

  REGAL_DECL void REGAL_CALL glVertexAttribDivisor(GLuint index, GLuint divisor)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribDivisor","(", index, ", ", divisor, ")");;
    #endif
    App("glVertexAttribDivisor","(", index, ", ", divisor, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribDivisor)(index, divisor);
  }

  /* GL_VERSION_4_0 */

  REGAL_DECL void REGAL_CALL glBlendEquationSeparatei(GLuint buf, GLenum modeRGB, GLenum modeAlpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBlendEquationSeparatei","(", buf, ", ", GLmodeToString(modeRGB), ", ", GLmodeToString(modeAlpha), ")");;
    #endif
    App("glBlendEquationSeparatei","(", buf, ", ", GLmodeToString(modeRGB), ", ", GLmodeToString(modeAlpha), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendEquationSeparatei)(buf, modeRGB, modeAlpha);
  }

  REGAL_DECL void REGAL_CALL glBlendEquationi(GLuint buf, GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBlendEquationi","(", buf, ", ", GLmodeToString(mode), ")");;
    #endif
    App("glBlendEquationi","(", buf, ", ", GLmodeToString(mode), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendEquationi)(buf, mode);
  }

  REGAL_DECL void REGAL_CALL glBlendFuncSeparatei(GLuint buf, GLenum srcRGB, GLenum dstRGB, GLenum srcAlpha, GLenum dstAlpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBlendFuncSeparatei","(", buf, ", ", toString(srcRGB), ", ", toString(dstRGB), ", ", toString(srcAlpha), ", ", toString(dstAlpha), ")");;
    #endif
    App("glBlendFuncSeparatei","(", buf, ", ", toString(srcRGB), ", ", toString(dstRGB), ", ", toString(srcAlpha), ", ", toString(dstAlpha), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendFuncSeparatei)(buf, srcRGB, dstRGB, srcAlpha, dstAlpha);
  }

  REGAL_DECL void REGAL_CALL glBlendFunci(GLuint buf, GLenum src, GLenum dst)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBlendFunci","(", buf, ", ", toString(src), ", ", toString(dst), ")");;
    #endif
    App("glBlendFunci","(", buf, ", ", toString(src), ", ", toString(dst), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendFunci)(buf, src, dst);
  }

  REGAL_DECL void REGAL_CALL glDrawArraysIndirect(GLenum mode, const GLvoid *indirect)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDrawArraysIndirect","(", GLmodeToString(mode), ", ", boost::print::optional(indirect,Logging::pointers), ")");;
    #endif
    App("glDrawArraysIndirect","(", GLmodeToString(mode), ", ", boost::print::optional(indirect,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawArraysIndirect)(mode, indirect);
  }

  REGAL_DECL void REGAL_CALL glDrawElementsIndirect(GLenum mode, GLenum type, const GLvoid *indirect)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDrawElementsIndirect","(", GLmodeToString(mode), ", ", toString(type), ", ", boost::print::optional(indirect,Logging::pointers), ")");;
    #endif
    App("glDrawElementsIndirect","(", GLmodeToString(mode), ", ", toString(type), ", ", boost::print::optional(indirect,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawElementsIndirect)(mode, type, indirect);
  }

  REGAL_DECL void REGAL_CALL glMinSampleShading(GLclampf value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMinSampleShading","(", value, ")");;
    #endif
    App("glMinSampleShading","(", value, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMinSampleShading)(value);
  }

  /* GL_3DFX_tbuffer */

  REGAL_DECL void REGAL_CALL glTbufferMask3DFX(GLuint mask)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTbufferMask3DFX","(", mask, ")");;
    #endif
    App("glTbufferMask3DFX","(", mask, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTbufferMask3DFX)(mask);
  }

  /* GL_AMD_debug_output */

  REGAL_DECL void REGAL_CALL glDebugMessageCallbackAMD(GLDEBUGPROCAMD callback, void *userParam)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDebugMessageCallbackAMD","(", boost::print::optional(userParam,Logging::pointers), ")");;
    #endif
    App("glDebugMessageCallbackAMD","(", boost::print::optional(userParam,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDebugMessageCallbackAMD)(callback, userParam);
  }

  REGAL_DECL void REGAL_CALL glDebugMessageEnableAMD(GLenum category, GLenum severity, GLsizei count, const GLuint *ids, GLboolean enabled)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDebugMessageEnableAMD","(", toString(category), ", ", toString(severity), ", ", count, ", ", boost::print::optional(ids,Logging::pointers), ", ", toString(enabled), ")");;
    #endif
    App("glDebugMessageEnableAMD","(", toString(category), ", ", toString(severity), ", ", count, ", ", boost::print::optional(ids,Logging::pointers), ", ", toString(enabled), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDebugMessageEnableAMD)(category, severity, count, ids, enabled);
  }

  REGAL_DECL void REGAL_CALL glDebugMessageInsertAMD(GLenum category, GLenum severity, GLuint id, GLsizei length, const GLchar *buf)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());

    const GLsizei maxLength = _context && _context->emuInfo ? _context->emuInfo->gl_max_debug_message_length : 1024;
    const std::string _message = Marker::toStringEXT(length,buf,maxLength);
    #if REGAL_HTTP
    _context->http.callString = print_string("glDebugMessageInsertAMD","(", toString(category), ", ", toString(severity), ", ", id, ", ", length, ", ", boost::print::quote(buf,'"'), ")");;
    #endif
    App("glDebugMessageInsertAMD","(", toString(category), ", ", toString(severity), ", ", id, ", ", length, ", ", boost::print::quote(buf,'"'), ")");
    if (!_context) return;
    if (_context->marker)
      _context->marker->InsertEventMarker(*_context, _message);
    RegalAssert(_context->info);
    if (true || _context->info->gl_amd_debug_output)
    {
        DispatchTableGL *_next = &_context->dispatcher.front();
        RegalAssert(_next);
        _next->call(&_next->glDebugMessageInsertAMD)(category, severity, id, length, buf);
    }
  }

  REGAL_DECL GLuint REGAL_CALL glGetDebugMessageLogAMD(GLuint count, GLsizei bufsize, GLenum *categories, GLuint *severities, GLuint *ids, GLsizei *lengths, GLchar *message)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetDebugMessageLogAMD","(", count, ", ", bufsize, ", ", boost::print::optional(categories,Logging::pointers), ", ", boost::print::optional(severities,Logging::pointers), ", ", boost::print::optional(ids,Logging::pointers), ", ", boost::print::optional(lengths,Logging::pointers), ", ", boost::print::quote(message,'"'), ")");;
    #endif
    App("glGetDebugMessageLogAMD","(", count, ", ", bufsize, ", ", boost::print::optional(categories,Logging::pointers), ", ", boost::print::optional(severities,Logging::pointers), ", ", boost::print::optional(ids,Logging::pointers), ", ", boost::print::optional(lengths,Logging::pointers), ", ", boost::print::quote(message,'"'), ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetDebugMessageLogAMD)(count, bufsize, categories, severities, ids, lengths, message);
  }

  /* GL_AMD_draw_buffers_blend */

  REGAL_DECL void REGAL_CALL glBlendEquationIndexedAMD(GLuint buf, GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBlendEquationIndexedAMD","(", buf, ", ", GLmodeToString(mode), ")");;
    #endif
    App("glBlendEquationIndexedAMD","(", buf, ", ", GLmodeToString(mode), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendEquationIndexedAMD)(buf, mode);
  }

  REGAL_DECL void REGAL_CALL glBlendEquationSeparateIndexedAMD(GLuint buf, GLenum modeRGB, GLenum modeAlpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBlendEquationSeparateIndexedAMD","(", buf, ", ", GLmodeToString(modeRGB), ", ", GLmodeToString(modeAlpha), ")");;
    #endif
    App("glBlendEquationSeparateIndexedAMD","(", buf, ", ", GLmodeToString(modeRGB), ", ", GLmodeToString(modeAlpha), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendEquationSeparateIndexedAMD)(buf, modeRGB, modeAlpha);
  }

  REGAL_DECL void REGAL_CALL glBlendFuncIndexedAMD(GLuint buf, GLenum src, GLenum dst)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBlendFuncIndexedAMD","(", buf, ", ", toString(src), ", ", toString(dst), ")");;
    #endif
    App("glBlendFuncIndexedAMD","(", buf, ", ", toString(src), ", ", toString(dst), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendFuncIndexedAMD)(buf, src, dst);
  }

  REGAL_DECL void REGAL_CALL glBlendFuncSeparateIndexedAMD(GLuint buf, GLenum srcRGB, GLenum dstRGB, GLenum srcAlpha, GLenum dstAlpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBlendFuncSeparateIndexedAMD","(", buf, ", ", toString(srcRGB), ", ", toString(dstRGB), ", ", toString(srcAlpha), ", ", toString(dstAlpha), ")");;
    #endif
    App("glBlendFuncSeparateIndexedAMD","(", buf, ", ", toString(srcRGB), ", ", toString(dstRGB), ", ", toString(srcAlpha), ", ", toString(dstAlpha), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendFuncSeparateIndexedAMD)(buf, srcRGB, dstRGB, srcAlpha, dstAlpha);
  }

  /* GL_AMD_interleaved_elements */

  REGAL_DECL void REGAL_CALL glVertexAttribParameteriAMD(GLuint index, GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribParameteriAMD","(", index, ", ", toString(pname), ", ", param, ")");;
    #endif
    App("glVertexAttribParameteriAMD","(", index, ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribParameteriAMD)(index, pname, param);
  }

  /* GL_AMD_multi_draw_indirect */

  REGAL_DECL void REGAL_CALL glMultiDrawArraysIndirectAMD(GLenum mode, const GLvoid *indirect, GLsizei primcount, GLsizei stride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiDrawArraysIndirectAMD","(", GLmodeToString(mode), ", ", boost::print::optional(indirect,Logging::pointers), ", ", primcount, ", ", stride, ")");;
    #endif
    App("glMultiDrawArraysIndirectAMD","(", GLmodeToString(mode), ", ", boost::print::optional(indirect,Logging::pointers), ", ", primcount, ", ", stride, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiDrawArraysIndirectAMD)(mode, indirect, primcount, stride);
  }

  REGAL_DECL void REGAL_CALL glMultiDrawElementsIndirectAMD(GLenum mode, GLenum type, const GLvoid *indirect, GLsizei primcount, GLsizei stride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiDrawElementsIndirectAMD","(", GLmodeToString(mode), ", ", toString(type), ", ", boost::print::optional(indirect,Logging::pointers), ", ", primcount, ", ", stride, ")");;
    #endif
    App("glMultiDrawElementsIndirectAMD","(", GLmodeToString(mode), ", ", toString(type), ", ", boost::print::optional(indirect,Logging::pointers), ", ", primcount, ", ", stride, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiDrawElementsIndirectAMD)(mode, type, indirect, primcount, stride);
  }

  /* GL_AMD_name_gen_delete */

  REGAL_DECL void REGAL_CALL glDeleteNamesAMD(GLenum identifier, GLuint num, const GLuint *names)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDeleteNamesAMD","(", toString(identifier), ", ", num, ", ", boost::print::optional(names,Logging::pointers), ")");;
    #endif
    App("glDeleteNamesAMD","(", toString(identifier), ", ", num, ", ", boost::print::optional(names,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteNamesAMD)(identifier, num, names);
  }

  REGAL_DECL void REGAL_CALL glGenNamesAMD(GLenum identifier, GLuint num, GLuint *names)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGenNamesAMD","(", toString(identifier), ", ", num, ", ", boost::print::optional(names,Logging::pointers), ")");;
    #endif
    App("glGenNamesAMD","(", toString(identifier), ", ", num, ", ", boost::print::optional(names,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenNamesAMD)(identifier, num, names);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsNameAMD(GLenum identifier, GLuint name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsNameAMD","(", toString(identifier), ", ", name, ")");;
    #endif
    App("glIsNameAMD","(", toString(identifier), ", ", name, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsNameAMD)(identifier, name);
  }

  /* GL_AMD_performance_monitor */

  REGAL_DECL void REGAL_CALL glBeginPerfMonitorAMD(GLuint monitor)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBeginPerfMonitorAMD","(", monitor, ")");;
    #endif
    App("glBeginPerfMonitorAMD","(", monitor, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBeginPerfMonitorAMD)(monitor);
  }

  REGAL_DECL void REGAL_CALL glDeletePerfMonitorsAMD(GLsizei n, GLuint *monitors)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDeletePerfMonitorsAMD","(", n, ")");;
    #endif
    App("glDeletePerfMonitorsAMD","(", n, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeletePerfMonitorsAMD)(n, monitors);
  }

  REGAL_DECL void REGAL_CALL glEndPerfMonitorAMD(GLuint monitor)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEndPerfMonitorAMD","(", monitor, ")");;
    #endif
    App("glEndPerfMonitorAMD","(", monitor, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEndPerfMonitorAMD)(monitor);
  }

  REGAL_DECL void REGAL_CALL glGenPerfMonitorsAMD(GLsizei n, GLuint *monitors)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGenPerfMonitorsAMD","(", n, ")");;
    #endif
    App("glGenPerfMonitorsAMD","(", n, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenPerfMonitorsAMD)(n, monitors);
  }

  REGAL_DECL void REGAL_CALL glGetPerfMonitorCounterDataAMD(GLuint monitor, GLenum pname, GLsizei dataSize, GLuint *data, GLint *bytesWritten)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetPerfMonitorCounterDataAMD","(", monitor, ", ", toString(pname), ", ", dataSize, ")");;
    #endif
    App("glGetPerfMonitorCounterDataAMD","(", monitor, ", ", toString(pname), ", ", dataSize, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPerfMonitorCounterDataAMD)(monitor, pname, dataSize, data, bytesWritten);
  }

  REGAL_DECL void REGAL_CALL glGetPerfMonitorCounterInfoAMD(GLuint group, GLuint counter, GLenum pname, GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetPerfMonitorCounterInfoAMD","(", group, ", ", counter, ", ", toString(pname), ")");;
    #endif
    App("glGetPerfMonitorCounterInfoAMD","(", group, ", ", counter, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPerfMonitorCounterInfoAMD)(group, counter, pname, data);
  }

  REGAL_DECL void REGAL_CALL glGetPerfMonitorCounterStringAMD(GLuint group, GLuint counter, GLsizei bufSize, GLsizei *length, GLchar *counterString)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetPerfMonitorCounterStringAMD","(", group, ", ", counter, ", ", bufSize, ")");;
    #endif
    App("glGetPerfMonitorCounterStringAMD","(", group, ", ", counter, ", ", bufSize, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPerfMonitorCounterStringAMD)(group, counter, bufSize, length, counterString);
  }

  REGAL_DECL void REGAL_CALL glGetPerfMonitorCountersAMD(GLuint group, GLint *numCounters, GLint *maxActiveCounters, GLsizei counterSize, GLuint *counters)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetPerfMonitorCountersAMD","(", group, ", ", counterSize, ")");;
    #endif
    App("glGetPerfMonitorCountersAMD","(", group, ", ", counterSize, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPerfMonitorCountersAMD)(group, numCounters, maxActiveCounters, counterSize, counters);
  }

  REGAL_DECL void REGAL_CALL glGetPerfMonitorGroupStringAMD(GLuint group, GLsizei bufSize, GLsizei *length, GLchar *groupString)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetPerfMonitorGroupStringAMD","(", group, ", ", bufSize, ")");;
    #endif
    App("glGetPerfMonitorGroupStringAMD","(", group, ", ", bufSize, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPerfMonitorGroupStringAMD)(group, bufSize, length, groupString);
  }

  REGAL_DECL void REGAL_CALL glGetPerfMonitorGroupsAMD(GLint *numGroups, GLsizei groupsSize, GLuint *groups)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetPerfMonitorGroupsAMD","(", groupsSize, ")");;
    #endif
    App("glGetPerfMonitorGroupsAMD","(", groupsSize, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPerfMonitorGroupsAMD)(numGroups, groupsSize, groups);
  }

  REGAL_DECL void REGAL_CALL glSelectPerfMonitorCountersAMD(GLuint monitor, GLboolean enable, GLuint group, GLint numCounters, GLuint *counterList)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSelectPerfMonitorCountersAMD","(", monitor, ", ", toString(enable), ", ", group, ", ", numCounters, ")");;
    #endif
    App("glSelectPerfMonitorCountersAMD","(", monitor, ", ", toString(enable), ", ", group, ", ", numCounters, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSelectPerfMonitorCountersAMD)(monitor, enable, group, numCounters, counterList);
  }

  /* GL_AMD_sample_positions */

  REGAL_DECL void REGAL_CALL glSetMultisamplefvAMD(GLenum pname, GLuint index, const GLfloat *val)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSetMultisamplefvAMD","(", toString(pname), ", ", index, ", ", boost::print::optional(val,Logging::pointers), ")");;
    #endif
    App("glSetMultisamplefvAMD","(", toString(pname), ", ", index, ", ", boost::print::optional(val,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSetMultisamplefvAMD)(pname, index, val);
  }

  /* GL_AMD_sparse_texture */

  REGAL_DECL void REGAL_CALL glTexStorageSparseAMD(GLenum target, GLenum internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLsizei layers, GLbitfield flags)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexStorageSparseAMD","(", toString(target), ", ", toString(internalFormat), ", ", width, ", ", height, ", ", depth, ", ", layers, ", ", GLtexStorageSparseAMDToString(flags), ")");;
    #endif
    App("glTexStorageSparseAMD","(", toString(target), ", ", toString(internalFormat), ", ", width, ", ", height, ", ", depth, ", ", layers, ", ", GLtexStorageSparseAMDToString(flags), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexStorageSparseAMD)(target, internalFormat, width, height, depth, layers, flags);
  }

  REGAL_DECL void REGAL_CALL glTextureStorageSparseAMD(GLuint texture, GLenum target, GLenum internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLsizei layers, GLbitfield flags)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureStorageSparseAMD","(", texture, ", ", toString(target), ", ", toString(internalFormat), ", ", width, ", ", height, ", ", depth, ", ", layers, ", ", GLtexStorageSparseAMDToString(flags), ")");;
    #endif
    App("glTextureStorageSparseAMD","(", texture, ", ", toString(target), ", ", toString(internalFormat), ", ", width, ", ", height, ", ", depth, ", ", layers, ", ", GLtexStorageSparseAMDToString(flags), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureStorageSparseAMD)(texture, target, internalFormat, width, height, depth, layers, flags);
  }

  /* GL_AMD_stencil_operation_extended */

  REGAL_DECL void REGAL_CALL glStencilOpValueAMD(GLenum face, GLuint value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glStencilOpValueAMD","(", toString(face), ", ", value, ")");;
    #endif
    App("glStencilOpValueAMD","(", toString(face), ", ", value, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glStencilOpValueAMD)(face, value);
  }

  /* GL_AMD_vertex_shader_tessellator */

  REGAL_DECL void REGAL_CALL glTessellationFactorAMD(GLfloat factor)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTessellationFactorAMD","(", factor, ")");;
    #endif
    App("glTessellationFactorAMD","(", factor, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTessellationFactorAMD)(factor);
  }

  REGAL_DECL void REGAL_CALL glTessellationModeAMD(GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTessellationModeAMD","(", GLmodeToString(mode), ")");;
    #endif
    App("glTessellationModeAMD","(", GLmodeToString(mode), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTessellationModeAMD)(mode);
  }

  /* GL_ANGLE_framebuffer_blit */

  REGAL_DECL void REGAL_CALL glBlitFramebufferANGLE(GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBlitFramebufferANGLE","(", srcX0, ", ", srcY0, ", ", srcX1, ", ", srcY1, ", ", dstX0, ", ", dstY0, ", ", dstX1, ", ", dstY1, ", ", GLblitFramebufferToString(mask), ", ", toString(filter), ")");;
    #endif
    App("glBlitFramebufferANGLE","(", srcX0, ", ", srcY0, ", ", srcX1, ", ", srcY1, ", ", dstX0, ", ", dstY0, ", ", dstX1, ", ", dstY1, ", ", GLblitFramebufferToString(mask), ", ", toString(filter), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlitFramebufferANGLE)(srcX0, srcY0, srcX1, srcY1, dstX0, dstY0, dstX1, dstY1, mask, filter);
  }

  /* GL_ANGLE_framebuffer_multisample */

  REGAL_DECL void REGAL_CALL glRenderbufferStorageMultisampleANGLE(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glRenderbufferStorageMultisampleANGLE","(", toString(target), ", ", samples, ", ", toString(internalformat), ", ", width, ", ", height, ")");;
    #endif
    App("glRenderbufferStorageMultisampleANGLE","(", toString(target), ", ", samples, ", ", toString(internalformat), ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRenderbufferStorageMultisampleANGLE)(target, samples, internalformat, width, height);
  }

  /* GL_ANGLE_instanced_arrays */

  REGAL_DECL void REGAL_CALL glDrawArraysInstancedANGLE(GLenum mode, GLint first, GLsizei count, GLsizei primcount)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDrawArraysInstancedANGLE","(", GLmodeToString(mode), ", ", first, ", ", count, ", ", primcount, ")");;
    #endif
    App("glDrawArraysInstancedANGLE","(", GLmodeToString(mode), ", ", first, ", ", count, ", ", primcount, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawArraysInstancedANGLE)(mode, first, count, primcount);
  }

  REGAL_DECL void REGAL_CALL glDrawElementsInstancedANGLE(GLenum mode, GLsizei count, GLenum type, const GLvoid *indices, GLsizei primcount)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDrawElementsInstancedANGLE","(", GLmodeToString(mode), ", ", count, ", ", toString(type), ", ", boost::print::optional(indices,Logging::pointers), ", ", primcount, ")");;
    #endif
    App("glDrawElementsInstancedANGLE","(", GLmodeToString(mode), ", ", count, ", ", toString(type), ", ", boost::print::optional(indices,Logging::pointers), ", ", primcount, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawElementsInstancedANGLE)(mode, count, type, indices, primcount);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribDivisorANGLE(GLuint index, GLuint divisor)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribDivisorANGLE","(", index, ", ", divisor, ")");;
    #endif
    App("glVertexAttribDivisorANGLE","(", index, ", ", divisor, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribDivisorANGLE)(index, divisor);
  }

  /* GL_ANGLE_timer_query */

  REGAL_DECL void REGAL_CALL glBeginQueryANGLE(GLenum target, GLuint id)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBeginQueryANGLE","(", toString(target), ", ", id, ")");;
    #endif
    App("glBeginQueryANGLE","(", toString(target), ", ", id, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBeginQueryANGLE)(target, id);
  }

  REGAL_DECL void REGAL_CALL glDeleteQueriesANGLE(GLsizei n, const GLuint *ids)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDeleteQueriesANGLE","(", n, ", ", boost::print::optional(ids,Logging::pointers), ")");;
    #endif
    App("glDeleteQueriesANGLE","(", n, ", ", boost::print::optional(ids,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteQueriesANGLE)(n, ids);
  }

  REGAL_DECL void REGAL_CALL glEndQueryANGLE(GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEndQueryANGLE","(", toString(target), ")");;
    #endif
    App("glEndQueryANGLE","(", toString(target), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEndQueryANGLE)(target);
  }

  REGAL_DECL void REGAL_CALL glGenQueriesANGLE(GLsizei n, GLuint *ids)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGenQueriesANGLE","(", n, ")");;
    #endif
    App("glGenQueriesANGLE","(", n, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenQueriesANGLE)(n, ids);
  }

  REGAL_DECL void REGAL_CALL glGetQueryObjecti64vANGLE(GLuint id, GLenum pname, GLint64 *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetQueryObjecti64vANGLE","(", id, ", ", toString(pname), ")");;
    #endif
    App("glGetQueryObjecti64vANGLE","(", id, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetQueryObjecti64vANGLE)(id, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetQueryObjectivANGLE(GLuint id, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetQueryObjectivANGLE","(", id, ", ", toString(pname), ")");;
    #endif
    App("glGetQueryObjectivANGLE","(", id, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetQueryObjectivANGLE)(id, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetQueryObjectui64vANGLE(GLuint id, GLenum pname, GLuint64 *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetQueryObjectui64vANGLE","(", id, ", ", toString(pname), ")");;
    #endif
    App("glGetQueryObjectui64vANGLE","(", id, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetQueryObjectui64vANGLE)(id, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetQueryObjectuivANGLE(GLuint id, GLenum pname, GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetQueryObjectuivANGLE","(", id, ", ", toString(pname), ")");;
    #endif
    App("glGetQueryObjectuivANGLE","(", id, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetQueryObjectuivANGLE)(id, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetQueryivANGLE(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetQueryivANGLE","(", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetQueryivANGLE","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetQueryivANGLE)(target, pname, params);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsQueryANGLE(GLuint id)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsQueryANGLE","(", id, ")");;
    #endif
    App("glIsQueryANGLE","(", id, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsQueryANGLE)(id);
  }

  REGAL_DECL void REGAL_CALL glQueryCounterANGLE(GLuint id, GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glQueryCounterANGLE","(", id, ", ", toString(target), ")");;
    #endif
    App("glQueryCounterANGLE","(", id, ", ", toString(target), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glQueryCounterANGLE)(id, target);
  }

  /* GL_ANGLE_translated_shader_source */

  REGAL_DECL void REGAL_CALL glGetTranslatedShaderSourceANGLE(GLuint shader, GLsizei bufsize, GLsizei *length, GLchar *source)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTranslatedShaderSourceANGLE","(", shader, ", ", bufsize, ", ", boost::print::optional(length,Logging::pointers), ", ", boost::print::quote(source,'"'), ")");;
    #endif
    App("glGetTranslatedShaderSourceANGLE","(", shader, ", ", bufsize, ", ", boost::print::optional(length,Logging::pointers), ", ", boost::print::quote(source,'"'), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTranslatedShaderSourceANGLE)(shader, bufsize, length, source);
  }

  /* GL_APPLE_copy_texture_levels */

  REGAL_DECL void REGAL_CALL glCopyTextureLevelsAPPLE(GLuint destinationTexture, GLuint sourceTexture, GLint sourceBaseLevel, GLsizei sourceLevelCount)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCopyTextureLevelsAPPLE","(", destinationTexture, ", ", sourceTexture, ", ", sourceBaseLevel, ", ", sourceLevelCount, ")");;
    #endif
    App("glCopyTextureLevelsAPPLE","(", destinationTexture, ", ", sourceTexture, ", ", sourceBaseLevel, ", ", sourceLevelCount, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyTextureLevelsAPPLE)(destinationTexture, sourceTexture, sourceBaseLevel, sourceLevelCount);
  }

  /* GL_APPLE_element_array */

  REGAL_DECL void REGAL_CALL glDrawElementArrayAPPLE(GLenum mode, GLint first, GLsizei count)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDrawElementArrayAPPLE","(", GLmodeToString(mode), ", ", first, ", ", count, ")");;
    #endif
    App("glDrawElementArrayAPPLE","(", GLmodeToString(mode), ", ", first, ", ", count, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawElementArrayAPPLE)(mode, first, count);
  }

  REGAL_DECL void REGAL_CALL glDrawRangeElementArrayAPPLE(GLenum mode, GLuint start, GLuint end, GLint first, GLsizei count)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDrawRangeElementArrayAPPLE","(", GLmodeToString(mode), ", ", start, ", ", end, ", ", first, ", ", count, ")");;
    #endif
    App("glDrawRangeElementArrayAPPLE","(", GLmodeToString(mode), ", ", start, ", ", end, ", ", first, ", ", count, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawRangeElementArrayAPPLE)(mode, start, end, first, count);
  }

  REGAL_DECL void REGAL_CALL glElementPointerAPPLE(GLenum type, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glElementPointerAPPLE","(", toString(type), ", ", boost::print::optional(pointer,Logging::pointers), ")");;
    #endif
    App("glElementPointerAPPLE","(", toString(type), ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glElementPointerAPPLE)(type, pointer);
  }

  REGAL_DECL void REGAL_CALL glMultiDrawElementArrayAPPLE(GLenum mode, const GLint *first, const GLsizei *count, GLsizei primcount)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiDrawElementArrayAPPLE","(", GLmodeToString(mode), ", ", boost::print::optional(first,Logging::pointers), ", ", boost::print::optional(count,Logging::pointers), ", ", primcount, ")");;
    #endif
    App("glMultiDrawElementArrayAPPLE","(", GLmodeToString(mode), ", ", boost::print::optional(first,Logging::pointers), ", ", boost::print::optional(count,Logging::pointers), ", ", primcount, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiDrawElementArrayAPPLE)(mode, first, count, primcount);
  }

  REGAL_DECL void REGAL_CALL glMultiDrawRangeElementArrayAPPLE(GLenum mode, GLuint start, GLuint end, const GLint *first, const GLsizei *count, GLsizei primcount)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiDrawRangeElementArrayAPPLE","(", GLmodeToString(mode), ", ", start, ", ", end, ", ", boost::print::optional(first,Logging::pointers), ", ", boost::print::optional(count,Logging::pointers), ", ", primcount, ")");;
    #endif
    App("glMultiDrawRangeElementArrayAPPLE","(", GLmodeToString(mode), ", ", start, ", ", end, ", ", boost::print::optional(first,Logging::pointers), ", ", boost::print::optional(count,Logging::pointers), ", ", primcount, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiDrawRangeElementArrayAPPLE)(mode, start, end, first, count, primcount);
  }

  /* GL_APPLE_fence */

  REGAL_DECL void REGAL_CALL glDeleteFencesAPPLE(GLsizei n, const GLuint *fences)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDeleteFencesAPPLE","(", n, ", ", boost::print::optional(fences,Logging::pointers), ")");;
    #endif
    App("glDeleteFencesAPPLE","(", n, ", ", boost::print::optional(fences,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteFencesAPPLE)(n, fences);
  }

  REGAL_DECL void REGAL_CALL glFinishFenceAPPLE(GLuint fence)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFinishFenceAPPLE","(", fence, ")");;
    #endif
    App("glFinishFenceAPPLE","(", fence, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFinishFenceAPPLE)(fence);
  }

  REGAL_DECL void REGAL_CALL glFinishObjectAPPLE(GLenum object, GLint name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFinishObjectAPPLE","(", toString(object), ", ", name, ")");;
    #endif
    App("glFinishObjectAPPLE","(", toString(object), ", ", name, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFinishObjectAPPLE)(object, name);
  }

  REGAL_DECL void REGAL_CALL glGenFencesAPPLE(GLsizei n, GLuint *fences)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGenFencesAPPLE","(", n, ")");;
    #endif
    App("glGenFencesAPPLE","(", n, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenFencesAPPLE)(n, fences);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsFenceAPPLE(GLuint fence)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsFenceAPPLE","(", fence, ")");;
    #endif
    App("glIsFenceAPPLE","(", fence, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsFenceAPPLE)(fence);
  }

  REGAL_DECL void REGAL_CALL glSetFenceAPPLE(GLuint fence)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSetFenceAPPLE","(", fence, ")");;
    #endif
    App("glSetFenceAPPLE","(", fence, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSetFenceAPPLE)(fence);
  }

  REGAL_DECL GLboolean REGAL_CALL glTestFenceAPPLE(GLuint fence)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTestFenceAPPLE","(", fence, ")");;
    #endif
    App("glTestFenceAPPLE","(", fence, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glTestFenceAPPLE)(fence);
  }

  REGAL_DECL GLboolean REGAL_CALL glTestObjectAPPLE(GLenum object, GLuint name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTestObjectAPPLE","(", toString(object), ", ", name, ")");;
    #endif
    App("glTestObjectAPPLE","(", toString(object), ", ", name, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glTestObjectAPPLE)(object, name);
  }

  /* GL_APPLE_flush_buffer_range */

  REGAL_DECL void REGAL_CALL glBufferParameteriAPPLE(GLenum target, GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBufferParameteriAPPLE","(", toString(target), ", ", toString(pname), ", ", param, ")");;
    #endif
    App("glBufferParameteriAPPLE","(", toString(target), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBufferParameteriAPPLE)(target, pname, param);
  }

  REGAL_DECL void REGAL_CALL glFlushMappedBufferRangeAPPLE(GLenum target, GLintptr offset, GLsizeiptr size)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFlushMappedBufferRangeAPPLE","(", toString(target), ", ", offset, ", ", size, ")");;
    #endif
    App("glFlushMappedBufferRangeAPPLE","(", toString(target), ", ", offset, ", ", size, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFlushMappedBufferRangeAPPLE)(target, offset, size);
  }

  /* GL_APPLE_flush_render */

  REGAL_DECL void REGAL_CALL glFinishRenderAPPLE(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFinishRenderAPPLE","()");;
    #endif
    App("glFinishRenderAPPLE","()");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFinishRenderAPPLE)();
  }

  REGAL_DECL void REGAL_CALL glFlushRenderAPPLE(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFlushRenderAPPLE","()");;
    #endif
    App("glFlushRenderAPPLE","()");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFlushRenderAPPLE)();
  }

  REGAL_DECL void REGAL_CALL glSwapAPPLE(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSwapAPPLE","()");;
    #endif
    App("glSwapAPPLE","()");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSwapAPPLE)();
  }

  /* GL_APPLE_framebuffer_multisample */

  REGAL_DECL void REGAL_CALL glRenderbufferStorageMultisampleAPPLE(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glRenderbufferStorageMultisampleAPPLE","(", toString(target), ", ", samples, ", ", toString(internalformat), ", ", width, ", ", height, ")");;
    #endif
    App("glRenderbufferStorageMultisampleAPPLE","(", toString(target), ", ", samples, ", ", toString(internalformat), ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRenderbufferStorageMultisampleAPPLE)(target, samples, internalformat, width, height);
  }

  REGAL_DECL void REGAL_CALL glResolveMultisampleFramebufferAPPLE(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glResolveMultisampleFramebufferAPPLE","()");;
    #endif
    App("glResolveMultisampleFramebufferAPPLE","()");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glResolveMultisampleFramebufferAPPLE)();
  }

  /* GL_APPLE_object_purgeable */

  REGAL_DECL void REGAL_CALL glGetObjectParameterivAPPLE(GLenum objectType, GLuint name, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetObjectParameterivAPPLE","(", toString(objectType), ", ", name, ", ", toString(pname), ")");;
    #endif
    App("glGetObjectParameterivAPPLE","(", toString(objectType), ", ", name, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetObjectParameterivAPPLE)(objectType, name, pname, params);
  }

  REGAL_DECL GLenum REGAL_CALL glObjectPurgeableAPPLE(GLenum objectType, GLuint name, GLenum option)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glObjectPurgeableAPPLE","(", toString(objectType), ", ", name, ", ", toString(option), ")");;
    #endif
    App("glObjectPurgeableAPPLE","(", toString(objectType), ", ", name, ", ", toString(option), ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glObjectPurgeableAPPLE)(objectType, name, option);
  }

  REGAL_DECL GLenum REGAL_CALL glObjectUnpurgeableAPPLE(GLenum objectType, GLuint name, GLenum option)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glObjectUnpurgeableAPPLE","(", toString(objectType), ", ", name, ", ", toString(option), ")");;
    #endif
    App("glObjectUnpurgeableAPPLE","(", toString(objectType), ", ", name, ", ", toString(option), ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glObjectUnpurgeableAPPLE)(objectType, name, option);
  }

  /* GL_APPLE_sync */

  REGAL_DECL GLenum REGAL_CALL glClientWaitSyncAPPLE(GLsync sync, GLbitfield flags, GLuint64 timeout)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glClientWaitSyncAPPLE","(", sync, ", ", GLclientWaitSyncToString(flags), ", ", timeout, ")");;
    #endif
    App("glClientWaitSyncAPPLE","(", sync, ", ", GLclientWaitSyncToString(flags), ", ", timeout, ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glClientWaitSyncAPPLE)(sync, flags, timeout);
  }

  REGAL_DECL void REGAL_CALL glDeleteSyncAPPLE(GLsync sync)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDeleteSyncAPPLE","(", sync, ")");;
    #endif
    App("glDeleteSyncAPPLE","(", sync, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteSyncAPPLE)(sync);
  }

  REGAL_DECL GLsync REGAL_CALL glFenceSyncAPPLE(GLenum condition, GLbitfield flags)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFenceSyncAPPLE","(", toString(condition), ", ", GLfenceSyncToString(flags), ")");;
    #endif
    App("glFenceSyncAPPLE","(", toString(condition), ", ", GLfenceSyncToString(flags), ")");
    if (!_context) return NULL;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glFenceSyncAPPLE)(condition, flags);
  }

  REGAL_DECL void REGAL_CALL glGetInteger64vAPPLE(GLenum pname, GLint64 *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetInteger64vAPPLE","(", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glGetInteger64vAPPLE","(", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetInteger64vAPPLE)(pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetSyncivAPPLE(GLsync sync, GLenum pname, GLsizei bufSize, GLsizei *length, GLint *values)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetSyncivAPPLE","(", sync, ", ", toString(pname), ", ", bufSize, ", ", boost::print::optional(length,Logging::pointers), ", ", boost::print::optional(values,Logging::pointers), ")");;
    #endif
    App("glGetSyncivAPPLE","(", sync, ", ", toString(pname), ", ", bufSize, ", ", boost::print::optional(length,Logging::pointers), ", ", boost::print::optional(values,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetSyncivAPPLE)(sync, pname, bufSize, length, values);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsSyncAPPLE(GLsync sync)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsSyncAPPLE","(", sync, ")");;
    #endif
    App("glIsSyncAPPLE","(", sync, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsSyncAPPLE)(sync);
  }

  REGAL_DECL void REGAL_CALL glWaitSyncAPPLE(GLsync sync, GLbitfield flags, GLuint64 timeout)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWaitSyncAPPLE","(", sync, ", ", GLwaitSyncToString(flags), ", ", timeout, ")");;
    #endif
    App("glWaitSyncAPPLE","(", sync, ", ", GLwaitSyncToString(flags), ", ", timeout, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWaitSyncAPPLE)(sync, flags, timeout);
  }

  /* GL_APPLE_texture_range */

  REGAL_DECL void REGAL_CALL glGetTexParameterPointervAPPLE(GLenum target, GLenum pname, GLvoid **params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTexParameterPointervAPPLE","(", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetTexParameterPointervAPPLE","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTexParameterPointervAPPLE)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glTextureRangeAPPLE(GLenum target, GLsizei length, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureRangeAPPLE","(", toString(target), ", ", length, ", ", boost::print::optional(pointer,Logging::pointers), ")");;
    #endif
    App("glTextureRangeAPPLE","(", toString(target), ", ", length, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureRangeAPPLE)(target, length, pointer);
  }

  /* GL_APPLE_vertex_array_object */

  REGAL_DECL void REGAL_CALL glBindVertexArrayAPPLE(GLuint array)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindVertexArrayAPPLE","(", array, ")");;
    #endif
    App("glBindVertexArrayAPPLE","(", array, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindVertexArrayAPPLE)(array);
  }

  REGAL_DECL void REGAL_CALL glDeleteVertexArraysAPPLE(GLsizei n, const GLuint *arrays)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDeleteVertexArraysAPPLE","(", n, ", ", boost::print::optional(arrays,Logging::pointers), ")");;
    #endif
    App("glDeleteVertexArraysAPPLE","(", n, ", ", boost::print::optional(arrays,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteVertexArraysAPPLE)(n, arrays);
  }

  REGAL_DECL void REGAL_CALL glGenVertexArraysAPPLE(GLsizei n, GLuint *arrays)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGenVertexArraysAPPLE","(", n, ")");;
    #endif
    App("glGenVertexArraysAPPLE","(", n, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenVertexArraysAPPLE)(n, arrays);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsVertexArrayAPPLE(GLuint array)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsVertexArrayAPPLE","(", array, ")");;
    #endif
    App("glIsVertexArrayAPPLE","(", array, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsVertexArrayAPPLE)(array);
  }

  /* GL_APPLE_vertex_array_range */

  REGAL_DECL void REGAL_CALL glFlushVertexArrayRangeAPPLE(GLsizei length, GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFlushVertexArrayRangeAPPLE","(", length, ")");;
    #endif
    App("glFlushVertexArrayRangeAPPLE","(", length, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFlushVertexArrayRangeAPPLE)(length, pointer);
  }

  REGAL_DECL void REGAL_CALL glVertexArrayParameteriAPPLE(GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexArrayParameteriAPPLE","(", toString(pname), ", ", param, ")");;
    #endif
    App("glVertexArrayParameteriAPPLE","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexArrayParameteriAPPLE)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glVertexArrayRangeAPPLE(GLsizei length, GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexArrayRangeAPPLE","(", length, ")");;
    #endif
    App("glVertexArrayRangeAPPLE","(", length, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexArrayRangeAPPLE)(length, pointer);
  }

  /* GL_APPLE_vertex_program_evaluators */

  REGAL_DECL void REGAL_CALL glDisableVertexAttribAPPLE(GLuint index, GLenum pname)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDisableVertexAttribAPPLE","(", index, ", ", toString(pname), ")");;
    #endif
    App("glDisableVertexAttribAPPLE","(", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDisableVertexAttribAPPLE)(index, pname);
  }

  REGAL_DECL void REGAL_CALL glEnableVertexAttribAPPLE(GLuint index, GLenum pname)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEnableVertexAttribAPPLE","(", index, ", ", toString(pname), ")");;
    #endif
    App("glEnableVertexAttribAPPLE","(", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEnableVertexAttribAPPLE)(index, pname);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsVertexAttribEnabledAPPLE(GLuint index, GLenum pname)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsVertexAttribEnabledAPPLE","(", index, ", ", toString(pname), ")");;
    #endif
    App("glIsVertexAttribEnabledAPPLE","(", index, ", ", toString(pname), ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsVertexAttribEnabledAPPLE)(index, pname);
  }

  REGAL_DECL void REGAL_CALL glMapVertexAttrib1dAPPLE(GLuint index, GLuint size, GLdouble u1, GLdouble u2, GLint stride, GLint order, const GLdouble *points)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMapVertexAttrib1dAPPLE","(", index, ", ", size, ", ", u1, ", ", u2, ", ", stride, ", ", order, ", ", boost::print::optional(points,Logging::pointers), ")");;
    #endif
    App("glMapVertexAttrib1dAPPLE","(", index, ", ", size, ", ", u1, ", ", u2, ", ", stride, ", ", order, ", ", boost::print::optional(points,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMapVertexAttrib1dAPPLE)(index, size, u1, u2, stride, order, points);
  }

  REGAL_DECL void REGAL_CALL glMapVertexAttrib1fAPPLE(GLuint index, GLuint size, GLfloat u1, GLfloat u2, GLint stride, GLint order, const GLfloat *points)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMapVertexAttrib1fAPPLE","(", index, ", ", size, ", ", u1, ", ", u2, ", ", stride, ", ", order, ", ", boost::print::optional(points,Logging::pointers), ")");;
    #endif
    App("glMapVertexAttrib1fAPPLE","(", index, ", ", size, ", ", u1, ", ", u2, ", ", stride, ", ", order, ", ", boost::print::optional(points,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMapVertexAttrib1fAPPLE)(index, size, u1, u2, stride, order, points);
  }

  REGAL_DECL void REGAL_CALL glMapVertexAttrib2dAPPLE(GLuint index, GLuint size, GLdouble u1, GLdouble u2, GLint ustride, GLint uorder, GLdouble v1, GLdouble v2, GLint vstride, GLint vorder, const GLdouble *points)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMapVertexAttrib2dAPPLE","(", index, ", ", size, ", ", u1, ", ", u2, ", ", ustride, ", ", uorder, ", ", v1, ", ", v2, ", ", vstride, ", ", vorder, ", ", boost::print::optional(points,Logging::pointers), ")");;
    #endif
    App("glMapVertexAttrib2dAPPLE","(", index, ", ", size, ", ", u1, ", ", u2, ", ", ustride, ", ", uorder, ", ", v1, ", ", v2, ", ", vstride, ", ", vorder, ", ", boost::print::optional(points,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMapVertexAttrib2dAPPLE)(index, size, u1, u2, ustride, uorder, v1, v2, vstride, vorder, points);
  }

  REGAL_DECL void REGAL_CALL glMapVertexAttrib2fAPPLE(GLuint index, GLuint size, GLfloat u1, GLfloat u2, GLint ustride, GLint uorder, GLfloat v1, GLfloat v2, GLint vstride, GLint vorder, const GLfloat *points)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMapVertexAttrib2fAPPLE","(", index, ", ", size, ", ", u1, ", ", u2, ", ", ustride, ", ", uorder, ", ", v1, ", ", v2, ", ", vstride, ", ", vorder, ", ", boost::print::optional(points,Logging::pointers), ")");;
    #endif
    App("glMapVertexAttrib2fAPPLE","(", index, ", ", size, ", ", u1, ", ", u2, ", ", ustride, ", ", uorder, ", ", v1, ", ", v2, ", ", vstride, ", ", vorder, ", ", boost::print::optional(points,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMapVertexAttrib2fAPPLE)(index, size, u1, u2, ustride, uorder, v1, v2, vstride, vorder, points);
  }

  /* GL_ARB_ES2_compatibility */

  REGAL_DECL void REGAL_CALL glClearDepthf(GLclampf d)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glClearDepthf","(", d, ")");;
    #endif
    App("glClearDepthf","(", d, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClearDepthf)(d);
  }

  REGAL_DECL void REGAL_CALL glDepthRangef(GLclampf n, GLclampf f)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDepthRangef","(", n, ", ", f, ")");;
    #endif
    App("glDepthRangef","(", n, ", ", f, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDepthRangef)(n, f);
  }

  REGAL_DECL void REGAL_CALL glGetShaderPrecisionFormat(GLenum shadertype, GLenum precisiontype, GLint *range, GLint *precision)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetShaderPrecisionFormat","(", toString(shadertype), ", ", toString(precisiontype), ")");;
    #endif
    App("glGetShaderPrecisionFormat","(", toString(shadertype), ", ", toString(precisiontype), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetShaderPrecisionFormat)(shadertype, precisiontype, range, precision);
  }

  REGAL_DECL void REGAL_CALL glReleaseShaderCompiler(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glReleaseShaderCompiler","()");;
    #endif
    App("glReleaseShaderCompiler","()");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReleaseShaderCompiler)();
  }

  REGAL_DECL void REGAL_CALL glShaderBinary(GLsizei count, const GLuint *shaders, GLenum binaryformat, const GLvoid *binary, GLsizei length)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glShaderBinary","(", count, ", ", boost::print::array(shaders,count), ", ", toString(binaryformat), ", ", boost::print::optional(binary,Logging::pointers), ", ", length, ")");;
    #endif
    App("glShaderBinary","(", count, ", ", boost::print::array(shaders,count), ", ", toString(binaryformat), ", ", boost::print::optional(binary,Logging::pointers), ", ", length, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glShaderBinary)(count, shaders, binaryformat, binary, length);
  }

  /* GL_ARB_ES3_1_compatibility */

  REGAL_DECL void REGAL_CALL glMemoryBarrierByRegion(GLbitfield barriers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMemoryBarrierByRegion","(", barriers, ")");;
    #endif
    App("glMemoryBarrierByRegion","(", barriers, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMemoryBarrierByRegion)(barriers);
  }

  /* GL_ARB_base_instance */

  REGAL_DECL void REGAL_CALL glDrawArraysInstancedBaseInstance(GLenum mode, GLint first, GLsizei count, GLsizei primcount, GLuint baseinstance)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDrawArraysInstancedBaseInstance","(", GLmodeToString(mode), ", ", first, ", ", count, ", ", primcount, ", ", baseinstance, ")");;
    #endif
    App("glDrawArraysInstancedBaseInstance","(", GLmodeToString(mode), ", ", first, ", ", count, ", ", primcount, ", ", baseinstance, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawArraysInstancedBaseInstance)(mode, first, count, primcount, baseinstance);
  }

  REGAL_DECL void REGAL_CALL glDrawElementsInstancedBaseInstance(GLenum mode, GLsizei count, GLenum type, const GLvoid *indices, GLsizei primcount, GLuint baseinstance)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDrawElementsInstancedBaseInstance","(", GLmodeToString(mode), ", ", count, ", ", toString(type), ", ", boost::print::optional(indices,Logging::pointers), ", ", primcount, ", ", baseinstance, ")");;
    #endif
    App("glDrawElementsInstancedBaseInstance","(", GLmodeToString(mode), ", ", count, ", ", toString(type), ", ", boost::print::optional(indices,Logging::pointers), ", ", primcount, ", ", baseinstance, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawElementsInstancedBaseInstance)(mode, count, type, indices, primcount, baseinstance);
  }

  REGAL_DECL void REGAL_CALL glDrawElementsInstancedBaseVertexBaseInstance(GLenum mode, GLsizei count, GLenum type, const GLvoid *indices, GLsizei primcount, GLint basevertex, GLuint baseinstance)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDrawElementsInstancedBaseVertexBaseInstance","(", GLmodeToString(mode), ", ", count, ", ", toString(type), ", ", boost::print::optional(indices,Logging::pointers), ", ", primcount, ", ", basevertex, ", ", baseinstance, ")");;
    #endif
    App("glDrawElementsInstancedBaseVertexBaseInstance","(", GLmodeToString(mode), ", ", count, ", ", toString(type), ", ", boost::print::optional(indices,Logging::pointers), ", ", primcount, ", ", basevertex, ", ", baseinstance, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawElementsInstancedBaseVertexBaseInstance)(mode, count, type, indices, primcount, basevertex, baseinstance);
  }

  /* GL_ARB_bindless_texture */

  REGAL_DECL GLuint64 REGAL_CALL glGetImageHandleARB(GLuint texture, GLint level, GLboolean layered, GLint layer, GLenum format)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetImageHandleARB","(", texture, ", ", level, ", ", toString(layered), ", ", layer, ", ", toString(format), ")");;
    #endif
    App("glGetImageHandleARB","(", texture, ", ", level, ", ", toString(layered), ", ", layer, ", ", toString(format), ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetImageHandleARB)(texture, level, layered, layer, format);
  }

  REGAL_DECL GLuint64 REGAL_CALL glGetTextureHandleARB(GLuint texture)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTextureHandleARB","(", texture, ")");;
    #endif
    App("glGetTextureHandleARB","(", texture, ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetTextureHandleARB)(texture);
  }

  REGAL_DECL GLuint64 REGAL_CALL glGetTextureSamplerHandleARB(GLuint texture, GLuint sampler)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTextureSamplerHandleARB","(", texture, ", ", sampler, ")");;
    #endif
    App("glGetTextureSamplerHandleARB","(", texture, ", ", sampler, ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetTextureSamplerHandleARB)(texture, sampler);
  }

  REGAL_DECL void REGAL_CALL glGetVertexAttribLui64vARB(GLuint index, GLenum pname, GLuint64EXT *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetVertexAttribLui64vARB","(", index, ", ", toString(pname), ")");;
    #endif
    App("glGetVertexAttribLui64vARB","(", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexAttribLui64vARB)(index, pname, params);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsImageHandleResidentARB(GLuint64 handle)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsImageHandleResidentARB","(", handle, ")");;
    #endif
    App("glIsImageHandleResidentARB","(", handle, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsImageHandleResidentARB)(handle);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsTextureHandleResidentARB(GLuint64 handle)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsTextureHandleResidentARB","(", handle, ")");;
    #endif
    App("glIsTextureHandleResidentARB","(", handle, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsTextureHandleResidentARB)(handle);
  }

  REGAL_DECL void REGAL_CALL glMakeImageHandleNonResidentARB(GLuint64 handle)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMakeImageHandleNonResidentARB","(", handle, ")");;
    #endif
    App("glMakeImageHandleNonResidentARB","(", handle, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMakeImageHandleNonResidentARB)(handle);
  }

  REGAL_DECL void REGAL_CALL glMakeImageHandleResidentARB(GLuint64 handle, GLenum access)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMakeImageHandleResidentARB","(", handle, ", ", toString(access), ")");;
    #endif
    App("glMakeImageHandleResidentARB","(", handle, ", ", toString(access), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMakeImageHandleResidentARB)(handle, access);
  }

  REGAL_DECL void REGAL_CALL glMakeTextureHandleNonResidentARB(GLuint64 handle)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMakeTextureHandleNonResidentARB","(", handle, ")");;
    #endif
    App("glMakeTextureHandleNonResidentARB","(", handle, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMakeTextureHandleNonResidentARB)(handle);
  }

  REGAL_DECL void REGAL_CALL glMakeTextureHandleResidentARB(GLuint64 handle)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMakeTextureHandleResidentARB","(", handle, ")");;
    #endif
    App("glMakeTextureHandleResidentARB","(", handle, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMakeTextureHandleResidentARB)(handle);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformHandleui64ARB(GLuint program, GLint location, GLuint64 value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniformHandleui64ARB","(", program, ", ", location, ", ", value, ")");;
    #endif
    App("glProgramUniformHandleui64ARB","(", program, ", ", location, ", ", value, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformHandleui64ARB)(program, location, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformHandleui64vARB(GLuint program, GLint location, GLsizei count, const GLuint64 *values)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniformHandleui64vARB","(", program, ", ", location, ", ", count, ", ", boost::print::optional(values,Logging::pointers), ")");;
    #endif
    App("glProgramUniformHandleui64vARB","(", program, ", ", location, ", ", count, ", ", boost::print::optional(values,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformHandleui64vARB)(program, location, count, values);
  }

  REGAL_DECL void REGAL_CALL glUniformHandleui64ARB(GLint location, GLuint64 value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniformHandleui64ARB","(", location, ", ", value, ")");;
    #endif
    App("glUniformHandleui64ARB","(", location, ", ", value, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformHandleui64ARB)(location, value);
  }

  REGAL_DECL void REGAL_CALL glUniformHandleui64vARB(GLint location, GLsizei count, const GLuint64 *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniformHandleui64vARB","(", location, ", ", count, ", ", boost::print::optional(value,Logging::pointers), ")");;
    #endif
    App("glUniformHandleui64vARB","(", location, ", ", count, ", ", boost::print::optional(value,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformHandleui64vARB)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL1ui64ARB(GLuint index, GLuint64EXT x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribL1ui64ARB","(", index, ", ", x, ")");;
    #endif
    App("glVertexAttribL1ui64ARB","(", index, ", ", x, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL1ui64ARB)(index, x);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL1ui64vARB(GLuint index, const GLuint64EXT *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribL1ui64vARB","(", index, ", ", boost::print::optional(v,Logging::pointers), ")");;
    #endif
    App("glVertexAttribL1ui64vARB","(", index, ", ", boost::print::optional(v,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL1ui64vARB)(index, v);
  }

  /* GL_ARB_blend_func_extended */

  REGAL_DECL void REGAL_CALL glBindFragDataLocationIndexed(GLuint program, GLuint colorNumber, GLuint index, const GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindFragDataLocationIndexed","(", program, ", ", colorNumber, ", ", index, ", ", boost::print::quote(name,'"'), ")");;
    #endif
    App("glBindFragDataLocationIndexed","(", program, ", ", colorNumber, ", ", index, ", ", boost::print::quote(name,'"'), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindFragDataLocationIndexed)(program, colorNumber, index, name);
  }

  REGAL_DECL GLint REGAL_CALL glGetFragDataIndex(GLuint program, const GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetFragDataIndex","(", program, ", ", boost::print::quote(name,'"'), ")");;
    #endif
    App("glGetFragDataIndex","(", program, ", ", boost::print::quote(name,'"'), ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetFragDataIndex)(program, name);
  }

  /* GL_ARB_buffer_storage */

  REGAL_DECL void REGAL_CALL glBufferStorage(GLenum target, GLsizeiptr size, const GLvoid *data, GLbitfield flags)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBufferStorage","(", toString(target), ", ", size, ", ", boost::print::optional(data,Logging::pointers), ", ", GLbufferStorageToString(flags), ")");;
    #endif
    App("glBufferStorage","(", toString(target), ", ", size, ", ", boost::print::optional(data,Logging::pointers), ", ", GLbufferStorageToString(flags), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBufferStorage)(target, size, data, flags);
  }

  REGAL_DECL void REGAL_CALL glNamedBufferStorageEXT(GLuint buffer, GLsizeiptr size, const GLvoid *data, GLbitfield flags)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNamedBufferStorageEXT","(", buffer, ", ", size, ", ", boost::print::optional(data,Logging::pointers), ", ", GLbufferStorageToString(flags), ")");;
    #endif
    App("glNamedBufferStorageEXT","(", buffer, ", ", size, ", ", boost::print::optional(data,Logging::pointers), ", ", GLbufferStorageToString(flags), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedBufferStorageEXT)(buffer, size, data, flags);
  }

  /* GL_ARB_cl_event */

  REGAL_DECL GLsync REGAL_CALL glCreateSyncFromCLeventARB(cl_context context, cl_event event, GLbitfield flags)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCreateSyncFromCLeventARB","(", context, ", ", event, ", ", GLcreateSyncFromCLeventARBToString(flags), ")");;
    #endif
    App("glCreateSyncFromCLeventARB","(", context, ", ", event, ", ", GLcreateSyncFromCLeventARBToString(flags), ")");
    if (!_context) return NULL;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glCreateSyncFromCLeventARB)(context, event, flags);
  }

  /* GL_ARB_clear_buffer_object */

  REGAL_DECL void REGAL_CALL glClearBufferData(GLenum target, GLenum internalformat, GLenum format, GLenum type, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glClearBufferData","(", toString(target), ", ", toString(internalformat), ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(data,Logging::pointers), ")");;
    #endif
    App("glClearBufferData","(", toString(target), ", ", toString(internalformat), ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClearBufferData)(target, internalformat, format, type, data);
  }

  REGAL_DECL void REGAL_CALL glClearBufferSubData(GLenum target, GLenum internalformat, GLintptr offset, GLsizeiptr size, GLenum format, GLenum type, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glClearBufferSubData","(", toString(target), ", ", toString(internalformat), ", ", offset, ", ", size, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(data,Logging::pointers), ")");;
    #endif
    App("glClearBufferSubData","(", toString(target), ", ", toString(internalformat), ", ", offset, ", ", size, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClearBufferSubData)(target, internalformat, offset, size, format, type, data);
  }

  REGAL_DECL void REGAL_CALL glClearNamedBufferDataEXT(GLuint buffer, GLenum internalformat, GLenum format, GLenum type, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glClearNamedBufferDataEXT","(", buffer, ", ", toString(internalformat), ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(data,Logging::pointers), ")");;
    #endif
    App("glClearNamedBufferDataEXT","(", buffer, ", ", toString(internalformat), ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClearNamedBufferDataEXT)(buffer, internalformat, format, type, data);
  }

  REGAL_DECL void REGAL_CALL glClearNamedBufferSubDataEXT(GLuint buffer, GLenum internalformat, GLintptr offset, GLsizeiptr size, GLenum format, GLenum type, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glClearNamedBufferSubDataEXT","(", buffer, ", ", toString(internalformat), ", ", offset, ", ", size, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(data,Logging::pointers), ")");;
    #endif
    App("glClearNamedBufferSubDataEXT","(", buffer, ", ", toString(internalformat), ", ", offset, ", ", size, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClearNamedBufferSubDataEXT)(buffer, internalformat, offset, size, format, type, data);
  }

  /* GL_ARB_clear_texture */

  REGAL_DECL void REGAL_CALL glClearTexImage(GLuint texture, GLint level, GLenum format, GLenum type, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glClearTexImage","(", texture, ", ", level, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(data,Logging::pointers), ")");;
    #endif
    App("glClearTexImage","(", texture, ", ", level, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClearTexImage)(texture, level, format, type, data);
  }

  REGAL_DECL void REGAL_CALL glClearTexSubImage(GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glClearTexSubImage","(", texture, ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(data,Logging::pointers), ")");;
    #endif
    App("glClearTexSubImage","(", texture, ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClearTexSubImage)(texture, level, xoffset, yoffset, zoffset, width, height, depth, format, type, data);
  }

  /* GL_ARB_clip_control */

  REGAL_DECL void REGAL_CALL glClipControl(GLenum origin, GLenum depth)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glClipControl","(", toString(origin), ", ", toString(depth), ")");;
    #endif
    App("glClipControl","(", toString(origin), ", ", toString(depth), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClipControl)(origin, depth);
  }

  /* GL_ARB_color_buffer_float */

  REGAL_DECL void REGAL_CALL glClampColorARB(GLenum target, GLenum clamp)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glClampColorARB","(", toString(target), ", ", toString(clamp), ")");;
    #endif
    App("glClampColorARB","(", toString(target), ", ", toString(clamp), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClampColorARB)(target, clamp);
  }

  /* GL_ARB_compute_shader */

  REGAL_DECL void REGAL_CALL glDispatchCompute(GLuint num_groups_x, GLuint num_groups_y, GLuint num_groups_z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDispatchCompute","(", num_groups_x, ", ", num_groups_y, ", ", num_groups_z, ")");;
    #endif
    App("glDispatchCompute","(", num_groups_x, ", ", num_groups_y, ", ", num_groups_z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDispatchCompute)(num_groups_x, num_groups_y, num_groups_z);
  }

  REGAL_DECL void REGAL_CALL glDispatchComputeIndirect(GLintptr indirect)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDispatchComputeIndirect","(", indirect, ")");;
    #endif
    App("glDispatchComputeIndirect","(", indirect, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDispatchComputeIndirect)(indirect);
  }

  /* GL_ARB_compute_variable_group_size */

  REGAL_DECL void REGAL_CALL glDispatchComputeGroupSizeARB(GLuint num_groups_x, GLuint num_groups_y, GLuint num_groups_z, GLuint group_size_x, GLuint group_size_y, GLuint group_size_z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDispatchComputeGroupSizeARB","(", num_groups_x, ", ", num_groups_y, ", ", num_groups_z, ", ", group_size_x, ", ", group_size_y, ", ", group_size_z, ")");;
    #endif
    App("glDispatchComputeGroupSizeARB","(", num_groups_x, ", ", num_groups_y, ", ", num_groups_z, ", ", group_size_x, ", ", group_size_y, ", ", group_size_z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDispatchComputeGroupSizeARB)(num_groups_x, num_groups_y, num_groups_z, group_size_x, group_size_y, group_size_z);
  }

  /* GL_ARB_copy_buffer */

  REGAL_DECL void REGAL_CALL glCopyBufferSubData(GLenum readtarget, GLenum writetarget, GLintptr readoffset, GLintptr writeoffset, GLsizeiptr size)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCopyBufferSubData","(", toString(readtarget), ", ", toString(writetarget), ", ", readoffset, ", ", writeoffset, ", ", size, ")");;
    #endif
    App("glCopyBufferSubData","(", toString(readtarget), ", ", toString(writetarget), ", ", readoffset, ", ", writeoffset, ", ", size, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyBufferSubData)(readtarget, writetarget, readoffset, writeoffset, size);
  }

  /* GL_ARB_copy_image */

  REGAL_DECL void REGAL_CALL glCopyImageSubData(GLuint srcName, GLenum srcTarget, GLint srcLevel, GLint srcX, GLint srcY, GLint srcZ, GLuint dstName, GLenum dstTarget, GLint dstLevel, GLint dstX, GLint dstY, GLint dstZ, GLsizei srcWidth, GLsizei srcHeight, GLsizei srcDepth)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCopyImageSubData","(", srcName, ", ", toString(srcTarget), ", ", srcLevel, ", ", srcX, ", ", srcY, ", ", srcZ, ", ", dstName, ", ", toString(dstTarget), ", ", dstLevel, ", ", dstX, ", ", dstY, ", ", dstZ, ", ", srcWidth, ", ", srcHeight, ", ", srcDepth, ")");;
    #endif
    App("glCopyImageSubData","(", srcName, ", ", toString(srcTarget), ", ", srcLevel, ", ", srcX, ", ", srcY, ", ", srcZ, ", ", dstName, ", ", toString(dstTarget), ", ", dstLevel, ", ", dstX, ", ", dstY, ", ", dstZ, ", ", srcWidth, ", ", srcHeight, ", ", srcDepth, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyImageSubData)(srcName, srcTarget, srcLevel, srcX, srcY, srcZ, dstName, dstTarget, dstLevel, dstX, dstY, dstZ, srcWidth, srcHeight, srcDepth);
  }

  /* GL_ARB_debug_output */

  REGAL_DECL void REGAL_CALL glDebugMessageCallbackARB(GLDEBUGPROCARB callback, const void *userParam)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDebugMessageCallbackARB","(", boost::print::optional(userParam,Logging::pointers), ")");;
    #endif
    App("glDebugMessageCallbackARB","(", boost::print::optional(userParam,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDebugMessageCallbackARB)(callback, userParam);
  }

  REGAL_DECL void REGAL_CALL glDebugMessageControlARB(GLenum source, GLenum type, GLenum severity, GLsizei count, const GLuint *ids, GLboolean enabled)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDebugMessageControlARB","(", toString(source), ", ", toString(type), ", ", toString(severity), ", ", count, ", ", boost::print::array(ids,count>0 && ids ? count : 0), ", ", toString(enabled), ")");;
    #endif
    App("glDebugMessageControlARB","(", toString(source), ", ", toString(type), ", ", toString(severity), ", ", count, ", ", boost::print::array(ids,count>0 && ids ? count : 0), ", ", toString(enabled), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDebugMessageControlARB)(source, type, severity, count, ids, enabled);
  }

  REGAL_DECL void REGAL_CALL glDebugMessageInsertARB(GLenum source, GLenum type, GLuint id, GLenum severity, GLsizei length, const GLchar *buf)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());

    const GLsizei maxLength = _context && _context->emuInfo ? _context->emuInfo->gl_max_debug_message_length : 1024;
    const std::string _message = Marker::toStringEXT(length,buf,maxLength);
    #if REGAL_HTTP
    _context->http.callString = print_string("glDebugMessageInsertARB","(", toString(source), ", ", toString(type), ", ", id, ", ", toString(severity), ", ", length, ", ", boost::print::quote(buf,'"'), ")");;
    #endif
    App("glDebugMessageInsertARB","(", toString(source), ", ", toString(type), ", ", id, ", ", toString(severity), ", ", length, ", ", boost::print::quote(buf,'"'), ")");
    if (!_context) return;
    if (_context->marker)
      _context->marker->InsertEventMarker(*_context, _message);
    RegalAssert(_context->info);
    if (true || _context->info->gl_arb_debug_output)
    {
        DispatchTableGL *_next = &_context->dispatcher.front();
        RegalAssert(_next);
        _next->call(&_next->glDebugMessageInsertARB)(source, type, id, severity, length, buf);
    }
  }

  REGAL_DECL GLuint REGAL_CALL glGetDebugMessageLogARB(GLuint count, GLsizei bufSize, GLenum *sources, GLenum *types, GLuint *ids, GLenum *severities, GLsizei *lengths, GLchar *messageLog)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetDebugMessageLogARB","(", count, ", ", bufSize, ")");;
    #endif
    App("glGetDebugMessageLogARB","(", count, ", ", bufSize, ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetDebugMessageLogARB)(count, bufSize, sources, types, ids, severities, lengths, messageLog);
  }

  /* GL_ARB_direct_state_access */

  REGAL_DECL void REGAL_CALL glBindTextureUnit(GLuint unit, GLuint texture)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindTextureUnit","(", unit, ", ", texture, ")");;
    #endif
    App("glBindTextureUnit","(", unit, ", ", texture, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindTextureUnit)(unit, texture);
  }

  REGAL_DECL void REGAL_CALL glBlitNamedFramebuffer(GLuint readFramebuffer, GLuint drawFramebuffer, GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBlitNamedFramebuffer","(", readFramebuffer, ", ", drawFramebuffer, ", ", srcX0, ", ", srcY0, ", ", srcX1, ", ", srcY1, ", ", dstX0, ", ", dstY0, ", ", dstX1, ", ", dstY1, ", ", mask, ", ", toString(filter), ")");;
    #endif
    App("glBlitNamedFramebuffer","(", readFramebuffer, ", ", drawFramebuffer, ", ", srcX0, ", ", srcY0, ", ", srcX1, ", ", srcY1, ", ", dstX0, ", ", dstY0, ", ", dstX1, ", ", dstY1, ", ", mask, ", ", toString(filter), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlitNamedFramebuffer)(readFramebuffer, drawFramebuffer, srcX0, srcY0, srcX1, srcY1, dstX0, dstY0, dstX1, dstY1, mask, filter);
  }

  REGAL_DECL GLenum REGAL_CALL glCheckNamedFramebufferStatus(GLuint framebuffer, GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCheckNamedFramebufferStatus","(", framebuffer, ", ", toString(target), ")");;
    #endif
    App("glCheckNamedFramebufferStatus","(", framebuffer, ", ", toString(target), ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glCheckNamedFramebufferStatus)(framebuffer, target);
  }

  REGAL_DECL void REGAL_CALL glClearNamedBufferData(GLuint buffer, GLenum internalformat, GLenum format, GLenum type, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glClearNamedBufferData","(", buffer, ", ", toString(internalformat), ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(data,Logging::pointers), ")");;
    #endif
    App("glClearNamedBufferData","(", buffer, ", ", toString(internalformat), ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClearNamedBufferData)(buffer, internalformat, format, type, data);
  }

  REGAL_DECL void REGAL_CALL glClearNamedBufferSubData(GLuint buffer, GLenum internalformat, GLintptr offset, GLsizeiptr size, GLenum format, GLenum type, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glClearNamedBufferSubData","(", buffer, ", ", toString(internalformat), ", ", offset, ", ", size, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(data,Logging::pointers), ")");;
    #endif
    App("glClearNamedBufferSubData","(", buffer, ", ", toString(internalformat), ", ", offset, ", ", size, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClearNamedBufferSubData)(buffer, internalformat, offset, size, format, type, data);
  }

  REGAL_DECL void REGAL_CALL glClearNamedFramebufferfi(GLuint framebuffer, GLenum buffer, GLfloat depth, GLint stencil)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glClearNamedFramebufferfi","(", framebuffer, ", ", toString(buffer), ", ", depth, ", ", stencil, ")");;
    #endif
    App("glClearNamedFramebufferfi","(", framebuffer, ", ", toString(buffer), ", ", depth, ", ", stencil, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClearNamedFramebufferfi)(framebuffer, buffer, depth, stencil);
  }

  REGAL_DECL void REGAL_CALL glClearNamedFramebufferfv(GLuint framebuffer, GLenum buffer, GLint drawbuffer, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glClearNamedFramebufferfv","(", framebuffer, ", ", toString(buffer), ", ", drawbuffer, ", ", boost::print::optional(value,Logging::pointers), ")");;
    #endif
    App("glClearNamedFramebufferfv","(", framebuffer, ", ", toString(buffer), ", ", drawbuffer, ", ", boost::print::optional(value,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClearNamedFramebufferfv)(framebuffer, buffer, drawbuffer, value);
  }

  REGAL_DECL void REGAL_CALL glClearNamedFramebufferiv(GLuint framebuffer, GLenum buffer, GLint drawbuffer, const GLint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glClearNamedFramebufferiv","(", framebuffer, ", ", toString(buffer), ", ", drawbuffer, ", ", boost::print::optional(value,Logging::pointers), ")");;
    #endif
    App("glClearNamedFramebufferiv","(", framebuffer, ", ", toString(buffer), ", ", drawbuffer, ", ", boost::print::optional(value,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClearNamedFramebufferiv)(framebuffer, buffer, drawbuffer, value);
  }

  REGAL_DECL void REGAL_CALL glClearNamedFramebufferuiv(GLuint framebuffer, GLenum buffer, GLint drawbuffer, const GLuint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glClearNamedFramebufferuiv","(", framebuffer, ", ", toString(buffer), ", ", drawbuffer, ", ", boost::print::optional(value,Logging::pointers), ")");;
    #endif
    App("glClearNamedFramebufferuiv","(", framebuffer, ", ", toString(buffer), ", ", drawbuffer, ", ", boost::print::optional(value,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClearNamedFramebufferuiv)(framebuffer, buffer, drawbuffer, value);
  }

  REGAL_DECL void REGAL_CALL glCompressedTextureSubImage1D(GLuint texture, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCompressedTextureSubImage1D","(", texture, ", ", level, ", ", xoffset, ", ", width, ", ", toString(format), ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");;
    #endif
    App("glCompressedTextureSubImage1D","(", texture, ", ", level, ", ", xoffset, ", ", width, ", ", toString(format), ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedTextureSubImage1D)(texture, level, xoffset, width, format, imageSize, data);
  }

  REGAL_DECL void REGAL_CALL glCompressedTextureSubImage2D(GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCompressedTextureSubImage2D","(", texture, ", ", level, ", ", xoffset, ", ", yoffset, ", ", width, ", ", height, ", ", toString(format), ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");;
    #endif
    App("glCompressedTextureSubImage2D","(", texture, ", ", level, ", ", xoffset, ", ", yoffset, ", ", width, ", ", height, ", ", toString(format), ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedTextureSubImage2D)(texture, level, xoffset, yoffset, width, height, format, imageSize, data);
  }

  REGAL_DECL void REGAL_CALL glCompressedTextureSubImage3D(GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCompressedTextureSubImage3D","(", texture, ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ", ", toString(format), ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");;
    #endif
    App("glCompressedTextureSubImage3D","(", texture, ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ", ", toString(format), ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedTextureSubImage3D)(texture, level, xoffset, yoffset, zoffset, width, height, depth, format, imageSize, data);
  }

  REGAL_DECL void REGAL_CALL glCopyNamedBufferSubData(GLuint readBuffer, GLuint writeBuffer, GLintptr readOffset, GLintptr writeOffset, GLsizeiptr size)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCopyNamedBufferSubData","(", readBuffer, ", ", writeBuffer, ", ", readOffset, ", ", writeOffset, ", ", size, ")");;
    #endif
    App("glCopyNamedBufferSubData","(", readBuffer, ", ", writeBuffer, ", ", readOffset, ", ", writeOffset, ", ", size, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyNamedBufferSubData)(readBuffer, writeBuffer, readOffset, writeOffset, size);
  }

  REGAL_DECL void REGAL_CALL glCopyTextureSubImage1D(GLuint texture, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCopyTextureSubImage1D","(", texture, ", ", level, ", ", xoffset, ", ", x, ", ", y, ", ", width, ")");;
    #endif
    App("glCopyTextureSubImage1D","(", texture, ", ", level, ", ", xoffset, ", ", x, ", ", y, ", ", width, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyTextureSubImage1D)(texture, level, xoffset, x, y, width);
  }

  REGAL_DECL void REGAL_CALL glCopyTextureSubImage2D(GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCopyTextureSubImage2D","(", texture, ", ", level, ", ", xoffset, ", ", yoffset, ", ", x, ", ", y, ", ", width, ", ", height, ")");;
    #endif
    App("glCopyTextureSubImage2D","(", texture, ", ", level, ", ", xoffset, ", ", yoffset, ", ", x, ", ", y, ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyTextureSubImage2D)(texture, level, xoffset, yoffset, x, y, width, height);
  }

  REGAL_DECL void REGAL_CALL glCopyTextureSubImage3D(GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCopyTextureSubImage3D","(", texture, ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", x, ", ", y, ", ", width, ", ", height, ")");;
    #endif
    App("glCopyTextureSubImage3D","(", texture, ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", x, ", ", y, ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyTextureSubImage3D)(texture, level, xoffset, yoffset, zoffset, x, y, width, height);
  }

  REGAL_DECL void REGAL_CALL glCreateBuffers(GLsizei n, GLuint *buffers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCreateBuffers","(", n, ", ", boost::print::optional(buffers,Logging::pointers), ")");;
    #endif
    App("glCreateBuffers","(", n, ", ", boost::print::optional(buffers,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCreateBuffers)(n, buffers);
  }

  REGAL_DECL void REGAL_CALL glCreateFramebuffers(GLsizei n, GLuint *framebuffers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCreateFramebuffers","(", n, ", ", boost::print::optional(framebuffers,Logging::pointers), ")");;
    #endif
    App("glCreateFramebuffers","(", n, ", ", boost::print::optional(framebuffers,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCreateFramebuffers)(n, framebuffers);
  }

  REGAL_DECL void REGAL_CALL glCreateProgramPipelines(GLsizei n, GLuint *pipelines)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCreateProgramPipelines","(", n, ", ", boost::print::optional(pipelines,Logging::pointers), ")");;
    #endif
    App("glCreateProgramPipelines","(", n, ", ", boost::print::optional(pipelines,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCreateProgramPipelines)(n, pipelines);
  }

  REGAL_DECL void REGAL_CALL glCreateQueries(GLenum target, GLsizei n, GLuint *ids)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCreateQueries","(", toString(target), ", ", n, ", ", boost::print::optional(ids,Logging::pointers), ")");;
    #endif
    App("glCreateQueries","(", toString(target), ", ", n, ", ", boost::print::optional(ids,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCreateQueries)(target, n, ids);
  }

  REGAL_DECL void REGAL_CALL glCreateRenderbuffers(GLsizei n, GLuint *renderbuffers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCreateRenderbuffers","(", n, ", ", boost::print::optional(renderbuffers,Logging::pointers), ")");;
    #endif
    App("glCreateRenderbuffers","(", n, ", ", boost::print::optional(renderbuffers,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCreateRenderbuffers)(n, renderbuffers);
  }

  REGAL_DECL void REGAL_CALL glCreateSamplers(GLsizei n, GLuint *samplers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCreateSamplers","(", n, ", ", boost::print::optional(samplers,Logging::pointers), ")");;
    #endif
    App("glCreateSamplers","(", n, ", ", boost::print::optional(samplers,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCreateSamplers)(n, samplers);
  }

  REGAL_DECL void REGAL_CALL glCreateTextures(GLenum target, GLsizei n, GLuint *textures)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCreateTextures","(", toString(target), ", ", n, ", ", boost::print::optional(textures,Logging::pointers), ")");;
    #endif
    App("glCreateTextures","(", toString(target), ", ", n, ", ", boost::print::optional(textures,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCreateTextures)(target, n, textures);
  }

  REGAL_DECL void REGAL_CALL glCreateTransformFeedbacks(GLsizei n, GLuint *ids)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCreateTransformFeedbacks","(", n, ", ", boost::print::optional(ids,Logging::pointers), ")");;
    #endif
    App("glCreateTransformFeedbacks","(", n, ", ", boost::print::optional(ids,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCreateTransformFeedbacks)(n, ids);
  }

  REGAL_DECL void REGAL_CALL glCreateVertexArrays(GLsizei n, GLuint *arrays)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCreateVertexArrays","(", n, ", ", boost::print::optional(arrays,Logging::pointers), ")");;
    #endif
    App("glCreateVertexArrays","(", n, ", ", boost::print::optional(arrays,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCreateVertexArrays)(n, arrays);
  }

  REGAL_DECL void REGAL_CALL glDisableVertexArrayAttrib(GLuint vaobj, GLuint index)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDisableVertexArrayAttrib","(", vaobj, ", ", index, ")");;
    #endif
    App("glDisableVertexArrayAttrib","(", vaobj, ", ", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDisableVertexArrayAttrib)(vaobj, index);
  }

  REGAL_DECL void REGAL_CALL glEnableVertexArrayAttrib(GLuint vaobj, GLuint index)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEnableVertexArrayAttrib","(", vaobj, ", ", index, ")");;
    #endif
    App("glEnableVertexArrayAttrib","(", vaobj, ", ", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEnableVertexArrayAttrib)(vaobj, index);
  }

  REGAL_DECL void REGAL_CALL glFlushMappedNamedBufferRange(GLuint buffer, GLintptr offset, GLsizeiptr length)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFlushMappedNamedBufferRange","(", buffer, ", ", offset, ", ", length, ")");;
    #endif
    App("glFlushMappedNamedBufferRange","(", buffer, ", ", offset, ", ", length, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFlushMappedNamedBufferRange)(buffer, offset, length);
  }

  REGAL_DECL void REGAL_CALL glGenerateTextureMipmap(GLuint texture)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGenerateTextureMipmap","(", texture, ")");;
    #endif
    App("glGenerateTextureMipmap","(", texture, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenerateTextureMipmap)(texture);
  }

  REGAL_DECL void REGAL_CALL glGetCompressedTextureImage(GLuint texture, GLint level, GLsizei bufSize, GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetCompressedTextureImage","(", texture, ", ", level, ", ", bufSize, ", ", boost::print::optional(pixels,Logging::pointers), ")");;
    #endif
    App("glGetCompressedTextureImage","(", texture, ", ", level, ", ", bufSize, ", ", boost::print::optional(pixels,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetCompressedTextureImage)(texture, level, bufSize, pixels);
  }

  REGAL_DECL void REGAL_CALL glGetNamedBufferParameteri64v(GLuint buffer, GLenum pname, GLint64 *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetNamedBufferParameteri64v","(", buffer, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glGetNamedBufferParameteri64v","(", buffer, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetNamedBufferParameteri64v)(buffer, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetNamedBufferParameteriv(GLuint buffer, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetNamedBufferParameteriv","(", buffer, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glGetNamedBufferParameteriv","(", buffer, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetNamedBufferParameteriv)(buffer, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetNamedBufferPointerv(GLuint buffer, GLenum pname, GLvoid **params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetNamedBufferPointerv","(", buffer, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glGetNamedBufferPointerv","(", buffer, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetNamedBufferPointerv)(buffer, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetNamedBufferSubData(GLuint buffer, GLintptr offset, GLsizeiptr size, GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetNamedBufferSubData","(", buffer, ", ", offset, ", ", size, ", ", boost::print::optional(data,Logging::pointers), ")");;
    #endif
    App("glGetNamedBufferSubData","(", buffer, ", ", offset, ", ", size, ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetNamedBufferSubData)(buffer, offset, size, data);
  }

  REGAL_DECL void REGAL_CALL glGetNamedFramebufferAttachmentParameteriv(GLuint framebuffer, GLenum attachment, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetNamedFramebufferAttachmentParameteriv","(", framebuffer, ", ", toString(attachment), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glGetNamedFramebufferAttachmentParameteriv","(", framebuffer, ", ", toString(attachment), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetNamedFramebufferAttachmentParameteriv)(framebuffer, attachment, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetNamedFramebufferParameteriv(GLuint framebuffer, GLenum pname, GLint *param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetNamedFramebufferParameteriv","(", framebuffer, ", ", toString(pname), ", ", boost::print::optional(param,Logging::pointers), ")");;
    #endif
    App("glGetNamedFramebufferParameteriv","(", framebuffer, ", ", toString(pname), ", ", boost::print::optional(param,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetNamedFramebufferParameteriv)(framebuffer, pname, param);
  }

  REGAL_DECL void REGAL_CALL glGetNamedRenderbufferParameteriv(GLuint renderbuffer, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetNamedRenderbufferParameteriv","(", renderbuffer, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glGetNamedRenderbufferParameteriv","(", renderbuffer, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetNamedRenderbufferParameteriv)(renderbuffer, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetTextureImage(GLuint texture, GLint level, GLenum format, GLenum type, GLsizei bufSize, GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTextureImage","(", texture, ", ", level, ", ", toString(format), ", ", toString(type), ", ", bufSize, ", ", boost::print::optional(pixels,Logging::pointers), ")");;
    #endif
    App("glGetTextureImage","(", texture, ", ", level, ", ", toString(format), ", ", toString(type), ", ", bufSize, ", ", boost::print::optional(pixels,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTextureImage)(texture, level, format, type, bufSize, pixels);
  }

  REGAL_DECL void REGAL_CALL glGetTextureLevelParameterfv(GLuint texture, GLint level, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTextureLevelParameterfv","(", texture, ", ", level, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glGetTextureLevelParameterfv","(", texture, ", ", level, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTextureLevelParameterfv)(texture, level, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetTextureLevelParameteriv(GLuint texture, GLint level, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTextureLevelParameteriv","(", texture, ", ", level, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glGetTextureLevelParameteriv","(", texture, ", ", level, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTextureLevelParameteriv)(texture, level, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetTextureParameterIiv(GLuint texture, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTextureParameterIiv","(", texture, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glGetTextureParameterIiv","(", texture, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTextureParameterIiv)(texture, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetTextureParameterIuiv(GLuint texture, GLenum pname, GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTextureParameterIuiv","(", texture, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glGetTextureParameterIuiv","(", texture, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTextureParameterIuiv)(texture, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetTextureParameterfv(GLuint texture, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTextureParameterfv","(", texture, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glGetTextureParameterfv","(", texture, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTextureParameterfv)(texture, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetTextureParameteriv(GLuint texture, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTextureParameteriv","(", texture, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glGetTextureParameteriv","(", texture, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTextureParameteriv)(texture, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetTransformFeedbacki64_v(GLuint xfb, GLenum pname, GLuint index, GLint64 *param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTransformFeedbacki64_v","(", xfb, ", ", toString(pname), ", ", index, ", ", boost::print::optional(param,Logging::pointers), ")");;
    #endif
    App("glGetTransformFeedbacki64_v","(", xfb, ", ", toString(pname), ", ", index, ", ", boost::print::optional(param,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTransformFeedbacki64_v)(xfb, pname, index, param);
  }

  REGAL_DECL void REGAL_CALL glGetTransformFeedbacki_v(GLuint xfb, GLenum pname, GLuint index, GLint *param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTransformFeedbacki_v","(", xfb, ", ", toString(pname), ", ", index, ", ", boost::print::optional(param,Logging::pointers), ")");;
    #endif
    App("glGetTransformFeedbacki_v","(", xfb, ", ", toString(pname), ", ", index, ", ", boost::print::optional(param,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTransformFeedbacki_v)(xfb, pname, index, param);
  }

  REGAL_DECL void REGAL_CALL glGetTransformFeedbackiv(GLuint xfb, GLenum pname, GLint *param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTransformFeedbackiv","(", xfb, ", ", toString(pname), ", ", boost::print::optional(param,Logging::pointers), ")");;
    #endif
    App("glGetTransformFeedbackiv","(", xfb, ", ", toString(pname), ", ", boost::print::optional(param,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTransformFeedbackiv)(xfb, pname, param);
  }

  REGAL_DECL void REGAL_CALL glGetVertexArrayIndexed64iv(GLuint vaobj, GLuint index, GLenum pname, GLint64 *param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetVertexArrayIndexed64iv","(", vaobj, ", ", index, ", ", toString(pname), ", ", boost::print::optional(param,Logging::pointers), ")");;
    #endif
    App("glGetVertexArrayIndexed64iv","(", vaobj, ", ", index, ", ", toString(pname), ", ", boost::print::optional(param,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexArrayIndexed64iv)(vaobj, index, pname, param);
  }

  REGAL_DECL void REGAL_CALL glGetVertexArrayIndexediv(GLuint vaobj, GLuint index, GLenum pname, GLint *param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetVertexArrayIndexediv","(", vaobj, ", ", index, ", ", toString(pname), ", ", boost::print::optional(param,Logging::pointers), ")");;
    #endif
    App("glGetVertexArrayIndexediv","(", vaobj, ", ", index, ", ", toString(pname), ", ", boost::print::optional(param,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexArrayIndexediv)(vaobj, index, pname, param);
  }

  REGAL_DECL void REGAL_CALL glGetVertexArrayiv(GLuint vaobj, GLenum pname, GLint *param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetVertexArrayiv","(", vaobj, ", ", toString(pname), ", ", boost::print::optional(param,Logging::pointers), ")");;
    #endif
    App("glGetVertexArrayiv","(", vaobj, ", ", toString(pname), ", ", boost::print::optional(param,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexArrayiv)(vaobj, pname, param);
  }

  REGAL_DECL void REGAL_CALL glInvalidateNamedFramebufferData(GLuint framebuffer, GLsizei numAttachments, const GLenum *attachments)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glInvalidateNamedFramebufferData","(", framebuffer, ", ", numAttachments, ", ", attachments, ")");;
    #endif
    App("glInvalidateNamedFramebufferData","(", framebuffer, ", ", numAttachments, ", ", attachments, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glInvalidateNamedFramebufferData)(framebuffer, numAttachments, attachments);
  }

  REGAL_DECL void REGAL_CALL glInvalidateNamedFramebufferSubData(GLuint framebuffer, GLsizei numAttachments, const GLenum *attachments, GLint x, GLint y, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glInvalidateNamedFramebufferSubData","(", framebuffer, ", ", numAttachments, ", ", attachments, ", ", x, ", ", y, ", ", width, ", ", height, ")");;
    #endif
    App("glInvalidateNamedFramebufferSubData","(", framebuffer, ", ", numAttachments, ", ", attachments, ", ", x, ", ", y, ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glInvalidateNamedFramebufferSubData)(framebuffer, numAttachments, attachments, x, y, width, height);
  }

  REGAL_DECL GLvoid *REGAL_CALL glMapNamedBuffer(GLuint buffer, GLenum access)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMapNamedBuffer","(", buffer, ", ", toString(access), ")");;
    #endif
    App("glMapNamedBuffer","(", buffer, ", ", toString(access), ")");
    if (!_context) return NULL;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glMapNamedBuffer)(buffer, access);
  }

  REGAL_DECL GLvoid *REGAL_CALL glMapNamedBufferRange(GLuint buffer, GLintptr offset, GLsizeiptr length, GLbitfield access)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMapNamedBufferRange","(", buffer, ", ", offset, ", ", length, ", ", access, ")");;
    #endif
    App("glMapNamedBufferRange","(", buffer, ", ", offset, ", ", length, ", ", access, ")");
    if (!_context) return NULL;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glMapNamedBufferRange)(buffer, offset, length, access);
  }

  REGAL_DECL void REGAL_CALL glNamedBufferData(GLuint buffer, GLsizeiptr size, const GLvoid *data, GLenum usage)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNamedBufferData","(", buffer, ", ", size, ", ", boost::print::optional(data,Logging::pointers), ", ", toString(usage), ")");;
    #endif
    App("glNamedBufferData","(", buffer, ", ", size, ", ", boost::print::optional(data,Logging::pointers), ", ", toString(usage), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedBufferData)(buffer, size, data, usage);
  }

  REGAL_DECL void REGAL_CALL glNamedBufferStorage(GLuint buffer, GLsizeiptr size, const GLvoid *data, GLbitfield flags)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNamedBufferStorage","(", buffer, ", ", size, ", ", boost::print::optional(data,Logging::pointers), ", ", flags, ")");;
    #endif
    App("glNamedBufferStorage","(", buffer, ", ", size, ", ", boost::print::optional(data,Logging::pointers), ", ", flags, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedBufferStorage)(buffer, size, data, flags);
  }

  REGAL_DECL void REGAL_CALL glNamedBufferSubData(GLuint buffer, GLintptr offset, GLsizeiptr size, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNamedBufferSubData","(", buffer, ", ", offset, ", ", size, ", ", boost::print::optional(data,Logging::pointers), ")");;
    #endif
    App("glNamedBufferSubData","(", buffer, ", ", offset, ", ", size, ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedBufferSubData)(buffer, offset, size, data);
  }

  REGAL_DECL void REGAL_CALL glNamedFramebufferDrawBuffer(GLuint framebuffer, GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNamedFramebufferDrawBuffer","(", framebuffer, ", ", toString(mode), ")");;
    #endif
    App("glNamedFramebufferDrawBuffer","(", framebuffer, ", ", toString(mode), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedFramebufferDrawBuffer)(framebuffer, mode);
  }

  REGAL_DECL void REGAL_CALL glNamedFramebufferDrawBuffers(GLuint framebuffer, GLsizei n, const GLenum *bufs)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNamedFramebufferDrawBuffers","(", framebuffer, ", ", n, ", ", bufs, ")");;
    #endif
    App("glNamedFramebufferDrawBuffers","(", framebuffer, ", ", n, ", ", bufs, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedFramebufferDrawBuffers)(framebuffer, n, bufs);
  }

  REGAL_DECL void REGAL_CALL glNamedFramebufferParameteri(GLuint framebuffer, GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNamedFramebufferParameteri","(", framebuffer, ", ", toString(pname), ", ", param, ")");;
    #endif
    App("glNamedFramebufferParameteri","(", framebuffer, ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedFramebufferParameteri)(framebuffer, pname, param);
  }

  REGAL_DECL void REGAL_CALL glNamedFramebufferReadBuffer(GLuint framebuffer, GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNamedFramebufferReadBuffer","(", framebuffer, ", ", toString(mode), ")");;
    #endif
    App("glNamedFramebufferReadBuffer","(", framebuffer, ", ", toString(mode), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedFramebufferReadBuffer)(framebuffer, mode);
  }

  REGAL_DECL void REGAL_CALL glNamedFramebufferRenderbuffer(GLuint framebuffer, GLenum attachment, GLenum renderbuffertarget, GLuint renderbuffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNamedFramebufferRenderbuffer","(", framebuffer, ", ", toString(attachment), ", ", toString(renderbuffertarget), ", ", renderbuffer, ")");;
    #endif
    App("glNamedFramebufferRenderbuffer","(", framebuffer, ", ", toString(attachment), ", ", toString(renderbuffertarget), ", ", renderbuffer, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedFramebufferRenderbuffer)(framebuffer, attachment, renderbuffertarget, renderbuffer);
  }

  REGAL_DECL void REGAL_CALL glNamedFramebufferTexture(GLuint framebuffer, GLenum attachment, GLuint texture, GLint level)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNamedFramebufferTexture","(", framebuffer, ", ", toString(attachment), ", ", texture, ", ", level, ")");;
    #endif
    App("glNamedFramebufferTexture","(", framebuffer, ", ", toString(attachment), ", ", texture, ", ", level, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedFramebufferTexture)(framebuffer, attachment, texture, level);
  }

  REGAL_DECL void REGAL_CALL glNamedFramebufferTextureLayer(GLuint framebuffer, GLenum attachment, GLuint texture, GLint level, GLint layer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNamedFramebufferTextureLayer","(", framebuffer, ", ", toString(attachment), ", ", texture, ", ", level, ", ", layer, ")");;
    #endif
    App("glNamedFramebufferTextureLayer","(", framebuffer, ", ", toString(attachment), ", ", texture, ", ", level, ", ", layer, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedFramebufferTextureLayer)(framebuffer, attachment, texture, level, layer);
  }

  REGAL_DECL void REGAL_CALL glNamedRenderbufferStorage(GLuint renderbuffer, GLenum internalformat, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNamedRenderbufferStorage","(", renderbuffer, ", ", toString(internalformat), ", ", width, ", ", height, ")");;
    #endif
    App("glNamedRenderbufferStorage","(", renderbuffer, ", ", toString(internalformat), ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedRenderbufferStorage)(renderbuffer, internalformat, width, height);
  }

  REGAL_DECL void REGAL_CALL glNamedRenderbufferStorageMultisample(GLuint renderbuffer, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNamedRenderbufferStorageMultisample","(", renderbuffer, ", ", samples, ", ", toString(internalformat), ", ", width, ", ", height, ")");;
    #endif
    App("glNamedRenderbufferStorageMultisample","(", renderbuffer, ", ", samples, ", ", toString(internalformat), ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedRenderbufferStorageMultisample)(renderbuffer, samples, internalformat, width, height);
  }

  REGAL_DECL void REGAL_CALL glTextureBuffer(GLuint texture, GLenum internalformat, GLuint buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureBuffer","(", texture, ", ", toString(internalformat), ", ", buffer, ")");;
    #endif
    App("glTextureBuffer","(", texture, ", ", toString(internalformat), ", ", buffer, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureBuffer)(texture, internalformat, buffer);
  }

  REGAL_DECL void REGAL_CALL glTextureBufferRange(GLuint texture, GLenum internalformat, GLuint buffer, GLintptr offset, GLsizeiptr size)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureBufferRange","(", texture, ", ", toString(internalformat), ", ", buffer, ", ", offset, ", ", size, ")");;
    #endif
    App("glTextureBufferRange","(", texture, ", ", toString(internalformat), ", ", buffer, ", ", offset, ", ", size, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureBufferRange)(texture, internalformat, buffer, offset, size);
  }

  REGAL_DECL void REGAL_CALL glTextureParameterIiv(GLuint texture, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureParameterIiv","(", texture, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glTextureParameterIiv","(", texture, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureParameterIiv)(texture, pname, params);
  }

  REGAL_DECL void REGAL_CALL glTextureParameterIuiv(GLuint texture, GLenum pname, const GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureParameterIuiv","(", texture, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glTextureParameterIuiv","(", texture, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureParameterIuiv)(texture, pname, params);
  }

  REGAL_DECL void REGAL_CALL glTextureParameterf(GLuint texture, GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureParameterf","(", texture, ", ", toString(pname), ", ", param, ")");;
    #endif
    App("glTextureParameterf","(", texture, ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureParameterf)(texture, pname, param);
  }

  REGAL_DECL void REGAL_CALL glTextureParameterfv(GLuint texture, GLenum pname, const GLfloat *param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureParameterfv","(", texture, ", ", toString(pname), ", ", boost::print::optional(param,Logging::pointers), ")");;
    #endif
    App("glTextureParameterfv","(", texture, ", ", toString(pname), ", ", boost::print::optional(param,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureParameterfv)(texture, pname, param);
  }

  REGAL_DECL void REGAL_CALL glTextureParameteri(GLuint texture, GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureParameteri","(", texture, ", ", toString(pname), ", ", param, ")");;
    #endif
    App("glTextureParameteri","(", texture, ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureParameteri)(texture, pname, param);
  }

  REGAL_DECL void REGAL_CALL glTextureParameteriv(GLuint texture, GLenum pname, const GLint *param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureParameteriv","(", texture, ", ", toString(pname), ", ", boost::print::optional(param,Logging::pointers), ")");;
    #endif
    App("glTextureParameteriv","(", texture, ", ", toString(pname), ", ", boost::print::optional(param,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureParameteriv)(texture, pname, param);
  }

  REGAL_DECL void REGAL_CALL glTextureStorage1D(GLuint texture, GLsizei levels, GLenum internalformat, GLsizei width)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureStorage1D","(", texture, ", ", levels, ", ", toString(internalformat), ", ", width, ")");;
    #endif
    App("glTextureStorage1D","(", texture, ", ", levels, ", ", toString(internalformat), ", ", width, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureStorage1D)(texture, levels, internalformat, width);
  }

  REGAL_DECL void REGAL_CALL glTextureStorage2D(GLuint texture, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureStorage2D","(", texture, ", ", levels, ", ", toString(internalformat), ", ", width, ", ", height, ")");;
    #endif
    App("glTextureStorage2D","(", texture, ", ", levels, ", ", toString(internalformat), ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureStorage2D)(texture, levels, internalformat, width, height);
  }

  REGAL_DECL void REGAL_CALL glTextureStorage2DMultisample(GLuint texture, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLboolean fixedsamplelocations)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureStorage2DMultisample","(", texture, ", ", samples, ", ", toString(internalformat), ", ", width, ", ", height, ", ", toString(fixedsamplelocations), ")");;
    #endif
    App("glTextureStorage2DMultisample","(", texture, ", ", samples, ", ", toString(internalformat), ", ", width, ", ", height, ", ", toString(fixedsamplelocations), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureStorage2DMultisample)(texture, samples, internalformat, width, height, fixedsamplelocations);
  }

  REGAL_DECL void REGAL_CALL glTextureStorage3D(GLuint texture, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureStorage3D","(", texture, ", ", levels, ", ", toString(internalformat), ", ", width, ", ", height, ", ", depth, ")");;
    #endif
    App("glTextureStorage3D","(", texture, ", ", levels, ", ", toString(internalformat), ", ", width, ", ", height, ", ", depth, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureStorage3D)(texture, levels, internalformat, width, height, depth);
  }

  REGAL_DECL void REGAL_CALL glTextureStorage3DMultisample(GLuint texture, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedsamplelocations)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureStorage3DMultisample","(", texture, ", ", samples, ", ", toString(internalformat), ", ", width, ", ", height, ", ", depth, ", ", toString(fixedsamplelocations), ")");;
    #endif
    App("glTextureStorage3DMultisample","(", texture, ", ", samples, ", ", toString(internalformat), ", ", width, ", ", height, ", ", depth, ", ", toString(fixedsamplelocations), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureStorage3DMultisample)(texture, samples, internalformat, width, height, depth, fixedsamplelocations);
  }

  REGAL_DECL void REGAL_CALL glTextureSubImage1D(GLuint texture, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureSubImage1D","(", texture, ", ", level, ", ", xoffset, ", ", width, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(pixels,Logging::pointers), ")");;
    #endif
    App("glTextureSubImage1D","(", texture, ", ", level, ", ", xoffset, ", ", width, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(pixels,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureSubImage1D)(texture, level, xoffset, width, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glTextureSubImage2D(GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureSubImage2D","(", texture, ", ", level, ", ", xoffset, ", ", yoffset, ", ", width, ", ", height, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(pixels,Logging::pointers), ")");;
    #endif
    App("glTextureSubImage2D","(", texture, ", ", level, ", ", xoffset, ", ", yoffset, ", ", width, ", ", height, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(pixels,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureSubImage2D)(texture, level, xoffset, yoffset, width, height, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glTextureSubImage3D(GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureSubImage3D","(", texture, ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(pixels,Logging::pointers), ")");;
    #endif
    App("glTextureSubImage3D","(", texture, ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(pixels,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureSubImage3D)(texture, level, xoffset, yoffset, zoffset, width, height, depth, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glTransformFeedbackBufferBase(GLuint xfb, GLuint index, GLuint buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTransformFeedbackBufferBase","(", xfb, ", ", index, ", ", buffer, ")");;
    #endif
    App("glTransformFeedbackBufferBase","(", xfb, ", ", index, ", ", buffer, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTransformFeedbackBufferBase)(xfb, index, buffer);
  }

  REGAL_DECL void REGAL_CALL glTransformFeedbackBufferRange(GLuint xfb, GLuint index, GLuint buffer, GLintptr offset, GLsizeiptr size)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTransformFeedbackBufferRange","(", xfb, ", ", index, ", ", buffer, ", ", offset, ", ", size, ")");;
    #endif
    App("glTransformFeedbackBufferRange","(", xfb, ", ", index, ", ", buffer, ", ", offset, ", ", size, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTransformFeedbackBufferRange)(xfb, index, buffer, offset, size);
  }

  REGAL_DECL GLboolean REGAL_CALL glUnmapNamedBuffer(GLuint buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUnmapNamedBuffer","(", buffer, ")");;
    #endif
    App("glUnmapNamedBuffer","(", buffer, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glUnmapNamedBuffer)(buffer);
  }

  REGAL_DECL void REGAL_CALL glVertexArrayAttribBinding(GLuint vaobj, GLuint attribindex, GLuint bindingindex)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexArrayAttribBinding","(", vaobj, ", ", attribindex, ", ", bindingindex, ")");;
    #endif
    App("glVertexArrayAttribBinding","(", vaobj, ", ", attribindex, ", ", bindingindex, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexArrayAttribBinding)(vaobj, attribindex, bindingindex);
  }

  REGAL_DECL void REGAL_CALL glVertexArrayAttribFormat(GLuint vaobj, GLuint attribindex, GLint size, GLenum type, GLboolean normalized, GLuint relativeoffset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexArrayAttribFormat","(", vaobj, ", ", attribindex, ", ", size, ", ", toString(type), ", ", toString(normalized), ", ", relativeoffset, ")");;
    #endif
    App("glVertexArrayAttribFormat","(", vaobj, ", ", attribindex, ", ", size, ", ", toString(type), ", ", toString(normalized), ", ", relativeoffset, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexArrayAttribFormat)(vaobj, attribindex, size, type, normalized, relativeoffset);
  }

  REGAL_DECL void REGAL_CALL glVertexArrayAttribIFormat(GLuint vaobj, GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexArrayAttribIFormat","(", vaobj, ", ", attribindex, ", ", size, ", ", toString(type), ", ", relativeoffset, ")");;
    #endif
    App("glVertexArrayAttribIFormat","(", vaobj, ", ", attribindex, ", ", size, ", ", toString(type), ", ", relativeoffset, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexArrayAttribIFormat)(vaobj, attribindex, size, type, relativeoffset);
  }

  REGAL_DECL void REGAL_CALL glVertexArrayAttribLFormat(GLuint vaobj, GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexArrayAttribLFormat","(", vaobj, ", ", attribindex, ", ", size, ", ", toString(type), ", ", relativeoffset, ")");;
    #endif
    App("glVertexArrayAttribLFormat","(", vaobj, ", ", attribindex, ", ", size, ", ", toString(type), ", ", relativeoffset, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexArrayAttribLFormat)(vaobj, attribindex, size, type, relativeoffset);
  }

  REGAL_DECL void REGAL_CALL glVertexArrayBindingDivisor(GLuint vaobj, GLuint bindingindex, GLuint divisor)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexArrayBindingDivisor","(", vaobj, ", ", bindingindex, ", ", divisor, ")");;
    #endif
    App("glVertexArrayBindingDivisor","(", vaobj, ", ", bindingindex, ", ", divisor, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexArrayBindingDivisor)(vaobj, bindingindex, divisor);
  }

  REGAL_DECL void REGAL_CALL glVertexArrayElementBuffer(GLuint vaobj, GLuint buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexArrayElementBuffer","(", vaobj, ", ", buffer, ")");;
    #endif
    App("glVertexArrayElementBuffer","(", vaobj, ", ", buffer, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexArrayElementBuffer)(vaobj, buffer);
  }

  REGAL_DECL void REGAL_CALL glVertexArrayVertexBuffer(GLuint vaobj, GLuint bindingindex, GLuint buffer, GLintptr offset, GLsizei stride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexArrayVertexBuffer","(", vaobj, ", ", bindingindex, ", ", buffer, ", ", offset, ", ", stride, ")");;
    #endif
    App("glVertexArrayVertexBuffer","(", vaobj, ", ", bindingindex, ", ", buffer, ", ", offset, ", ", stride, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexArrayVertexBuffer)(vaobj, bindingindex, buffer, offset, stride);
  }

  REGAL_DECL void REGAL_CALL glVertexArrayVertexBuffers(GLuint vaobj, GLuint first, GLsizei count, const GLuint *buffers, const GLintptr *offsets, const GLsizei *strides)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexArrayVertexBuffers","(", vaobj, ", ", first, ", ", count, ", ", boost::print::optional(buffers,Logging::pointers), ", ", offsets, ", ", boost::print::optional(strides,Logging::pointers), ")");;
    #endif
    App("glVertexArrayVertexBuffers","(", vaobj, ", ", first, ", ", count, ", ", boost::print::optional(buffers,Logging::pointers), ", ", offsets, ", ", boost::print::optional(strides,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexArrayVertexBuffers)(vaobj, first, count, buffers, offsets, strides);
  }

  /* GL_ARB_draw_buffers */

  REGAL_DECL void REGAL_CALL glDrawBuffersARB(GLsizei n, const GLenum *bufs)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDrawBuffersARB","(", n, ", ", boost::print::array(bufs,n), ")");;
    #endif
    App("glDrawBuffersARB","(", n, ", ", boost::print::array(bufs,n), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawBuffersARB)(n, bufs);
  }

  /* GL_ARB_draw_buffers_blend */

  REGAL_DECL void REGAL_CALL glBlendEquationSeparateiARB(GLuint buf, GLenum modeRGB, GLenum modeAlpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBlendEquationSeparateiARB","(", buf, ", ", GLmodeToString(modeRGB), ", ", GLmodeToString(modeAlpha), ")");;
    #endif
    App("glBlendEquationSeparateiARB","(", buf, ", ", GLmodeToString(modeRGB), ", ", GLmodeToString(modeAlpha), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendEquationSeparateiARB)(buf, modeRGB, modeAlpha);
  }

  REGAL_DECL void REGAL_CALL glBlendEquationiARB(GLuint buf, GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBlendEquationiARB","(", buf, ", ", GLmodeToString(mode), ")");;
    #endif
    App("glBlendEquationiARB","(", buf, ", ", GLmodeToString(mode), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendEquationiARB)(buf, mode);
  }

  REGAL_DECL void REGAL_CALL glBlendFuncSeparateiARB(GLuint buf, GLenum srcRGB, GLenum dstRGB, GLenum srcAlpha, GLenum dstAlpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBlendFuncSeparateiARB","(", buf, ", ", toString(srcRGB), ", ", toString(dstRGB), ", ", toString(srcAlpha), ", ", toString(dstAlpha), ")");;
    #endif
    App("glBlendFuncSeparateiARB","(", buf, ", ", toString(srcRGB), ", ", toString(dstRGB), ", ", toString(srcAlpha), ", ", toString(dstAlpha), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendFuncSeparateiARB)(buf, srcRGB, dstRGB, srcAlpha, dstAlpha);
  }

  REGAL_DECL void REGAL_CALL glBlendFunciARB(GLuint buf, GLenum src, GLenum dst)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBlendFunciARB","(", buf, ", ", toString(src), ", ", toString(dst), ")");;
    #endif
    App("glBlendFunciARB","(", buf, ", ", toString(src), ", ", toString(dst), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendFunciARB)(buf, src, dst);
  }

  /* GL_ARB_draw_elements_base_vertex */

  REGAL_DECL void REGAL_CALL glDrawElementsBaseVertex(GLenum mode, GLsizei count, GLenum type, const GLvoid *indices, GLint basevertex)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDrawElementsBaseVertex","(", GLmodeToString(mode), ", ", count, ", ", toString(type), ", ", boost::print::optional(indices,Logging::pointers), ", ", basevertex, ")");;
    #endif
    App("glDrawElementsBaseVertex","(", GLmodeToString(mode), ", ", count, ", ", toString(type), ", ", boost::print::optional(indices,Logging::pointers), ", ", basevertex, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawElementsBaseVertex)(mode, count, type, indices, basevertex);
  }

  REGAL_DECL void REGAL_CALL glDrawElementsInstancedBaseVertex(GLenum mode, GLsizei count, GLenum type, const GLvoid *indices, GLsizei primcount, GLint basevertex)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDrawElementsInstancedBaseVertex","(", GLmodeToString(mode), ", ", count, ", ", toString(type), ", ", boost::print::optional(indices,Logging::pointers), ", ", primcount, ", ", basevertex, ")");;
    #endif
    App("glDrawElementsInstancedBaseVertex","(", GLmodeToString(mode), ", ", count, ", ", toString(type), ", ", boost::print::optional(indices,Logging::pointers), ", ", primcount, ", ", basevertex, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawElementsInstancedBaseVertex)(mode, count, type, indices, primcount, basevertex);
  }

  REGAL_DECL void REGAL_CALL glDrawRangeElementsBaseVertex(GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const GLvoid *indices, GLint basevertex)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDrawRangeElementsBaseVertex","(", GLmodeToString(mode), ", ", start, ", ", end, ", ", count, ", ", toString(type), ", ", boost::print::optional(indices,Logging::pointers), ", ", basevertex, ")");;
    #endif
    App("glDrawRangeElementsBaseVertex","(", GLmodeToString(mode), ", ", start, ", ", end, ", ", count, ", ", toString(type), ", ", boost::print::optional(indices,Logging::pointers), ", ", basevertex, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawRangeElementsBaseVertex)(mode, start, end, count, type, indices, basevertex);
  }

  REGAL_DECL void REGAL_CALL glMultiDrawElementsBaseVertex(GLenum mode, const GLsizei *count, GLenum type, const GLvoid * const *indices, GLsizei primcount, const GLint *basevertex)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiDrawElementsBaseVertex","(", GLmodeToString(mode), ", ", boost::print::array(count,primcount), ", ", toString(type), ", ", indices, ", ", primcount, ", ", boost::print::array(basevertex,primcount), ")");;
    #endif
    App("glMultiDrawElementsBaseVertex","(", GLmodeToString(mode), ", ", boost::print::array(count,primcount), ", ", toString(type), ", ", indices, ", ", primcount, ", ", boost::print::array(basevertex,primcount), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiDrawElementsBaseVertex)(mode, count, type, indices, primcount, basevertex);
  }

  /* GL_ARB_draw_instanced */

  REGAL_DECL void REGAL_CALL glDrawArraysInstancedARB(GLenum mode, GLint first, GLsizei count, GLsizei primcount)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDrawArraysInstancedARB","(", GLmodeToString(mode), ", ", first, ", ", count, ", ", primcount, ")");;
    #endif
    App("glDrawArraysInstancedARB","(", GLmodeToString(mode), ", ", first, ", ", count, ", ", primcount, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawArraysInstancedARB)(mode, first, count, primcount);
  }

  REGAL_DECL void REGAL_CALL glDrawElementsInstancedARB(GLenum mode, GLsizei count, GLenum type, const GLvoid *indices, GLsizei primcount)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDrawElementsInstancedARB","(", GLmodeToString(mode), ", ", count, ", ", toString(type), ", ", boost::print::optional(indices,Logging::pointers), ", ", primcount, ")");;
    #endif
    App("glDrawElementsInstancedARB","(", GLmodeToString(mode), ", ", count, ", ", toString(type), ", ", boost::print::optional(indices,Logging::pointers), ", ", primcount, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawElementsInstancedARB)(mode, count, type, indices, primcount);
  }

  /* GL_ARB_framebuffer_no_attachments */

  REGAL_DECL void REGAL_CALL glFramebufferParameteri(GLenum target, GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFramebufferParameteri","(", toString(target), ", ", toString(pname), ", ", param, ")");;
    #endif
    App("glFramebufferParameteri","(", toString(target), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferParameteri)(target, pname, param);
  }

  REGAL_DECL void REGAL_CALL glGetFramebufferParameteriv(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetFramebufferParameteriv","(", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glGetFramebufferParameteriv","(", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetFramebufferParameteriv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetNamedFramebufferParameterivEXT(GLuint framebuffer, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetNamedFramebufferParameterivEXT","(", framebuffer, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glGetNamedFramebufferParameterivEXT","(", framebuffer, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetNamedFramebufferParameterivEXT)(framebuffer, pname, params);
  }

  REGAL_DECL void REGAL_CALL glNamedFramebufferParameteriEXT(GLuint framebuffer, GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNamedFramebufferParameteriEXT","(", framebuffer, ", ", toString(pname), ", ", param, ")");;
    #endif
    App("glNamedFramebufferParameteriEXT","(", framebuffer, ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedFramebufferParameteriEXT)(framebuffer, pname, param);
  }

  /* GL_ARB_framebuffer_object */

  REGAL_DECL void REGAL_CALL glBindFramebuffer(GLenum target, GLuint framebuffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindFramebuffer","(", toString(target), ", ", framebuffer, ")");;
    #endif
    App("glBindFramebuffer","(", toString(target), ", ", framebuffer, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindFramebuffer)(target, framebuffer);
  }

  REGAL_DECL void REGAL_CALL glBindRenderbuffer(GLenum target, GLuint renderbuffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindRenderbuffer","(", toString(target), ", ", renderbuffer, ")");;
    #endif
    App("glBindRenderbuffer","(", toString(target), ", ", renderbuffer, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindRenderbuffer)(target, renderbuffer);
  }

  REGAL_DECL void REGAL_CALL glBlitFramebuffer(GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBlitFramebuffer","(", srcX0, ", ", srcY0, ", ", srcX1, ", ", srcY1, ", ", dstX0, ", ", dstY0, ", ", dstX1, ", ", dstY1, ", ", GLblitFramebufferToString(mask), ", ", toString(filter), ")");;
    #endif
    App("glBlitFramebuffer","(", srcX0, ", ", srcY0, ", ", srcX1, ", ", srcY1, ", ", dstX0, ", ", dstY0, ", ", dstX1, ", ", dstY1, ", ", GLblitFramebufferToString(mask), ", ", toString(filter), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlitFramebuffer)(srcX0, srcY0, srcX1, srcY1, dstX0, dstY0, dstX1, dstY1, mask, filter);
  }

  REGAL_DECL GLenum REGAL_CALL glCheckFramebufferStatus(GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCheckFramebufferStatus","(", toString(target), ")");;
    #endif
    App("glCheckFramebufferStatus","(", toString(target), ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glCheckFramebufferStatus)(target);
  }

  REGAL_DECL void REGAL_CALL glDeleteFramebuffers(GLsizei n, const GLuint *framebuffers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDeleteFramebuffers","(", n, ", ", boost::print::array(framebuffers,n), ")");;
    #endif
    App("glDeleteFramebuffers","(", n, ", ", boost::print::array(framebuffers,n), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteFramebuffers)(n, framebuffers);
  }

  REGAL_DECL void REGAL_CALL glDeleteRenderbuffers(GLsizei n, const GLuint *renderbuffers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDeleteRenderbuffers","(", n, ", ", boost::print::array(renderbuffers,n), ")");;
    #endif
    App("glDeleteRenderbuffers","(", n, ", ", boost::print::array(renderbuffers,n), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteRenderbuffers)(n, renderbuffers);
  }

  REGAL_DECL void REGAL_CALL glFramebufferRenderbuffer(GLenum target, GLenum attachment, GLenum renderbuffertarget, GLuint renderbuffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFramebufferRenderbuffer","(", toString(target), ", ", toString(attachment), ", ", toString(renderbuffertarget), ", ", renderbuffer, ")");;
    #endif
    App("glFramebufferRenderbuffer","(", toString(target), ", ", toString(attachment), ", ", toString(renderbuffertarget), ", ", renderbuffer, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferRenderbuffer)(target, attachment, renderbuffertarget, renderbuffer);
  }

  REGAL_DECL void REGAL_CALL glFramebufferTexture1D(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFramebufferTexture1D","(", toString(target), ", ", toString(attachment), ", ", toString(textarget), ", ", texture, ", ", level, ")");;
    #endif
    App("glFramebufferTexture1D","(", toString(target), ", ", toString(attachment), ", ", toString(textarget), ", ", texture, ", ", level, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferTexture1D)(target, attachment, textarget, texture, level);
  }

  REGAL_DECL void REGAL_CALL glFramebufferTexture2D(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFramebufferTexture2D","(", toString(target), ", ", toString(attachment), ", ", toString(textarget), ", ", texture, ", ", level, ")");;
    #endif
    App("glFramebufferTexture2D","(", toString(target), ", ", toString(attachment), ", ", toString(textarget), ", ", texture, ", ", level, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferTexture2D)(target, attachment, textarget, texture, level);
  }

  REGAL_DECL void REGAL_CALL glFramebufferTexture3D(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLint layer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFramebufferTexture3D","(", toString(target), ", ", toString(attachment), ", ", toString(textarget), ", ", texture, ", ", level, ", ", layer, ")");;
    #endif
    App("glFramebufferTexture3D","(", toString(target), ", ", toString(attachment), ", ", toString(textarget), ", ", texture, ", ", level, ", ", layer, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferTexture3D)(target, attachment, textarget, texture, level, layer);
  }

  REGAL_DECL void REGAL_CALL glFramebufferTextureLayer(GLenum target, GLenum attachment, GLuint texture, GLint level, GLint layer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFramebufferTextureLayer","(", toString(target), ", ", toString(attachment), ", ", texture, ", ", level, ", ", layer, ")");;
    #endif
    App("glFramebufferTextureLayer","(", toString(target), ", ", toString(attachment), ", ", texture, ", ", level, ", ", layer, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferTextureLayer)(target, attachment, texture, level, layer);
  }

  REGAL_DECL void REGAL_CALL glGenFramebuffers(GLsizei n, GLuint *framebuffers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGenFramebuffers","(", n, ")");;
    #endif
    App("glGenFramebuffers","(", n, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenFramebuffers)(n, framebuffers);
  }

  REGAL_DECL void REGAL_CALL glGenRenderbuffers(GLsizei n, GLuint *renderbuffers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGenRenderbuffers","(", n, ")");;
    #endif
    App("glGenRenderbuffers","(", n, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenRenderbuffers)(n, renderbuffers);
  }

  REGAL_DECL void REGAL_CALL glGenerateMipmap(GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGenerateMipmap","(", toString(target), ")");;
    #endif
    App("glGenerateMipmap","(", toString(target), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenerateMipmap)(target);
  }

  REGAL_DECL void REGAL_CALL glGetFramebufferAttachmentParameteriv(GLenum target, GLenum attachment, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetFramebufferAttachmentParameteriv","(", toString(target), ", ", toString(attachment), ", ", toString(pname), ")");;
    #endif
    App("glGetFramebufferAttachmentParameteriv","(", toString(target), ", ", toString(attachment), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetFramebufferAttachmentParameteriv)(target, attachment, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetRenderbufferParameteriv(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetRenderbufferParameteriv","(", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetRenderbufferParameteriv","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetRenderbufferParameteriv)(target, pname, params);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsFramebuffer(GLuint framebuffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsFramebuffer","(", framebuffer, ")");;
    #endif
    App("glIsFramebuffer","(", framebuffer, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsFramebuffer)(framebuffer);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsRenderbuffer(GLuint renderbuffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsRenderbuffer","(", renderbuffer, ")");;
    #endif
    App("glIsRenderbuffer","(", renderbuffer, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsRenderbuffer)(renderbuffer);
  }

  REGAL_DECL void REGAL_CALL glRenderbufferStorage(GLenum target, GLenum internalformat, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glRenderbufferStorage","(", toString(target), ", ", toString(internalformat), ", ", width, ", ", height, ")");;
    #endif
    App("glRenderbufferStorage","(", toString(target), ", ", toString(internalformat), ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRenderbufferStorage)(target, internalformat, width, height);
  }

  REGAL_DECL void REGAL_CALL glRenderbufferStorageMultisample(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glRenderbufferStorageMultisample","(", toString(target), ", ", samples, ", ", toString(internalformat), ", ", width, ", ", height, ")");;
    #endif
    App("glRenderbufferStorageMultisample","(", toString(target), ", ", samples, ", ", toString(internalformat), ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRenderbufferStorageMultisample)(target, samples, internalformat, width, height);
  }

  /* GL_ARB_geometry_shader4 */

  REGAL_DECL void REGAL_CALL glFramebufferTextureARB(GLenum target, GLenum attachment, GLuint texture, GLint level)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFramebufferTextureARB","(", toString(target), ", ", toString(attachment), ", ", texture, ", ", level, ")");;
    #endif
    App("glFramebufferTextureARB","(", toString(target), ", ", toString(attachment), ", ", texture, ", ", level, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferTextureARB)(target, attachment, texture, level);
  }

  REGAL_DECL void REGAL_CALL glFramebufferTextureFaceARB(GLenum target, GLenum attachment, GLuint texture, GLint level, GLenum face)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFramebufferTextureFaceARB","(", toString(target), ", ", toString(attachment), ", ", texture, ", ", level, ", ", toString(face), ")");;
    #endif
    App("glFramebufferTextureFaceARB","(", toString(target), ", ", toString(attachment), ", ", texture, ", ", level, ", ", toString(face), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferTextureFaceARB)(target, attachment, texture, level, face);
  }

  REGAL_DECL void REGAL_CALL glFramebufferTextureLayerARB(GLenum target, GLenum attachment, GLuint texture, GLint level, GLint layer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFramebufferTextureLayerARB","(", toString(target), ", ", toString(attachment), ", ", texture, ", ", level, ", ", layer, ")");;
    #endif
    App("glFramebufferTextureLayerARB","(", toString(target), ", ", toString(attachment), ", ", texture, ", ", level, ", ", layer, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferTextureLayerARB)(target, attachment, texture, level, layer);
  }

  REGAL_DECL void REGAL_CALL glProgramParameteriARB(GLuint program, GLenum pname, GLint value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramParameteriARB","(", program, ", ", toString(pname), ", ", value, ")");;
    #endif
    App("glProgramParameteriARB","(", program, ", ", toString(pname), ", ", value, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramParameteriARB)(program, pname, value);
  }

  /* GL_ARB_get_program_binary */

  REGAL_DECL void REGAL_CALL glGetProgramBinary(GLuint program, GLsizei bufSize, GLsizei *length, GLenum *binaryFormat, GLvoid *binary)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetProgramBinary","(", program, ", ", bufSize, ")");;
    #endif
    App("glGetProgramBinary","(", program, ", ", bufSize, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramBinary)(program, bufSize, length, binaryFormat, binary);
  }

  REGAL_DECL void REGAL_CALL glProgramBinary(GLuint program, GLenum binaryFormat, const GLvoid *binary, GLsizei length)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramBinary","(", program, ", ", toString(binaryFormat), ", ", boost::print::optional(binary,Logging::pointers), ", ", length, ")");;
    #endif
    App("glProgramBinary","(", program, ", ", toString(binaryFormat), ", ", boost::print::optional(binary,Logging::pointers), ", ", length, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramBinary)(program, binaryFormat, binary, length);
  }

  REGAL_DECL void REGAL_CALL glProgramParameteri(GLuint program, GLenum pname, GLint value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramParameteri","(", program, ", ", toString(pname), ", ", value, ")");;
    #endif
    App("glProgramParameteri","(", program, ", ", toString(pname), ", ", value, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramParameteri)(program, pname, value);
  }

  /* GL_ARB_get_texture_sub_image */

  REGAL_DECL void REGAL_CALL glGetCompressedTextureSubImage(GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLsizei bufSize, GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetCompressedTextureSubImage","(", texture, ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ", ", bufSize, ", ", boost::print::optional(pixels,Logging::pointers), ")");;
    #endif
    App("glGetCompressedTextureSubImage","(", texture, ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ", ", bufSize, ", ", boost::print::optional(pixels,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetCompressedTextureSubImage)(texture, level, xoffset, yoffset, zoffset, width, height, depth, bufSize, pixels);
  }

  REGAL_DECL void REGAL_CALL glGetTextureSubImage(GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, GLsizei bufSize, GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTextureSubImage","(", texture, ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ", ", toString(format), ", ", toString(type), ", ", bufSize, ", ", boost::print::optional(pixels,Logging::pointers), ")");;
    #endif
    App("glGetTextureSubImage","(", texture, ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ", ", toString(format), ", ", toString(type), ", ", bufSize, ", ", boost::print::optional(pixels,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTextureSubImage)(texture, level, xoffset, yoffset, zoffset, width, height, depth, format, type, bufSize, pixels);
  }

  /* GL_ARB_gpu_shader_fp64 */

  REGAL_DECL void REGAL_CALL glGetUniformdv(GLuint program, GLint location, GLdouble *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetUniformdv","(", program, ", ", location, ")");;
    #endif
    App("glGetUniformdv","(", program, ", ", location, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetUniformdv)(program, location, params);
  }

  REGAL_DECL void REGAL_CALL glUniform1d(GLint location, GLdouble x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform1d","(", location, ", ", x, ")");;
    #endif
    App("glUniform1d","(", location, ", ", x, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform1d)(location, x);
  }

  REGAL_DECL void REGAL_CALL glUniform1dv(GLint location, GLsizei count, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform1dv","(", location, ", ", count, ", ", boost::print::array(value,count), ")");;
    #endif
    App("glUniform1dv","(", location, ", ", count, ", ", boost::print::array(value,count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform1dv)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform2d(GLint location, GLdouble x, GLdouble y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform2d","(", location, ", ", x, ", ", y, ")");;
    #endif
    App("glUniform2d","(", location, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform2d)(location, x, y);
  }

  REGAL_DECL void REGAL_CALL glUniform2dv(GLint location, GLsizei count, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform2dv","(", location, ", ", count, ", ", boost::print::array(value,count * 2), ")");;
    #endif
    App("glUniform2dv","(", location, ", ", count, ", ", boost::print::array(value,count * 2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform2dv)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform3d(GLint location, GLdouble x, GLdouble y, GLdouble z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform3d","(", location, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glUniform3d","(", location, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform3d)(location, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glUniform3dv(GLint location, GLsizei count, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform3dv","(", location, ", ", count, ", ", boost::print::array(value,count * 3), ")");;
    #endif
    App("glUniform3dv","(", location, ", ", count, ", ", boost::print::array(value,count * 3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform3dv)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform4d(GLint location, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform4d","(", location, ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glUniform4d","(", location, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform4d)(location, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glUniform4dv(GLint location, GLsizei count, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform4dv","(", location, ", ", count, ", ", boost::print::array(value,count * 4), ")");;
    #endif
    App("glUniform4dv","(", location, ", ", count, ", ", boost::print::array(value,count * 4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform4dv)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniformMatrix2dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniformMatrix2dv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,2 * 2 * count), ")");;
    #endif
    App("glUniformMatrix2dv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,2 * 2 * count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformMatrix2dv)(location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glUniformMatrix2x3dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniformMatrix2x3dv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,2 * 3 * count), ")");;
    #endif
    App("glUniformMatrix2x3dv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,2 * 3 * count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformMatrix2x3dv)(location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glUniformMatrix2x4dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniformMatrix2x4dv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,2 * 4 * count), ")");;
    #endif
    App("glUniformMatrix2x4dv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,2 * 4 * count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformMatrix2x4dv)(location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glUniformMatrix3dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniformMatrix3dv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,3 * 3 * count), ")");;
    #endif
    App("glUniformMatrix3dv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,3 * 3 * count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformMatrix3dv)(location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glUniformMatrix3x2dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniformMatrix3x2dv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,3 * 2 * count), ")");;
    #endif
    App("glUniformMatrix3x2dv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,3 * 2 * count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformMatrix3x2dv)(location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glUniformMatrix3x4dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniformMatrix3x4dv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,3 * 4 * count), ")");;
    #endif
    App("glUniformMatrix3x4dv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,3 * 4 * count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformMatrix3x4dv)(location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glUniformMatrix4dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniformMatrix4dv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,4 * 4 * count), ")");;
    #endif
    App("glUniformMatrix4dv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,4 * 4 * count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformMatrix4dv)(location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glUniformMatrix4x2dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniformMatrix4x2dv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,4 * 2 * count), ")");;
    #endif
    App("glUniformMatrix4x2dv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,4 * 2 * count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformMatrix4x2dv)(location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glUniformMatrix4x3dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniformMatrix4x3dv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,4 * 3 * count), ")");;
    #endif
    App("glUniformMatrix4x3dv","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,4 * 3 * count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformMatrix4x3dv)(location, count, transpose, value);
  }

  /* GL_ARB_imaging */

  REGAL_DECL void REGAL_CALL glColorSubTable(GLenum target, GLsizei start, GLsizei count, GLenum format, GLenum type, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColorSubTable","(", toString(target), ", ", start, ", ", count, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(data,Logging::pointers), ")");;
    #endif
    App("glColorSubTable","(", toString(target), ", ", start, ", ", count, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorSubTable)(target, start, count, format, type, data);
  }

  REGAL_DECL void REGAL_CALL glColorTable(GLenum target, GLenum internalformat, GLsizei width, GLenum format, GLenum type, const GLvoid *table)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColorTable","(", toString(target), ", ", toString(internalformat), ", ", width, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(table,Logging::pointers), ")");;
    #endif
    App("glColorTable","(", toString(target), ", ", toString(internalformat), ", ", width, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(table,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorTable)(target, internalformat, width, format, type, table);
  }

  REGAL_DECL void REGAL_CALL glColorTableParameterfv(GLenum target, GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColorTableParameterfv","(", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glColorTableParameterfv","(", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorTableParameterfv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glColorTableParameteriv(GLenum target, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColorTableParameteriv","(", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glColorTableParameteriv","(", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorTableParameteriv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glConvolutionFilter1D(GLenum target, GLenum internalformat, GLsizei width, GLenum format, GLenum type, const GLvoid *image)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glConvolutionFilter1D","(", toString(target), ", ", toString(internalformat), ", ", width, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(image,Logging::pointers), ")");;
    #endif
    App("glConvolutionFilter1D","(", toString(target), ", ", toString(internalformat), ", ", width, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(image,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glConvolutionFilter1D)(target, internalformat, width, format, type, image);
  }

  REGAL_DECL void REGAL_CALL glConvolutionFilter2D(GLenum target, GLenum internalformat, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *image)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glConvolutionFilter2D","(", toString(target), ", ", toString(internalformat), ", ", width, ", ", height, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(image,Logging::pointers), ")");;
    #endif
    App("glConvolutionFilter2D","(", toString(target), ", ", toString(internalformat), ", ", width, ", ", height, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(image,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glConvolutionFilter2D)(target, internalformat, width, height, format, type, image);
  }

  REGAL_DECL void REGAL_CALL glConvolutionParameterf(GLenum target, GLenum pname, GLfloat params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glConvolutionParameterf","(", toString(target), ", ", toString(pname), ", ", params, ")");;
    #endif
    App("glConvolutionParameterf","(", toString(target), ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glConvolutionParameterf)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glConvolutionParameterfv(GLenum target, GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glConvolutionParameterfv","(", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glConvolutionParameterfv","(", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glConvolutionParameterfv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glConvolutionParameteri(GLenum target, GLenum pname, GLint params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glConvolutionParameteri","(", toString(target), ", ", toString(pname), ", ", params, ")");;
    #endif
    App("glConvolutionParameteri","(", toString(target), ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glConvolutionParameteri)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glConvolutionParameteriv(GLenum target, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glConvolutionParameteriv","(", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glConvolutionParameteriv","(", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glConvolutionParameteriv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glCopyColorSubTable(GLenum target, GLsizei start, GLint x, GLint y, GLsizei width)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCopyColorSubTable","(", toString(target), ", ", start, ", ", x, ", ", y, ", ", width, ")");;
    #endif
    App("glCopyColorSubTable","(", toString(target), ", ", start, ", ", x, ", ", y, ", ", width, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyColorSubTable)(target, start, x, y, width);
  }

  REGAL_DECL void REGAL_CALL glCopyColorTable(GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCopyColorTable","(", toString(target), ", ", toString(internalformat), ", ", x, ", ", y, ", ", width, ")");;
    #endif
    App("glCopyColorTable","(", toString(target), ", ", toString(internalformat), ", ", x, ", ", y, ", ", width, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyColorTable)(target, internalformat, x, y, width);
  }

  REGAL_DECL void REGAL_CALL glCopyConvolutionFilter1D(GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCopyConvolutionFilter1D","(", toString(target), ", ", toString(internalformat), ", ", x, ", ", y, ", ", width, ")");;
    #endif
    App("glCopyConvolutionFilter1D","(", toString(target), ", ", toString(internalformat), ", ", x, ", ", y, ", ", width, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyConvolutionFilter1D)(target, internalformat, x, y, width);
  }

  REGAL_DECL void REGAL_CALL glCopyConvolutionFilter2D(GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCopyConvolutionFilter2D","(", toString(target), ", ", toString(internalformat), ", ", x, ", ", y, ", ", width, ", ", height, ")");;
    #endif
    App("glCopyConvolutionFilter2D","(", toString(target), ", ", toString(internalformat), ", ", x, ", ", y, ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyConvolutionFilter2D)(target, internalformat, x, y, width, height);
  }

  REGAL_DECL void REGAL_CALL glGetColorTable(GLenum target, GLenum format, GLenum type, GLvoid *table)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetColorTable","(", toString(target), ", ", toString(format), ", ", toString(type), ")");;
    #endif
    App("glGetColorTable","(", toString(target), ", ", toString(format), ", ", toString(type), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetColorTable)(target, format, type, table);
  }

  REGAL_DECL void REGAL_CALL glGetColorTableParameterfv(GLenum target, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetColorTableParameterfv","(", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetColorTableParameterfv","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetColorTableParameterfv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetColorTableParameteriv(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetColorTableParameteriv","(", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetColorTableParameteriv","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetColorTableParameteriv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetConvolutionFilter(GLenum target, GLenum format, GLenum type, GLvoid *image)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetConvolutionFilter","(", toString(target), ", ", toString(format), ", ", toString(type), ")");;
    #endif
    App("glGetConvolutionFilter","(", toString(target), ", ", toString(format), ", ", toString(type), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetConvolutionFilter)(target, format, type, image);
  }

  REGAL_DECL void REGAL_CALL glGetConvolutionParameterfv(GLenum target, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetConvolutionParameterfv","(", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetConvolutionParameterfv","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetConvolutionParameterfv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetConvolutionParameteriv(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetConvolutionParameteriv","(", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetConvolutionParameteriv","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetConvolutionParameteriv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetHistogram(GLenum target, GLboolean reset, GLenum format, GLenum type, GLvoid *values)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetHistogram","(", toString(target), ", ", toString(reset), ", ", toString(format), ", ", toString(type), ")");;
    #endif
    App("glGetHistogram","(", toString(target), ", ", toString(reset), ", ", toString(format), ", ", toString(type), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetHistogram)(target, reset, format, type, values);
  }

  REGAL_DECL void REGAL_CALL glGetHistogramParameterfv(GLenum target, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetHistogramParameterfv","(", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetHistogramParameterfv","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetHistogramParameterfv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetHistogramParameteriv(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetHistogramParameteriv","(", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetHistogramParameteriv","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetHistogramParameteriv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetMinmax(GLenum target, GLboolean reset, GLenum format, GLenum type, GLvoid *values)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetMinmax","(", toString(target), ", ", toString(reset), ", ", toString(format), ", ", toString(type), ")");;
    #endif
    App("glGetMinmax","(", toString(target), ", ", toString(reset), ", ", toString(format), ", ", toString(type), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMinmax)(target, reset, format, type, values);
  }

  REGAL_DECL void REGAL_CALL glGetMinmaxParameterfv(GLenum target, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetMinmaxParameterfv","(", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetMinmaxParameterfv","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMinmaxParameterfv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetMinmaxParameteriv(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetMinmaxParameteriv","(", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetMinmaxParameteriv","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMinmaxParameteriv)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetSeparableFilter(GLenum target, GLenum format, GLenum type, GLvoid *row, GLvoid *column, GLvoid *span)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetSeparableFilter","(", toString(target), ", ", toString(format), ", ", toString(type), ")");;
    #endif
    App("glGetSeparableFilter","(", toString(target), ", ", toString(format), ", ", toString(type), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetSeparableFilter)(target, format, type, row, column, span);
  }

  REGAL_DECL void REGAL_CALL glHistogram(GLenum target, GLsizei width, GLenum internalformat, GLboolean sink)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glHistogram","(", toString(target), ", ", width, ", ", toString(internalformat), ", ", toString(sink), ")");;
    #endif
    App("glHistogram","(", toString(target), ", ", width, ", ", toString(internalformat), ", ", toString(sink), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glHistogram)(target, width, internalformat, sink);
  }

  REGAL_DECL void REGAL_CALL glMinmax(GLenum target, GLenum internalformat, GLboolean sink)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMinmax","(", toString(target), ", ", toString(internalformat), ", ", toString(sink), ")");;
    #endif
    App("glMinmax","(", toString(target), ", ", toString(internalformat), ", ", toString(sink), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMinmax)(target, internalformat, sink);
  }

  REGAL_DECL void REGAL_CALL glResetHistogram(GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glResetHistogram","(", toString(target), ")");;
    #endif
    App("glResetHistogram","(", toString(target), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glResetHistogram)(target);
  }

  REGAL_DECL void REGAL_CALL glResetMinmax(GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glResetMinmax","(", toString(target), ")");;
    #endif
    App("glResetMinmax","(", toString(target), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glResetMinmax)(target);
  }

  REGAL_DECL void REGAL_CALL glSeparableFilter2D(GLenum target, GLenum internalformat, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *row, const GLvoid *column)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSeparableFilter2D","(", toString(target), ", ", toString(internalformat), ", ", width, ", ", height, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(row,Logging::pointers), ", ", boost::print::optional(column,Logging::pointers), ")");;
    #endif
    App("glSeparableFilter2D","(", toString(target), ", ", toString(internalformat), ", ", width, ", ", height, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(row,Logging::pointers), ", ", boost::print::optional(column,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSeparableFilter2D)(target, internalformat, width, height, format, type, row, column);
  }

  /* GL_ARB_indirect_parameters */

  REGAL_DECL void REGAL_CALL glMultiDrawArraysIndirectCountARB(GLenum mode, const GLvoid *indirect, GLintptr drawcount, GLsizei maxdrawcount, GLsizei stride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiDrawArraysIndirectCountARB","(", GLmodeToString(mode), ", ", boost::print::optional(indirect,Logging::pointers), ", ", drawcount, ", ", maxdrawcount, ", ", stride, ")");;
    #endif
    App("glMultiDrawArraysIndirectCountARB","(", GLmodeToString(mode), ", ", boost::print::optional(indirect,Logging::pointers), ", ", drawcount, ", ", maxdrawcount, ", ", stride, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiDrawArraysIndirectCountARB)(mode, indirect, drawcount, maxdrawcount, stride);
  }

  REGAL_DECL void REGAL_CALL glMultiDrawElementsIndirectCountARB(GLenum mode, GLenum type, const GLvoid *indirect, GLintptr drawcount, GLsizei maxdrawcount, GLsizei stride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiDrawElementsIndirectCountARB","(", GLmodeToString(mode), ", ", toString(type), ", ", boost::print::optional(indirect,Logging::pointers), ", ", drawcount, ", ", maxdrawcount, ", ", stride, ")");;
    #endif
    App("glMultiDrawElementsIndirectCountARB","(", GLmodeToString(mode), ", ", toString(type), ", ", boost::print::optional(indirect,Logging::pointers), ", ", drawcount, ", ", maxdrawcount, ", ", stride, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiDrawElementsIndirectCountARB)(mode, type, indirect, drawcount, maxdrawcount, stride);
  }

  /* GL_ARB_instanced_arrays */

  REGAL_DECL void REGAL_CALL glVertexAttribDivisorARB(GLuint index, GLuint divisor)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribDivisorARB","(", index, ", ", divisor, ")");;
    #endif
    App("glVertexAttribDivisorARB","(", index, ", ", divisor, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribDivisorARB)(index, divisor);
  }

  /* GL_ARB_internalformat_query */

  REGAL_DECL void REGAL_CALL glGetInternalformativ(GLenum target, GLenum internalformat, GLenum pname, GLsizei bufSize, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetInternalformativ","(", toString(target), ", ", toString(internalformat), ", ", toString(pname), ", ", bufSize, ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glGetInternalformativ","(", toString(target), ", ", toString(internalformat), ", ", toString(pname), ", ", bufSize, ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetInternalformativ)(target, internalformat, pname, bufSize, params);
  }

  /* GL_ARB_internalformat_query2 */

  REGAL_DECL void REGAL_CALL glGetInternalformati64v(GLenum target, GLenum internalformat, GLenum pname, GLsizei bufSize, GLint64 *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetInternalformati64v","(", toString(target), ", ", toString(internalformat), ", ", toString(pname), ", ", bufSize, ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glGetInternalformati64v","(", toString(target), ", ", toString(internalformat), ", ", toString(pname), ", ", bufSize, ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetInternalformati64v)(target, internalformat, pname, bufSize, params);
  }

  /* GL_ARB_invalidate_subdata */

  REGAL_DECL void REGAL_CALL glInvalidateBufferData(GLuint buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glInvalidateBufferData","(", buffer, ")");;
    #endif
    App("glInvalidateBufferData","(", buffer, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glInvalidateBufferData)(buffer);
  }

  REGAL_DECL void REGAL_CALL glInvalidateBufferSubData(GLuint buffer, GLintptr offset, GLsizeiptr length)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glInvalidateBufferSubData","(", buffer, ", ", offset, ", ", length, ")");;
    #endif
    App("glInvalidateBufferSubData","(", buffer, ", ", offset, ", ", length, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glInvalidateBufferSubData)(buffer, offset, length);
  }

  REGAL_DECL void REGAL_CALL glInvalidateFramebuffer(GLenum target, GLsizei numAttachments, const GLenum *attachments)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glInvalidateFramebuffer","(", toString(target), ", ", numAttachments, ", ", attachments, ")");;
    #endif
    App("glInvalidateFramebuffer","(", toString(target), ", ", numAttachments, ", ", attachments, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glInvalidateFramebuffer)(target, numAttachments, attachments);
  }

  REGAL_DECL void REGAL_CALL glInvalidateSubFramebuffer(GLenum target, GLsizei numAttachments, const GLenum *attachments, GLint x, GLint y, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glInvalidateSubFramebuffer","(", toString(target), ", ", numAttachments, ", ", attachments, ", ", x, ", ", y, ", ", width, ", ", height, ")");;
    #endif
    App("glInvalidateSubFramebuffer","(", toString(target), ", ", numAttachments, ", ", attachments, ", ", x, ", ", y, ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glInvalidateSubFramebuffer)(target, numAttachments, attachments, x, y, width, height);
  }

  REGAL_DECL void REGAL_CALL glInvalidateTexImage(GLuint texture, GLint level)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glInvalidateTexImage","(", texture, ", ", level, ")");;
    #endif
    App("glInvalidateTexImage","(", texture, ", ", level, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glInvalidateTexImage)(texture, level);
  }

  REGAL_DECL void REGAL_CALL glInvalidateTexSubImage(GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glInvalidateTexSubImage","(", texture, ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ")");;
    #endif
    App("glInvalidateTexSubImage","(", texture, ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glInvalidateTexSubImage)(texture, level, xoffset, yoffset, zoffset, width, height, depth);
  }

  /* GL_ARB_map_buffer_range */

  REGAL_DECL void REGAL_CALL glFlushMappedBufferRange(GLenum target, GLintptr offset, GLsizeiptr length)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFlushMappedBufferRange","(", toString(target), ", ", offset, ", ", length, ")");;
    #endif
    App("glFlushMappedBufferRange","(", toString(target), ", ", offset, ", ", length, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFlushMappedBufferRange)(target, offset, length);
  }

  REGAL_DECL GLvoid *REGAL_CALL glMapBufferRange(GLenum target, GLintptr offset, GLsizeiptr length, GLbitfield access)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMapBufferRange","(", toString(target), ", ", offset, ", ", length, ", ", GLmapBufferRangeToString(access), ")");;
    #endif
    App("glMapBufferRange","(", toString(target), ", ", offset, ", ", length, ", ", GLmapBufferRangeToString(access), ")");
    if (!_context) return NULL;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glMapBufferRange)(target, offset, length, access);
  }

  /* GL_ARB_matrix_palette */

  REGAL_DECL void REGAL_CALL glCurrentPaletteMatrixARB(GLint index)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCurrentPaletteMatrixARB","(", index, ")");;
    #endif
    App("glCurrentPaletteMatrixARB","(", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCurrentPaletteMatrixARB)(index);
  }

  REGAL_DECL void REGAL_CALL glMatrixIndexPointerARB(GLint size, GLenum type, GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMatrixIndexPointerARB","(", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");;
    #endif
    App("glMatrixIndexPointerARB","(", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixIndexPointerARB)(size, type, stride, pointer);
  }

  REGAL_DECL void REGAL_CALL glMatrixIndexubvARB(GLint size, const GLubyte *indices)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMatrixIndexubvARB","(", size, ", ", boost::print::optional(indices,Logging::pointers), ")");;
    #endif
    App("glMatrixIndexubvARB","(", size, ", ", boost::print::optional(indices,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixIndexubvARB)(size, indices);
  }

  REGAL_DECL void REGAL_CALL glMatrixIndexuivARB(GLint size, const GLuint *indices)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMatrixIndexuivARB","(", size, ", ", boost::print::optional(indices,Logging::pointers), ")");;
    #endif
    App("glMatrixIndexuivARB","(", size, ", ", boost::print::optional(indices,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixIndexuivARB)(size, indices);
  }

  REGAL_DECL void REGAL_CALL glMatrixIndexusvARB(GLint size, const GLushort *indices)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMatrixIndexusvARB","(", size, ", ", boost::print::optional(indices,Logging::pointers), ")");;
    #endif
    App("glMatrixIndexusvARB","(", size, ", ", boost::print::optional(indices,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixIndexusvARB)(size, indices);
  }

  /* GL_ARB_multi_bind */

  REGAL_DECL void REGAL_CALL glBindBuffersBase(GLenum target, GLuint first, GLsizei count, const GLuint *buffers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindBuffersBase","(", toString(target), ", ", first, ", ", count, ", ", boost::print::optional(buffers,Logging::pointers), ")");;
    #endif
    App("glBindBuffersBase","(", toString(target), ", ", first, ", ", count, ", ", boost::print::optional(buffers,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindBuffersBase)(target, first, count, buffers);
  }

  REGAL_DECL void REGAL_CALL glBindBuffersRange(GLenum target, GLuint first, GLsizei count, const GLuint *buffers, const GLintptr *offsets, const GLsizeiptr *sizes)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindBuffersRange","(", toString(target), ", ", first, ", ", count, ", ", boost::print::optional(buffers,Logging::pointers), ", ", offsets, ", ", sizes, ")");;
    #endif
    App("glBindBuffersRange","(", toString(target), ", ", first, ", ", count, ", ", boost::print::optional(buffers,Logging::pointers), ", ", offsets, ", ", sizes, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindBuffersRange)(target, first, count, buffers, offsets, sizes);
  }

  REGAL_DECL void REGAL_CALL glBindImageTextures(GLuint first, GLsizei count, const GLuint *textures)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindImageTextures","(", first, ", ", count, ", ", boost::print::optional(textures,Logging::pointers), ")");;
    #endif
    App("glBindImageTextures","(", first, ", ", count, ", ", boost::print::optional(textures,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindImageTextures)(first, count, textures);
  }

  REGAL_DECL void REGAL_CALL glBindSamplers(GLuint first, GLsizei count, const GLuint *samplers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindSamplers","(", first, ", ", count, ", ", boost::print::optional(samplers,Logging::pointers), ")");;
    #endif
    App("glBindSamplers","(", first, ", ", count, ", ", boost::print::optional(samplers,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindSamplers)(first, count, samplers);
  }

  REGAL_DECL void REGAL_CALL glBindTextures(GLuint first, GLsizei count, const GLuint *textures)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindTextures","(", first, ", ", count, ", ", boost::print::optional(textures,Logging::pointers), ")");;
    #endif
    App("glBindTextures","(", first, ", ", count, ", ", boost::print::optional(textures,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindTextures)(first, count, textures);
  }

  REGAL_DECL void REGAL_CALL glBindVertexBuffers(GLuint first, GLsizei count, const GLuint *buffers, const GLintptr *offsets, const GLsizei *strides)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindVertexBuffers","(", first, ", ", count, ", ", boost::print::optional(buffers,Logging::pointers), ", ", offsets, ", ", boost::print::optional(strides,Logging::pointers), ")");;
    #endif
    App("glBindVertexBuffers","(", first, ", ", count, ", ", boost::print::optional(buffers,Logging::pointers), ", ", offsets, ", ", boost::print::optional(strides,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindVertexBuffers)(first, count, buffers, offsets, strides);
  }

  /* GL_ARB_multi_draw_indirect */

  REGAL_DECL void REGAL_CALL glMultiDrawArraysIndirect(GLenum mode, const GLvoid *indirect, GLsizei primcount, GLsizei stride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiDrawArraysIndirect","(", GLmodeToString(mode), ", ", boost::print::optional(indirect,Logging::pointers), ", ", primcount, ", ", stride, ")");;
    #endif
    App("glMultiDrawArraysIndirect","(", GLmodeToString(mode), ", ", boost::print::optional(indirect,Logging::pointers), ", ", primcount, ", ", stride, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiDrawArraysIndirect)(mode, indirect, primcount, stride);
  }

  REGAL_DECL void REGAL_CALL glMultiDrawElementsIndirect(GLenum mode, GLenum type, const GLvoid *indirect, GLsizei primcount, GLsizei stride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiDrawElementsIndirect","(", GLmodeToString(mode), ", ", toString(type), ", ", boost::print::optional(indirect,Logging::pointers), ", ", primcount, ", ", stride, ")");;
    #endif
    App("glMultiDrawElementsIndirect","(", GLmodeToString(mode), ", ", toString(type), ", ", boost::print::optional(indirect,Logging::pointers), ", ", primcount, ", ", stride, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiDrawElementsIndirect)(mode, type, indirect, primcount, stride);
  }

  /* GL_ARB_multisample */

  REGAL_DECL void REGAL_CALL glSampleCoverageARB(GLclampf value, GLboolean invert)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSampleCoverageARB","(", value, ", ", toString(invert), ")");;
    #endif
    App("glSampleCoverageARB","(", value, ", ", toString(invert), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSampleCoverageARB)(value, invert);
  }

  /* GL_ARB_multitexture */

  REGAL_DECL void REGAL_CALL glActiveTextureARB(GLenum texture)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glActiveTextureARB","(", toString(texture), ")");;
    #endif
    App("glActiveTextureARB","(", toString(texture), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glActiveTextureARB)(texture);
  }

  REGAL_DECL void REGAL_CALL glClientActiveTextureARB(GLenum texture)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glClientActiveTextureARB","(", toString(texture), ")");;
    #endif
    App("glClientActiveTextureARB","(", toString(texture), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClientActiveTextureARB)(texture);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord1dARB(GLenum target, GLdouble s)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord1dARB","(", toString(target), ", ", s, ")");;
    #endif
    App("glMultiTexCoord1dARB","(", toString(target), ", ", s, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord1dARB)(target, s);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord1dvARB(GLenum target, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord1dvARB","(", toString(target), ", ", boost::print::array(v,1), ")");;
    #endif
    App("glMultiTexCoord1dvARB","(", toString(target), ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord1dvARB)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord1fARB(GLenum target, GLfloat s)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord1fARB","(", toString(target), ", ", s, ")");;
    #endif
    App("glMultiTexCoord1fARB","(", toString(target), ", ", s, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord1fARB)(target, s);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord1fvARB(GLenum target, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord1fvARB","(", toString(target), ", ", boost::print::array(v,1), ")");;
    #endif
    App("glMultiTexCoord1fvARB","(", toString(target), ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord1fvARB)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord1iARB(GLenum target, GLint s)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord1iARB","(", toString(target), ", ", s, ")");;
    #endif
    App("glMultiTexCoord1iARB","(", toString(target), ", ", s, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord1iARB)(target, s);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord1ivARB(GLenum target, const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord1ivARB","(", toString(target), ", ", boost::print::array(v,1), ")");;
    #endif
    App("glMultiTexCoord1ivARB","(", toString(target), ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord1ivARB)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord1sARB(GLenum target, GLshort s)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord1sARB","(", toString(target), ", ", s, ")");;
    #endif
    App("glMultiTexCoord1sARB","(", toString(target), ", ", s, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord1sARB)(target, s);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord1svARB(GLenum target, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord1svARB","(", toString(target), ", ", boost::print::array(v,1), ")");;
    #endif
    App("glMultiTexCoord1svARB","(", toString(target), ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord1svARB)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord2dARB(GLenum target, GLdouble s, GLdouble t)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord2dARB","(", toString(target), ", ", s, ", ", t, ")");;
    #endif
    App("glMultiTexCoord2dARB","(", toString(target), ", ", s, ", ", t, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord2dARB)(target, s, t);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord2dvARB(GLenum target, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord2dvARB","(", toString(target), ", ", boost::print::array(v,2), ")");;
    #endif
    App("glMultiTexCoord2dvARB","(", toString(target), ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord2dvARB)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord2fARB(GLenum target, GLfloat s, GLfloat t)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord2fARB","(", toString(target), ", ", s, ", ", t, ")");;
    #endif
    App("glMultiTexCoord2fARB","(", toString(target), ", ", s, ", ", t, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord2fARB)(target, s, t);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord2fvARB(GLenum target, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord2fvARB","(", toString(target), ", ", boost::print::array(v,2), ")");;
    #endif
    App("glMultiTexCoord2fvARB","(", toString(target), ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord2fvARB)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord2iARB(GLenum target, GLint s, GLint t)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord2iARB","(", toString(target), ", ", s, ", ", t, ")");;
    #endif
    App("glMultiTexCoord2iARB","(", toString(target), ", ", s, ", ", t, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord2iARB)(target, s, t);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord2ivARB(GLenum target, const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord2ivARB","(", toString(target), ", ", boost::print::array(v,2), ")");;
    #endif
    App("glMultiTexCoord2ivARB","(", toString(target), ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord2ivARB)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord2sARB(GLenum target, GLshort s, GLshort t)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord2sARB","(", toString(target), ", ", s, ", ", t, ")");;
    #endif
    App("glMultiTexCoord2sARB","(", toString(target), ", ", s, ", ", t, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord2sARB)(target, s, t);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord2svARB(GLenum target, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord2svARB","(", toString(target), ", ", boost::print::array(v,2), ")");;
    #endif
    App("glMultiTexCoord2svARB","(", toString(target), ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord2svARB)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord3dARB(GLenum target, GLdouble s, GLdouble t, GLdouble r)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord3dARB","(", toString(target), ", ", s, ", ", t, ", ", r, ")");;
    #endif
    App("glMultiTexCoord3dARB","(", toString(target), ", ", s, ", ", t, ", ", r, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord3dARB)(target, s, t, r);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord3dvARB(GLenum target, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord3dvARB","(", toString(target), ", ", boost::print::array(v,3), ")");;
    #endif
    App("glMultiTexCoord3dvARB","(", toString(target), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord3dvARB)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord3fARB(GLenum target, GLfloat s, GLfloat t, GLfloat r)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord3fARB","(", toString(target), ", ", s, ", ", t, ", ", r, ")");;
    #endif
    App("glMultiTexCoord3fARB","(", toString(target), ", ", s, ", ", t, ", ", r, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord3fARB)(target, s, t, r);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord3fvARB(GLenum target, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord3fvARB","(", toString(target), ", ", boost::print::array(v,3), ")");;
    #endif
    App("glMultiTexCoord3fvARB","(", toString(target), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord3fvARB)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord3iARB(GLenum target, GLint s, GLint t, GLint r)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord3iARB","(", toString(target), ", ", s, ", ", t, ", ", r, ")");;
    #endif
    App("glMultiTexCoord3iARB","(", toString(target), ", ", s, ", ", t, ", ", r, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord3iARB)(target, s, t, r);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord3ivARB(GLenum target, const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord3ivARB","(", toString(target), ", ", boost::print::array(v,3), ")");;
    #endif
    App("glMultiTexCoord3ivARB","(", toString(target), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord3ivARB)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord3sARB(GLenum target, GLshort s, GLshort t, GLshort r)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord3sARB","(", toString(target), ", ", s, ", ", t, ", ", r, ")");;
    #endif
    App("glMultiTexCoord3sARB","(", toString(target), ", ", s, ", ", t, ", ", r, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord3sARB)(target, s, t, r);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord3svARB(GLenum target, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord3svARB","(", toString(target), ", ", boost::print::array(v,3), ")");;
    #endif
    App("glMultiTexCoord3svARB","(", toString(target), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord3svARB)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord4dARB(GLenum target, GLdouble s, GLdouble t, GLdouble r, GLdouble q)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord4dARB","(", toString(target), ", ", s, ", ", t, ", ", r, ", ", q, ")");;
    #endif
    App("glMultiTexCoord4dARB","(", toString(target), ", ", s, ", ", t, ", ", r, ", ", q, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord4dARB)(target, s, t, r, q);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord4dvARB(GLenum target, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord4dvARB","(", toString(target), ", ", boost::print::array(v,4), ")");;
    #endif
    App("glMultiTexCoord4dvARB","(", toString(target), ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord4dvARB)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord4fARB(GLenum target, GLfloat s, GLfloat t, GLfloat r, GLfloat q)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord4fARB","(", toString(target), ", ", s, ", ", t, ", ", r, ", ", q, ")");;
    #endif
    App("glMultiTexCoord4fARB","(", toString(target), ", ", s, ", ", t, ", ", r, ", ", q, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord4fARB)(target, s, t, r, q);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord4fvARB(GLenum target, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord4fvARB","(", toString(target), ", ", boost::print::array(v,4), ")");;
    #endif
    App("glMultiTexCoord4fvARB","(", toString(target), ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord4fvARB)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord4iARB(GLenum target, GLint s, GLint t, GLint r, GLint q)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord4iARB","(", toString(target), ", ", s, ", ", t, ", ", r, ", ", q, ")");;
    #endif
    App("glMultiTexCoord4iARB","(", toString(target), ", ", s, ", ", t, ", ", r, ", ", q, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord4iARB)(target, s, t, r, q);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord4ivARB(GLenum target, const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord4ivARB","(", toString(target), ", ", boost::print::array(v,4), ")");;
    #endif
    App("glMultiTexCoord4ivARB","(", toString(target), ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord4ivARB)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord4sARB(GLenum target, GLshort s, GLshort t, GLshort r, GLshort q)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord4sARB","(", toString(target), ", ", s, ", ", t, ", ", r, ", ", q, ")");;
    #endif
    App("glMultiTexCoord4sARB","(", toString(target), ", ", s, ", ", t, ", ", r, ", ", q, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord4sARB)(target, s, t, r, q);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord4svARB(GLenum target, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord4svARB","(", toString(target), ", ", boost::print::array(v,4), ")");;
    #endif
    App("glMultiTexCoord4svARB","(", toString(target), ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord4svARB)(target, v);
  }

  /* GL_ARB_occlusion_query */

  REGAL_DECL void REGAL_CALL glBeginQueryARB(GLenum target, GLuint id)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBeginQueryARB","(", toString(target), ", ", id, ")");;
    #endif
    App("glBeginQueryARB","(", toString(target), ", ", id, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBeginQueryARB)(target, id);
  }

  REGAL_DECL void REGAL_CALL glDeleteQueriesARB(GLsizei n, const GLuint *ids)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDeleteQueriesARB","(", n, ", ", boost::print::array(ids,n), ")");;
    #endif
    App("glDeleteQueriesARB","(", n, ", ", boost::print::array(ids,n), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteQueriesARB)(n, ids);
  }

  REGAL_DECL void REGAL_CALL glEndQueryARB(GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEndQueryARB","(", toString(target), ")");;
    #endif
    App("glEndQueryARB","(", toString(target), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEndQueryARB)(target);
  }

  REGAL_DECL void REGAL_CALL glGenQueriesARB(GLsizei n, GLuint *ids)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGenQueriesARB","(", n, ")");;
    #endif
    App("glGenQueriesARB","(", n, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenQueriesARB)(n, ids);
  }

  REGAL_DECL void REGAL_CALL glGetQueryObjectivARB(GLuint id, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetQueryObjectivARB","(", id, ", ", toString(pname), ")");;
    #endif
    App("glGetQueryObjectivARB","(", id, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetQueryObjectivARB)(id, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetQueryObjectuivARB(GLuint id, GLenum pname, GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetQueryObjectuivARB","(", id, ", ", toString(pname), ")");;
    #endif
    App("glGetQueryObjectuivARB","(", id, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetQueryObjectuivARB)(id, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetQueryivARB(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetQueryivARB","(", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetQueryivARB","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetQueryivARB)(target, pname, params);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsQueryARB(GLuint id)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsQueryARB","(", id, ")");;
    #endif
    App("glIsQueryARB","(", id, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsQueryARB)(id);
  }

  /* GL_ARB_point_parameters */

  REGAL_DECL void REGAL_CALL glPointParameterfARB(GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPointParameterfARB","(", toString(pname), ", ", param, ")");;
    #endif
    App("glPointParameterfARB","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPointParameterfARB)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glPointParameterfvARB(GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPointParameterfvARB","(", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glPointParameterfvARB","(", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPointParameterfvARB)(pname, params);
  }

  /* GL_ARB_program_interface_query */

  REGAL_DECL void REGAL_CALL glGetProgramInterfaceiv(GLuint program, GLenum programInterface, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetProgramInterfaceiv","(", program, ", ", toString(programInterface), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glGetProgramInterfaceiv","(", program, ", ", toString(programInterface), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramInterfaceiv)(program, programInterface, pname, params);
  }

  REGAL_DECL GLuint REGAL_CALL glGetProgramResourceIndex(GLuint program, GLenum programInterface, const GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetProgramResourceIndex","(", program, ", ", toString(programInterface), ", ", boost::print::quote(name,'"'), ")");;
    #endif
    App("glGetProgramResourceIndex","(", program, ", ", toString(programInterface), ", ", boost::print::quote(name,'"'), ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetProgramResourceIndex)(program, programInterface, name);
  }

  REGAL_DECL GLint REGAL_CALL glGetProgramResourceLocation(GLuint program, GLenum programInterface, const GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetProgramResourceLocation","(", program, ", ", toString(programInterface), ", ", boost::print::quote(name,'"'), ")");;
    #endif
    App("glGetProgramResourceLocation","(", program, ", ", toString(programInterface), ", ", boost::print::quote(name,'"'), ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetProgramResourceLocation)(program, programInterface, name);
  }

  REGAL_DECL GLint REGAL_CALL glGetProgramResourceLocationIndex(GLuint program, GLenum programInterface, const GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetProgramResourceLocationIndex","(", program, ", ", toString(programInterface), ", ", boost::print::quote(name,'"'), ")");;
    #endif
    App("glGetProgramResourceLocationIndex","(", program, ", ", toString(programInterface), ", ", boost::print::quote(name,'"'), ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetProgramResourceLocationIndex)(program, programInterface, name);
  }

  REGAL_DECL void REGAL_CALL glGetProgramResourceName(GLuint program, GLenum programInterface, GLuint index, GLsizei bufSize, GLsizei *length, GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetProgramResourceName","(", program, ", ", toString(programInterface), ", ", index, ", ", bufSize, ", ", boost::print::optional(length,Logging::pointers), ", ", boost::print::quote(name,'"'), ")");;
    #endif
    App("glGetProgramResourceName","(", program, ", ", toString(programInterface), ", ", index, ", ", bufSize, ", ", boost::print::optional(length,Logging::pointers), ", ", boost::print::quote(name,'"'), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramResourceName)(program, programInterface, index, bufSize, length, name);
  }

  REGAL_DECL void REGAL_CALL glGetProgramResourceiv(GLuint program, GLenum programInterface, GLuint index, GLsizei propCount, const GLenum *props, GLsizei bufSize, GLsizei *length, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetProgramResourceiv","(", program, ", ", toString(programInterface), ", ", index, ", ", propCount, ", ", props, ", ", bufSize, ", ", boost::print::optional(length,Logging::pointers), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glGetProgramResourceiv","(", program, ", ", toString(programInterface), ", ", index, ", ", propCount, ", ", props, ", ", bufSize, ", ", boost::print::optional(length,Logging::pointers), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramResourceiv)(program, programInterface, index, propCount, props, bufSize, length, params);
  }

  /* GL_ARB_provoking_vertex */

  REGAL_DECL void REGAL_CALL glProvokingVertex(GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProvokingVertex","(", GLmodeToString(mode), ")");;
    #endif
    App("glProvokingVertex","(", GLmodeToString(mode), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProvokingVertex)(mode);
  }

  /* GL_ARB_robustness */

  REGAL_DECL GLenum REGAL_CALL glGetGraphicsResetStatusARB(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetGraphicsResetStatusARB","()");;
    #endif
    App("glGetGraphicsResetStatusARB","()");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetGraphicsResetStatusARB)();
  }

  REGAL_DECL void REGAL_CALL glGetnColorTableARB(GLenum target, GLenum format, GLenum type, GLsizei bufSize, GLvoid *table)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetnColorTableARB","(", toString(target), ", ", toString(format), ", ", toString(type), ", ", bufSize, ")");;
    #endif
    App("glGetnColorTableARB","(", toString(target), ", ", toString(format), ", ", toString(type), ", ", bufSize, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetnColorTableARB)(target, format, type, bufSize, table);
  }

  REGAL_DECL void REGAL_CALL glGetnCompressedTexImageARB(GLenum target, GLint lod, GLsizei bufSize, GLvoid *img)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetnCompressedTexImageARB","(", toString(target), ", ", lod, ", ", bufSize, ")");;
    #endif
    App("glGetnCompressedTexImageARB","(", toString(target), ", ", lod, ", ", bufSize, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetnCompressedTexImageARB)(target, lod, bufSize, img);
  }

  REGAL_DECL void REGAL_CALL glGetnConvolutionFilterARB(GLenum target, GLenum format, GLenum type, GLsizei bufSize, GLvoid *image)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetnConvolutionFilterARB","(", toString(target), ", ", toString(format), ", ", toString(type), ", ", bufSize, ")");;
    #endif
    App("glGetnConvolutionFilterARB","(", toString(target), ", ", toString(format), ", ", toString(type), ", ", bufSize, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetnConvolutionFilterARB)(target, format, type, bufSize, image);
  }

  REGAL_DECL void REGAL_CALL glGetnHistogramARB(GLenum target, GLboolean reset, GLenum format, GLenum type, GLsizei bufSize, GLvoid *values)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetnHistogramARB","(", toString(target), ", ", toString(reset), ", ", toString(format), ", ", toString(type), ", ", bufSize, ")");;
    #endif
    App("glGetnHistogramARB","(", toString(target), ", ", toString(reset), ", ", toString(format), ", ", toString(type), ", ", bufSize, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetnHistogramARB)(target, reset, format, type, bufSize, values);
  }

  REGAL_DECL void REGAL_CALL glGetnMapdvARB(GLenum target, GLenum query, GLsizei bufSize, GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetnMapdvARB","(", toString(target), ", ", toString(query), ", ", bufSize, ")");;
    #endif
    App("glGetnMapdvARB","(", toString(target), ", ", toString(query), ", ", bufSize, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetnMapdvARB)(target, query, bufSize, v);
  }

  REGAL_DECL void REGAL_CALL glGetnMapfvARB(GLenum target, GLenum query, GLsizei bufSize, GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetnMapfvARB","(", toString(target), ", ", toString(query), ", ", bufSize, ")");;
    #endif
    App("glGetnMapfvARB","(", toString(target), ", ", toString(query), ", ", bufSize, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetnMapfvARB)(target, query, bufSize, v);
  }

  REGAL_DECL void REGAL_CALL glGetnMapivARB(GLenum target, GLenum query, GLsizei bufSize, GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetnMapivARB","(", toString(target), ", ", toString(query), ", ", bufSize, ")");;
    #endif
    App("glGetnMapivARB","(", toString(target), ", ", toString(query), ", ", bufSize, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetnMapivARB)(target, query, bufSize, v);
  }

  REGAL_DECL void REGAL_CALL glGetnMinmaxARB(GLenum target, GLboolean reset, GLenum format, GLenum type, GLsizei bufSize, GLvoid *values)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetnMinmaxARB","(", toString(target), ", ", toString(reset), ", ", toString(format), ", ", toString(type), ", ", bufSize, ")");;
    #endif
    App("glGetnMinmaxARB","(", toString(target), ", ", toString(reset), ", ", toString(format), ", ", toString(type), ", ", bufSize, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetnMinmaxARB)(target, reset, format, type, bufSize, values);
  }

  REGAL_DECL void REGAL_CALL glGetnPixelMapfvARB(GLenum map, GLsizei bufSize, GLfloat *values)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetnPixelMapfvARB","(", toString(map), ", ", bufSize, ")");;
    #endif
    App("glGetnPixelMapfvARB","(", toString(map), ", ", bufSize, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetnPixelMapfvARB)(map, bufSize, values);
  }

  REGAL_DECL void REGAL_CALL glGetnPixelMapuivARB(GLenum map, GLsizei bufSize, GLuint *values)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetnPixelMapuivARB","(", toString(map), ", ", bufSize, ")");;
    #endif
    App("glGetnPixelMapuivARB","(", toString(map), ", ", bufSize, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetnPixelMapuivARB)(map, bufSize, values);
  }

  REGAL_DECL void REGAL_CALL glGetnPixelMapusvARB(GLenum map, GLsizei bufSize, GLushort *values)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetnPixelMapusvARB","(", toString(map), ", ", bufSize, ")");;
    #endif
    App("glGetnPixelMapusvARB","(", toString(map), ", ", bufSize, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetnPixelMapusvARB)(map, bufSize, values);
  }

  REGAL_DECL void REGAL_CALL glGetnPolygonStippleARB(GLsizei bufSize, GLubyte *pattern)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetnPolygonStippleARB","(", bufSize, ")");;
    #endif
    App("glGetnPolygonStippleARB","(", bufSize, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetnPolygonStippleARB)(bufSize, pattern);
  }

  REGAL_DECL void REGAL_CALL glGetnSeparableFilterARB(GLenum target, GLenum format, GLenum type, GLsizei rowBufSize, GLvoid *row, GLsizei columnBufSize, GLvoid *column, GLvoid *span)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetnSeparableFilterARB","(", toString(target), ", ", toString(format), ", ", toString(type), ", ", rowBufSize, ", ", columnBufSize, ", ", boost::print::optional(span,Logging::pointers), ")");;
    #endif
    App("glGetnSeparableFilterARB","(", toString(target), ", ", toString(format), ", ", toString(type), ", ", rowBufSize, ", ", columnBufSize, ", ", boost::print::optional(span,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetnSeparableFilterARB)(target, format, type, rowBufSize, row, columnBufSize, column, span);
  }

  REGAL_DECL void REGAL_CALL glGetnTexImageARB(GLenum target, GLint level, GLenum format, GLenum type, GLsizei bufSize, GLvoid *img)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetnTexImageARB","(", toString(target), ", ", level, ", ", toString(format), ", ", toString(type), ", ", bufSize, ")");;
    #endif
    App("glGetnTexImageARB","(", toString(target), ", ", level, ", ", toString(format), ", ", toString(type), ", ", bufSize, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetnTexImageARB)(target, level, format, type, bufSize, img);
  }

  REGAL_DECL void REGAL_CALL glGetnUniformdvARB(GLuint program, GLint location, GLsizei bufSize, GLdouble *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetnUniformdvARB","(", program, ", ", location, ", ", bufSize, ")");;
    #endif
    App("glGetnUniformdvARB","(", program, ", ", location, ", ", bufSize, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetnUniformdvARB)(program, location, bufSize, params);
  }

  REGAL_DECL void REGAL_CALL glGetnUniformfvARB(GLuint program, GLint location, GLsizei bufSize, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetnUniformfvARB","(", program, ", ", location, ", ", bufSize, ")");;
    #endif
    App("glGetnUniformfvARB","(", program, ", ", location, ", ", bufSize, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetnUniformfvARB)(program, location, bufSize, params);
  }

  REGAL_DECL void REGAL_CALL glGetnUniformivARB(GLuint program, GLint location, GLsizei bufSize, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetnUniformivARB","(", program, ", ", location, ", ", bufSize, ")");;
    #endif
    App("glGetnUniformivARB","(", program, ", ", location, ", ", bufSize, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetnUniformivARB)(program, location, bufSize, params);
  }

  REGAL_DECL void REGAL_CALL glGetnUniformuivARB(GLuint program, GLint location, GLsizei bufSize, GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetnUniformuivARB","(", program, ", ", location, ", ", bufSize, ")");;
    #endif
    App("glGetnUniformuivARB","(", program, ", ", location, ", ", bufSize, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetnUniformuivARB)(program, location, bufSize, params);
  }

  REGAL_DECL void REGAL_CALL glReadnPixelsARB(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLsizei bufSize, GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glReadnPixelsARB","(", x, ", ", y, ", ", width, ", ", height, ", ", toString(format), ", ", toString(type), ", ", bufSize, ")");;
    #endif
    App("glReadnPixelsARB","(", x, ", ", y, ", ", width, ", ", height, ", ", toString(format), ", ", toString(type), ", ", bufSize, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReadnPixelsARB)(x, y, width, height, format, type, bufSize, data);
  }

  /* GL_ARB_sample_shading */

  REGAL_DECL void REGAL_CALL glMinSampleShadingARB(GLclampf value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMinSampleShadingARB","(", value, ")");;
    #endif
    App("glMinSampleShadingARB","(", value, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMinSampleShadingARB)(value);
  }

  /* GL_ARB_sampler_objects */

  REGAL_DECL void REGAL_CALL glBindSampler(GLuint unit, GLuint sampler)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindSampler","(", unit, ", ", sampler, ")");;
    #endif
    App("glBindSampler","(", unit, ", ", sampler, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindSampler)(unit, sampler);
  }

  REGAL_DECL void REGAL_CALL glDeleteSamplers(GLsizei count, const GLuint *samplers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDeleteSamplers","(", count, ", ", boost::print::array(samplers,count), ")");;
    #endif
    App("glDeleteSamplers","(", count, ", ", boost::print::array(samplers,count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteSamplers)(count, samplers);
  }

  REGAL_DECL void REGAL_CALL glGenSamplers(GLsizei count, GLuint *samplers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGenSamplers","(", count, ")");;
    #endif
    App("glGenSamplers","(", count, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenSamplers)(count, samplers);
  }

  REGAL_DECL void REGAL_CALL glGetSamplerParameterIiv(GLuint sampler, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetSamplerParameterIiv","(", sampler, ", ", toString(pname), ")");;
    #endif
    App("glGetSamplerParameterIiv","(", sampler, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetSamplerParameterIiv)(sampler, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetSamplerParameterIuiv(GLuint sampler, GLenum pname, GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetSamplerParameterIuiv","(", sampler, ", ", toString(pname), ")");;
    #endif
    App("glGetSamplerParameterIuiv","(", sampler, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetSamplerParameterIuiv)(sampler, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetSamplerParameterfv(GLuint sampler, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetSamplerParameterfv","(", sampler, ", ", toString(pname), ")");;
    #endif
    App("glGetSamplerParameterfv","(", sampler, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetSamplerParameterfv)(sampler, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetSamplerParameteriv(GLuint sampler, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetSamplerParameteriv","(", sampler, ", ", toString(pname), ")");;
    #endif
    App("glGetSamplerParameteriv","(", sampler, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetSamplerParameteriv)(sampler, pname, params);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsSampler(GLuint sampler)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsSampler","(", sampler, ")");;
    #endif
    App("glIsSampler","(", sampler, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsSampler)(sampler);
  }

  REGAL_DECL void REGAL_CALL glSamplerParameterIiv(GLuint sampler, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSamplerParameterIiv","(", sampler, ", ", toString(pname), ", ", GLTexParameterToString(pname,params), ")");;
    #endif
    App("glSamplerParameterIiv","(", sampler, ", ", toString(pname), ", ", GLTexParameterToString(pname,params), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSamplerParameterIiv)(sampler, pname, params);
  }

  REGAL_DECL void REGAL_CALL glSamplerParameterIuiv(GLuint sampler, GLenum pname, const GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSamplerParameterIuiv","(", sampler, ", ", toString(pname), ", ", GLTexParameterToString(pname,params), ")");;
    #endif
    App("glSamplerParameterIuiv","(", sampler, ", ", toString(pname), ", ", GLTexParameterToString(pname,params), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSamplerParameterIuiv)(sampler, pname, params);
  }

  REGAL_DECL void REGAL_CALL glSamplerParameterf(GLuint sampler, GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSamplerParameterf","(", sampler, ", ", toString(pname), ", ", GLTexParameterToString(pname,param), ")");;
    #endif
    App("glSamplerParameterf","(", sampler, ", ", toString(pname), ", ", GLTexParameterToString(pname,param), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSamplerParameterf)(sampler, pname, param);
  }

  REGAL_DECL void REGAL_CALL glSamplerParameterfv(GLuint sampler, GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSamplerParameterfv","(", sampler, ", ", toString(pname), ", ", GLTexParameterToString(pname,params), ")");;
    #endif
    App("glSamplerParameterfv","(", sampler, ", ", toString(pname), ", ", GLTexParameterToString(pname,params), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSamplerParameterfv)(sampler, pname, params);
  }

  REGAL_DECL void REGAL_CALL glSamplerParameteri(GLuint sampler, GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSamplerParameteri","(", sampler, ", ", toString(pname), ", ", GLTexParameterToString(pname,param), ")");;
    #endif
    App("glSamplerParameteri","(", sampler, ", ", toString(pname), ", ", GLTexParameterToString(pname,param), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSamplerParameteri)(sampler, pname, param);
  }

  REGAL_DECL void REGAL_CALL glSamplerParameteriv(GLuint sampler, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSamplerParameteriv","(", sampler, ", ", toString(pname), ", ", GLTexParameterToString(pname,params), ")");;
    #endif
    App("glSamplerParameteriv","(", sampler, ", ", toString(pname), ", ", GLTexParameterToString(pname,params), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSamplerParameteriv)(sampler, pname, params);
  }

  /* GL_ARB_separate_shader_objects */

  REGAL_DECL void REGAL_CALL glActiveShaderProgram(GLuint pipeline, GLuint program)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glActiveShaderProgram","(", pipeline, ", ", program, ")");;
    #endif
    App("glActiveShaderProgram","(", pipeline, ", ", program, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glActiveShaderProgram)(pipeline, program);
  }

  REGAL_DECL void REGAL_CALL glBindProgramPipeline(GLuint pipeline)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindProgramPipeline","(", pipeline, ")");;
    #endif
    App("glBindProgramPipeline","(", pipeline, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindProgramPipeline)(pipeline);
  }

  REGAL_DECL GLuint REGAL_CALL glCreateShaderProgramv(GLenum type, GLsizei count, const GLchar * const *strings)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCreateShaderProgramv","(", toString(type), ", ", count, ", ", boost::print::array(strings,count,"\""), ")");;
    #endif
    App("glCreateShaderProgramv","(", toString(type), ", ", count, ", ", boost::print::array(strings,count,"\""), ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glCreateShaderProgramv)(type, count, strings);
  }

  REGAL_DECL void REGAL_CALL glDeleteProgramPipelines(GLsizei n, const GLuint *pipelines)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDeleteProgramPipelines","(", n, ", ", boost::print::array(pipelines,n), ")");;
    #endif
    App("glDeleteProgramPipelines","(", n, ", ", boost::print::array(pipelines,n), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteProgramPipelines)(n, pipelines);
  }

  REGAL_DECL void REGAL_CALL glGenProgramPipelines(GLsizei n, GLuint *pipelines)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGenProgramPipelines","(", n, ")");;
    #endif
    App("glGenProgramPipelines","(", n, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenProgramPipelines)(n, pipelines);
  }

  REGAL_DECL void REGAL_CALL glGetProgramPipelineInfoLog(GLuint pipeline, GLsizei bufSize, GLsizei *length, GLchar *infoLog)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetProgramPipelineInfoLog","(", pipeline, ", ", bufSize, ")");;
    #endif
    App("glGetProgramPipelineInfoLog","(", pipeline, ", ", bufSize, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramPipelineInfoLog)(pipeline, bufSize, length, infoLog);
  }

  REGAL_DECL void REGAL_CALL glGetProgramPipelineiv(GLuint pipeline, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetProgramPipelineiv","(", pipeline, ", ", toString(pname), ")");;
    #endif
    App("glGetProgramPipelineiv","(", pipeline, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramPipelineiv)(pipeline, pname, params);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsProgramPipeline(GLuint pipeline)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsProgramPipeline","(", pipeline, ")");;
    #endif
    App("glIsProgramPipeline","(", pipeline, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsProgramPipeline)(pipeline);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform1d(GLuint program, GLint location, GLdouble x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform1d","(", program, ", ", location, ", ", x, ")");;
    #endif
    App("glProgramUniform1d","(", program, ", ", location, ", ", x, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform1d)(program, location, x);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform1dv(GLuint program, GLint location, GLsizei count, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform1dv","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count), ")");;
    #endif
    App("glProgramUniform1dv","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform1dv)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform1f(GLuint program, GLint location, GLfloat x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform1f","(", program, ", ", location, ", ", x, ")");;
    #endif
    App("glProgramUniform1f","(", program, ", ", location, ", ", x, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform1f)(program, location, x);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform1fv(GLuint program, GLint location, GLsizei count, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform1fv","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count), ")");;
    #endif
    App("glProgramUniform1fv","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform1fv)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform1i(GLuint program, GLint location, GLint x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform1i","(", program, ", ", location, ", ", x, ")");;
    #endif
    App("glProgramUniform1i","(", program, ", ", location, ", ", x, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform1i)(program, location, x);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform1iv(GLuint program, GLint location, GLsizei count, const GLint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform1iv","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count), ")");;
    #endif
    App("glProgramUniform1iv","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform1iv)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform1ui(GLuint program, GLint location, GLuint v0)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform1ui","(", program, ", ", location, ", ", v0, ")");;
    #endif
    App("glProgramUniform1ui","(", program, ", ", location, ", ", v0, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform1ui)(program, location, v0);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform1uiv(GLuint program, GLint location, GLsizei count, const GLuint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform1uiv","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count), ")");;
    #endif
    App("glProgramUniform1uiv","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform1uiv)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform2d(GLuint program, GLint location, GLdouble x, GLdouble y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform2d","(", program, ", ", location, ", ", x, ", ", y, ")");;
    #endif
    App("glProgramUniform2d","(", program, ", ", location, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform2d)(program, location, x, y);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform2dv(GLuint program, GLint location, GLsizei count, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform2dv","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 2), ")");;
    #endif
    App("glProgramUniform2dv","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform2dv)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform2f(GLuint program, GLint location, GLfloat x, GLfloat y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform2f","(", program, ", ", location, ", ", x, ", ", y, ")");;
    #endif
    App("glProgramUniform2f","(", program, ", ", location, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform2f)(program, location, x, y);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform2fv(GLuint program, GLint location, GLsizei count, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform2fv","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 2), ")");;
    #endif
    App("glProgramUniform2fv","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform2fv)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform2i(GLuint program, GLint location, GLint x, GLint y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform2i","(", program, ", ", location, ", ", x, ", ", y, ")");;
    #endif
    App("glProgramUniform2i","(", program, ", ", location, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform2i)(program, location, x, y);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform2iv(GLuint program, GLint location, GLsizei count, const GLint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform2iv","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 2), ")");;
    #endif
    App("glProgramUniform2iv","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform2iv)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform2ui(GLuint program, GLint location, GLuint x, GLuint y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform2ui","(", program, ", ", location, ", ", x, ", ", y, ")");;
    #endif
    App("glProgramUniform2ui","(", program, ", ", location, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform2ui)(program, location, x, y);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform2uiv(GLuint program, GLint location, GLsizei count, const GLuint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform2uiv","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 2), ")");;
    #endif
    App("glProgramUniform2uiv","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform2uiv)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform3d(GLuint program, GLint location, GLdouble x, GLdouble y, GLdouble z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform3d","(", program, ", ", location, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glProgramUniform3d","(", program, ", ", location, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform3d)(program, location, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform3dv(GLuint program, GLint location, GLsizei count, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform3dv","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 3), ")");;
    #endif
    App("glProgramUniform3dv","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform3dv)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform3f(GLuint program, GLint location, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform3f","(", program, ", ", location, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glProgramUniform3f","(", program, ", ", location, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform3f)(program, location, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform3fv(GLuint program, GLint location, GLsizei count, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform3fv","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 3), ")");;
    #endif
    App("glProgramUniform3fv","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform3fv)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform3i(GLuint program, GLint location, GLint x, GLint y, GLint z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform3i","(", program, ", ", location, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glProgramUniform3i","(", program, ", ", location, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform3i)(program, location, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform3iv(GLuint program, GLint location, GLsizei count, const GLint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform3iv","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 3), ")");;
    #endif
    App("glProgramUniform3iv","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform3iv)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform3ui(GLuint program, GLint location, GLuint x, GLuint y, GLuint z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform3ui","(", program, ", ", location, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glProgramUniform3ui","(", program, ", ", location, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform3ui)(program, location, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform3uiv(GLuint program, GLint location, GLsizei count, const GLuint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform3uiv","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 3), ")");;
    #endif
    App("glProgramUniform3uiv","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform3uiv)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform4d(GLuint program, GLint location, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform4d","(", program, ", ", location, ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glProgramUniform4d","(", program, ", ", location, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform4d)(program, location, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform4dv(GLuint program, GLint location, GLsizei count, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform4dv","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 4), ")");;
    #endif
    App("glProgramUniform4dv","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform4dv)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform4f(GLuint program, GLint location, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform4f","(", program, ", ", location, ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glProgramUniform4f","(", program, ", ", location, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform4f)(program, location, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform4fv(GLuint program, GLint location, GLsizei count, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform4fv","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 4), ")");;
    #endif
    App("glProgramUniform4fv","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform4fv)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform4i(GLuint program, GLint location, GLint x, GLint y, GLint z, GLint w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform4i","(", program, ", ", location, ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glProgramUniform4i","(", program, ", ", location, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform4i)(program, location, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform4iv(GLuint program, GLint location, GLsizei count, const GLint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform4iv","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 4), ")");;
    #endif
    App("glProgramUniform4iv","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform4iv)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform4ui(GLuint program, GLint location, GLuint x, GLuint y, GLuint z, GLuint w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform4ui","(", program, ", ", location, ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glProgramUniform4ui","(", program, ", ", location, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform4ui)(program, location, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform4uiv(GLuint program, GLint location, GLsizei count, const GLuint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform4uiv","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 4), ")");;
    #endif
    App("glProgramUniform4uiv","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform4uiv)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix2dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniformMatrix2dv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 4), ")");;
    #endif
    App("glProgramUniformMatrix2dv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix2dv)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix2fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniformMatrix2fv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 4), ")");;
    #endif
    App("glProgramUniformMatrix2fv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix2fv)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix2x3dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniformMatrix2x3dv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 6), ")");;
    #endif
    App("glProgramUniformMatrix2x3dv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 6), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix2x3dv)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix2x3fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniformMatrix2x3fv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 6), ")");;
    #endif
    App("glProgramUniformMatrix2x3fv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 6), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix2x3fv)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix2x4dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniformMatrix2x4dv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 8), ")");;
    #endif
    App("glProgramUniformMatrix2x4dv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 8), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix2x4dv)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix2x4fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniformMatrix2x4fv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 8), ")");;
    #endif
    App("glProgramUniformMatrix2x4fv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 8), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix2x4fv)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix3dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniformMatrix3dv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 9), ")");;
    #endif
    App("glProgramUniformMatrix3dv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 9), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix3dv)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix3fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniformMatrix3fv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 9), ")");;
    #endif
    App("glProgramUniformMatrix3fv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 9), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix3fv)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix3x2dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniformMatrix3x2dv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 6), ")");;
    #endif
    App("glProgramUniformMatrix3x2dv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 6), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix3x2dv)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix3x2fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniformMatrix3x2fv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 6), ")");;
    #endif
    App("glProgramUniformMatrix3x2fv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 6), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix3x2fv)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix3x4dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniformMatrix3x4dv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 12), ")");;
    #endif
    App("glProgramUniformMatrix3x4dv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 12), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix3x4dv)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix3x4fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniformMatrix3x4fv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 12), ")");;
    #endif
    App("glProgramUniformMatrix3x4fv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 12), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix3x4fv)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix4dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniformMatrix4dv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 16), ")");;
    #endif
    App("glProgramUniformMatrix4dv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 16), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix4dv)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix4fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniformMatrix4fv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 16), ")");;
    #endif
    App("glProgramUniformMatrix4fv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 16), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix4fv)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix4x2dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniformMatrix4x2dv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 8), ")");;
    #endif
    App("glProgramUniformMatrix4x2dv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 8), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix4x2dv)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix4x2fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniformMatrix4x2fv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 8), ")");;
    #endif
    App("glProgramUniformMatrix4x2fv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 8), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix4x2fv)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix4x3dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniformMatrix4x3dv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 12), ")");;
    #endif
    App("glProgramUniformMatrix4x3dv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 12), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix4x3dv)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix4x3fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniformMatrix4x3fv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 12), ")");;
    #endif
    App("glProgramUniformMatrix4x3fv","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 12), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix4x3fv)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glUseProgramStages(GLuint pipeline, GLbitfield stages, GLuint program)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUseProgramStages","(", pipeline, ", ", GLuseProgramStagesToString(stages), ", ", program, ")");;
    #endif
    App("glUseProgramStages","(", pipeline, ", ", GLuseProgramStagesToString(stages), ", ", program, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUseProgramStages)(pipeline, stages, program);
  }

  REGAL_DECL void REGAL_CALL glValidateProgramPipeline(GLuint pipeline)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glValidateProgramPipeline","(", pipeline, ")");;
    #endif
    App("glValidateProgramPipeline","(", pipeline, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glValidateProgramPipeline)(pipeline);
  }

  /* GL_ARB_shader_atomic_counters */

  REGAL_DECL void REGAL_CALL glGetActiveAtomicCounterBufferiv(GLuint program, GLuint bufferIndex, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetActiveAtomicCounterBufferiv","(", program, ", ", bufferIndex, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glGetActiveAtomicCounterBufferiv","(", program, ", ", bufferIndex, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetActiveAtomicCounterBufferiv)(program, bufferIndex, pname, params);
  }

  /* GL_ARB_shader_image_load_store */

  REGAL_DECL void REGAL_CALL glBindImageTexture(GLuint unit, GLuint texture, GLint level, GLboolean layered, GLint layer, GLenum access, GLenum format)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindImageTexture","(", unit, ", ", texture, ", ", level, ", ", toString(layered), ", ", layer, ", ", toString(access), ", ", toString(format), ")");;
    #endif
    App("glBindImageTexture","(", unit, ", ", texture, ", ", level, ", ", toString(layered), ", ", layer, ", ", toString(access), ", ", toString(format), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindImageTexture)(unit, texture, level, layered, layer, access, format);
  }

  REGAL_DECL void REGAL_CALL glMemoryBarrier(GLbitfield barriers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMemoryBarrier","(", GLmemoryBarrierToString(barriers), ")");;
    #endif
    App("glMemoryBarrier","(", GLmemoryBarrierToString(barriers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMemoryBarrier)(barriers);
  }

  /* GL_ARB_shader_objects */

  REGAL_DECL void REGAL_CALL glAttachObjectARB(GLhandleARB containerObj, GLhandleARB obj)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glAttachObjectARB","(", containerObj, ", ", obj, ")");;
    #endif
    App("glAttachObjectARB","(", containerObj, ", ", obj, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glAttachObjectARB)(containerObj, obj);
  }

  REGAL_DECL void REGAL_CALL glCompileShaderARB(GLhandleARB shaderObj)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCompileShaderARB","(", shaderObj, ")");;
    #endif
    App("glCompileShaderARB","(", shaderObj, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompileShaderARB)(shaderObj);
  }

  REGAL_DECL GLhandleARB REGAL_CALL glCreateProgramObjectARB(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCreateProgramObjectARB","()");;
    #endif
    App("glCreateProgramObjectARB","()");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glCreateProgramObjectARB)();
  }

  REGAL_DECL GLhandleARB REGAL_CALL glCreateShaderObjectARB(GLenum shaderType)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCreateShaderObjectARB","(", toString(shaderType), ")");;
    #endif
    App("glCreateShaderObjectARB","(", toString(shaderType), ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glCreateShaderObjectARB)(shaderType);
  }

  REGAL_DECL void REGAL_CALL glDeleteObjectARB(GLhandleARB obj)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDeleteObjectARB","(", obj, ")");;
    #endif
    App("glDeleteObjectARB","(", obj, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteObjectARB)(obj);
  }

  REGAL_DECL void REGAL_CALL glDetachObjectARB(GLhandleARB containerObj, GLhandleARB attachedObj)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDetachObjectARB","(", containerObj, ", ", attachedObj, ")");;
    #endif
    App("glDetachObjectARB","(", containerObj, ", ", attachedObj, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDetachObjectARB)(containerObj, attachedObj);
  }

  REGAL_DECL void REGAL_CALL glGetActiveUniformARB(GLhandleARB programObj, GLuint index, GLsizei maxLength, GLsizei *length, GLint *size, GLenum *type, GLcharARB *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetActiveUniformARB","(", programObj, ", ", index, ", ", maxLength, ")");;
    #endif
    App("glGetActiveUniformARB","(", programObj, ", ", index, ", ", maxLength, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetActiveUniformARB)(programObj, index, maxLength, length, size, type, name);
  }

  REGAL_DECL void REGAL_CALL glGetAttachedObjectsARB(GLhandleARB containerObj, GLsizei maxCount, GLsizei *count, GLhandleARB *obj)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetAttachedObjectsARB","(", containerObj, ", ", maxCount, ")");;
    #endif
    App("glGetAttachedObjectsARB","(", containerObj, ", ", maxCount, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetAttachedObjectsARB)(containerObj, maxCount, count, obj);
  }

  REGAL_DECL GLhandleARB REGAL_CALL glGetHandleARB(GLenum pname)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetHandleARB","(", toString(pname), ")");;
    #endif
    App("glGetHandleARB","(", toString(pname), ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetHandleARB)(pname);
  }

  REGAL_DECL void REGAL_CALL glGetInfoLogARB(GLhandleARB obj, GLsizei maxLength, GLsizei *length, GLcharARB *infoLog)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetInfoLogARB","(", obj, ", ", maxLength, ")");;
    #endif
    App("glGetInfoLogARB","(", obj, ", ", maxLength, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetInfoLogARB)(obj, maxLength, length, infoLog);
  }

  REGAL_DECL void REGAL_CALL glGetObjectParameterfvARB(GLhandleARB obj, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetObjectParameterfvARB","(", obj, ", ", toString(pname), ")");;
    #endif
    App("glGetObjectParameterfvARB","(", obj, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetObjectParameterfvARB)(obj, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetObjectParameterivARB(GLhandleARB obj, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetObjectParameterivARB","(", obj, ", ", toString(pname), ")");;
    #endif
    App("glGetObjectParameterivARB","(", obj, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetObjectParameterivARB)(obj, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetShaderSourceARB(GLhandleARB obj, GLsizei maxLength, GLsizei *length, GLcharARB *source)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetShaderSourceARB","(", obj, ", ", maxLength, ")");;
    #endif
    App("glGetShaderSourceARB","(", obj, ", ", maxLength, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetShaderSourceARB)(obj, maxLength, length, source);
  }

  REGAL_DECL GLint REGAL_CALL glGetUniformLocationARB(GLhandleARB programObj, const GLcharARB *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetUniformLocationARB","(", programObj, ", ", boost::print::quote(name,'"'), ")");;
    #endif
    App("glGetUniformLocationARB","(", programObj, ", ", boost::print::quote(name,'"'), ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetUniformLocationARB)(programObj, name);
  }

  REGAL_DECL void REGAL_CALL glGetUniformfvARB(GLhandleARB programObj, GLint location, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetUniformfvARB","(", programObj, ", ", location, ")");;
    #endif
    App("glGetUniformfvARB","(", programObj, ", ", location, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetUniformfvARB)(programObj, location, params);
  }

  REGAL_DECL void REGAL_CALL glGetUniformivARB(GLhandleARB programObj, GLint location, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetUniformivARB","(", programObj, ", ", location, ")");;
    #endif
    App("glGetUniformivARB","(", programObj, ", ", location, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetUniformivARB)(programObj, location, params);
  }

  REGAL_DECL void REGAL_CALL glLinkProgramARB(GLhandleARB programObj)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glLinkProgramARB","(", programObj, ")");;
    #endif
    App("glLinkProgramARB","(", programObj, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLinkProgramARB)(programObj);
  }

  REGAL_DECL void REGAL_CALL glShaderSourceARB(GLhandleARB shaderObj, GLsizei count, const GLcharARB ** const string, const GLint *length)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glShaderSourceARB","(", shaderObj, ", ", count, ", ", boost::print::array(reinterpret_cast<const char ** const>(string),string ? count : 0), ", ", boost::print::array(length,length ? count : 0), ")");;
    #endif
    App("glShaderSourceARB","(", shaderObj, ", ", count, ", ", boost::print::array(reinterpret_cast<const char ** const>(string),string ? count : 0), ", ", boost::print::array(length,length ? count : 0), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glShaderSourceARB)(shaderObj, count, string, length);
  }

  REGAL_DECL void REGAL_CALL glUniform1fARB(GLint location, GLfloat v0)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform1fARB","(", location, ", ", v0, ")");;
    #endif
    App("glUniform1fARB","(", location, ", ", v0, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform1fARB)(location, v0);
  }

  REGAL_DECL void REGAL_CALL glUniform1fvARB(GLint location, GLsizei count, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform1fvARB","(", location, ", ", count, ", ", boost::print::optional(value,Logging::pointers), ")");;
    #endif
    App("glUniform1fvARB","(", location, ", ", count, ", ", boost::print::optional(value,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform1fvARB)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform1iARB(GLint location, GLint v0)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform1iARB","(", location, ", ", v0, ")");;
    #endif
    App("glUniform1iARB","(", location, ", ", v0, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform1iARB)(location, v0);
  }

  REGAL_DECL void REGAL_CALL glUniform1ivARB(GLint location, GLsizei count, const GLint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform1ivARB","(", location, ", ", count, ", ", boost::print::optional(value,Logging::pointers), ")");;
    #endif
    App("glUniform1ivARB","(", location, ", ", count, ", ", boost::print::optional(value,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform1ivARB)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform2fARB(GLint location, GLfloat v0, GLfloat v1)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform2fARB","(", location, ", ", v0, ", ", v1, ")");;
    #endif
    App("glUniform2fARB","(", location, ", ", v0, ", ", v1, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform2fARB)(location, v0, v1);
  }

  REGAL_DECL void REGAL_CALL glUniform2fvARB(GLint location, GLsizei count, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform2fvARB","(", location, ", ", count, ", ", boost::print::optional(value,Logging::pointers), ")");;
    #endif
    App("glUniform2fvARB","(", location, ", ", count, ", ", boost::print::optional(value,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform2fvARB)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform2iARB(GLint location, GLint v0, GLint v1)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform2iARB","(", location, ", ", v0, ", ", v1, ")");;
    #endif
    App("glUniform2iARB","(", location, ", ", v0, ", ", v1, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform2iARB)(location, v0, v1);
  }

  REGAL_DECL void REGAL_CALL glUniform2ivARB(GLint location, GLsizei count, const GLint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform2ivARB","(", location, ", ", count, ", ", boost::print::optional(value,Logging::pointers), ")");;
    #endif
    App("glUniform2ivARB","(", location, ", ", count, ", ", boost::print::optional(value,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform2ivARB)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform3fARB(GLint location, GLfloat v0, GLfloat v1, GLfloat v2)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform3fARB","(", location, ", ", v0, ", ", v1, ", ", v2, ")");;
    #endif
    App("glUniform3fARB","(", location, ", ", v0, ", ", v1, ", ", v2, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform3fARB)(location, v0, v1, v2);
  }

  REGAL_DECL void REGAL_CALL glUniform3fvARB(GLint location, GLsizei count, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform3fvARB","(", location, ", ", count, ", ", boost::print::optional(value,Logging::pointers), ")");;
    #endif
    App("glUniform3fvARB","(", location, ", ", count, ", ", boost::print::optional(value,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform3fvARB)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform3iARB(GLint location, GLint v0, GLint v1, GLint v2)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform3iARB","(", location, ", ", v0, ", ", v1, ", ", v2, ")");;
    #endif
    App("glUniform3iARB","(", location, ", ", v0, ", ", v1, ", ", v2, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform3iARB)(location, v0, v1, v2);
  }

  REGAL_DECL void REGAL_CALL glUniform3ivARB(GLint location, GLsizei count, const GLint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform3ivARB","(", location, ", ", count, ", ", boost::print::optional(value,Logging::pointers), ")");;
    #endif
    App("glUniform3ivARB","(", location, ", ", count, ", ", boost::print::optional(value,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform3ivARB)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform4fARB(GLint location, GLfloat v0, GLfloat v1, GLfloat v2, GLfloat v3)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform4fARB","(", location, ", ", v0, ", ", v1, ", ", v2, ", ", v3, ")");;
    #endif
    App("glUniform4fARB","(", location, ", ", v0, ", ", v1, ", ", v2, ", ", v3, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform4fARB)(location, v0, v1, v2, v3);
  }

  REGAL_DECL void REGAL_CALL glUniform4fvARB(GLint location, GLsizei count, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform4fvARB","(", location, ", ", count, ", ", boost::print::optional(value,Logging::pointers), ")");;
    #endif
    App("glUniform4fvARB","(", location, ", ", count, ", ", boost::print::optional(value,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform4fvARB)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform4iARB(GLint location, GLint v0, GLint v1, GLint v2, GLint v3)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform4iARB","(", location, ", ", v0, ", ", v1, ", ", v2, ", ", v3, ")");;
    #endif
    App("glUniform4iARB","(", location, ", ", v0, ", ", v1, ", ", v2, ", ", v3, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform4iARB)(location, v0, v1, v2, v3);
  }

  REGAL_DECL void REGAL_CALL glUniform4ivARB(GLint location, GLsizei count, const GLint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform4ivARB","(", location, ", ", count, ", ", boost::print::optional(value,Logging::pointers), ")");;
    #endif
    App("glUniform4ivARB","(", location, ", ", count, ", ", boost::print::optional(value,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform4ivARB)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniformMatrix2fvARB(GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniformMatrix2fvARB","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,2 * 2 * count), ")");;
    #endif
    App("glUniformMatrix2fvARB","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,2 * 2 * count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformMatrix2fvARB)(location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glUniformMatrix3fvARB(GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniformMatrix3fvARB","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,3 * 3 * count), ")");;
    #endif
    App("glUniformMatrix3fvARB","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,3 * 3 * count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformMatrix3fvARB)(location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glUniformMatrix4fvARB(GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniformMatrix4fvARB","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,4 * 4 * count), ")");;
    #endif
    App("glUniformMatrix4fvARB","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,4 * 4 * count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformMatrix4fvARB)(location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glUseProgramObjectARB(GLhandleARB programObj)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUseProgramObjectARB","(", programObj, ")");;
    #endif
    App("glUseProgramObjectARB","(", programObj, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUseProgramObjectARB)(programObj);
  }

  REGAL_DECL void REGAL_CALL glValidateProgramARB(GLhandleARB programObj)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glValidateProgramARB","(", programObj, ")");;
    #endif
    App("glValidateProgramARB","(", programObj, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glValidateProgramARB)(programObj);
  }

  /* GL_ARB_shader_storage_buffer_object */

  REGAL_DECL void REGAL_CALL glShaderStorageBlockBinding(GLuint program, GLuint storageBlockIndex, GLuint storageBlockBinding)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glShaderStorageBlockBinding","(", program, ", ", storageBlockIndex, ", ", storageBlockBinding, ")");;
    #endif
    App("glShaderStorageBlockBinding","(", program, ", ", storageBlockIndex, ", ", storageBlockBinding, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glShaderStorageBlockBinding)(program, storageBlockIndex, storageBlockBinding);
  }

  /* GL_ARB_shader_subroutine */

  REGAL_DECL void REGAL_CALL glGetActiveSubroutineName(GLuint program, GLenum shaderType, GLuint index, GLsizei bufSize, GLsizei *length, GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetActiveSubroutineName","(", program, ", ", toString(shaderType), ", ", index, ", ", bufSize, ")");;
    #endif
    App("glGetActiveSubroutineName","(", program, ", ", toString(shaderType), ", ", index, ", ", bufSize, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetActiveSubroutineName)(program, shaderType, index, bufSize, length, name);
  }

  REGAL_DECL void REGAL_CALL glGetActiveSubroutineUniformName(GLuint program, GLenum shaderType, GLuint index, GLsizei bufSize, GLsizei *length, GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetActiveSubroutineUniformName","(", program, ", ", toString(shaderType), ", ", index, ", ", bufSize, ")");;
    #endif
    App("glGetActiveSubroutineUniformName","(", program, ", ", toString(shaderType), ", ", index, ", ", bufSize, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetActiveSubroutineUniformName)(program, shaderType, index, bufSize, length, name);
  }

  REGAL_DECL void REGAL_CALL glGetActiveSubroutineUniformiv(GLuint program, GLenum shaderType, GLuint index, GLenum pname, GLint *values)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetActiveSubroutineUniformiv","(", program, ", ", toString(shaderType), ", ", index, ", ", toString(pname), ")");;
    #endif
    App("glGetActiveSubroutineUniformiv","(", program, ", ", toString(shaderType), ", ", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetActiveSubroutineUniformiv)(program, shaderType, index, pname, values);
  }

  REGAL_DECL void REGAL_CALL glGetProgramStageiv(GLuint program, GLenum shaderType, GLenum pname, GLint *values)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetProgramStageiv","(", program, ", ", toString(shaderType), ", ", toString(pname), ")");;
    #endif
    App("glGetProgramStageiv","(", program, ", ", toString(shaderType), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramStageiv)(program, shaderType, pname, values);
  }

  REGAL_DECL void REGAL_CALL glGetProgramSubroutineParameteruivNV(GLenum target, GLuint index, GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetProgramSubroutineParameteruivNV","(", toString(target), ", ", index, ")");;
    #endif
    App("glGetProgramSubroutineParameteruivNV","(", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramSubroutineParameteruivNV)(target, index, params);
  }

  REGAL_DECL GLuint REGAL_CALL glGetSubroutineIndex(GLuint program, GLenum shaderType, const GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetSubroutineIndex","(", program, ", ", toString(shaderType), ", ", boost::print::quote(name,'"'), ")");;
    #endif
    App("glGetSubroutineIndex","(", program, ", ", toString(shaderType), ", ", boost::print::quote(name,'"'), ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetSubroutineIndex)(program, shaderType, name);
  }

  REGAL_DECL GLint REGAL_CALL glGetSubroutineUniformLocation(GLuint program, GLenum shaderType, const GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetSubroutineUniformLocation","(", program, ", ", toString(shaderType), ", ", boost::print::quote(name,'"'), ")");;
    #endif
    App("glGetSubroutineUniformLocation","(", program, ", ", toString(shaderType), ", ", boost::print::quote(name,'"'), ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetSubroutineUniformLocation)(program, shaderType, name);
  }

  REGAL_DECL void REGAL_CALL glGetUniformSubroutineuiv(GLenum shaderType, GLint location, GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetUniformSubroutineuiv","(", toString(shaderType), ", ", location, ")");;
    #endif
    App("glGetUniformSubroutineuiv","(", toString(shaderType), ", ", location, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetUniformSubroutineuiv)(shaderType, location, params);
  }

  REGAL_DECL void REGAL_CALL glProgramSubroutineParametersuivNV(GLenum target, GLsizei count, const GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramSubroutineParametersuivNV","(", toString(target), ", ", count, ", ", boost::print::array(params,count), ")");;
    #endif
    App("glProgramSubroutineParametersuivNV","(", toString(target), ", ", count, ", ", boost::print::array(params,count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramSubroutineParametersuivNV)(target, count, params);
  }

  REGAL_DECL void REGAL_CALL glUniformSubroutinesuiv(GLenum shaderType, GLsizei count, const GLuint *indices)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniformSubroutinesuiv","(", toString(shaderType), ", ", count, ", ", boost::print::array(indices,count), ")");;
    #endif
    App("glUniformSubroutinesuiv","(", toString(shaderType), ", ", count, ", ", boost::print::array(indices,count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformSubroutinesuiv)(shaderType, count, indices);
  }

  /* GL_ARB_shading_language_include */

  REGAL_DECL void REGAL_CALL glCompileShaderIncludeARB(GLuint shader, GLsizei count, const GLchar * const *path, const GLint *length)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCompileShaderIncludeARB","(", shader, ", ", count, ", ", boost::print::array(path,count,"\""), ", ", boost::print::array(length,count), ")");;
    #endif
    App("glCompileShaderIncludeARB","(", shader, ", ", count, ", ", boost::print::array(path,count,"\""), ", ", boost::print::array(length,count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompileShaderIncludeARB)(shader, count, path, length);
  }

  REGAL_DECL void REGAL_CALL glDeleteNamedStringARB(GLint namelen, const GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDeleteNamedStringARB","(", namelen, ", ", boost::print::quote(name,'"'), ")");;
    #endif
    App("glDeleteNamedStringARB","(", namelen, ", ", boost::print::quote(name,'"'), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteNamedStringARB)(namelen, name);
  }

  REGAL_DECL void REGAL_CALL glGetNamedStringARB(GLint namelen, const GLchar *name, GLsizei bufSize, GLint *stringlen, GLchar *string)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetNamedStringARB","(", namelen, ", ", boost::print::quote(name,'"'), ", ", bufSize, ")");;
    #endif
    App("glGetNamedStringARB","(", namelen, ", ", boost::print::quote(name,'"'), ", ", bufSize, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetNamedStringARB)(namelen, name, bufSize, stringlen, string);
  }

  REGAL_DECL void REGAL_CALL glGetNamedStringivARB(GLint namelen, const GLchar *name, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetNamedStringivARB","(", namelen, ", ", boost::print::quote(name,'"'), ", ", toString(pname), ")");;
    #endif
    App("glGetNamedStringivARB","(", namelen, ", ", boost::print::quote(name,'"'), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetNamedStringivARB)(namelen, name, pname, params);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsNamedStringARB(GLint namelen, const GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsNamedStringARB","(", namelen, ", ", boost::print::quote(name,'"'), ")");;
    #endif
    App("glIsNamedStringARB","(", namelen, ", ", boost::print::quote(name,'"'), ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsNamedStringARB)(namelen, name);
  }

  REGAL_DECL void REGAL_CALL glNamedStringARB(GLenum type, GLint namelen, const GLchar *name, GLint stringlen, const GLchar *string)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNamedStringARB","(", toString(type), ", ", namelen, ", ", boost::print::quote(name,'"'), ", ", stringlen, ", ", boost::print::quote(string,'"'), ")");;
    #endif
    App("glNamedStringARB","(", toString(type), ", ", namelen, ", ", boost::print::quote(name,'"'), ", ", stringlen, ", ", boost::print::quote(string,'"'), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedStringARB)(type, namelen, name, stringlen, string);
  }

  /* GL_ARB_sparse_buffer */

  REGAL_DECL void REGAL_CALL glBufferPageCommitmentARB(GLenum target, GLintptr offset, GLsizeiptr size, GLboolean commit)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBufferPageCommitmentARB","(", toString(target), ", ", offset, ", ", size, ", ", toString(commit), ")");;
    #endif
    App("glBufferPageCommitmentARB","(", toString(target), ", ", offset, ", ", size, ", ", toString(commit), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBufferPageCommitmentARB)(target, offset, size, commit);
  }

  /* GL_ARB_sparse_texture */

  REGAL_DECL void REGAL_CALL glTexPageCommitmentARB(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLboolean resident)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexPageCommitmentARB","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ", ", toString(resident), ")");;
    #endif
    App("glTexPageCommitmentARB","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ", ", toString(resident), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexPageCommitmentARB)(target, level, xoffset, yoffset, zoffset, width, height, depth, resident);
  }

  REGAL_DECL void REGAL_CALL glTexturePageCommitmentEXT(GLuint texture, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLboolean commit)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexturePageCommitmentEXT","(", texture, ", ", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ", ", toString(commit), ")");;
    #endif
    App("glTexturePageCommitmentEXT","(", texture, ", ", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ", ", toString(commit), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexturePageCommitmentEXT)(texture, target, level, xoffset, yoffset, zoffset, width, height, depth, commit);
  }

  /* GL_ARB_sync */

  REGAL_DECL GLenum REGAL_CALL glClientWaitSync(GLsync sync, GLbitfield flags, GLuint64 timeout)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glClientWaitSync","(", boost::print::optional(reinterpret_cast<void *>(sync),Logging::pointers), ", ", GLclientWaitSyncToString(flags), ", ", timeout, ")");;
    #endif
    App("glClientWaitSync","(", boost::print::optional(reinterpret_cast<void *>(sync),Logging::pointers), ", ", GLclientWaitSyncToString(flags), ", ", timeout, ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glClientWaitSync)(sync, flags, timeout);
  }

  REGAL_DECL void REGAL_CALL glDeleteSync(GLsync sync)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDeleteSync","(", boost::print::optional(reinterpret_cast<void *>(sync),Logging::pointers), ")");;
    #endif
    App("glDeleteSync","(", boost::print::optional(reinterpret_cast<void *>(sync),Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteSync)(sync);
  }

  REGAL_DECL GLsync REGAL_CALL glFenceSync(GLenum condition, GLbitfield flags)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFenceSync","(", toString(condition), ", ", GLfenceSyncToString(flags), ")");;
    #endif
    App("glFenceSync","(", toString(condition), ", ", GLfenceSyncToString(flags), ")");
    if (!_context) return NULL;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glFenceSync)(condition, flags);
  }

  REGAL_DECL void REGAL_CALL glGetInteger64v(GLenum pname, GLint64 *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetInteger64v","(", toString(pname), ")");;
    #endif
    App("glGetInteger64v","(", toString(pname), ")");
    if (!_context) return;
    // Regal interceptions
    switch (pname)
    {
      case GL_NUM_EXTENSIONS:
        _context->numExtensions( params );
        return;

      default:
        break;
    }
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetInteger64v)(pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetSynciv(GLsync sync, GLenum pname, GLsizei bufSize, GLsizei *length, GLint *values)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetSynciv","(", boost::print::optional(reinterpret_cast<void *>(sync),Logging::pointers), ", ", toString(pname), ", ", bufSize, ")");;
    #endif
    App("glGetSynciv","(", boost::print::optional(reinterpret_cast<void *>(sync),Logging::pointers), ", ", toString(pname), ", ", bufSize, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetSynciv)(sync, pname, bufSize, length, values);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsSync(GLsync sync)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsSync","(", boost::print::optional(reinterpret_cast<void *>(sync),Logging::pointers), ")");;
    #endif
    App("glIsSync","(", boost::print::optional(reinterpret_cast<void *>(sync),Logging::pointers), ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsSync)(sync);
  }

  REGAL_DECL void REGAL_CALL glWaitSync(GLsync sync, GLbitfield flags, GLuint64 timeout)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWaitSync","(", boost::print::optional(reinterpret_cast<void *>(sync),Logging::pointers), ", ", GLwaitSyncToString(flags), ", ", timeout, ")");;
    #endif
    App("glWaitSync","(", boost::print::optional(reinterpret_cast<void *>(sync),Logging::pointers), ", ", GLwaitSyncToString(flags), ", ", timeout, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWaitSync)(sync, flags, timeout);
  }

  /* GL_ARB_tessellation_shader */

  REGAL_DECL void REGAL_CALL glPatchParameterfv(GLenum pname, const GLfloat *values)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPatchParameterfv","(", toString(pname), ", ", boost::print::array(values,1), ")");;
    #endif
    App("glPatchParameterfv","(", toString(pname), ", ", boost::print::array(values,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPatchParameterfv)(pname, values);
  }

  REGAL_DECL void REGAL_CALL glPatchParameteri(GLenum pname, GLint value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPatchParameteri","(", toString(pname), ", ", value, ")");;
    #endif
    App("glPatchParameteri","(", toString(pname), ", ", value, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPatchParameteri)(pname, value);
  }

  /* GL_ARB_texture_barrier */

  REGAL_DECL void REGAL_CALL glTextureBarrier(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureBarrier","()");;
    #endif
    App("glTextureBarrier","()");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureBarrier)();
  }

  /* GL_ARB_texture_buffer_object */

  REGAL_DECL void REGAL_CALL glTexBufferARB(GLenum target, GLenum internalformat, GLuint buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexBufferARB","(", toString(target), ", ", toString(internalformat), ", ", buffer, ")");;
    #endif
    App("glTexBufferARB","(", toString(target), ", ", toString(internalformat), ", ", buffer, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexBufferARB)(target, internalformat, buffer);
  }

  /* GL_ARB_texture_buffer_range */

  REGAL_DECL void REGAL_CALL glTexBufferRange(GLenum target, GLenum internalformat, GLuint buffer, GLintptr offset, GLsizeiptr size)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexBufferRange","(", toString(target), ", ", toString(internalformat), ", ", buffer, ", ", offset, ", ", size, ")");;
    #endif
    App("glTexBufferRange","(", toString(target), ", ", toString(internalformat), ", ", buffer, ", ", offset, ", ", size, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexBufferRange)(target, internalformat, buffer, offset, size);
  }

  REGAL_DECL void REGAL_CALL glTextureBufferRangeEXT(GLuint texture, GLenum target, GLenum internalformat, GLuint buffer, GLintptr offset, GLsizeiptr size)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureBufferRangeEXT","(", texture, ", ", toString(target), ", ", toString(internalformat), ", ", buffer, ", ", offset, ", ", size, ")");;
    #endif
    App("glTextureBufferRangeEXT","(", texture, ", ", toString(target), ", ", toString(internalformat), ", ", buffer, ", ", offset, ", ", size, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureBufferRangeEXT)(texture, target, internalformat, buffer, offset, size);
  }

  /* GL_ARB_texture_compression */

  REGAL_DECL void REGAL_CALL glCompressedTexImage1DARB(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLint border, GLsizei imageSize, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCompressedTexImage1DARB","(", toString(target), ", ", level, ", ", toString(internalformat), ", ", width, ", ", border, ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");;
    #endif
    App("glCompressedTexImage1DARB","(", toString(target), ", ", level, ", ", toString(internalformat), ", ", width, ", ", border, ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedTexImage1DARB)(target, level, internalformat, width, border, imageSize, data);
  }

  REGAL_DECL void REGAL_CALL glCompressedTexImage2DARB(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCompressedTexImage2DARB","(", toString(target), ", ", level, ", ", toString(internalformat), ", ", width, ", ", height, ", ", border, ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");;
    #endif
    App("glCompressedTexImage2DARB","(", toString(target), ", ", level, ", ", toString(internalformat), ", ", width, ", ", height, ", ", border, ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedTexImage2DARB)(target, level, internalformat, width, height, border, imageSize, data);
  }

  REGAL_DECL void REGAL_CALL glCompressedTexImage3DARB(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCompressedTexImage3DARB","(", toString(target), ", ", level, ", ", toString(internalformat), ", ", width, ", ", height, ", ", depth, ", ", border, ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");;
    #endif
    App("glCompressedTexImage3DARB","(", toString(target), ", ", level, ", ", toString(internalformat), ", ", width, ", ", height, ", ", depth, ", ", border, ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedTexImage3DARB)(target, level, internalformat, width, height, depth, border, imageSize, data);
  }

  REGAL_DECL void REGAL_CALL glCompressedTexSubImage1DARB(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCompressedTexSubImage1DARB","(", toString(target), ", ", level, ", ", xoffset, ", ", width, ", ", toString(format), ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");;
    #endif
    App("glCompressedTexSubImage1DARB","(", toString(target), ", ", level, ", ", xoffset, ", ", width, ", ", toString(format), ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedTexSubImage1DARB)(target, level, xoffset, width, format, imageSize, data);
  }

  REGAL_DECL void REGAL_CALL glCompressedTexSubImage2DARB(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCompressedTexSubImage2DARB","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", width, ", ", height, ", ", toString(format), ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");;
    #endif
    App("glCompressedTexSubImage2DARB","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", width, ", ", height, ", ", toString(format), ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedTexSubImage2DARB)(target, level, xoffset, yoffset, width, height, format, imageSize, data);
  }

  REGAL_DECL void REGAL_CALL glCompressedTexSubImage3DARB(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCompressedTexSubImage3DARB","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ", ", toString(format), ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");;
    #endif
    App("glCompressedTexSubImage3DARB","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ", ", toString(format), ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedTexSubImage3DARB)(target, level, xoffset, yoffset, zoffset, width, height, depth, format, imageSize, data);
  }

  REGAL_DECL void REGAL_CALL glGetCompressedTexImageARB(GLenum target, GLint level, GLvoid *img)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetCompressedTexImageARB","(", toString(target), ", ", level, ")");;
    #endif
    App("glGetCompressedTexImageARB","(", toString(target), ", ", level, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetCompressedTexImageARB)(target, level, img);
  }

  /* GL_ARB_texture_multisample */

  REGAL_DECL void REGAL_CALL glGetMultisamplefv(GLenum pname, GLuint index, GLfloat *val)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetMultisamplefv","(", toString(pname), ", ", index, ")");;
    #endif
    App("glGetMultisamplefv","(", toString(pname), ", ", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMultisamplefv)(pname, index, val);
  }

  REGAL_DECL void REGAL_CALL glSampleMaski(GLuint index, GLbitfield mask)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSampleMaski","(", index, ", ", mask, ")");;
    #endif
    App("glSampleMaski","(", index, ", ", mask, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSampleMaski)(index, mask);
  }

  REGAL_DECL void REGAL_CALL glTexImage2DMultisample(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLboolean fixedsamplelocations)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexImage2DMultisample","(", toString(target), ", ", samples, ", ", toString(internalformat), ", ", width, ", ", height, ", ", toString(fixedsamplelocations), ")");;
    #endif
    App("glTexImage2DMultisample","(", toString(target), ", ", samples, ", ", toString(internalformat), ", ", width, ", ", height, ", ", toString(fixedsamplelocations), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexImage2DMultisample)(target, samples, internalformat, width, height, fixedsamplelocations);
  }

  REGAL_DECL void REGAL_CALL glTexImage3DMultisample(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedsamplelocations)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexImage3DMultisample","(", toString(target), ", ", samples, ", ", toString(internalformat), ", ", width, ", ", height, ", ", depth, ", ", toString(fixedsamplelocations), ")");;
    #endif
    App("glTexImage3DMultisample","(", toString(target), ", ", samples, ", ", toString(internalformat), ", ", width, ", ", height, ", ", depth, ", ", toString(fixedsamplelocations), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexImage3DMultisample)(target, samples, internalformat, width, height, depth, fixedsamplelocations);
  }

  /* GL_ARB_texture_storage */

  REGAL_DECL void REGAL_CALL glTexStorage1D(GLenum target, GLsizei levels, GLenum internalformat, GLsizei width)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexStorage1D","(", toString(target), ", ", levels, ", ", toString(internalformat), ", ", width, ")");;
    #endif
    App("glTexStorage1D","(", toString(target), ", ", levels, ", ", toString(internalformat), ", ", width, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexStorage1D)(target, levels, internalformat, width);
  }

  REGAL_DECL void REGAL_CALL glTexStorage2D(GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexStorage2D","(", toString(target), ", ", levels, ", ", toString(internalformat), ", ", width, ", ", height, ")");;
    #endif
    App("glTexStorage2D","(", toString(target), ", ", levels, ", ", toString(internalformat), ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexStorage2D)(target, levels, internalformat, width, height);
  }

  REGAL_DECL void REGAL_CALL glTexStorage3D(GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexStorage3D","(", toString(target), ", ", levels, ", ", toString(internalformat), ", ", width, ", ", height, ", ", depth, ")");;
    #endif
    App("glTexStorage3D","(", toString(target), ", ", levels, ", ", toString(internalformat), ", ", width, ", ", height, ", ", depth, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexStorage3D)(target, levels, internalformat, width, height, depth);
  }

  REGAL_DECL void REGAL_CALL glTextureStorage1DEXT(GLuint texture, GLenum target, GLsizei levels, GLenum internalformat, GLsizei width)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureStorage1DEXT","(", texture, ", ", toString(target), ", ", levels, ", ", toString(internalformat), ", ", width, ")");;
    #endif
    App("glTextureStorage1DEXT","(", texture, ", ", toString(target), ", ", levels, ", ", toString(internalformat), ", ", width, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureStorage1DEXT)(texture, target, levels, internalformat, width);
  }

  REGAL_DECL void REGAL_CALL glTextureStorage2DEXT(GLuint texture, GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureStorage2DEXT","(", texture, ", ", toString(target), ", ", levels, ", ", toString(internalformat), ", ", width, ", ", height, ")");;
    #endif
    App("glTextureStorage2DEXT","(", texture, ", ", toString(target), ", ", levels, ", ", toString(internalformat), ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureStorage2DEXT)(texture, target, levels, internalformat, width, height);
  }

  REGAL_DECL void REGAL_CALL glTextureStorage3DEXT(GLuint texture, GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureStorage3DEXT","(", texture, ", ", toString(target), ", ", levels, ", ", toString(internalformat), ", ", width, ", ", height, ", ", depth, ")");;
    #endif
    App("glTextureStorage3DEXT","(", texture, ", ", toString(target), ", ", levels, ", ", toString(internalformat), ", ", width, ", ", height, ", ", depth, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureStorage3DEXT)(texture, target, levels, internalformat, width, height, depth);
  }

  /* GL_ARB_texture_storage_multisample */

  REGAL_DECL void REGAL_CALL glTexStorage2DMultisample(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLboolean fixedsamplelocations)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexStorage2DMultisample","(", toString(target), ", ", samples, ", ", toString(internalformat), ", ", width, ", ", height, ", ", toString(fixedsamplelocations), ")");;
    #endif
    App("glTexStorage2DMultisample","(", toString(target), ", ", samples, ", ", toString(internalformat), ", ", width, ", ", height, ", ", toString(fixedsamplelocations), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexStorage2DMultisample)(target, samples, internalformat, width, height, fixedsamplelocations);
  }

  REGAL_DECL void REGAL_CALL glTexStorage3DMultisample(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedsamplelocations)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexStorage3DMultisample","(", toString(target), ", ", samples, ", ", toString(internalformat), ", ", width, ", ", height, ", ", depth, ", ", toString(fixedsamplelocations), ")");;
    #endif
    App("glTexStorage3DMultisample","(", toString(target), ", ", samples, ", ", toString(internalformat), ", ", width, ", ", height, ", ", depth, ", ", toString(fixedsamplelocations), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexStorage3DMultisample)(target, samples, internalformat, width, height, depth, fixedsamplelocations);
  }

  REGAL_DECL void REGAL_CALL glTextureStorage2DMultisampleEXT(GLuint texture, GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLboolean fixedsamplelocations)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureStorage2DMultisampleEXT","(", texture, ", ", toString(target), ", ", samples, ", ", toString(internalformat), ", ", width, ", ", height, ", ", toString(fixedsamplelocations), ")");;
    #endif
    App("glTextureStorage2DMultisampleEXT","(", texture, ", ", toString(target), ", ", samples, ", ", toString(internalformat), ", ", width, ", ", height, ", ", toString(fixedsamplelocations), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureStorage2DMultisampleEXT)(texture, target, samples, internalformat, width, height, fixedsamplelocations);
  }

  REGAL_DECL void REGAL_CALL glTextureStorage3DMultisampleEXT(GLuint texture, GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedsamplelocations)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureStorage3DMultisampleEXT","(", texture, ", ", toString(target), ", ", samples, ", ", toString(internalformat), ", ", width, ", ", height, ", ", depth, ", ", toString(fixedsamplelocations), ")");;
    #endif
    App("glTextureStorage3DMultisampleEXT","(", texture, ", ", toString(target), ", ", samples, ", ", toString(internalformat), ", ", width, ", ", height, ", ", depth, ", ", toString(fixedsamplelocations), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureStorage3DMultisampleEXT)(texture, target, samples, internalformat, width, height, depth, fixedsamplelocations);
  }

  /* GL_ARB_texture_view */

  REGAL_DECL void REGAL_CALL glTextureView(GLuint texture, GLenum target, GLuint origtexture, GLenum internalformat, GLuint minlevel, GLuint numlevels, GLuint minlayer, GLuint numlayers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureView","(", texture, ", ", toString(target), ", ", origtexture, ", ", toString(internalformat), ", ", minlevel, ", ", numlevels, ", ", minlayer, ", ", numlayers, ")");;
    #endif
    App("glTextureView","(", texture, ", ", toString(target), ", ", origtexture, ", ", toString(internalformat), ", ", minlevel, ", ", numlevels, ", ", minlayer, ", ", numlayers, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureView)(texture, target, origtexture, internalformat, minlevel, numlevels, minlayer, numlayers);
  }

  /* GL_ARB_timer_query */

  REGAL_DECL void REGAL_CALL glGetQueryObjecti64v(GLuint id, GLenum pname, GLint64 *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetQueryObjecti64v","(", id, ", ", toString(pname), ")");;
    #endif
    App("glGetQueryObjecti64v","(", id, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetQueryObjecti64v)(id, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetQueryObjectui64v(GLuint id, GLenum pname, GLuint64 *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetQueryObjectui64v","(", id, ", ", toString(pname), ")");;
    #endif
    App("glGetQueryObjectui64v","(", id, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetQueryObjectui64v)(id, pname, params);
  }

  REGAL_DECL void REGAL_CALL glQueryCounter(GLuint id, GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glQueryCounter","(", id, ", ", toString(target), ")");;
    #endif
    App("glQueryCounter","(", id, ", ", toString(target), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glQueryCounter)(id, target);
  }

  /* GL_ARB_transform_feedback2 */

  REGAL_DECL void REGAL_CALL glBindTransformFeedback(GLenum target, GLuint id)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindTransformFeedback","(", toString(target), ", ", id, ")");;
    #endif
    App("glBindTransformFeedback","(", toString(target), ", ", id, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindTransformFeedback)(target, id);
  }

  REGAL_DECL void REGAL_CALL glDeleteTransformFeedbacks(GLsizei n, const GLuint *ids)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDeleteTransformFeedbacks","(", n, ", ", boost::print::array(ids,n), ")");;
    #endif
    App("glDeleteTransformFeedbacks","(", n, ", ", boost::print::array(ids,n), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteTransformFeedbacks)(n, ids);
  }

  REGAL_DECL void REGAL_CALL glDrawTransformFeedback(GLenum mode, GLuint name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDrawTransformFeedback","(", GLmodeToString(mode), ", ", name, ")");;
    #endif
    App("glDrawTransformFeedback","(", GLmodeToString(mode), ", ", name, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawTransformFeedback)(mode, name);
  }

  REGAL_DECL void REGAL_CALL glGenTransformFeedbacks(GLsizei n, GLuint *ids)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGenTransformFeedbacks","(", n, ")");;
    #endif
    App("glGenTransformFeedbacks","(", n, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenTransformFeedbacks)(n, ids);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsTransformFeedback(GLuint id)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsTransformFeedback","(", id, ")");;
    #endif
    App("glIsTransformFeedback","(", id, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsTransformFeedback)(id);
  }

  REGAL_DECL void REGAL_CALL glPauseTransformFeedback(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPauseTransformFeedback","()");;
    #endif
    App("glPauseTransformFeedback","()");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPauseTransformFeedback)();
  }

  REGAL_DECL void REGAL_CALL glResumeTransformFeedback(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glResumeTransformFeedback","()");;
    #endif
    App("glResumeTransformFeedback","()");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glResumeTransformFeedback)();
  }

  /* GL_ARB_transform_feedback3 */

  REGAL_DECL void REGAL_CALL glBeginQueryIndexed(GLenum target, GLuint index, GLuint id)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBeginQueryIndexed","(", toString(target), ", ", index, ", ", id, ")");;
    #endif
    App("glBeginQueryIndexed","(", toString(target), ", ", index, ", ", id, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBeginQueryIndexed)(target, index, id);
  }

  REGAL_DECL void REGAL_CALL glDrawTransformFeedbackStream(GLenum mode, GLuint id, GLuint stream)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDrawTransformFeedbackStream","(", GLmodeToString(mode), ", ", id, ", ", stream, ")");;
    #endif
    App("glDrawTransformFeedbackStream","(", GLmodeToString(mode), ", ", id, ", ", stream, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawTransformFeedbackStream)(mode, id, stream);
  }

  REGAL_DECL void REGAL_CALL glEndQueryIndexed(GLenum target, GLuint index)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEndQueryIndexed","(", toString(target), ", ", index, ")");;
    #endif
    App("glEndQueryIndexed","(", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEndQueryIndexed)(target, index);
  }

  REGAL_DECL void REGAL_CALL glGetQueryIndexediv(GLenum target, GLuint index, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetQueryIndexediv","(", toString(target), ", ", index, ", ", toString(pname), ")");;
    #endif
    App("glGetQueryIndexediv","(", toString(target), ", ", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetQueryIndexediv)(target, index, pname, params);
  }

  /* GL_ARB_transform_feedback_instanced */

  REGAL_DECL void REGAL_CALL glDrawTransformFeedbackInstanced(GLenum mode, GLuint id, GLsizei primcount)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDrawTransformFeedbackInstanced","(", GLmodeToString(mode), ", ", id, ", ", primcount, ")");;
    #endif
    App("glDrawTransformFeedbackInstanced","(", GLmodeToString(mode), ", ", id, ", ", primcount, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawTransformFeedbackInstanced)(mode, id, primcount);
  }

  REGAL_DECL void REGAL_CALL glDrawTransformFeedbackStreamInstanced(GLenum mode, GLuint id, GLuint stream, GLsizei primcount)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDrawTransformFeedbackStreamInstanced","(", GLmodeToString(mode), ", ", id, ", ", stream, ", ", primcount, ")");;
    #endif
    App("glDrawTransformFeedbackStreamInstanced","(", GLmodeToString(mode), ", ", id, ", ", stream, ", ", primcount, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawTransformFeedbackStreamInstanced)(mode, id, stream, primcount);
  }

  /* GL_ARB_transpose_matrix */

  REGAL_DECL void REGAL_CALL glLoadTransposeMatrixdARB(const GLdouble *m)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glLoadTransposeMatrixdARB","(", boost::print::array(m,16), ")");;
    #endif
    App("glLoadTransposeMatrixdARB","(", boost::print::array(m,16), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLoadTransposeMatrixdARB)(m);
  }

  REGAL_DECL void REGAL_CALL glLoadTransposeMatrixfARB(const GLfloat *m)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glLoadTransposeMatrixfARB","(", boost::print::array(m,16), ")");;
    #endif
    App("glLoadTransposeMatrixfARB","(", boost::print::array(m,16), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLoadTransposeMatrixfARB)(m);
  }

  REGAL_DECL void REGAL_CALL glMultTransposeMatrixdARB(const GLdouble *m)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultTransposeMatrixdARB","(", boost::print::array(m,16), ")");;
    #endif
    App("glMultTransposeMatrixdARB","(", boost::print::array(m,16), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultTransposeMatrixdARB)(m);
  }

  REGAL_DECL void REGAL_CALL glMultTransposeMatrixfARB(const GLfloat *m)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultTransposeMatrixfARB","(", boost::print::array(m,16), ")");;
    #endif
    App("glMultTransposeMatrixfARB","(", boost::print::array(m,16), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultTransposeMatrixfARB)(m);
  }

  /* GL_ARB_uniform_buffer_object */

  REGAL_DECL void REGAL_CALL glBindBufferBase(GLenum target, GLuint index, GLuint buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindBufferBase","(", toString(target), ", ", index, ", ", buffer, ")");;
    #endif
    App("glBindBufferBase","(", toString(target), ", ", index, ", ", buffer, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindBufferBase)(target, index, buffer);
  }

  REGAL_DECL void REGAL_CALL glBindBufferRange(GLenum target, GLuint index, GLuint buffer, GLintptr offset, GLsizeiptr size)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindBufferRange","(", toString(target), ", ", index, ", ", buffer, ", ", offset, ", ", size, ")");;
    #endif
    App("glBindBufferRange","(", toString(target), ", ", index, ", ", buffer, ", ", offset, ", ", size, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindBufferRange)(target, index, buffer, offset, size);
  }

  REGAL_DECL void REGAL_CALL glGetActiveUniformBlockName(GLuint program, GLuint uniformBlockIndex, GLsizei bufSize, GLsizei *length, GLchar *uniformBlockName)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetActiveUniformBlockName","(", program, ", ", uniformBlockIndex, ", ", bufSize, ")");;
    #endif
    App("glGetActiveUniformBlockName","(", program, ", ", uniformBlockIndex, ", ", bufSize, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetActiveUniformBlockName)(program, uniformBlockIndex, bufSize, length, uniformBlockName);
  }

  REGAL_DECL void REGAL_CALL glGetActiveUniformBlockiv(GLuint program, GLuint uniformBlockIndex, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetActiveUniformBlockiv","(", program, ", ", uniformBlockIndex, ", ", toString(pname), ")");;
    #endif
    App("glGetActiveUniformBlockiv","(", program, ", ", uniformBlockIndex, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetActiveUniformBlockiv)(program, uniformBlockIndex, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetActiveUniformName(GLuint program, GLuint uniformIndex, GLsizei bufSize, GLsizei *length, GLchar *uniformName)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetActiveUniformName","(", program, ", ", uniformIndex, ", ", bufSize, ")");;
    #endif
    App("glGetActiveUniformName","(", program, ", ", uniformIndex, ", ", bufSize, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetActiveUniformName)(program, uniformIndex, bufSize, length, uniformName);
  }

  REGAL_DECL void REGAL_CALL glGetActiveUniformsiv(GLuint program, GLsizei uniformCount, const GLuint *uniformIndices, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetActiveUniformsiv","(", program, ", ", uniformCount, ", ", boost::print::optional(uniformIndices,Logging::pointers), ", ", toString(pname), ")");;
    #endif
    App("glGetActiveUniformsiv","(", program, ", ", uniformCount, ", ", boost::print::optional(uniformIndices,Logging::pointers), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetActiveUniformsiv)(program, uniformCount, uniformIndices, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetIntegeri_v(GLenum target, GLuint index, GLint *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetIntegeri_v","(", toString(target), ", ", index, ")");;
    #endif
    App("glGetIntegeri_v","(", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetIntegeri_v)(target, index, data);
  }

  REGAL_DECL GLuint REGAL_CALL glGetUniformBlockIndex(GLuint program, const GLchar *uniformBlockName)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetUniformBlockIndex","(", program, ", ", boost::print::quote(uniformBlockName,'"'), ")");;
    #endif
    App("glGetUniformBlockIndex","(", program, ", ", boost::print::quote(uniformBlockName,'"'), ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetUniformBlockIndex)(program, uniformBlockName);
  }

  REGAL_DECL void REGAL_CALL glGetUniformIndices(GLuint program, GLsizei uniformCount, const GLchar * const *uniformNames, GLuint *uniformIndices)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetUniformIndices","(", program, ", ", uniformCount, ", ", uniformNames, ")");;
    #endif
    App("glGetUniformIndices","(", program, ", ", uniformCount, ", ", uniformNames, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetUniformIndices)(program, uniformCount, uniformNames, uniformIndices);
  }

  REGAL_DECL void REGAL_CALL glUniformBlockBinding(GLuint program, GLuint uniformBlockIndex, GLuint uniformBlockBinding)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniformBlockBinding","(", program, ", ", uniformBlockIndex, ", ", uniformBlockBinding, ")");;
    #endif
    App("glUniformBlockBinding","(", program, ", ", uniformBlockIndex, ", ", uniformBlockBinding, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformBlockBinding)(program, uniformBlockIndex, uniformBlockBinding);
  }

  /* GL_ARB_vertex_array_object */

  REGAL_DECL void REGAL_CALL glBindVertexArray(GLuint array)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindVertexArray","(", array, ")");;
    #endif
    App("glBindVertexArray","(", array, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindVertexArray)(array);
  }

  REGAL_DECL void REGAL_CALL glDeleteVertexArrays(GLsizei n, const GLuint *arrays)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDeleteVertexArrays","(", n, ", ", boost::print::array(arrays,n), ")");;
    #endif
    App("glDeleteVertexArrays","(", n, ", ", boost::print::array(arrays,n), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteVertexArrays)(n, arrays);
  }

  REGAL_DECL void REGAL_CALL glGenVertexArrays(GLsizei n, GLuint *arrays)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGenVertexArrays","(", n, ")");;
    #endif
    App("glGenVertexArrays","(", n, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenVertexArrays)(n, arrays);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsVertexArray(GLuint array)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsVertexArray","(", array, ")");;
    #endif
    App("glIsVertexArray","(", array, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsVertexArray)(array);
  }

  /* GL_ARB_vertex_attrib_64bit */

  REGAL_DECL void REGAL_CALL glGetVertexAttribLdv(GLuint index, GLenum pname, GLdouble *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetVertexAttribLdv","(", index, ", ", toString(pname), ")");;
    #endif
    App("glGetVertexAttribLdv","(", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexAttribLdv)(index, pname, params);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL1d(GLuint index, GLdouble x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribL1d","(", index, ", ", x, ")");;
    #endif
    App("glVertexAttribL1d","(", index, ", ", x, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL1d)(index, x);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL1dv(GLuint index, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribL1dv","(", index, ", ", boost::print::array(v,1), ")");;
    #endif
    App("glVertexAttribL1dv","(", index, ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL1dv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL2d(GLuint index, GLdouble x, GLdouble y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribL2d","(", index, ", ", x, ", ", y, ")");;
    #endif
    App("glVertexAttribL2d","(", index, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL2d)(index, x, y);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL2dv(GLuint index, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribL2dv","(", index, ", ", boost::print::array(v,2), ")");;
    #endif
    App("glVertexAttribL2dv","(", index, ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL2dv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL3d(GLuint index, GLdouble x, GLdouble y, GLdouble z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribL3d","(", index, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glVertexAttribL3d","(", index, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL3d)(index, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL3dv(GLuint index, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribL3dv","(", index, ", ", boost::print::array(v,3), ")");;
    #endif
    App("glVertexAttribL3dv","(", index, ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL3dv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL4d(GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribL4d","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glVertexAttribL4d","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL4d)(index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL4dv(GLuint index, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribL4dv","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glVertexAttribL4dv","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL4dv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribLPointer(GLuint index, GLint size, GLenum type, GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribLPointer","(", index, ", ", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");;
    #endif
    App("glVertexAttribLPointer","(", index, ", ", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribLPointer)(index, size, type, stride, pointer);
  }

  /* GL_ARB_vertex_attrib_binding */

  REGAL_DECL void REGAL_CALL glBindVertexBuffer(GLuint bindingindex, GLuint buffer, GLintptr offset, GLsizei stride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindVertexBuffer","(", bindingindex, ", ", buffer, ", ", offset, ", ", stride, ")");;
    #endif
    App("glBindVertexBuffer","(", bindingindex, ", ", buffer, ", ", offset, ", ", stride, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindVertexBuffer)(bindingindex, buffer, offset, stride);
  }

  REGAL_DECL void REGAL_CALL glVertexArrayBindVertexBufferEXT(GLuint vaobj, GLuint bindingindex, GLuint buffer, GLintptr offset, GLsizei stride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexArrayBindVertexBufferEXT","(", vaobj, ", ", bindingindex, ", ", buffer, ", ", offset, ", ", stride, ")");;
    #endif
    App("glVertexArrayBindVertexBufferEXT","(", vaobj, ", ", bindingindex, ", ", buffer, ", ", offset, ", ", stride, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexArrayBindVertexBufferEXT)(vaobj, bindingindex, buffer, offset, stride);
  }

  REGAL_DECL void REGAL_CALL glVertexArrayVertexAttribBindingEXT(GLuint vaobj, GLuint attribindex, GLuint bindingindex)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexArrayVertexAttribBindingEXT","(", vaobj, ", ", attribindex, ", ", bindingindex, ")");;
    #endif
    App("glVertexArrayVertexAttribBindingEXT","(", vaobj, ", ", attribindex, ", ", bindingindex, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexArrayVertexAttribBindingEXT)(vaobj, attribindex, bindingindex);
  }

  REGAL_DECL void REGAL_CALL glVertexArrayVertexAttribFormatEXT(GLuint vaobj, GLuint attribindex, GLint size, GLenum type, GLboolean normalized, GLuint relativeoffset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexArrayVertexAttribFormatEXT","(", vaobj, ", ", attribindex, ", ", size, ", ", toString(type), ", ", toString(normalized), ", ", relativeoffset, ")");;
    #endif
    App("glVertexArrayVertexAttribFormatEXT","(", vaobj, ", ", attribindex, ", ", size, ", ", toString(type), ", ", toString(normalized), ", ", relativeoffset, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexArrayVertexAttribFormatEXT)(vaobj, attribindex, size, type, normalized, relativeoffset);
  }

  REGAL_DECL void REGAL_CALL glVertexArrayVertexAttribIFormatEXT(GLuint vaobj, GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexArrayVertexAttribIFormatEXT","(", vaobj, ", ", attribindex, ", ", size, ", ", toString(type), ", ", relativeoffset, ")");;
    #endif
    App("glVertexArrayVertexAttribIFormatEXT","(", vaobj, ", ", attribindex, ", ", size, ", ", toString(type), ", ", relativeoffset, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexArrayVertexAttribIFormatEXT)(vaobj, attribindex, size, type, relativeoffset);
  }

  REGAL_DECL void REGAL_CALL glVertexArrayVertexAttribLFormatEXT(GLuint vaobj, GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexArrayVertexAttribLFormatEXT","(", vaobj, ", ", attribindex, ", ", size, ", ", toString(type), ", ", relativeoffset, ")");;
    #endif
    App("glVertexArrayVertexAttribLFormatEXT","(", vaobj, ", ", attribindex, ", ", size, ", ", toString(type), ", ", relativeoffset, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexArrayVertexAttribLFormatEXT)(vaobj, attribindex, size, type, relativeoffset);
  }

  REGAL_DECL void REGAL_CALL glVertexArrayVertexBindingDivisorEXT(GLuint vaobj, GLuint bindingindex, GLuint divisor)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexArrayVertexBindingDivisorEXT","(", vaobj, ", ", bindingindex, ", ", divisor, ")");;
    #endif
    App("glVertexArrayVertexBindingDivisorEXT","(", vaobj, ", ", bindingindex, ", ", divisor, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexArrayVertexBindingDivisorEXT)(vaobj, bindingindex, divisor);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribBinding(GLuint attribindex, GLuint bindingindex)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribBinding","(", attribindex, ", ", bindingindex, ")");;
    #endif
    App("glVertexAttribBinding","(", attribindex, ", ", bindingindex, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribBinding)(attribindex, bindingindex);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribFormat(GLuint attribindex, GLint size, GLenum type, GLboolean normalized, GLuint relativeoffset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribFormat","(", attribindex, ", ", size, ", ", toString(type), ", ", toString(normalized), ", ", relativeoffset, ")");;
    #endif
    App("glVertexAttribFormat","(", attribindex, ", ", size, ", ", toString(type), ", ", toString(normalized), ", ", relativeoffset, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribFormat)(attribindex, size, type, normalized, relativeoffset);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribIFormat(GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribIFormat","(", attribindex, ", ", size, ", ", toString(type), ", ", relativeoffset, ")");;
    #endif
    App("glVertexAttribIFormat","(", attribindex, ", ", size, ", ", toString(type), ", ", relativeoffset, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribIFormat)(attribindex, size, type, relativeoffset);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribLFormat(GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribLFormat","(", attribindex, ", ", size, ", ", toString(type), ", ", relativeoffset, ")");;
    #endif
    App("glVertexAttribLFormat","(", attribindex, ", ", size, ", ", toString(type), ", ", relativeoffset, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribLFormat)(attribindex, size, type, relativeoffset);
  }

  REGAL_DECL void REGAL_CALL glVertexBindingDivisor(GLuint bindingindex, GLuint divisor)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexBindingDivisor","(", bindingindex, ", ", divisor, ")");;
    #endif
    App("glVertexBindingDivisor","(", bindingindex, ", ", divisor, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexBindingDivisor)(bindingindex, divisor);
  }

  /* GL_ARB_vertex_blend */

  REGAL_DECL void REGAL_CALL glVertexBlendARB(GLint count)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexBlendARB","(", count, ")");;
    #endif
    App("glVertexBlendARB","(", count, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexBlendARB)(count);
  }

  REGAL_DECL void REGAL_CALL glWeightPointerARB(GLint size, GLenum type, GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWeightPointerARB","(", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");;
    #endif
    App("glWeightPointerARB","(", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWeightPointerARB)(size, type, stride, pointer);
  }

  REGAL_DECL void REGAL_CALL glWeightbvARB(GLint size, const GLbyte *weights)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWeightbvARB","(", size, ", ", weights, ")");;
    #endif
    App("glWeightbvARB","(", size, ", ", weights, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWeightbvARB)(size, weights);
  }

  REGAL_DECL void REGAL_CALL glWeightdvARB(GLint size, const GLdouble *weights)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWeightdvARB","(", size, ", ", boost::print::optional(weights,Logging::pointers), ")");;
    #endif
    App("glWeightdvARB","(", size, ", ", boost::print::optional(weights,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWeightdvARB)(size, weights);
  }

  REGAL_DECL void REGAL_CALL glWeightfvARB(GLint size, const GLfloat *weights)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWeightfvARB","(", size, ", ", boost::print::optional(weights,Logging::pointers), ")");;
    #endif
    App("glWeightfvARB","(", size, ", ", boost::print::optional(weights,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWeightfvARB)(size, weights);
  }

  REGAL_DECL void REGAL_CALL glWeightivARB(GLint size, const GLint *weights)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWeightivARB","(", size, ", ", boost::print::optional(weights,Logging::pointers), ")");;
    #endif
    App("glWeightivARB","(", size, ", ", boost::print::optional(weights,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWeightivARB)(size, weights);
  }

  REGAL_DECL void REGAL_CALL glWeightsvARB(GLint size, const GLshort *weights)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWeightsvARB","(", size, ", ", weights, ")");;
    #endif
    App("glWeightsvARB","(", size, ", ", weights, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWeightsvARB)(size, weights);
  }

  REGAL_DECL void REGAL_CALL glWeightubvARB(GLint size, const GLubyte *weights)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWeightubvARB","(", size, ", ", boost::print::optional(weights,Logging::pointers), ")");;
    #endif
    App("glWeightubvARB","(", size, ", ", boost::print::optional(weights,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWeightubvARB)(size, weights);
  }

  REGAL_DECL void REGAL_CALL glWeightuivARB(GLint size, const GLuint *weights)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWeightuivARB","(", size, ", ", boost::print::optional(weights,Logging::pointers), ")");;
    #endif
    App("glWeightuivARB","(", size, ", ", boost::print::optional(weights,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWeightuivARB)(size, weights);
  }

  REGAL_DECL void REGAL_CALL glWeightusvARB(GLint size, const GLushort *weights)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWeightusvARB","(", size, ", ", boost::print::optional(weights,Logging::pointers), ")");;
    #endif
    App("glWeightusvARB","(", size, ", ", boost::print::optional(weights,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWeightusvARB)(size, weights);
  }

  /* GL_ARB_vertex_buffer_object */

  REGAL_DECL void REGAL_CALL glBindBufferARB(GLenum target, GLuint buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindBufferARB","(", toString(target), ", ", buffer, ")");;
    #endif
    App("glBindBufferARB","(", toString(target), ", ", buffer, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindBufferARB)(target, buffer);
  }

  REGAL_DECL void REGAL_CALL glBufferDataARB(GLenum target, GLsizeiptrARB size, const GLvoid *data, GLenum usage)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBufferDataARB","(", toString(target), ", ", size, ", ", boost::print::raw(data,Logging::rawLimit(data ? size : 0)), ", ", toString(usage), ")");;
    #endif
    App("glBufferDataARB","(", toString(target), ", ", size, ", ", boost::print::raw(data,Logging::rawLimit(data ? size : 0)), ", ", toString(usage), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBufferDataARB)(target, size, data, usage);
  }

  REGAL_DECL void REGAL_CALL glBufferSubDataARB(GLenum target, GLintptrARB offset, GLsizeiptrARB size, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBufferSubDataARB","(", toString(target), ", ", offset, ", ", size, ", ", boost::print::raw(data,Logging::rawLimit(data ? size : 0)), ")");;
    #endif
    App("glBufferSubDataARB","(", toString(target), ", ", offset, ", ", size, ", ", boost::print::raw(data,Logging::rawLimit(data ? size : 0)), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBufferSubDataARB)(target, offset, size, data);
  }

  REGAL_DECL void REGAL_CALL glDeleteBuffersARB(GLsizei n, const GLuint *buffers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDeleteBuffersARB","(", n, ", ", boost::print::array(buffers,n), ")");;
    #endif
    App("glDeleteBuffersARB","(", n, ", ", boost::print::array(buffers,n), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteBuffersARB)(n, buffers);
  }

  REGAL_DECL void REGAL_CALL glGenBuffersARB(GLsizei n, GLuint *buffers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGenBuffersARB","(", n, ")");;
    #endif
    App("glGenBuffersARB","(", n, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenBuffersARB)(n, buffers);
  }

  REGAL_DECL void REGAL_CALL glGetBufferParameterivARB(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetBufferParameterivARB","(", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetBufferParameterivARB","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetBufferParameterivARB)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetBufferPointervARB(GLenum target, GLenum pname, GLvoid **params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetBufferPointervARB","(", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetBufferPointervARB","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetBufferPointervARB)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetBufferSubDataARB(GLenum target, GLintptrARB offset, GLsizeiptrARB size, GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetBufferSubDataARB","(", toString(target), ", ", offset, ", ", size, ")");;
    #endif
    App("glGetBufferSubDataARB","(", toString(target), ", ", offset, ", ", size, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetBufferSubDataARB)(target, offset, size, data);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsBufferARB(GLuint buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsBufferARB","(", buffer, ")");;
    #endif
    App("glIsBufferARB","(", buffer, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsBufferARB)(buffer);
  }

  REGAL_DECL void *REGAL_CALL glMapBufferARB(GLenum target, GLenum access)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMapBufferARB","(", toString(target), ", ", toString(access), ")");;
    #endif
    App("glMapBufferARB","(", toString(target), ", ", toString(access), ")");
    if (!_context) return NULL;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glMapBufferARB)(target, access);
  }

  REGAL_DECL GLboolean REGAL_CALL glUnmapBufferARB(GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUnmapBufferARB","(", toString(target), ")");;
    #endif
    App("glUnmapBufferARB","(", toString(target), ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glUnmapBufferARB)(target);
  }

  /* GL_ARB_vertex_program */

  REGAL_DECL void REGAL_CALL glBindProgramARB(GLenum target, GLuint program)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindProgramARB","(", toString(target), ", ", program, ")");;
    #endif
    App("glBindProgramARB","(", toString(target), ", ", program, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindProgramARB)(target, program);
  }

  REGAL_DECL void REGAL_CALL glDeleteProgramsARB(GLsizei n, const GLuint *programs)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDeleteProgramsARB","(", n, ", ", boost::print::array(programs,n), ")");;
    #endif
    App("glDeleteProgramsARB","(", n, ", ", boost::print::array(programs,n), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteProgramsARB)(n, programs);
  }

  REGAL_DECL void REGAL_CALL glDisableVertexAttribArrayARB(GLuint index)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDisableVertexAttribArrayARB","(", index, ")");;
    #endif
    App("glDisableVertexAttribArrayARB","(", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDisableVertexAttribArrayARB)(index);
  }

  REGAL_DECL void REGAL_CALL glEnableVertexAttribArrayARB(GLuint index)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEnableVertexAttribArrayARB","(", index, ")");;
    #endif
    App("glEnableVertexAttribArrayARB","(", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEnableVertexAttribArrayARB)(index);
  }

  REGAL_DECL void REGAL_CALL glGenProgramsARB(GLsizei n, GLuint *programs)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGenProgramsARB","(", n, ")");;
    #endif
    App("glGenProgramsARB","(", n, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenProgramsARB)(n, programs);
  }

  REGAL_DECL void REGAL_CALL glGetProgramEnvParameterdvARB(GLenum target, GLuint index, GLdouble *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetProgramEnvParameterdvARB","(", toString(target), ", ", index, ")");;
    #endif
    App("glGetProgramEnvParameterdvARB","(", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramEnvParameterdvARB)(target, index, params);
  }

  REGAL_DECL void REGAL_CALL glGetProgramEnvParameterfvARB(GLenum target, GLuint index, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetProgramEnvParameterfvARB","(", toString(target), ", ", index, ")");;
    #endif
    App("glGetProgramEnvParameterfvARB","(", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramEnvParameterfvARB)(target, index, params);
  }

  REGAL_DECL void REGAL_CALL glGetProgramLocalParameterdvARB(GLenum target, GLuint index, GLdouble *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetProgramLocalParameterdvARB","(", toString(target), ", ", index, ")");;
    #endif
    App("glGetProgramLocalParameterdvARB","(", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramLocalParameterdvARB)(target, index, params);
  }

  REGAL_DECL void REGAL_CALL glGetProgramLocalParameterfvARB(GLenum target, GLuint index, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetProgramLocalParameterfvARB","(", toString(target), ", ", index, ")");;
    #endif
    App("glGetProgramLocalParameterfvARB","(", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramLocalParameterfvARB)(target, index, params);
  }

  REGAL_DECL void REGAL_CALL glGetProgramStringARB(GLenum target, GLenum pname, GLvoid *string)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetProgramStringARB","(", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetProgramStringARB","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramStringARB)(target, pname, string);
  }

  REGAL_DECL void REGAL_CALL glGetProgramivARB(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetProgramivARB","(", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetProgramivARB","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramivARB)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetVertexAttribPointervARB(GLuint index, GLenum pname, GLvoid **pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetVertexAttribPointervARB","(", index, ", ", toString(pname), ")");;
    #endif
    App("glGetVertexAttribPointervARB","(", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexAttribPointervARB)(index, pname, pointer);
  }

  REGAL_DECL void REGAL_CALL glGetVertexAttribdvARB(GLuint index, GLenum pname, GLdouble *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetVertexAttribdvARB","(", index, ", ", toString(pname), ")");;
    #endif
    App("glGetVertexAttribdvARB","(", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexAttribdvARB)(index, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetVertexAttribfvARB(GLuint index, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetVertexAttribfvARB","(", index, ", ", toString(pname), ")");;
    #endif
    App("glGetVertexAttribfvARB","(", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexAttribfvARB)(index, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetVertexAttribivARB(GLuint index, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetVertexAttribivARB","(", index, ", ", toString(pname), ")");;
    #endif
    App("glGetVertexAttribivARB","(", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexAttribivARB)(index, pname, params);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsProgramARB(GLuint program)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsProgramARB","(", program, ")");;
    #endif
    App("glIsProgramARB","(", program, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsProgramARB)(program);
  }

  REGAL_DECL void REGAL_CALL glProgramEnvParameter4dARB(GLenum target, GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramEnvParameter4dARB","(", toString(target), ", ", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glProgramEnvParameter4dARB","(", toString(target), ", ", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramEnvParameter4dARB)(target, index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glProgramEnvParameter4dvARB(GLenum target, GLuint index, const GLdouble *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramEnvParameter4dvARB","(", toString(target), ", ", index, ", ", boost::print::array(params,4), ")");;
    #endif
    App("glProgramEnvParameter4dvARB","(", toString(target), ", ", index, ", ", boost::print::array(params,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramEnvParameter4dvARB)(target, index, params);
  }

  REGAL_DECL void REGAL_CALL glProgramEnvParameter4fARB(GLenum target, GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramEnvParameter4fARB","(", toString(target), ", ", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glProgramEnvParameter4fARB","(", toString(target), ", ", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramEnvParameter4fARB)(target, index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glProgramEnvParameter4fvARB(GLenum target, GLuint index, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramEnvParameter4fvARB","(", toString(target), ", ", index, ", ", boost::print::array(params,4), ")");;
    #endif
    App("glProgramEnvParameter4fvARB","(", toString(target), ", ", index, ", ", boost::print::array(params,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramEnvParameter4fvARB)(target, index, params);
  }

  REGAL_DECL void REGAL_CALL glProgramLocalParameter4dARB(GLenum target, GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramLocalParameter4dARB","(", toString(target), ", ", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glProgramLocalParameter4dARB","(", toString(target), ", ", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramLocalParameter4dARB)(target, index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glProgramLocalParameter4dvARB(GLenum target, GLuint index, const GLdouble *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramLocalParameter4dvARB","(", toString(target), ", ", index, ", ", boost::print::array(params,4), ")");;
    #endif
    App("glProgramLocalParameter4dvARB","(", toString(target), ", ", index, ", ", boost::print::array(params,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramLocalParameter4dvARB)(target, index, params);
  }

  REGAL_DECL void REGAL_CALL glProgramLocalParameter4fARB(GLenum target, GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramLocalParameter4fARB","(", toString(target), ", ", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glProgramLocalParameter4fARB","(", toString(target), ", ", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramLocalParameter4fARB)(target, index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glProgramLocalParameter4fvARB(GLenum target, GLuint index, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramLocalParameter4fvARB","(", toString(target), ", ", index, ", ", boost::print::array(params,4), ")");;
    #endif
    App("glProgramLocalParameter4fvARB","(", toString(target), ", ", index, ", ", boost::print::array(params,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramLocalParameter4fvARB)(target, index, params);
  }

  REGAL_DECL void REGAL_CALL glProgramStringARB(GLenum target, GLenum format, GLsizei len, const GLvoid *string)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramStringARB","(", toString(target), ", ", toString(format), ", ", len, ", ", boost::print::quote(reinterpret_cast<const char *>(string),'"'), ")");;
    #endif
    App("glProgramStringARB","(", toString(target), ", ", toString(format), ", ", len, ", ", boost::print::quote(reinterpret_cast<const char *>(string),'"'), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramStringARB)(target, format, len, string);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib1dARB(GLuint index, GLdouble x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib1dARB","(", index, ", ", x, ")");;
    #endif
    App("glVertexAttrib1dARB","(", index, ", ", x, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib1dARB)(index, x);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib1dvARB(GLuint index, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib1dvARB","(", index, ", ", boost::print::array(v,1), ")");;
    #endif
    App("glVertexAttrib1dvARB","(", index, ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib1dvARB)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib1fARB(GLuint index, GLfloat x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib1fARB","(", index, ", ", x, ")");;
    #endif
    App("glVertexAttrib1fARB","(", index, ", ", x, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib1fARB)(index, x);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib1fvARB(GLuint index, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib1fvARB","(", index, ", ", boost::print::array(v,1), ")");;
    #endif
    App("glVertexAttrib1fvARB","(", index, ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib1fvARB)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib1sARB(GLuint index, GLshort x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib1sARB","(", index, ", ", x, ")");;
    #endif
    App("glVertexAttrib1sARB","(", index, ", ", x, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib1sARB)(index, x);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib1svARB(GLuint index, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib1svARB","(", index, ", ", boost::print::array(v,1), ")");;
    #endif
    App("glVertexAttrib1svARB","(", index, ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib1svARB)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib2dARB(GLuint index, GLdouble x, GLdouble y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib2dARB","(", index, ", ", x, ", ", y, ")");;
    #endif
    App("glVertexAttrib2dARB","(", index, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib2dARB)(index, x, y);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib2dvARB(GLuint index, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib2dvARB","(", index, ", ", boost::print::array(v,2), ")");;
    #endif
    App("glVertexAttrib2dvARB","(", index, ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib2dvARB)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib2fARB(GLuint index, GLfloat x, GLfloat y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib2fARB","(", index, ", ", x, ", ", y, ")");;
    #endif
    App("glVertexAttrib2fARB","(", index, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib2fARB)(index, x, y);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib2fvARB(GLuint index, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib2fvARB","(", index, ", ", boost::print::array(v,2), ")");;
    #endif
    App("glVertexAttrib2fvARB","(", index, ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib2fvARB)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib2sARB(GLuint index, GLshort x, GLshort y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib2sARB","(", index, ", ", x, ", ", y, ")");;
    #endif
    App("glVertexAttrib2sARB","(", index, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib2sARB)(index, x, y);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib2svARB(GLuint index, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib2svARB","(", index, ", ", boost::print::array(v,2), ")");;
    #endif
    App("glVertexAttrib2svARB","(", index, ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib2svARB)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib3dARB(GLuint index, GLdouble x, GLdouble y, GLdouble z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib3dARB","(", index, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glVertexAttrib3dARB","(", index, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib3dARB)(index, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib3dvARB(GLuint index, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib3dvARB","(", index, ", ", boost::print::array(v,3), ")");;
    #endif
    App("glVertexAttrib3dvARB","(", index, ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib3dvARB)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib3fARB(GLuint index, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib3fARB","(", index, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glVertexAttrib3fARB","(", index, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib3fARB)(index, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib3fvARB(GLuint index, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib3fvARB","(", index, ", ", boost::print::array(v,3), ")");;
    #endif
    App("glVertexAttrib3fvARB","(", index, ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib3fvARB)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib3sARB(GLuint index, GLshort x, GLshort y, GLshort z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib3sARB","(", index, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glVertexAttrib3sARB","(", index, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib3sARB)(index, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib3svARB(GLuint index, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib3svARB","(", index, ", ", boost::print::array(v,3), ")");;
    #endif
    App("glVertexAttrib3svARB","(", index, ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib3svARB)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4NbvARB(GLuint index, const GLbyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib4NbvARB","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glVertexAttrib4NbvARB","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4NbvARB)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4NivARB(GLuint index, const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib4NivARB","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glVertexAttrib4NivARB","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4NivARB)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4NsvARB(GLuint index, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib4NsvARB","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glVertexAttrib4NsvARB","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4NsvARB)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4NubARB(GLuint index, GLubyte x, GLubyte y, GLubyte z, GLubyte w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib4NubARB","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glVertexAttrib4NubARB","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4NubARB)(index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4NubvARB(GLuint index, const GLubyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib4NubvARB","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glVertexAttrib4NubvARB","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4NubvARB)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4NuivARB(GLuint index, const GLuint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib4NuivARB","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glVertexAttrib4NuivARB","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4NuivARB)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4NusvARB(GLuint index, const GLushort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib4NusvARB","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glVertexAttrib4NusvARB","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4NusvARB)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4bvARB(GLuint index, const GLbyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib4bvARB","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glVertexAttrib4bvARB","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4bvARB)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4dARB(GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib4dARB","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glVertexAttrib4dARB","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4dARB)(index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4dvARB(GLuint index, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib4dvARB","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glVertexAttrib4dvARB","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4dvARB)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4fARB(GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib4fARB","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glVertexAttrib4fARB","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4fARB)(index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4fvARB(GLuint index, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib4fvARB","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glVertexAttrib4fvARB","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4fvARB)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4ivARB(GLuint index, const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib4ivARB","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glVertexAttrib4ivARB","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4ivARB)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4sARB(GLuint index, GLshort x, GLshort y, GLshort z, GLshort w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib4sARB","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glVertexAttrib4sARB","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4sARB)(index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4svARB(GLuint index, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib4svARB","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glVertexAttrib4svARB","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4svARB)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4ubvARB(GLuint index, const GLubyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib4ubvARB","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glVertexAttrib4ubvARB","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4ubvARB)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4uivARB(GLuint index, const GLuint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib4uivARB","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glVertexAttrib4uivARB","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4uivARB)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4usvARB(GLuint index, const GLushort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib4usvARB","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glVertexAttrib4usvARB","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4usvARB)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribPointerARB(GLuint index, GLint size, GLenum type, GLboolean normalized, GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribPointerARB","(", index, ", ", size, ", ", toString(type), ", ", toString(normalized), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");;
    #endif
    App("glVertexAttribPointerARB","(", index, ", ", size, ", ", toString(type), ", ", toString(normalized), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribPointerARB)(index, size, type, normalized, stride, pointer);
  }

  /* GL_ARB_vertex_shader */

  REGAL_DECL void REGAL_CALL glBindAttribLocationARB(GLhandleARB programObj, GLuint index, const GLcharARB *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindAttribLocationARB","(", programObj, ", ", index, ", ", boost::print::quote(name,'"'), ")");;
    #endif
    App("glBindAttribLocationARB","(", programObj, ", ", index, ", ", boost::print::quote(name,'"'), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindAttribLocationARB)(programObj, index, name);
  }

  REGAL_DECL void REGAL_CALL glGetActiveAttribARB(GLhandleARB programObj, GLuint index, GLsizei maxLength, GLsizei *length, GLint *size, GLenum *type, GLcharARB *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetActiveAttribARB","(", programObj, ", ", index, ", ", maxLength, ")");;
    #endif
    App("glGetActiveAttribARB","(", programObj, ", ", index, ", ", maxLength, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetActiveAttribARB)(programObj, index, maxLength, length, size, type, name);
  }

  REGAL_DECL GLint REGAL_CALL glGetAttribLocationARB(GLhandleARB programObj, const GLcharARB *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetAttribLocationARB","(", programObj, ", ", boost::print::quote(name,'"'), ")");;
    #endif
    App("glGetAttribLocationARB","(", programObj, ", ", boost::print::quote(name,'"'), ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetAttribLocationARB)(programObj, name);
  }

  /* GL_ARB_vertex_type_2_10_10_10_rev */

  REGAL_DECL void REGAL_CALL glColorP3ui(GLenum type, GLuint color)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColorP3ui","(", toString(type), ", ", color, ")");;
    #endif
    App("glColorP3ui","(", toString(type), ", ", color, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorP3ui)(type, color);
  }

  REGAL_DECL void REGAL_CALL glColorP3uiv(GLenum type, const GLuint *color)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColorP3uiv","(", toString(type), ", ", boost::print::array(color,1), ")");;
    #endif
    App("glColorP3uiv","(", toString(type), ", ", boost::print::array(color,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorP3uiv)(type, color);
  }

  REGAL_DECL void REGAL_CALL glColorP4ui(GLenum type, GLuint color)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColorP4ui","(", toString(type), ", ", color, ")");;
    #endif
    App("glColorP4ui","(", toString(type), ", ", color, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorP4ui)(type, color);
  }

  REGAL_DECL void REGAL_CALL glColorP4uiv(GLenum type, const GLuint *color)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColorP4uiv","(", toString(type), ", ", boost::print::array(color,1), ")");;
    #endif
    App("glColorP4uiv","(", toString(type), ", ", boost::print::array(color,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorP4uiv)(type, color);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoordP1ui(GLenum texture, GLenum type, GLuint coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoordP1ui","(", toString(texture), ", ", toString(type), ", ", coords, ")");;
    #endif
    App("glMultiTexCoordP1ui","(", toString(texture), ", ", toString(type), ", ", coords, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoordP1ui)(texture, type, coords);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoordP1uiv(GLenum texture, GLenum type, const GLuint *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoordP1uiv","(", toString(texture), ", ", toString(type), ", ", boost::print::array(coords,1), ")");;
    #endif
    App("glMultiTexCoordP1uiv","(", toString(texture), ", ", toString(type), ", ", boost::print::array(coords,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoordP1uiv)(texture, type, coords);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoordP2ui(GLenum texture, GLenum type, GLuint coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoordP2ui","(", toString(texture), ", ", toString(type), ", ", coords, ")");;
    #endif
    App("glMultiTexCoordP2ui","(", toString(texture), ", ", toString(type), ", ", coords, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoordP2ui)(texture, type, coords);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoordP2uiv(GLenum texture, GLenum type, const GLuint *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoordP2uiv","(", toString(texture), ", ", toString(type), ", ", boost::print::array(coords,1), ")");;
    #endif
    App("glMultiTexCoordP2uiv","(", toString(texture), ", ", toString(type), ", ", boost::print::array(coords,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoordP2uiv)(texture, type, coords);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoordP3ui(GLenum texture, GLenum type, GLuint coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoordP3ui","(", toString(texture), ", ", toString(type), ", ", coords, ")");;
    #endif
    App("glMultiTexCoordP3ui","(", toString(texture), ", ", toString(type), ", ", coords, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoordP3ui)(texture, type, coords);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoordP3uiv(GLenum texture, GLenum type, const GLuint *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoordP3uiv","(", toString(texture), ", ", toString(type), ", ", boost::print::array(coords,1), ")");;
    #endif
    App("glMultiTexCoordP3uiv","(", toString(texture), ", ", toString(type), ", ", boost::print::array(coords,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoordP3uiv)(texture, type, coords);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoordP4ui(GLenum texture, GLenum type, GLuint coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoordP4ui","(", toString(texture), ", ", toString(type), ", ", coords, ")");;
    #endif
    App("glMultiTexCoordP4ui","(", toString(texture), ", ", toString(type), ", ", coords, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoordP4ui)(texture, type, coords);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoordP4uiv(GLenum texture, GLenum type, const GLuint *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoordP4uiv","(", toString(texture), ", ", toString(type), ", ", boost::print::array(coords,1), ")");;
    #endif
    App("glMultiTexCoordP4uiv","(", toString(texture), ", ", toString(type), ", ", boost::print::array(coords,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoordP4uiv)(texture, type, coords);
  }

  REGAL_DECL void REGAL_CALL glNormalP3ui(GLenum type, GLuint coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNormalP3ui","(", toString(type), ", ", coords, ")");;
    #endif
    App("glNormalP3ui","(", toString(type), ", ", coords, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormalP3ui)(type, coords);
  }

  REGAL_DECL void REGAL_CALL glNormalP3uiv(GLenum type, const GLuint *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNormalP3uiv","(", toString(type), ", ", boost::print::array(coords,1), ")");;
    #endif
    App("glNormalP3uiv","(", toString(type), ", ", boost::print::array(coords,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormalP3uiv)(type, coords);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColorP3ui(GLenum type, GLuint color)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSecondaryColorP3ui","(", toString(type), ", ", color, ")");;
    #endif
    App("glSecondaryColorP3ui","(", toString(type), ", ", color, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColorP3ui)(type, color);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColorP3uiv(GLenum type, const GLuint *color)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSecondaryColorP3uiv","(", toString(type), ", ", boost::print::array(color,1), ")");;
    #endif
    App("glSecondaryColorP3uiv","(", toString(type), ", ", boost::print::array(color,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColorP3uiv)(type, color);
  }

  REGAL_DECL void REGAL_CALL glTexCoordP1ui(GLenum type, GLuint coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoordP1ui","(", toString(type), ", ", coords, ")");;
    #endif
    App("glTexCoordP1ui","(", toString(type), ", ", coords, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoordP1ui)(type, coords);
  }

  REGAL_DECL void REGAL_CALL glTexCoordP1uiv(GLenum type, const GLuint *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoordP1uiv","(", toString(type), ", ", boost::print::array(coords,1), ")");;
    #endif
    App("glTexCoordP1uiv","(", toString(type), ", ", boost::print::array(coords,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoordP1uiv)(type, coords);
  }

  REGAL_DECL void REGAL_CALL glTexCoordP2ui(GLenum type, GLuint coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoordP2ui","(", toString(type), ", ", coords, ")");;
    #endif
    App("glTexCoordP2ui","(", toString(type), ", ", coords, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoordP2ui)(type, coords);
  }

  REGAL_DECL void REGAL_CALL glTexCoordP2uiv(GLenum type, const GLuint *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoordP2uiv","(", toString(type), ", ", boost::print::array(coords,1), ")");;
    #endif
    App("glTexCoordP2uiv","(", toString(type), ", ", boost::print::array(coords,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoordP2uiv)(type, coords);
  }

  REGAL_DECL void REGAL_CALL glTexCoordP3ui(GLenum type, GLuint coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoordP3ui","(", toString(type), ", ", coords, ")");;
    #endif
    App("glTexCoordP3ui","(", toString(type), ", ", coords, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoordP3ui)(type, coords);
  }

  REGAL_DECL void REGAL_CALL glTexCoordP3uiv(GLenum type, const GLuint *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoordP3uiv","(", toString(type), ", ", boost::print::array(coords,1), ")");;
    #endif
    App("glTexCoordP3uiv","(", toString(type), ", ", boost::print::array(coords,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoordP3uiv)(type, coords);
  }

  REGAL_DECL void REGAL_CALL glTexCoordP4ui(GLenum type, GLuint coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoordP4ui","(", toString(type), ", ", coords, ")");;
    #endif
    App("glTexCoordP4ui","(", toString(type), ", ", coords, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoordP4ui)(type, coords);
  }

  REGAL_DECL void REGAL_CALL glTexCoordP4uiv(GLenum type, const GLuint *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoordP4uiv","(", toString(type), ", ", boost::print::array(coords,1), ")");;
    #endif
    App("glTexCoordP4uiv","(", toString(type), ", ", boost::print::array(coords,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoordP4uiv)(type, coords);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribP1ui(GLuint index, GLenum type, GLboolean normalized, GLuint value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribP1ui","(", index, ", ", toString(type), ", ", toString(normalized), ", ", value, ")");;
    #endif
    App("glVertexAttribP1ui","(", index, ", ", toString(type), ", ", toString(normalized), ", ", value, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribP1ui)(index, type, normalized, value);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribP1uiv(GLuint index, GLenum type, GLboolean normalized, const GLuint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribP1uiv","(", index, ", ", toString(type), ", ", toString(normalized), ", ", boost::print::array(value,1), ")");;
    #endif
    App("glVertexAttribP1uiv","(", index, ", ", toString(type), ", ", toString(normalized), ", ", boost::print::array(value,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribP1uiv)(index, type, normalized, value);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribP2ui(GLuint index, GLenum type, GLboolean normalized, GLuint value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribP2ui","(", index, ", ", toString(type), ", ", toString(normalized), ", ", value, ")");;
    #endif
    App("glVertexAttribP2ui","(", index, ", ", toString(type), ", ", toString(normalized), ", ", value, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribP2ui)(index, type, normalized, value);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribP2uiv(GLuint index, GLenum type, GLboolean normalized, const GLuint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribP2uiv","(", index, ", ", toString(type), ", ", toString(normalized), ", ", boost::print::array(value,1), ")");;
    #endif
    App("glVertexAttribP2uiv","(", index, ", ", toString(type), ", ", toString(normalized), ", ", boost::print::array(value,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribP2uiv)(index, type, normalized, value);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribP3ui(GLuint index, GLenum type, GLboolean normalized, GLuint value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribP3ui","(", index, ", ", toString(type), ", ", toString(normalized), ", ", value, ")");;
    #endif
    App("glVertexAttribP3ui","(", index, ", ", toString(type), ", ", toString(normalized), ", ", value, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribP3ui)(index, type, normalized, value);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribP3uiv(GLuint index, GLenum type, GLboolean normalized, const GLuint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribP3uiv","(", index, ", ", toString(type), ", ", toString(normalized), ", ", boost::print::array(value,1), ")");;
    #endif
    App("glVertexAttribP3uiv","(", index, ", ", toString(type), ", ", toString(normalized), ", ", boost::print::array(value,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribP3uiv)(index, type, normalized, value);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribP4ui(GLuint index, GLenum type, GLboolean normalized, GLuint value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribP4ui","(", index, ", ", toString(type), ", ", toString(normalized), ", ", value, ")");;
    #endif
    App("glVertexAttribP4ui","(", index, ", ", toString(type), ", ", toString(normalized), ", ", value, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribP4ui)(index, type, normalized, value);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribP4uiv(GLuint index, GLenum type, GLboolean normalized, const GLuint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribP4uiv","(", index, ", ", toString(type), ", ", toString(normalized), ", ", boost::print::array(value,1), ")");;
    #endif
    App("glVertexAttribP4uiv","(", index, ", ", toString(type), ", ", toString(normalized), ", ", boost::print::array(value,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribP4uiv)(index, type, normalized, value);
  }

  REGAL_DECL void REGAL_CALL glVertexP2ui(GLenum type, GLuint coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexP2ui","(", toString(type), ", ", coords, ")");;
    #endif
    App("glVertexP2ui","(", toString(type), ", ", coords, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexP2ui)(type, coords);
  }

  REGAL_DECL void REGAL_CALL glVertexP2uiv(GLenum type, const GLuint *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexP2uiv","(", toString(type), ", ", boost::print::array(coords,1), ")");;
    #endif
    App("glVertexP2uiv","(", toString(type), ", ", boost::print::array(coords,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexP2uiv)(type, coords);
  }

  REGAL_DECL void REGAL_CALL glVertexP3ui(GLenum type, GLuint coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexP3ui","(", toString(type), ", ", coords, ")");;
    #endif
    App("glVertexP3ui","(", toString(type), ", ", coords, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexP3ui)(type, coords);
  }

  REGAL_DECL void REGAL_CALL glVertexP3uiv(GLenum type, const GLuint *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexP3uiv","(", toString(type), ", ", boost::print::array(coords,1), ")");;
    #endif
    App("glVertexP3uiv","(", toString(type), ", ", boost::print::array(coords,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexP3uiv)(type, coords);
  }

  REGAL_DECL void REGAL_CALL glVertexP4ui(GLenum type, GLuint coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexP4ui","(", toString(type), ", ", coords, ")");;
    #endif
    App("glVertexP4ui","(", toString(type), ", ", coords, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexP4ui)(type, coords);
  }

  REGAL_DECL void REGAL_CALL glVertexP4uiv(GLenum type, const GLuint *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexP4uiv","(", toString(type), ", ", boost::print::array(coords,1), ")");;
    #endif
    App("glVertexP4uiv","(", toString(type), ", ", boost::print::array(coords,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexP4uiv)(type, coords);
  }

  /* GL_ARB_viewport_array */

  REGAL_DECL void REGAL_CALL glDepthRangeArrayv(GLuint first, GLsizei count, const GLclampd *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDepthRangeArrayv","(", first, ", ", count, ", ", boost::print::array(v,count * 2), ")");;
    #endif
    App("glDepthRangeArrayv","(", first, ", ", count, ", ", boost::print::array(v,count * 2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDepthRangeArrayv)(first, count, v);
  }

  REGAL_DECL void REGAL_CALL glDepthRangeIndexed(GLuint index, GLclampd n, GLclampd f)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDepthRangeIndexed","(", index, ", ", n, ", ", f, ")");;
    #endif
    App("glDepthRangeIndexed","(", index, ", ", n, ", ", f, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDepthRangeIndexed)(index, n, f);
  }

  REGAL_DECL void REGAL_CALL glGetDoublei_v(GLenum target, GLuint index, GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetDoublei_v","(", toString(target), ", ", index, ")");;
    #endif
    App("glGetDoublei_v","(", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetDoublei_v)(target, index, v);
  }

  REGAL_DECL void REGAL_CALL glGetFloati_v(GLenum target, GLuint index, GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetFloati_v","(", toString(target), ", ", index, ")");;
    #endif
    App("glGetFloati_v","(", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetFloati_v)(target, index, v);
  }

  REGAL_DECL void REGAL_CALL glScissorArrayv(GLuint first, GLsizei count, const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glScissorArrayv","(", first, ", ", count, ", ", boost::print::array(v,count * 4), ")");;
    #endif
    App("glScissorArrayv","(", first, ", ", count, ", ", boost::print::array(v,count * 4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glScissorArrayv)(first, count, v);
  }

  REGAL_DECL void REGAL_CALL glScissorIndexed(GLuint index, GLint left, GLint bottom, GLint width, GLint height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glScissorIndexed","(", index, ", ", left, ", ", bottom, ", ", width, ", ", height, ")");;
    #endif
    App("glScissorIndexed","(", index, ", ", left, ", ", bottom, ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glScissorIndexed)(index, left, bottom, width, height);
  }

  REGAL_DECL void REGAL_CALL glScissorIndexedv(GLuint index, const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glScissorIndexedv","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glScissorIndexedv","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glScissorIndexedv)(index, v);
  }

  REGAL_DECL void REGAL_CALL glViewportArrayv(GLuint first, GLsizei count, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glViewportArrayv","(", first, ", ", count, ", ", boost::print::array(v,count * 4), ")");;
    #endif
    App("glViewportArrayv","(", first, ", ", count, ", ", boost::print::array(v,count * 4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glViewportArrayv)(first, count, v);
  }

  REGAL_DECL void REGAL_CALL glViewportIndexedf(GLuint index, GLfloat x, GLfloat y, GLfloat w, GLfloat h)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glViewportIndexedf","(", index, ", ", x, ", ", y, ", ", w, ", ", h, ")");;
    #endif
    App("glViewportIndexedf","(", index, ", ", x, ", ", y, ", ", w, ", ", h, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glViewportIndexedf)(index, x, y, w, h);
  }

  REGAL_DECL void REGAL_CALL glViewportIndexedfv(GLuint index, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glViewportIndexedfv","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glViewportIndexedfv","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glViewportIndexedfv)(index, v);
  }

  /* GL_ARB_window_pos */

  REGAL_DECL void REGAL_CALL glWindowPos2dARB(GLdouble x, GLdouble y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos2dARB","(", x, ", ", y, ")");;
    #endif
    App("glWindowPos2dARB","(", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos2dARB)(x, y);
  }

  REGAL_DECL void REGAL_CALL glWindowPos2dvARB(const GLdouble *p)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos2dvARB","(", boost::print::array(p,2), ")");;
    #endif
    App("glWindowPos2dvARB","(", boost::print::array(p,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos2dvARB)(p);
  }

  REGAL_DECL void REGAL_CALL glWindowPos2fARB(GLfloat x, GLfloat y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos2fARB","(", x, ", ", y, ")");;
    #endif
    App("glWindowPos2fARB","(", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos2fARB)(x, y);
  }

  REGAL_DECL void REGAL_CALL glWindowPos2fvARB(const GLfloat *p)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos2fvARB","(", boost::print::array(p,2), ")");;
    #endif
    App("glWindowPos2fvARB","(", boost::print::array(p,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos2fvARB)(p);
  }

  REGAL_DECL void REGAL_CALL glWindowPos2iARB(GLint x, GLint y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos2iARB","(", x, ", ", y, ")");;
    #endif
    App("glWindowPos2iARB","(", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos2iARB)(x, y);
  }

  REGAL_DECL void REGAL_CALL glWindowPos2ivARB(const GLint *p)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos2ivARB","(", boost::print::array(p,2), ")");;
    #endif
    App("glWindowPos2ivARB","(", boost::print::array(p,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos2ivARB)(p);
  }

  REGAL_DECL void REGAL_CALL glWindowPos2sARB(GLshort x, GLshort y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos2sARB","(", x, ", ", y, ")");;
    #endif
    App("glWindowPos2sARB","(", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos2sARB)(x, y);
  }

  REGAL_DECL void REGAL_CALL glWindowPos2svARB(const GLshort *p)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos2svARB","(", boost::print::array(p,2), ")");;
    #endif
    App("glWindowPos2svARB","(", boost::print::array(p,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos2svARB)(p);
  }

  REGAL_DECL void REGAL_CALL glWindowPos3dARB(GLdouble x, GLdouble y, GLdouble z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos3dARB","(", x, ", ", y, ", ", z, ")");;
    #endif
    App("glWindowPos3dARB","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos3dARB)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glWindowPos3dvARB(const GLdouble *p)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos3dvARB","(", boost::print::array(p,3), ")");;
    #endif
    App("glWindowPos3dvARB","(", boost::print::array(p,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos3dvARB)(p);
  }

  REGAL_DECL void REGAL_CALL glWindowPos3fARB(GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos3fARB","(", x, ", ", y, ", ", z, ")");;
    #endif
    App("glWindowPos3fARB","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos3fARB)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glWindowPos3fvARB(const GLfloat *p)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos3fvARB","(", boost::print::array(p,3), ")");;
    #endif
    App("glWindowPos3fvARB","(", boost::print::array(p,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos3fvARB)(p);
  }

  REGAL_DECL void REGAL_CALL glWindowPos3iARB(GLint x, GLint y, GLint z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos3iARB","(", x, ", ", y, ", ", z, ")");;
    #endif
    App("glWindowPos3iARB","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos3iARB)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glWindowPos3ivARB(const GLint *p)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos3ivARB","(", boost::print::array(p,3), ")");;
    #endif
    App("glWindowPos3ivARB","(", boost::print::array(p,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos3ivARB)(p);
  }

  REGAL_DECL void REGAL_CALL glWindowPos3sARB(GLshort x, GLshort y, GLshort z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos3sARB","(", x, ", ", y, ", ", z, ")");;
    #endif
    App("glWindowPos3sARB","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos3sARB)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glWindowPos3svARB(const GLshort *p)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos3svARB","(", boost::print::array(p,3), ")");;
    #endif
    App("glWindowPos3svARB","(", boost::print::array(p,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos3svARB)(p);
  }

  /* GL_ATI_draw_buffers */

  REGAL_DECL void REGAL_CALL glDrawBuffersATI(GLsizei n, const GLenum *bufs)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDrawBuffersATI","(", n, ", ", boost::print::array(bufs,n), ")");;
    #endif
    App("glDrawBuffersATI","(", n, ", ", boost::print::array(bufs,n), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawBuffersATI)(n, bufs);
  }

  /* GL_ATI_element_array */

  REGAL_DECL void REGAL_CALL glDrawElementArrayATI(GLenum mode, GLsizei count)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDrawElementArrayATI","(", GLmodeToString(mode), ", ", count, ")");;
    #endif
    App("glDrawElementArrayATI","(", GLmodeToString(mode), ", ", count, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawElementArrayATI)(mode, count);
  }

  REGAL_DECL void REGAL_CALL glDrawRangeElementArrayATI(GLenum mode, GLuint start, GLuint end, GLsizei count)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDrawRangeElementArrayATI","(", GLmodeToString(mode), ", ", start, ", ", end, ", ", count, ")");;
    #endif
    App("glDrawRangeElementArrayATI","(", GLmodeToString(mode), ", ", start, ", ", end, ", ", count, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawRangeElementArrayATI)(mode, start, end, count);
  }

  REGAL_DECL void REGAL_CALL glElementPointerATI(GLenum type, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glElementPointerATI","(", toString(type), ", ", boost::print::optional(pointer,Logging::pointers), ")");;
    #endif
    App("glElementPointerATI","(", toString(type), ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glElementPointerATI)(type, pointer);
  }

  /* GL_ATI_envmap_bumpmap */

  REGAL_DECL void REGAL_CALL glGetTexBumpParameterfvATI(GLenum pname, GLfloat *param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTexBumpParameterfvATI","(", toString(pname), ")");;
    #endif
    App("glGetTexBumpParameterfvATI","(", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTexBumpParameterfvATI)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glGetTexBumpParameterivATI(GLenum pname, GLint *param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTexBumpParameterivATI","(", toString(pname), ")");;
    #endif
    App("glGetTexBumpParameterivATI","(", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTexBumpParameterivATI)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glTexBumpParameterfvATI(GLenum pname, const GLfloat *param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexBumpParameterfvATI","(", toString(pname), ", ", boost::print::optional(param,Logging::pointers), ")");;
    #endif
    App("glTexBumpParameterfvATI","(", toString(pname), ", ", boost::print::optional(param,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexBumpParameterfvATI)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glTexBumpParameterivATI(GLenum pname, const GLint *param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexBumpParameterivATI","(", toString(pname), ", ", boost::print::optional(param,Logging::pointers), ")");;
    #endif
    App("glTexBumpParameterivATI","(", toString(pname), ", ", boost::print::optional(param,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexBumpParameterivATI)(pname, param);
  }

  /* GL_ATI_fragment_shader */

  REGAL_DECL void REGAL_CALL glAlphaFragmentOp1ATI(GLenum op, GLuint dst, GLuint dstMod, GLuint arg1, GLuint arg1Rep, GLuint arg1Mod)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glAlphaFragmentOp1ATI","(", toString(op), ", ", dst, ", ", dstMod, ", ", arg1, ", ", arg1Rep, ", ", arg1Mod, ")");;
    #endif
    App("glAlphaFragmentOp1ATI","(", toString(op), ", ", dst, ", ", dstMod, ", ", arg1, ", ", arg1Rep, ", ", arg1Mod, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glAlphaFragmentOp1ATI)(op, dst, dstMod, arg1, arg1Rep, arg1Mod);
  }

  REGAL_DECL void REGAL_CALL glAlphaFragmentOp2ATI(GLenum op, GLuint dst, GLuint dstMod, GLuint arg1, GLuint arg1Rep, GLuint arg1Mod, GLuint arg2, GLuint arg2Rep, GLuint arg2Mod)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glAlphaFragmentOp2ATI","(", toString(op), ", ", dst, ", ", dstMod, ", ", arg1, ", ", arg1Rep, ", ", arg1Mod, ", ", arg2, ", ", arg2Rep, ", ", arg2Mod, ")");;
    #endif
    App("glAlphaFragmentOp2ATI","(", toString(op), ", ", dst, ", ", dstMod, ", ", arg1, ", ", arg1Rep, ", ", arg1Mod, ", ", arg2, ", ", arg2Rep, ", ", arg2Mod, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glAlphaFragmentOp2ATI)(op, dst, dstMod, arg1, arg1Rep, arg1Mod, arg2, arg2Rep, arg2Mod);
  }

  REGAL_DECL void REGAL_CALL glAlphaFragmentOp3ATI(GLenum op, GLuint dst, GLuint dstMod, GLuint arg1, GLuint arg1Rep, GLuint arg1Mod, GLuint arg2, GLuint arg2Rep, GLuint arg2Mod, GLuint arg3, GLuint arg3Rep, GLuint arg3Mod)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glAlphaFragmentOp3ATI","(", toString(op), ", ", dst, ", ", dstMod, ", ", arg1, ", ", arg1Rep, ", ", arg1Mod, ", ", arg2, ", ", arg2Rep, ", ", arg2Mod, ", ", arg3, ", ", arg3Rep, ", ", arg3Mod, ")");;
    #endif
    App("glAlphaFragmentOp3ATI","(", toString(op), ", ", dst, ", ", dstMod, ", ", arg1, ", ", arg1Rep, ", ", arg1Mod, ", ", arg2, ", ", arg2Rep, ", ", arg2Mod, ", ", arg3, ", ", arg3Rep, ", ", arg3Mod, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glAlphaFragmentOp3ATI)(op, dst, dstMod, arg1, arg1Rep, arg1Mod, arg2, arg2Rep, arg2Mod, arg3, arg3Rep, arg3Mod);
  }

  REGAL_DECL void REGAL_CALL glBeginFragmentShaderATI(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBeginFragmentShaderATI","()");;
    #endif
    App("glBeginFragmentShaderATI","()");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBeginFragmentShaderATI)();
  }

  REGAL_DECL void REGAL_CALL glBindFragmentShaderATI(GLuint id)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindFragmentShaderATI","(", id, ")");;
    #endif
    App("glBindFragmentShaderATI","(", id, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindFragmentShaderATI)(id);
  }

  REGAL_DECL void REGAL_CALL glColorFragmentOp1ATI(GLenum op, GLuint dst, GLuint dstMask, GLuint dstMod, GLuint arg1, GLuint arg1Rep, GLuint arg1Mod)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColorFragmentOp1ATI","(", toString(op), ", ", dst, ", ", dstMask, ", ", dstMod, ", ", arg1, ", ", arg1Rep, ", ", arg1Mod, ")");;
    #endif
    App("glColorFragmentOp1ATI","(", toString(op), ", ", dst, ", ", dstMask, ", ", dstMod, ", ", arg1, ", ", arg1Rep, ", ", arg1Mod, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorFragmentOp1ATI)(op, dst, dstMask, dstMod, arg1, arg1Rep, arg1Mod);
  }

  REGAL_DECL void REGAL_CALL glColorFragmentOp2ATI(GLenum op, GLuint dst, GLuint dstMask, GLuint dstMod, GLuint arg1, GLuint arg1Rep, GLuint arg1Mod, GLuint arg2, GLuint arg2Rep, GLuint arg2Mod)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColorFragmentOp2ATI","(", toString(op), ", ", dst, ", ", dstMask, ", ", dstMod, ", ", arg1, ", ", arg1Rep, ", ", arg1Mod, ", ", arg2, ", ", arg2Rep, ", ", arg2Mod, ")");;
    #endif
    App("glColorFragmentOp2ATI","(", toString(op), ", ", dst, ", ", dstMask, ", ", dstMod, ", ", arg1, ", ", arg1Rep, ", ", arg1Mod, ", ", arg2, ", ", arg2Rep, ", ", arg2Mod, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorFragmentOp2ATI)(op, dst, dstMask, dstMod, arg1, arg1Rep, arg1Mod, arg2, arg2Rep, arg2Mod);
  }

  REGAL_DECL void REGAL_CALL glColorFragmentOp3ATI(GLenum op, GLuint dst, GLuint dstMask, GLuint dstMod, GLuint arg1, GLuint arg1Rep, GLuint arg1Mod, GLuint arg2, GLuint arg2Rep, GLuint arg2Mod, GLuint arg3, GLuint arg3Rep, GLuint arg3Mod)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColorFragmentOp3ATI","(", toString(op), ", ", dst, ", ", dstMask, ", ", dstMod, ", ", arg1, ", ", arg1Rep, ", ", arg1Mod, ", ", arg2, ", ", arg2Rep, ", ", arg2Mod, ", ", arg3, ", ", arg3Rep, ", ", arg3Mod, ")");;
    #endif
    App("glColorFragmentOp3ATI","(", toString(op), ", ", dst, ", ", dstMask, ", ", dstMod, ", ", arg1, ", ", arg1Rep, ", ", arg1Mod, ", ", arg2, ", ", arg2Rep, ", ", arg2Mod, ", ", arg3, ", ", arg3Rep, ", ", arg3Mod, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorFragmentOp3ATI)(op, dst, dstMask, dstMod, arg1, arg1Rep, arg1Mod, arg2, arg2Rep, arg2Mod, arg3, arg3Rep, arg3Mod);
  }

  REGAL_DECL void REGAL_CALL glDeleteFragmentShaderATI(GLuint id)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDeleteFragmentShaderATI","(", id, ")");;
    #endif
    App("glDeleteFragmentShaderATI","(", id, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteFragmentShaderATI)(id);
  }

  REGAL_DECL void REGAL_CALL glEndFragmentShaderATI(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEndFragmentShaderATI","()");;
    #endif
    App("glEndFragmentShaderATI","()");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEndFragmentShaderATI)();
  }

  REGAL_DECL GLuint REGAL_CALL glGenFragmentShadersATI(GLuint range)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGenFragmentShadersATI","(", range, ")");;
    #endif
    App("glGenFragmentShadersATI","(", range, ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGenFragmentShadersATI)(range);
  }

  REGAL_DECL void REGAL_CALL glPassTexCoordATI(GLuint dst, GLuint coord, GLenum swizzle)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPassTexCoordATI","(", dst, ", ", coord, ", ", toString(swizzle), ")");;
    #endif
    App("glPassTexCoordATI","(", dst, ", ", coord, ", ", toString(swizzle), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPassTexCoordATI)(dst, coord, swizzle);
  }

  REGAL_DECL void REGAL_CALL glSampleMapATI(GLuint dst, GLuint interp, GLenum swizzle)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSampleMapATI","(", dst, ", ", interp, ", ", toString(swizzle), ")");;
    #endif
    App("glSampleMapATI","(", dst, ", ", interp, ", ", toString(swizzle), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSampleMapATI)(dst, interp, swizzle);
  }

  REGAL_DECL void REGAL_CALL glSetFragmentShaderConstantATI(GLuint dst, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSetFragmentShaderConstantATI","(", dst, ", ", boost::print::array(value,4), ")");;
    #endif
    App("glSetFragmentShaderConstantATI","(", dst, ", ", boost::print::array(value,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSetFragmentShaderConstantATI)(dst, value);
  }

  /* GL_ATI_map_object_buffer */

  REGAL_DECL void *REGAL_CALL glMapObjectBufferATI(GLuint buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMapObjectBufferATI","(", buffer, ")");;
    #endif
    App("glMapObjectBufferATI","(", buffer, ")");
    if (!_context) return NULL;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glMapObjectBufferATI)(buffer);
  }

  REGAL_DECL void REGAL_CALL glUnmapObjectBufferATI(GLuint buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUnmapObjectBufferATI","(", buffer, ")");;
    #endif
    App("glUnmapObjectBufferATI","(", buffer, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUnmapObjectBufferATI)(buffer);
  }

  /* GL_ATI_pn_triangles */

  REGAL_DECL void REGAL_CALL glPNTrianglesfATI(GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPNTrianglesfATI","(", toString(pname), ", ", param, ")");;
    #endif
    App("glPNTrianglesfATI","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPNTrianglesfATI)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glPNTrianglesiATI(GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPNTrianglesiATI","(", toString(pname), ", ", param, ")");;
    #endif
    App("glPNTrianglesiATI","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPNTrianglesiATI)(pname, param);
  }

  /* GL_ATI_separate_stencil */

  REGAL_DECL void REGAL_CALL glStencilFuncSeparateATI(GLenum frontfunc, GLenum backfunc, GLint ref, GLuint mask)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glStencilFuncSeparateATI","(", toString(frontfunc), ", ", toString(backfunc), ", ", boost::print::hex(ref), ", ", boost::print::hex(mask), ")");;
    #endif
    App("glStencilFuncSeparateATI","(", toString(frontfunc), ", ", toString(backfunc), ", ", boost::print::hex(ref), ", ", boost::print::hex(mask), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glStencilFuncSeparateATI)(frontfunc, backfunc, ref, mask);
  }

  REGAL_DECL void REGAL_CALL glStencilOpSeparateATI(GLenum face, GLenum sfail, GLenum dpfail, GLenum dppass)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glStencilOpSeparateATI","(", toString(face), ", ", toString(sfail), ", ", toString(dpfail), ", ", toString(dppass), ")");;
    #endif
    App("glStencilOpSeparateATI","(", toString(face), ", ", toString(sfail), ", ", toString(dpfail), ", ", toString(dppass), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glStencilOpSeparateATI)(face, sfail, dpfail, dppass);
  }

  /* GL_ATI_vertex_array_object */

  REGAL_DECL void REGAL_CALL glArrayObjectATI(GLenum array, GLint size, GLenum type, GLsizei stride, GLuint buffer, GLuint offset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glArrayObjectATI","(", toString(array), ", ", size, ", ", toString(type), ", ", stride, ", ", buffer, ", ", offset, ")");;
    #endif
    App("glArrayObjectATI","(", toString(array), ", ", size, ", ", toString(type), ", ", stride, ", ", buffer, ", ", offset, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glArrayObjectATI)(array, size, type, stride, buffer, offset);
  }

  REGAL_DECL void REGAL_CALL glFreeObjectBufferATI(GLuint buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFreeObjectBufferATI","(", buffer, ")");;
    #endif
    App("glFreeObjectBufferATI","(", buffer, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFreeObjectBufferATI)(buffer);
  }

  REGAL_DECL void REGAL_CALL glGetArrayObjectfvATI(GLenum array, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetArrayObjectfvATI","(", toString(array), ", ", toString(pname), ")");;
    #endif
    App("glGetArrayObjectfvATI","(", toString(array), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetArrayObjectfvATI)(array, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetArrayObjectivATI(GLenum array, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetArrayObjectivATI","(", toString(array), ", ", toString(pname), ")");;
    #endif
    App("glGetArrayObjectivATI","(", toString(array), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetArrayObjectivATI)(array, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetObjectBufferfvATI(GLuint buffer, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetObjectBufferfvATI","(", buffer, ", ", toString(pname), ")");;
    #endif
    App("glGetObjectBufferfvATI","(", buffer, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetObjectBufferfvATI)(buffer, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetObjectBufferivATI(GLuint buffer, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetObjectBufferivATI","(", buffer, ", ", toString(pname), ")");;
    #endif
    App("glGetObjectBufferivATI","(", buffer, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetObjectBufferivATI)(buffer, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetVariantArrayObjectfvATI(GLuint id, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetVariantArrayObjectfvATI","(", id, ", ", toString(pname), ")");;
    #endif
    App("glGetVariantArrayObjectfvATI","(", id, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVariantArrayObjectfvATI)(id, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetVariantArrayObjectivATI(GLuint id, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetVariantArrayObjectivATI","(", id, ", ", toString(pname), ")");;
    #endif
    App("glGetVariantArrayObjectivATI","(", id, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVariantArrayObjectivATI)(id, pname, params);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsObjectBufferATI(GLuint buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsObjectBufferATI","(", buffer, ")");;
    #endif
    App("glIsObjectBufferATI","(", buffer, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsObjectBufferATI)(buffer);
  }

  REGAL_DECL GLuint REGAL_CALL glNewObjectBufferATI(GLsizei size, const GLvoid *pointer, GLenum usage)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNewObjectBufferATI","(", size, ", ", boost::print::optional(pointer,Logging::pointers), ", ", toString(usage), ")");;
    #endif
    App("glNewObjectBufferATI","(", size, ", ", boost::print::optional(pointer,Logging::pointers), ", ", toString(usage), ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glNewObjectBufferATI)(size, pointer, usage);
  }

  REGAL_DECL void REGAL_CALL glUpdateObjectBufferATI(GLuint buffer, GLuint offset, GLsizei size, const GLvoid *pointer, GLenum preserve)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUpdateObjectBufferATI","(", buffer, ", ", offset, ", ", size, ", ", boost::print::optional(pointer,Logging::pointers), ", ", toString(preserve), ")");;
    #endif
    App("glUpdateObjectBufferATI","(", buffer, ", ", offset, ", ", size, ", ", boost::print::optional(pointer,Logging::pointers), ", ", toString(preserve), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUpdateObjectBufferATI)(buffer, offset, size, pointer, preserve);
  }

  REGAL_DECL void REGAL_CALL glVariantArrayObjectATI(GLuint id, GLenum type, GLsizei stride, GLuint buffer, GLuint offset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVariantArrayObjectATI","(", id, ", ", toString(type), ", ", stride, ", ", buffer, ", ", offset, ")");;
    #endif
    App("glVariantArrayObjectATI","(", id, ", ", toString(type), ", ", stride, ", ", buffer, ", ", offset, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVariantArrayObjectATI)(id, type, stride, buffer, offset);
  }

  /* GL_ATI_vertex_attrib_array_object */

  REGAL_DECL void REGAL_CALL glGetVertexAttribArrayObjectfvATI(GLuint index, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetVertexAttribArrayObjectfvATI","(", index, ", ", toString(pname), ")");;
    #endif
    App("glGetVertexAttribArrayObjectfvATI","(", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexAttribArrayObjectfvATI)(index, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetVertexAttribArrayObjectivATI(GLuint index, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetVertexAttribArrayObjectivATI","(", index, ", ", toString(pname), ")");;
    #endif
    App("glGetVertexAttribArrayObjectivATI","(", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexAttribArrayObjectivATI)(index, pname, params);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribArrayObjectATI(GLuint index, GLint size, GLenum type, GLboolean normalized, GLsizei stride, GLuint buffer, GLuint offset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribArrayObjectATI","(", index, ", ", size, ", ", toString(type), ", ", toString(normalized), ", ", stride, ", ", buffer, ", ", offset, ")");;
    #endif
    App("glVertexAttribArrayObjectATI","(", index, ", ", size, ", ", toString(type), ", ", toString(normalized), ", ", stride, ", ", buffer, ", ", offset, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribArrayObjectATI)(index, size, type, normalized, stride, buffer, offset);
  }

  /* GL_ATI_vertex_streams */

  REGAL_DECL void REGAL_CALL glClientActiveVertexStreamATI(GLenum stream)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glClientActiveVertexStreamATI","(", toString(stream), ")");;
    #endif
    App("glClientActiveVertexStreamATI","(", toString(stream), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClientActiveVertexStreamATI)(stream);
  }

  REGAL_DECL void REGAL_CALL glNormalStream3bATI(GLenum stream, GLbyte nx, GLbyte ny, GLbyte nz)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNormalStream3bATI","(", toString(stream), ", ", nx, ", ", ny, ", ", nz, ")");;
    #endif
    App("glNormalStream3bATI","(", toString(stream), ", ", nx, ", ", ny, ", ", nz, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormalStream3bATI)(stream, nx, ny, nz);
  }

  REGAL_DECL void REGAL_CALL glNormalStream3bvATI(GLenum stream, const GLbyte *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNormalStream3bvATI","(", toString(stream), ", ", boost::print::array(coords,3), ")");;
    #endif
    App("glNormalStream3bvATI","(", toString(stream), ", ", boost::print::array(coords,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormalStream3bvATI)(stream, coords);
  }

  REGAL_DECL void REGAL_CALL glNormalStream3dATI(GLenum stream, GLdouble nx, GLdouble ny, GLdouble nz)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNormalStream3dATI","(", toString(stream), ", ", nx, ", ", ny, ", ", nz, ")");;
    #endif
    App("glNormalStream3dATI","(", toString(stream), ", ", nx, ", ", ny, ", ", nz, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormalStream3dATI)(stream, nx, ny, nz);
  }

  REGAL_DECL void REGAL_CALL glNormalStream3dvATI(GLenum stream, const GLdouble *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNormalStream3dvATI","(", toString(stream), ", ", boost::print::array(coords,3), ")");;
    #endif
    App("glNormalStream3dvATI","(", toString(stream), ", ", boost::print::array(coords,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormalStream3dvATI)(stream, coords);
  }

  REGAL_DECL void REGAL_CALL glNormalStream3fATI(GLenum stream, GLfloat nx, GLfloat ny, GLfloat nz)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNormalStream3fATI","(", toString(stream), ", ", nx, ", ", ny, ", ", nz, ")");;
    #endif
    App("glNormalStream3fATI","(", toString(stream), ", ", nx, ", ", ny, ", ", nz, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormalStream3fATI)(stream, nx, ny, nz);
  }

  REGAL_DECL void REGAL_CALL glNormalStream3fvATI(GLenum stream, const GLfloat *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNormalStream3fvATI","(", toString(stream), ", ", boost::print::array(coords,3), ")");;
    #endif
    App("glNormalStream3fvATI","(", toString(stream), ", ", boost::print::array(coords,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormalStream3fvATI)(stream, coords);
  }

  REGAL_DECL void REGAL_CALL glNormalStream3iATI(GLenum stream, GLint nx, GLint ny, GLint nz)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNormalStream3iATI","(", toString(stream), ", ", nx, ", ", ny, ", ", nz, ")");;
    #endif
    App("glNormalStream3iATI","(", toString(stream), ", ", nx, ", ", ny, ", ", nz, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormalStream3iATI)(stream, nx, ny, nz);
  }

  REGAL_DECL void REGAL_CALL glNormalStream3ivATI(GLenum stream, const GLint *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNormalStream3ivATI","(", toString(stream), ", ", boost::print::array(coords,3), ")");;
    #endif
    App("glNormalStream3ivATI","(", toString(stream), ", ", boost::print::array(coords,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormalStream3ivATI)(stream, coords);
  }

  REGAL_DECL void REGAL_CALL glNormalStream3sATI(GLenum stream, GLshort nx, GLshort ny, GLshort nz)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNormalStream3sATI","(", toString(stream), ", ", nx, ", ", ny, ", ", nz, ")");;
    #endif
    App("glNormalStream3sATI","(", toString(stream), ", ", nx, ", ", ny, ", ", nz, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormalStream3sATI)(stream, nx, ny, nz);
  }

  REGAL_DECL void REGAL_CALL glNormalStream3svATI(GLenum stream, const GLshort *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNormalStream3svATI","(", toString(stream), ", ", boost::print::array(coords,3), ")");;
    #endif
    App("glNormalStream3svATI","(", toString(stream), ", ", boost::print::array(coords,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormalStream3svATI)(stream, coords);
  }

  REGAL_DECL void REGAL_CALL glVertexBlendEnvfATI(GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexBlendEnvfATI","(", toString(pname), ", ", param, ")");;
    #endif
    App("glVertexBlendEnvfATI","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexBlendEnvfATI)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glVertexBlendEnviATI(GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexBlendEnviATI","(", toString(pname), ", ", param, ")");;
    #endif
    App("glVertexBlendEnviATI","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexBlendEnviATI)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glVertexStream1dATI(GLenum stream, GLdouble x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexStream1dATI","(", toString(stream), ", ", x, ")");;
    #endif
    App("glVertexStream1dATI","(", toString(stream), ", ", x, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream1dATI)(stream, x);
  }

  REGAL_DECL void REGAL_CALL glVertexStream1dvATI(GLenum stream, const GLdouble *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexStream1dvATI","(", toString(stream), ", ", boost::print::array(coords,1), ")");;
    #endif
    App("glVertexStream1dvATI","(", toString(stream), ", ", boost::print::array(coords,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream1dvATI)(stream, coords);
  }

  REGAL_DECL void REGAL_CALL glVertexStream1fATI(GLenum stream, GLfloat x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexStream1fATI","(", toString(stream), ", ", x, ")");;
    #endif
    App("glVertexStream1fATI","(", toString(stream), ", ", x, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream1fATI)(stream, x);
  }

  REGAL_DECL void REGAL_CALL glVertexStream1fvATI(GLenum stream, const GLfloat *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexStream1fvATI","(", toString(stream), ", ", boost::print::array(coords,1), ")");;
    #endif
    App("glVertexStream1fvATI","(", toString(stream), ", ", boost::print::array(coords,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream1fvATI)(stream, coords);
  }

  REGAL_DECL void REGAL_CALL glVertexStream1iATI(GLenum stream, GLint x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexStream1iATI","(", toString(stream), ", ", x, ")");;
    #endif
    App("glVertexStream1iATI","(", toString(stream), ", ", x, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream1iATI)(stream, x);
  }

  REGAL_DECL void REGAL_CALL glVertexStream1ivATI(GLenum stream, const GLint *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexStream1ivATI","(", toString(stream), ", ", boost::print::array(coords,1), ")");;
    #endif
    App("glVertexStream1ivATI","(", toString(stream), ", ", boost::print::array(coords,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream1ivATI)(stream, coords);
  }

  REGAL_DECL void REGAL_CALL glVertexStream1sATI(GLenum stream, GLshort x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexStream1sATI","(", toString(stream), ", ", x, ")");;
    #endif
    App("glVertexStream1sATI","(", toString(stream), ", ", x, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream1sATI)(stream, x);
  }

  REGAL_DECL void REGAL_CALL glVertexStream1svATI(GLenum stream, const GLshort *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexStream1svATI","(", toString(stream), ", ", boost::print::array(coords,1), ")");;
    #endif
    App("glVertexStream1svATI","(", toString(stream), ", ", boost::print::array(coords,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream1svATI)(stream, coords);
  }

  REGAL_DECL void REGAL_CALL glVertexStream2dATI(GLenum stream, GLdouble x, GLdouble y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexStream2dATI","(", toString(stream), ", ", x, ", ", y, ")");;
    #endif
    App("glVertexStream2dATI","(", toString(stream), ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream2dATI)(stream, x, y);
  }

  REGAL_DECL void REGAL_CALL glVertexStream2dvATI(GLenum stream, const GLdouble *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexStream2dvATI","(", toString(stream), ", ", boost::print::array(coords,2), ")");;
    #endif
    App("glVertexStream2dvATI","(", toString(stream), ", ", boost::print::array(coords,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream2dvATI)(stream, coords);
  }

  REGAL_DECL void REGAL_CALL glVertexStream2fATI(GLenum stream, GLfloat x, GLfloat y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexStream2fATI","(", toString(stream), ", ", x, ", ", y, ")");;
    #endif
    App("glVertexStream2fATI","(", toString(stream), ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream2fATI)(stream, x, y);
  }

  REGAL_DECL void REGAL_CALL glVertexStream2fvATI(GLenum stream, const GLfloat *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexStream2fvATI","(", toString(stream), ", ", boost::print::array(coords,2), ")");;
    #endif
    App("glVertexStream2fvATI","(", toString(stream), ", ", boost::print::array(coords,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream2fvATI)(stream, coords);
  }

  REGAL_DECL void REGAL_CALL glVertexStream2iATI(GLenum stream, GLint x, GLint y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexStream2iATI","(", toString(stream), ", ", x, ", ", y, ")");;
    #endif
    App("glVertexStream2iATI","(", toString(stream), ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream2iATI)(stream, x, y);
  }

  REGAL_DECL void REGAL_CALL glVertexStream2ivATI(GLenum stream, const GLint *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexStream2ivATI","(", toString(stream), ", ", boost::print::array(coords,2), ")");;
    #endif
    App("glVertexStream2ivATI","(", toString(stream), ", ", boost::print::array(coords,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream2ivATI)(stream, coords);
  }

  REGAL_DECL void REGAL_CALL glVertexStream2sATI(GLenum stream, GLshort x, GLshort y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexStream2sATI","(", toString(stream), ", ", x, ", ", y, ")");;
    #endif
    App("glVertexStream2sATI","(", toString(stream), ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream2sATI)(stream, x, y);
  }

  REGAL_DECL void REGAL_CALL glVertexStream2svATI(GLenum stream, const GLshort *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexStream2svATI","(", toString(stream), ", ", boost::print::array(coords,2), ")");;
    #endif
    App("glVertexStream2svATI","(", toString(stream), ", ", boost::print::array(coords,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream2svATI)(stream, coords);
  }

  REGAL_DECL void REGAL_CALL glVertexStream3dATI(GLenum stream, GLdouble x, GLdouble y, GLdouble z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexStream3dATI","(", toString(stream), ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glVertexStream3dATI","(", toString(stream), ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream3dATI)(stream, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertexStream3dvATI(GLenum stream, const GLdouble *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexStream3dvATI","(", toString(stream), ", ", boost::print::array(coords,3), ")");;
    #endif
    App("glVertexStream3dvATI","(", toString(stream), ", ", boost::print::array(coords,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream3dvATI)(stream, coords);
  }

  REGAL_DECL void REGAL_CALL glVertexStream3fATI(GLenum stream, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexStream3fATI","(", toString(stream), ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glVertexStream3fATI","(", toString(stream), ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream3fATI)(stream, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertexStream3fvATI(GLenum stream, const GLfloat *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexStream3fvATI","(", toString(stream), ", ", boost::print::array(coords,3), ")");;
    #endif
    App("glVertexStream3fvATI","(", toString(stream), ", ", boost::print::array(coords,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream3fvATI)(stream, coords);
  }

  REGAL_DECL void REGAL_CALL glVertexStream3iATI(GLenum stream, GLint x, GLint y, GLint z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexStream3iATI","(", toString(stream), ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glVertexStream3iATI","(", toString(stream), ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream3iATI)(stream, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertexStream3ivATI(GLenum stream, const GLint *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexStream3ivATI","(", toString(stream), ", ", boost::print::array(coords,3), ")");;
    #endif
    App("glVertexStream3ivATI","(", toString(stream), ", ", boost::print::array(coords,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream3ivATI)(stream, coords);
  }

  REGAL_DECL void REGAL_CALL glVertexStream3sATI(GLenum stream, GLshort x, GLshort y, GLshort z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexStream3sATI","(", toString(stream), ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glVertexStream3sATI","(", toString(stream), ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream3sATI)(stream, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertexStream3svATI(GLenum stream, const GLshort *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexStream3svATI","(", toString(stream), ", ", boost::print::array(coords,3), ")");;
    #endif
    App("glVertexStream3svATI","(", toString(stream), ", ", boost::print::array(coords,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream3svATI)(stream, coords);
  }

  REGAL_DECL void REGAL_CALL glVertexStream4dATI(GLenum stream, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexStream4dATI","(", toString(stream), ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glVertexStream4dATI","(", toString(stream), ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream4dATI)(stream, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexStream4dvATI(GLenum stream, const GLdouble *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexStream4dvATI","(", toString(stream), ", ", boost::print::array(coords,4), ")");;
    #endif
    App("glVertexStream4dvATI","(", toString(stream), ", ", boost::print::array(coords,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream4dvATI)(stream, coords);
  }

  REGAL_DECL void REGAL_CALL glVertexStream4fATI(GLenum stream, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexStream4fATI","(", toString(stream), ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glVertexStream4fATI","(", toString(stream), ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream4fATI)(stream, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexStream4fvATI(GLenum stream, const GLfloat *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexStream4fvATI","(", toString(stream), ", ", boost::print::array(coords,4), ")");;
    #endif
    App("glVertexStream4fvATI","(", toString(stream), ", ", boost::print::array(coords,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream4fvATI)(stream, coords);
  }

  REGAL_DECL void REGAL_CALL glVertexStream4iATI(GLenum stream, GLint x, GLint y, GLint z, GLint w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexStream4iATI","(", toString(stream), ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glVertexStream4iATI","(", toString(stream), ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream4iATI)(stream, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexStream4ivATI(GLenum stream, const GLint *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexStream4ivATI","(", toString(stream), ", ", boost::print::array(coords,4), ")");;
    #endif
    App("glVertexStream4ivATI","(", toString(stream), ", ", boost::print::array(coords,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream4ivATI)(stream, coords);
  }

  REGAL_DECL void REGAL_CALL glVertexStream4sATI(GLenum stream, GLshort x, GLshort y, GLshort z, GLshort w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexStream4sATI","(", toString(stream), ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glVertexStream4sATI","(", toString(stream), ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream4sATI)(stream, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexStream4svATI(GLenum stream, const GLshort *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexStream4svATI","(", toString(stream), ", ", boost::print::array(coords,4), ")");;
    #endif
    App("glVertexStream4svATI","(", toString(stream), ", ", boost::print::array(coords,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexStream4svATI)(stream, coords);
  }

  /* GL_EXT_bindable_uniform */

  REGAL_DECL GLint REGAL_CALL glGetUniformBufferSizeEXT(GLuint program, GLint location)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetUniformBufferSizeEXT","(", program, ", ", location, ")");;
    #endif
    App("glGetUniformBufferSizeEXT","(", program, ", ", location, ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetUniformBufferSizeEXT)(program, location);
  }

  REGAL_DECL GLintptr REGAL_CALL glGetUniformOffsetEXT(GLuint program, GLint location)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetUniformOffsetEXT","(", program, ", ", location, ")");;
    #endif
    App("glGetUniformOffsetEXT","(", program, ", ", location, ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetUniformOffsetEXT)(program, location);
  }

  REGAL_DECL void REGAL_CALL glUniformBufferEXT(GLuint program, GLint location, GLuint buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniformBufferEXT","(", program, ", ", location, ", ", buffer, ")");;
    #endif
    App("glUniformBufferEXT","(", program, ", ", location, ", ", buffer, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformBufferEXT)(program, location, buffer);
  }

  /* GL_EXT_blend_color */

  REGAL_DECL void REGAL_CALL glBlendColorEXT(GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBlendColorEXT","(", red, ", ", green, ", ", blue, ", ", alpha, ")");;
    #endif
    App("glBlendColorEXT","(", red, ", ", green, ", ", blue, ", ", alpha, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendColorEXT)(red, green, blue, alpha);
  }

  /* GL_EXT_blend_equation_separate */

  REGAL_DECL void REGAL_CALL glBlendEquationSeparateEXT(GLenum modeRGB, GLenum modeAlpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBlendEquationSeparateEXT","(", GLmodeToString(modeRGB), ", ", GLmodeToString(modeAlpha), ")");;
    #endif
    App("glBlendEquationSeparateEXT","(", GLmodeToString(modeRGB), ", ", GLmodeToString(modeAlpha), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendEquationSeparateEXT)(modeRGB, modeAlpha);
  }

  /* GL_EXT_blend_func_separate */

  REGAL_DECL void REGAL_CALL glBlendFuncSeparateEXT(GLenum sfactorRGB, GLenum dfactorRGB, GLenum sfactorAlpha, GLenum dfactorAlpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBlendFuncSeparateEXT","(", toString(sfactorRGB), ", ", toString(dfactorRGB), ", ", toString(sfactorAlpha), ", ", toString(dfactorAlpha), ")");;
    #endif
    App("glBlendFuncSeparateEXT","(", toString(sfactorRGB), ", ", toString(dfactorRGB), ", ", toString(sfactorAlpha), ", ", toString(dfactorAlpha), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendFuncSeparateEXT)(sfactorRGB, dfactorRGB, sfactorAlpha, dfactorAlpha);
  }

  /* GL_EXT_blend_minmax */

  REGAL_DECL void REGAL_CALL glBlendEquationEXT(GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBlendEquationEXT","(", GLmodeToString(mode), ")");;
    #endif
    App("glBlendEquationEXT","(", GLmodeToString(mode), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendEquationEXT)(mode);
  }

  /* GL_EXT_color_subtable */

  REGAL_DECL void REGAL_CALL glColorSubTableEXT(GLenum target, GLsizei start, GLsizei count, GLenum format, GLenum type, const GLvoid *table)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColorSubTableEXT","(", toString(target), ", ", start, ", ", count, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(table,Logging::pointers), ")");;
    #endif
    App("glColorSubTableEXT","(", toString(target), ", ", start, ", ", count, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(table,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorSubTableEXT)(target, start, count, format, type, table);
  }

  REGAL_DECL void REGAL_CALL glCopyColorSubTableEXT(GLenum target, GLsizei start, GLint x, GLint y, GLsizei width)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCopyColorSubTableEXT","(", toString(target), ", ", start, ", ", x, ", ", y, ", ", width, ")");;
    #endif
    App("glCopyColorSubTableEXT","(", toString(target), ", ", start, ", ", x, ", ", y, ", ", width, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyColorSubTableEXT)(target, start, x, y, width);
  }

  /* GL_EXT_compiled_vertex_array */

  REGAL_DECL void REGAL_CALL glLockArraysEXT(GLint first, GLsizei count)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glLockArraysEXT","(", first, ", ", count, ")");;
    #endif
    App("glLockArraysEXT","(", first, ", ", count, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLockArraysEXT)(first, count);
  }

  REGAL_DECL void REGAL_CALL glUnlockArraysEXT(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUnlockArraysEXT","()");;
    #endif
    App("glUnlockArraysEXT","()");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUnlockArraysEXT)();
  }

  /* GL_EXT_convolution */

  REGAL_DECL void REGAL_CALL glConvolutionFilter1DEXT(GLenum target, GLenum internalformat, GLsizei width, GLenum format, GLenum type, const GLvoid *image)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glConvolutionFilter1DEXT","(", toString(target), ", ", toString(internalformat), ", ", width, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(image,Logging::pointers), ")");;
    #endif
    App("glConvolutionFilter1DEXT","(", toString(target), ", ", toString(internalformat), ", ", width, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(image,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glConvolutionFilter1DEXT)(target, internalformat, width, format, type, image);
  }

  REGAL_DECL void REGAL_CALL glConvolutionFilter2DEXT(GLenum target, GLenum internalformat, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *image)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glConvolutionFilter2DEXT","(", toString(target), ", ", toString(internalformat), ", ", width, ", ", height, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(image,Logging::pointers), ")");;
    #endif
    App("glConvolutionFilter2DEXT","(", toString(target), ", ", toString(internalformat), ", ", width, ", ", height, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(image,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glConvolutionFilter2DEXT)(target, internalformat, width, height, format, type, image);
  }

  REGAL_DECL void REGAL_CALL glConvolutionParameterfEXT(GLenum target, GLenum pname, GLfloat params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glConvolutionParameterfEXT","(", toString(target), ", ", toString(pname), ", ", params, ")");;
    #endif
    App("glConvolutionParameterfEXT","(", toString(target), ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glConvolutionParameterfEXT)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glConvolutionParameterfvEXT(GLenum target, GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glConvolutionParameterfvEXT","(", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glConvolutionParameterfvEXT","(", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glConvolutionParameterfvEXT)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glConvolutionParameteriEXT(GLenum target, GLenum pname, GLint params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glConvolutionParameteriEXT","(", toString(target), ", ", toString(pname), ", ", params, ")");;
    #endif
    App("glConvolutionParameteriEXT","(", toString(target), ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glConvolutionParameteriEXT)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glConvolutionParameterivEXT(GLenum target, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glConvolutionParameterivEXT","(", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glConvolutionParameterivEXT","(", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glConvolutionParameterivEXT)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glCopyConvolutionFilter1DEXT(GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCopyConvolutionFilter1DEXT","(", toString(target), ", ", toString(internalformat), ", ", x, ", ", y, ", ", width, ")");;
    #endif
    App("glCopyConvolutionFilter1DEXT","(", toString(target), ", ", toString(internalformat), ", ", x, ", ", y, ", ", width, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyConvolutionFilter1DEXT)(target, internalformat, x, y, width);
  }

  REGAL_DECL void REGAL_CALL glCopyConvolutionFilter2DEXT(GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCopyConvolutionFilter2DEXT","(", toString(target), ", ", toString(internalformat), ", ", x, ", ", y, ", ", width, ", ", height, ")");;
    #endif
    App("glCopyConvolutionFilter2DEXT","(", toString(target), ", ", toString(internalformat), ", ", x, ", ", y, ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyConvolutionFilter2DEXT)(target, internalformat, x, y, width, height);
  }

  REGAL_DECL void REGAL_CALL glGetConvolutionFilterEXT(GLenum target, GLenum format, GLenum type, GLvoid *image)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetConvolutionFilterEXT","(", toString(target), ", ", toString(format), ", ", toString(type), ")");;
    #endif
    App("glGetConvolutionFilterEXT","(", toString(target), ", ", toString(format), ", ", toString(type), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetConvolutionFilterEXT)(target, format, type, image);
  }

  REGAL_DECL void REGAL_CALL glGetConvolutionParameterfvEXT(GLenum target, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetConvolutionParameterfvEXT","(", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetConvolutionParameterfvEXT","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetConvolutionParameterfvEXT)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetConvolutionParameterivEXT(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetConvolutionParameterivEXT","(", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetConvolutionParameterivEXT","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetConvolutionParameterivEXT)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetSeparableFilterEXT(GLenum target, GLenum format, GLenum type, GLvoid *row, GLvoid *column, GLvoid *span)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetSeparableFilterEXT","(", toString(target), ", ", toString(format), ", ", toString(type), ")");;
    #endif
    App("glGetSeparableFilterEXT","(", toString(target), ", ", toString(format), ", ", toString(type), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetSeparableFilterEXT)(target, format, type, row, column, span);
  }

  REGAL_DECL void REGAL_CALL glSeparableFilter2DEXT(GLenum target, GLenum internalformat, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *row, const GLvoid *column)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSeparableFilter2DEXT","(", toString(target), ", ", toString(internalformat), ", ", width, ", ", height, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(row,Logging::pointers), ", ", boost::print::optional(column,Logging::pointers), ")");;
    #endif
    App("glSeparableFilter2DEXT","(", toString(target), ", ", toString(internalformat), ", ", width, ", ", height, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(row,Logging::pointers), ", ", boost::print::optional(column,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSeparableFilter2DEXT)(target, internalformat, width, height, format, type, row, column);
  }

  /* GL_EXT_coordinate_frame */

  REGAL_DECL void REGAL_CALL glBinormal3bEXT(GLbyte bx, GLbyte by, GLbyte bz)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBinormal3bEXT","(", bx, ", ", by, ", ", bz, ")");;
    #endif
    App("glBinormal3bEXT","(", bx, ", ", by, ", ", bz, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBinormal3bEXT)(bx, by, bz);
  }

  REGAL_DECL void REGAL_CALL glBinormal3bvEXT(const GLbyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBinormal3bvEXT","(", boost::print::array(v,3), ")");;
    #endif
    App("glBinormal3bvEXT","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBinormal3bvEXT)(v);
  }

  REGAL_DECL void REGAL_CALL glBinormal3dEXT(GLdouble bx, GLdouble by, GLdouble bz)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBinormal3dEXT","(", bx, ", ", by, ", ", bz, ")");;
    #endif
    App("glBinormal3dEXT","(", bx, ", ", by, ", ", bz, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBinormal3dEXT)(bx, by, bz);
  }

  REGAL_DECL void REGAL_CALL glBinormal3dvEXT(const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBinormal3dvEXT","(", boost::print::array(v,3), ")");;
    #endif
    App("glBinormal3dvEXT","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBinormal3dvEXT)(v);
  }

  REGAL_DECL void REGAL_CALL glBinormal3fEXT(GLfloat bx, GLfloat by, GLfloat bz)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBinormal3fEXT","(", bx, ", ", by, ", ", bz, ")");;
    #endif
    App("glBinormal3fEXT","(", bx, ", ", by, ", ", bz, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBinormal3fEXT)(bx, by, bz);
  }

  REGAL_DECL void REGAL_CALL glBinormal3fvEXT(const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBinormal3fvEXT","(", boost::print::array(v,3), ")");;
    #endif
    App("glBinormal3fvEXT","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBinormal3fvEXT)(v);
  }

  REGAL_DECL void REGAL_CALL glBinormal3iEXT(GLint bx, GLint by, GLint bz)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBinormal3iEXT","(", bx, ", ", by, ", ", bz, ")");;
    #endif
    App("glBinormal3iEXT","(", bx, ", ", by, ", ", bz, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBinormal3iEXT)(bx, by, bz);
  }

  REGAL_DECL void REGAL_CALL glBinormal3ivEXT(const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBinormal3ivEXT","(", boost::print::array(v,3), ")");;
    #endif
    App("glBinormal3ivEXT","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBinormal3ivEXT)(v);
  }

  REGAL_DECL void REGAL_CALL glBinormal3sEXT(GLshort bx, GLshort by, GLshort bz)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBinormal3sEXT","(", bx, ", ", by, ", ", bz, ")");;
    #endif
    App("glBinormal3sEXT","(", bx, ", ", by, ", ", bz, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBinormal3sEXT)(bx, by, bz);
  }

  REGAL_DECL void REGAL_CALL glBinormal3svEXT(const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBinormal3svEXT","(", boost::print::array(v,3), ")");;
    #endif
    App("glBinormal3svEXT","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBinormal3svEXT)(v);
  }

  REGAL_DECL void REGAL_CALL glBinormalPointerEXT(GLenum type, GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBinormalPointerEXT","(", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");;
    #endif
    App("glBinormalPointerEXT","(", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBinormalPointerEXT)(type, stride, pointer);
  }

  REGAL_DECL void REGAL_CALL glTangent3bEXT(GLbyte tx, GLbyte ty, GLbyte tz)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTangent3bEXT","(", tx, ", ", ty, ", ", tz, ")");;
    #endif
    App("glTangent3bEXT","(", tx, ", ", ty, ", ", tz, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTangent3bEXT)(tx, ty, tz);
  }

  REGAL_DECL void REGAL_CALL glTangent3bvEXT(const GLbyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTangent3bvEXT","(", boost::print::array(v,3), ")");;
    #endif
    App("glTangent3bvEXT","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTangent3bvEXT)(v);
  }

  REGAL_DECL void REGAL_CALL glTangent3dEXT(GLdouble tx, GLdouble ty, GLdouble tz)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTangent3dEXT","(", tx, ", ", ty, ", ", tz, ")");;
    #endif
    App("glTangent3dEXT","(", tx, ", ", ty, ", ", tz, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTangent3dEXT)(tx, ty, tz);
  }

  REGAL_DECL void REGAL_CALL glTangent3dvEXT(const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTangent3dvEXT","(", boost::print::array(v,3), ")");;
    #endif
    App("glTangent3dvEXT","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTangent3dvEXT)(v);
  }

  REGAL_DECL void REGAL_CALL glTangent3fEXT(GLfloat tx, GLfloat ty, GLfloat tz)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTangent3fEXT","(", tx, ", ", ty, ", ", tz, ")");;
    #endif
    App("glTangent3fEXT","(", tx, ", ", ty, ", ", tz, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTangent3fEXT)(tx, ty, tz);
  }

  REGAL_DECL void REGAL_CALL glTangent3fvEXT(const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTangent3fvEXT","(", boost::print::array(v,3), ")");;
    #endif
    App("glTangent3fvEXT","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTangent3fvEXT)(v);
  }

  REGAL_DECL void REGAL_CALL glTangent3iEXT(GLint tx, GLint ty, GLint tz)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTangent3iEXT","(", tx, ", ", ty, ", ", tz, ")");;
    #endif
    App("glTangent3iEXT","(", tx, ", ", ty, ", ", tz, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTangent3iEXT)(tx, ty, tz);
  }

  REGAL_DECL void REGAL_CALL glTangent3ivEXT(const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTangent3ivEXT","(", boost::print::array(v,3), ")");;
    #endif
    App("glTangent3ivEXT","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTangent3ivEXT)(v);
  }

  REGAL_DECL void REGAL_CALL glTangent3sEXT(GLshort tx, GLshort ty, GLshort tz)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTangent3sEXT","(", tx, ", ", ty, ", ", tz, ")");;
    #endif
    App("glTangent3sEXT","(", tx, ", ", ty, ", ", tz, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTangent3sEXT)(tx, ty, tz);
  }

  REGAL_DECL void REGAL_CALL glTangent3svEXT(const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTangent3svEXT","(", boost::print::array(v,3), ")");;
    #endif
    App("glTangent3svEXT","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTangent3svEXT)(v);
  }

  REGAL_DECL void REGAL_CALL glTangentPointerEXT(GLenum type, GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTangentPointerEXT","(", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");;
    #endif
    App("glTangentPointerEXT","(", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTangentPointerEXT)(type, stride, pointer);
  }

  /* GL_EXT_copy_texture */

  REGAL_DECL void REGAL_CALL glCopyTexImage1DEXT(GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLint border)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCopyTexImage1DEXT","(", toString(target), ", ", level, ", ", toString(internalformat), ", ", x, ", ", y, ", ", width, ", ", border, ")");;
    #endif
    App("glCopyTexImage1DEXT","(", toString(target), ", ", level, ", ", toString(internalformat), ", ", x, ", ", y, ", ", width, ", ", border, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyTexImage1DEXT)(target, level, internalformat, x, y, width, border);
  }

  REGAL_DECL void REGAL_CALL glCopyTexImage2DEXT(GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCopyTexImage2DEXT","(", toString(target), ", ", level, ", ", toString(internalformat), ", ", x, ", ", y, ", ", width, ", ", height, ", ", border, ")");;
    #endif
    App("glCopyTexImage2DEXT","(", toString(target), ", ", level, ", ", toString(internalformat), ", ", x, ", ", y, ", ", width, ", ", height, ", ", border, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyTexImage2DEXT)(target, level, internalformat, x, y, width, height, border);
  }

  REGAL_DECL void REGAL_CALL glCopyTexSubImage1DEXT(GLenum target, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCopyTexSubImage1DEXT","(", toString(target), ", ", level, ", ", xoffset, ", ", x, ", ", y, ", ", width, ")");;
    #endif
    App("glCopyTexSubImage1DEXT","(", toString(target), ", ", level, ", ", xoffset, ", ", x, ", ", y, ", ", width, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyTexSubImage1DEXT)(target, level, xoffset, x, y, width);
  }

  REGAL_DECL void REGAL_CALL glCopyTexSubImage2DEXT(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCopyTexSubImage2DEXT","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", x, ", ", y, ", ", width, ", ", height, ")");;
    #endif
    App("glCopyTexSubImage2DEXT","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", x, ", ", y, ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyTexSubImage2DEXT)(target, level, xoffset, yoffset, x, y, width, height);
  }

  REGAL_DECL void REGAL_CALL glCopyTexSubImage3DEXT(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCopyTexSubImage3DEXT","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", x, ", ", y, ", ", width, ", ", height, ")");;
    #endif
    App("glCopyTexSubImage3DEXT","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", x, ", ", y, ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyTexSubImage3DEXT)(target, level, xoffset, yoffset, zoffset, x, y, width, height);
  }

  /* GL_EXT_cull_vertex */

  REGAL_DECL void REGAL_CALL glCullParameterdvEXT(GLenum pname, GLdouble *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCullParameterdvEXT","(", toString(pname), ")");;
    #endif
    App("glCullParameterdvEXT","(", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCullParameterdvEXT)(pname, params);
  }

  REGAL_DECL void REGAL_CALL glCullParameterfvEXT(GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCullParameterfvEXT","(", toString(pname), ")");;
    #endif
    App("glCullParameterfvEXT","(", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCullParameterfvEXT)(pname, params);
  }

  /* GL_EXT_debug_label */

  REGAL_DECL void REGAL_CALL glGetObjectLabelEXT(GLenum type, GLuint object, GLsizei bufSize, GLsizei *length, GLchar *label)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetObjectLabelEXT","(", toString(type), ", ", object, ", ", bufSize, ", ", boost::print::optional(length,Logging::pointers), ", ", boost::print::quote(label,'"'), ")");;
    #endif
    App("glGetObjectLabelEXT","(", toString(type), ", ", object, ", ", bufSize, ", ", boost::print::optional(length,Logging::pointers), ", ", boost::print::quote(label,'"'), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetObjectLabelEXT)(type, object, bufSize, length, label);
  }

  REGAL_DECL void REGAL_CALL glLabelObjectEXT(GLenum type, GLuint object, GLsizei length, const GLchar *label)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glLabelObjectEXT","(", toString(type), ", ", object, ", ", length, ", ", boost::print::quote(label,'"'), ")");;
    #endif
    App("glLabelObjectEXT","(", toString(type), ", ", object, ", ", length, ", ", boost::print::quote(label,'"'), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLabelObjectEXT)(type, object, length, label);
  }

  /* GL_EXT_debug_marker */

  REGAL_DECL void REGAL_CALL glInsertEventMarkerEXT(GLsizei length, const GLchar *marker)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());

    const GLsizei maxLength = _context && _context->emuInfo ? _context->emuInfo->gl_max_debug_message_length : 1024;
    const std::string _message = Marker::toStringEXT(length,marker,maxLength);
    #if REGAL_HTTP
    _context->http.callString = print_string("glInsertEventMarkerEXT","(", length, ", ", boost::print::quote(marker,'"'), ")");;
    #endif
    App("glInsertEventMarkerEXT","(", length, ", ", boost::print::quote(marker,'"'), ")");
    if (!_context) return;
    if (_context->marker)
      _context->marker->InsertEventMarker(*_context, _message);
    RegalAssert(_context->info);
    if (true || _context->info->gl_ext_debug_marker)
    {
        DispatchTableGL *_next = &_context->dispatcher.front();
        RegalAssert(_next);
        _next->call(&_next->glInsertEventMarkerEXT)(length, marker);
    }
  }

  REGAL_DECL void REGAL_CALL glPopGroupMarkerEXT(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());

    if (_context && _context->marker)
      _context->marker->PopGroupMarker(*_context);
    #if REGAL_HTTP
    _context->http.callString = print_string("glPopGroupMarkerEXT","()");;
    #endif
    App("glPopGroupMarkerEXT","()");
    if (!_context) return;
    RegalAssert(_context->info);
    if (true || _context->info->gl_ext_debug_marker)
    {
        DispatchTableGL *_next = &_context->dispatcher.front();
        RegalAssert(_next);
        _next->call(&_next->glPopGroupMarkerEXT)();
    }
  }

  REGAL_DECL void REGAL_CALL glPushGroupMarkerEXT(GLsizei length, const GLchar *marker)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());

    const GLsizei maxLength = _context && _context->emuInfo ? _context->emuInfo->gl_max_debug_message_length : 1024;
    const std::string _message = Marker::toStringEXT(length,marker,maxLength);
    #if REGAL_HTTP
    _context->http.callString = print_string("glPushGroupMarkerEXT","(", length, ", ", boost::print::quote(marker,'"'), ")");;
    #endif
    App("glPushGroupMarkerEXT","(", length, ", ", boost::print::quote(marker,'"'), ")");
    if (!_context) return;
    RegalAssert(_context->info);
    if (true || _context->info->gl_ext_debug_marker)
    {
        DispatchTableGL *_next = &_context->dispatcher.front();
        RegalAssert(_next);
        _next->call(&_next->glPushGroupMarkerEXT)(length, marker);
    }
    if (_context->marker)
      _context->marker->PushGroupMarker(*_context, _message);
  }

  /* GL_EXT_depth_bounds_test */

  REGAL_DECL void REGAL_CALL glDepthBoundsEXT(GLclampd zmin, GLclampd zmax)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDepthBoundsEXT","(", zmin, ", ", zmax, ")");;
    #endif
    App("glDepthBoundsEXT","(", zmin, ", ", zmax, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDepthBoundsEXT)(zmin, zmax);
  }

  /* GL_EXT_direct_state_access */

  REGAL_DECL void REGAL_CALL glBindMultiTextureEXT(GLenum texunit, GLenum target, GLuint texture)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindMultiTextureEXT","(", toString(texunit), ", ", toString(target), ", ", texture, ")");;
    #endif
    App("glBindMultiTextureEXT","(", toString(texunit), ", ", toString(target), ", ", texture, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindMultiTextureEXT)(texunit, target, texture);
  }

  REGAL_DECL GLenum REGAL_CALL glCheckNamedFramebufferStatusEXT(GLuint framebuffer, GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCheckNamedFramebufferStatusEXT","(", framebuffer, ", ", toString(target), ")");;
    #endif
    App("glCheckNamedFramebufferStatusEXT","(", framebuffer, ", ", toString(target), ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glCheckNamedFramebufferStatusEXT)(framebuffer, target);
  }

  REGAL_DECL void REGAL_CALL glClientAttribDefaultEXT(GLbitfield mask)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glClientAttribDefaultEXT","(", GLpushClientAttribToString(mask), ")");;
    #endif
    App("glClientAttribDefaultEXT","(", GLpushClientAttribToString(mask), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClientAttribDefaultEXT)(mask);
  }

  REGAL_DECL void REGAL_CALL glCompressedMultiTexImage1DEXT(GLenum texunit, GLenum target, GLint level, GLenum internalformat, GLsizei width, GLint border, GLsizei imageSize, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCompressedMultiTexImage1DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", toString(internalformat), ", ", width, ", ", border, ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");;
    #endif
    App("glCompressedMultiTexImage1DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", toString(internalformat), ", ", width, ", ", border, ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedMultiTexImage1DEXT)(texunit, target, level, internalformat, width, border, imageSize, data);
  }

  REGAL_DECL void REGAL_CALL glCompressedMultiTexImage2DEXT(GLenum texunit, GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const GLvoid *bits)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCompressedMultiTexImage2DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", toString(internalformat), ", ", width, ", ", height, ", ", border, ", ", imageSize, ", ", boost::print::optional(bits,Logging::pointers), ")");;
    #endif
    App("glCompressedMultiTexImage2DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", toString(internalformat), ", ", width, ", ", height, ", ", border, ", ", imageSize, ", ", boost::print::optional(bits,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedMultiTexImage2DEXT)(texunit, target, level, internalformat, width, height, border, imageSize, bits);
  }

  REGAL_DECL void REGAL_CALL glCompressedMultiTexImage3DEXT(GLenum texunit, GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const GLvoid *bits)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCompressedMultiTexImage3DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", toString(internalformat), ", ", width, ", ", height, ", ", depth, ", ", border, ", ", imageSize, ", ", boost::print::optional(bits,Logging::pointers), ")");;
    #endif
    App("glCompressedMultiTexImage3DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", toString(internalformat), ", ", width, ", ", height, ", ", depth, ", ", border, ", ", imageSize, ", ", boost::print::optional(bits,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedMultiTexImage3DEXT)(texunit, target, level, internalformat, width, height, depth, border, imageSize, bits);
  }

  REGAL_DECL void REGAL_CALL glCompressedMultiTexSubImage1DEXT(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCompressedMultiTexSubImage1DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", xoffset, ", ", width, ", ", toString(format), ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");;
    #endif
    App("glCompressedMultiTexSubImage1DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", xoffset, ", ", width, ", ", toString(format), ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedMultiTexSubImage1DEXT)(texunit, target, level, xoffset, width, format, imageSize, data);
  }

  REGAL_DECL void REGAL_CALL glCompressedMultiTexSubImage2DEXT(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCompressedMultiTexSubImage2DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", width, ", ", height, ", ", toString(format), ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");;
    #endif
    App("glCompressedMultiTexSubImage2DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", width, ", ", height, ", ", toString(format), ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedMultiTexSubImage2DEXT)(texunit, target, level, xoffset, yoffset, width, height, format, imageSize, data);
  }

  REGAL_DECL void REGAL_CALL glCompressedMultiTexSubImage3DEXT(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCompressedMultiTexSubImage3DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ", ", toString(format), ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");;
    #endif
    App("glCompressedMultiTexSubImage3DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ", ", toString(format), ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedMultiTexSubImage3DEXT)(texunit, target, level, xoffset, yoffset, zoffset, width, height, depth, format, imageSize, data);
  }

  REGAL_DECL void REGAL_CALL glCompressedTextureImage1DEXT(GLuint texture, GLenum target, GLint level, GLenum internalformat, GLsizei width, GLint border, GLsizei imageSize, const GLvoid *bits)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCompressedTextureImage1DEXT","(", texture, ", ", toString(target), ", ", level, ", ", toString(internalformat), ", ", width, ", ", border, ", ", imageSize, ", ", boost::print::optional(bits,Logging::pointers), ")");;
    #endif
    App("glCompressedTextureImage1DEXT","(", texture, ", ", toString(target), ", ", level, ", ", toString(internalformat), ", ", width, ", ", border, ", ", imageSize, ", ", boost::print::optional(bits,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedTextureImage1DEXT)(texture, target, level, internalformat, width, border, imageSize, bits);
  }

  REGAL_DECL void REGAL_CALL glCompressedTextureImage2DEXT(GLuint texture, GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const GLvoid *bits)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCompressedTextureImage2DEXT","(", texture, ", ", toString(target), ", ", level, ", ", toString(internalformat), ", ", width, ", ", height, ", ", border, ", ", imageSize, ", ", boost::print::optional(bits,Logging::pointers), ")");;
    #endif
    App("glCompressedTextureImage2DEXT","(", texture, ", ", toString(target), ", ", level, ", ", toString(internalformat), ", ", width, ", ", height, ", ", border, ", ", imageSize, ", ", boost::print::optional(bits,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedTextureImage2DEXT)(texture, target, level, internalformat, width, height, border, imageSize, bits);
  }

  REGAL_DECL void REGAL_CALL glCompressedTextureImage3DEXT(GLuint texture, GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const GLvoid *bits)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCompressedTextureImage3DEXT","(", texture, ", ", toString(target), ", ", level, ", ", toString(internalformat), ", ", width, ", ", height, ", ", depth, ", ", border, ", ", imageSize, ", ", boost::print::optional(bits,Logging::pointers), ")");;
    #endif
    App("glCompressedTextureImage3DEXT","(", texture, ", ", toString(target), ", ", level, ", ", toString(internalformat), ", ", width, ", ", height, ", ", depth, ", ", border, ", ", imageSize, ", ", boost::print::optional(bits,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedTextureImage3DEXT)(texture, target, level, internalformat, width, height, depth, border, imageSize, bits);
  }

  REGAL_DECL void REGAL_CALL glCompressedTextureSubImage1DEXT(GLuint texture, GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const GLvoid *bits)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCompressedTextureSubImage1DEXT","(", texture, ", ", toString(target), ", ", level, ", ", xoffset, ", ", width, ", ", toString(format), ", ", imageSize, ", ", boost::print::optional(bits,Logging::pointers), ")");;
    #endif
    App("glCompressedTextureSubImage1DEXT","(", texture, ", ", toString(target), ", ", level, ", ", xoffset, ", ", width, ", ", toString(format), ", ", imageSize, ", ", boost::print::optional(bits,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedTextureSubImage1DEXT)(texture, target, level, xoffset, width, format, imageSize, bits);
  }

  REGAL_DECL void REGAL_CALL glCompressedTextureSubImage2DEXT(GLuint texture, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const GLvoid *bits)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCompressedTextureSubImage2DEXT","(", texture, ", ", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", width, ", ", height, ", ", toString(format), ", ", imageSize, ", ", boost::print::optional(bits,Logging::pointers), ")");;
    #endif
    App("glCompressedTextureSubImage2DEXT","(", texture, ", ", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", width, ", ", height, ", ", toString(format), ", ", imageSize, ", ", boost::print::optional(bits,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedTextureSubImage2DEXT)(texture, target, level, xoffset, yoffset, width, height, format, imageSize, bits);
  }

  REGAL_DECL void REGAL_CALL glCompressedTextureSubImage3DEXT(GLuint texture, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const GLvoid *bits)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCompressedTextureSubImage3DEXT","(", texture, ", ", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ", ", toString(format), ", ", imageSize, ", ", boost::print::optional(bits,Logging::pointers), ")");;
    #endif
    App("glCompressedTextureSubImage3DEXT","(", texture, ", ", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ", ", toString(format), ", ", imageSize, ", ", boost::print::optional(bits,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedTextureSubImage3DEXT)(texture, target, level, xoffset, yoffset, zoffset, width, height, depth, format, imageSize, bits);
  }

  REGAL_DECL void REGAL_CALL glCopyMultiTexImage1DEXT(GLenum texunit, GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLint border)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCopyMultiTexImage1DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", toString(internalformat), ", ", x, ", ", y, ", ", width, ", ", border, ")");;
    #endif
    App("glCopyMultiTexImage1DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", toString(internalformat), ", ", x, ", ", y, ", ", width, ", ", border, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyMultiTexImage1DEXT)(texunit, target, level, internalformat, x, y, width, border);
  }

  REGAL_DECL void REGAL_CALL glCopyMultiTexImage2DEXT(GLenum texunit, GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCopyMultiTexImage2DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", toString(internalformat), ", ", x, ", ", y, ", ", width, ", ", height, ", ", border, ")");;
    #endif
    App("glCopyMultiTexImage2DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", toString(internalformat), ", ", x, ", ", y, ", ", width, ", ", height, ", ", border, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyMultiTexImage2DEXT)(texunit, target, level, internalformat, x, y, width, height, border);
  }

  REGAL_DECL void REGAL_CALL glCopyMultiTexSubImage1DEXT(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCopyMultiTexSubImage1DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", xoffset, ", ", x, ", ", y, ", ", width, ")");;
    #endif
    App("glCopyMultiTexSubImage1DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", xoffset, ", ", x, ", ", y, ", ", width, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyMultiTexSubImage1DEXT)(texunit, target, level, xoffset, x, y, width);
  }

  REGAL_DECL void REGAL_CALL glCopyMultiTexSubImage2DEXT(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCopyMultiTexSubImage2DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", x, ", ", y, ", ", width, ", ", height, ")");;
    #endif
    App("glCopyMultiTexSubImage2DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", x, ", ", y, ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyMultiTexSubImage2DEXT)(texunit, target, level, xoffset, yoffset, x, y, width, height);
  }

  REGAL_DECL void REGAL_CALL glCopyMultiTexSubImage3DEXT(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCopyMultiTexSubImage3DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", x, ", ", y, ", ", width, ", ", height, ")");;
    #endif
    App("glCopyMultiTexSubImage3DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", x, ", ", y, ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyMultiTexSubImage3DEXT)(texunit, target, level, xoffset, yoffset, zoffset, x, y, width, height);
  }

  REGAL_DECL void REGAL_CALL glCopyTextureImage1DEXT(GLuint texture, GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLint border)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCopyTextureImage1DEXT","(", texture, ", ", toString(target), ", ", level, ", ", toString(internalformat), ", ", x, ", ", y, ", ", width, ", ", border, ")");;
    #endif
    App("glCopyTextureImage1DEXT","(", texture, ", ", toString(target), ", ", level, ", ", toString(internalformat), ", ", x, ", ", y, ", ", width, ", ", border, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyTextureImage1DEXT)(texture, target, level, internalformat, x, y, width, border);
  }

  REGAL_DECL void REGAL_CALL glCopyTextureImage2DEXT(GLuint texture, GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCopyTextureImage2DEXT","(", texture, ", ", toString(target), ", ", level, ", ", toString(internalformat), ", ", x, ", ", y, ", ", width, ", ", height, ", ", border, ")");;
    #endif
    App("glCopyTextureImage2DEXT","(", texture, ", ", toString(target), ", ", level, ", ", toString(internalformat), ", ", x, ", ", y, ", ", width, ", ", height, ", ", border, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyTextureImage2DEXT)(texture, target, level, internalformat, x, y, width, height, border);
  }

  REGAL_DECL void REGAL_CALL glCopyTextureSubImage1DEXT(GLuint texture, GLenum target, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCopyTextureSubImage1DEXT","(", texture, ", ", toString(target), ", ", level, ", ", xoffset, ", ", x, ", ", y, ", ", width, ")");;
    #endif
    App("glCopyTextureSubImage1DEXT","(", texture, ", ", toString(target), ", ", level, ", ", xoffset, ", ", x, ", ", y, ", ", width, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyTextureSubImage1DEXT)(texture, target, level, xoffset, x, y, width);
  }

  REGAL_DECL void REGAL_CALL glCopyTextureSubImage2DEXT(GLuint texture, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCopyTextureSubImage2DEXT","(", texture, ", ", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", x, ", ", y, ", ", width, ", ", height, ")");;
    #endif
    App("glCopyTextureSubImage2DEXT","(", texture, ", ", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", x, ", ", y, ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyTextureSubImage2DEXT)(texture, target, level, xoffset, yoffset, x, y, width, height);
  }

  REGAL_DECL void REGAL_CALL glCopyTextureSubImage3DEXT(GLuint texture, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCopyTextureSubImage3DEXT","(", texture, ", ", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", x, ", ", y, ", ", width, ", ", height, ")");;
    #endif
    App("glCopyTextureSubImage3DEXT","(", texture, ", ", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", x, ", ", y, ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyTextureSubImage3DEXT)(texture, target, level, xoffset, yoffset, zoffset, x, y, width, height);
  }

  REGAL_DECL void REGAL_CALL glDisableClientStateIndexedEXT(GLenum array, GLuint index)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDisableClientStateIndexedEXT","(", toString(array), ", ", index, ")");;
    #endif
    App("glDisableClientStateIndexedEXT","(", toString(array), ", ", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDisableClientStateIndexedEXT)(array, index);
  }

  REGAL_DECL void REGAL_CALL glDisableClientStateiEXT(GLenum array, GLuint index)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDisableClientStateiEXT","(", toString(array), ", ", index, ")");;
    #endif
    App("glDisableClientStateiEXT","(", toString(array), ", ", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDisableClientStateiEXT)(array, index);
  }

  REGAL_DECL void REGAL_CALL glDisableVertexArrayAttribEXT(GLuint vaobj, GLuint index)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDisableVertexArrayAttribEXT","(", vaobj, ", ", index, ")");;
    #endif
    App("glDisableVertexArrayAttribEXT","(", vaobj, ", ", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDisableVertexArrayAttribEXT)(vaobj, index);
  }

  REGAL_DECL void REGAL_CALL glDisableVertexArrayEXT(GLuint vaobj, GLenum array)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDisableVertexArrayEXT","(", vaobj, ", ", toString(array), ")");;
    #endif
    App("glDisableVertexArrayEXT","(", vaobj, ", ", toString(array), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDisableVertexArrayEXT)(vaobj, array);
  }

  REGAL_DECL void REGAL_CALL glEnableClientStateIndexedEXT(GLenum array, GLuint index)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEnableClientStateIndexedEXT","(", toString(array), ", ", index, ")");;
    #endif
    App("glEnableClientStateIndexedEXT","(", toString(array), ", ", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEnableClientStateIndexedEXT)(array, index);
  }

  REGAL_DECL void REGAL_CALL glEnableClientStateiEXT(GLenum array, GLuint index)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEnableClientStateiEXT","(", toString(array), ", ", index, ")");;
    #endif
    App("glEnableClientStateiEXT","(", toString(array), ", ", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEnableClientStateiEXT)(array, index);
  }

  REGAL_DECL void REGAL_CALL glEnableVertexArrayAttribEXT(GLuint vaobj, GLuint index)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEnableVertexArrayAttribEXT","(", vaobj, ", ", index, ")");;
    #endif
    App("glEnableVertexArrayAttribEXT","(", vaobj, ", ", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEnableVertexArrayAttribEXT)(vaobj, index);
  }

  REGAL_DECL void REGAL_CALL glEnableVertexArrayEXT(GLuint vaobj, GLenum array)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEnableVertexArrayEXT","(", vaobj, ", ", toString(array), ")");;
    #endif
    App("glEnableVertexArrayEXT","(", vaobj, ", ", toString(array), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEnableVertexArrayEXT)(vaobj, array);
  }

  REGAL_DECL void REGAL_CALL glFlushMappedNamedBufferRangeEXT(GLuint buffer, GLintptr offset, GLsizeiptr length)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFlushMappedNamedBufferRangeEXT","(", buffer, ", ", offset, ", ", length, ")");;
    #endif
    App("glFlushMappedNamedBufferRangeEXT","(", buffer, ", ", offset, ", ", length, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFlushMappedNamedBufferRangeEXT)(buffer, offset, length);
  }

  REGAL_DECL void REGAL_CALL glFramebufferDrawBufferEXT(GLuint framebuffer, GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFramebufferDrawBufferEXT","(", framebuffer, ", ", GLmodeToString(mode), ")");;
    #endif
    App("glFramebufferDrawBufferEXT","(", framebuffer, ", ", GLmodeToString(mode), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferDrawBufferEXT)(framebuffer, mode);
  }

  REGAL_DECL void REGAL_CALL glFramebufferDrawBuffersEXT(GLuint framebuffer, GLsizei n, const GLenum *bufs)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFramebufferDrawBuffersEXT","(", framebuffer, ", ", n, ", ", boost::print::array(bufs,n), ")");;
    #endif
    App("glFramebufferDrawBuffersEXT","(", framebuffer, ", ", n, ", ", boost::print::array(bufs,n), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferDrawBuffersEXT)(framebuffer, n, bufs);
  }

  REGAL_DECL void REGAL_CALL glFramebufferReadBufferEXT(GLuint framebuffer, GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFramebufferReadBufferEXT","(", framebuffer, ", ", GLmodeToString(mode), ")");;
    #endif
    App("glFramebufferReadBufferEXT","(", framebuffer, ", ", GLmodeToString(mode), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferReadBufferEXT)(framebuffer, mode);
  }

  REGAL_DECL void REGAL_CALL glGenerateMultiTexMipmapEXT(GLenum texunit, GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGenerateMultiTexMipmapEXT","(", toString(texunit), ", ", toString(target), ")");;
    #endif
    App("glGenerateMultiTexMipmapEXT","(", toString(texunit), ", ", toString(target), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenerateMultiTexMipmapEXT)(texunit, target);
  }

  REGAL_DECL void REGAL_CALL glGenerateTextureMipmapEXT(GLuint texture, GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGenerateTextureMipmapEXT","(", texture, ", ", toString(target), ")");;
    #endif
    App("glGenerateTextureMipmapEXT","(", texture, ", ", toString(target), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenerateTextureMipmapEXT)(texture, target);
  }

  REGAL_DECL void REGAL_CALL glGetCompressedMultiTexImageEXT(GLenum texunit, GLenum target, GLint lod, GLvoid *img)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetCompressedMultiTexImageEXT","(", toString(texunit), ", ", toString(target), ", ", lod, ")");;
    #endif
    App("glGetCompressedMultiTexImageEXT","(", toString(texunit), ", ", toString(target), ", ", lod, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetCompressedMultiTexImageEXT)(texunit, target, lod, img);
  }

  REGAL_DECL void REGAL_CALL glGetCompressedTextureImageEXT(GLuint texture, GLenum target, GLint lod, GLvoid *img)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetCompressedTextureImageEXT","(", texture, ", ", toString(target), ", ", lod, ")");;
    #endif
    App("glGetCompressedTextureImageEXT","(", texture, ", ", toString(target), ", ", lod, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetCompressedTextureImageEXT)(texture, target, lod, img);
  }

  REGAL_DECL void REGAL_CALL glGetDoubleIndexedvEXT(GLenum target, GLuint index, GLdouble *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetDoubleIndexedvEXT","(", toString(target), ", ", index, ")");;
    #endif
    App("glGetDoubleIndexedvEXT","(", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetDoubleIndexedvEXT)(target, index, data);
  }

  REGAL_DECL void REGAL_CALL glGetDoublei_vEXT(GLenum pname, GLuint index, GLdouble *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetDoublei_vEXT","(", toString(pname), ", ", index, ")");;
    #endif
    App("glGetDoublei_vEXT","(", toString(pname), ", ", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetDoublei_vEXT)(pname, index, params);
  }

  REGAL_DECL void REGAL_CALL glGetFloatIndexedvEXT(GLenum target, GLuint index, GLfloat *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetFloatIndexedvEXT","(", toString(target), ", ", index, ")");;
    #endif
    App("glGetFloatIndexedvEXT","(", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetFloatIndexedvEXT)(target, index, data);
  }

  REGAL_DECL void REGAL_CALL glGetFloati_vEXT(GLenum pname, GLuint index, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetFloati_vEXT","(", toString(pname), ", ", index, ")");;
    #endif
    App("glGetFloati_vEXT","(", toString(pname), ", ", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetFloati_vEXT)(pname, index, params);
  }

  REGAL_DECL void REGAL_CALL glGetFramebufferParameterivEXT(GLuint framebuffer, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetFramebufferParameterivEXT","(", framebuffer, ", ", toString(pname), ")");;
    #endif
    App("glGetFramebufferParameterivEXT","(", framebuffer, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetFramebufferParameterivEXT)(framebuffer, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetMultiTexEnvfvEXT(GLenum texunit, GLenum target, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetMultiTexEnvfvEXT","(", toString(texunit), ", ", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetMultiTexEnvfvEXT","(", toString(texunit), ", ", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMultiTexEnvfvEXT)(texunit, target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetMultiTexEnvivEXT(GLenum texunit, GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetMultiTexEnvivEXT","(", toString(texunit), ", ", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetMultiTexEnvivEXT","(", toString(texunit), ", ", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMultiTexEnvivEXT)(texunit, target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetMultiTexGendvEXT(GLenum texunit, GLenum coord, GLenum pname, GLdouble *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetMultiTexGendvEXT","(", toString(texunit), ", ", toString(coord), ", ", toString(pname), ")");;
    #endif
    App("glGetMultiTexGendvEXT","(", toString(texunit), ", ", toString(coord), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMultiTexGendvEXT)(texunit, coord, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetMultiTexGenfvEXT(GLenum texunit, GLenum coord, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetMultiTexGenfvEXT","(", toString(texunit), ", ", toString(coord), ", ", toString(pname), ")");;
    #endif
    App("glGetMultiTexGenfvEXT","(", toString(texunit), ", ", toString(coord), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMultiTexGenfvEXT)(texunit, coord, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetMultiTexGenivEXT(GLenum texunit, GLenum coord, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetMultiTexGenivEXT","(", toString(texunit), ", ", toString(coord), ", ", toString(pname), ")");;
    #endif
    App("glGetMultiTexGenivEXT","(", toString(texunit), ", ", toString(coord), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMultiTexGenivEXT)(texunit, coord, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetMultiTexImageEXT(GLenum texunit, GLenum target, GLint level, GLenum format, GLenum type, GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetMultiTexImageEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", toString(format), ", ", toString(type), ")");;
    #endif
    App("glGetMultiTexImageEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", toString(format), ", ", toString(type), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMultiTexImageEXT)(texunit, target, level, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glGetMultiTexLevelParameterfvEXT(GLenum texunit, GLenum target, GLint level, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetMultiTexLevelParameterfvEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", toString(pname), ")");;
    #endif
    App("glGetMultiTexLevelParameterfvEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMultiTexLevelParameterfvEXT)(texunit, target, level, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetMultiTexLevelParameterivEXT(GLenum texunit, GLenum target, GLint level, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetMultiTexLevelParameterivEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", toString(pname), ")");;
    #endif
    App("glGetMultiTexLevelParameterivEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMultiTexLevelParameterivEXT)(texunit, target, level, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetMultiTexParameterIivEXT(GLenum texunit, GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetMultiTexParameterIivEXT","(", toString(texunit), ", ", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetMultiTexParameterIivEXT","(", toString(texunit), ", ", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMultiTexParameterIivEXT)(texunit, target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetMultiTexParameterIuivEXT(GLenum texunit, GLenum target, GLenum pname, GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetMultiTexParameterIuivEXT","(", toString(texunit), ", ", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetMultiTexParameterIuivEXT","(", toString(texunit), ", ", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMultiTexParameterIuivEXT)(texunit, target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetMultiTexParameterfvEXT(GLenum texunit, GLenum target, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetMultiTexParameterfvEXT","(", toString(texunit), ", ", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetMultiTexParameterfvEXT","(", toString(texunit), ", ", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMultiTexParameterfvEXT)(texunit, target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetMultiTexParameterivEXT(GLenum texunit, GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetMultiTexParameterivEXT","(", toString(texunit), ", ", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetMultiTexParameterivEXT","(", toString(texunit), ", ", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMultiTexParameterivEXT)(texunit, target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetNamedBufferParameterivEXT(GLuint buffer, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetNamedBufferParameterivEXT","(", buffer, ", ", toString(pname), ")");;
    #endif
    App("glGetNamedBufferParameterivEXT","(", buffer, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetNamedBufferParameterivEXT)(buffer, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetNamedBufferPointervEXT(GLuint buffer, GLenum pname, GLvoid **params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetNamedBufferPointervEXT","(", buffer, ", ", toString(pname), ")");;
    #endif
    App("glGetNamedBufferPointervEXT","(", buffer, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetNamedBufferPointervEXT)(buffer, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetNamedBufferSubDataEXT(GLuint buffer, GLintptr offset, GLsizeiptr size, GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetNamedBufferSubDataEXT","(", buffer, ", ", offset, ", ", size, ")");;
    #endif
    App("glGetNamedBufferSubDataEXT","(", buffer, ", ", offset, ", ", size, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetNamedBufferSubDataEXT)(buffer, offset, size, data);
  }

  REGAL_DECL void REGAL_CALL glGetNamedFramebufferAttachmentParameterivEXT(GLuint framebuffer, GLenum attachment, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetNamedFramebufferAttachmentParameterivEXT","(", framebuffer, ", ", toString(attachment), ", ", toString(pname), ")");;
    #endif
    App("glGetNamedFramebufferAttachmentParameterivEXT","(", framebuffer, ", ", toString(attachment), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetNamedFramebufferAttachmentParameterivEXT)(framebuffer, attachment, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetNamedProgramLocalParameterIivEXT(GLuint program, GLenum target, GLuint index, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetNamedProgramLocalParameterIivEXT","(", program, ", ", toString(target), ", ", index, ")");;
    #endif
    App("glGetNamedProgramLocalParameterIivEXT","(", program, ", ", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetNamedProgramLocalParameterIivEXT)(program, target, index, params);
  }

  REGAL_DECL void REGAL_CALL glGetNamedProgramLocalParameterIuivEXT(GLuint program, GLenum target, GLuint index, GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetNamedProgramLocalParameterIuivEXT","(", program, ", ", toString(target), ", ", index, ")");;
    #endif
    App("glGetNamedProgramLocalParameterIuivEXT","(", program, ", ", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetNamedProgramLocalParameterIuivEXT)(program, target, index, params);
  }

  REGAL_DECL void REGAL_CALL glGetNamedProgramLocalParameterdvEXT(GLuint program, GLenum target, GLuint index, GLdouble *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetNamedProgramLocalParameterdvEXT","(", program, ", ", toString(target), ", ", index, ")");;
    #endif
    App("glGetNamedProgramLocalParameterdvEXT","(", program, ", ", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetNamedProgramLocalParameterdvEXT)(program, target, index, params);
  }

  REGAL_DECL void REGAL_CALL glGetNamedProgramLocalParameterfvEXT(GLuint program, GLenum target, GLuint index, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetNamedProgramLocalParameterfvEXT","(", program, ", ", toString(target), ", ", index, ")");;
    #endif
    App("glGetNamedProgramLocalParameterfvEXT","(", program, ", ", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetNamedProgramLocalParameterfvEXT)(program, target, index, params);
  }

  REGAL_DECL void REGAL_CALL glGetNamedProgramStringEXT(GLuint program, GLenum target, GLenum pname, GLvoid *string)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetNamedProgramStringEXT","(", program, ", ", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetNamedProgramStringEXT","(", program, ", ", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetNamedProgramStringEXT)(program, target, pname, string);
  }

  REGAL_DECL void REGAL_CALL glGetNamedProgramivEXT(GLuint program, GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetNamedProgramivEXT","(", program, ", ", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetNamedProgramivEXT","(", program, ", ", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetNamedProgramivEXT)(program, target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetNamedRenderbufferParameterivEXT(GLuint renderbuffer, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetNamedRenderbufferParameterivEXT","(", renderbuffer, ", ", toString(pname), ")");;
    #endif
    App("glGetNamedRenderbufferParameterivEXT","(", renderbuffer, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetNamedRenderbufferParameterivEXT)(renderbuffer, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetPointerIndexedvEXT(GLenum target, GLuint index, GLvoid **data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetPointerIndexedvEXT","(", toString(target), ", ", index, ")");;
    #endif
    App("glGetPointerIndexedvEXT","(", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPointerIndexedvEXT)(target, index, data);
  }

  REGAL_DECL void REGAL_CALL glGetPointeri_vEXT(GLenum pname, GLuint index, GLvoid **params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetPointeri_vEXT","(", toString(pname), ", ", index, ")");;
    #endif
    App("glGetPointeri_vEXT","(", toString(pname), ", ", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPointeri_vEXT)(pname, index, params);
  }

  REGAL_DECL void REGAL_CALL glGetTextureImageEXT(GLuint texture, GLenum target, GLint level, GLenum format, GLenum type, GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTextureImageEXT","(", texture, ", ", toString(target), ", ", level, ", ", toString(format), ", ", toString(type), ")");;
    #endif
    App("glGetTextureImageEXT","(", texture, ", ", toString(target), ", ", level, ", ", toString(format), ", ", toString(type), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTextureImageEXT)(texture, target, level, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glGetTextureLevelParameterfvEXT(GLuint texture, GLenum target, GLint level, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTextureLevelParameterfvEXT","(", texture, ", ", toString(target), ", ", level, ", ", toString(pname), ")");;
    #endif
    App("glGetTextureLevelParameterfvEXT","(", texture, ", ", toString(target), ", ", level, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTextureLevelParameterfvEXT)(texture, target, level, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetTextureLevelParameterivEXT(GLuint texture, GLenum target, GLint level, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTextureLevelParameterivEXT","(", texture, ", ", toString(target), ", ", level, ", ", toString(pname), ")");;
    #endif
    App("glGetTextureLevelParameterivEXT","(", texture, ", ", toString(target), ", ", level, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTextureLevelParameterivEXT)(texture, target, level, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetTextureParameterIivEXT(GLuint texture, GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTextureParameterIivEXT","(", texture, ", ", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetTextureParameterIivEXT","(", texture, ", ", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTextureParameterIivEXT)(texture, target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetTextureParameterIuivEXT(GLuint texture, GLenum target, GLenum pname, GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTextureParameterIuivEXT","(", texture, ", ", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetTextureParameterIuivEXT","(", texture, ", ", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTextureParameterIuivEXT)(texture, target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetTextureParameterfvEXT(GLuint texture, GLenum target, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTextureParameterfvEXT","(", texture, ", ", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetTextureParameterfvEXT","(", texture, ", ", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTextureParameterfvEXT)(texture, target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetTextureParameterivEXT(GLuint texture, GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTextureParameterivEXT","(", texture, ", ", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetTextureParameterivEXT","(", texture, ", ", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTextureParameterivEXT)(texture, target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetVertexArrayIntegeri_vEXT(GLuint vaobj, GLuint index, GLenum pname, GLint *param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetVertexArrayIntegeri_vEXT","(", vaobj, ", ", index, ", ", toString(pname), ")");;
    #endif
    App("glGetVertexArrayIntegeri_vEXT","(", vaobj, ", ", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexArrayIntegeri_vEXT)(vaobj, index, pname, param);
  }

  REGAL_DECL void REGAL_CALL glGetVertexArrayIntegervEXT(GLuint vaobj, GLenum pname, GLint *param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetVertexArrayIntegervEXT","(", vaobj, ", ", toString(pname), ")");;
    #endif
    App("glGetVertexArrayIntegervEXT","(", vaobj, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexArrayIntegervEXT)(vaobj, pname, param);
  }

  REGAL_DECL void REGAL_CALL glGetVertexArrayPointeri_vEXT(GLuint vaobj, GLuint index, GLenum pname, GLvoid **param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetVertexArrayPointeri_vEXT","(", vaobj, ", ", index, ", ", toString(pname), ")");;
    #endif
    App("glGetVertexArrayPointeri_vEXT","(", vaobj, ", ", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexArrayPointeri_vEXT)(vaobj, index, pname, param);
  }

  REGAL_DECL void REGAL_CALL glGetVertexArrayPointervEXT(GLuint vaobj, GLenum pname, GLvoid **param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetVertexArrayPointervEXT","(", vaobj, ", ", toString(pname), ")");;
    #endif
    App("glGetVertexArrayPointervEXT","(", vaobj, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexArrayPointervEXT)(vaobj, pname, param);
  }

  REGAL_DECL void *REGAL_CALL glMapNamedBufferEXT(GLuint buffer, GLenum access)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMapNamedBufferEXT","(", buffer, ", ", toString(access), ")");;
    #endif
    App("glMapNamedBufferEXT","(", buffer, ", ", toString(access), ")");
    if (!_context) return NULL;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glMapNamedBufferEXT)(buffer, access);
  }

  REGAL_DECL void *REGAL_CALL glMapNamedBufferRangeEXT(GLuint buffer, GLintptr offset, GLsizeiptr length, GLbitfield access)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMapNamedBufferRangeEXT","(", buffer, ", ", offset, ", ", length, ", ", GLmapBufferRangeToString(access), ")");;
    #endif
    App("glMapNamedBufferRangeEXT","(", buffer, ", ", offset, ", ", length, ", ", GLmapBufferRangeToString(access), ")");
    if (!_context) return NULL;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glMapNamedBufferRangeEXT)(buffer, offset, length, access);
  }

  REGAL_DECL void REGAL_CALL glMatrixFrustumEXT(GLenum mode, GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble zNear, GLdouble zFar)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMatrixFrustumEXT","(", GLmodeToString(mode), ", ", left, ", ", right, ", ", bottom, ", ", top, ", ", zNear, ", ", zFar, ")");;
    #endif
    App("glMatrixFrustumEXT","(", GLmodeToString(mode), ", ", left, ", ", right, ", ", bottom, ", ", top, ", ", zNear, ", ", zFar, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixFrustumEXT)(mode, left, right, bottom, top, zNear, zFar);
  }

  REGAL_DECL void REGAL_CALL glMatrixLoadIdentityEXT(GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMatrixLoadIdentityEXT","(", GLmodeToString(mode), ")");;
    #endif
    App("glMatrixLoadIdentityEXT","(", GLmodeToString(mode), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixLoadIdentityEXT)(mode);
  }

  REGAL_DECL void REGAL_CALL glMatrixLoadTransposedEXT(GLenum mode, const GLdouble *m)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMatrixLoadTransposedEXT","(", GLmodeToString(mode), ", ", boost::print::array(m,16), ")");;
    #endif
    App("glMatrixLoadTransposedEXT","(", GLmodeToString(mode), ", ", boost::print::array(m,16), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixLoadTransposedEXT)(mode, m);
  }

  REGAL_DECL void REGAL_CALL glMatrixLoadTransposefEXT(GLenum mode, const GLfloat *m)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMatrixLoadTransposefEXT","(", GLmodeToString(mode), ", ", boost::print::array(m,16), ")");;
    #endif
    App("glMatrixLoadTransposefEXT","(", GLmodeToString(mode), ", ", boost::print::array(m,16), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixLoadTransposefEXT)(mode, m);
  }

  REGAL_DECL void REGAL_CALL glMatrixLoaddEXT(GLenum mode, const GLdouble *m)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMatrixLoaddEXT","(", GLmodeToString(mode), ", ", boost::print::array(m,16), ")");;
    #endif
    App("glMatrixLoaddEXT","(", GLmodeToString(mode), ", ", boost::print::array(m,16), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixLoaddEXT)(mode, m);
  }

  REGAL_DECL void REGAL_CALL glMatrixLoadfEXT(GLenum mode, const GLfloat *m)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMatrixLoadfEXT","(", GLmodeToString(mode), ", ", boost::print::array(m,16), ")");;
    #endif
    App("glMatrixLoadfEXT","(", GLmodeToString(mode), ", ", boost::print::array(m,16), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixLoadfEXT)(mode, m);
  }

  REGAL_DECL void REGAL_CALL glMatrixMultTransposedEXT(GLenum mode, const GLdouble *m)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMatrixMultTransposedEXT","(", GLmodeToString(mode), ", ", boost::print::array(m,16), ")");;
    #endif
    App("glMatrixMultTransposedEXT","(", GLmodeToString(mode), ", ", boost::print::array(m,16), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixMultTransposedEXT)(mode, m);
  }

  REGAL_DECL void REGAL_CALL glMatrixMultTransposefEXT(GLenum mode, const GLfloat *m)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMatrixMultTransposefEXT","(", GLmodeToString(mode), ", ", boost::print::array(m,16), ")");;
    #endif
    App("glMatrixMultTransposefEXT","(", GLmodeToString(mode), ", ", boost::print::array(m,16), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixMultTransposefEXT)(mode, m);
  }

  REGAL_DECL void REGAL_CALL glMatrixMultdEXT(GLenum mode, const GLdouble *m)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMatrixMultdEXT","(", GLmodeToString(mode), ", ", boost::print::array(m,16), ")");;
    #endif
    App("glMatrixMultdEXT","(", GLmodeToString(mode), ", ", boost::print::array(m,16), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixMultdEXT)(mode, m);
  }

  REGAL_DECL void REGAL_CALL glMatrixMultfEXT(GLenum mode, const GLfloat *m)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMatrixMultfEXT","(", GLmodeToString(mode), ", ", boost::print::array(m,16), ")");;
    #endif
    App("glMatrixMultfEXT","(", GLmodeToString(mode), ", ", boost::print::array(m,16), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixMultfEXT)(mode, m);
  }

  REGAL_DECL void REGAL_CALL glMatrixOrthoEXT(GLenum mode, GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble zNear, GLdouble zFar)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMatrixOrthoEXT","(", GLmodeToString(mode), ", ", left, ", ", right, ", ", bottom, ", ", top, ", ", zNear, ", ", zFar, ")");;
    #endif
    App("glMatrixOrthoEXT","(", GLmodeToString(mode), ", ", left, ", ", right, ", ", bottom, ", ", top, ", ", zNear, ", ", zFar, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixOrthoEXT)(mode, left, right, bottom, top, zNear, zFar);
  }

  REGAL_DECL void REGAL_CALL glMatrixPopEXT(GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    if (_context)
      _context->depthPushMatrix--;
    #if REGAL_HTTP
    _context->http.callString = print_string("glMatrixPopEXT","(", GLmodeToString(mode), ")");;
    #endif
    App("glMatrixPopEXT","(", GLmodeToString(mode), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixPopEXT)(mode);
  }

  REGAL_DECL void REGAL_CALL glMatrixPushEXT(GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMatrixPushEXT","(", GLmodeToString(mode), ")");;
    #endif
    App("glMatrixPushEXT","(", GLmodeToString(mode), ")");
    if (!_context) return;
    RegalAssert(_context);
    _context->depthPushMatrix++;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixPushEXT)(mode);
  }

  REGAL_DECL void REGAL_CALL glMatrixRotatedEXT(GLenum mode, GLdouble angle, GLdouble x, GLdouble y, GLdouble z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMatrixRotatedEXT","(", GLmodeToString(mode), ", ", angle, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glMatrixRotatedEXT","(", GLmodeToString(mode), ", ", angle, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixRotatedEXT)(mode, angle, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glMatrixRotatefEXT(GLenum mode, GLfloat angle, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMatrixRotatefEXT","(", GLmodeToString(mode), ", ", angle, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glMatrixRotatefEXT","(", GLmodeToString(mode), ", ", angle, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixRotatefEXT)(mode, angle, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glMatrixScaledEXT(GLenum mode, GLdouble x, GLdouble y, GLdouble z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMatrixScaledEXT","(", GLmodeToString(mode), ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glMatrixScaledEXT","(", GLmodeToString(mode), ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixScaledEXT)(mode, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glMatrixScalefEXT(GLenum mode, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMatrixScalefEXT","(", GLmodeToString(mode), ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glMatrixScalefEXT","(", GLmodeToString(mode), ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixScalefEXT)(mode, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glMatrixTranslatedEXT(GLenum mode, GLdouble x, GLdouble y, GLdouble z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMatrixTranslatedEXT","(", GLmodeToString(mode), ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glMatrixTranslatedEXT","(", GLmodeToString(mode), ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixTranslatedEXT)(mode, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glMatrixTranslatefEXT(GLenum mode, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMatrixTranslatefEXT","(", GLmodeToString(mode), ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glMatrixTranslatefEXT","(", GLmodeToString(mode), ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixTranslatefEXT)(mode, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glMultiTexBufferEXT(GLenum texunit, GLenum target, GLenum internalformat, GLuint buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexBufferEXT","(", toString(texunit), ", ", toString(target), ", ", toString(internalformat), ", ", buffer, ")");;
    #endif
    App("glMultiTexBufferEXT","(", toString(texunit), ", ", toString(target), ", ", toString(internalformat), ", ", buffer, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexBufferEXT)(texunit, target, internalformat, buffer);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoordPointerEXT(GLenum texunit, GLint size, GLenum type, GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoordPointerEXT","(", toString(texunit), ", ", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");;
    #endif
    App("glMultiTexCoordPointerEXT","(", toString(texunit), ", ", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoordPointerEXT)(texunit, size, type, stride, pointer);
  }

  REGAL_DECL void REGAL_CALL glMultiTexEnvfEXT(GLenum texunit, GLenum target, GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexEnvfEXT","(", toString(texunit), ", ", toString(target), ", ", toString(pname), ", ", param, ")");;
    #endif
    App("glMultiTexEnvfEXT","(", toString(texunit), ", ", toString(target), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexEnvfEXT)(texunit, target, pname, param);
  }

  REGAL_DECL void REGAL_CALL glMultiTexEnvfvEXT(GLenum texunit, GLenum target, GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexEnvfvEXT","(", toString(texunit), ", ", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glMultiTexEnvfvEXT","(", toString(texunit), ", ", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexEnvfvEXT)(texunit, target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glMultiTexEnviEXT(GLenum texunit, GLenum target, GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexEnviEXT","(", toString(texunit), ", ", toString(target), ", ", toString(pname), ", ", param, ")");;
    #endif
    App("glMultiTexEnviEXT","(", toString(texunit), ", ", toString(target), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexEnviEXT)(texunit, target, pname, param);
  }

  REGAL_DECL void REGAL_CALL glMultiTexEnvivEXT(GLenum texunit, GLenum target, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexEnvivEXT","(", toString(texunit), ", ", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glMultiTexEnvivEXT","(", toString(texunit), ", ", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexEnvivEXT)(texunit, target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glMultiTexGendEXT(GLenum texunit, GLenum coord, GLenum pname, GLdouble param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexGendEXT","(", toString(texunit), ", ", toString(coord), ", ", toString(pname), ", ", param, ")");;
    #endif
    App("glMultiTexGendEXT","(", toString(texunit), ", ", toString(coord), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexGendEXT)(texunit, coord, pname, param);
  }

  REGAL_DECL void REGAL_CALL glMultiTexGendvEXT(GLenum texunit, GLenum coord, GLenum pname, const GLdouble *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexGendvEXT","(", toString(texunit), ", ", toString(coord), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glMultiTexGendvEXT","(", toString(texunit), ", ", toString(coord), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexGendvEXT)(texunit, coord, pname, params);
  }

  REGAL_DECL void REGAL_CALL glMultiTexGenfEXT(GLenum texunit, GLenum coord, GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexGenfEXT","(", toString(texunit), ", ", toString(coord), ", ", toString(pname), ", ", param, ")");;
    #endif
    App("glMultiTexGenfEXT","(", toString(texunit), ", ", toString(coord), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexGenfEXT)(texunit, coord, pname, param);
  }

  REGAL_DECL void REGAL_CALL glMultiTexGenfvEXT(GLenum texunit, GLenum coord, GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexGenfvEXT","(", toString(texunit), ", ", toString(coord), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glMultiTexGenfvEXT","(", toString(texunit), ", ", toString(coord), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexGenfvEXT)(texunit, coord, pname, params);
  }

  REGAL_DECL void REGAL_CALL glMultiTexGeniEXT(GLenum texunit, GLenum coord, GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexGeniEXT","(", toString(texunit), ", ", toString(coord), ", ", toString(pname), ", ", param, ")");;
    #endif
    App("glMultiTexGeniEXT","(", toString(texunit), ", ", toString(coord), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexGeniEXT)(texunit, coord, pname, param);
  }

  REGAL_DECL void REGAL_CALL glMultiTexGenivEXT(GLenum texunit, GLenum coord, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexGenivEXT","(", toString(texunit), ", ", toString(coord), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glMultiTexGenivEXT","(", toString(texunit), ", ", toString(coord), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexGenivEXT)(texunit, coord, pname, params);
  }

  REGAL_DECL void REGAL_CALL glMultiTexImage1DEXT(GLenum texunit, GLenum target, GLint level, GLint internalformat, GLsizei width, GLint border, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexImage1DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", internalformat, ", ", width, ", ", border, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(pixels,Logging::pointers), ")");;
    #endif
    App("glMultiTexImage1DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", internalformat, ", ", width, ", ", border, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(pixels,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexImage1DEXT)(texunit, target, level, internalformat, width, border, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glMultiTexImage2DEXT(GLenum texunit, GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexImage2DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", internalformat, ", ", width, ", ", height, ", ", border, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(pixels,Logging::pointers), ")");;
    #endif
    App("glMultiTexImage2DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", internalformat, ", ", width, ", ", height, ", ", border, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(pixels,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexImage2DEXT)(texunit, target, level, internalformat, width, height, border, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glMultiTexImage3DEXT(GLenum texunit, GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexImage3DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", internalformat, ", ", width, ", ", height, ", ", depth, ", ", border, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(pixels,Logging::pointers), ")");;
    #endif
    App("glMultiTexImage3DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", internalformat, ", ", width, ", ", height, ", ", depth, ", ", border, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(pixels,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexImage3DEXT)(texunit, target, level, internalformat, width, height, depth, border, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glMultiTexParameterIivEXT(GLenum texunit, GLenum target, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexParameterIivEXT","(", toString(texunit), ", ", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glMultiTexParameterIivEXT","(", toString(texunit), ", ", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexParameterIivEXT)(texunit, target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glMultiTexParameterIuivEXT(GLenum texunit, GLenum target, GLenum pname, const GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexParameterIuivEXT","(", toString(texunit), ", ", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glMultiTexParameterIuivEXT","(", toString(texunit), ", ", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexParameterIuivEXT)(texunit, target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glMultiTexParameterfEXT(GLenum texunit, GLenum target, GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexParameterfEXT","(", toString(texunit), ", ", toString(target), ", ", toString(pname), ", ", param, ")");;
    #endif
    App("glMultiTexParameterfEXT","(", toString(texunit), ", ", toString(target), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexParameterfEXT)(texunit, target, pname, param);
  }

  REGAL_DECL void REGAL_CALL glMultiTexParameterfvEXT(GLenum texunit, GLenum target, GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexParameterfvEXT","(", toString(texunit), ", ", toString(target), ", ", toString(pname), ", ", boost::print::array(params,helper::size::texParameterv(pname)), ")");;
    #endif
    App("glMultiTexParameterfvEXT","(", toString(texunit), ", ", toString(target), ", ", toString(pname), ", ", boost::print::array(params,helper::size::texParameterv(pname)), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexParameterfvEXT)(texunit, target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glMultiTexParameteriEXT(GLenum texunit, GLenum target, GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexParameteriEXT","(", toString(texunit), ", ", toString(target), ", ", toString(pname), ", ", param, ")");;
    #endif
    App("glMultiTexParameteriEXT","(", toString(texunit), ", ", toString(target), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexParameteriEXT)(texunit, target, pname, param);
  }

  REGAL_DECL void REGAL_CALL glMultiTexParameterivEXT(GLenum texunit, GLenum target, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexParameterivEXT","(", toString(texunit), ", ", toString(target), ", ", toString(pname), ", ", boost::print::array(params,helper::size::texParameterv(pname)), ")");;
    #endif
    App("glMultiTexParameterivEXT","(", toString(texunit), ", ", toString(target), ", ", toString(pname), ", ", boost::print::array(params,helper::size::texParameterv(pname)), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexParameterivEXT)(texunit, target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glMultiTexRenderbufferEXT(GLenum texunit, GLenum target, GLuint renderbuffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexRenderbufferEXT","(", toString(texunit), ", ", toString(target), ", ", renderbuffer, ")");;
    #endif
    App("glMultiTexRenderbufferEXT","(", toString(texunit), ", ", toString(target), ", ", renderbuffer, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexRenderbufferEXT)(texunit, target, renderbuffer);
  }

  REGAL_DECL void REGAL_CALL glMultiTexSubImage1DEXT(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexSubImage1DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", xoffset, ", ", width, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(pixels,Logging::pointers), ")");;
    #endif
    App("glMultiTexSubImage1DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", xoffset, ", ", width, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(pixels,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexSubImage1DEXT)(texunit, target, level, xoffset, width, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glMultiTexSubImage2DEXT(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexSubImage2DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", width, ", ", height, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(pixels,Logging::pointers), ")");;
    #endif
    App("glMultiTexSubImage2DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", width, ", ", height, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(pixels,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexSubImage2DEXT)(texunit, target, level, xoffset, yoffset, width, height, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glMultiTexSubImage3DEXT(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexSubImage3DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(pixels,Logging::pointers), ")");;
    #endif
    App("glMultiTexSubImage3DEXT","(", toString(texunit), ", ", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(pixels,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexSubImage3DEXT)(texunit, target, level, xoffset, yoffset, zoffset, width, height, depth, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glNamedBufferDataEXT(GLuint buffer, GLsizeiptr size, const GLvoid *data, GLenum usage)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNamedBufferDataEXT","(", buffer, ", ", size, ", ", boost::print::optional(data,Logging::pointers), ", ", toString(usage), ")");;
    #endif
    App("glNamedBufferDataEXT","(", buffer, ", ", size, ", ", boost::print::optional(data,Logging::pointers), ", ", toString(usage), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedBufferDataEXT)(buffer, size, data, usage);
  }

  REGAL_DECL void REGAL_CALL glNamedBufferSubDataEXT(GLuint buffer, GLintptr offset, GLsizeiptr size, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNamedBufferSubDataEXT","(", buffer, ", ", offset, ", ", size, ", ", boost::print::optional(data,Logging::pointers), ")");;
    #endif
    App("glNamedBufferSubDataEXT","(", buffer, ", ", offset, ", ", size, ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedBufferSubDataEXT)(buffer, offset, size, data);
  }

  REGAL_DECL void REGAL_CALL glNamedCopyBufferSubDataEXT(GLuint readBuffer, GLuint writeBuffer, GLintptr readOffset, GLintptr writeOffset, GLsizeiptr size)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNamedCopyBufferSubDataEXT","(", readBuffer, ", ", writeBuffer, ", ", readOffset, ", ", writeOffset, ", ", size, ")");;
    #endif
    App("glNamedCopyBufferSubDataEXT","(", readBuffer, ", ", writeBuffer, ", ", readOffset, ", ", writeOffset, ", ", size, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedCopyBufferSubDataEXT)(readBuffer, writeBuffer, readOffset, writeOffset, size);
  }

  REGAL_DECL void REGAL_CALL glNamedFramebufferRenderbufferEXT(GLuint framebuffer, GLenum attachment, GLenum renderbuffertarget, GLuint renderbuffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNamedFramebufferRenderbufferEXT","(", framebuffer, ", ", toString(attachment), ", ", toString(renderbuffertarget), ", ", renderbuffer, ")");;
    #endif
    App("glNamedFramebufferRenderbufferEXT","(", framebuffer, ", ", toString(attachment), ", ", toString(renderbuffertarget), ", ", renderbuffer, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedFramebufferRenderbufferEXT)(framebuffer, attachment, renderbuffertarget, renderbuffer);
  }

  REGAL_DECL void REGAL_CALL glNamedFramebufferTexture1DEXT(GLuint framebuffer, GLenum attachment, GLenum textarget, GLuint texture, GLint level)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNamedFramebufferTexture1DEXT","(", framebuffer, ", ", toString(attachment), ", ", toString(textarget), ", ", texture, ", ", level, ")");;
    #endif
    App("glNamedFramebufferTexture1DEXT","(", framebuffer, ", ", toString(attachment), ", ", toString(textarget), ", ", texture, ", ", level, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedFramebufferTexture1DEXT)(framebuffer, attachment, textarget, texture, level);
  }

  REGAL_DECL void REGAL_CALL glNamedFramebufferTexture2DEXT(GLuint framebuffer, GLenum attachment, GLenum textarget, GLuint texture, GLint level)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNamedFramebufferTexture2DEXT","(", framebuffer, ", ", toString(attachment), ", ", toString(textarget), ", ", texture, ", ", level, ")");;
    #endif
    App("glNamedFramebufferTexture2DEXT","(", framebuffer, ", ", toString(attachment), ", ", toString(textarget), ", ", texture, ", ", level, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedFramebufferTexture2DEXT)(framebuffer, attachment, textarget, texture, level);
  }

  REGAL_DECL void REGAL_CALL glNamedFramebufferTexture3DEXT(GLuint framebuffer, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLint zoffset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNamedFramebufferTexture3DEXT","(", framebuffer, ", ", toString(attachment), ", ", toString(textarget), ", ", texture, ", ", level, ", ", zoffset, ")");;
    #endif
    App("glNamedFramebufferTexture3DEXT","(", framebuffer, ", ", toString(attachment), ", ", toString(textarget), ", ", texture, ", ", level, ", ", zoffset, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedFramebufferTexture3DEXT)(framebuffer, attachment, textarget, texture, level, zoffset);
  }

  REGAL_DECL void REGAL_CALL glNamedFramebufferTextureEXT(GLuint framebuffer, GLenum attachment, GLuint texture, GLint level)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNamedFramebufferTextureEXT","(", framebuffer, ", ", toString(attachment), ", ", texture, ", ", level, ")");;
    #endif
    App("glNamedFramebufferTextureEXT","(", framebuffer, ", ", toString(attachment), ", ", texture, ", ", level, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedFramebufferTextureEXT)(framebuffer, attachment, texture, level);
  }

  REGAL_DECL void REGAL_CALL glNamedFramebufferTextureFaceEXT(GLuint framebuffer, GLenum attachment, GLuint texture, GLint level, GLenum face)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNamedFramebufferTextureFaceEXT","(", framebuffer, ", ", toString(attachment), ", ", texture, ", ", level, ", ", toString(face), ")");;
    #endif
    App("glNamedFramebufferTextureFaceEXT","(", framebuffer, ", ", toString(attachment), ", ", texture, ", ", level, ", ", toString(face), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedFramebufferTextureFaceEXT)(framebuffer, attachment, texture, level, face);
  }

  REGAL_DECL void REGAL_CALL glNamedFramebufferTextureLayerEXT(GLuint framebuffer, GLenum attachment, GLuint texture, GLint level, GLint layer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNamedFramebufferTextureLayerEXT","(", framebuffer, ", ", toString(attachment), ", ", texture, ", ", level, ", ", layer, ")");;
    #endif
    App("glNamedFramebufferTextureLayerEXT","(", framebuffer, ", ", toString(attachment), ", ", texture, ", ", level, ", ", layer, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedFramebufferTextureLayerEXT)(framebuffer, attachment, texture, level, layer);
  }

  REGAL_DECL void REGAL_CALL glNamedProgramLocalParameter4dEXT(GLuint program, GLenum target, GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNamedProgramLocalParameter4dEXT","(", program, ", ", toString(target), ", ", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glNamedProgramLocalParameter4dEXT","(", program, ", ", toString(target), ", ", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedProgramLocalParameter4dEXT)(program, target, index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glNamedProgramLocalParameter4dvEXT(GLuint program, GLenum target, GLuint index, const GLdouble *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNamedProgramLocalParameter4dvEXT","(", program, ", ", toString(target), ", ", index, ", ", boost::print::array(params,4), ")");;
    #endif
    App("glNamedProgramLocalParameter4dvEXT","(", program, ", ", toString(target), ", ", index, ", ", boost::print::array(params,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedProgramLocalParameter4dvEXT)(program, target, index, params);
  }

  REGAL_DECL void REGAL_CALL glNamedProgramLocalParameter4fEXT(GLuint program, GLenum target, GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNamedProgramLocalParameter4fEXT","(", program, ", ", toString(target), ", ", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glNamedProgramLocalParameter4fEXT","(", program, ", ", toString(target), ", ", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedProgramLocalParameter4fEXT)(program, target, index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glNamedProgramLocalParameter4fvEXT(GLuint program, GLenum target, GLuint index, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNamedProgramLocalParameter4fvEXT","(", program, ", ", toString(target), ", ", index, ", ", boost::print::array(params,4), ")");;
    #endif
    App("glNamedProgramLocalParameter4fvEXT","(", program, ", ", toString(target), ", ", index, ", ", boost::print::array(params,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedProgramLocalParameter4fvEXT)(program, target, index, params);
  }

  REGAL_DECL void REGAL_CALL glNamedProgramLocalParameterI4iEXT(GLuint program, GLenum target, GLuint index, GLint x, GLint y, GLint z, GLint w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNamedProgramLocalParameterI4iEXT","(", program, ", ", toString(target), ", ", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glNamedProgramLocalParameterI4iEXT","(", program, ", ", toString(target), ", ", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedProgramLocalParameterI4iEXT)(program, target, index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glNamedProgramLocalParameterI4ivEXT(GLuint program, GLenum target, GLuint index, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNamedProgramLocalParameterI4ivEXT","(", program, ", ", toString(target), ", ", index, ", ", boost::print::array(params,4), ")");;
    #endif
    App("glNamedProgramLocalParameterI4ivEXT","(", program, ", ", toString(target), ", ", index, ", ", boost::print::array(params,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedProgramLocalParameterI4ivEXT)(program, target, index, params);
  }

  REGAL_DECL void REGAL_CALL glNamedProgramLocalParameterI4uiEXT(GLuint program, GLenum target, GLuint index, GLuint x, GLuint y, GLuint z, GLuint w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNamedProgramLocalParameterI4uiEXT","(", program, ", ", toString(target), ", ", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glNamedProgramLocalParameterI4uiEXT","(", program, ", ", toString(target), ", ", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedProgramLocalParameterI4uiEXT)(program, target, index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glNamedProgramLocalParameterI4uivEXT(GLuint program, GLenum target, GLuint index, const GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNamedProgramLocalParameterI4uivEXT","(", program, ", ", toString(target), ", ", index, ", ", boost::print::array(params,4), ")");;
    #endif
    App("glNamedProgramLocalParameterI4uivEXT","(", program, ", ", toString(target), ", ", index, ", ", boost::print::array(params,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedProgramLocalParameterI4uivEXT)(program, target, index, params);
  }

  REGAL_DECL void REGAL_CALL glNamedProgramLocalParameters4fvEXT(GLuint program, GLenum target, GLuint index, GLsizei count, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNamedProgramLocalParameters4fvEXT","(", program, ", ", toString(target), ", ", index, ", ", count, ", ", boost::print::array(params,count * 4), ")");;
    #endif
    App("glNamedProgramLocalParameters4fvEXT","(", program, ", ", toString(target), ", ", index, ", ", count, ", ", boost::print::array(params,count * 4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedProgramLocalParameters4fvEXT)(program, target, index, count, params);
  }

  REGAL_DECL void REGAL_CALL glNamedProgramLocalParametersI4ivEXT(GLuint program, GLenum target, GLuint index, GLsizei count, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNamedProgramLocalParametersI4ivEXT","(", program, ", ", toString(target), ", ", index, ", ", count, ", ", boost::print::array(params,count * 4), ")");;
    #endif
    App("glNamedProgramLocalParametersI4ivEXT","(", program, ", ", toString(target), ", ", index, ", ", count, ", ", boost::print::array(params,count * 4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedProgramLocalParametersI4ivEXT)(program, target, index, count, params);
  }

  REGAL_DECL void REGAL_CALL glNamedProgramLocalParametersI4uivEXT(GLuint program, GLenum target, GLuint index, GLsizei count, const GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNamedProgramLocalParametersI4uivEXT","(", program, ", ", toString(target), ", ", index, ", ", count, ", ", boost::print::array(params,count * 4), ")");;
    #endif
    App("glNamedProgramLocalParametersI4uivEXT","(", program, ", ", toString(target), ", ", index, ", ", count, ", ", boost::print::array(params,count * 4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedProgramLocalParametersI4uivEXT)(program, target, index, count, params);
  }

  REGAL_DECL void REGAL_CALL glNamedProgramStringEXT(GLuint program, GLenum target, GLenum format, GLsizei len, const GLvoid *string)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNamedProgramStringEXT","(", program, ", ", toString(target), ", ", toString(format), ", ", len, ", ", boost::print::quote(reinterpret_cast<const char *>(string),'"'), ")");;
    #endif
    App("glNamedProgramStringEXT","(", program, ", ", toString(target), ", ", toString(format), ", ", len, ", ", boost::print::quote(reinterpret_cast<const char *>(string),'"'), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedProgramStringEXT)(program, target, format, len, string);
  }

  REGAL_DECL void REGAL_CALL glNamedRenderbufferStorageEXT(GLuint renderbuffer, GLenum internalformat, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNamedRenderbufferStorageEXT","(", renderbuffer, ", ", toString(internalformat), ", ", width, ", ", height, ")");;
    #endif
    App("glNamedRenderbufferStorageEXT","(", renderbuffer, ", ", toString(internalformat), ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedRenderbufferStorageEXT)(renderbuffer, internalformat, width, height);
  }

  REGAL_DECL void REGAL_CALL glNamedRenderbufferStorageMultisampleCoverageEXT(GLuint renderbuffer, GLsizei coverageSamples, GLsizei colorSamples, GLenum internalformat, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNamedRenderbufferStorageMultisampleCoverageEXT","(", renderbuffer, ", ", coverageSamples, ", ", colorSamples, ", ", toString(internalformat), ", ", width, ", ", height, ")");;
    #endif
    App("glNamedRenderbufferStorageMultisampleCoverageEXT","(", renderbuffer, ", ", coverageSamples, ", ", colorSamples, ", ", toString(internalformat), ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedRenderbufferStorageMultisampleCoverageEXT)(renderbuffer, coverageSamples, colorSamples, internalformat, width, height);
  }

  REGAL_DECL void REGAL_CALL glNamedRenderbufferStorageMultisampleEXT(GLuint renderbuffer, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNamedRenderbufferStorageMultisampleEXT","(", renderbuffer, ", ", samples, ", ", toString(internalformat), ", ", width, ", ", height, ")");;
    #endif
    App("glNamedRenderbufferStorageMultisampleEXT","(", renderbuffer, ", ", samples, ", ", toString(internalformat), ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNamedRenderbufferStorageMultisampleEXT)(renderbuffer, samples, internalformat, width, height);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform1dEXT(GLuint program, GLint location, GLdouble x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform1dEXT","(", program, ", ", location, ", ", x, ")");;
    #endif
    App("glProgramUniform1dEXT","(", program, ", ", location, ", ", x, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform1dEXT)(program, location, x);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform1dvEXT(GLuint program, GLint location, GLsizei count, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform1dvEXT","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count), ")");;
    #endif
    App("glProgramUniform1dvEXT","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform1dvEXT)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform1fEXT(GLuint program, GLint location, GLfloat v0)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform1fEXT","(", program, ", ", location, ", ", v0, ")");;
    #endif
    App("glProgramUniform1fEXT","(", program, ", ", location, ", ", v0, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform1fEXT)(program, location, v0);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform1fvEXT(GLuint program, GLint location, GLsizei count, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform1fvEXT","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count), ")");;
    #endif
    App("glProgramUniform1fvEXT","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform1fvEXT)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform1iEXT(GLuint program, GLint location, GLint v0)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform1iEXT","(", program, ", ", location, ", ", v0, ")");;
    #endif
    App("glProgramUniform1iEXT","(", program, ", ", location, ", ", v0, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform1iEXT)(program, location, v0);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform1ivEXT(GLuint program, GLint location, GLsizei count, const GLint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform1ivEXT","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count), ")");;
    #endif
    App("glProgramUniform1ivEXT","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform1ivEXT)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform1uiEXT(GLuint program, GLint location, GLuint v0)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform1uiEXT","(", program, ", ", location, ", ", v0, ")");;
    #endif
    App("glProgramUniform1uiEXT","(", program, ", ", location, ", ", v0, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform1uiEXT)(program, location, v0);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform1uivEXT(GLuint program, GLint location, GLsizei count, const GLuint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform1uivEXT","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count), ")");;
    #endif
    App("glProgramUniform1uivEXT","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform1uivEXT)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform2dEXT(GLuint program, GLint location, GLdouble x, GLdouble y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform2dEXT","(", program, ", ", location, ", ", x, ", ", y, ")");;
    #endif
    App("glProgramUniform2dEXT","(", program, ", ", location, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform2dEXT)(program, location, x, y);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform2dvEXT(GLuint program, GLint location, GLsizei count, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform2dvEXT","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 2), ")");;
    #endif
    App("glProgramUniform2dvEXT","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform2dvEXT)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform2fEXT(GLuint program, GLint location, GLfloat v0, GLfloat v1)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform2fEXT","(", program, ", ", location, ", ", v0, ", ", v1, ")");;
    #endif
    App("glProgramUniform2fEXT","(", program, ", ", location, ", ", v0, ", ", v1, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform2fEXT)(program, location, v0, v1);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform2fvEXT(GLuint program, GLint location, GLsizei count, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform2fvEXT","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 2), ")");;
    #endif
    App("glProgramUniform2fvEXT","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform2fvEXT)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform2iEXT(GLuint program, GLint location, GLint v0, GLint v1)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform2iEXT","(", program, ", ", location, ", ", v0, ", ", v1, ")");;
    #endif
    App("glProgramUniform2iEXT","(", program, ", ", location, ", ", v0, ", ", v1, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform2iEXT)(program, location, v0, v1);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform2ivEXT(GLuint program, GLint location, GLsizei count, const GLint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform2ivEXT","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 2), ")");;
    #endif
    App("glProgramUniform2ivEXT","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform2ivEXT)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform2uiEXT(GLuint program, GLint location, GLuint v0, GLuint v1)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform2uiEXT","(", program, ", ", location, ", ", v0, ", ", v1, ")");;
    #endif
    App("glProgramUniform2uiEXT","(", program, ", ", location, ", ", v0, ", ", v1, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform2uiEXT)(program, location, v0, v1);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform2uivEXT(GLuint program, GLint location, GLsizei count, const GLuint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform2uivEXT","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 2), ")");;
    #endif
    App("glProgramUniform2uivEXT","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform2uivEXT)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform3dEXT(GLuint program, GLint location, GLdouble x, GLdouble y, GLdouble z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform3dEXT","(", program, ", ", location, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glProgramUniform3dEXT","(", program, ", ", location, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform3dEXT)(program, location, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform3dvEXT(GLuint program, GLint location, GLsizei count, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform3dvEXT","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 3), ")");;
    #endif
    App("glProgramUniform3dvEXT","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform3dvEXT)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform3fEXT(GLuint program, GLint location, GLfloat v0, GLfloat v1, GLfloat v2)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform3fEXT","(", program, ", ", location, ", ", v0, ", ", v1, ", ", v2, ")");;
    #endif
    App("glProgramUniform3fEXT","(", program, ", ", location, ", ", v0, ", ", v1, ", ", v2, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform3fEXT)(program, location, v0, v1, v2);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform3fvEXT(GLuint program, GLint location, GLsizei count, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform3fvEXT","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 3), ")");;
    #endif
    App("glProgramUniform3fvEXT","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform3fvEXT)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform3iEXT(GLuint program, GLint location, GLint v0, GLint v1, GLint v2)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform3iEXT","(", program, ", ", location, ", ", v0, ", ", v1, ", ", v2, ")");;
    #endif
    App("glProgramUniform3iEXT","(", program, ", ", location, ", ", v0, ", ", v1, ", ", v2, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform3iEXT)(program, location, v0, v1, v2);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform3ivEXT(GLuint program, GLint location, GLsizei count, const GLint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform3ivEXT","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 3), ")");;
    #endif
    App("glProgramUniform3ivEXT","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform3ivEXT)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform3uiEXT(GLuint program, GLint location, GLuint v0, GLuint v1, GLuint v2)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform3uiEXT","(", program, ", ", location, ", ", v0, ", ", v1, ", ", v2, ")");;
    #endif
    App("glProgramUniform3uiEXT","(", program, ", ", location, ", ", v0, ", ", v1, ", ", v2, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform3uiEXT)(program, location, v0, v1, v2);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform3uivEXT(GLuint program, GLint location, GLsizei count, const GLuint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform3uivEXT","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 3), ")");;
    #endif
    App("glProgramUniform3uivEXT","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform3uivEXT)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform4dEXT(GLuint program, GLint location, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform4dEXT","(", program, ", ", location, ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glProgramUniform4dEXT","(", program, ", ", location, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform4dEXT)(program, location, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform4dvEXT(GLuint program, GLint location, GLsizei count, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform4dvEXT","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 4), ")");;
    #endif
    App("glProgramUniform4dvEXT","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform4dvEXT)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform4fEXT(GLuint program, GLint location, GLfloat v0, GLfloat v1, GLfloat v2, GLfloat v3)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform4fEXT","(", program, ", ", location, ", ", v0, ", ", v1, ", ", v2, ", ", v3, ")");;
    #endif
    App("glProgramUniform4fEXT","(", program, ", ", location, ", ", v0, ", ", v1, ", ", v2, ", ", v3, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform4fEXT)(program, location, v0, v1, v2, v3);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform4fvEXT(GLuint program, GLint location, GLsizei count, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform4fvEXT","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 4), ")");;
    #endif
    App("glProgramUniform4fvEXT","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform4fvEXT)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform4iEXT(GLuint program, GLint location, GLint v0, GLint v1, GLint v2, GLint v3)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform4iEXT","(", program, ", ", location, ", ", v0, ", ", v1, ", ", v2, ", ", v3, ")");;
    #endif
    App("glProgramUniform4iEXT","(", program, ", ", location, ", ", v0, ", ", v1, ", ", v2, ", ", v3, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform4iEXT)(program, location, v0, v1, v2, v3);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform4ivEXT(GLuint program, GLint location, GLsizei count, const GLint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform4ivEXT","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 4), ")");;
    #endif
    App("glProgramUniform4ivEXT","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform4ivEXT)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform4uiEXT(GLuint program, GLint location, GLuint v0, GLuint v1, GLuint v2, GLuint v3)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform4uiEXT","(", program, ", ", location, ", ", v0, ", ", v1, ", ", v2, ", ", v3, ")");;
    #endif
    App("glProgramUniform4uiEXT","(", program, ", ", location, ", ", v0, ", ", v1, ", ", v2, ", ", v3, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform4uiEXT)(program, location, v0, v1, v2, v3);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform4uivEXT(GLuint program, GLint location, GLsizei count, const GLuint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform4uivEXT","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 4), ")");;
    #endif
    App("glProgramUniform4uivEXT","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform4uivEXT)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix2dvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniformMatrix2dvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 4), ")");;
    #endif
    App("glProgramUniformMatrix2dvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix2dvEXT)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix2fvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniformMatrix2fvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 4), ")");;
    #endif
    App("glProgramUniformMatrix2fvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix2fvEXT)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix2x3dvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniformMatrix2x3dvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 6), ")");;
    #endif
    App("glProgramUniformMatrix2x3dvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 6), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix2x3dvEXT)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix2x3fvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniformMatrix2x3fvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 6), ")");;
    #endif
    App("glProgramUniformMatrix2x3fvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 6), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix2x3fvEXT)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix2x4dvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniformMatrix2x4dvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 8), ")");;
    #endif
    App("glProgramUniformMatrix2x4dvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 8), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix2x4dvEXT)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix2x4fvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniformMatrix2x4fvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 8), ")");;
    #endif
    App("glProgramUniformMatrix2x4fvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 8), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix2x4fvEXT)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix3dvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniformMatrix3dvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 9), ")");;
    #endif
    App("glProgramUniformMatrix3dvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 9), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix3dvEXT)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix3fvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniformMatrix3fvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 9), ")");;
    #endif
    App("glProgramUniformMatrix3fvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 9), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix3fvEXT)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix3x2dvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniformMatrix3x2dvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 6), ")");;
    #endif
    App("glProgramUniformMatrix3x2dvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 6), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix3x2dvEXT)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix3x2fvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniformMatrix3x2fvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 6), ")");;
    #endif
    App("glProgramUniformMatrix3x2fvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 6), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix3x2fvEXT)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix3x4dvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniformMatrix3x4dvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 12), ")");;
    #endif
    App("glProgramUniformMatrix3x4dvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 12), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix3x4dvEXT)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix3x4fvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniformMatrix3x4fvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 12), ")");;
    #endif
    App("glProgramUniformMatrix3x4fvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 12), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix3x4fvEXT)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix4dvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniformMatrix4dvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 16), ")");;
    #endif
    App("glProgramUniformMatrix4dvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 16), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix4dvEXT)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix4fvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniformMatrix4fvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 16), ")");;
    #endif
    App("glProgramUniformMatrix4fvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 16), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix4fvEXT)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix4x2dvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniformMatrix4x2dvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 8), ")");;
    #endif
    App("glProgramUniformMatrix4x2dvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 8), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix4x2dvEXT)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix4x2fvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniformMatrix4x2fvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 8), ")");;
    #endif
    App("glProgramUniformMatrix4x2fvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 8), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix4x2fvEXT)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix4x3dvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniformMatrix4x3dvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 12), ")");;
    #endif
    App("glProgramUniformMatrix4x3dvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 12), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix4x3dvEXT)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformMatrix4x3fvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniformMatrix4x3fvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 12), ")");;
    #endif
    App("glProgramUniformMatrix4x3fvEXT","(", program, ", ", location, ", ", count, ", ", toString(transpose), ", ", boost::print::array(value,count * 12), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformMatrix4x3fvEXT)(program, location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glPushClientAttribDefaultEXT(GLbitfield mask)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPushClientAttribDefaultEXT","(", GLpushClientAttribToString(mask), ")");;
    #endif
    App("glPushClientAttribDefaultEXT","(", GLpushClientAttribToString(mask), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPushClientAttribDefaultEXT)(mask);
  }

  REGAL_DECL void REGAL_CALL glTextureBufferEXT(GLuint texture, GLenum target, GLenum internalformat, GLuint buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureBufferEXT","(", texture, ", ", toString(target), ", ", toString(internalformat), ", ", buffer, ")");;
    #endif
    App("glTextureBufferEXT","(", texture, ", ", toString(target), ", ", toString(internalformat), ", ", buffer, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureBufferEXT)(texture, target, internalformat, buffer);
  }

  REGAL_DECL void REGAL_CALL glTextureImage1DEXT(GLuint texture, GLenum target, GLint level, GLint internalformat, GLsizei width, GLint border, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureImage1DEXT","(", texture, ", ", toString(target), ", ", level, ", ", internalFormatToString(internalformat), ", ", width, ", ", border, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(pixels,Logging::pointers), ")");;
    #endif
    App("glTextureImage1DEXT","(", texture, ", ", toString(target), ", ", level, ", ", internalFormatToString(internalformat), ", ", width, ", ", border, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(pixels,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureImage1DEXT)(texture, target, level, internalformat, width, border, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glTextureImage2DEXT(GLuint texture, GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureImage2DEXT","(", texture, ", ", toString(target), ", ", level, ", ", internalFormatToString(internalformat), ", ", width, ", ", height, ", ", border, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(pixels,Logging::pointers), ")");;
    #endif
    App("glTextureImage2DEXT","(", texture, ", ", toString(target), ", ", level, ", ", internalFormatToString(internalformat), ", ", width, ", ", height, ", ", border, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(pixels,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureImage2DEXT)(texture, target, level, internalformat, width, height, border, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glTextureImage3DEXT(GLuint texture, GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureImage3DEXT","(", texture, ", ", toString(target), ", ", level, ", ", internalFormatToString(internalformat), ", ", width, ", ", height, ", ", depth, ", ", border, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(pixels,Logging::pointers), ")");;
    #endif
    App("glTextureImage3DEXT","(", texture, ", ", toString(target), ", ", level, ", ", internalFormatToString(internalformat), ", ", width, ", ", height, ", ", depth, ", ", border, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(pixels,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureImage3DEXT)(texture, target, level, internalformat, width, height, depth, border, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glTextureParameterIivEXT(GLuint texture, GLenum target, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureParameterIivEXT","(", texture, ", ", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glTextureParameterIivEXT","(", texture, ", ", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureParameterIivEXT)(texture, target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glTextureParameterIuivEXT(GLuint texture, GLenum target, GLenum pname, const GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureParameterIuivEXT","(", texture, ", ", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glTextureParameterIuivEXT","(", texture, ", ", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureParameterIuivEXT)(texture, target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glTextureParameterfEXT(GLuint texture, GLenum target, GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureParameterfEXT","(", texture, ", ", toString(target), ", ", toString(pname), ", ", param, ")");;
    #endif
    App("glTextureParameterfEXT","(", texture, ", ", toString(target), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureParameterfEXT)(texture, target, pname, param);
  }

  REGAL_DECL void REGAL_CALL glTextureParameterfvEXT(GLuint texture, GLenum target, GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureParameterfvEXT","(", texture, ", ", toString(target), ", ", toString(pname), ", ", boost::print::array(params,helper::size::texParameterv(pname)), ")");;
    #endif
    App("glTextureParameterfvEXT","(", texture, ", ", toString(target), ", ", toString(pname), ", ", boost::print::array(params,helper::size::texParameterv(pname)), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureParameterfvEXT)(texture, target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glTextureParameteriEXT(GLuint texture, GLenum target, GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureParameteriEXT","(", texture, ", ", toString(target), ", ", toString(pname), ", ", param, ")");;
    #endif
    App("glTextureParameteriEXT","(", texture, ", ", toString(target), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureParameteriEXT)(texture, target, pname, param);
  }

  REGAL_DECL void REGAL_CALL glTextureParameterivEXT(GLuint texture, GLenum target, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureParameterivEXT","(", texture, ", ", toString(target), ", ", toString(pname), ", ", boost::print::array(params,helper::size::texParameterv(pname)), ")");;
    #endif
    App("glTextureParameterivEXT","(", texture, ", ", toString(target), ", ", toString(pname), ", ", boost::print::array(params,helper::size::texParameterv(pname)), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureParameterivEXT)(texture, target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glTextureRenderbufferEXT(GLuint texture, GLenum target, GLuint renderbuffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureRenderbufferEXT","(", texture, ", ", toString(target), ", ", renderbuffer, ")");;
    #endif
    App("glTextureRenderbufferEXT","(", texture, ", ", toString(target), ", ", renderbuffer, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureRenderbufferEXT)(texture, target, renderbuffer);
  }

  REGAL_DECL void REGAL_CALL glTextureSubImage1DEXT(GLuint texture, GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureSubImage1DEXT","(", texture, ", ", toString(target), ", ", level, ", ", xoffset, ", ", width, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(pixels,Logging::pointers), ")");;
    #endif
    App("glTextureSubImage1DEXT","(", texture, ", ", toString(target), ", ", level, ", ", xoffset, ", ", width, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(pixels,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureSubImage1DEXT)(texture, target, level, xoffset, width, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glTextureSubImage2DEXT(GLuint texture, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureSubImage2DEXT","(", texture, ", ", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", width, ", ", height, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(pixels,Logging::pointers), ")");;
    #endif
    App("glTextureSubImage2DEXT","(", texture, ", ", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", width, ", ", height, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(pixels,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureSubImage2DEXT)(texture, target, level, xoffset, yoffset, width, height, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glTextureSubImage3DEXT(GLuint texture, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureSubImage3DEXT","(", texture, ", ", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(pixels,Logging::pointers), ")");;
    #endif
    App("glTextureSubImage3DEXT","(", texture, ", ", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(pixels,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureSubImage3DEXT)(texture, target, level, xoffset, yoffset, zoffset, width, height, depth, format, type, pixels);
  }

  REGAL_DECL GLboolean REGAL_CALL glUnmapNamedBufferEXT(GLuint buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUnmapNamedBufferEXT","(", buffer, ")");;
    #endif
    App("glUnmapNamedBufferEXT","(", buffer, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glUnmapNamedBufferEXT)(buffer);
  }

  REGAL_DECL void REGAL_CALL glVertexArrayColorOffsetEXT(GLuint vaobj, GLuint buffer, GLint size, GLenum type, GLsizei stride, const GLintptr offset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexArrayColorOffsetEXT","(", vaobj, ", ", buffer, ", ", size, ", ", toString(type), ", ", stride, ", ", offset, ")");;
    #endif
    App("glVertexArrayColorOffsetEXT","(", vaobj, ", ", buffer, ", ", size, ", ", toString(type), ", ", stride, ", ", offset, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexArrayColorOffsetEXT)(vaobj, buffer, size, type, stride, offset);
  }

  REGAL_DECL void REGAL_CALL glVertexArrayEdgeFlagOffsetEXT(GLuint vaobj, GLuint buffer, GLsizei stride, const GLintptr offset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexArrayEdgeFlagOffsetEXT","(", vaobj, ", ", buffer, ", ", stride, ", ", offset, ")");;
    #endif
    App("glVertexArrayEdgeFlagOffsetEXT","(", vaobj, ", ", buffer, ", ", stride, ", ", offset, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexArrayEdgeFlagOffsetEXT)(vaobj, buffer, stride, offset);
  }

  REGAL_DECL void REGAL_CALL glVertexArrayFogCoordOffsetEXT(GLuint vaobj, GLuint buffer, GLenum type, GLsizei stride, const GLintptr offset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexArrayFogCoordOffsetEXT","(", vaobj, ", ", buffer, ", ", toString(type), ", ", stride, ", ", offset, ")");;
    #endif
    App("glVertexArrayFogCoordOffsetEXT","(", vaobj, ", ", buffer, ", ", toString(type), ", ", stride, ", ", offset, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexArrayFogCoordOffsetEXT)(vaobj, buffer, type, stride, offset);
  }

  REGAL_DECL void REGAL_CALL glVertexArrayIndexOffsetEXT(GLuint vaobj, GLuint buffer, GLenum type, GLsizei stride, const GLintptr offset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexArrayIndexOffsetEXT","(", vaobj, ", ", buffer, ", ", toString(type), ", ", stride, ", ", offset, ")");;
    #endif
    App("glVertexArrayIndexOffsetEXT","(", vaobj, ", ", buffer, ", ", toString(type), ", ", stride, ", ", offset, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexArrayIndexOffsetEXT)(vaobj, buffer, type, stride, offset);
  }

  REGAL_DECL void REGAL_CALL glVertexArrayMultiTexCoordOffsetEXT(GLuint vaobj, GLuint buffer, GLenum texunit, GLint size, GLenum type, GLsizei stride, const GLintptr offset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexArrayMultiTexCoordOffsetEXT","(", vaobj, ", ", buffer, ", ", toString(texunit), ", ", size, ", ", toString(type), ", ", stride, ", ", offset, ")");;
    #endif
    App("glVertexArrayMultiTexCoordOffsetEXT","(", vaobj, ", ", buffer, ", ", toString(texunit), ", ", size, ", ", toString(type), ", ", stride, ", ", offset, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexArrayMultiTexCoordOffsetEXT)(vaobj, buffer, texunit, size, type, stride, offset);
  }

  REGAL_DECL void REGAL_CALL glVertexArrayNormalOffsetEXT(GLuint vaobj, GLuint buffer, GLenum type, GLsizei stride, const GLintptr offset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexArrayNormalOffsetEXT","(", vaobj, ", ", buffer, ", ", toString(type), ", ", stride, ", ", offset, ")");;
    #endif
    App("glVertexArrayNormalOffsetEXT","(", vaobj, ", ", buffer, ", ", toString(type), ", ", stride, ", ", offset, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexArrayNormalOffsetEXT)(vaobj, buffer, type, stride, offset);
  }

  REGAL_DECL void REGAL_CALL glVertexArraySecondaryColorOffsetEXT(GLuint vaobj, GLuint buffer, GLint size, GLenum type, GLsizei stride, const GLintptr offset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexArraySecondaryColorOffsetEXT","(", vaobj, ", ", buffer, ", ", size, ", ", toString(type), ", ", stride, ", ", offset, ")");;
    #endif
    App("glVertexArraySecondaryColorOffsetEXT","(", vaobj, ", ", buffer, ", ", size, ", ", toString(type), ", ", stride, ", ", offset, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexArraySecondaryColorOffsetEXT)(vaobj, buffer, size, type, stride, offset);
  }

  REGAL_DECL void REGAL_CALL glVertexArrayTexCoordOffsetEXT(GLuint vaobj, GLuint buffer, GLint size, GLenum type, GLsizei stride, const GLintptr offset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexArrayTexCoordOffsetEXT","(", vaobj, ", ", buffer, ", ", size, ", ", toString(type), ", ", stride, ", ", offset, ")");;
    #endif
    App("glVertexArrayTexCoordOffsetEXT","(", vaobj, ", ", buffer, ", ", size, ", ", toString(type), ", ", stride, ", ", offset, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexArrayTexCoordOffsetEXT)(vaobj, buffer, size, type, stride, offset);
  }

  REGAL_DECL void REGAL_CALL glVertexArrayVertexAttribIOffsetEXT(GLuint vaobj, GLuint buffer, GLuint index, GLint size, GLenum type, GLsizei stride, const GLintptr offset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexArrayVertexAttribIOffsetEXT","(", vaobj, ", ", buffer, ", ", index, ", ", size, ", ", toString(type), ", ", stride, ", ", offset, ")");;
    #endif
    App("glVertexArrayVertexAttribIOffsetEXT","(", vaobj, ", ", buffer, ", ", index, ", ", size, ", ", toString(type), ", ", stride, ", ", offset, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexArrayVertexAttribIOffsetEXT)(vaobj, buffer, index, size, type, stride, offset);
  }

  REGAL_DECL void REGAL_CALL glVertexArrayVertexAttribOffsetEXT(GLuint vaobj, GLuint buffer, GLuint index, GLint size, GLenum type, GLboolean normalized, GLsizei stride, const GLintptr offset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexArrayVertexAttribOffsetEXT","(", vaobj, ", ", buffer, ", ", index, ", ", size, ", ", toString(type), ", ", toString(normalized), ", ", stride, ", ", offset, ")");;
    #endif
    App("glVertexArrayVertexAttribOffsetEXT","(", vaobj, ", ", buffer, ", ", index, ", ", size, ", ", toString(type), ", ", toString(normalized), ", ", stride, ", ", offset, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexArrayVertexAttribOffsetEXT)(vaobj, buffer, index, size, type, normalized, stride, offset);
  }

  REGAL_DECL void REGAL_CALL glVertexArrayVertexOffsetEXT(GLuint vaobj, GLuint buffer, GLint size, GLenum type, GLsizei stride, const GLintptr offset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexArrayVertexOffsetEXT","(", vaobj, ", ", buffer, ", ", size, ", ", toString(type), ", ", stride, ", ", offset, ")");;
    #endif
    App("glVertexArrayVertexOffsetEXT","(", vaobj, ", ", buffer, ", ", size, ", ", toString(type), ", ", stride, ", ", offset, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexArrayVertexOffsetEXT)(vaobj, buffer, size, type, stride, offset);
  }

  /* GL_EXT_discard_framebuffer */

  REGAL_DECL void REGAL_CALL glDiscardFramebufferEXT(GLenum target, GLsizei numAttachments, const GLenum *attachments)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDiscardFramebufferEXT","(", toString(target), ", ", numAttachments, ", ", attachments, ")");;
    #endif
    App("glDiscardFramebufferEXT","(", toString(target), ", ", numAttachments, ", ", attachments, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDiscardFramebufferEXT)(target, numAttachments, attachments);
  }

  /* GL_EXT_disjoint_timer_query */

  REGAL_DECL void REGAL_CALL glGetQueryObjectivEXT(GLuint id, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetQueryObjectivEXT","(", id, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glGetQueryObjectivEXT","(", id, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetQueryObjectivEXT)(id, pname, params);
  }

  REGAL_DECL void REGAL_CALL glQueryCounterEXT(GLuint id, GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glQueryCounterEXT","(", id, ", ", toString(target), ")");;
    #endif
    App("glQueryCounterEXT","(", id, ", ", toString(target), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glQueryCounterEXT)(id, target);
  }

  /* GL_EXT_draw_buffers2 */

  REGAL_DECL void REGAL_CALL glColorMaskIndexedEXT(GLuint index, GLboolean r, GLboolean g, GLboolean b, GLboolean a)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColorMaskIndexedEXT","(", index, ", ", toString(r), ", ", toString(g), ", ", toString(b), ", ", toString(a), ")");;
    #endif
    App("glColorMaskIndexedEXT","(", index, ", ", toString(r), ", ", toString(g), ", ", toString(b), ", ", toString(a), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorMaskIndexedEXT)(index, r, g, b, a);
  }

  REGAL_DECL void REGAL_CALL glDisableIndexedEXT(GLenum target, GLuint index)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDisableIndexedEXT","(", toString(target), ", ", index, ")");;
    #endif
    App("glDisableIndexedEXT","(", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDisableIndexedEXT)(target, index);
  }

  REGAL_DECL void REGAL_CALL glEnableIndexedEXT(GLenum target, GLuint index)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEnableIndexedEXT","(", toString(target), ", ", index, ")");;
    #endif
    App("glEnableIndexedEXT","(", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEnableIndexedEXT)(target, index);
  }

  REGAL_DECL void REGAL_CALL glGetBooleanIndexedvEXT(GLenum value, GLuint index, GLboolean *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetBooleanIndexedvEXT","(", toString(value), ", ", index, ")");;
    #endif
    App("glGetBooleanIndexedvEXT","(", toString(value), ", ", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetBooleanIndexedvEXT)(value, index, data);
  }

  REGAL_DECL void REGAL_CALL glGetIntegerIndexedvEXT(GLenum value, GLuint index, GLint *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetIntegerIndexedvEXT","(", toString(value), ", ", index, ")");;
    #endif
    App("glGetIntegerIndexedvEXT","(", toString(value), ", ", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetIntegerIndexedvEXT)(value, index, data);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsEnabledIndexedEXT(GLenum target, GLuint index)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsEnabledIndexedEXT","(", toString(target), ", ", index, ")");;
    #endif
    App("glIsEnabledIndexedEXT","(", toString(target), ", ", index, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsEnabledIndexedEXT)(target, index);
  }

  /* GL_EXT_draw_instanced */

  REGAL_DECL void REGAL_CALL glDrawArraysInstancedEXT(GLenum mode, GLint start, GLsizei count, GLsizei primcount)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDrawArraysInstancedEXT","(", GLmodeToString(mode), ", ", start, ", ", count, ", ", primcount, ")");;
    #endif
    App("glDrawArraysInstancedEXT","(", GLmodeToString(mode), ", ", start, ", ", count, ", ", primcount, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawArraysInstancedEXT)(mode, start, count, primcount);
  }

  REGAL_DECL void REGAL_CALL glDrawElementsInstancedEXT(GLenum mode, GLsizei count, GLenum type, const GLvoid *indices, GLsizei primcount)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDrawElementsInstancedEXT","(", GLmodeToString(mode), ", ", count, ", ", toString(type), ", ", boost::print::optional(indices,Logging::pointers), ", ", primcount, ")");;
    #endif
    App("glDrawElementsInstancedEXT","(", GLmodeToString(mode), ", ", count, ", ", toString(type), ", ", boost::print::optional(indices,Logging::pointers), ", ", primcount, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawElementsInstancedEXT)(mode, count, type, indices, primcount);
  }

  /* GL_EXT_draw_range_elements */

  REGAL_DECL void REGAL_CALL glDrawRangeElementsEXT(GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const GLvoid *indices)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDrawRangeElementsEXT","(", GLmodeToString(mode), ", ", start, ", ", end, ", ", count, ", ", toString(type), ", ", boost::print::optional(indices,Logging::pointers), ")");;
    #endif
    App("glDrawRangeElementsEXT","(", GLmodeToString(mode), ", ", start, ", ", end, ", ", count, ", ", toString(type), ", ", boost::print::optional(indices,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawRangeElementsEXT)(mode, start, end, count, type, indices);
  }

  /* GL_EXT_fog_coord */

  REGAL_DECL void REGAL_CALL glFogCoordPointerEXT(GLenum type, GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFogCoordPointerEXT","(", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");;
    #endif
    App("glFogCoordPointerEXT","(", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFogCoordPointerEXT)(type, stride, pointer);
  }

  REGAL_DECL void REGAL_CALL glFogCoorddEXT(GLdouble coord)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFogCoorddEXT","(", coord, ")");;
    #endif
    App("glFogCoorddEXT","(", coord, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFogCoorddEXT)(coord);
  }

  REGAL_DECL void REGAL_CALL glFogCoorddvEXT(const GLdouble *coord)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFogCoorddvEXT","(", boost::print::array(coord,1), ")");;
    #endif
    App("glFogCoorddvEXT","(", boost::print::array(coord,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFogCoorddvEXT)(coord);
  }

  REGAL_DECL void REGAL_CALL glFogCoordfEXT(GLfloat coord)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFogCoordfEXT","(", coord, ")");;
    #endif
    App("glFogCoordfEXT","(", coord, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFogCoordfEXT)(coord);
  }

  REGAL_DECL void REGAL_CALL glFogCoordfvEXT(const GLfloat *coord)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFogCoordfvEXT","(", boost::print::array(coord,1), ")");;
    #endif
    App("glFogCoordfvEXT","(", boost::print::array(coord,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFogCoordfvEXT)(coord);
  }

  /* GL_EXT_fragment_lighting */

  REGAL_DECL void REGAL_CALL glFragmentColorMaterialEXT(GLenum face, GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFragmentColorMaterialEXT","(", toString(face), ", ", GLmodeToString(mode), ")");;
    #endif
    App("glFragmentColorMaterialEXT","(", toString(face), ", ", GLmodeToString(mode), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentColorMaterialEXT)(face, mode);
  }

  REGAL_DECL void REGAL_CALL glFragmentLightModelfEXT(GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFragmentLightModelfEXT","(", toString(pname), ", ", param, ")");;
    #endif
    App("glFragmentLightModelfEXT","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentLightModelfEXT)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glFragmentLightModelfvEXT(GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFragmentLightModelfvEXT","(", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glFragmentLightModelfvEXT","(", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentLightModelfvEXT)(pname, params);
  }

  REGAL_DECL void REGAL_CALL glFragmentLightModeliEXT(GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFragmentLightModeliEXT","(", toString(pname), ", ", param, ")");;
    #endif
    App("glFragmentLightModeliEXT","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentLightModeliEXT)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glFragmentLightModelivEXT(GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFragmentLightModelivEXT","(", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glFragmentLightModelivEXT","(", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentLightModelivEXT)(pname, params);
  }

  REGAL_DECL void REGAL_CALL glFragmentLightfEXT(GLenum light, GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFragmentLightfEXT","(", toString(light), ", ", toString(pname), ", ", param, ")");;
    #endif
    App("glFragmentLightfEXT","(", toString(light), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentLightfEXT)(light, pname, param);
  }

  REGAL_DECL void REGAL_CALL glFragmentLightfvEXT(GLenum light, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFragmentLightfvEXT","(", toString(light), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glFragmentLightfvEXT","(", toString(light), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentLightfvEXT)(light, pname, params);
  }

  REGAL_DECL void REGAL_CALL glFragmentLightiEXT(GLenum light, GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFragmentLightiEXT","(", toString(light), ", ", toString(pname), ", ", param, ")");;
    #endif
    App("glFragmentLightiEXT","(", toString(light), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentLightiEXT)(light, pname, param);
  }

  REGAL_DECL void REGAL_CALL glFragmentLightivEXT(GLenum light, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFragmentLightivEXT","(", toString(light), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glFragmentLightivEXT","(", toString(light), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentLightivEXT)(light, pname, params);
  }

  REGAL_DECL void REGAL_CALL glFragmentMaterialfEXT(GLenum face, GLenum pname, const GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFragmentMaterialfEXT","(", toString(face), ", ", toString(pname), ", ", param, ")");;
    #endif
    App("glFragmentMaterialfEXT","(", toString(face), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentMaterialfEXT)(face, pname, param);
  }

  REGAL_DECL void REGAL_CALL glFragmentMaterialfvEXT(GLenum face, GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFragmentMaterialfvEXT","(", toString(face), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glFragmentMaterialfvEXT","(", toString(face), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentMaterialfvEXT)(face, pname, params);
  }

  REGAL_DECL void REGAL_CALL glFragmentMaterialiEXT(GLenum face, GLenum pname, const GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFragmentMaterialiEXT","(", toString(face), ", ", toString(pname), ", ", param, ")");;
    #endif
    App("glFragmentMaterialiEXT","(", toString(face), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentMaterialiEXT)(face, pname, param);
  }

  REGAL_DECL void REGAL_CALL glFragmentMaterialivEXT(GLenum face, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFragmentMaterialivEXT","(", toString(face), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glFragmentMaterialivEXT","(", toString(face), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentMaterialivEXT)(face, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetFragmentLightfvEXT(GLenum light, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetFragmentLightfvEXT","(", toString(light), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glGetFragmentLightfvEXT","(", toString(light), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetFragmentLightfvEXT)(light, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetFragmentLightivEXT(GLenum light, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetFragmentLightivEXT","(", toString(light), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glGetFragmentLightivEXT","(", toString(light), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetFragmentLightivEXT)(light, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetFragmentMaterialfvEXT(GLenum face, GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetFragmentMaterialfvEXT","(", toString(face), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glGetFragmentMaterialfvEXT","(", toString(face), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetFragmentMaterialfvEXT)(face, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetFragmentMaterialivEXT(GLenum face, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetFragmentMaterialivEXT","(", toString(face), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glGetFragmentMaterialivEXT","(", toString(face), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetFragmentMaterialivEXT)(face, pname, params);
  }

  REGAL_DECL void REGAL_CALL glLightEnviEXT(GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glLightEnviEXT","(", toString(pname), ", ", param, ")");;
    #endif
    App("glLightEnviEXT","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLightEnviEXT)(pname, param);
  }

  /* GL_EXT_framebuffer_blit */

  REGAL_DECL void REGAL_CALL glBlitFramebufferEXT(GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBlitFramebufferEXT","(", srcX0, ", ", srcY0, ", ", srcX1, ", ", srcY1, ", ", dstX0, ", ", dstY0, ", ", dstX1, ", ", dstY1, ", ", GLblitFramebufferToString(mask), ", ", toString(filter), ")");;
    #endif
    App("glBlitFramebufferEXT","(", srcX0, ", ", srcY0, ", ", srcX1, ", ", srcY1, ", ", dstX0, ", ", dstY0, ", ", dstX1, ", ", dstY1, ", ", GLblitFramebufferToString(mask), ", ", toString(filter), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlitFramebufferEXT)(srcX0, srcY0, srcX1, srcY1, dstX0, dstY0, dstX1, dstY1, mask, filter);
  }

  /* GL_EXT_framebuffer_multisample */

  REGAL_DECL void REGAL_CALL glRenderbufferStorageMultisampleEXT(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glRenderbufferStorageMultisampleEXT","(", toString(target), ", ", samples, ", ", toString(internalformat), ", ", width, ", ", height, ")");;
    #endif
    App("glRenderbufferStorageMultisampleEXT","(", toString(target), ", ", samples, ", ", toString(internalformat), ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRenderbufferStorageMultisampleEXT)(target, samples, internalformat, width, height);
  }

  /* GL_EXT_framebuffer_object */

  REGAL_DECL void REGAL_CALL glBindFramebufferEXT(GLenum target, GLuint framebuffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindFramebufferEXT","(", toString(target), ", ", framebuffer, ")");;
    #endif
    App("glBindFramebufferEXT","(", toString(target), ", ", framebuffer, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindFramebufferEXT)(target, framebuffer);
  }

  REGAL_DECL void REGAL_CALL glBindRenderbufferEXT(GLenum target, GLuint renderbuffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindRenderbufferEXT","(", toString(target), ", ", renderbuffer, ")");;
    #endif
    App("glBindRenderbufferEXT","(", toString(target), ", ", renderbuffer, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindRenderbufferEXT)(target, renderbuffer);
  }

  REGAL_DECL GLenum REGAL_CALL glCheckFramebufferStatusEXT(GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCheckFramebufferStatusEXT","(", toString(target), ")");;
    #endif
    App("glCheckFramebufferStatusEXT","(", toString(target), ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glCheckFramebufferStatusEXT)(target);
  }

  REGAL_DECL void REGAL_CALL glDeleteFramebuffersEXT(GLsizei n, const GLuint *framebuffers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDeleteFramebuffersEXT","(", n, ", ", boost::print::array(framebuffers,n), ")");;
    #endif
    App("glDeleteFramebuffersEXT","(", n, ", ", boost::print::array(framebuffers,n), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteFramebuffersEXT)(n, framebuffers);
  }

  REGAL_DECL void REGAL_CALL glDeleteRenderbuffersEXT(GLsizei n, const GLuint *renderbuffers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDeleteRenderbuffersEXT","(", n, ", ", boost::print::array(renderbuffers,n), ")");;
    #endif
    App("glDeleteRenderbuffersEXT","(", n, ", ", boost::print::array(renderbuffers,n), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteRenderbuffersEXT)(n, renderbuffers);
  }

  REGAL_DECL void REGAL_CALL glFramebufferRenderbufferEXT(GLenum target, GLenum attachment, GLenum renderbuffertarget, GLuint renderbuffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFramebufferRenderbufferEXT","(", toString(target), ", ", toString(attachment), ", ", toString(renderbuffertarget), ", ", renderbuffer, ")");;
    #endif
    App("glFramebufferRenderbufferEXT","(", toString(target), ", ", toString(attachment), ", ", toString(renderbuffertarget), ", ", renderbuffer, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferRenderbufferEXT)(target, attachment, renderbuffertarget, renderbuffer);
  }

  REGAL_DECL void REGAL_CALL glFramebufferTexture1DEXT(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFramebufferTexture1DEXT","(", toString(target), ", ", toString(attachment), ", ", toString(textarget), ", ", texture, ", ", level, ")");;
    #endif
    App("glFramebufferTexture1DEXT","(", toString(target), ", ", toString(attachment), ", ", toString(textarget), ", ", texture, ", ", level, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferTexture1DEXT)(target, attachment, textarget, texture, level);
  }

  REGAL_DECL void REGAL_CALL glFramebufferTexture2DEXT(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFramebufferTexture2DEXT","(", toString(target), ", ", toString(attachment), ", ", toString(textarget), ", ", texture, ", ", level, ")");;
    #endif
    App("glFramebufferTexture2DEXT","(", toString(target), ", ", toString(attachment), ", ", toString(textarget), ", ", texture, ", ", level, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferTexture2DEXT)(target, attachment, textarget, texture, level);
  }

  REGAL_DECL void REGAL_CALL glFramebufferTexture3DEXT(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLint zoffset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFramebufferTexture3DEXT","(", toString(target), ", ", toString(attachment), ", ", toString(textarget), ", ", texture, ", ", level, ", ", zoffset, ")");;
    #endif
    App("glFramebufferTexture3DEXT","(", toString(target), ", ", toString(attachment), ", ", toString(textarget), ", ", texture, ", ", level, ", ", zoffset, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferTexture3DEXT)(target, attachment, textarget, texture, level, zoffset);
  }

  REGAL_DECL void REGAL_CALL glGenFramebuffersEXT(GLsizei n, GLuint *framebuffers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGenFramebuffersEXT","(", n, ")");;
    #endif
    App("glGenFramebuffersEXT","(", n, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenFramebuffersEXT)(n, framebuffers);
  }

  REGAL_DECL void REGAL_CALL glGenRenderbuffersEXT(GLsizei n, GLuint *renderbuffers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGenRenderbuffersEXT","(", n, ")");;
    #endif
    App("glGenRenderbuffersEXT","(", n, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenRenderbuffersEXT)(n, renderbuffers);
  }

  REGAL_DECL void REGAL_CALL glGenerateMipmapEXT(GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGenerateMipmapEXT","(", toString(target), ")");;
    #endif
    App("glGenerateMipmapEXT","(", toString(target), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenerateMipmapEXT)(target);
  }

  REGAL_DECL void REGAL_CALL glGetFramebufferAttachmentParameterivEXT(GLenum target, GLenum attachment, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetFramebufferAttachmentParameterivEXT","(", toString(target), ", ", toString(attachment), ", ", toString(pname), ")");;
    #endif
    App("glGetFramebufferAttachmentParameterivEXT","(", toString(target), ", ", toString(attachment), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetFramebufferAttachmentParameterivEXT)(target, attachment, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetRenderbufferParameterivEXT(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetRenderbufferParameterivEXT","(", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetRenderbufferParameterivEXT","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetRenderbufferParameterivEXT)(target, pname, params);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsFramebufferEXT(GLuint framebuffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsFramebufferEXT","(", framebuffer, ")");;
    #endif
    App("glIsFramebufferEXT","(", framebuffer, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsFramebufferEXT)(framebuffer);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsRenderbufferEXT(GLuint renderbuffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsRenderbufferEXT","(", renderbuffer, ")");;
    #endif
    App("glIsRenderbufferEXT","(", renderbuffer, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsRenderbufferEXT)(renderbuffer);
  }

  REGAL_DECL void REGAL_CALL glRenderbufferStorageEXT(GLenum target, GLenum internalformat, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glRenderbufferStorageEXT","(", toString(target), ", ", toString(internalformat), ", ", width, ", ", height, ")");;
    #endif
    App("glRenderbufferStorageEXT","(", toString(target), ", ", toString(internalformat), ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRenderbufferStorageEXT)(target, internalformat, width, height);
  }

  /* GL_EXT_geometry_shader4 */

  REGAL_DECL void REGAL_CALL glFramebufferTextureEXT(GLenum target, GLenum attachment, GLuint texture, GLint level)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFramebufferTextureEXT","(", toString(target), ", ", toString(attachment), ", ", texture, ", ", level, ")");;
    #endif
    App("glFramebufferTextureEXT","(", toString(target), ", ", toString(attachment), ", ", texture, ", ", level, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferTextureEXT)(target, attachment, texture, level);
  }

  REGAL_DECL void REGAL_CALL glFramebufferTextureFaceEXT(GLenum target, GLenum attachment, GLuint texture, GLint level, GLenum face)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFramebufferTextureFaceEXT","(", toString(target), ", ", toString(attachment), ", ", texture, ", ", level, ", ", toString(face), ")");;
    #endif
    App("glFramebufferTextureFaceEXT","(", toString(target), ", ", toString(attachment), ", ", texture, ", ", level, ", ", toString(face), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferTextureFaceEXT)(target, attachment, texture, level, face);
  }

  REGAL_DECL void REGAL_CALL glProgramParameteriEXT(GLuint program, GLenum pname, GLint value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramParameteriEXT","(", program, ", ", toString(pname), ", ", value, ")");;
    #endif
    App("glProgramParameteriEXT","(", program, ", ", toString(pname), ", ", value, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramParameteriEXT)(program, pname, value);
  }

  /* GL_EXT_gpu_program_parameters */

  REGAL_DECL void REGAL_CALL glProgramEnvParameters4fvEXT(GLenum target, GLuint index, GLsizei count, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramEnvParameters4fvEXT","(", toString(target), ", ", index, ", ", count, ", ", boost::print::array(params,count * 4), ")");;
    #endif
    App("glProgramEnvParameters4fvEXT","(", toString(target), ", ", index, ", ", count, ", ", boost::print::array(params,count * 4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramEnvParameters4fvEXT)(target, index, count, params);
  }

  REGAL_DECL void REGAL_CALL glProgramLocalParameters4fvEXT(GLenum target, GLuint index, GLsizei count, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramLocalParameters4fvEXT","(", toString(target), ", ", index, ", ", count, ", ", boost::print::array(params,count * 4), ")");;
    #endif
    App("glProgramLocalParameters4fvEXT","(", toString(target), ", ", index, ", ", count, ", ", boost::print::array(params,count * 4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramLocalParameters4fvEXT)(target, index, count, params);
  }

  /* GL_EXT_gpu_shader4 */

  REGAL_DECL void REGAL_CALL glBindFragDataLocationEXT(GLuint program, GLuint color, const GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindFragDataLocationEXT","(", program, ", ", color, ", ", boost::print::quote(name,'"'), ")");;
    #endif
    App("glBindFragDataLocationEXT","(", program, ", ", color, ", ", boost::print::quote(name,'"'), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindFragDataLocationEXT)(program, color, name);
  }

  REGAL_DECL GLint REGAL_CALL glGetFragDataLocationEXT(GLuint program, const GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetFragDataLocationEXT","(", program, ", ", boost::print::quote(name,'"'), ")");;
    #endif
    App("glGetFragDataLocationEXT","(", program, ", ", boost::print::quote(name,'"'), ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetFragDataLocationEXT)(program, name);
  }

  REGAL_DECL void REGAL_CALL glGetUniformuivEXT(GLuint program, GLint location, GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetUniformuivEXT","(", program, ", ", location, ")");;
    #endif
    App("glGetUniformuivEXT","(", program, ", ", location, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetUniformuivEXT)(program, location, params);
  }

  REGAL_DECL void REGAL_CALL glGetVertexAttribIivEXT(GLuint index, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetVertexAttribIivEXT","(", index, ", ", toString(pname), ")");;
    #endif
    App("glGetVertexAttribIivEXT","(", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexAttribIivEXT)(index, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetVertexAttribIuivEXT(GLuint index, GLenum pname, GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetVertexAttribIuivEXT","(", index, ", ", toString(pname), ")");;
    #endif
    App("glGetVertexAttribIuivEXT","(", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexAttribIuivEXT)(index, pname, params);
  }

  REGAL_DECL void REGAL_CALL glUniform1uiEXT(GLint location, GLuint v0)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform1uiEXT","(", location, ", ", v0, ")");;
    #endif
    App("glUniform1uiEXT","(", location, ", ", v0, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform1uiEXT)(location, v0);
  }

  REGAL_DECL void REGAL_CALL glUniform1uivEXT(GLint location, GLsizei count, const GLuint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform1uivEXT","(", location, ", ", count, ", ", boost::print::array(value,count), ")");;
    #endif
    App("glUniform1uivEXT","(", location, ", ", count, ", ", boost::print::array(value,count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform1uivEXT)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform2uiEXT(GLint location, GLuint v0, GLuint v1)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform2uiEXT","(", location, ", ", v0, ", ", v1, ")");;
    #endif
    App("glUniform2uiEXT","(", location, ", ", v0, ", ", v1, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform2uiEXT)(location, v0, v1);
  }

  REGAL_DECL void REGAL_CALL glUniform2uivEXT(GLint location, GLsizei count, const GLuint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform2uivEXT","(", location, ", ", count, ", ", boost::print::array(value,count * 2), ")");;
    #endif
    App("glUniform2uivEXT","(", location, ", ", count, ", ", boost::print::array(value,count * 2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform2uivEXT)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform3uiEXT(GLint location, GLuint v0, GLuint v1, GLuint v2)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform3uiEXT","(", location, ", ", v0, ", ", v1, ", ", v2, ")");;
    #endif
    App("glUniform3uiEXT","(", location, ", ", v0, ", ", v1, ", ", v2, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform3uiEXT)(location, v0, v1, v2);
  }

  REGAL_DECL void REGAL_CALL glUniform3uivEXT(GLint location, GLsizei count, const GLuint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform3uivEXT","(", location, ", ", count, ", ", boost::print::array(value,count * 3), ")");;
    #endif
    App("glUniform3uivEXT","(", location, ", ", count, ", ", boost::print::array(value,count * 3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform3uivEXT)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform4uiEXT(GLint location, GLuint v0, GLuint v1, GLuint v2, GLuint v3)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform4uiEXT","(", location, ", ", v0, ", ", v1, ", ", v2, ", ", v3, ")");;
    #endif
    App("glUniform4uiEXT","(", location, ", ", v0, ", ", v1, ", ", v2, ", ", v3, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform4uiEXT)(location, v0, v1, v2, v3);
  }

  REGAL_DECL void REGAL_CALL glUniform4uivEXT(GLint location, GLsizei count, const GLuint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform4uivEXT","(", location, ", ", count, ", ", boost::print::array(value,count * 4), ")");;
    #endif
    App("glUniform4uivEXT","(", location, ", ", count, ", ", boost::print::array(value,count * 4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform4uivEXT)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI1iEXT(GLuint index, GLint x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribI1iEXT","(", index, ", ", x, ")");;
    #endif
    App("glVertexAttribI1iEXT","(", index, ", ", x, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI1iEXT)(index, x);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI1ivEXT(GLuint index, const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribI1ivEXT","(", index, ", ", boost::print::array(v,1), ")");;
    #endif
    App("glVertexAttribI1ivEXT","(", index, ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI1ivEXT)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI1uiEXT(GLuint index, GLuint x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribI1uiEXT","(", index, ", ", x, ")");;
    #endif
    App("glVertexAttribI1uiEXT","(", index, ", ", x, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI1uiEXT)(index, x);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI1uivEXT(GLuint index, const GLuint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribI1uivEXT","(", index, ", ", boost::print::array(v,1), ")");;
    #endif
    App("glVertexAttribI1uivEXT","(", index, ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI1uivEXT)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI2iEXT(GLuint index, GLint x, GLint y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribI2iEXT","(", index, ", ", x, ", ", y, ")");;
    #endif
    App("glVertexAttribI2iEXT","(", index, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI2iEXT)(index, x, y);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI2ivEXT(GLuint index, const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribI2ivEXT","(", index, ", ", boost::print::array(v,2), ")");;
    #endif
    App("glVertexAttribI2ivEXT","(", index, ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI2ivEXT)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI2uiEXT(GLuint index, GLuint x, GLuint y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribI2uiEXT","(", index, ", ", x, ", ", y, ")");;
    #endif
    App("glVertexAttribI2uiEXT","(", index, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI2uiEXT)(index, x, y);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI2uivEXT(GLuint index, const GLuint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribI2uivEXT","(", index, ", ", boost::print::array(v,2), ")");;
    #endif
    App("glVertexAttribI2uivEXT","(", index, ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI2uivEXT)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI3iEXT(GLuint index, GLint x, GLint y, GLint z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribI3iEXT","(", index, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glVertexAttribI3iEXT","(", index, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI3iEXT)(index, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI3ivEXT(GLuint index, const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribI3ivEXT","(", index, ", ", boost::print::array(v,3), ")");;
    #endif
    App("glVertexAttribI3ivEXT","(", index, ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI3ivEXT)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI3uiEXT(GLuint index, GLuint x, GLuint y, GLuint z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribI3uiEXT","(", index, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glVertexAttribI3uiEXT","(", index, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI3uiEXT)(index, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI3uivEXT(GLuint index, const GLuint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribI3uivEXT","(", index, ", ", boost::print::array(v,3), ")");;
    #endif
    App("glVertexAttribI3uivEXT","(", index, ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI3uivEXT)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI4bvEXT(GLuint index, const GLbyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribI4bvEXT","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glVertexAttribI4bvEXT","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI4bvEXT)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI4iEXT(GLuint index, GLint x, GLint y, GLint z, GLint w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribI4iEXT","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glVertexAttribI4iEXT","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI4iEXT)(index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI4ivEXT(GLuint index, const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribI4ivEXT","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glVertexAttribI4ivEXT","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI4ivEXT)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI4svEXT(GLuint index, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribI4svEXT","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glVertexAttribI4svEXT","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI4svEXT)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI4ubvEXT(GLuint index, const GLubyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribI4ubvEXT","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glVertexAttribI4ubvEXT","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI4ubvEXT)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI4uiEXT(GLuint index, GLuint x, GLuint y, GLuint z, GLuint w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribI4uiEXT","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glVertexAttribI4uiEXT","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI4uiEXT)(index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI4uivEXT(GLuint index, const GLuint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribI4uivEXT","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glVertexAttribI4uivEXT","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI4uivEXT)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribI4usvEXT(GLuint index, const GLushort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribI4usvEXT","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glVertexAttribI4usvEXT","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribI4usvEXT)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribIPointerEXT(GLuint index, GLint size, GLenum type, GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribIPointerEXT","(", index, ", ", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");;
    #endif
    App("glVertexAttribIPointerEXT","(", index, ", ", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribIPointerEXT)(index, size, type, stride, pointer);
  }

  /* GL_EXT_histogram */

  REGAL_DECL void REGAL_CALL glGetHistogramEXT(GLenum target, GLboolean reset, GLenum format, GLenum type, GLvoid *values)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetHistogramEXT","(", toString(target), ", ", toString(reset), ", ", toString(format), ", ", toString(type), ")");;
    #endif
    App("glGetHistogramEXT","(", toString(target), ", ", toString(reset), ", ", toString(format), ", ", toString(type), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetHistogramEXT)(target, reset, format, type, values);
  }

  REGAL_DECL void REGAL_CALL glGetHistogramParameterfvEXT(GLenum target, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetHistogramParameterfvEXT","(", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetHistogramParameterfvEXT","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetHistogramParameterfvEXT)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetHistogramParameterivEXT(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetHistogramParameterivEXT","(", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetHistogramParameterivEXT","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetHistogramParameterivEXT)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetMinmaxEXT(GLenum target, GLboolean reset, GLenum format, GLenum type, GLvoid *values)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetMinmaxEXT","(", toString(target), ", ", toString(reset), ", ", toString(format), ", ", toString(type), ")");;
    #endif
    App("glGetMinmaxEXT","(", toString(target), ", ", toString(reset), ", ", toString(format), ", ", toString(type), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMinmaxEXT)(target, reset, format, type, values);
  }

  REGAL_DECL void REGAL_CALL glGetMinmaxParameterfvEXT(GLenum target, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetMinmaxParameterfvEXT","(", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetMinmaxParameterfvEXT","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMinmaxParameterfvEXT)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetMinmaxParameterivEXT(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetMinmaxParameterivEXT","(", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetMinmaxParameterivEXT","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMinmaxParameterivEXT)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glHistogramEXT(GLenum target, GLsizei width, GLenum internalformat, GLboolean sink)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glHistogramEXT","(", toString(target), ", ", width, ", ", toString(internalformat), ", ", toString(sink), ")");;
    #endif
    App("glHistogramEXT","(", toString(target), ", ", width, ", ", toString(internalformat), ", ", toString(sink), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glHistogramEXT)(target, width, internalformat, sink);
  }

  REGAL_DECL void REGAL_CALL glMinmaxEXT(GLenum target, GLenum internalformat, GLboolean sink)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMinmaxEXT","(", toString(target), ", ", toString(internalformat), ", ", toString(sink), ")");;
    #endif
    App("glMinmaxEXT","(", toString(target), ", ", toString(internalformat), ", ", toString(sink), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMinmaxEXT)(target, internalformat, sink);
  }

  REGAL_DECL void REGAL_CALL glResetHistogramEXT(GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glResetHistogramEXT","(", toString(target), ")");;
    #endif
    App("glResetHistogramEXT","(", toString(target), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glResetHistogramEXT)(target);
  }

  REGAL_DECL void REGAL_CALL glResetMinmaxEXT(GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glResetMinmaxEXT","(", toString(target), ")");;
    #endif
    App("glResetMinmaxEXT","(", toString(target), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glResetMinmaxEXT)(target);
  }

  /* GL_EXT_index_func */

  REGAL_DECL void REGAL_CALL glIndexFuncEXT(GLenum func, GLclampf ref)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIndexFuncEXT","(", toString(func), ", ", ref, ")");;
    #endif
    App("glIndexFuncEXT","(", toString(func), ", ", ref, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glIndexFuncEXT)(func, ref);
  }

  /* GL_EXT_index_material */

  REGAL_DECL void REGAL_CALL glIndexMaterialEXT(GLenum face, GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIndexMaterialEXT","(", toString(face), ", ", GLmodeToString(mode), ")");;
    #endif
    App("glIndexMaterialEXT","(", toString(face), ", ", GLmodeToString(mode), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glIndexMaterialEXT)(face, mode);
  }

  /* GL_EXT_light_texture */

  REGAL_DECL void REGAL_CALL glApplyTextureEXT(GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glApplyTextureEXT","(", GLmodeToString(mode), ")");;
    #endif
    App("glApplyTextureEXT","(", GLmodeToString(mode), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glApplyTextureEXT)(mode);
  }

  REGAL_DECL void REGAL_CALL glTextureLightEXT(GLenum pname)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureLightEXT","(", toString(pname), ")");;
    #endif
    App("glTextureLightEXT","(", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureLightEXT)(pname);
  }

  REGAL_DECL void REGAL_CALL glTextureMaterialEXT(GLenum face, GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureMaterialEXT","(", toString(face), ", ", GLmodeToString(mode), ")");;
    #endif
    App("glTextureMaterialEXT","(", toString(face), ", ", GLmodeToString(mode), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureMaterialEXT)(face, mode);
  }

  /* GL_EXT_map_buffer_range */

  REGAL_DECL void REGAL_CALL glFlushMappedBufferRangeEXT(GLenum target, GLintptr offset, GLsizeiptr length)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFlushMappedBufferRangeEXT","(", toString(target), ", ", offset, ", ", length, ")");;
    #endif
    App("glFlushMappedBufferRangeEXT","(", toString(target), ", ", offset, ", ", length, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFlushMappedBufferRangeEXT)(target, offset, length);
  }

  REGAL_DECL void *REGAL_CALL glMapBufferRangeEXT(GLenum target, GLintptr offset, GLsizeiptr length, GLbitfield access)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMapBufferRangeEXT","(", toString(target), ", ", offset, ", ", length, ", ", GLmapBufferRangeToString(access), ")");;
    #endif
    App("glMapBufferRangeEXT","(", toString(target), ", ", offset, ", ", length, ", ", GLmapBufferRangeToString(access), ")");
    if (!_context) return NULL;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glMapBufferRangeEXT)(target, offset, length, access);
  }

  /* GL_EXT_multi_draw_arrays */

  REGAL_DECL void REGAL_CALL glMultiDrawArraysEXT(GLenum mode, const GLint *first, const GLsizei *count, GLsizei primcount)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiDrawArraysEXT","(", GLmodeToString(mode), ", ", boost::print::array(first,primcount), ", ", boost::print::array(count,primcount), ", ", primcount, ")");;
    #endif
    App("glMultiDrawArraysEXT","(", GLmodeToString(mode), ", ", boost::print::array(first,primcount), ", ", boost::print::array(count,primcount), ", ", primcount, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiDrawArraysEXT)(mode, first, count, primcount);
  }

  REGAL_DECL void REGAL_CALL glMultiDrawElementsEXT(GLenum mode, const GLsizei *count, GLenum type, const GLvoid * const *indices, GLsizei primcount)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiDrawElementsEXT","(", GLmodeToString(mode), ", ", boost::print::array(count,primcount), ", ", toString(type), ", ", indices, ", ", primcount, ")");;
    #endif
    App("glMultiDrawElementsEXT","(", GLmodeToString(mode), ", ", boost::print::array(count,primcount), ", ", toString(type), ", ", indices, ", ", primcount, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiDrawElementsEXT)(mode, count, type, indices, primcount);
  }

  /* GL_EXT_multisample */

  REGAL_DECL void REGAL_CALL glSampleMaskEXT(GLclampf value, GLboolean invert)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSampleMaskEXT","(", value, ", ", toString(invert), ")");;
    #endif
    App("glSampleMaskEXT","(", value, ", ", toString(invert), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSampleMaskEXT)(value, invert);
  }

  REGAL_DECL void REGAL_CALL glSamplePatternEXT(GLenum pattern)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSamplePatternEXT","(", toString(pattern), ")");;
    #endif
    App("glSamplePatternEXT","(", toString(pattern), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSamplePatternEXT)(pattern);
  }

  /* GL_EXT_multisampled_render_to_texture */

  REGAL_DECL void REGAL_CALL glFramebufferTexture2DMultisampleEXT(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLsizei samples)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFramebufferTexture2DMultisampleEXT","(", toString(target), ", ", toString(attachment), ", ", toString(textarget), ", ", texture, ", ", level, ", ", samples, ")");;
    #endif
    App("glFramebufferTexture2DMultisampleEXT","(", toString(target), ", ", toString(attachment), ", ", toString(textarget), ", ", texture, ", ", level, ", ", samples, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferTexture2DMultisampleEXT)(target, attachment, textarget, texture, level, samples);
  }

  /* GL_EXT_multiview_draw_buffers */

  REGAL_DECL void REGAL_CALL glDrawBuffersIndexedEXT(GLint n, const GLenum *location, const GLint *indices)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDrawBuffersIndexedEXT","(", n, ", ", location, ", ", boost::print::optional(indices,Logging::pointers), ")");;
    #endif
    App("glDrawBuffersIndexedEXT","(", n, ", ", location, ", ", boost::print::optional(indices,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawBuffersIndexedEXT)(n, location, indices);
  }

  REGAL_DECL void REGAL_CALL glGetIntegeri_vEXT(GLenum target, GLuint index, GLint *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetIntegeri_vEXT","(", toString(target), ", ", index, ", ", boost::print::optional(data,Logging::pointers), ")");;
    #endif
    App("glGetIntegeri_vEXT","(", toString(target), ", ", index, ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetIntegeri_vEXT)(target, index, data);
  }

  REGAL_DECL void REGAL_CALL glReadBufferIndexedEXT(GLenum src, GLint index)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glReadBufferIndexedEXT","(", toString(src), ", ", index, ")");;
    #endif
    App("glReadBufferIndexedEXT","(", toString(src), ", ", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReadBufferIndexedEXT)(src, index);
  }

  /* GL_EXT_occlusion_query_boolean */

  REGAL_DECL void REGAL_CALL glBeginQueryEXT(GLenum target, GLuint id)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBeginQueryEXT","(", toString(target), ", ", id, ")");;
    #endif
    App("glBeginQueryEXT","(", toString(target), ", ", id, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBeginQueryEXT)(target, id);
  }

  REGAL_DECL void REGAL_CALL glDeleteQueriesEXT(GLsizei n, const GLuint *ids)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDeleteQueriesEXT","(", n, ", ", boost::print::optional(ids,Logging::pointers), ")");;
    #endif
    App("glDeleteQueriesEXT","(", n, ", ", boost::print::optional(ids,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteQueriesEXT)(n, ids);
  }

  REGAL_DECL void REGAL_CALL glEndQueryEXT(GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEndQueryEXT","(", toString(target), ")");;
    #endif
    App("glEndQueryEXT","(", toString(target), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEndQueryEXT)(target);
  }

  REGAL_DECL void REGAL_CALL glGenQueriesEXT(GLsizei n, GLuint *ids)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGenQueriesEXT","(", n, ", ", boost::print::optional(ids,Logging::pointers), ")");;
    #endif
    App("glGenQueriesEXT","(", n, ", ", boost::print::optional(ids,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenQueriesEXT)(n, ids);
  }

  REGAL_DECL void REGAL_CALL glGetQueryObjectuivEXT(GLuint id, GLenum pname, GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetQueryObjectuivEXT","(", id, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glGetQueryObjectuivEXT","(", id, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetQueryObjectuivEXT)(id, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetQueryivEXT(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetQueryivEXT","(", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glGetQueryivEXT","(", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetQueryivEXT)(target, pname, params);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsQueryEXT(GLuint id)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsQueryEXT","(", id, ")");;
    #endif
    App("glIsQueryEXT","(", id, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsQueryEXT)(id);
  }

  /* GL_EXT_paletted_texture */

  REGAL_DECL void REGAL_CALL glColorTableEXT(GLenum target, GLenum internalFormat, GLsizei width, GLenum format, GLenum type, const GLvoid *table)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColorTableEXT","(", toString(target), ", ", toString(internalFormat), ", ", width, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(table,Logging::pointers), ")");;
    #endif
    App("glColorTableEXT","(", toString(target), ", ", toString(internalFormat), ", ", width, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(table,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorTableEXT)(target, internalFormat, width, format, type, table);
  }

  REGAL_DECL void REGAL_CALL glGetColorTableEXT(GLenum target, GLenum format, GLenum type, GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetColorTableEXT","(", toString(target), ", ", toString(format), ", ", toString(type), ")");;
    #endif
    App("glGetColorTableEXT","(", toString(target), ", ", toString(format), ", ", toString(type), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetColorTableEXT)(target, format, type, data);
  }

  REGAL_DECL void REGAL_CALL glGetColorTableParameterfvEXT(GLenum target, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetColorTableParameterfvEXT","(", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetColorTableParameterfvEXT","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetColorTableParameterfvEXT)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetColorTableParameterivEXT(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetColorTableParameterivEXT","(", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetColorTableParameterivEXT","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetColorTableParameterivEXT)(target, pname, params);
  }

  /* GL_EXT_pixel_transform */

  REGAL_DECL void REGAL_CALL glGetPixelTransformParameterfvEXT(GLenum target, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetPixelTransformParameterfvEXT","(", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetPixelTransformParameterfvEXT","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPixelTransformParameterfvEXT)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetPixelTransformParameterivEXT(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetPixelTransformParameterivEXT","(", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetPixelTransformParameterivEXT","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPixelTransformParameterivEXT)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glPixelTransformParameterfEXT(GLenum target, GLenum pname, const GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPixelTransformParameterfEXT","(", toString(target), ", ", toString(pname), ", ", param, ")");;
    #endif
    App("glPixelTransformParameterfEXT","(", toString(target), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPixelTransformParameterfEXT)(target, pname, param);
  }

  REGAL_DECL void REGAL_CALL glPixelTransformParameterfvEXT(GLenum target, GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPixelTransformParameterfvEXT","(", toString(target), ", ", toString(pname), ", ", boost::print::array(params,1), ")");;
    #endif
    App("glPixelTransformParameterfvEXT","(", toString(target), ", ", toString(pname), ", ", boost::print::array(params,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPixelTransformParameterfvEXT)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glPixelTransformParameteriEXT(GLenum target, GLenum pname, const GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPixelTransformParameteriEXT","(", toString(target), ", ", toString(pname), ", ", param, ")");;
    #endif
    App("glPixelTransformParameteriEXT","(", toString(target), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPixelTransformParameteriEXT)(target, pname, param);
  }

  REGAL_DECL void REGAL_CALL glPixelTransformParameterivEXT(GLenum target, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPixelTransformParameterivEXT","(", toString(target), ", ", toString(pname), ", ", boost::print::array(params,1), ")");;
    #endif
    App("glPixelTransformParameterivEXT","(", toString(target), ", ", toString(pname), ", ", boost::print::array(params,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPixelTransformParameterivEXT)(target, pname, params);
  }

  /* GL_EXT_point_parameters */

  REGAL_DECL void REGAL_CALL glPointParameterfEXT(GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPointParameterfEXT","(", toString(pname), ", ", param, ")");;
    #endif
    App("glPointParameterfEXT","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPointParameterfEXT)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glPointParameterfvEXT(GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPointParameterfvEXT","(", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glPointParameterfvEXT","(", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPointParameterfvEXT)(pname, params);
  }

  /* GL_EXT_polygon_offset */

  REGAL_DECL void REGAL_CALL glPolygonOffsetEXT(GLfloat factor, GLfloat bias)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPolygonOffsetEXT","(", factor, ", ", bias, ")");;
    #endif
    App("glPolygonOffsetEXT","(", factor, ", ", bias, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPolygonOffsetEXT)(factor, bias);
  }

  /* GL_EXT_provoking_vertex */

  REGAL_DECL void REGAL_CALL glProvokingVertexEXT(GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProvokingVertexEXT","(", GLmodeToString(mode), ")");;
    #endif
    App("glProvokingVertexEXT","(", GLmodeToString(mode), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProvokingVertexEXT)(mode);
  }

  /* GL_EXT_robustness */

  REGAL_DECL void REGAL_CALL glGetnUniformfvEXT(GLuint program, GLint location, GLsizei bufSize, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetnUniformfvEXT","(", program, ", ", location, ", ", bufSize, ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glGetnUniformfvEXT","(", program, ", ", location, ", ", bufSize, ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetnUniformfvEXT)(program, location, bufSize, params);
  }

  REGAL_DECL void REGAL_CALL glGetnUniformivEXT(GLuint program, GLint location, GLsizei bufSize, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetnUniformivEXT","(", program, ", ", location, ", ", bufSize, ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glGetnUniformivEXT","(", program, ", ", location, ", ", bufSize, ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetnUniformivEXT)(program, location, bufSize, params);
  }

  REGAL_DECL void REGAL_CALL glReadnPixelsEXT(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLsizei bufSize, GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glReadnPixelsEXT","(", x, ", ", y, ", ", width, ", ", height, ", ", toString(format), ", ", toString(type), ", ", bufSize, ", ", boost::print::optional(data,Logging::pointers), ")");;
    #endif
    App("glReadnPixelsEXT","(", x, ", ", y, ", ", width, ", ", height, ", ", toString(format), ", ", toString(type), ", ", bufSize, ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReadnPixelsEXT)(x, y, width, height, format, type, bufSize, data);
  }

  /* GL_EXT_scene_marker */

  REGAL_DECL void REGAL_CALL glBeginSceneEXT(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBeginSceneEXT","()");;
    #endif
    App("glBeginSceneEXT","()");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBeginSceneEXT)();
  }

  REGAL_DECL void REGAL_CALL glEndSceneEXT(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEndSceneEXT","()");;
    #endif
    App("glEndSceneEXT","()");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEndSceneEXT)();
  }

  /* GL_EXT_secondary_color */

  REGAL_DECL void REGAL_CALL glSecondaryColor3bEXT(GLbyte red, GLbyte green, GLbyte blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSecondaryColor3bEXT","(", red, ", ", green, ", ", blue, ")");;
    #endif
    App("glSecondaryColor3bEXT","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3bEXT)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3bvEXT(const GLbyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSecondaryColor3bvEXT","(", boost::print::array(v,3), ")");;
    #endif
    App("glSecondaryColor3bvEXT","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3bvEXT)(v);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3dEXT(GLdouble red, GLdouble green, GLdouble blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSecondaryColor3dEXT","(", red, ", ", green, ", ", blue, ")");;
    #endif
    App("glSecondaryColor3dEXT","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3dEXT)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3dvEXT(const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSecondaryColor3dvEXT","(", boost::print::array(v,3), ")");;
    #endif
    App("glSecondaryColor3dvEXT","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3dvEXT)(v);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3fEXT(GLfloat red, GLfloat green, GLfloat blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSecondaryColor3fEXT","(", red, ", ", green, ", ", blue, ")");;
    #endif
    App("glSecondaryColor3fEXT","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3fEXT)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3fvEXT(const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSecondaryColor3fvEXT","(", boost::print::array(v,3), ")");;
    #endif
    App("glSecondaryColor3fvEXT","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3fvEXT)(v);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3iEXT(GLint red, GLint green, GLint blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSecondaryColor3iEXT","(", red, ", ", green, ", ", blue, ")");;
    #endif
    App("glSecondaryColor3iEXT","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3iEXT)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3ivEXT(const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSecondaryColor3ivEXT","(", boost::print::array(v,3), ")");;
    #endif
    App("glSecondaryColor3ivEXT","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3ivEXT)(v);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3sEXT(GLshort red, GLshort green, GLshort blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSecondaryColor3sEXT","(", red, ", ", green, ", ", blue, ")");;
    #endif
    App("glSecondaryColor3sEXT","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3sEXT)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3svEXT(const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSecondaryColor3svEXT","(", boost::print::array(v,3), ")");;
    #endif
    App("glSecondaryColor3svEXT","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3svEXT)(v);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3ubEXT(GLubyte red, GLubyte green, GLubyte blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSecondaryColor3ubEXT","(", red, ", ", green, ", ", blue, ")");;
    #endif
    App("glSecondaryColor3ubEXT","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3ubEXT)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3ubvEXT(const GLubyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSecondaryColor3ubvEXT","(", boost::print::array(v,3), ")");;
    #endif
    App("glSecondaryColor3ubvEXT","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3ubvEXT)(v);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3uiEXT(GLuint red, GLuint green, GLuint blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSecondaryColor3uiEXT","(", red, ", ", green, ", ", blue, ")");;
    #endif
    App("glSecondaryColor3uiEXT","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3uiEXT)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3uivEXT(const GLuint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSecondaryColor3uivEXT","(", boost::print::array(v,3), ")");;
    #endif
    App("glSecondaryColor3uivEXT","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3uivEXT)(v);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3usEXT(GLushort red, GLushort green, GLushort blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSecondaryColor3usEXT","(", red, ", ", green, ", ", blue, ")");;
    #endif
    App("glSecondaryColor3usEXT","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3usEXT)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3usvEXT(const GLushort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSecondaryColor3usvEXT","(", boost::print::array(v,3), ")");;
    #endif
    App("glSecondaryColor3usvEXT","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3usvEXT)(v);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColorPointerEXT(GLint size, GLenum type, GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSecondaryColorPointerEXT","(", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");;
    #endif
    App("glSecondaryColorPointerEXT","(", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColorPointerEXT)(size, type, stride, pointer);
  }

  /* GL_EXT_separate_shader_objects */

  REGAL_DECL void REGAL_CALL glActiveProgramEXT(GLuint program)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glActiveProgramEXT","(", program, ")");;
    #endif
    App("glActiveProgramEXT","(", program, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glActiveProgramEXT)(program);
  }

  REGAL_DECL GLuint REGAL_CALL glCreateShaderProgramEXT(GLenum type, const GLchar *string)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCreateShaderProgramEXT","(", toString(type), ", ", boost::print::quote(string,'"'), ")");;
    #endif
    App("glCreateShaderProgramEXT","(", toString(type), ", ", boost::print::quote(string,'"'), ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glCreateShaderProgramEXT)(type, string);
  }

  REGAL_DECL void REGAL_CALL glUseShaderProgramEXT(GLenum type, GLuint program)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUseShaderProgramEXT","(", toString(type), ", ", program, ")");;
    #endif
    App("glUseShaderProgramEXT","(", toString(type), ", ", program, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUseShaderProgramEXT)(type, program);
  }

  /* GL_EXT_shader_image_load_store */

  REGAL_DECL void REGAL_CALL glBindImageTextureEXT(GLuint index, GLuint texture, GLint level, GLboolean layered, GLint layer, GLenum access, GLint format)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindImageTextureEXT","(", index, ", ", texture, ", ", level, ", ", toString(layered), ", ", layer, ", ", toString(access), ", ", format, ")");;
    #endif
    App("glBindImageTextureEXT","(", index, ", ", texture, ", ", level, ", ", toString(layered), ", ", layer, ", ", toString(access), ", ", format, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindImageTextureEXT)(index, texture, level, layered, layer, access, format);
  }

  REGAL_DECL void REGAL_CALL glMemoryBarrierEXT(GLbitfield barriers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMemoryBarrierEXT","(", GLmemoryBarrierToString(barriers), ")");;
    #endif
    App("glMemoryBarrierEXT","(", GLmemoryBarrierToString(barriers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMemoryBarrierEXT)(barriers);
  }

  /* GL_EXT_stencil_clear_tag */

  REGAL_DECL void REGAL_CALL glStencilClearTagEXT(GLsizei stencilTagBits, GLuint stencilClearTag)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glStencilClearTagEXT","(", stencilTagBits, ", ", stencilClearTag, ")");;
    #endif
    App("glStencilClearTagEXT","(", stencilTagBits, ", ", stencilClearTag, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glStencilClearTagEXT)(stencilTagBits, stencilClearTag);
  }

  /* GL_EXT_stencil_two_side */

  REGAL_DECL void REGAL_CALL glActiveStencilFaceEXT(GLenum face)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glActiveStencilFaceEXT","(", toString(face), ")");;
    #endif
    App("glActiveStencilFaceEXT","(", toString(face), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glActiveStencilFaceEXT)(face);
  }

  /* GL_EXT_subtexture */

  REGAL_DECL void REGAL_CALL glTexSubImage1DEXT(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexSubImage1DEXT","(", toString(target), ", ", level, ", ", xoffset, ", ", width, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(reinterpret_cast<const GLubyte *>(pixels),Logging::pointers), ")");;
    #endif
    App("glTexSubImage1DEXT","(", toString(target), ", ", level, ", ", xoffset, ", ", width, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(reinterpret_cast<const GLubyte *>(pixels),Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexSubImage1DEXT)(target, level, xoffset, width, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glTexSubImage2DEXT(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexSubImage2DEXT","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", width, ", ", height, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(reinterpret_cast<const GLubyte *>(pixels),Logging::pointers), ")");;
    #endif
    App("glTexSubImage2DEXT","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", width, ", ", height, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(reinterpret_cast<const GLubyte *>(pixels),Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexSubImage2DEXT)(target, level, xoffset, yoffset, width, height, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glTexSubImage3DEXT(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexSubImage3DEXT","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(reinterpret_cast<const GLubyte *>(pixels),Logging::pointers), ")");;
    #endif
    App("glTexSubImage3DEXT","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(reinterpret_cast<const GLubyte *>(pixels),Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexSubImage3DEXT)(target, level, xoffset, yoffset, zoffset, width, height, depth, format, type, pixels);
  }

  /* GL_EXT_texture3D */

  REGAL_DECL void REGAL_CALL glTexImage3DEXT(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexImage3DEXT","(", toString(target), ", ", level, ", ", internalFormatToString(internalformat), ", ", width, ", ", height, ", ", depth, ", ", border, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(reinterpret_cast<const GLubyte *>(pixels),Logging::pointers), ")");;
    #endif
    App("glTexImage3DEXT","(", toString(target), ", ", level, ", ", internalFormatToString(internalformat), ", ", width, ", ", height, ", ", depth, ", ", border, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(reinterpret_cast<const GLubyte *>(pixels),Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexImage3DEXT)(target, level, internalformat, width, height, depth, border, format, type, pixels);
  }

  /* GL_EXT_texture_array */

  REGAL_DECL void REGAL_CALL glFramebufferTextureLayerEXT(GLenum target, GLenum attachment, GLuint texture, GLint level, GLint layer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFramebufferTextureLayerEXT","(", toString(target), ", ", toString(attachment), ", ", texture, ", ", level, ", ", layer, ")");;
    #endif
    App("glFramebufferTextureLayerEXT","(", toString(target), ", ", toString(attachment), ", ", texture, ", ", level, ", ", layer, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferTextureLayerEXT)(target, attachment, texture, level, layer);
  }

  /* GL_EXT_texture_buffer_object */

  REGAL_DECL void REGAL_CALL glTexBufferEXT(GLenum target, GLenum internalformat, GLuint buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexBufferEXT","(", toString(target), ", ", toString(internalformat), ", ", buffer, ")");;
    #endif
    App("glTexBufferEXT","(", toString(target), ", ", toString(internalformat), ", ", buffer, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexBufferEXT)(target, internalformat, buffer);
  }

  /* GL_EXT_texture_integer */

  REGAL_DECL void REGAL_CALL glClearColorIiEXT(GLint red, GLint green, GLint blue, GLint alpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glClearColorIiEXT","(", red, ", ", green, ", ", blue, ", ", alpha, ")");;
    #endif
    App("glClearColorIiEXT","(", red, ", ", green, ", ", blue, ", ", alpha, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClearColorIiEXT)(red, green, blue, alpha);
  }

  REGAL_DECL void REGAL_CALL glClearColorIuiEXT(GLuint red, GLuint green, GLuint blue, GLuint alpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glClearColorIuiEXT","(", red, ", ", green, ", ", blue, ", ", alpha, ")");;
    #endif
    App("glClearColorIuiEXT","(", red, ", ", green, ", ", blue, ", ", alpha, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClearColorIuiEXT)(red, green, blue, alpha);
  }

  REGAL_DECL void REGAL_CALL glGetTexParameterIivEXT(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTexParameterIivEXT","(", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetTexParameterIivEXT","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTexParameterIivEXT)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetTexParameterIuivEXT(GLenum target, GLenum pname, GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTexParameterIuivEXT","(", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetTexParameterIuivEXT","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTexParameterIuivEXT)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glTexParameterIivEXT(GLenum target, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexParameterIivEXT","(", toString(target), ", ", toString(pname), ", ", GLTexParameterToString(pname,params), ")");;
    #endif
    App("glTexParameterIivEXT","(", toString(target), ", ", toString(pname), ", ", GLTexParameterToString(pname,params), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexParameterIivEXT)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glTexParameterIuivEXT(GLenum target, GLenum pname, const GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexParameterIuivEXT","(", toString(target), ", ", toString(pname), ", ", GLTexParameterToString(pname,params), ")");;
    #endif
    App("glTexParameterIuivEXT","(", toString(target), ", ", toString(pname), ", ", GLTexParameterToString(pname,params), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexParameterIuivEXT)(target, pname, params);
  }

  /* GL_EXT_texture_object */

  REGAL_DECL GLboolean REGAL_CALL glAreTexturesResidentEXT(GLsizei n, const GLuint *textures, GLboolean *residences)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glAreTexturesResidentEXT","(", n, ", ", boost::print::array(textures,n), ")");;
    #endif
    App("glAreTexturesResidentEXT","(", n, ", ", boost::print::array(textures,n), ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glAreTexturesResidentEXT)(n, textures, residences);
  }

  REGAL_DECL void REGAL_CALL glBindTextureEXT(GLenum target, GLuint texture)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindTextureEXT","(", toString(target), ", ", texture, ")");;
    #endif
    App("glBindTextureEXT","(", toString(target), ", ", texture, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindTextureEXT)(target, texture);
  }

  REGAL_DECL void REGAL_CALL glDeleteTexturesEXT(GLsizei n, const GLuint *textures)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDeleteTexturesEXT","(", n, ", ", boost::print::array(textures,n), ")");;
    #endif
    App("glDeleteTexturesEXT","(", n, ", ", boost::print::array(textures,n), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteTexturesEXT)(n, textures);
  }

  REGAL_DECL void REGAL_CALL glGenTexturesEXT(GLsizei n, GLuint *textures)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGenTexturesEXT","(", n, ")");;
    #endif
    App("glGenTexturesEXT","(", n, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenTexturesEXT)(n, textures);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsTextureEXT(GLuint texture)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsTextureEXT","(", texture, ")");;
    #endif
    App("glIsTextureEXT","(", texture, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsTextureEXT)(texture);
  }

  REGAL_DECL void REGAL_CALL glPrioritizeTexturesEXT(GLsizei n, const GLuint *textures, const GLclampf *priorities)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPrioritizeTexturesEXT","(", n, ", ", boost::print::array(textures,n), ", ", boost::print::array(priorities,n), ")");;
    #endif
    App("glPrioritizeTexturesEXT","(", n, ", ", boost::print::array(textures,n), ", ", boost::print::array(priorities,n), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPrioritizeTexturesEXT)(n, textures, priorities);
  }

  /* GL_EXT_texture_perturb_normal */

  REGAL_DECL void REGAL_CALL glTextureNormalEXT(GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureNormalEXT","(", GLmodeToString(mode), ")");;
    #endif
    App("glTextureNormalEXT","(", GLmodeToString(mode), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureNormalEXT)(mode);
  }

  /* GL_EXT_texture_storage */

  REGAL_DECL void REGAL_CALL glTexStorage1DEXT(GLenum target, GLsizei levels, GLenum internalformat, GLsizei width)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexStorage1DEXT","(", toString(target), ", ", levels, ", ", toString(internalformat), ", ", width, ")");;
    #endif
    App("glTexStorage1DEXT","(", toString(target), ", ", levels, ", ", toString(internalformat), ", ", width, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexStorage1DEXT)(target, levels, internalformat, width);
  }

  REGAL_DECL void REGAL_CALL glTexStorage2DEXT(GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexStorage2DEXT","(", toString(target), ", ", levels, ", ", toString(internalformat), ", ", width, ", ", height, ")");;
    #endif
    App("glTexStorage2DEXT","(", toString(target), ", ", levels, ", ", toString(internalformat), ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexStorage2DEXT)(target, levels, internalformat, width, height);
  }

  REGAL_DECL void REGAL_CALL glTexStorage3DEXT(GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexStorage3DEXT","(", toString(target), ", ", levels, ", ", toString(internalformat), ", ", width, ", ", height, ", ", depth, ")");;
    #endif
    App("glTexStorage3DEXT","(", toString(target), ", ", levels, ", ", toString(internalformat), ", ", width, ", ", height, ", ", depth, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexStorage3DEXT)(target, levels, internalformat, width, height, depth);
  }

  /* GL_EXT_timer_query */

  REGAL_DECL void REGAL_CALL glGetQueryObjecti64vEXT(GLuint id, GLenum pname, GLint64EXT *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetQueryObjecti64vEXT","(", id, ", ", toString(pname), ")");;
    #endif
    App("glGetQueryObjecti64vEXT","(", id, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetQueryObjecti64vEXT)(id, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetQueryObjectui64vEXT(GLuint id, GLenum pname, GLuint64EXT *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetQueryObjectui64vEXT","(", id, ", ", toString(pname), ")");;
    #endif
    App("glGetQueryObjectui64vEXT","(", id, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetQueryObjectui64vEXT)(id, pname, params);
  }

  /* GL_EXT_transform_feedback */

  REGAL_DECL void REGAL_CALL glBeginTransformFeedbackEXT(GLenum primitiveMode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBeginTransformFeedbackEXT","(", toString(primitiveMode), ")");;
    #endif
    App("glBeginTransformFeedbackEXT","(", toString(primitiveMode), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBeginTransformFeedbackEXT)(primitiveMode);
  }

  REGAL_DECL void REGAL_CALL glBindBufferBaseEXT(GLenum target, GLuint index, GLuint buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindBufferBaseEXT","(", toString(target), ", ", index, ", ", buffer, ")");;
    #endif
    App("glBindBufferBaseEXT","(", toString(target), ", ", index, ", ", buffer, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindBufferBaseEXT)(target, index, buffer);
  }

  REGAL_DECL void REGAL_CALL glBindBufferOffsetEXT(GLenum target, GLuint index, GLuint buffer, GLintptr offset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindBufferOffsetEXT","(", toString(target), ", ", index, ", ", buffer, ", ", offset, ")");;
    #endif
    App("glBindBufferOffsetEXT","(", toString(target), ", ", index, ", ", buffer, ", ", offset, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindBufferOffsetEXT)(target, index, buffer, offset);
  }

  REGAL_DECL void REGAL_CALL glBindBufferRangeEXT(GLenum target, GLuint index, GLuint buffer, GLintptr offset, GLsizeiptr size)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindBufferRangeEXT","(", toString(target), ", ", index, ", ", buffer, ", ", offset, ", ", size, ")");;
    #endif
    App("glBindBufferRangeEXT","(", toString(target), ", ", index, ", ", buffer, ", ", offset, ", ", size, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindBufferRangeEXT)(target, index, buffer, offset, size);
  }

  REGAL_DECL void REGAL_CALL glEndTransformFeedbackEXT(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEndTransformFeedbackEXT","()");;
    #endif
    App("glEndTransformFeedbackEXT","()");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEndTransformFeedbackEXT)();
  }

  REGAL_DECL void REGAL_CALL glGetTransformFeedbackVaryingEXT(GLuint program, GLuint index, GLsizei bufSize, GLsizei *length, GLsizei *size, GLenum *type, GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTransformFeedbackVaryingEXT","(", program, ", ", index, ", ", bufSize, ")");;
    #endif
    App("glGetTransformFeedbackVaryingEXT","(", program, ", ", index, ", ", bufSize, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTransformFeedbackVaryingEXT)(program, index, bufSize, length, size, type, name);
  }

  REGAL_DECL void REGAL_CALL glTransformFeedbackVaryingsEXT(GLuint program, GLsizei count, const GLchar * const *varyings, GLenum bufferMode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTransformFeedbackVaryingsEXT","(", program, ", ", count, ", ", boost::print::array(varyings,count,"\""), ", ", toString(bufferMode), ")");;
    #endif
    App("glTransformFeedbackVaryingsEXT","(", program, ", ", count, ", ", boost::print::array(varyings,count,"\""), ", ", toString(bufferMode), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTransformFeedbackVaryingsEXT)(program, count, varyings, bufferMode);
  }

  /* GL_EXT_vertex_array */

  REGAL_DECL void REGAL_CALL glArrayElementEXT(GLint i)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glArrayElementEXT","(", i, ")");;
    #endif
    App("glArrayElementEXT","(", i, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glArrayElementEXT)(i);
  }

  REGAL_DECL void REGAL_CALL glColorPointerEXT(GLint size, GLenum type, GLsizei stride, GLsizei count, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColorPointerEXT","(", size, ", ", toString(type), ", ", stride, ", ", count, ", ", boost::print::optional(pointer,Logging::pointers), ")");;
    #endif
    App("glColorPointerEXT","(", size, ", ", toString(type), ", ", stride, ", ", count, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorPointerEXT)(size, type, stride, count, pointer);
  }

  REGAL_DECL void REGAL_CALL glDrawArraysEXT(GLenum mode, GLint first, GLsizei count)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDrawArraysEXT","(", toString(mode), ", ", GLmodeToString(mode), ", ", count, ")");;
    #endif
    App("glDrawArraysEXT","(", toString(mode), ", ", GLmodeToString(mode), ", ", count, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawArraysEXT)(mode, first, count);
  }

  REGAL_DECL void REGAL_CALL glEdgeFlagPointerEXT(GLsizei stride, GLsizei count, const GLboolean *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEdgeFlagPointerEXT","(", stride, ", ", count, ", ", boost::print::optional(pointer,Logging::pointers), ")");;
    #endif
    App("glEdgeFlagPointerEXT","(", stride, ", ", count, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEdgeFlagPointerEXT)(stride, count, pointer);
  }

  REGAL_DECL void REGAL_CALL glGetPointervEXT(GLenum pname, GLvoid **params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetPointervEXT","(", toString(pname), ")");;
    #endif
    App("glGetPointervEXT","(", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPointervEXT)(pname, params);
  }

  REGAL_DECL void REGAL_CALL glIndexPointerEXT(GLenum type, GLsizei stride, GLsizei count, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIndexPointerEXT","(", toString(type), ", ", stride, ", ", count, ", ", boost::print::optional(pointer,Logging::pointers), ")");;
    #endif
    App("glIndexPointerEXT","(", toString(type), ", ", stride, ", ", count, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glIndexPointerEXT)(type, stride, count, pointer);
  }

  REGAL_DECL void REGAL_CALL glNormalPointerEXT(GLenum type, GLsizei stride, GLsizei count, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNormalPointerEXT","(", toString(type), ", ", stride, ", ", count, ", ", boost::print::optional(pointer,Logging::pointers), ")");;
    #endif
    App("glNormalPointerEXT","(", toString(type), ", ", stride, ", ", count, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormalPointerEXT)(type, stride, count, pointer);
  }

  REGAL_DECL void REGAL_CALL glTexCoordPointerEXT(GLint size, GLenum type, GLsizei stride, GLsizei count, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoordPointerEXT","(", size, ", ", toString(type), ", ", stride, ", ", count, ", ", boost::print::optional(pointer,Logging::pointers), ")");;
    #endif
    App("glTexCoordPointerEXT","(", size, ", ", toString(type), ", ", stride, ", ", count, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoordPointerEXT)(size, type, stride, count, pointer);
  }

  REGAL_DECL void REGAL_CALL glVertexPointerEXT(GLint size, GLenum type, GLsizei stride, GLsizei count, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexPointerEXT","(", size, ", ", toString(type), ", ", stride, ", ", count, ", ", boost::print::optional(pointer,Logging::pointers), ")");;
    #endif
    App("glVertexPointerEXT","(", size, ", ", toString(type), ", ", stride, ", ", count, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexPointerEXT)(size, type, stride, count, pointer);
  }

  /* GL_EXT_vertex_attrib_64bit */

  REGAL_DECL void REGAL_CALL glGetVertexAttribLdvEXT(GLuint index, GLenum pname, GLdouble *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetVertexAttribLdvEXT","(", index, ", ", toString(pname), ")");;
    #endif
    App("glGetVertexAttribLdvEXT","(", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexAttribLdvEXT)(index, pname, params);
  }

  REGAL_DECL void REGAL_CALL glVertexArrayVertexAttribLOffsetEXT(GLuint vaobj, GLuint buffer, GLuint index, GLint size, GLenum type, GLsizei stride, GLintptr offset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexArrayVertexAttribLOffsetEXT","(", vaobj, ", ", buffer, ", ", index, ", ", size, ", ", toString(type), ", ", stride, ", ", offset, ")");;
    #endif
    App("glVertexArrayVertexAttribLOffsetEXT","(", vaobj, ", ", buffer, ", ", index, ", ", size, ", ", toString(type), ", ", stride, ", ", offset, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexArrayVertexAttribLOffsetEXT)(vaobj, buffer, index, size, type, stride, offset);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL1dEXT(GLuint index, GLdouble x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribL1dEXT","(", index, ", ", x, ")");;
    #endif
    App("glVertexAttribL1dEXT","(", index, ", ", x, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL1dEXT)(index, x);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL1dvEXT(GLuint index, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribL1dvEXT","(", index, ", ", boost::print::array(v,1), ")");;
    #endif
    App("glVertexAttribL1dvEXT","(", index, ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL1dvEXT)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL2dEXT(GLuint index, GLdouble x, GLdouble y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribL2dEXT","(", index, ", ", x, ", ", y, ")");;
    #endif
    App("glVertexAttribL2dEXT","(", index, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL2dEXT)(index, x, y);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL2dvEXT(GLuint index, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribL2dvEXT","(", index, ", ", boost::print::array(v,2), ")");;
    #endif
    App("glVertexAttribL2dvEXT","(", index, ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL2dvEXT)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL3dEXT(GLuint index, GLdouble x, GLdouble y, GLdouble z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribL3dEXT","(", index, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glVertexAttribL3dEXT","(", index, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL3dEXT)(index, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL3dvEXT(GLuint index, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribL3dvEXT","(", index, ", ", boost::print::array(v,3), ")");;
    #endif
    App("glVertexAttribL3dvEXT","(", index, ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL3dvEXT)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL4dEXT(GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribL4dEXT","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glVertexAttribL4dEXT","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL4dEXT)(index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL4dvEXT(GLuint index, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribL4dvEXT","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glVertexAttribL4dvEXT","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL4dvEXT)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribLPointerEXT(GLuint index, GLint size, GLenum type, GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribLPointerEXT","(", index, ", ", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");;
    #endif
    App("glVertexAttribLPointerEXT","(", index, ", ", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribLPointerEXT)(index, size, type, stride, pointer);
  }

  /* GL_EXT_vertex_shader */

  REGAL_DECL void REGAL_CALL glBeginVertexShaderEXT(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBeginVertexShaderEXT","()");;
    #endif
    App("glBeginVertexShaderEXT","()");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBeginVertexShaderEXT)();
  }

  REGAL_DECL GLuint REGAL_CALL glBindLightParameterEXT(GLenum light, GLenum value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindLightParameterEXT","(", toString(light), ", ", toString(value), ")");;
    #endif
    App("glBindLightParameterEXT","(", toString(light), ", ", toString(value), ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glBindLightParameterEXT)(light, value);
  }

  REGAL_DECL GLuint REGAL_CALL glBindMaterialParameterEXT(GLenum face, GLenum value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindMaterialParameterEXT","(", toString(face), ", ", toString(value), ")");;
    #endif
    App("glBindMaterialParameterEXT","(", toString(face), ", ", toString(value), ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glBindMaterialParameterEXT)(face, value);
  }

  REGAL_DECL GLuint REGAL_CALL glBindParameterEXT(GLenum value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindParameterEXT","(", toString(value), ")");;
    #endif
    App("glBindParameterEXT","(", toString(value), ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glBindParameterEXT)(value);
  }

  REGAL_DECL GLuint REGAL_CALL glBindTexGenParameterEXT(GLenum unit, GLenum coord, GLenum value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindTexGenParameterEXT","(", toString(unit), ", ", toString(coord), ", ", toString(value), ")");;
    #endif
    App("glBindTexGenParameterEXT","(", toString(unit), ", ", toString(coord), ", ", toString(value), ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glBindTexGenParameterEXT)(unit, coord, value);
  }

  REGAL_DECL GLuint REGAL_CALL glBindTextureUnitParameterEXT(GLenum unit, GLenum value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindTextureUnitParameterEXT","(", toString(unit), ", ", toString(value), ")");;
    #endif
    App("glBindTextureUnitParameterEXT","(", toString(unit), ", ", toString(value), ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glBindTextureUnitParameterEXT)(unit, value);
  }

  REGAL_DECL void REGAL_CALL glBindVertexShaderEXT(GLuint id)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindVertexShaderEXT","(", id, ")");;
    #endif
    App("glBindVertexShaderEXT","(", id, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindVertexShaderEXT)(id);
  }

  REGAL_DECL void REGAL_CALL glDeleteVertexShaderEXT(GLuint id)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDeleteVertexShaderEXT","(", id, ")");;
    #endif
    App("glDeleteVertexShaderEXT","(", id, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteVertexShaderEXT)(id);
  }

  REGAL_DECL void REGAL_CALL glDisableVariantClientStateEXT(GLuint id)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDisableVariantClientStateEXT","(", id, ")");;
    #endif
    App("glDisableVariantClientStateEXT","(", id, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDisableVariantClientStateEXT)(id);
  }

  REGAL_DECL void REGAL_CALL glEnableVariantClientStateEXT(GLuint id)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEnableVariantClientStateEXT","(", id, ")");;
    #endif
    App("glEnableVariantClientStateEXT","(", id, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEnableVariantClientStateEXT)(id);
  }

  REGAL_DECL void REGAL_CALL glEndVertexShaderEXT(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEndVertexShaderEXT","()");;
    #endif
    App("glEndVertexShaderEXT","()");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEndVertexShaderEXT)();
  }

  REGAL_DECL void REGAL_CALL glExtractComponentEXT(GLuint res, GLuint src, GLuint num)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glExtractComponentEXT","(", res, ", ", src, ", ", num, ")");;
    #endif
    App("glExtractComponentEXT","(", res, ", ", src, ", ", num, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glExtractComponentEXT)(res, src, num);
  }

  REGAL_DECL GLuint REGAL_CALL glGenSymbolsEXT(GLenum datatype, GLenum storagetype, GLenum range, GLuint components)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGenSymbolsEXT","(", toString(datatype), ", ", toString(storagetype), ", ", toString(range), ", ", components, ")");;
    #endif
    App("glGenSymbolsEXT","(", toString(datatype), ", ", toString(storagetype), ", ", toString(range), ", ", components, ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGenSymbolsEXT)(datatype, storagetype, range, components);
  }

  REGAL_DECL GLuint REGAL_CALL glGenVertexShadersEXT(GLuint range)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGenVertexShadersEXT","(", range, ")");;
    #endif
    App("glGenVertexShadersEXT","(", range, ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGenVertexShadersEXT)(range);
  }

  REGAL_DECL void REGAL_CALL glGetInvariantBooleanvEXT(GLuint id, GLenum value, GLboolean *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetInvariantBooleanvEXT","(", id, ", ", toString(value), ")");;
    #endif
    App("glGetInvariantBooleanvEXT","(", id, ", ", toString(value), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetInvariantBooleanvEXT)(id, value, data);
  }

  REGAL_DECL void REGAL_CALL glGetInvariantFloatvEXT(GLuint id, GLenum value, GLfloat *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetInvariantFloatvEXT","(", id, ", ", toString(value), ")");;
    #endif
    App("glGetInvariantFloatvEXT","(", id, ", ", toString(value), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetInvariantFloatvEXT)(id, value, data);
  }

  REGAL_DECL void REGAL_CALL glGetInvariantIntegervEXT(GLuint id, GLenum value, GLint *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetInvariantIntegervEXT","(", id, ", ", toString(value), ")");;
    #endif
    App("glGetInvariantIntegervEXT","(", id, ", ", toString(value), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetInvariantIntegervEXT)(id, value, data);
  }

  REGAL_DECL void REGAL_CALL glGetLocalConstantBooleanvEXT(GLuint id, GLenum value, GLboolean *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetLocalConstantBooleanvEXT","(", id, ", ", toString(value), ")");;
    #endif
    App("glGetLocalConstantBooleanvEXT","(", id, ", ", toString(value), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetLocalConstantBooleanvEXT)(id, value, data);
  }

  REGAL_DECL void REGAL_CALL glGetLocalConstantFloatvEXT(GLuint id, GLenum value, GLfloat *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetLocalConstantFloatvEXT","(", id, ", ", toString(value), ")");;
    #endif
    App("glGetLocalConstantFloatvEXT","(", id, ", ", toString(value), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetLocalConstantFloatvEXT)(id, value, data);
  }

  REGAL_DECL void REGAL_CALL glGetLocalConstantIntegervEXT(GLuint id, GLenum value, GLint *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetLocalConstantIntegervEXT","(", id, ", ", toString(value), ")");;
    #endif
    App("glGetLocalConstantIntegervEXT","(", id, ", ", toString(value), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetLocalConstantIntegervEXT)(id, value, data);
  }

  REGAL_DECL void REGAL_CALL glGetVariantBooleanvEXT(GLuint id, GLenum value, GLboolean *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetVariantBooleanvEXT","(", id, ", ", toString(value), ")");;
    #endif
    App("glGetVariantBooleanvEXT","(", id, ", ", toString(value), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVariantBooleanvEXT)(id, value, data);
  }

  REGAL_DECL void REGAL_CALL glGetVariantFloatvEXT(GLuint id, GLenum value, GLfloat *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetVariantFloatvEXT","(", id, ", ", toString(value), ")");;
    #endif
    App("glGetVariantFloatvEXT","(", id, ", ", toString(value), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVariantFloatvEXT)(id, value, data);
  }

  REGAL_DECL void REGAL_CALL glGetVariantIntegervEXT(GLuint id, GLenum value, GLint *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetVariantIntegervEXT","(", id, ", ", toString(value), ")");;
    #endif
    App("glGetVariantIntegervEXT","(", id, ", ", toString(value), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVariantIntegervEXT)(id, value, data);
  }

  REGAL_DECL void REGAL_CALL glGetVariantPointervEXT(GLuint id, GLenum value, GLvoid **data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetVariantPointervEXT","(", id, ", ", toString(value), ")");;
    #endif
    App("glGetVariantPointervEXT","(", id, ", ", toString(value), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVariantPointervEXT)(id, value, data);
  }

  REGAL_DECL void REGAL_CALL glInsertComponentEXT(GLuint res, GLuint src, GLuint num)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glInsertComponentEXT","(", res, ", ", src, ", ", num, ")");;
    #endif
    App("glInsertComponentEXT","(", res, ", ", src, ", ", num, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glInsertComponentEXT)(res, src, num);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsVariantEnabledEXT(GLuint id, GLenum cap)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsVariantEnabledEXT","(", id, ", ", toString(cap), ")");;
    #endif
    App("glIsVariantEnabledEXT","(", id, ", ", toString(cap), ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsVariantEnabledEXT)(id, cap);
  }

  REGAL_DECL void REGAL_CALL glSetInvariantEXT(GLuint id, GLenum type, const GLvoid *addr)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSetInvariantEXT","(", id, ", ", toString(type), ", ", boost::print::optional(addr,Logging::pointers), ")");;
    #endif
    App("glSetInvariantEXT","(", id, ", ", toString(type), ", ", boost::print::optional(addr,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSetInvariantEXT)(id, type, addr);
  }

  REGAL_DECL void REGAL_CALL glSetLocalConstantEXT(GLuint id, GLenum type, const GLvoid *addr)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSetLocalConstantEXT","(", id, ", ", toString(type), ", ", boost::print::optional(addr,Logging::pointers), ")");;
    #endif
    App("glSetLocalConstantEXT","(", id, ", ", toString(type), ", ", boost::print::optional(addr,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSetLocalConstantEXT)(id, type, addr);
  }

  REGAL_DECL void REGAL_CALL glShaderOp1EXT(GLenum op, GLuint res, GLuint arg1)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glShaderOp1EXT","(", toString(op), ", ", res, ", ", arg1, ")");;
    #endif
    App("glShaderOp1EXT","(", toString(op), ", ", res, ", ", arg1, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glShaderOp1EXT)(op, res, arg1);
  }

  REGAL_DECL void REGAL_CALL glShaderOp2EXT(GLenum op, GLuint res, GLuint arg1, GLuint arg2)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glShaderOp2EXT","(", toString(op), ", ", res, ", ", arg1, ", ", arg2, ")");;
    #endif
    App("glShaderOp2EXT","(", toString(op), ", ", res, ", ", arg1, ", ", arg2, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glShaderOp2EXT)(op, res, arg1, arg2);
  }

  REGAL_DECL void REGAL_CALL glShaderOp3EXT(GLenum op, GLuint res, GLuint arg1, GLuint arg2, GLuint arg3)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glShaderOp3EXT","(", toString(op), ", ", res, ", ", arg1, ", ", arg2, ", ", arg3, ")");;
    #endif
    App("glShaderOp3EXT","(", toString(op), ", ", res, ", ", arg1, ", ", arg2, ", ", arg3, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glShaderOp3EXT)(op, res, arg1, arg2, arg3);
  }

  REGAL_DECL void REGAL_CALL glSwizzleEXT(GLuint res, GLuint in, GLenum outX, GLenum outY, GLenum outZ, GLenum outW)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSwizzleEXT","(", res, ", ", in, ", ", toString(outX), ", ", toString(outY), ", ", toString(outZ), ", ", toString(outW), ")");;
    #endif
    App("glSwizzleEXT","(", res, ", ", in, ", ", toString(outX), ", ", toString(outY), ", ", toString(outZ), ", ", toString(outW), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSwizzleEXT)(res, in, outX, outY, outZ, outW);
  }

  REGAL_DECL void REGAL_CALL glVariantPointerEXT(GLuint id, GLenum type, GLuint stride, const GLvoid *addr)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVariantPointerEXT","(", id, ", ", toString(type), ", ", stride, ", ", boost::print::optional(addr,Logging::pointers), ")");;
    #endif
    App("glVariantPointerEXT","(", id, ", ", toString(type), ", ", stride, ", ", boost::print::optional(addr,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVariantPointerEXT)(id, type, stride, addr);
  }

  REGAL_DECL void REGAL_CALL glVariantbvEXT(GLuint id, const GLbyte *addr)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVariantbvEXT","(", id, ", ", addr, ")");;
    #endif
    App("glVariantbvEXT","(", id, ", ", addr, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVariantbvEXT)(id, addr);
  }

  REGAL_DECL void REGAL_CALL glVariantdvEXT(GLuint id, const GLdouble *addr)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVariantdvEXT","(", id, ", ", boost::print::optional(addr,Logging::pointers), ")");;
    #endif
    App("glVariantdvEXT","(", id, ", ", boost::print::optional(addr,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVariantdvEXT)(id, addr);
  }

  REGAL_DECL void REGAL_CALL glVariantfvEXT(GLuint id, const GLfloat *addr)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVariantfvEXT","(", id, ", ", boost::print::optional(addr,Logging::pointers), ")");;
    #endif
    App("glVariantfvEXT","(", id, ", ", boost::print::optional(addr,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVariantfvEXT)(id, addr);
  }

  REGAL_DECL void REGAL_CALL glVariantivEXT(GLuint id, const GLint *addr)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVariantivEXT","(", id, ", ", boost::print::optional(addr,Logging::pointers), ")");;
    #endif
    App("glVariantivEXT","(", id, ", ", boost::print::optional(addr,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVariantivEXT)(id, addr);
  }

  REGAL_DECL void REGAL_CALL glVariantsvEXT(GLuint id, const GLshort *addr)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVariantsvEXT","(", id, ", ", addr, ")");;
    #endif
    App("glVariantsvEXT","(", id, ", ", addr, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVariantsvEXT)(id, addr);
  }

  REGAL_DECL void REGAL_CALL glVariantubvEXT(GLuint id, const GLubyte *addr)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVariantubvEXT","(", id, ", ", boost::print::optional(addr,Logging::pointers), ")");;
    #endif
    App("glVariantubvEXT","(", id, ", ", boost::print::optional(addr,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVariantubvEXT)(id, addr);
  }

  REGAL_DECL void REGAL_CALL glVariantuivEXT(GLuint id, const GLuint *addr)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVariantuivEXT","(", id, ", ", boost::print::optional(addr,Logging::pointers), ")");;
    #endif
    App("glVariantuivEXT","(", id, ", ", boost::print::optional(addr,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVariantuivEXT)(id, addr);
  }

  REGAL_DECL void REGAL_CALL glVariantusvEXT(GLuint id, const GLushort *addr)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVariantusvEXT","(", id, ", ", boost::print::optional(addr,Logging::pointers), ")");;
    #endif
    App("glVariantusvEXT","(", id, ", ", boost::print::optional(addr,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVariantusvEXT)(id, addr);
  }

  REGAL_DECL void REGAL_CALL glWriteMaskEXT(GLuint res, GLuint in, GLenum outX, GLenum outY, GLenum outZ, GLenum outW)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWriteMaskEXT","(", res, ", ", in, ", ", toString(outX), ", ", toString(outY), ", ", toString(outZ), ", ", toString(outW), ")");;
    #endif
    App("glWriteMaskEXT","(", res, ", ", in, ", ", toString(outX), ", ", toString(outY), ", ", toString(outZ), ", ", toString(outW), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWriteMaskEXT)(res, in, outX, outY, outZ, outW);
  }

  /* GL_EXT_vertex_weighting */

  REGAL_DECL void REGAL_CALL glVertexWeightPointerEXT(GLint size, GLenum type, GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexWeightPointerEXT","(", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");;
    #endif
    App("glVertexWeightPointerEXT","(", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexWeightPointerEXT)(size, type, stride, pointer);
  }

  REGAL_DECL void REGAL_CALL glVertexWeightfEXT(GLfloat weight)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexWeightfEXT","(", weight, ")");;
    #endif
    App("glVertexWeightfEXT","(", weight, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexWeightfEXT)(weight);
  }

  REGAL_DECL void REGAL_CALL glVertexWeightfvEXT(const GLfloat *weight)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexWeightfvEXT","(", boost::print::array(weight,1), ")");;
    #endif
    App("glVertexWeightfvEXT","(", boost::print::array(weight,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexWeightfvEXT)(weight);
  }

  /* GL_EXT_x11_sync_object */

  REGAL_DECL GLsync REGAL_CALL glImportSyncEXT(GLenum external_sync_type, GLintptr external_sync, GLbitfield flags)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glImportSyncEXT","(", toString(external_sync_type), ", ", external_sync, ", ", GLimportSyncEXTToString(flags), ")");;
    #endif
    App("glImportSyncEXT","(", toString(external_sync_type), ", ", external_sync, ", ", GLimportSyncEXTToString(flags), ")");
    if (!_context) return NULL;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glImportSyncEXT)(external_sync_type, external_sync, flags);
  }

  /* GL_GREMEDY_frame_terminator */

  REGAL_DECL void REGAL_CALL glFrameTerminatorGREMEDY(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFrameTerminatorGREMEDY","()");;
    #endif
    App("glFrameTerminatorGREMEDY","()");
    if (!_context) return;
    #if REGAL_FRAME
    // Notify Regal::Frame about the frame terminator event.
    if (_context && _context->frame)
      _context->frame->glFrameTerminatorGREMEDY(*_context);
    #endif
    RegalAssert(_context->info);
    // Return to application unless GL_GREMEDY_frame_terminator is supported by the driver.
    if (!_context->info->gl_gremedy_frame_terminator) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFrameTerminatorGREMEDY)();
  }

  /* GL_GREMEDY_string_marker */

  REGAL_DECL void REGAL_CALL glStringMarkerGREMEDY(GLsizei len, const GLvoid *string)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());

    const GLsizei maxLength = _context && _context->emuInfo ? _context->emuInfo->gl_max_debug_message_length : 1024;
    const std::string _message = Marker::toStringEXT(len,static_cast<const char *>(string),maxLength);
    #if REGAL_HTTP
    _context->http.callString = print_string("glStringMarkerGREMEDY","(", len, ", ", boost::print::optional(string,Logging::pointers), ")");;
    #endif
    App("glStringMarkerGREMEDY","(", len, ", ", boost::print::optional(string,Logging::pointers), ")");
    if (!_context) return;
    if (_context->marker)
      _context->marker->InsertEventMarker(*_context, _message);
    RegalAssert(_context->info);
    if (true || _context->info->gl_gremedy_string_marker)
    {
        DispatchTableGL *_next = &_context->dispatcher.front();
        RegalAssert(_next);
        _next->call(&_next->glStringMarkerGREMEDY)(len, string);
    }
  }

  /* GL_HP_image_transform */

  REGAL_DECL void REGAL_CALL glGetImageTransformParameterfvHP(GLenum target, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetImageTransformParameterfvHP","(", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetImageTransformParameterfvHP","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetImageTransformParameterfvHP)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetImageTransformParameterivHP(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetImageTransformParameterivHP","(", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetImageTransformParameterivHP","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetImageTransformParameterivHP)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glImageTransformParameterfHP(GLenum target, GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glImageTransformParameterfHP","(", toString(target), ", ", toString(pname), ", ", param, ")");;
    #endif
    App("glImageTransformParameterfHP","(", toString(target), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glImageTransformParameterfHP)(target, pname, param);
  }

  REGAL_DECL void REGAL_CALL glImageTransformParameterfvHP(GLenum target, GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glImageTransformParameterfvHP","(", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glImageTransformParameterfvHP","(", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glImageTransformParameterfvHP)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glImageTransformParameteriHP(GLenum target, GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glImageTransformParameteriHP","(", toString(target), ", ", toString(pname), ", ", param, ")");;
    #endif
    App("glImageTransformParameteriHP","(", toString(target), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glImageTransformParameteriHP)(target, pname, param);
  }

  REGAL_DECL void REGAL_CALL glImageTransformParameterivHP(GLenum target, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glImageTransformParameterivHP","(", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glImageTransformParameterivHP","(", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glImageTransformParameterivHP)(target, pname, params);
  }

  /* GL_IBM_multimode_draw_arrays */

  REGAL_DECL void REGAL_CALL glMultiModeDrawArraysIBM(const GLenum *mode, const GLint *first, const GLsizei *count, GLsizei primcount, GLint modestride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiModeDrawArraysIBM","(", mode, ", ", boost::print::optional(first,Logging::pointers), ", ", boost::print::optional(count,Logging::pointers), ", ", primcount, ", ", modestride, ")");;
    #endif
    App("glMultiModeDrawArraysIBM","(", mode, ", ", boost::print::optional(first,Logging::pointers), ", ", boost::print::optional(count,Logging::pointers), ", ", primcount, ", ", modestride, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiModeDrawArraysIBM)(mode, first, count, primcount, modestride);
  }

  REGAL_DECL void REGAL_CALL glMultiModeDrawElementsIBM(const GLenum *mode, const GLsizei *count, GLenum type, const GLvoid * const *indices, GLsizei primcount, GLint modestride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiModeDrawElementsIBM","(", mode, ", ", boost::print::optional(count,Logging::pointers), ", ", toString(type), ", ", indices, ", ", primcount, ", ", modestride, ")");;
    #endif
    App("glMultiModeDrawElementsIBM","(", mode, ", ", boost::print::optional(count,Logging::pointers), ", ", toString(type), ", ", indices, ", ", primcount, ", ", modestride, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiModeDrawElementsIBM)(mode, count, type, indices, primcount, modestride);
  }

  /* GL_IBM_vertex_array_lists */

  REGAL_DECL void REGAL_CALL glColorPointerListIBM(GLint size, GLenum type, GLint stride, const GLvoid **pointer, GLint ptrstride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColorPointerListIBM","(", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ", ", ptrstride, ")");;
    #endif
    App("glColorPointerListIBM","(", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ", ", ptrstride, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorPointerListIBM)(size, type, stride, pointer, ptrstride);
  }

  REGAL_DECL void REGAL_CALL glEdgeFlagPointerListIBM(GLint stride, const GLboolean **pointer, GLint ptrstride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEdgeFlagPointerListIBM","(", stride, ", ", pointer, ", ", ptrstride, ")");;
    #endif
    App("glEdgeFlagPointerListIBM","(", stride, ", ", pointer, ", ", ptrstride, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEdgeFlagPointerListIBM)(stride, pointer, ptrstride);
  }

  REGAL_DECL void REGAL_CALL glFogCoordPointerListIBM(GLenum type, GLint stride, const GLvoid **pointer, GLint ptrstride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFogCoordPointerListIBM","(", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ", ", ptrstride, ")");;
    #endif
    App("glFogCoordPointerListIBM","(", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ", ", ptrstride, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFogCoordPointerListIBM)(type, stride, pointer, ptrstride);
  }

  REGAL_DECL void REGAL_CALL glIndexPointerListIBM(GLenum type, GLint stride, const GLvoid **pointer, GLint ptrstride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIndexPointerListIBM","(", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ", ", ptrstride, ")");;
    #endif
    App("glIndexPointerListIBM","(", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ", ", ptrstride, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glIndexPointerListIBM)(type, stride, pointer, ptrstride);
  }

  REGAL_DECL void REGAL_CALL glNormalPointerListIBM(GLenum type, GLint stride, const GLvoid **pointer, GLint ptrstride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNormalPointerListIBM","(", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ", ", ptrstride, ")");;
    #endif
    App("glNormalPointerListIBM","(", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ", ", ptrstride, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormalPointerListIBM)(type, stride, pointer, ptrstride);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColorPointerListIBM(GLint size, GLenum type, GLint stride, const GLvoid **pointer, GLint ptrstride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSecondaryColorPointerListIBM","(", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ", ", ptrstride, ")");;
    #endif
    App("glSecondaryColorPointerListIBM","(", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ", ", ptrstride, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColorPointerListIBM)(size, type, stride, pointer, ptrstride);
  }

  REGAL_DECL void REGAL_CALL glTexCoordPointerListIBM(GLint size, GLenum type, GLint stride, const GLvoid **pointer, GLint ptrstride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoordPointerListIBM","(", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ", ", ptrstride, ")");;
    #endif
    App("glTexCoordPointerListIBM","(", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ", ", ptrstride, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoordPointerListIBM)(size, type, stride, pointer, ptrstride);
  }

  REGAL_DECL void REGAL_CALL glVertexPointerListIBM(GLint size, GLenum type, GLint stride, const GLvoid **pointer, GLint ptrstride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexPointerListIBM","(", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ", ", ptrstride, ")");;
    #endif
    App("glVertexPointerListIBM","(", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ", ", ptrstride, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexPointerListIBM)(size, type, stride, pointer, ptrstride);
  }

  /* GL_IMG_multisampled_render_to_texture */

  REGAL_DECL void REGAL_CALL glFramebufferTexture2DMultisampleIMG(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLsizei samples)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFramebufferTexture2DMultisampleIMG","(", toString(target), ", ", toString(attachment), ", ", toString(textarget), ", ", texture, ", ", level, ", ", samples, ")");;
    #endif
    App("glFramebufferTexture2DMultisampleIMG","(", toString(target), ", ", toString(attachment), ", ", toString(textarget), ", ", texture, ", ", level, ", ", samples, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferTexture2DMultisampleIMG)(target, attachment, textarget, texture, level, samples);
  }

  REGAL_DECL void REGAL_CALL glRenderbufferStorageMultisampleIMG(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glRenderbufferStorageMultisampleIMG","(", toString(target), ", ", samples, ", ", toString(internalformat), ", ", width, ", ", height, ")");;
    #endif
    App("glRenderbufferStorageMultisampleIMG","(", toString(target), ", ", samples, ", ", toString(internalformat), ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRenderbufferStorageMultisampleIMG)(target, samples, internalformat, width, height);
  }

  /* GL_INGR_blend_func_separate */

  REGAL_DECL void REGAL_CALL glBlendFuncSeparateINGR(GLenum sfactorRGB, GLenum dfactorRGB, GLenum sfactorAlpha, GLenum dfactorAlpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBlendFuncSeparateINGR","(", toString(sfactorRGB), ", ", toString(dfactorRGB), ", ", toString(sfactorAlpha), ", ", toString(dfactorAlpha), ")");;
    #endif
    App("glBlendFuncSeparateINGR","(", toString(sfactorRGB), ", ", toString(dfactorRGB), ", ", toString(sfactorAlpha), ", ", toString(dfactorAlpha), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendFuncSeparateINGR)(sfactorRGB, dfactorRGB, sfactorAlpha, dfactorAlpha);
  }

  /* GL_INTEL_map_texture */

  REGAL_DECL void *REGAL_CALL glMapTexture2DINTEL(GLuint texture, GLint level, GLbitfield access, GLint *stride, GLenum *layout)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMapTexture2DINTEL","(", texture, ", ", level, ", ", GLmapTexture2DINTELToString(access), ", ", boost::print::optional(stride,Logging::pointers), ", ", boost::print::optional(layout,Logging::pointers), ")");;
    #endif
    App("glMapTexture2DINTEL","(", texture, ", ", level, ", ", GLmapTexture2DINTELToString(access), ", ", boost::print::optional(stride,Logging::pointers), ", ", boost::print::optional(layout,Logging::pointers), ")");
    if (!_context) return NULL;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glMapTexture2DINTEL)(texture, level, access, stride, layout);
  }

  REGAL_DECL void REGAL_CALL glSyncTextureINTEL(GLuint texture)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSyncTextureINTEL","(", texture, ")");;
    #endif
    App("glSyncTextureINTEL","(", texture, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSyncTextureINTEL)(texture);
  }

  REGAL_DECL void REGAL_CALL glUnmapTexture2DINTEL(GLuint texture, GLint level)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUnmapTexture2DINTEL","(", texture, ", ", level, ")");;
    #endif
    App("glUnmapTexture2DINTEL","(", texture, ", ", level, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUnmapTexture2DINTEL)(texture, level);
  }

  /* GL_INTEL_parallel_arrays */

  REGAL_DECL void REGAL_CALL glColorPointervINTEL(GLint size, GLenum type, const GLvoid **pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColorPointervINTEL","(", size, ", ", toString(type), ", ", boost::print::optional(pointer,Logging::pointers), ")");;
    #endif
    App("glColorPointervINTEL","(", size, ", ", toString(type), ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorPointervINTEL)(size, type, pointer);
  }

  REGAL_DECL void REGAL_CALL glNormalPointervINTEL(GLenum type, const GLvoid **pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNormalPointervINTEL","(", toString(type), ", ", boost::print::optional(pointer,Logging::pointers), ")");;
    #endif
    App("glNormalPointervINTEL","(", toString(type), ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormalPointervINTEL)(type, pointer);
  }

  REGAL_DECL void REGAL_CALL glTexCoordPointervINTEL(GLint size, GLenum type, const GLvoid **pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoordPointervINTEL","(", size, ", ", toString(type), ", ", boost::print::optional(pointer,Logging::pointers), ")");;
    #endif
    App("glTexCoordPointervINTEL","(", size, ", ", toString(type), ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoordPointervINTEL)(size, type, pointer);
  }

  REGAL_DECL void REGAL_CALL glVertexPointervINTEL(GLint size, GLenum type, const GLvoid **pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexPointervINTEL","(", size, ", ", toString(type), ", ", boost::print::optional(pointer,Logging::pointers), ")");;
    #endif
    App("glVertexPointervINTEL","(", size, ", ", toString(type), ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexPointervINTEL)(size, type, pointer);
  }

  /* GL_INTEL_texture_scissor */

  REGAL_DECL void REGAL_CALL glTexScissorFuncINTEL(GLenum target, GLenum lfunc, GLenum hfunc)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexScissorFuncINTEL","(", toString(target), ", ", toString(lfunc), ", ", toString(hfunc), ")");;
    #endif
    App("glTexScissorFuncINTEL","(", toString(target), ", ", toString(lfunc), ", ", toString(hfunc), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexScissorFuncINTEL)(target, lfunc, hfunc);
  }

  REGAL_DECL void REGAL_CALL glTexScissorINTEL(GLenum target, GLclampf tlow, GLclampf thigh)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexScissorINTEL","(", toString(target), ", ", tlow, ", ", thigh, ")");;
    #endif
    App("glTexScissorINTEL","(", toString(target), ", ", tlow, ", ", thigh, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexScissorINTEL)(target, tlow, thigh);
  }

  /* GL_KHR_blend_equation_advanced */

  REGAL_DECL void REGAL_CALL glBlendBarrierKHR(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBlendBarrierKHR","()");;
    #endif
    App("glBlendBarrierKHR","()");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendBarrierKHR)();
  }

  /* GL_KHR_debug */

  REGAL_DECL void REGAL_CALL glDebugMessageCallback(GLDEBUGPROC callback, const void *userParam)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDebugMessageCallback","(", boost::print::optional(userParam,Logging::pointers), ")");;
    #endif
    App("glDebugMessageCallback","(", boost::print::optional(userParam,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDebugMessageCallback)(callback, userParam);
  }

  REGAL_DECL void REGAL_CALL glDebugMessageControl(GLenum source, GLenum type, GLenum severity, GLsizei count, const GLuint *ids, GLboolean enabled)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDebugMessageControl","(", toString(source), ", ", toString(type), ", ", toString(severity), ", ", count, ", ", boost::print::optional(ids,Logging::pointers), ", ", toString(enabled), ")");;
    #endif
    App("glDebugMessageControl","(", toString(source), ", ", toString(type), ", ", toString(severity), ", ", count, ", ", boost::print::optional(ids,Logging::pointers), ", ", toString(enabled), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDebugMessageControl)(source, type, severity, count, ids, enabled);
  }

  REGAL_DECL void REGAL_CALL glDebugMessageInsert(GLenum source, GLenum type, GLuint id, GLenum severity, GLsizei length, const GLchar *buf)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());

    const GLsizei maxLength = _context && _context->emuInfo ? _context->emuInfo->gl_max_debug_message_length : 1024;
    const std::string _message = Marker::toStringKHR(length,buf,maxLength);
    #if REGAL_HTTP
    _context->http.callString = print_string("glDebugMessageInsert","(", toString(source), ", ", toString(type), ", ", id, ", ", toString(severity), ", ", length, ", ", boost::print::quote(buf,'"'), ")");;
    #endif
    App("glDebugMessageInsert","(", toString(source), ", ", toString(type), ", ", id, ", ", toString(severity), ", ", length, ", ", boost::print::quote(buf,'"'), ")");
    if (!_context) return;
    if (_context->marker)
      _context->marker->InsertEventMarker(*_context, _message);
    RegalAssert(_context->info);
    if (true || _context->info->gl_khr_debug)
    {
        DispatchTableGL *_next = &_context->dispatcher.front();
        RegalAssert(_next);
        _next->call(&_next->glDebugMessageInsert)(source, type, id, severity, length, buf);
    }
  }

  REGAL_DECL GLuint REGAL_CALL glGetDebugMessageLog(GLuint count, GLsizei bufsize, GLenum *sources, GLenum *types, GLuint *ids, GLenum *severities, GLsizei *lengths, GLchar *messageLog)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetDebugMessageLog","(", count, ", ", bufsize, ", ", boost::print::optional(sources,Logging::pointers), ", ", boost::print::optional(types,Logging::pointers), ", ", boost::print::optional(ids,Logging::pointers), ", ", boost::print::optional(severities,Logging::pointers), ", ", boost::print::optional(lengths,Logging::pointers), ", ", boost::print::quote(messageLog,'"'), ")");;
    #endif
    App("glGetDebugMessageLog","(", count, ", ", bufsize, ", ", boost::print::optional(sources,Logging::pointers), ", ", boost::print::optional(types,Logging::pointers), ", ", boost::print::optional(ids,Logging::pointers), ", ", boost::print::optional(severities,Logging::pointers), ", ", boost::print::optional(lengths,Logging::pointers), ", ", boost::print::quote(messageLog,'"'), ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetDebugMessageLog)(count, bufsize, sources, types, ids, severities, lengths, messageLog);
  }

  REGAL_DECL void REGAL_CALL glGetObjectLabel(GLenum identifier, GLuint name, GLsizei bufSize, GLsizei *length, GLchar *label)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetObjectLabel","(", toString(identifier), ", ", name, ", ", bufSize, ", ", boost::print::optional(length,Logging::pointers), ", ", boost::print::quote(label,'"'), ")");;
    #endif
    App("glGetObjectLabel","(", toString(identifier), ", ", name, ", ", bufSize, ", ", boost::print::optional(length,Logging::pointers), ", ", boost::print::quote(label,'"'), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetObjectLabel)(identifier, name, bufSize, length, label);
  }

  REGAL_DECL void REGAL_CALL glGetObjectPtrLabel(const GLvoid *ptr, GLsizei bufSize, GLsizei *length, GLchar *label)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetObjectPtrLabel","(", boost::print::optional(ptr,Logging::pointers), ", ", bufSize, ", ", boost::print::optional(length,Logging::pointers), ", ", boost::print::quote(label,'"'), ")");;
    #endif
    App("glGetObjectPtrLabel","(", boost::print::optional(ptr,Logging::pointers), ", ", bufSize, ", ", boost::print::optional(length,Logging::pointers), ", ", boost::print::quote(label,'"'), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetObjectPtrLabel)(ptr, bufSize, length, label);
  }

  REGAL_DECL void REGAL_CALL glObjectLabel(GLenum identifier, GLuint name, GLsizei length, const GLchar *label)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glObjectLabel","(", toString(identifier), ", ", name, ", ", length, ", ", boost::print::quote(label,'"'), ")");;
    #endif
    App("glObjectLabel","(", toString(identifier), ", ", name, ", ", length, ", ", boost::print::quote(label,'"'), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glObjectLabel)(identifier, name, length, label);
  }

  REGAL_DECL void REGAL_CALL glObjectPtrLabel(const GLvoid *ptr, GLsizei length, const GLchar *label)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glObjectPtrLabel","(", boost::print::optional(ptr,Logging::pointers), ", ", length, ", ", boost::print::quote(label,'"'), ")");;
    #endif
    App("glObjectPtrLabel","(", boost::print::optional(ptr,Logging::pointers), ", ", length, ", ", boost::print::quote(label,'"'), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glObjectPtrLabel)(ptr, length, label);
  }

  REGAL_DECL void REGAL_CALL glPopDebugGroup(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    if (_context->marker)
      _context->marker->PopGroupMarker(*_context);
    #if REGAL_HTTP
    _context->http.callString = print_string("glPopDebugGroup","()");;
    #endif
    App("glPopDebugGroup","()");
    if (!_context) return;
    RegalAssert(_context->info);
    if (true || _context->info->gl_khr_debug)
    {
        DispatchTableGL *_next = &_context->dispatcher.front();
        RegalAssert(_next);
        _next->call(&_next->glPopDebugGroup)();
    }
  }

  REGAL_DECL void REGAL_CALL glPushDebugGroup(GLenum source, GLuint id, GLsizei length, const GLchar *message)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());

    const GLsizei maxLength = _context && _context->emuInfo ? _context->emuInfo->gl_max_debug_message_length : 1024;
    const std::string _message = Marker::toStringKHR(length,message,maxLength);
    #if REGAL_HTTP
    _context->http.callString = print_string("glPushDebugGroup","(", toString(source), ", ", id, ", ", length, ", ", boost::print::quote(message,'"'), ")");;
    #endif
    App("glPushDebugGroup","(", toString(source), ", ", id, ", ", length, ", ", boost::print::quote(message,'"'), ")");
    if (!_context) return;
    RegalAssert(_context->info);
    if (true || _context->info->gl_khr_debug)
    {
        DispatchTableGL *_next = &_context->dispatcher.front();
        RegalAssert(_next);
        _next->call(&_next->glPushDebugGroup)(source, id, length, message);
    }
    if (_context->marker)
      _context->marker->PushGroupMarker(*_context, _message);
  }

  /* GL_KHR_robustness */

  REGAL_DECL void REGAL_CALL glGetnUniformfv(GLuint program, GLint location, GLsizei bufSize, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetnUniformfv","(", program, ", ", location, ", ", bufSize, ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glGetnUniformfv","(", program, ", ", location, ", ", bufSize, ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetnUniformfv)(program, location, bufSize, params);
  }

  REGAL_DECL void REGAL_CALL glGetnUniformiv(GLuint program, GLint location, GLsizei bufSize, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetnUniformiv","(", program, ", ", location, ", ", bufSize, ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glGetnUniformiv","(", program, ", ", location, ", ", bufSize, ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetnUniformiv)(program, location, bufSize, params);
  }

  REGAL_DECL void REGAL_CALL glGetnUniformuiv(GLuint program, GLint location, GLsizei bufSize, GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetnUniformuiv","(", program, ", ", location, ", ", bufSize, ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glGetnUniformuiv","(", program, ", ", location, ", ", bufSize, ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetnUniformuiv)(program, location, bufSize, params);
  }

  REGAL_DECL void REGAL_CALL glReadnPixels(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLsizei bufSize, GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glReadnPixels","(", x, ", ", y, ", ", width, ", ", height, ", ", toString(format), ", ", toString(type), ", ", bufSize, ", ", boost::print::optional(data,Logging::pointers), ")");;
    #endif
    App("glReadnPixels","(", x, ", ", y, ", ", width, ", ", height, ", ", toString(format), ", ", toString(type), ", ", bufSize, ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReadnPixels)(x, y, width, height, format, type, bufSize, data);
  }

  /* GL_KTX_buffer_region */

  REGAL_DECL GLuint REGAL_CALL glBufferRegionEnabled(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBufferRegionEnabled","()");;
    #endif
    App("glBufferRegionEnabled","()");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glBufferRegionEnabled)();
  }

  REGAL_DECL void REGAL_CALL glDeleteBufferRegion(GLenum region)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDeleteBufferRegion","(", toString(region), ")");;
    #endif
    App("glDeleteBufferRegion","(", toString(region), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteBufferRegion)(region);
  }

  REGAL_DECL void REGAL_CALL glDrawBufferRegion(GLuint region, GLint x, GLint y, GLsizei width, GLsizei height, GLint xDest, GLint yDest)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDrawBufferRegion","(", region, ", ", x, ", ", y, ", ", width, ", ", height, ", ", xDest, ", ", yDest, ")");;
    #endif
    App("glDrawBufferRegion","(", region, ", ", x, ", ", y, ", ", width, ", ", height, ", ", xDest, ", ", yDest, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawBufferRegion)(region, x, y, width, height, xDest, yDest);
  }

  REGAL_DECL GLuint REGAL_CALL glNewBufferRegion(GLenum region)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNewBufferRegion","(", toString(region), ")");;
    #endif
    App("glNewBufferRegion","(", toString(region), ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glNewBufferRegion)(region);
  }

  REGAL_DECL void REGAL_CALL glReadBufferRegion(GLuint region, GLint x, GLint y, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glReadBufferRegion","(", region, ", ", x, ", ", y, ", ", width, ", ", height, ")");;
    #endif
    App("glReadBufferRegion","(", region, ", ", x, ", ", y, ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReadBufferRegion)(region, x, y, width, height);
  }

  /* GL_MESA_resize_buffers */

  REGAL_DECL void REGAL_CALL glResizeBuffersMESA(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glResizeBuffersMESA","()");;
    #endif
    App("glResizeBuffersMESA","()");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glResizeBuffersMESA)();
  }

  /* GL_MESA_window_pos */

  REGAL_DECL void REGAL_CALL glWindowPos2dMESA(GLdouble x, GLdouble y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos2dMESA","(", x, ", ", y, ")");;
    #endif
    App("glWindowPos2dMESA","(", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos2dMESA)(x, y);
  }

  REGAL_DECL void REGAL_CALL glWindowPos2dvMESA(const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos2dvMESA","(", boost::print::array(v,2), ")");;
    #endif
    App("glWindowPos2dvMESA","(", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos2dvMESA)(v);
  }

  REGAL_DECL void REGAL_CALL glWindowPos2fMESA(GLfloat x, GLfloat y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos2fMESA","(", x, ", ", y, ")");;
    #endif
    App("glWindowPos2fMESA","(", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos2fMESA)(x, y);
  }

  REGAL_DECL void REGAL_CALL glWindowPos2fvMESA(const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos2fvMESA","(", boost::print::array(v,2), ")");;
    #endif
    App("glWindowPos2fvMESA","(", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos2fvMESA)(v);
  }

  REGAL_DECL void REGAL_CALL glWindowPos2iMESA(GLint x, GLint y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos2iMESA","(", x, ", ", y, ")");;
    #endif
    App("glWindowPos2iMESA","(", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos2iMESA)(x, y);
  }

  REGAL_DECL void REGAL_CALL glWindowPos2ivMESA(const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos2ivMESA","(", boost::print::array(v,2), ")");;
    #endif
    App("glWindowPos2ivMESA","(", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos2ivMESA)(v);
  }

  REGAL_DECL void REGAL_CALL glWindowPos2sMESA(GLshort x, GLshort y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos2sMESA","(", x, ", ", y, ")");;
    #endif
    App("glWindowPos2sMESA","(", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos2sMESA)(x, y);
  }

  REGAL_DECL void REGAL_CALL glWindowPos2svMESA(const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos2svMESA","(", boost::print::array(v,2), ")");;
    #endif
    App("glWindowPos2svMESA","(", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos2svMESA)(v);
  }

  REGAL_DECL void REGAL_CALL glWindowPos3dMESA(GLdouble x, GLdouble y, GLdouble z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos3dMESA","(", x, ", ", y, ", ", z, ")");;
    #endif
    App("glWindowPos3dMESA","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos3dMESA)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glWindowPos3dvMESA(const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos3dvMESA","(", boost::print::array(v,3), ")");;
    #endif
    App("glWindowPos3dvMESA","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos3dvMESA)(v);
  }

  REGAL_DECL void REGAL_CALL glWindowPos3fMESA(GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos3fMESA","(", x, ", ", y, ", ", z, ")");;
    #endif
    App("glWindowPos3fMESA","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos3fMESA)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glWindowPos3fvMESA(const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos3fvMESA","(", boost::print::array(v,3), ")");;
    #endif
    App("glWindowPos3fvMESA","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos3fvMESA)(v);
  }

  REGAL_DECL void REGAL_CALL glWindowPos3iMESA(GLint x, GLint y, GLint z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos3iMESA","(", x, ", ", y, ", ", z, ")");;
    #endif
    App("glWindowPos3iMESA","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos3iMESA)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glWindowPos3ivMESA(const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos3ivMESA","(", boost::print::array(v,3), ")");;
    #endif
    App("glWindowPos3ivMESA","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos3ivMESA)(v);
  }

  REGAL_DECL void REGAL_CALL glWindowPos3sMESA(GLshort x, GLshort y, GLshort z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos3sMESA","(", x, ", ", y, ", ", z, ")");;
    #endif
    App("glWindowPos3sMESA","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos3sMESA)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glWindowPos3svMESA(const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos3svMESA","(", boost::print::array(v,3), ")");;
    #endif
    App("glWindowPos3svMESA","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos3svMESA)(v);
  }

  REGAL_DECL void REGAL_CALL glWindowPos4dMESA(GLdouble x, GLdouble y, GLdouble z, GLdouble w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos4dMESA","(", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glWindowPos4dMESA","(", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos4dMESA)(x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glWindowPos4dvMESA(const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos4dvMESA","(", boost::print::array(v,4), ")");;
    #endif
    App("glWindowPos4dvMESA","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos4dvMESA)(v);
  }

  REGAL_DECL void REGAL_CALL glWindowPos4fMESA(GLfloat x, GLfloat y, GLfloat z, GLfloat w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos4fMESA","(", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glWindowPos4fMESA","(", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos4fMESA)(x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glWindowPos4fvMESA(const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos4fvMESA","(", boost::print::array(v,4), ")");;
    #endif
    App("glWindowPos4fvMESA","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos4fvMESA)(v);
  }

  REGAL_DECL void REGAL_CALL glWindowPos4iMESA(GLint x, GLint y, GLint z, GLint w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos4iMESA","(", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glWindowPos4iMESA","(", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos4iMESA)(x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glWindowPos4ivMESA(const GLint *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos4ivMESA","(", boost::print::array(v,4), ")");;
    #endif
    App("glWindowPos4ivMESA","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos4ivMESA)(v);
  }

  REGAL_DECL void REGAL_CALL glWindowPos4sMESA(GLshort x, GLshort y, GLshort z, GLshort w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos4sMESA","(", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glWindowPos4sMESA","(", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos4sMESA)(x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glWindowPos4svMESA(const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWindowPos4svMESA","(", boost::print::array(v,4), ")");;
    #endif
    App("glWindowPos4svMESA","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWindowPos4svMESA)(v);
  }

  /* GL_NVX_conditional_render */

  REGAL_DECL void REGAL_CALL glBeginConditionalRenderNVX(GLuint id)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBeginConditionalRenderNVX","(", id, ")");;
    #endif
    App("glBeginConditionalRenderNVX","(", id, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBeginConditionalRenderNVX)(id);
  }

  REGAL_DECL void REGAL_CALL glEndConditionalRenderNVX(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEndConditionalRenderNVX","()");;
    #endif
    App("glEndConditionalRenderNVX","()");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEndConditionalRenderNVX)();
  }

  /* GL_NV_bindless_texture */

  REGAL_DECL GLuint64 REGAL_CALL glGetImageHandleNV(GLuint texture, GLint level, GLboolean layered, GLint layer, GLenum format)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetImageHandleNV","(", texture, ", ", level, ", ", toString(layered), ", ", layer, ", ", toString(format), ")");;
    #endif
    App("glGetImageHandleNV","(", texture, ", ", level, ", ", toString(layered), ", ", layer, ", ", toString(format), ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetImageHandleNV)(texture, level, layered, layer, format);
  }

  REGAL_DECL GLuint64 REGAL_CALL glGetTextureHandleNV(GLuint texture)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTextureHandleNV","(", texture, ")");;
    #endif
    App("glGetTextureHandleNV","(", texture, ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetTextureHandleNV)(texture);
  }

  REGAL_DECL GLuint64 REGAL_CALL glGetTextureSamplerHandleNV(GLuint texture, GLuint sampler)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTextureSamplerHandleNV","(", texture, ", ", sampler, ")");;
    #endif
    App("glGetTextureSamplerHandleNV","(", texture, ", ", sampler, ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetTextureSamplerHandleNV)(texture, sampler);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsImageHandleResidentNV(GLuint64 handle)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsImageHandleResidentNV","(", handle, ")");;
    #endif
    App("glIsImageHandleResidentNV","(", handle, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsImageHandleResidentNV)(handle);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsTextureHandleResidentNV(GLuint64 handle)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsTextureHandleResidentNV","(", handle, ")");;
    #endif
    App("glIsTextureHandleResidentNV","(", handle, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsTextureHandleResidentNV)(handle);
  }

  REGAL_DECL void REGAL_CALL glMakeImageHandleNonResidentNV(GLuint64 handle)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMakeImageHandleNonResidentNV","(", handle, ")");;
    #endif
    App("glMakeImageHandleNonResidentNV","(", handle, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMakeImageHandleNonResidentNV)(handle);
  }

  REGAL_DECL void REGAL_CALL glMakeImageHandleResidentNV(GLuint64 handle, GLenum access)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMakeImageHandleResidentNV","(", handle, ", ", toString(access), ")");;
    #endif
    App("glMakeImageHandleResidentNV","(", handle, ", ", toString(access), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMakeImageHandleResidentNV)(handle, access);
  }

  REGAL_DECL void REGAL_CALL glMakeTextureHandleNonResidentNV(GLuint64 handle)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMakeTextureHandleNonResidentNV","(", handle, ")");;
    #endif
    App("glMakeTextureHandleNonResidentNV","(", handle, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMakeTextureHandleNonResidentNV)(handle);
  }

  REGAL_DECL void REGAL_CALL glMakeTextureHandleResidentNV(GLuint64 handle)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMakeTextureHandleResidentNV","(", handle, ")");;
    #endif
    App("glMakeTextureHandleResidentNV","(", handle, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMakeTextureHandleResidentNV)(handle);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformHandleui64NV(GLuint program, GLint location, GLuint64 value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniformHandleui64NV","(", program, ", ", location, ", ", value, ")");;
    #endif
    App("glProgramUniformHandleui64NV","(", program, ", ", location, ", ", value, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformHandleui64NV)(program, location, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformHandleui64vNV(GLuint program, GLint location, GLsizei count, const GLuint64 *values)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniformHandleui64vNV","(", program, ", ", location, ", ", count, ", ", boost::print::optional(values,Logging::pointers), ")");;
    #endif
    App("glProgramUniformHandleui64vNV","(", program, ", ", location, ", ", count, ", ", boost::print::optional(values,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformHandleui64vNV)(program, location, count, values);
  }

  REGAL_DECL void REGAL_CALL glUniformHandleui64NV(GLint location, GLuint64 value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniformHandleui64NV","(", location, ", ", value, ")");;
    #endif
    App("glUniformHandleui64NV","(", location, ", ", value, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformHandleui64NV)(location, value);
  }

  REGAL_DECL void REGAL_CALL glUniformHandleui64vNV(GLint location, GLsizei count, const GLuint64 *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniformHandleui64vNV","(", location, ", ", count, ", ", boost::print::optional(value,Logging::pointers), ")");;
    #endif
    App("glUniformHandleui64vNV","(", location, ", ", count, ", ", boost::print::optional(value,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformHandleui64vNV)(location, count, value);
  }

  /* GL_NV_blend_equation_advanced */

  REGAL_DECL void REGAL_CALL glBlendBarrierNV(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBlendBarrierNV","()");;
    #endif
    App("glBlendBarrierNV","()");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendBarrierNV)();
  }

  REGAL_DECL void REGAL_CALL glBlendParameteriNV(GLenum pname, GLint value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBlendParameteriNV","(", toString(pname), ", ", value, ")");;
    #endif
    App("glBlendParameteriNV","(", toString(pname), ", ", value, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendParameteriNV)(pname, value);
  }

  /* GL_NV_conditional_render */

  REGAL_DECL void REGAL_CALL glBeginConditionalRenderNV(GLuint id, GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBeginConditionalRenderNV","(", id, ", ", GLmodeToString(mode), ")");;
    #endif
    App("glBeginConditionalRenderNV","(", id, ", ", GLmodeToString(mode), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBeginConditionalRenderNV)(id, mode);
  }

  REGAL_DECL void REGAL_CALL glEndConditionalRenderNV(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEndConditionalRenderNV","()");;
    #endif
    App("glEndConditionalRenderNV","()");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEndConditionalRenderNV)();
  }

  /* GL_NV_copy_buffer */

  REGAL_DECL void REGAL_CALL glCopyBufferSubDataNV(GLenum readTarget, GLenum writeTarget, GLintptr readOffset, GLintptr writeOffset, GLsizeiptr size)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCopyBufferSubDataNV","(", toString(readTarget), ", ", toString(writeTarget), ", ", readOffset, ", ", writeOffset, ", ", size, ")");;
    #endif
    App("glCopyBufferSubDataNV","(", toString(readTarget), ", ", toString(writeTarget), ", ", readOffset, ", ", writeOffset, ", ", size, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyBufferSubDataNV)(readTarget, writeTarget, readOffset, writeOffset, size);
  }

  /* GL_NV_copy_image */

  REGAL_DECL void REGAL_CALL glCopyImageSubDataNV(GLuint srcName, GLenum srcTarget, GLint srcLevel, GLint srcX, GLint srcY, GLint srcZ, GLuint dstName, GLenum dstTarget, GLint dstLevel, GLint dstX, GLint dstY, GLint dstZ, GLsizei width, GLsizei height, GLsizei depth)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCopyImageSubDataNV","(", srcName, ", ", toString(srcTarget), ", ", srcLevel, ", ", srcX, ", ", srcY, ", ", srcZ, ", ", dstName, ", ", toString(dstTarget), ", ", dstLevel, ", ", dstX, ", ", dstY, ", ", dstZ, ", ", width, ", ", height, ", ", depth, ")");;
    #endif
    App("glCopyImageSubDataNV","(", srcName, ", ", toString(srcTarget), ", ", srcLevel, ", ", srcX, ", ", srcY, ", ", srcZ, ", ", dstName, ", ", toString(dstTarget), ", ", dstLevel, ", ", dstX, ", ", dstY, ", ", dstZ, ", ", width, ", ", height, ", ", depth, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyImageSubDataNV)(srcName, srcTarget, srcLevel, srcX, srcY, srcZ, dstName, dstTarget, dstLevel, dstX, dstY, dstZ, width, height, depth);
  }

  /* GL_NV_coverage_sample */

  REGAL_DECL void REGAL_CALL glCoverageMaskNV(GLboolean mask)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCoverageMaskNV","(", toString(mask), ")");;
    #endif
    App("glCoverageMaskNV","(", toString(mask), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCoverageMaskNV)(mask);
  }

  REGAL_DECL void REGAL_CALL glCoverageOperationNV(GLenum operation)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCoverageOperationNV","(", toString(operation), ")");;
    #endif
    App("glCoverageOperationNV","(", toString(operation), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCoverageOperationNV)(operation);
  }

  /* GL_NV_depth_buffer_float */

  REGAL_DECL void REGAL_CALL glClearDepthdNV(GLdouble depth)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glClearDepthdNV","(", depth, ")");;
    #endif
    App("glClearDepthdNV","(", depth, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClearDepthdNV)(depth);
  }

  REGAL_DECL void REGAL_CALL glDepthBoundsdNV(GLdouble zmin, GLdouble zmax)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDepthBoundsdNV","(", zmin, ", ", zmax, ")");;
    #endif
    App("glDepthBoundsdNV","(", zmin, ", ", zmax, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDepthBoundsdNV)(zmin, zmax);
  }

  REGAL_DECL void REGAL_CALL glDepthRangedNV(GLdouble zNear, GLdouble zFar)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDepthRangedNV","(", zNear, ", ", zFar, ")");;
    #endif
    App("glDepthRangedNV","(", zNear, ", ", zFar, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDepthRangedNV)(zNear, zFar);
  }

  /* GL_NV_draw_buffers */

  REGAL_DECL void REGAL_CALL glDrawBuffersNV(GLsizei n, const GLenum *bufs)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDrawBuffersNV","(", n, ", ", bufs, ")");;
    #endif
    App("glDrawBuffersNV","(", n, ", ", bufs, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawBuffersNV)(n, bufs);
  }

  /* GL_NV_draw_texture */

  REGAL_DECL void REGAL_CALL glDrawTextureNV(GLuint texture, GLuint sampler, GLfloat x0, GLfloat y0, GLfloat x1, GLfloat y1, GLfloat z, GLfloat s0, GLfloat t0, GLfloat s1, GLfloat t1)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDrawTextureNV","(", texture, ", ", sampler, ", ", x0, ", ", y0, ", ", x1, ", ", y1, ", ", z, ", ", s0, ", ", t0, ", ", s1, ", ", t1, ")");;
    #endif
    App("glDrawTextureNV","(", texture, ", ", sampler, ", ", x0, ", ", y0, ", ", x1, ", ", y1, ", ", z, ", ", s0, ", ", t0, ", ", s1, ", ", t1, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawTextureNV)(texture, sampler, x0, y0, x1, y1, z, s0, t0, s1, t1);
  }

  /* GL_NV_evaluators */

  REGAL_DECL void REGAL_CALL glEvalMapsNV(GLenum target, GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEvalMapsNV","(", toString(target), ", ", GLmodeToString(mode), ")");;
    #endif
    App("glEvalMapsNV","(", toString(target), ", ", GLmodeToString(mode), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEvalMapsNV)(target, mode);
  }

  REGAL_DECL void REGAL_CALL glGetMapAttribParameterfvNV(GLenum target, GLuint index, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetMapAttribParameterfvNV","(", toString(target), ", ", index, ", ", toString(pname), ")");;
    #endif
    App("glGetMapAttribParameterfvNV","(", toString(target), ", ", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMapAttribParameterfvNV)(target, index, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetMapAttribParameterivNV(GLenum target, GLuint index, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetMapAttribParameterivNV","(", toString(target), ", ", index, ", ", toString(pname), ")");;
    #endif
    App("glGetMapAttribParameterivNV","(", toString(target), ", ", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMapAttribParameterivNV)(target, index, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetMapControlPointsNV(GLenum target, GLuint index, GLenum type, GLsizei ustride, GLsizei vstride, GLboolean packed, GLvoid *points)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetMapControlPointsNV","(", toString(target), ", ", index, ", ", toString(type), ", ", ustride, ", ", vstride, ", ", toString(packed), ")");;
    #endif
    App("glGetMapControlPointsNV","(", toString(target), ", ", index, ", ", toString(type), ", ", ustride, ", ", vstride, ", ", toString(packed), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMapControlPointsNV)(target, index, type, ustride, vstride, packed, points);
  }

  REGAL_DECL void REGAL_CALL glGetMapParameterfvNV(GLenum target, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetMapParameterfvNV","(", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetMapParameterfvNV","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMapParameterfvNV)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetMapParameterivNV(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetMapParameterivNV","(", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetMapParameterivNV","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMapParameterivNV)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glMapControlPointsNV(GLenum target, GLuint index, GLenum type, GLsizei ustride, GLsizei vstride, GLint uorder, GLint vorder, GLboolean packed, const GLvoid *points)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMapControlPointsNV","(", toString(target), ", ", index, ", ", toString(type), ", ", ustride, ", ", vstride, ", ", uorder, ", ", vorder, ", ", toString(packed), ", ", boost::print::optional(points,Logging::pointers), ")");;
    #endif
    App("glMapControlPointsNV","(", toString(target), ", ", index, ", ", toString(type), ", ", ustride, ", ", vstride, ", ", uorder, ", ", vorder, ", ", toString(packed), ", ", boost::print::optional(points,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMapControlPointsNV)(target, index, type, ustride, vstride, uorder, vorder, packed, points);
  }

  REGAL_DECL void REGAL_CALL glMapParameterfvNV(GLenum target, GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMapParameterfvNV","(", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glMapParameterfvNV","(", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMapParameterfvNV)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glMapParameterivNV(GLenum target, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMapParameterivNV","(", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glMapParameterivNV","(", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMapParameterivNV)(target, pname, params);
  }

  /* GL_NV_explicit_multisample */

  REGAL_DECL void REGAL_CALL glGetMultisamplefvNV(GLenum pname, GLuint index, GLfloat *val)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetMultisamplefvNV","(", toString(pname), ", ", index, ")");;
    #endif
    App("glGetMultisamplefvNV","(", toString(pname), ", ", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetMultisamplefvNV)(pname, index, val);
  }

  REGAL_DECL void REGAL_CALL glSampleMaskIndexedNV(GLuint index, GLbitfield mask)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSampleMaskIndexedNV","(", index, ", ", mask, ")");;
    #endif
    App("glSampleMaskIndexedNV","(", index, ", ", mask, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSampleMaskIndexedNV)(index, mask);
  }

  REGAL_DECL void REGAL_CALL glTexRenderbufferNV(GLenum target, GLuint renderbuffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexRenderbufferNV","(", toString(target), ", ", renderbuffer, ")");;
    #endif
    App("glTexRenderbufferNV","(", toString(target), ", ", renderbuffer, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexRenderbufferNV)(target, renderbuffer);
  }

  /* GL_NV_fence */

  REGAL_DECL void REGAL_CALL glDeleteFencesNV(GLsizei n, const GLuint *fences)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDeleteFencesNV","(", n, ", ", boost::print::array(fences,n), ")");;
    #endif
    App("glDeleteFencesNV","(", n, ", ", boost::print::array(fences,n), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteFencesNV)(n, fences);
  }

  REGAL_DECL void REGAL_CALL glFinishFenceNV(GLuint fence)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFinishFenceNV","(", fence, ")");;
    #endif
    App("glFinishFenceNV","(", fence, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFinishFenceNV)(fence);
  }

  REGAL_DECL void REGAL_CALL glGenFencesNV(GLsizei n, GLuint *fences)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGenFencesNV","(", n, ")");;
    #endif
    App("glGenFencesNV","(", n, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenFencesNV)(n, fences);
  }

  REGAL_DECL void REGAL_CALL glGetFenceivNV(GLuint fence, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetFenceivNV","(", fence, ", ", toString(pname), ")");;
    #endif
    App("glGetFenceivNV","(", fence, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetFenceivNV)(fence, pname, params);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsFenceNV(GLuint fence)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsFenceNV","(", fence, ")");;
    #endif
    App("glIsFenceNV","(", fence, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsFenceNV)(fence);
  }

  REGAL_DECL void REGAL_CALL glSetFenceNV(GLuint fence, GLenum condition)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSetFenceNV","(", fence, ", ", toString(condition), ")");;
    #endif
    App("glSetFenceNV","(", fence, ", ", toString(condition), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSetFenceNV)(fence, condition);
  }

  REGAL_DECL GLboolean REGAL_CALL glTestFenceNV(GLuint fence)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTestFenceNV","(", fence, ")");;
    #endif
    App("glTestFenceNV","(", fence, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glTestFenceNV)(fence);
  }

  /* GL_NV_fragment_program */

  REGAL_DECL void REGAL_CALL glGetProgramNamedParameterdvNV(GLuint id, GLsizei len, const GLubyte *name, GLdouble *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetProgramNamedParameterdvNV","(", id, ", ", len, ", ", boost::print::array(name,1), ")");;
    #endif
    App("glGetProgramNamedParameterdvNV","(", id, ", ", len, ", ", boost::print::array(name,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramNamedParameterdvNV)(id, len, name, params);
  }

  REGAL_DECL void REGAL_CALL glGetProgramNamedParameterfvNV(GLuint id, GLsizei len, const GLubyte *name, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetProgramNamedParameterfvNV","(", id, ", ", len, ", ", boost::print::array(name,1), ")");;
    #endif
    App("glGetProgramNamedParameterfvNV","(", id, ", ", len, ", ", boost::print::array(name,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramNamedParameterfvNV)(id, len, name, params);
  }

  REGAL_DECL void REGAL_CALL glProgramNamedParameter4dNV(GLuint id, GLsizei len, const GLubyte *name, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramNamedParameter4dNV","(", id, ", ", len, ", ", boost::print::array(name,1), ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glProgramNamedParameter4dNV","(", id, ", ", len, ", ", boost::print::array(name,1), ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramNamedParameter4dNV)(id, len, name, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glProgramNamedParameter4dvNV(GLuint id, GLsizei len, const GLubyte *name, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramNamedParameter4dvNV","(", id, ", ", len, ", ", boost::print::array(name,1), ", ", boost::print::array(v,4), ")");;
    #endif
    App("glProgramNamedParameter4dvNV","(", id, ", ", len, ", ", boost::print::array(name,1), ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramNamedParameter4dvNV)(id, len, name, v);
  }

  REGAL_DECL void REGAL_CALL glProgramNamedParameter4fNV(GLuint id, GLsizei len, const GLubyte *name, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramNamedParameter4fNV","(", id, ", ", len, ", ", boost::print::array(name,1), ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glProgramNamedParameter4fNV","(", id, ", ", len, ", ", boost::print::array(name,1), ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramNamedParameter4fNV)(id, len, name, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glProgramNamedParameter4fvNV(GLuint id, GLsizei len, const GLubyte *name, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramNamedParameter4fvNV","(", id, ", ", len, ", ", boost::print::array(name,1), ", ", boost::print::array(v,4), ")");;
    #endif
    App("glProgramNamedParameter4fvNV","(", id, ", ", len, ", ", boost::print::array(name,1), ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramNamedParameter4fvNV)(id, len, name, v);
  }

  /* GL_NV_framebuffer_blit */

  REGAL_DECL void REGAL_CALL glBlitFramebufferNV(GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBlitFramebufferNV","(", srcX0, ", ", srcY0, ", ", srcX1, ", ", srcY1, ", ", dstX0, ", ", dstY0, ", ", dstX1, ", ", dstY1, ", ", GLblitFramebufferToString(mask), ", ", toString(filter), ")");;
    #endif
    App("glBlitFramebufferNV","(", srcX0, ", ", srcY0, ", ", srcX1, ", ", srcY1, ", ", dstX0, ", ", dstY0, ", ", dstX1, ", ", dstY1, ", ", GLblitFramebufferToString(mask), ", ", toString(filter), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlitFramebufferNV)(srcX0, srcY0, srcX1, srcY1, dstX0, dstY0, dstX1, dstY1, mask, filter);
  }

  /* GL_NV_framebuffer_multisample_coverage */

  REGAL_DECL void REGAL_CALL glRenderbufferStorageMultisampleCoverageNV(GLenum target, GLsizei coverageSamples, GLsizei colorSamples, GLenum internalformat, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glRenderbufferStorageMultisampleCoverageNV","(", toString(target), ", ", coverageSamples, ", ", colorSamples, ", ", toString(internalformat), ", ", width, ", ", height, ")");;
    #endif
    App("glRenderbufferStorageMultisampleCoverageNV","(", toString(target), ", ", coverageSamples, ", ", colorSamples, ", ", toString(internalformat), ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRenderbufferStorageMultisampleCoverageNV)(target, coverageSamples, colorSamples, internalformat, width, height);
  }

  /* GL_NV_geometry_program4 */

  REGAL_DECL void REGAL_CALL glProgramVertexLimitNV(GLenum target, GLint limit)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramVertexLimitNV","(", toString(target), ", ", limit, ")");;
    #endif
    App("glProgramVertexLimitNV","(", toString(target), ", ", limit, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramVertexLimitNV)(target, limit);
  }

  /* GL_NV_gpu_program4 */

  REGAL_DECL void REGAL_CALL glGetProgramEnvParameterIivNV(GLenum target, GLuint index, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetProgramEnvParameterIivNV","(", toString(target), ", ", index, ")");;
    #endif
    App("glGetProgramEnvParameterIivNV","(", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramEnvParameterIivNV)(target, index, params);
  }

  REGAL_DECL void REGAL_CALL glGetProgramEnvParameterIuivNV(GLenum target, GLuint index, GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetProgramEnvParameterIuivNV","(", toString(target), ", ", index, ")");;
    #endif
    App("glGetProgramEnvParameterIuivNV","(", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramEnvParameterIuivNV)(target, index, params);
  }

  REGAL_DECL void REGAL_CALL glGetProgramLocalParameterIivNV(GLenum target, GLuint index, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetProgramLocalParameterIivNV","(", toString(target), ", ", index, ")");;
    #endif
    App("glGetProgramLocalParameterIivNV","(", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramLocalParameterIivNV)(target, index, params);
  }

  REGAL_DECL void REGAL_CALL glGetProgramLocalParameterIuivNV(GLenum target, GLuint index, GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetProgramLocalParameterIuivNV","(", toString(target), ", ", index, ")");;
    #endif
    App("glGetProgramLocalParameterIuivNV","(", toString(target), ", ", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramLocalParameterIuivNV)(target, index, params);
  }

  REGAL_DECL void REGAL_CALL glProgramEnvParameterI4iNV(GLenum target, GLuint index, GLint x, GLint y, GLint z, GLint w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramEnvParameterI4iNV","(", toString(target), ", ", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glProgramEnvParameterI4iNV","(", toString(target), ", ", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramEnvParameterI4iNV)(target, index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glProgramEnvParameterI4ivNV(GLenum target, GLuint index, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramEnvParameterI4ivNV","(", toString(target), ", ", index, ", ", boost::print::array(params,4), ")");;
    #endif
    App("glProgramEnvParameterI4ivNV","(", toString(target), ", ", index, ", ", boost::print::array(params,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramEnvParameterI4ivNV)(target, index, params);
  }

  REGAL_DECL void REGAL_CALL glProgramEnvParameterI4uiNV(GLenum target, GLuint index, GLuint x, GLuint y, GLuint z, GLuint w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramEnvParameterI4uiNV","(", toString(target), ", ", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glProgramEnvParameterI4uiNV","(", toString(target), ", ", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramEnvParameterI4uiNV)(target, index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glProgramEnvParameterI4uivNV(GLenum target, GLuint index, const GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramEnvParameterI4uivNV","(", toString(target), ", ", index, ", ", boost::print::array(params,4), ")");;
    #endif
    App("glProgramEnvParameterI4uivNV","(", toString(target), ", ", index, ", ", boost::print::array(params,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramEnvParameterI4uivNV)(target, index, params);
  }

  REGAL_DECL void REGAL_CALL glProgramEnvParametersI4ivNV(GLenum target, GLuint index, GLsizei count, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramEnvParametersI4ivNV","(", toString(target), ", ", index, ", ", count, ", ", boost::print::array(params,count * 4), ")");;
    #endif
    App("glProgramEnvParametersI4ivNV","(", toString(target), ", ", index, ", ", count, ", ", boost::print::array(params,count * 4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramEnvParametersI4ivNV)(target, index, count, params);
  }

  REGAL_DECL void REGAL_CALL glProgramEnvParametersI4uivNV(GLenum target, GLuint index, GLsizei count, const GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramEnvParametersI4uivNV","(", toString(target), ", ", index, ", ", count, ", ", boost::print::array(params,count * 4), ")");;
    #endif
    App("glProgramEnvParametersI4uivNV","(", toString(target), ", ", index, ", ", count, ", ", boost::print::array(params,count * 4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramEnvParametersI4uivNV)(target, index, count, params);
  }

  REGAL_DECL void REGAL_CALL glProgramLocalParameterI4iNV(GLenum target, GLuint index, GLint x, GLint y, GLint z, GLint w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramLocalParameterI4iNV","(", toString(target), ", ", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glProgramLocalParameterI4iNV","(", toString(target), ", ", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramLocalParameterI4iNV)(target, index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glProgramLocalParameterI4ivNV(GLenum target, GLuint index, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramLocalParameterI4ivNV","(", toString(target), ", ", index, ", ", boost::print::array(params,4), ")");;
    #endif
    App("glProgramLocalParameterI4ivNV","(", toString(target), ", ", index, ", ", boost::print::array(params,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramLocalParameterI4ivNV)(target, index, params);
  }

  REGAL_DECL void REGAL_CALL glProgramLocalParameterI4uiNV(GLenum target, GLuint index, GLuint x, GLuint y, GLuint z, GLuint w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramLocalParameterI4uiNV","(", toString(target), ", ", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glProgramLocalParameterI4uiNV","(", toString(target), ", ", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramLocalParameterI4uiNV)(target, index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glProgramLocalParameterI4uivNV(GLenum target, GLuint index, const GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramLocalParameterI4uivNV","(", toString(target), ", ", index, ", ", boost::print::array(params,4), ")");;
    #endif
    App("glProgramLocalParameterI4uivNV","(", toString(target), ", ", index, ", ", boost::print::array(params,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramLocalParameterI4uivNV)(target, index, params);
  }

  REGAL_DECL void REGAL_CALL glProgramLocalParametersI4ivNV(GLenum target, GLuint index, GLsizei count, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramLocalParametersI4ivNV","(", toString(target), ", ", index, ", ", count, ", ", boost::print::array(params,count * 4), ")");;
    #endif
    App("glProgramLocalParametersI4ivNV","(", toString(target), ", ", index, ", ", count, ", ", boost::print::array(params,count * 4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramLocalParametersI4ivNV)(target, index, count, params);
  }

  REGAL_DECL void REGAL_CALL glProgramLocalParametersI4uivNV(GLenum target, GLuint index, GLsizei count, const GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramLocalParametersI4uivNV","(", toString(target), ", ", index, ", ", count, ", ", boost::print::array(params,count * 4), ")");;
    #endif
    App("glProgramLocalParametersI4uivNV","(", toString(target), ", ", index, ", ", count, ", ", boost::print::array(params,count * 4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramLocalParametersI4uivNV)(target, index, count, params);
  }

  /* GL_NV_gpu_shader5 */

  REGAL_DECL void REGAL_CALL glGetUniformi64vNV(GLuint program, GLint location, GLint64EXT *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetUniformi64vNV","(", program, ", ", location, ")");;
    #endif
    App("glGetUniformi64vNV","(", program, ", ", location, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetUniformi64vNV)(program, location, params);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform1i64NV(GLuint program, GLint location, GLint64EXT x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform1i64NV","(", program, ", ", location, ", ", x, ")");;
    #endif
    App("glProgramUniform1i64NV","(", program, ", ", location, ", ", x, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform1i64NV)(program, location, x);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform1i64vNV(GLuint program, GLint location, GLsizei count, const GLint64EXT *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform1i64vNV","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count), ")");;
    #endif
    App("glProgramUniform1i64vNV","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform1i64vNV)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform1ui64NV(GLuint program, GLint location, GLuint64EXT x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform1ui64NV","(", program, ", ", location, ", ", x, ")");;
    #endif
    App("glProgramUniform1ui64NV","(", program, ", ", location, ", ", x, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform1ui64NV)(program, location, x);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform1ui64vNV(GLuint program, GLint location, GLsizei count, const GLuint64EXT *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform1ui64vNV","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count), ")");;
    #endif
    App("glProgramUniform1ui64vNV","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform1ui64vNV)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform2i64NV(GLuint program, GLint location, GLint64EXT x, GLint64EXT y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform2i64NV","(", program, ", ", location, ", ", x, ", ", y, ")");;
    #endif
    App("glProgramUniform2i64NV","(", program, ", ", location, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform2i64NV)(program, location, x, y);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform2i64vNV(GLuint program, GLint location, GLsizei count, const GLint64EXT *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform2i64vNV","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 2), ")");;
    #endif
    App("glProgramUniform2i64vNV","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform2i64vNV)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform2ui64NV(GLuint program, GLint location, GLuint64EXT x, GLuint64EXT y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform2ui64NV","(", program, ", ", location, ", ", x, ", ", y, ")");;
    #endif
    App("glProgramUniform2ui64NV","(", program, ", ", location, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform2ui64NV)(program, location, x, y);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform2ui64vNV(GLuint program, GLint location, GLsizei count, const GLuint64EXT *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform2ui64vNV","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 2), ")");;
    #endif
    App("glProgramUniform2ui64vNV","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform2ui64vNV)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform3i64NV(GLuint program, GLint location, GLint64EXT x, GLint64EXT y, GLint64EXT z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform3i64NV","(", program, ", ", location, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glProgramUniform3i64NV","(", program, ", ", location, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform3i64NV)(program, location, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform3i64vNV(GLuint program, GLint location, GLsizei count, const GLint64EXT *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform3i64vNV","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 3), ")");;
    #endif
    App("glProgramUniform3i64vNV","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform3i64vNV)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform3ui64NV(GLuint program, GLint location, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform3ui64NV","(", program, ", ", location, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glProgramUniform3ui64NV","(", program, ", ", location, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform3ui64NV)(program, location, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform3ui64vNV(GLuint program, GLint location, GLsizei count, const GLuint64EXT *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform3ui64vNV","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 3), ")");;
    #endif
    App("glProgramUniform3ui64vNV","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform3ui64vNV)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform4i64NV(GLuint program, GLint location, GLint64EXT x, GLint64EXT y, GLint64EXT z, GLint64EXT w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform4i64NV","(", program, ", ", location, ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glProgramUniform4i64NV","(", program, ", ", location, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform4i64NV)(program, location, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform4i64vNV(GLuint program, GLint location, GLsizei count, const GLint64EXT *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform4i64vNV","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 4), ")");;
    #endif
    App("glProgramUniform4i64vNV","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform4i64vNV)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform4ui64NV(GLuint program, GLint location, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z, GLuint64EXT w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform4ui64NV","(", program, ", ", location, ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glProgramUniform4ui64NV","(", program, ", ", location, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform4ui64NV)(program, location, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glProgramUniform4ui64vNV(GLuint program, GLint location, GLsizei count, const GLuint64EXT *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniform4ui64vNV","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 4), ")");;
    #endif
    App("glProgramUniform4ui64vNV","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count * 4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniform4ui64vNV)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform1i64NV(GLint location, GLint64EXT x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform1i64NV","(", location, ", ", x, ")");;
    #endif
    App("glUniform1i64NV","(", location, ", ", x, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform1i64NV)(location, x);
  }

  REGAL_DECL void REGAL_CALL glUniform1i64vNV(GLint location, GLsizei count, const GLint64EXT *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform1i64vNV","(", location, ", ", count, ", ", boost::print::array(value,count), ")");;
    #endif
    App("glUniform1i64vNV","(", location, ", ", count, ", ", boost::print::array(value,count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform1i64vNV)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform1ui64NV(GLint location, GLuint64EXT x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform1ui64NV","(", location, ", ", x, ")");;
    #endif
    App("glUniform1ui64NV","(", location, ", ", x, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform1ui64NV)(location, x);
  }

  REGAL_DECL void REGAL_CALL glUniform1ui64vNV(GLint location, GLsizei count, const GLuint64EXT *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform1ui64vNV","(", location, ", ", count, ", ", boost::print::array(value,count), ")");;
    #endif
    App("glUniform1ui64vNV","(", location, ", ", count, ", ", boost::print::array(value,count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform1ui64vNV)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform2i64NV(GLint location, GLint64EXT x, GLint64EXT y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform2i64NV","(", location, ", ", x, ", ", y, ")");;
    #endif
    App("glUniform2i64NV","(", location, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform2i64NV)(location, x, y);
  }

  REGAL_DECL void REGAL_CALL glUniform2i64vNV(GLint location, GLsizei count, const GLint64EXT *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform2i64vNV","(", location, ", ", count, ", ", boost::print::array(value,count * 2), ")");;
    #endif
    App("glUniform2i64vNV","(", location, ", ", count, ", ", boost::print::array(value,count * 2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform2i64vNV)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform2ui64NV(GLint location, GLuint64EXT x, GLuint64EXT y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform2ui64NV","(", location, ", ", x, ", ", y, ")");;
    #endif
    App("glUniform2ui64NV","(", location, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform2ui64NV)(location, x, y);
  }

  REGAL_DECL void REGAL_CALL glUniform2ui64vNV(GLint location, GLsizei count, const GLuint64EXT *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform2ui64vNV","(", location, ", ", count, ", ", boost::print::array(value,count * 2), ")");;
    #endif
    App("glUniform2ui64vNV","(", location, ", ", count, ", ", boost::print::array(value,count * 2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform2ui64vNV)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform3i64NV(GLint location, GLint64EXT x, GLint64EXT y, GLint64EXT z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform3i64NV","(", location, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glUniform3i64NV","(", location, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform3i64NV)(location, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glUniform3i64vNV(GLint location, GLsizei count, const GLint64EXT *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform3i64vNV","(", location, ", ", count, ", ", boost::print::array(value,count * 3), ")");;
    #endif
    App("glUniform3i64vNV","(", location, ", ", count, ", ", boost::print::array(value,count * 3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform3i64vNV)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform3ui64NV(GLint location, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform3ui64NV","(", location, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glUniform3ui64NV","(", location, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform3ui64NV)(location, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glUniform3ui64vNV(GLint location, GLsizei count, const GLuint64EXT *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform3ui64vNV","(", location, ", ", count, ", ", boost::print::array(value,count * 3), ")");;
    #endif
    App("glUniform3ui64vNV","(", location, ", ", count, ", ", boost::print::array(value,count * 3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform3ui64vNV)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform4i64NV(GLint location, GLint64EXT x, GLint64EXT y, GLint64EXT z, GLint64EXT w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform4i64NV","(", location, ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glUniform4i64NV","(", location, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform4i64NV)(location, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glUniform4i64vNV(GLint location, GLsizei count, const GLint64EXT *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform4i64vNV","(", location, ", ", count, ", ", boost::print::array(value,count * 4), ")");;
    #endif
    App("glUniform4i64vNV","(", location, ", ", count, ", ", boost::print::array(value,count * 4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform4i64vNV)(location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniform4ui64NV(GLint location, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z, GLuint64EXT w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform4ui64NV","(", location, ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glUniform4ui64NV","(", location, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform4ui64NV)(location, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glUniform4ui64vNV(GLint location, GLsizei count, const GLuint64EXT *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniform4ui64vNV","(", location, ", ", count, ", ", boost::print::array(value,count * 4), ")");;
    #endif
    App("glUniform4ui64vNV","(", location, ", ", count, ", ", boost::print::array(value,count * 4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniform4ui64vNV)(location, count, value);
  }

  /* GL_NV_half_float */

  REGAL_DECL void REGAL_CALL glColor3hNV(GLhalfNV red, GLhalfNV green, GLhalfNV blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColor3hNV","(", red, ", ", green, ", ", blue, ")");;
    #endif
    App("glColor3hNV","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor3hNV)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glColor3hvNV(const GLhalfNV *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColor3hvNV","(", boost::print::array(v,3), ")");;
    #endif
    App("glColor3hvNV","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor3hvNV)(v);
  }

  REGAL_DECL void REGAL_CALL glColor4hNV(GLhalfNV red, GLhalfNV green, GLhalfNV blue, GLhalfNV alpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColor4hNV","(", red, ", ", green, ", ", blue, ", ", alpha, ")");;
    #endif
    App("glColor4hNV","(", red, ", ", green, ", ", blue, ", ", alpha, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor4hNV)(red, green, blue, alpha);
  }

  REGAL_DECL void REGAL_CALL glColor4hvNV(const GLhalfNV *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColor4hvNV","(", boost::print::array(v,4), ")");;
    #endif
    App("glColor4hvNV","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor4hvNV)(v);
  }

  REGAL_DECL void REGAL_CALL glFogCoordhNV(GLhalfNV fog)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFogCoordhNV","(", fog, ")");;
    #endif
    App("glFogCoordhNV","(", fog, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFogCoordhNV)(fog);
  }

  REGAL_DECL void REGAL_CALL glFogCoordhvNV(const GLhalfNV *coord)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFogCoordhvNV","(", boost::print::array(coord,1), ")");;
    #endif
    App("glFogCoordhvNV","(", boost::print::array(coord,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFogCoordhvNV)(coord);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord1hNV(GLenum target, GLhalfNV s)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord1hNV","(", toString(target), ", ", s, ")");;
    #endif
    App("glMultiTexCoord1hNV","(", toString(target), ", ", s, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord1hNV)(target, s);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord1hvNV(GLenum target, const GLhalfNV *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord1hvNV","(", toString(target), ", ", boost::print::array(v,1), ")");;
    #endif
    App("glMultiTexCoord1hvNV","(", toString(target), ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord1hvNV)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord2hNV(GLenum target, GLhalfNV s, GLhalfNV t)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord2hNV","(", toString(target), ", ", s, ", ", t, ")");;
    #endif
    App("glMultiTexCoord2hNV","(", toString(target), ", ", s, ", ", t, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord2hNV)(target, s, t);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord2hvNV(GLenum target, const GLhalfNV *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord2hvNV","(", toString(target), ", ", boost::print::array(v,2), ")");;
    #endif
    App("glMultiTexCoord2hvNV","(", toString(target), ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord2hvNV)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord3hNV(GLenum target, GLhalfNV s, GLhalfNV t, GLhalfNV r)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord3hNV","(", toString(target), ", ", s, ", ", t, ", ", r, ")");;
    #endif
    App("glMultiTexCoord3hNV","(", toString(target), ", ", s, ", ", t, ", ", r, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord3hNV)(target, s, t, r);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord3hvNV(GLenum target, const GLhalfNV *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord3hvNV","(", toString(target), ", ", boost::print::array(v,3), ")");;
    #endif
    App("glMultiTexCoord3hvNV","(", toString(target), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord3hvNV)(target, v);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord4hNV(GLenum target, GLhalfNV s, GLhalfNV t, GLhalfNV r, GLhalfNV q)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord4hNV","(", toString(target), ", ", s, ", ", t, ", ", r, ", ", q, ")");;
    #endif
    App("glMultiTexCoord4hNV","(", toString(target), ", ", s, ", ", t, ", ", r, ", ", q, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord4hNV)(target, s, t, r, q);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord4hvNV(GLenum target, const GLhalfNV *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord4hvNV","(", toString(target), ", ", boost::print::array(v,4), ")");;
    #endif
    App("glMultiTexCoord4hvNV","(", toString(target), ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMultiTexCoord4hvNV)(target, v);
  }

  REGAL_DECL void REGAL_CALL glNormal3hNV(GLhalfNV nx, GLhalfNV ny, GLhalfNV nz)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNormal3hNV","(", nx, ", ", ny, ", ", nz, ")");;
    #endif
    App("glNormal3hNV","(", nx, ", ", ny, ", ", nz, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormal3hNV)(nx, ny, nz);
  }

  REGAL_DECL void REGAL_CALL glNormal3hvNV(const GLhalfNV *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNormal3hvNV","(", boost::print::array(v,3), ")");;
    #endif
    App("glNormal3hvNV","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormal3hvNV)(v);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3hNV(GLhalfNV red, GLhalfNV green, GLhalfNV blue)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSecondaryColor3hNV","(", red, ", ", green, ", ", blue, ")");;
    #endif
    App("glSecondaryColor3hNV","(", red, ", ", green, ", ", blue, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3hNV)(red, green, blue);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColor3hvNV(const GLhalfNV *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSecondaryColor3hvNV","(", boost::print::array(v,3), ")");;
    #endif
    App("glSecondaryColor3hvNV","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColor3hvNV)(v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord1hNV(GLhalfNV s)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord1hNV","(", s, ")");;
    #endif
    App("glTexCoord1hNV","(", s, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord1hNV)(s);
  }

  REGAL_DECL void REGAL_CALL glTexCoord1hvNV(const GLhalfNV *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord1hvNV","(", boost::print::array(v,1), ")");;
    #endif
    App("glTexCoord1hvNV","(", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord1hvNV)(v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord2hNV(GLhalfNV s, GLhalfNV t)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord2hNV","(", s, ", ", t, ")");;
    #endif
    App("glTexCoord2hNV","(", s, ", ", t, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord2hNV)(s, t);
  }

  REGAL_DECL void REGAL_CALL glTexCoord2hvNV(const GLhalfNV *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord2hvNV","(", boost::print::array(v,2), ")");;
    #endif
    App("glTexCoord2hvNV","(", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord2hvNV)(v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord3hNV(GLhalfNV s, GLhalfNV t, GLhalfNV r)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord3hNV","(", s, ", ", t, ", ", r, ")");;
    #endif
    App("glTexCoord3hNV","(", s, ", ", t, ", ", r, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord3hNV)(s, t, r);
  }

  REGAL_DECL void REGAL_CALL glTexCoord3hvNV(const GLhalfNV *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord3hvNV","(", boost::print::array(v,3), ")");;
    #endif
    App("glTexCoord3hvNV","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord3hvNV)(v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord4hNV(GLhalfNV s, GLhalfNV t, GLhalfNV r, GLhalfNV q)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord4hNV","(", s, ", ", t, ", ", r, ", ", q, ")");;
    #endif
    App("glTexCoord4hNV","(", s, ", ", t, ", ", r, ", ", q, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord4hNV)(s, t, r, q);
  }

  REGAL_DECL void REGAL_CALL glTexCoord4hvNV(const GLhalfNV *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord4hvNV","(", boost::print::array(v,4), ")");;
    #endif
    App("glTexCoord4hvNV","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord4hvNV)(v);
  }

  REGAL_DECL void REGAL_CALL glVertex2hNV(GLhalfNV x, GLhalfNV y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertex2hNV","(", x, ", ", y, ")");;
    #endif
    App("glVertex2hNV","(", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex2hNV)(x, y);
  }

  REGAL_DECL void REGAL_CALL glVertex2hvNV(const GLhalfNV *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertex2hvNV","(", boost::print::array(v,2), ")");;
    #endif
    App("glVertex2hvNV","(", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex2hvNV)(v);
  }

  REGAL_DECL void REGAL_CALL glVertex3hNV(GLhalfNV x, GLhalfNV y, GLhalfNV z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertex3hNV","(", x, ", ", y, ", ", z, ")");;
    #endif
    App("glVertex3hNV","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex3hNV)(x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertex3hvNV(const GLhalfNV *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertex3hvNV","(", boost::print::array(v,3), ")");;
    #endif
    App("glVertex3hvNV","(", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex3hvNV)(v);
  }

  REGAL_DECL void REGAL_CALL glVertex4hNV(GLhalfNV x, GLhalfNV y, GLhalfNV z, GLhalfNV w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertex4hNV","(", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glVertex4hNV","(", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex4hNV)(x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertex4hvNV(const GLhalfNV *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertex4hvNV","(", boost::print::array(v,4), ")");;
    #endif
    App("glVertex4hvNV","(", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertex4hvNV)(v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib1hNV(GLuint index, GLhalfNV x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib1hNV","(", index, ", ", x, ")");;
    #endif
    App("glVertexAttrib1hNV","(", index, ", ", x, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib1hNV)(index, x);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib1hvNV(GLuint index, const GLhalfNV *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib1hvNV","(", index, ", ", boost::print::array(v,1), ")");;
    #endif
    App("glVertexAttrib1hvNV","(", index, ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib1hvNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib2hNV(GLuint index, GLhalfNV x, GLhalfNV y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib2hNV","(", index, ", ", x, ", ", y, ")");;
    #endif
    App("glVertexAttrib2hNV","(", index, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib2hNV)(index, x, y);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib2hvNV(GLuint index, const GLhalfNV *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib2hvNV","(", index, ", ", boost::print::array(v,2), ")");;
    #endif
    App("glVertexAttrib2hvNV","(", index, ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib2hvNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib3hNV(GLuint index, GLhalfNV x, GLhalfNV y, GLhalfNV z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib3hNV","(", index, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glVertexAttrib3hNV","(", index, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib3hNV)(index, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib3hvNV(GLuint index, const GLhalfNV *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib3hvNV","(", index, ", ", boost::print::array(v,3), ")");;
    #endif
    App("glVertexAttrib3hvNV","(", index, ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib3hvNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4hNV(GLuint index, GLhalfNV x, GLhalfNV y, GLhalfNV z, GLhalfNV w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib4hNV","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glVertexAttrib4hNV","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4hNV)(index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4hvNV(GLuint index, const GLhalfNV *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib4hvNV","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glVertexAttrib4hvNV","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4hvNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribs1hvNV(GLuint index, GLsizei n, const GLhalfNV *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribs1hvNV","(", index, ", ", n, ", ", boost::print::array(v,n), ")");;
    #endif
    App("glVertexAttribs1hvNV","(", index, ", ", n, ", ", boost::print::array(v,n), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribs1hvNV)(index, n, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribs2hvNV(GLuint index, GLsizei n, const GLhalfNV *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribs2hvNV","(", index, ", ", n, ", ", boost::print::array(v,n * 2), ")");;
    #endif
    App("glVertexAttribs2hvNV","(", index, ", ", n, ", ", boost::print::array(v,n * 2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribs2hvNV)(index, n, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribs3hvNV(GLuint index, GLsizei n, const GLhalfNV *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribs3hvNV","(", index, ", ", n, ", ", boost::print::array(v,n * 3), ")");;
    #endif
    App("glVertexAttribs3hvNV","(", index, ", ", n, ", ", boost::print::array(v,n * 3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribs3hvNV)(index, n, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribs4hvNV(GLuint index, GLsizei n, const GLhalfNV *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribs4hvNV","(", index, ", ", n, ", ", boost::print::array(v,n * 4), ")");;
    #endif
    App("glVertexAttribs4hvNV","(", index, ", ", n, ", ", boost::print::array(v,n * 4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribs4hvNV)(index, n, v);
  }

  REGAL_DECL void REGAL_CALL glVertexWeighthNV(GLhalfNV weight)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexWeighthNV","(", weight, ")");;
    #endif
    App("glVertexWeighthNV","(", weight, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexWeighthNV)(weight);
  }

  REGAL_DECL void REGAL_CALL glVertexWeighthvNV(const GLhalfNV *weight)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexWeighthvNV","(", boost::print::array(weight,1), ")");;
    #endif
    App("glVertexWeighthvNV","(", boost::print::array(weight,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexWeighthvNV)(weight);
  }

  /* GL_NV_non_square_matrices */

  REGAL_DECL void REGAL_CALL glUniformMatrix2x3fvNV(GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniformMatrix2x3fvNV","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::optional(value,Logging::pointers), ")");;
    #endif
    App("glUniformMatrix2x3fvNV","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::optional(value,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformMatrix2x3fvNV)(location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glUniformMatrix2x4fvNV(GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniformMatrix2x4fvNV","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::optional(value,Logging::pointers), ")");;
    #endif
    App("glUniformMatrix2x4fvNV","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::optional(value,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformMatrix2x4fvNV)(location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glUniformMatrix3x2fvNV(GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniformMatrix3x2fvNV","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::optional(value,Logging::pointers), ")");;
    #endif
    App("glUniformMatrix3x2fvNV","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::optional(value,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformMatrix3x2fvNV)(location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glUniformMatrix3x4fvNV(GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniformMatrix3x4fvNV","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::optional(value,Logging::pointers), ")");;
    #endif
    App("glUniformMatrix3x4fvNV","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::optional(value,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformMatrix3x4fvNV)(location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glUniformMatrix4x2fvNV(GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniformMatrix4x2fvNV","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::optional(value,Logging::pointers), ")");;
    #endif
    App("glUniformMatrix4x2fvNV","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::optional(value,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformMatrix4x2fvNV)(location, count, transpose, value);
  }

  REGAL_DECL void REGAL_CALL glUniformMatrix4x3fvNV(GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniformMatrix4x3fvNV","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::optional(value,Logging::pointers), ")");;
    #endif
    App("glUniformMatrix4x3fvNV","(", location, ", ", count, ", ", toString(transpose), ", ", boost::print::optional(value,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformMatrix4x3fvNV)(location, count, transpose, value);
  }

  /* GL_NV_occlusion_query */

  REGAL_DECL void REGAL_CALL glBeginOcclusionQueryNV(GLuint id)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBeginOcclusionQueryNV","(", id, ")");;
    #endif
    App("glBeginOcclusionQueryNV","(", id, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBeginOcclusionQueryNV)(id);
  }

  REGAL_DECL void REGAL_CALL glDeleteOcclusionQueriesNV(GLsizei n, const GLuint *ids)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDeleteOcclusionQueriesNV","(", n, ", ", boost::print::array(ids,n), ")");;
    #endif
    App("glDeleteOcclusionQueriesNV","(", n, ", ", boost::print::array(ids,n), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteOcclusionQueriesNV)(n, ids);
  }

  REGAL_DECL void REGAL_CALL glEndOcclusionQueryNV(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEndOcclusionQueryNV","()");;
    #endif
    App("glEndOcclusionQueryNV","()");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEndOcclusionQueryNV)();
  }

  REGAL_DECL void REGAL_CALL glGenOcclusionQueriesNV(GLsizei n, GLuint *ids)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGenOcclusionQueriesNV","(", n, ")");;
    #endif
    App("glGenOcclusionQueriesNV","(", n, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenOcclusionQueriesNV)(n, ids);
  }

  REGAL_DECL void REGAL_CALL glGetOcclusionQueryivNV(GLuint id, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetOcclusionQueryivNV","(", id, ", ", toString(pname), ")");;
    #endif
    App("glGetOcclusionQueryivNV","(", id, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetOcclusionQueryivNV)(id, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetOcclusionQueryuivNV(GLuint id, GLenum pname, GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetOcclusionQueryuivNV","(", id, ", ", toString(pname), ")");;
    #endif
    App("glGetOcclusionQueryuivNV","(", id, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetOcclusionQueryuivNV)(id, pname, params);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsOcclusionQueryNV(GLuint id)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsOcclusionQueryNV","(", id, ")");;
    #endif
    App("glIsOcclusionQueryNV","(", id, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsOcclusionQueryNV)(id);
  }

  /* GL_NV_parameter_buffer_object */

  REGAL_DECL void REGAL_CALL glProgramBufferParametersIivNV(GLenum target, GLuint bindingIndex, GLuint wordIndex, GLsizei count, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramBufferParametersIivNV","(", toString(target), ", ", bindingIndex, ", ", wordIndex, ", ", count, ", ", boost::print::array(params,count), ")");;
    #endif
    App("glProgramBufferParametersIivNV","(", toString(target), ", ", bindingIndex, ", ", wordIndex, ", ", count, ", ", boost::print::array(params,count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramBufferParametersIivNV)(target, bindingIndex, wordIndex, count, params);
  }

  REGAL_DECL void REGAL_CALL glProgramBufferParametersIuivNV(GLenum target, GLuint bindingIndex, GLuint wordIndex, GLsizei count, const GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramBufferParametersIuivNV","(", toString(target), ", ", bindingIndex, ", ", wordIndex, ", ", count, ", ", boost::print::array(params,count), ")");;
    #endif
    App("glProgramBufferParametersIuivNV","(", toString(target), ", ", bindingIndex, ", ", wordIndex, ", ", count, ", ", boost::print::array(params,count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramBufferParametersIuivNV)(target, bindingIndex, wordIndex, count, params);
  }

  REGAL_DECL void REGAL_CALL glProgramBufferParametersfvNV(GLenum target, GLuint bindingIndex, GLuint wordIndex, GLsizei count, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramBufferParametersfvNV","(", toString(target), ", ", bindingIndex, ", ", wordIndex, ", ", count, ", ", boost::print::array(params,count), ")");;
    #endif
    App("glProgramBufferParametersfvNV","(", toString(target), ", ", bindingIndex, ", ", wordIndex, ", ", count, ", ", boost::print::array(params,count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramBufferParametersfvNV)(target, bindingIndex, wordIndex, count, params);
  }

  /* GL_NV_path_rendering */

  REGAL_DECL void REGAL_CALL glCopyPathNV(GLuint resultPath, GLuint srcPath)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCopyPathNV","(", resultPath, ", ", srcPath, ")");;
    #endif
    App("glCopyPathNV","(", resultPath, ", ", srcPath, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyPathNV)(resultPath, srcPath);
  }

  REGAL_DECL void REGAL_CALL glCoverFillPathInstancedNV(GLsizei numPaths, GLenum pathNameType, const GLvoid *paths, GLuint pathBase, GLenum coverMode, GLenum transformType, const GLfloat *transformValues)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCoverFillPathInstancedNV","(", numPaths, ", ", toString(pathNameType), ", ", boost::print::optional(paths,Logging::pointers), ", ", pathBase, ", ", toString(coverMode), ", ", toString(transformType), ", ", boost::print::optional(transformValues,Logging::pointers), ")");;
    #endif
    App("glCoverFillPathInstancedNV","(", numPaths, ", ", toString(pathNameType), ", ", boost::print::optional(paths,Logging::pointers), ", ", pathBase, ", ", toString(coverMode), ", ", toString(transformType), ", ", boost::print::optional(transformValues,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCoverFillPathInstancedNV)(numPaths, pathNameType, paths, pathBase, coverMode, transformType, transformValues);
  }

  REGAL_DECL void REGAL_CALL glCoverFillPathNV(GLuint path, GLenum coverMode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCoverFillPathNV","(", path, ", ", toString(coverMode), ")");;
    #endif
    App("glCoverFillPathNV","(", path, ", ", toString(coverMode), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCoverFillPathNV)(path, coverMode);
  }

  REGAL_DECL void REGAL_CALL glCoverStrokePathInstancedNV(GLsizei numPaths, GLenum pathNameType, const GLvoid *paths, GLuint pathBase, GLenum coverMode, GLenum transformType, const GLfloat *transformValues)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCoverStrokePathInstancedNV","(", numPaths, ", ", toString(pathNameType), ", ", boost::print::optional(paths,Logging::pointers), ", ", pathBase, ", ", toString(coverMode), ", ", toString(transformType), ", ", boost::print::optional(transformValues,Logging::pointers), ")");;
    #endif
    App("glCoverStrokePathInstancedNV","(", numPaths, ", ", toString(pathNameType), ", ", boost::print::optional(paths,Logging::pointers), ", ", pathBase, ", ", toString(coverMode), ", ", toString(transformType), ", ", boost::print::optional(transformValues,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCoverStrokePathInstancedNV)(numPaths, pathNameType, paths, pathBase, coverMode, transformType, transformValues);
  }

  REGAL_DECL void REGAL_CALL glCoverStrokePathNV(GLuint path, GLenum coverMode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCoverStrokePathNV","(", path, ", ", toString(coverMode), ")");;
    #endif
    App("glCoverStrokePathNV","(", path, ", ", toString(coverMode), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCoverStrokePathNV)(path, coverMode);
  }

  REGAL_DECL void REGAL_CALL glDeletePathsNV(GLuint path, GLsizei range)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDeletePathsNV","(", path, ", ", range, ")");;
    #endif
    App("glDeletePathsNV","(", path, ", ", range, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeletePathsNV)(path, range);
  }

  REGAL_DECL GLuint REGAL_CALL glGenPathsNV(GLsizei range)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGenPathsNV","(", range, ")");;
    #endif
    App("glGenPathsNV","(", range, ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGenPathsNV)(range);
  }

  REGAL_DECL void REGAL_CALL glGetPathColorGenfvNV(GLenum color, GLenum pname, GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetPathColorGenfvNV","(", toString(color), ", ", toString(pname), ", ", boost::print::optional(value,Logging::pointers), ")");;
    #endif
    App("glGetPathColorGenfvNV","(", toString(color), ", ", toString(pname), ", ", boost::print::optional(value,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPathColorGenfvNV)(color, pname, value);
  }

  REGAL_DECL void REGAL_CALL glGetPathColorGenivNV(GLenum color, GLenum pname, GLint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetPathColorGenivNV","(", toString(color), ", ", toString(pname), ", ", boost::print::optional(value,Logging::pointers), ")");;
    #endif
    App("glGetPathColorGenivNV","(", toString(color), ", ", toString(pname), ", ", boost::print::optional(value,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPathColorGenivNV)(color, pname, value);
  }

  REGAL_DECL void REGAL_CALL glGetPathCommandsNV(GLuint path, GLubyte *commands)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetPathCommandsNV","(", path, ")");;
    #endif
    App("glGetPathCommandsNV","(", path, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPathCommandsNV)(path, commands);
  }

  REGAL_DECL void REGAL_CALL glGetPathCoordsNV(GLuint path, GLfloat *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetPathCoordsNV","(", path, ", ", boost::print::optional(coords,Logging::pointers), ")");;
    #endif
    App("glGetPathCoordsNV","(", path, ", ", boost::print::optional(coords,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPathCoordsNV)(path, coords);
  }

  REGAL_DECL void REGAL_CALL glGetPathDashArrayNV(GLuint path, GLfloat *dashArray)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetPathDashArrayNV","(", path, ", ", boost::print::optional(dashArray,Logging::pointers), ")");;
    #endif
    App("glGetPathDashArrayNV","(", path, ", ", boost::print::optional(dashArray,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPathDashArrayNV)(path, dashArray);
  }

  REGAL_DECL GLfloat REGAL_CALL glGetPathLengthNV(GLuint path, GLsizei startSegment, GLsizei numSegments)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetPathLengthNV","(", path, ", ", startSegment, ", ", numSegments, ")");;
    #endif
    App("glGetPathLengthNV","(", path, ", ", startSegment, ", ", numSegments, ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetPathLengthNV)(path, startSegment, numSegments);
  }

  REGAL_DECL void REGAL_CALL glGetPathMetricRangeNV(GLbitfield metricQueryMask, GLuint firstPathName, GLsizei numPaths, GLsizei stride, GLfloat *metrics)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetPathMetricRangeNV","(", GLgetPathMetricsNVToString(metricQueryMask), ", ", firstPathName, ", ", numPaths, ", ", stride, ", ", boost::print::optional(metrics,Logging::pointers), ")");;
    #endif
    App("glGetPathMetricRangeNV","(", GLgetPathMetricsNVToString(metricQueryMask), ", ", firstPathName, ", ", numPaths, ", ", stride, ", ", boost::print::optional(metrics,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPathMetricRangeNV)(metricQueryMask, firstPathName, numPaths, stride, metrics);
  }

  REGAL_DECL void REGAL_CALL glGetPathMetricsNV(GLbitfield metricQueryMask, GLsizei numPaths, GLenum pathNameType, const GLvoid *paths, GLuint pathBase, GLsizei stride, GLfloat *metrics)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetPathMetricsNV","(", GLgetPathMetricsNVToString(metricQueryMask), ", ", numPaths, ", ", toString(pathNameType), ", ", boost::print::optional(paths,Logging::pointers), ", ", pathBase, ", ", stride, ", ", boost::print::optional(metrics,Logging::pointers), ")");;
    #endif
    App("glGetPathMetricsNV","(", GLgetPathMetricsNVToString(metricQueryMask), ", ", numPaths, ", ", toString(pathNameType), ", ", boost::print::optional(paths,Logging::pointers), ", ", pathBase, ", ", stride, ", ", boost::print::optional(metrics,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPathMetricsNV)(metricQueryMask, numPaths, pathNameType, paths, pathBase, stride, metrics);
  }

  REGAL_DECL void REGAL_CALL glGetPathParameterfvNV(GLuint path, GLenum pname, GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetPathParameterfvNV","(", path, ", ", toString(pname), ", ", boost::print::optional(value,Logging::pointers), ")");;
    #endif
    App("glGetPathParameterfvNV","(", path, ", ", toString(pname), ", ", boost::print::optional(value,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPathParameterfvNV)(path, pname, value);
  }

  REGAL_DECL void REGAL_CALL glGetPathParameterivNV(GLuint path, GLenum pname, GLint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetPathParameterivNV","(", path, ", ", toString(pname), ", ", boost::print::optional(value,Logging::pointers), ")");;
    #endif
    App("glGetPathParameterivNV","(", path, ", ", toString(pname), ", ", boost::print::optional(value,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPathParameterivNV)(path, pname, value);
  }

  REGAL_DECL void REGAL_CALL glGetPathSpacingNV(GLenum pathListMode, GLsizei numPaths, GLenum pathNameType, const GLvoid *paths, GLuint pathBase, GLfloat advanceScale, GLfloat kerningScale, GLenum transformType, GLfloat *returnedSpacing)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetPathSpacingNV","(", toString(pathListMode), ", ", numPaths, ", ", toString(pathNameType), ", ", boost::print::optional(paths,Logging::pointers), ", ", pathBase, ", ", advanceScale, ", ", kerningScale, ", ", toString(transformType), ", ", boost::print::optional(returnedSpacing,Logging::pointers), ")");;
    #endif
    App("glGetPathSpacingNV","(", toString(pathListMode), ", ", numPaths, ", ", toString(pathNameType), ", ", boost::print::optional(paths,Logging::pointers), ", ", pathBase, ", ", advanceScale, ", ", kerningScale, ", ", toString(transformType), ", ", boost::print::optional(returnedSpacing,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPathSpacingNV)(pathListMode, numPaths, pathNameType, paths, pathBase, advanceScale, kerningScale, transformType, returnedSpacing);
  }

  REGAL_DECL void REGAL_CALL glGetPathTexGenfvNV(GLenum texCoordSet, GLenum pname, GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetPathTexGenfvNV","(", toString(texCoordSet), ", ", toString(pname), ", ", boost::print::optional(value,Logging::pointers), ")");;
    #endif
    App("glGetPathTexGenfvNV","(", toString(texCoordSet), ", ", toString(pname), ", ", boost::print::optional(value,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPathTexGenfvNV)(texCoordSet, pname, value);
  }

  REGAL_DECL void REGAL_CALL glGetPathTexGenivNV(GLenum texCoordSet, GLenum pname, GLint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetPathTexGenivNV","(", toString(texCoordSet), ", ", toString(pname), ", ", boost::print::optional(value,Logging::pointers), ")");;
    #endif
    App("glGetPathTexGenivNV","(", toString(texCoordSet), ", ", toString(pname), ", ", boost::print::optional(value,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPathTexGenivNV)(texCoordSet, pname, value);
  }

  REGAL_DECL void REGAL_CALL glInterpolatePathsNV(GLuint resultPath, GLuint pathA, GLuint pathB, GLfloat weight)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glInterpolatePathsNV","(", resultPath, ", ", pathA, ", ", pathB, ", ", weight, ")");;
    #endif
    App("glInterpolatePathsNV","(", resultPath, ", ", pathA, ", ", pathB, ", ", weight, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glInterpolatePathsNV)(resultPath, pathA, pathB, weight);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsPathNV(GLuint path)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsPathNV","(", path, ")");;
    #endif
    App("glIsPathNV","(", path, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsPathNV)(path);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsPointInFillPathNV(GLuint path, GLuint mask, GLfloat x, GLfloat y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsPointInFillPathNV","(", path, ", ", mask, ", ", x, ", ", y, ")");;
    #endif
    App("glIsPointInFillPathNV","(", path, ", ", mask, ", ", x, ", ", y, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsPointInFillPathNV)(path, mask, x, y);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsPointInStrokePathNV(GLuint path, GLfloat x, GLfloat y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsPointInStrokePathNV","(", path, ", ", x, ", ", y, ")");;
    #endif
    App("glIsPointInStrokePathNV","(", path, ", ", x, ", ", y, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsPointInStrokePathNV)(path, x, y);
  }

  REGAL_DECL void REGAL_CALL glPathColorGenNV(GLenum color, GLenum genMode, GLenum colorFormat, const GLfloat *coeffs)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPathColorGenNV","(", toString(color), ", ", toString(genMode), ", ", toString(colorFormat), ", ", boost::print::optional(coeffs,Logging::pointers), ")");;
    #endif
    App("glPathColorGenNV","(", toString(color), ", ", toString(genMode), ", ", toString(colorFormat), ", ", boost::print::optional(coeffs,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPathColorGenNV)(color, genMode, colorFormat, coeffs);
  }

  REGAL_DECL void REGAL_CALL glPathCommandsNV(GLuint path, GLsizei numCommands, const GLubyte *commands, GLsizei numCoords, GLenum coordType, const GLvoid *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPathCommandsNV","(", path, ", ", numCommands, ", ", Token::GLpathCommandToString(numCommands,commands), ", ", numCoords, ", ", Token::GLpathCoordToString(coordType), ", ", Token::GLpathCoordToString(numCoords,coordType,coords), ")");;
    #endif
    App("glPathCommandsNV","(", path, ", ", numCommands, ", ", Token::GLpathCommandToString(numCommands,commands), ", ", numCoords, ", ", Token::GLpathCoordToString(coordType), ", ", Token::GLpathCoordToString(numCoords,coordType,coords), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPathCommandsNV)(path, numCommands, commands, numCoords, coordType, coords);
  }

  REGAL_DECL void REGAL_CALL glPathCoordsNV(GLuint path, GLsizei numCoords, GLenum coordType, const GLvoid *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPathCoordsNV","(", path, ", ", numCoords, ", ", toString(coordType), ", ", boost::print::optional(coords,Logging::pointers), ")");;
    #endif
    App("glPathCoordsNV","(", path, ", ", numCoords, ", ", toString(coordType), ", ", boost::print::optional(coords,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPathCoordsNV)(path, numCoords, coordType, coords);
  }

  REGAL_DECL void REGAL_CALL glPathCoverDepthFuncNV(GLenum func)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPathCoverDepthFuncNV","(", toString(func), ")");;
    #endif
    App("glPathCoverDepthFuncNV","(", toString(func), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPathCoverDepthFuncNV)(func);
  }

  REGAL_DECL void REGAL_CALL glPathDashArrayNV(GLuint path, GLsizei dashCount, const GLfloat *dashArray)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPathDashArrayNV","(", path, ", ", dashCount, ", ", boost::print::optional(dashArray,Logging::pointers), ")");;
    #endif
    App("glPathDashArrayNV","(", path, ", ", dashCount, ", ", boost::print::optional(dashArray,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPathDashArrayNV)(path, dashCount, dashArray);
  }

  REGAL_DECL void REGAL_CALL glPathFogGenNV(GLenum genMode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPathFogGenNV","(", toString(genMode), ")");;
    #endif
    App("glPathFogGenNV","(", toString(genMode), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPathFogGenNV)(genMode);
  }

  REGAL_DECL void REGAL_CALL glPathGlyphRangeNV(GLuint firstPathName, GLenum fontTarget, const GLvoid *fontName, GLbitfield fontStyle, GLuint firstGlyph, GLsizei numGlyphs, GLenum handleMissingGlyphs, GLuint pathParameterTemplate, GLfloat emScale)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPathGlyphRangeNV","(", firstPathName, ", ", toString(fontTarget), ", ", boost::print::quote(reinterpret_cast<const char *>(fontName),'"'), ", ", GLpathGlyphsNVToString(fontStyle), ", ", firstGlyph, ", ", numGlyphs, ", ", toString(handleMissingGlyphs), ", ", pathParameterTemplate, ", ", emScale, ")");;
    #endif
    App("glPathGlyphRangeNV","(", firstPathName, ", ", toString(fontTarget), ", ", boost::print::quote(reinterpret_cast<const char *>(fontName),'"'), ", ", GLpathGlyphsNVToString(fontStyle), ", ", firstGlyph, ", ", numGlyphs, ", ", toString(handleMissingGlyphs), ", ", pathParameterTemplate, ", ", emScale, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPathGlyphRangeNV)(firstPathName, fontTarget, fontName, fontStyle, firstGlyph, numGlyphs, handleMissingGlyphs, pathParameterTemplate, emScale);
  }

  REGAL_DECL void REGAL_CALL glPathGlyphsNV(GLuint firstPathName, GLenum fontTarget, const GLvoid *fontName, GLbitfield fontStyle, GLsizei numGlyphs, GLenum type, const GLvoid *charcodes, GLenum handleMissingGlyphs, GLuint pathParameterTemplate, GLfloat emScale)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPathGlyphsNV","(", firstPathName, ", ", toString(fontTarget), ", ", boost::print::quote(reinterpret_cast<const char *>(fontName),'"'), ", ", GLpathGlyphsNVToString(fontStyle), ", ", numGlyphs, ", ", toString(type), ", ", boost::print::optional(charcodes,Logging::pointers), ", ", toString(handleMissingGlyphs), ", ", pathParameterTemplate, ", ", emScale, ")");;
    #endif
    App("glPathGlyphsNV","(", firstPathName, ", ", toString(fontTarget), ", ", boost::print::quote(reinterpret_cast<const char *>(fontName),'"'), ", ", GLpathGlyphsNVToString(fontStyle), ", ", numGlyphs, ", ", toString(type), ", ", boost::print::optional(charcodes,Logging::pointers), ", ", toString(handleMissingGlyphs), ", ", pathParameterTemplate, ", ", emScale, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPathGlyphsNV)(firstPathName, fontTarget, fontName, fontStyle, numGlyphs, type, charcodes, handleMissingGlyphs, pathParameterTemplate, emScale);
  }

  REGAL_DECL void REGAL_CALL glPathParameterfNV(GLuint path, GLenum pname, GLfloat value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPathParameterfNV","(", path, ", ", toString(pname), ", ", value, ")");;
    #endif
    App("glPathParameterfNV","(", path, ", ", toString(pname), ", ", value, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPathParameterfNV)(path, pname, value);
  }

  REGAL_DECL void REGAL_CALL glPathParameterfvNV(GLuint path, GLenum pname, const GLfloat *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPathParameterfvNV","(", path, ", ", toString(pname), ", ", boost::print::optional(value,Logging::pointers), ")");;
    #endif
    App("glPathParameterfvNV","(", path, ", ", toString(pname), ", ", boost::print::optional(value,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPathParameterfvNV)(path, pname, value);
  }

  REGAL_DECL void REGAL_CALL glPathParameteriNV(GLuint path, GLenum pname, GLint value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPathParameteriNV","(", path, ", ", toString(pname), ", ", value, ")");;
    #endif
    App("glPathParameteriNV","(", path, ", ", toString(pname), ", ", value, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPathParameteriNV)(path, pname, value);
  }

  REGAL_DECL void REGAL_CALL glPathParameterivNV(GLuint path, GLenum pname, const GLint *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPathParameterivNV","(", path, ", ", toString(pname), ", ", boost::print::optional(value,Logging::pointers), ")");;
    #endif
    App("glPathParameterivNV","(", path, ", ", toString(pname), ", ", boost::print::optional(value,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPathParameterivNV)(path, pname, value);
  }

  REGAL_DECL void REGAL_CALL glPathStencilDepthOffsetNV(GLfloat factor, GLfloat units)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPathStencilDepthOffsetNV","(", factor, ", ", units, ")");;
    #endif
    App("glPathStencilDepthOffsetNV","(", factor, ", ", units, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPathStencilDepthOffsetNV)(factor, units);
  }

  REGAL_DECL void REGAL_CALL glPathStencilFuncNV(GLenum func, GLint ref, GLuint mask)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPathStencilFuncNV","(", toString(func), ", ", boost::print::hex(ref), ", ", boost::print::hex(mask), ")");;
    #endif
    App("glPathStencilFuncNV","(", toString(func), ", ", boost::print::hex(ref), ", ", boost::print::hex(mask), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPathStencilFuncNV)(func, ref, mask);
  }

  REGAL_DECL void REGAL_CALL glPathStringNV(GLuint path, GLenum format, GLsizei length, const GLvoid *pathString)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPathStringNV","(", path, ", ", toString(format), ", ", length, ", ", boost::print::optional(pathString,Logging::pointers), ")");;
    #endif
    App("glPathStringNV","(", path, ", ", toString(format), ", ", length, ", ", boost::print::optional(pathString,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPathStringNV)(path, format, length, pathString);
  }

  REGAL_DECL void REGAL_CALL glPathSubCommandsNV(GLuint path, GLsizei commandStart, GLsizei commandsToDelete, GLsizei numCommands, const GLubyte *commands, GLsizei numCoords, GLenum coordType, const GLvoid *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPathSubCommandsNV","(", path, ", ", commandStart, ", ", commandsToDelete, ", ", numCommands, ", ", Token::GLpathCommandToString(numCommands,commands), ", ", numCoords, ", ", Token::GLpathCoordToString(coordType), ", ", Token::GLpathCoordToString(numCoords,coordType,coords), ")");;
    #endif
    App("glPathSubCommandsNV","(", path, ", ", commandStart, ", ", commandsToDelete, ", ", numCommands, ", ", Token::GLpathCommandToString(numCommands,commands), ", ", numCoords, ", ", Token::GLpathCoordToString(coordType), ", ", Token::GLpathCoordToString(numCoords,coordType,coords), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPathSubCommandsNV)(path, commandStart, commandsToDelete, numCommands, commands, numCoords, coordType, coords);
  }

  REGAL_DECL void REGAL_CALL glPathSubCoordsNV(GLuint path, GLsizei coordStart, GLsizei numCoords, GLenum coordType, const GLvoid *coords)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPathSubCoordsNV","(", path, ", ", coordStart, ", ", numCoords, ", ", Token::GLpathCoordToString(coordType), ", ", Token::GLpathCoordToString(numCoords,coordType,coords), ")");;
    #endif
    App("glPathSubCoordsNV","(", path, ", ", coordStart, ", ", numCoords, ", ", Token::GLpathCoordToString(coordType), ", ", Token::GLpathCoordToString(numCoords,coordType,coords), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPathSubCoordsNV)(path, coordStart, numCoords, coordType, coords);
  }

  REGAL_DECL void REGAL_CALL glPathTexGenNV(GLenum texCoordSet, GLenum genMode, GLint components, const GLfloat *coeffs)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPathTexGenNV","(", toString(texCoordSet), ", ", toString(genMode), ", ", components, ", ", boost::print::optional(coeffs,Logging::pointers), ")");;
    #endif
    App("glPathTexGenNV","(", toString(texCoordSet), ", ", toString(genMode), ", ", components, ", ", boost::print::optional(coeffs,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPathTexGenNV)(texCoordSet, genMode, components, coeffs);
  }

  REGAL_DECL GLboolean REGAL_CALL glPointAlongPathNV(GLuint path, GLsizei startSegment, GLsizei numSegments, GLfloat distance, GLfloat *x, GLfloat *y, GLfloat *tangentX, GLfloat *tangentY)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPointAlongPathNV","(", path, ", ", startSegment, ", ", numSegments, ", ", distance, ", ", boost::print::optional(x,Logging::pointers), ", ", boost::print::optional(y,Logging::pointers), ", ", boost::print::optional(tangentX,Logging::pointers), ", ", boost::print::optional(tangentY,Logging::pointers), ")");;
    #endif
    App("glPointAlongPathNV","(", path, ", ", startSegment, ", ", numSegments, ", ", distance, ", ", boost::print::optional(x,Logging::pointers), ", ", boost::print::optional(y,Logging::pointers), ", ", boost::print::optional(tangentX,Logging::pointers), ", ", boost::print::optional(tangentY,Logging::pointers), ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glPointAlongPathNV)(path, startSegment, numSegments, distance, x, y, tangentX, tangentY);
  }

  REGAL_DECL void REGAL_CALL glStencilFillPathInstancedNV(GLsizei numPaths, GLenum pathNameType, const GLvoid *paths, GLuint pathBase, GLenum fillMode, GLuint mask, GLenum transformType, const GLfloat *transformValues)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glStencilFillPathInstancedNV","(", numPaths, ", ", toString(pathNameType), ", ", boost::print::optional(paths,Logging::pointers), ", ", pathBase, ", ", toString(fillMode), ", ", mask, ", ", toString(transformType), ", ", boost::print::optional(transformValues,Logging::pointers), ")");;
    #endif
    App("glStencilFillPathInstancedNV","(", numPaths, ", ", toString(pathNameType), ", ", boost::print::optional(paths,Logging::pointers), ", ", pathBase, ", ", toString(fillMode), ", ", mask, ", ", toString(transformType), ", ", boost::print::optional(transformValues,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glStencilFillPathInstancedNV)(numPaths, pathNameType, paths, pathBase, fillMode, mask, transformType, transformValues);
  }

  REGAL_DECL void REGAL_CALL glStencilFillPathNV(GLuint path, GLenum fillMode, GLuint mask)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glStencilFillPathNV","(", path, ", ", toString(fillMode), ", ", mask, ")");;
    #endif
    App("glStencilFillPathNV","(", path, ", ", toString(fillMode), ", ", mask, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glStencilFillPathNV)(path, fillMode, mask);
  }

  REGAL_DECL void REGAL_CALL glStencilStrokePathInstancedNV(GLsizei numPaths, GLenum pathNameType, const GLvoid *paths, GLuint pathBase, GLint reference, GLuint mask, GLenum transformType, const GLfloat *transformValues)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glStencilStrokePathInstancedNV","(", numPaths, ", ", toString(pathNameType), ", ", boost::print::optional(paths,Logging::pointers), ", ", pathBase, ", ", reference, ", ", mask, ", ", toString(transformType), ", ", boost::print::optional(transformValues,Logging::pointers), ")");;
    #endif
    App("glStencilStrokePathInstancedNV","(", numPaths, ", ", toString(pathNameType), ", ", boost::print::optional(paths,Logging::pointers), ", ", pathBase, ", ", reference, ", ", mask, ", ", toString(transformType), ", ", boost::print::optional(transformValues,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glStencilStrokePathInstancedNV)(numPaths, pathNameType, paths, pathBase, reference, mask, transformType, transformValues);
  }

  REGAL_DECL void REGAL_CALL glStencilStrokePathNV(GLuint path, GLint reference, GLuint mask)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glStencilStrokePathNV","(", path, ", ", reference, ", ", mask, ")");;
    #endif
    App("glStencilStrokePathNV","(", path, ", ", reference, ", ", mask, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glStencilStrokePathNV)(path, reference, mask);
  }

  REGAL_DECL void REGAL_CALL glTransformPathNV(GLuint resultPath, GLuint srcPath, GLenum transformType, const GLfloat *transformValues)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTransformPathNV","(", resultPath, ", ", srcPath, ", ", toString(transformType), ", ", boost::print::optional(transformValues,Logging::pointers), ")");;
    #endif
    App("glTransformPathNV","(", resultPath, ", ", srcPath, ", ", toString(transformType), ", ", boost::print::optional(transformValues,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTransformPathNV)(resultPath, srcPath, transformType, transformValues);
  }

  REGAL_DECL void REGAL_CALL glWeightPathsNV(GLuint resultPath, GLsizei numPaths, const GLuint *paths, const GLfloat *weights)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWeightPathsNV","(", resultPath, ", ", numPaths, ", ", boost::print::optional(paths,Logging::pointers), ", ", boost::print::optional(weights,Logging::pointers), ")");;
    #endif
    App("glWeightPathsNV","(", resultPath, ", ", numPaths, ", ", boost::print::optional(paths,Logging::pointers), ", ", boost::print::optional(weights,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWeightPathsNV)(resultPath, numPaths, paths, weights);
  }

  /* GL_NV_pixel_data_range */

  REGAL_DECL void REGAL_CALL glFlushPixelDataRangeNV(GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFlushPixelDataRangeNV","(", toString(target), ")");;
    #endif
    App("glFlushPixelDataRangeNV","(", toString(target), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFlushPixelDataRangeNV)(target);
  }

  REGAL_DECL void REGAL_CALL glPixelDataRangeNV(GLenum target, GLsizei length, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPixelDataRangeNV","(", toString(target), ", ", length, ", ", boost::print::optional(pointer,Logging::pointers), ")");;
    #endif
    App("glPixelDataRangeNV","(", toString(target), ", ", length, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPixelDataRangeNV)(target, length, pointer);
  }

  /* GL_NV_point_sprite */

  REGAL_DECL void REGAL_CALL glPointParameteriNV(GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPointParameteriNV","(", toString(pname), ", ", param, ")");;
    #endif
    App("glPointParameteriNV","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPointParameteriNV)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glPointParameterivNV(GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPointParameterivNV","(", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glPointParameterivNV","(", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPointParameterivNV)(pname, params);
  }

  /* GL_NV_present_video */

  REGAL_DECL void REGAL_CALL glGetVideoi64vNV(GLuint video_slot, GLenum pname, GLint64EXT *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetVideoi64vNV","(", video_slot, ", ", toString(pname), ")");;
    #endif
    App("glGetVideoi64vNV","(", video_slot, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVideoi64vNV)(video_slot, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetVideoivNV(GLuint video_slot, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetVideoivNV","(", video_slot, ", ", toString(pname), ")");;
    #endif
    App("glGetVideoivNV","(", video_slot, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVideoivNV)(video_slot, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetVideoui64vNV(GLuint video_slot, GLenum pname, GLuint64EXT *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetVideoui64vNV","(", video_slot, ", ", toString(pname), ")");;
    #endif
    App("glGetVideoui64vNV","(", video_slot, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVideoui64vNV)(video_slot, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetVideouivNV(GLuint video_slot, GLenum pname, GLuint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetVideouivNV","(", video_slot, ", ", toString(pname), ")");;
    #endif
    App("glGetVideouivNV","(", video_slot, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVideouivNV)(video_slot, pname, params);
  }

  REGAL_DECL void REGAL_CALL glPresentFrameDualFillNV(GLuint video_slot, GLuint64EXT minPresentTime, GLuint beginPresentTimeId, GLuint presentDurationId, GLenum type, GLenum target0, GLuint fill0, GLenum target1, GLuint fill1, GLenum target2, GLuint fill2, GLenum target3, GLuint fill3)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPresentFrameDualFillNV","(", video_slot, ", ", minPresentTime, ", ", beginPresentTimeId, ", ", presentDurationId, ", ", toString(type), ", ", toString(target0), ", ", fill0, ", ", toString(target1), ", ", fill1, ", ", toString(target2), ", ", fill2, ", ", toString(target3), ", ", fill3, ")");;
    #endif
    App("glPresentFrameDualFillNV","(", video_slot, ", ", minPresentTime, ", ", beginPresentTimeId, ", ", presentDurationId, ", ", toString(type), ", ", toString(target0), ", ", fill0, ", ", toString(target1), ", ", fill1, ", ", toString(target2), ", ", fill2, ", ", toString(target3), ", ", fill3, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPresentFrameDualFillNV)(video_slot, minPresentTime, beginPresentTimeId, presentDurationId, type, target0, fill0, target1, fill1, target2, fill2, target3, fill3);
  }

  REGAL_DECL void REGAL_CALL glPresentFrameKeyedNV(GLuint video_slot, GLuint64EXT minPresentTime, GLuint beginPresentTimeId, GLuint presentDurationId, GLenum type, GLenum target0, GLuint fill0, GLuint key0, GLenum target1, GLuint fill1, GLuint key1)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPresentFrameKeyedNV","(", video_slot, ", ", minPresentTime, ", ", beginPresentTimeId, ", ", presentDurationId, ", ", toString(type), ", ", toString(target0), ", ", fill0, ", ", key0, ", ", toString(target1), ", ", fill1, ", ", key1, ")");;
    #endif
    App("glPresentFrameKeyedNV","(", video_slot, ", ", minPresentTime, ", ", beginPresentTimeId, ", ", presentDurationId, ", ", toString(type), ", ", toString(target0), ", ", fill0, ", ", key0, ", ", toString(target1), ", ", fill1, ", ", key1, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPresentFrameKeyedNV)(video_slot, minPresentTime, beginPresentTimeId, presentDurationId, type, target0, fill0, key0, target1, fill1, key1);
  }

  /* GL_NV_primitive_restart */

  REGAL_DECL void REGAL_CALL glPrimitiveRestartIndexNV(GLuint index)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPrimitiveRestartIndexNV","(", index, ")");;
    #endif
    App("glPrimitiveRestartIndexNV","(", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPrimitiveRestartIndexNV)(index);
  }

  REGAL_DECL void REGAL_CALL glPrimitiveRestartNV(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPrimitiveRestartNV","()");;
    #endif
    App("glPrimitiveRestartNV","()");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPrimitiveRestartNV)();
  }

  /* GL_NV_read_buffer */

  REGAL_DECL void REGAL_CALL glReadBufferNV(GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glReadBufferNV","(", toString(mode), ")");;
    #endif
    App("glReadBufferNV","(", toString(mode), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReadBufferNV)(mode);
  }

  /* GL_NV_register_combiners */

  REGAL_DECL void REGAL_CALL glCombinerInputNV(GLenum stage, GLenum portion, GLenum variable, GLenum input, GLenum mapping, GLenum componentUsage)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCombinerInputNV","(", toString(stage), ", ", toString(portion), ", ", toString(variable), ", ", toString(input), ", ", toString(mapping), ", ", toString(componentUsage), ")");;
    #endif
    App("glCombinerInputNV","(", toString(stage), ", ", toString(portion), ", ", toString(variable), ", ", toString(input), ", ", toString(mapping), ", ", toString(componentUsage), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCombinerInputNV)(stage, portion, variable, input, mapping, componentUsage);
  }

  REGAL_DECL void REGAL_CALL glCombinerOutputNV(GLenum stage, GLenum portion, GLenum abOutput, GLenum cdOutput, GLenum sumOutput, GLenum scale, GLenum bias, GLboolean abDotProduct, GLboolean cdDotProduct, GLboolean muxSum)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCombinerOutputNV","(", toString(stage), ", ", toString(portion), ", ", toString(abOutput), ", ", toString(cdOutput), ", ", toString(sumOutput), ", ", toString(scale), ", ", toString(bias), ", ", toString(abDotProduct), ", ", toString(cdDotProduct), ", ", toString(muxSum), ")");;
    #endif
    App("glCombinerOutputNV","(", toString(stage), ", ", toString(portion), ", ", toString(abOutput), ", ", toString(cdOutput), ", ", toString(sumOutput), ", ", toString(scale), ", ", toString(bias), ", ", toString(abDotProduct), ", ", toString(cdDotProduct), ", ", toString(muxSum), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCombinerOutputNV)(stage, portion, abOutput, cdOutput, sumOutput, scale, bias, abDotProduct, cdDotProduct, muxSum);
  }

  REGAL_DECL void REGAL_CALL glCombinerParameterfNV(GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCombinerParameterfNV","(", toString(pname), ", ", param, ")");;
    #endif
    App("glCombinerParameterfNV","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCombinerParameterfNV)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glCombinerParameterfvNV(GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCombinerParameterfvNV","(", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glCombinerParameterfvNV","(", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCombinerParameterfvNV)(pname, params);
  }

  REGAL_DECL void REGAL_CALL glCombinerParameteriNV(GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCombinerParameteriNV","(", toString(pname), ", ", param, ")");;
    #endif
    App("glCombinerParameteriNV","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCombinerParameteriNV)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glCombinerParameterivNV(GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCombinerParameterivNV","(", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glCombinerParameterivNV","(", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCombinerParameterivNV)(pname, params);
  }

  REGAL_DECL void REGAL_CALL glFinalCombinerInputNV(GLenum variable, GLenum input, GLenum mapping, GLenum componentUsage)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFinalCombinerInputNV","(", toString(variable), ", ", toString(input), ", ", toString(mapping), ", ", toString(componentUsage), ")");;
    #endif
    App("glFinalCombinerInputNV","(", toString(variable), ", ", toString(input), ", ", toString(mapping), ", ", toString(componentUsage), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFinalCombinerInputNV)(variable, input, mapping, componentUsage);
  }

  REGAL_DECL void REGAL_CALL glGetCombinerInputParameterfvNV(GLenum stage, GLenum portion, GLenum variable, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetCombinerInputParameterfvNV","(", toString(stage), ", ", toString(portion), ", ", toString(variable), ", ", toString(pname), ")");;
    #endif
    App("glGetCombinerInputParameterfvNV","(", toString(stage), ", ", toString(portion), ", ", toString(variable), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetCombinerInputParameterfvNV)(stage, portion, variable, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetCombinerInputParameterivNV(GLenum stage, GLenum portion, GLenum variable, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetCombinerInputParameterivNV","(", toString(stage), ", ", toString(portion), ", ", toString(variable), ", ", toString(pname), ")");;
    #endif
    App("glGetCombinerInputParameterivNV","(", toString(stage), ", ", toString(portion), ", ", toString(variable), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetCombinerInputParameterivNV)(stage, portion, variable, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetCombinerOutputParameterfvNV(GLenum stage, GLenum portion, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetCombinerOutputParameterfvNV","(", toString(stage), ", ", toString(portion), ", ", toString(pname), ")");;
    #endif
    App("glGetCombinerOutputParameterfvNV","(", toString(stage), ", ", toString(portion), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetCombinerOutputParameterfvNV)(stage, portion, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetCombinerOutputParameterivNV(GLenum stage, GLenum portion, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetCombinerOutputParameterivNV","(", toString(stage), ", ", toString(portion), ", ", toString(pname), ")");;
    #endif
    App("glGetCombinerOutputParameterivNV","(", toString(stage), ", ", toString(portion), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetCombinerOutputParameterivNV)(stage, portion, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetFinalCombinerInputParameterfvNV(GLenum variable, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetFinalCombinerInputParameterfvNV","(", toString(variable), ", ", toString(pname), ")");;
    #endif
    App("glGetFinalCombinerInputParameterfvNV","(", toString(variable), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetFinalCombinerInputParameterfvNV)(variable, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetFinalCombinerInputParameterivNV(GLenum variable, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetFinalCombinerInputParameterivNV","(", toString(variable), ", ", toString(pname), ")");;
    #endif
    App("glGetFinalCombinerInputParameterivNV","(", toString(variable), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetFinalCombinerInputParameterivNV)(variable, pname, params);
  }

  /* GL_NV_register_combiners2 */

  REGAL_DECL void REGAL_CALL glCombinerStageParameterfvNV(GLenum stage, GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCombinerStageParameterfvNV","(", toString(stage), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glCombinerStageParameterfvNV","(", toString(stage), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCombinerStageParameterfvNV)(stage, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetCombinerStageParameterfvNV(GLenum stage, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetCombinerStageParameterfvNV","(", toString(stage), ", ", toString(pname), ")");;
    #endif
    App("glGetCombinerStageParameterfvNV","(", toString(stage), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetCombinerStageParameterfvNV)(stage, pname, params);
  }

  /* GL_NV_shader_buffer_load */

  REGAL_DECL void REGAL_CALL glGetBufferParameterui64vNV(GLenum target, GLenum pname, GLuint64EXT *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetBufferParameterui64vNV","(", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetBufferParameterui64vNV","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetBufferParameterui64vNV)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetIntegerui64vNV(GLenum value, GLuint64EXT *result)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetIntegerui64vNV","(", toString(value), ")");;
    #endif
    App("glGetIntegerui64vNV","(", toString(value), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetIntegerui64vNV)(value, result);
  }

  REGAL_DECL void REGAL_CALL glGetNamedBufferParameterui64vNV(GLuint buffer, GLenum pname, GLuint64EXT *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetNamedBufferParameterui64vNV","(", buffer, ", ", toString(pname), ")");;
    #endif
    App("glGetNamedBufferParameterui64vNV","(", buffer, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetNamedBufferParameterui64vNV)(buffer, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetUniformui64vNV(GLuint program, GLint location, GLuint64EXT *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetUniformui64vNV","(", program, ", ", location, ")");;
    #endif
    App("glGetUniformui64vNV","(", program, ", ", location, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetUniformui64vNV)(program, location, params);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsBufferResidentNV(GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsBufferResidentNV","(", toString(target), ")");;
    #endif
    App("glIsBufferResidentNV","(", toString(target), ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsBufferResidentNV)(target);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsNamedBufferResidentNV(GLuint buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsNamedBufferResidentNV","(", buffer, ")");;
    #endif
    App("glIsNamedBufferResidentNV","(", buffer, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsNamedBufferResidentNV)(buffer);
  }

  REGAL_DECL void REGAL_CALL glMakeBufferNonResidentNV(GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMakeBufferNonResidentNV","(", toString(target), ")");;
    #endif
    App("glMakeBufferNonResidentNV","(", toString(target), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMakeBufferNonResidentNV)(target);
  }

  REGAL_DECL void REGAL_CALL glMakeBufferResidentNV(GLenum target, GLenum access)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMakeBufferResidentNV","(", toString(target), ", ", toString(access), ")");;
    #endif
    App("glMakeBufferResidentNV","(", toString(target), ", ", toString(access), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMakeBufferResidentNV)(target, access);
  }

  REGAL_DECL void REGAL_CALL glMakeNamedBufferNonResidentNV(GLuint buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMakeNamedBufferNonResidentNV","(", buffer, ")");;
    #endif
    App("glMakeNamedBufferNonResidentNV","(", buffer, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMakeNamedBufferNonResidentNV)(buffer);
  }

  REGAL_DECL void REGAL_CALL glMakeNamedBufferResidentNV(GLuint buffer, GLenum access)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMakeNamedBufferResidentNV","(", buffer, ", ", toString(access), ")");;
    #endif
    App("glMakeNamedBufferResidentNV","(", buffer, ", ", toString(access), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMakeNamedBufferResidentNV)(buffer, access);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformui64NV(GLuint program, GLint location, GLuint64EXT value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniformui64NV","(", program, ", ", location, ", ", value, ")");;
    #endif
    App("glProgramUniformui64NV","(", program, ", ", location, ", ", value, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformui64NV)(program, location, value);
  }

  REGAL_DECL void REGAL_CALL glProgramUniformui64vNV(GLuint program, GLint location, GLsizei count, const GLuint64EXT *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramUniformui64vNV","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count), ")");;
    #endif
    App("glProgramUniformui64vNV","(", program, ", ", location, ", ", count, ", ", boost::print::array(value,count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramUniformui64vNV)(program, location, count, value);
  }

  REGAL_DECL void REGAL_CALL glUniformui64NV(GLint location, GLuint64EXT value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniformui64NV","(", location, ", ", value, ")");;
    #endif
    App("glUniformui64NV","(", location, ", ", value, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformui64NV)(location, value);
  }

  REGAL_DECL void REGAL_CALL glUniformui64vNV(GLint location, GLsizei count, const GLuint64EXT *value)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUniformui64vNV","(", location, ", ", count, ", ", boost::print::array(value,count), ")");;
    #endif
    App("glUniformui64vNV","(", location, ", ", count, ", ", boost::print::array(value,count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glUniformui64vNV)(location, count, value);
  }

  /* GL_NV_texture_barrier */

  REGAL_DECL void REGAL_CALL glTextureBarrierNV(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureBarrierNV","()");;
    #endif
    App("glTextureBarrierNV","()");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureBarrierNV)();
  }

  /* GL_NV_texture_multisample */

  REGAL_DECL void REGAL_CALL glTexImage2DMultisampleCoverageNV(GLenum target, GLsizei coverageSamples, GLsizei colorSamples, GLint internalFormat, GLsizei width, GLsizei height, GLboolean fixedSampleLocations)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexImage2DMultisampleCoverageNV","(", toString(target), ", ", coverageSamples, ", ", colorSamples, ", ", internalFormat, ", ", width, ", ", height, ", ", toString(fixedSampleLocations), ")");;
    #endif
    App("glTexImage2DMultisampleCoverageNV","(", toString(target), ", ", coverageSamples, ", ", colorSamples, ", ", internalFormat, ", ", width, ", ", height, ", ", toString(fixedSampleLocations), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexImage2DMultisampleCoverageNV)(target, coverageSamples, colorSamples, internalFormat, width, height, fixedSampleLocations);
  }

  REGAL_DECL void REGAL_CALL glTexImage3DMultisampleCoverageNV(GLenum target, GLsizei coverageSamples, GLsizei colorSamples, GLint internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedSampleLocations)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexImage3DMultisampleCoverageNV","(", toString(target), ", ", coverageSamples, ", ", colorSamples, ", ", internalFormat, ", ", width, ", ", height, ", ", depth, ", ", toString(fixedSampleLocations), ")");;
    #endif
    App("glTexImage3DMultisampleCoverageNV","(", toString(target), ", ", coverageSamples, ", ", colorSamples, ", ", internalFormat, ", ", width, ", ", height, ", ", depth, ", ", toString(fixedSampleLocations), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexImage3DMultisampleCoverageNV)(target, coverageSamples, colorSamples, internalFormat, width, height, depth, fixedSampleLocations);
  }

  REGAL_DECL void REGAL_CALL glTextureImage2DMultisampleCoverageNV(GLuint texture, GLenum target, GLsizei coverageSamples, GLsizei colorSamples, GLint internalFormat, GLsizei width, GLsizei height, GLboolean fixedSampleLocations)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureImage2DMultisampleCoverageNV","(", texture, ", ", toString(target), ", ", coverageSamples, ", ", colorSamples, ", ", internalFormat, ", ", width, ", ", height, ", ", toString(fixedSampleLocations), ")");;
    #endif
    App("glTextureImage2DMultisampleCoverageNV","(", texture, ", ", toString(target), ", ", coverageSamples, ", ", colorSamples, ", ", internalFormat, ", ", width, ", ", height, ", ", toString(fixedSampleLocations), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureImage2DMultisampleCoverageNV)(texture, target, coverageSamples, colorSamples, internalFormat, width, height, fixedSampleLocations);
  }

  REGAL_DECL void REGAL_CALL glTextureImage2DMultisampleNV(GLuint texture, GLenum target, GLsizei samples, GLint internalFormat, GLsizei width, GLsizei height, GLboolean fixedSampleLocations)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureImage2DMultisampleNV","(", texture, ", ", toString(target), ", ", samples, ", ", internalFormat, ", ", width, ", ", height, ", ", toString(fixedSampleLocations), ")");;
    #endif
    App("glTextureImage2DMultisampleNV","(", texture, ", ", toString(target), ", ", samples, ", ", internalFormat, ", ", width, ", ", height, ", ", toString(fixedSampleLocations), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureImage2DMultisampleNV)(texture, target, samples, internalFormat, width, height, fixedSampleLocations);
  }

  REGAL_DECL void REGAL_CALL glTextureImage3DMultisampleCoverageNV(GLuint texture, GLenum target, GLsizei coverageSamples, GLsizei colorSamples, GLint internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedSampleLocations)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureImage3DMultisampleCoverageNV","(", texture, ", ", toString(target), ", ", coverageSamples, ", ", colorSamples, ", ", internalFormat, ", ", width, ", ", height, ", ", depth, ", ", toString(fixedSampleLocations), ")");;
    #endif
    App("glTextureImage3DMultisampleCoverageNV","(", texture, ", ", toString(target), ", ", coverageSamples, ", ", colorSamples, ", ", internalFormat, ", ", width, ", ", height, ", ", depth, ", ", toString(fixedSampleLocations), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureImage3DMultisampleCoverageNV)(texture, target, coverageSamples, colorSamples, internalFormat, width, height, depth, fixedSampleLocations);
  }

  REGAL_DECL void REGAL_CALL glTextureImage3DMultisampleNV(GLuint texture, GLenum target, GLsizei samples, GLint internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedSampleLocations)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureImage3DMultisampleNV","(", texture, ", ", toString(target), ", ", samples, ", ", internalFormat, ", ", width, ", ", height, ", ", depth, ", ", toString(fixedSampleLocations), ")");;
    #endif
    App("glTextureImage3DMultisampleNV","(", texture, ", ", toString(target), ", ", samples, ", ", internalFormat, ", ", width, ", ", height, ", ", depth, ", ", toString(fixedSampleLocations), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureImage3DMultisampleNV)(texture, target, samples, internalFormat, width, height, depth, fixedSampleLocations);
  }

  /* GL_NV_transform_feedback */

  REGAL_DECL void REGAL_CALL glActiveVaryingNV(GLuint program, const GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glActiveVaryingNV","(", program, ", ", boost::print::quote(name,'"'), ")");;
    #endif
    App("glActiveVaryingNV","(", program, ", ", boost::print::quote(name,'"'), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glActiveVaryingNV)(program, name);
  }

  REGAL_DECL void REGAL_CALL glBeginTransformFeedbackNV(GLenum primitiveMode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBeginTransformFeedbackNV","(", toString(primitiveMode), ")");;
    #endif
    App("glBeginTransformFeedbackNV","(", toString(primitiveMode), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBeginTransformFeedbackNV)(primitiveMode);
  }

  REGAL_DECL void REGAL_CALL glBindBufferBaseNV(GLenum target, GLuint index, GLuint buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindBufferBaseNV","(", toString(target), ", ", index, ", ", buffer, ")");;
    #endif
    App("glBindBufferBaseNV","(", toString(target), ", ", index, ", ", buffer, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindBufferBaseNV)(target, index, buffer);
  }

  REGAL_DECL void REGAL_CALL glBindBufferOffsetNV(GLenum target, GLuint index, GLuint buffer, GLintptr offset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindBufferOffsetNV","(", toString(target), ", ", index, ", ", buffer, ", ", offset, ")");;
    #endif
    App("glBindBufferOffsetNV","(", toString(target), ", ", index, ", ", buffer, ", ", offset, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindBufferOffsetNV)(target, index, buffer, offset);
  }

  REGAL_DECL void REGAL_CALL glBindBufferRangeNV(GLenum target, GLuint index, GLuint buffer, GLintptr offset, GLsizeiptr size)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindBufferRangeNV","(", toString(target), ", ", index, ", ", buffer, ", ", offset, ", ", size, ")");;
    #endif
    App("glBindBufferRangeNV","(", toString(target), ", ", index, ", ", buffer, ", ", offset, ", ", size, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindBufferRangeNV)(target, index, buffer, offset, size);
  }

  REGAL_DECL void REGAL_CALL glEndTransformFeedbackNV(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEndTransformFeedbackNV","()");;
    #endif
    App("glEndTransformFeedbackNV","()");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEndTransformFeedbackNV)();
  }

  REGAL_DECL void REGAL_CALL glGetActiveVaryingNV(GLuint program, GLuint index, GLsizei bufSize, GLsizei *length, GLsizei *size, GLenum *type, GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetActiveVaryingNV","(", program, ", ", index, ", ", bufSize, ")");;
    #endif
    App("glGetActiveVaryingNV","(", program, ", ", index, ", ", bufSize, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetActiveVaryingNV)(program, index, bufSize, length, size, type, name);
  }

  REGAL_DECL void REGAL_CALL glGetTransformFeedbackVaryingNV(GLuint program, GLuint index, GLint *location)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTransformFeedbackVaryingNV","(", program, ", ", index, ")");;
    #endif
    App("glGetTransformFeedbackVaryingNV","(", program, ", ", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTransformFeedbackVaryingNV)(program, index, location);
  }

  REGAL_DECL GLint REGAL_CALL glGetVaryingLocationNV(GLuint program, const GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetVaryingLocationNV","(", program, ", ", boost::print::quote(name,'"'), ")");;
    #endif
    App("glGetVaryingLocationNV","(", program, ", ", boost::print::quote(name,'"'), ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetVaryingLocationNV)(program, name);
  }

  REGAL_DECL void REGAL_CALL glTransformFeedbackAttribsNV(GLsizei count, const GLint *attribs, GLenum bufferMode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTransformFeedbackAttribsNV","(", count, ", ", boost::print::optional(attribs,Logging::pointers), ", ", toString(bufferMode), ")");;
    #endif
    App("glTransformFeedbackAttribsNV","(", count, ", ", boost::print::optional(attribs,Logging::pointers), ", ", toString(bufferMode), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTransformFeedbackAttribsNV)(count, attribs, bufferMode);
  }

  REGAL_DECL void REGAL_CALL glTransformFeedbackVaryingsNV(GLuint program, GLsizei count, const GLint *locations, GLenum bufferMode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTransformFeedbackVaryingsNV","(", program, ", ", count, ", ", boost::print::array(locations,count), ", ", toString(bufferMode), ")");;
    #endif
    App("glTransformFeedbackVaryingsNV","(", program, ", ", count, ", ", boost::print::array(locations,count), ", ", toString(bufferMode), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTransformFeedbackVaryingsNV)(program, count, locations, bufferMode);
  }

  /* GL_NV_transform_feedback2 */

  REGAL_DECL void REGAL_CALL glBindTransformFeedbackNV(GLenum target, GLuint id)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindTransformFeedbackNV","(", toString(target), ", ", id, ")");;
    #endif
    App("glBindTransformFeedbackNV","(", toString(target), ", ", id, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindTransformFeedbackNV)(target, id);
  }

  REGAL_DECL void REGAL_CALL glDeleteTransformFeedbacksNV(GLsizei n, const GLuint *ids)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDeleteTransformFeedbacksNV","(", n, ", ", boost::print::array(ids,n), ")");;
    #endif
    App("glDeleteTransformFeedbacksNV","(", n, ", ", boost::print::array(ids,n), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteTransformFeedbacksNV)(n, ids);
  }

  REGAL_DECL void REGAL_CALL glDrawTransformFeedbackNV(GLenum mode, GLuint id)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDrawTransformFeedbackNV","(", GLmodeToString(mode), ", ", id, ")");;
    #endif
    App("glDrawTransformFeedbackNV","(", GLmodeToString(mode), ", ", id, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawTransformFeedbackNV)(mode, id);
  }

  REGAL_DECL void REGAL_CALL glGenTransformFeedbacksNV(GLsizei n, GLuint *ids)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGenTransformFeedbacksNV","(", n, ")");;
    #endif
    App("glGenTransformFeedbacksNV","(", n, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenTransformFeedbacksNV)(n, ids);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsTransformFeedbackNV(GLuint id)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsTransformFeedbackNV","(", id, ")");;
    #endif
    App("glIsTransformFeedbackNV","(", id, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsTransformFeedbackNV)(id);
  }

  REGAL_DECL void REGAL_CALL glPauseTransformFeedbackNV(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPauseTransformFeedbackNV","()");;
    #endif
    App("glPauseTransformFeedbackNV","()");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPauseTransformFeedbackNV)();
  }

  REGAL_DECL void REGAL_CALL glResumeTransformFeedbackNV(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glResumeTransformFeedbackNV","()");;
    #endif
    App("glResumeTransformFeedbackNV","()");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glResumeTransformFeedbackNV)();
  }

  /* GL_NV_vdpau_interop */

  REGAL_DECL void REGAL_CALL glVDPAUFiniNV(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVDPAUFiniNV","()");;
    #endif
    App("glVDPAUFiniNV","()");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVDPAUFiniNV)();
  }

  REGAL_DECL void REGAL_CALL glVDPAUGetSurfaceivNV(GLvdpauSurfaceNV surface, GLenum pname, GLsizei bufSize, GLsizei *length, GLint *values)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVDPAUGetSurfaceivNV","(", surface, ", ", toString(pname), ", ", bufSize, ")");;
    #endif
    App("glVDPAUGetSurfaceivNV","(", surface, ", ", toString(pname), ", ", bufSize, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVDPAUGetSurfaceivNV)(surface, pname, bufSize, length, values);
  }

  REGAL_DECL void REGAL_CALL glVDPAUInitNV(const GLvoid *vdpDevice, const GLvoid *getProcAddress)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVDPAUInitNV","(", boost::print::optional(vdpDevice,Logging::pointers), ", ", boost::print::optional(getProcAddress,Logging::pointers), ")");;
    #endif
    App("glVDPAUInitNV","(", boost::print::optional(vdpDevice,Logging::pointers), ", ", boost::print::optional(getProcAddress,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVDPAUInitNV)(vdpDevice, getProcAddress);
  }

  REGAL_DECL GLboolean REGAL_CALL glVDPAUIsSurfaceNV(GLvdpauSurfaceNV surface)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVDPAUIsSurfaceNV","(", surface, ")");;
    #endif
    App("glVDPAUIsSurfaceNV","(", surface, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glVDPAUIsSurfaceNV)(surface);
  }

  REGAL_DECL void REGAL_CALL glVDPAUMapSurfacesNV(GLsizei numSurfaces, const GLvdpauSurfaceNV *surfaces)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVDPAUMapSurfacesNV","(", numSurfaces, ", ", boost::print::array(surfaces,numSurfaces), ")");;
    #endif
    App("glVDPAUMapSurfacesNV","(", numSurfaces, ", ", boost::print::array(surfaces,numSurfaces), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVDPAUMapSurfacesNV)(numSurfaces, surfaces);
  }

  REGAL_DECL GLvdpauSurfaceNV REGAL_CALL glVDPAURegisterOutputSurfaceNV(const GLvoid *vdpSurface, GLenum target, GLsizei numTextureNames, const GLuint *textureNames)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVDPAURegisterOutputSurfaceNV","(", boost::print::optional(vdpSurface,Logging::pointers), ", ", toString(target), ", ", numTextureNames, ", ", boost::print::array(textureNames,numTextureNames), ")");;
    #endif
    App("glVDPAURegisterOutputSurfaceNV","(", boost::print::optional(vdpSurface,Logging::pointers), ", ", toString(target), ", ", numTextureNames, ", ", boost::print::array(textureNames,numTextureNames), ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glVDPAURegisterOutputSurfaceNV)(vdpSurface, target, numTextureNames, textureNames);
  }

  REGAL_DECL GLvdpauSurfaceNV REGAL_CALL glVDPAURegisterVideoSurfaceNV(const GLvoid *vdpSurface, GLenum target, GLsizei numTextureNames, const GLuint *textureNames)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVDPAURegisterVideoSurfaceNV","(", boost::print::optional(vdpSurface,Logging::pointers), ", ", toString(target), ", ", numTextureNames, ", ", boost::print::array(textureNames,numTextureNames), ")");;
    #endif
    App("glVDPAURegisterVideoSurfaceNV","(", boost::print::optional(vdpSurface,Logging::pointers), ", ", toString(target), ", ", numTextureNames, ", ", boost::print::array(textureNames,numTextureNames), ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glVDPAURegisterVideoSurfaceNV)(vdpSurface, target, numTextureNames, textureNames);
  }

  REGAL_DECL void REGAL_CALL glVDPAUSurfaceAccessNV(GLvdpauSurfaceNV surface, GLenum access)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVDPAUSurfaceAccessNV","(", surface, ", ", toString(access), ")");;
    #endif
    App("glVDPAUSurfaceAccessNV","(", surface, ", ", toString(access), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVDPAUSurfaceAccessNV)(surface, access);
  }

  REGAL_DECL void REGAL_CALL glVDPAUUnmapSurfacesNV(GLsizei numSurface, const GLvdpauSurfaceNV *surfaces)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVDPAUUnmapSurfacesNV","(", numSurface, ", ", boost::print::array(surfaces,numSurface), ")");;
    #endif
    App("glVDPAUUnmapSurfacesNV","(", numSurface, ", ", boost::print::array(surfaces,numSurface), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVDPAUUnmapSurfacesNV)(numSurface, surfaces);
  }

  REGAL_DECL void REGAL_CALL glVDPAUUnregisterSurfaceNV(GLvdpauSurfaceNV surface)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVDPAUUnregisterSurfaceNV","(", surface, ")");;
    #endif
    App("glVDPAUUnregisterSurfaceNV","(", surface, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVDPAUUnregisterSurfaceNV)(surface);
  }

  /* GL_NV_vertex_array_range */

  REGAL_DECL void REGAL_CALL glFlushVertexArrayRangeNV(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFlushVertexArrayRangeNV","()");;
    #endif
    App("glFlushVertexArrayRangeNV","()");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFlushVertexArrayRangeNV)();
  }

  REGAL_DECL void REGAL_CALL glVertexArrayRangeNV(GLsizei length, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexArrayRangeNV","(", length, ", ", boost::print::optional(pointer,Logging::pointers), ")");;
    #endif
    App("glVertexArrayRangeNV","(", length, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexArrayRangeNV)(length, pointer);
  }

  /* GL_NV_vertex_attrib_integer_64bit */

  REGAL_DECL void REGAL_CALL glGetVertexAttribLi64vNV(GLuint index, GLenum pname, GLint64EXT *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetVertexAttribLi64vNV","(", index, ", ", toString(pname), ")");;
    #endif
    App("glGetVertexAttribLi64vNV","(", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexAttribLi64vNV)(index, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetVertexAttribLui64vNV(GLuint index, GLenum pname, GLuint64EXT *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetVertexAttribLui64vNV","(", index, ", ", toString(pname), ")");;
    #endif
    App("glGetVertexAttribLui64vNV","(", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexAttribLui64vNV)(index, pname, params);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL1i64NV(GLuint index, GLint64EXT x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribL1i64NV","(", index, ", ", x, ")");;
    #endif
    App("glVertexAttribL1i64NV","(", index, ", ", x, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL1i64NV)(index, x);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL1i64vNV(GLuint index, const GLint64EXT *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribL1i64vNV","(", index, ", ", boost::print::array(v,1), ")");;
    #endif
    App("glVertexAttribL1i64vNV","(", index, ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL1i64vNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL1ui64NV(GLuint index, GLuint64EXT x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribL1ui64NV","(", index, ", ", x, ")");;
    #endif
    App("glVertexAttribL1ui64NV","(", index, ", ", x, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL1ui64NV)(index, x);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL1ui64vNV(GLuint index, const GLuint64EXT *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribL1ui64vNV","(", index, ", ", boost::print::array(v,1), ")");;
    #endif
    App("glVertexAttribL1ui64vNV","(", index, ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL1ui64vNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL2i64NV(GLuint index, GLint64EXT x, GLint64EXT y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribL2i64NV","(", index, ", ", x, ", ", y, ")");;
    #endif
    App("glVertexAttribL2i64NV","(", index, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL2i64NV)(index, x, y);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL2i64vNV(GLuint index, const GLint64EXT *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribL2i64vNV","(", index, ", ", boost::print::array(v,2), ")");;
    #endif
    App("glVertexAttribL2i64vNV","(", index, ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL2i64vNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL2ui64NV(GLuint index, GLuint64EXT x, GLuint64EXT y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribL2ui64NV","(", index, ", ", x, ", ", y, ")");;
    #endif
    App("glVertexAttribL2ui64NV","(", index, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL2ui64NV)(index, x, y);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL2ui64vNV(GLuint index, const GLuint64EXT *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribL2ui64vNV","(", index, ", ", boost::print::array(v,2), ")");;
    #endif
    App("glVertexAttribL2ui64vNV","(", index, ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL2ui64vNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL3i64NV(GLuint index, GLint64EXT x, GLint64EXT y, GLint64EXT z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribL3i64NV","(", index, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glVertexAttribL3i64NV","(", index, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL3i64NV)(index, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL3i64vNV(GLuint index, const GLint64EXT *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribL3i64vNV","(", index, ", ", boost::print::array(v,3), ")");;
    #endif
    App("glVertexAttribL3i64vNV","(", index, ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL3i64vNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL3ui64NV(GLuint index, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribL3ui64NV","(", index, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glVertexAttribL3ui64NV","(", index, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL3ui64NV)(index, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL3ui64vNV(GLuint index, const GLuint64EXT *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribL3ui64vNV","(", index, ", ", boost::print::array(v,3), ")");;
    #endif
    App("glVertexAttribL3ui64vNV","(", index, ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL3ui64vNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL4i64NV(GLuint index, GLint64EXT x, GLint64EXT y, GLint64EXT z, GLint64EXT w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribL4i64NV","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glVertexAttribL4i64NV","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL4i64NV)(index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL4i64vNV(GLuint index, const GLint64EXT *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribL4i64vNV","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glVertexAttribL4i64vNV","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL4i64vNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL4ui64NV(GLuint index, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z, GLuint64EXT w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribL4ui64NV","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glVertexAttribL4ui64NV","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL4ui64NV)(index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribL4ui64vNV(GLuint index, const GLuint64EXT *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribL4ui64vNV","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glVertexAttribL4ui64vNV","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribL4ui64vNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribLFormatNV(GLuint index, GLint size, GLenum type, GLsizei stride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribLFormatNV","(", index, ", ", size, ", ", toString(type), ", ", stride, ")");;
    #endif
    App("glVertexAttribLFormatNV","(", index, ", ", size, ", ", toString(type), ", ", stride, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribLFormatNV)(index, size, type, stride);
  }

  /* GL_NV_vertex_buffer_unified_memory */

  REGAL_DECL void REGAL_CALL glBufferAddressRangeNV(GLenum pname, GLuint index, GLuint64EXT address, GLsizeiptr length)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBufferAddressRangeNV","(", toString(pname), ", ", index, ", ", address, ", ", length, ")");;
    #endif
    App("glBufferAddressRangeNV","(", toString(pname), ", ", index, ", ", address, ", ", length, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBufferAddressRangeNV)(pname, index, address, length);
  }

  REGAL_DECL void REGAL_CALL glColorFormatNV(GLint size, GLenum type, GLsizei stride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColorFormatNV","(", size, ", ", toString(type), ", ", stride, ")");;
    #endif
    App("glColorFormatNV","(", size, ", ", toString(type), ", ", stride, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorFormatNV)(size, type, stride);
  }

  REGAL_DECL void REGAL_CALL glEdgeFlagFormatNV(GLsizei stride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEdgeFlagFormatNV","(", stride, ")");;
    #endif
    App("glEdgeFlagFormatNV","(", stride, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEdgeFlagFormatNV)(stride);
  }

  REGAL_DECL void REGAL_CALL glFogCoordFormatNV(GLenum type, GLsizei stride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFogCoordFormatNV","(", toString(type), ", ", stride, ")");;
    #endif
    App("glFogCoordFormatNV","(", toString(type), ", ", stride, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFogCoordFormatNV)(type, stride);
  }

  REGAL_DECL void REGAL_CALL glGetIntegerui64i_vNV(GLenum value, GLuint index, GLuint64EXT *result)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetIntegerui64i_vNV","(", toString(value), ", ", index, ")");;
    #endif
    App("glGetIntegerui64i_vNV","(", toString(value), ", ", index, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetIntegerui64i_vNV)(value, index, result);
  }

  REGAL_DECL void REGAL_CALL glIndexFormatNV(GLenum type, GLsizei stride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIndexFormatNV","(", toString(type), ", ", stride, ")");;
    #endif
    App("glIndexFormatNV","(", toString(type), ", ", stride, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glIndexFormatNV)(type, stride);
  }

  REGAL_DECL void REGAL_CALL glNormalFormatNV(GLenum type, GLsizei stride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNormalFormatNV","(", toString(type), ", ", stride, ")");;
    #endif
    App("glNormalFormatNV","(", toString(type), ", ", stride, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormalFormatNV)(type, stride);
  }

  REGAL_DECL void REGAL_CALL glSecondaryColorFormatNV(GLint size, GLenum type, GLsizei stride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSecondaryColorFormatNV","(", size, ", ", toString(type), ", ", stride, ")");;
    #endif
    App("glSecondaryColorFormatNV","(", size, ", ", toString(type), ", ", stride, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSecondaryColorFormatNV)(size, type, stride);
  }

  REGAL_DECL void REGAL_CALL glTexCoordFormatNV(GLint size, GLenum type, GLsizei stride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoordFormatNV","(", size, ", ", toString(type), ", ", stride, ")");;
    #endif
    App("glTexCoordFormatNV","(", size, ", ", toString(type), ", ", stride, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoordFormatNV)(size, type, stride);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribFormatNV(GLuint index, GLint size, GLenum type, GLboolean normalized, GLsizei stride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribFormatNV","(", index, ", ", size, ", ", toString(type), ", ", toString(normalized), ", ", stride, ")");;
    #endif
    App("glVertexAttribFormatNV","(", index, ", ", size, ", ", toString(type), ", ", toString(normalized), ", ", stride, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribFormatNV)(index, size, type, normalized, stride);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribIFormatNV(GLuint index, GLint size, GLenum type, GLsizei stride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribIFormatNV","(", index, ", ", size, ", ", toString(type), ", ", stride, ")");;
    #endif
    App("glVertexAttribIFormatNV","(", index, ", ", size, ", ", toString(type), ", ", stride, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribIFormatNV)(index, size, type, stride);
  }

  REGAL_DECL void REGAL_CALL glVertexFormatNV(GLint size, GLenum type, GLsizei stride)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexFormatNV","(", size, ", ", toString(type), ", ", stride, ")");;
    #endif
    App("glVertexFormatNV","(", size, ", ", toString(type), ", ", stride, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexFormatNV)(size, type, stride);
  }

  /* GL_NV_vertex_program */

  REGAL_DECL GLboolean REGAL_CALL glAreProgramsResidentNV(GLsizei n, const GLuint *programs, GLboolean *residences)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glAreProgramsResidentNV","(", n, ", ", boost::print::array(programs,n), ")");;
    #endif
    App("glAreProgramsResidentNV","(", n, ", ", boost::print::array(programs,n), ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glAreProgramsResidentNV)(n, programs, residences);
  }

  REGAL_DECL void REGAL_CALL glBindProgramNV(GLenum target, GLuint id)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindProgramNV","(", toString(target), ", ", id, ")");;
    #endif
    App("glBindProgramNV","(", toString(target), ", ", id, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindProgramNV)(target, id);
  }

  REGAL_DECL void REGAL_CALL glDeleteProgramsNV(GLsizei n, const GLuint *programs)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDeleteProgramsNV","(", n, ", ", boost::print::array(programs,n), ")");;
    #endif
    App("glDeleteProgramsNV","(", n, ", ", boost::print::array(programs,n), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteProgramsNV)(n, programs);
  }

  REGAL_DECL void REGAL_CALL glExecuteProgramNV(GLenum target, GLuint id, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glExecuteProgramNV","(", toString(target), ", ", id, ", ", boost::print::array(params,4), ")");;
    #endif
    App("glExecuteProgramNV","(", toString(target), ", ", id, ", ", boost::print::array(params,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glExecuteProgramNV)(target, id, params);
  }

  REGAL_DECL void REGAL_CALL glGenProgramsNV(GLsizei n, GLuint *programs)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGenProgramsNV","(", n, ")");;
    #endif
    App("glGenProgramsNV","(", n, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenProgramsNV)(n, programs);
  }

  REGAL_DECL void REGAL_CALL glGetProgramParameterdvNV(GLenum target, GLuint index, GLenum pname, GLdouble *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetProgramParameterdvNV","(", toString(target), ", ", index, ", ", toString(pname), ")");;
    #endif
    App("glGetProgramParameterdvNV","(", toString(target), ", ", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramParameterdvNV)(target, index, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetProgramParameterfvNV(GLenum target, GLuint index, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetProgramParameterfvNV","(", toString(target), ", ", index, ", ", toString(pname), ")");;
    #endif
    App("glGetProgramParameterfvNV","(", toString(target), ", ", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramParameterfvNV)(target, index, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetProgramStringNV(GLuint id, GLenum pname, GLubyte *program)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetProgramStringNV","(", id, ", ", toString(pname), ")");;
    #endif
    App("glGetProgramStringNV","(", id, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramStringNV)(id, pname, program);
  }

  REGAL_DECL void REGAL_CALL glGetProgramivNV(GLuint id, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetProgramivNV","(", id, ", ", toString(pname), ")");;
    #endif
    App("glGetProgramivNV","(", id, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramivNV)(id, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetTrackMatrixivNV(GLenum target, GLuint address, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTrackMatrixivNV","(", toString(target), ", ", address, ", ", toString(pname), ")");;
    #endif
    App("glGetTrackMatrixivNV","(", toString(target), ", ", address, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTrackMatrixivNV)(target, address, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetVertexAttribPointervNV(GLuint index, GLenum pname, GLvoid **pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetVertexAttribPointervNV","(", index, ", ", toString(pname), ")");;
    #endif
    App("glGetVertexAttribPointervNV","(", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexAttribPointervNV)(index, pname, pointer);
  }

  REGAL_DECL void REGAL_CALL glGetVertexAttribdvNV(GLuint index, GLenum pname, GLdouble *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetVertexAttribdvNV","(", index, ", ", toString(pname), ")");;
    #endif
    App("glGetVertexAttribdvNV","(", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexAttribdvNV)(index, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetVertexAttribfvNV(GLuint index, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetVertexAttribfvNV","(", index, ", ", toString(pname), ")");;
    #endif
    App("glGetVertexAttribfvNV","(", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexAttribfvNV)(index, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetVertexAttribivNV(GLuint index, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetVertexAttribivNV","(", index, ", ", toString(pname), ")");;
    #endif
    App("glGetVertexAttribivNV","(", index, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVertexAttribivNV)(index, pname, params);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsProgramNV(GLuint id)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsProgramNV","(", id, ")");;
    #endif
    App("glIsProgramNV","(", id, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsProgramNV)(id);
  }

  REGAL_DECL void REGAL_CALL glLoadProgramNV(GLenum target, GLuint id, GLsizei len, const GLubyte *program)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glLoadProgramNV","(", toString(target), ", ", id, ", ", len, ", ", boost::print::array(program,len), ")");;
    #endif
    App("glLoadProgramNV","(", toString(target), ", ", id, ", ", len, ", ", boost::print::array(program,len), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLoadProgramNV)(target, id, len, program);
  }

  REGAL_DECL void REGAL_CALL glProgramParameter4dNV(GLenum target, GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramParameter4dNV","(", toString(target), ", ", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glProgramParameter4dNV","(", toString(target), ", ", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramParameter4dNV)(target, index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glProgramParameter4dvNV(GLenum target, GLuint index, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramParameter4dvNV","(", toString(target), ", ", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glProgramParameter4dvNV","(", toString(target), ", ", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramParameter4dvNV)(target, index, v);
  }

  REGAL_DECL void REGAL_CALL glProgramParameter4fNV(GLenum target, GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramParameter4fNV","(", toString(target), ", ", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glProgramParameter4fNV","(", toString(target), ", ", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramParameter4fNV)(target, index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glProgramParameter4fvNV(GLenum target, GLuint index, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramParameter4fvNV","(", toString(target), ", ", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glProgramParameter4fvNV","(", toString(target), ", ", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramParameter4fvNV)(target, index, v);
  }

  REGAL_DECL void REGAL_CALL glProgramParameters4dvNV(GLenum target, GLuint index, GLsizei count, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramParameters4dvNV","(", toString(target), ", ", index, ", ", count, ", ", boost::print::array(v,count * 4), ")");;
    #endif
    App("glProgramParameters4dvNV","(", toString(target), ", ", index, ", ", count, ", ", boost::print::array(v,count * 4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramParameters4dvNV)(target, index, count, v);
  }

  REGAL_DECL void REGAL_CALL glProgramParameters4fvNV(GLenum target, GLuint index, GLsizei count, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramParameters4fvNV","(", toString(target), ", ", index, ", ", count, ", ", boost::print::array(v,count * 4), ")");;
    #endif
    App("glProgramParameters4fvNV","(", toString(target), ", ", index, ", ", count, ", ", boost::print::array(v,count * 4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramParameters4fvNV)(target, index, count, v);
  }

  REGAL_DECL void REGAL_CALL glRequestResidentProgramsNV(GLsizei n, const GLuint *programs)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glRequestResidentProgramsNV","(", n, ", ", boost::print::array(programs,n), ")");;
    #endif
    App("glRequestResidentProgramsNV","(", n, ", ", boost::print::array(programs,n), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRequestResidentProgramsNV)(n, programs);
  }

  REGAL_DECL void REGAL_CALL glTrackMatrixNV(GLenum target, GLuint address, GLenum matrix, GLenum transform)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTrackMatrixNV","(", toString(target), ", ", address, ", ", toString(matrix), ", ", toString(transform), ")");;
    #endif
    App("glTrackMatrixNV","(", toString(target), ", ", address, ", ", toString(matrix), ", ", toString(transform), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTrackMatrixNV)(target, address, matrix, transform);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib1dNV(GLuint index, GLdouble x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib1dNV","(", index, ", ", x, ")");;
    #endif
    App("glVertexAttrib1dNV","(", index, ", ", x, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib1dNV)(index, x);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib1dvNV(GLuint index, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib1dvNV","(", index, ", ", boost::print::array(v,1), ")");;
    #endif
    App("glVertexAttrib1dvNV","(", index, ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib1dvNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib1fNV(GLuint index, GLfloat x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib1fNV","(", index, ", ", x, ")");;
    #endif
    App("glVertexAttrib1fNV","(", index, ", ", x, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib1fNV)(index, x);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib1fvNV(GLuint index, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib1fvNV","(", index, ", ", boost::print::array(v,1), ")");;
    #endif
    App("glVertexAttrib1fvNV","(", index, ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib1fvNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib1sNV(GLuint index, GLshort x)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib1sNV","(", index, ", ", x, ")");;
    #endif
    App("glVertexAttrib1sNV","(", index, ", ", x, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib1sNV)(index, x);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib1svNV(GLuint index, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib1svNV","(", index, ", ", boost::print::array(v,1), ")");;
    #endif
    App("glVertexAttrib1svNV","(", index, ", ", boost::print::array(v,1), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib1svNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib2dNV(GLuint index, GLdouble x, GLdouble y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib2dNV","(", index, ", ", x, ", ", y, ")");;
    #endif
    App("glVertexAttrib2dNV","(", index, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib2dNV)(index, x, y);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib2dvNV(GLuint index, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib2dvNV","(", index, ", ", boost::print::array(v,2), ")");;
    #endif
    App("glVertexAttrib2dvNV","(", index, ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib2dvNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib2fNV(GLuint index, GLfloat x, GLfloat y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib2fNV","(", index, ", ", x, ", ", y, ")");;
    #endif
    App("glVertexAttrib2fNV","(", index, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib2fNV)(index, x, y);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib2fvNV(GLuint index, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib2fvNV","(", index, ", ", boost::print::array(v,2), ")");;
    #endif
    App("glVertexAttrib2fvNV","(", index, ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib2fvNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib2sNV(GLuint index, GLshort x, GLshort y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib2sNV","(", index, ", ", x, ", ", y, ")");;
    #endif
    App("glVertexAttrib2sNV","(", index, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib2sNV)(index, x, y);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib2svNV(GLuint index, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib2svNV","(", index, ", ", boost::print::array(v,2), ")");;
    #endif
    App("glVertexAttrib2svNV","(", index, ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib2svNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib3dNV(GLuint index, GLdouble x, GLdouble y, GLdouble z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib3dNV","(", index, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glVertexAttrib3dNV","(", index, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib3dNV)(index, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib3dvNV(GLuint index, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib3dvNV","(", index, ", ", boost::print::array(v,3), ")");;
    #endif
    App("glVertexAttrib3dvNV","(", index, ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib3dvNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib3fNV(GLuint index, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib3fNV","(", index, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glVertexAttrib3fNV","(", index, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib3fNV)(index, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib3fvNV(GLuint index, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib3fvNV","(", index, ", ", boost::print::array(v,3), ")");;
    #endif
    App("glVertexAttrib3fvNV","(", index, ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib3fvNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib3sNV(GLuint index, GLshort x, GLshort y, GLshort z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib3sNV","(", index, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glVertexAttrib3sNV","(", index, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib3sNV)(index, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib3svNV(GLuint index, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib3svNV","(", index, ", ", boost::print::array(v,3), ")");;
    #endif
    App("glVertexAttrib3svNV","(", index, ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib3svNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4dNV(GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib4dNV","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glVertexAttrib4dNV","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4dNV)(index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4dvNV(GLuint index, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib4dvNV","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glVertexAttrib4dvNV","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4dvNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4fNV(GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib4fNV","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glVertexAttrib4fNV","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4fNV)(index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4fvNV(GLuint index, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib4fvNV","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glVertexAttrib4fvNV","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4fvNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4sNV(GLuint index, GLshort x, GLshort y, GLshort z, GLshort w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib4sNV","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glVertexAttrib4sNV","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4sNV)(index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4svNV(GLuint index, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib4svNV","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glVertexAttrib4svNV","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4svNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4ubNV(GLuint index, GLubyte x, GLubyte y, GLubyte z, GLubyte w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib4ubNV","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glVertexAttrib4ubNV","(", index, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4ubNV)(index, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glVertexAttrib4ubvNV(GLuint index, const GLubyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttrib4ubvNV","(", index, ", ", boost::print::array(v,4), ")");;
    #endif
    App("glVertexAttrib4ubvNV","(", index, ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttrib4ubvNV)(index, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribPointerNV(GLuint index, GLint fsize, GLenum type, GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribPointerNV","(", index, ", ", fsize, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");;
    #endif
    App("glVertexAttribPointerNV","(", index, ", ", fsize, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribPointerNV)(index, fsize, type, stride, pointer);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribs1dvNV(GLuint index, GLsizei count, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribs1dvNV","(", index, ", ", count, ", ", boost::print::array(v,count), ")");;
    #endif
    App("glVertexAttribs1dvNV","(", index, ", ", count, ", ", boost::print::array(v,count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribs1dvNV)(index, count, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribs1fvNV(GLuint index, GLsizei count, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribs1fvNV","(", index, ", ", count, ", ", boost::print::array(v,count), ")");;
    #endif
    App("glVertexAttribs1fvNV","(", index, ", ", count, ", ", boost::print::array(v,count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribs1fvNV)(index, count, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribs1svNV(GLuint index, GLsizei count, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribs1svNV","(", index, ", ", count, ", ", boost::print::array(v,count), ")");;
    #endif
    App("glVertexAttribs1svNV","(", index, ", ", count, ", ", boost::print::array(v,count), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribs1svNV)(index, count, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribs2dvNV(GLuint index, GLsizei count, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribs2dvNV","(", index, ", ", count, ", ", boost::print::array(v,count * 2), ")");;
    #endif
    App("glVertexAttribs2dvNV","(", index, ", ", count, ", ", boost::print::array(v,count * 2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribs2dvNV)(index, count, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribs2fvNV(GLuint index, GLsizei count, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribs2fvNV","(", index, ", ", count, ", ", boost::print::array(v,count * 2), ")");;
    #endif
    App("glVertexAttribs2fvNV","(", index, ", ", count, ", ", boost::print::array(v,count * 2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribs2fvNV)(index, count, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribs2svNV(GLuint index, GLsizei count, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribs2svNV","(", index, ", ", count, ", ", boost::print::array(v,count * 2), ")");;
    #endif
    App("glVertexAttribs2svNV","(", index, ", ", count, ", ", boost::print::array(v,count * 2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribs2svNV)(index, count, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribs3dvNV(GLuint index, GLsizei count, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribs3dvNV","(", index, ", ", count, ", ", boost::print::array(v,count * 3), ")");;
    #endif
    App("glVertexAttribs3dvNV","(", index, ", ", count, ", ", boost::print::array(v,count * 3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribs3dvNV)(index, count, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribs3fvNV(GLuint index, GLsizei count, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribs3fvNV","(", index, ", ", count, ", ", boost::print::array(v,count * 3), ")");;
    #endif
    App("glVertexAttribs3fvNV","(", index, ", ", count, ", ", boost::print::array(v,count * 3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribs3fvNV)(index, count, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribs3svNV(GLuint index, GLsizei count, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribs3svNV","(", index, ", ", count, ", ", boost::print::array(v,count * 3), ")");;
    #endif
    App("glVertexAttribs3svNV","(", index, ", ", count, ", ", boost::print::array(v,count * 3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribs3svNV)(index, count, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribs4dvNV(GLuint index, GLsizei count, const GLdouble *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribs4dvNV","(", index, ", ", count, ", ", boost::print::array(v,count * 4), ")");;
    #endif
    App("glVertexAttribs4dvNV","(", index, ", ", count, ", ", boost::print::array(v,count * 4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribs4dvNV)(index, count, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribs4fvNV(GLuint index, GLsizei count, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribs4fvNV","(", index, ", ", count, ", ", boost::print::array(v,count * 4), ")");;
    #endif
    App("glVertexAttribs4fvNV","(", index, ", ", count, ", ", boost::print::array(v,count * 4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribs4fvNV)(index, count, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribs4svNV(GLuint index, GLsizei count, const GLshort *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribs4svNV","(", index, ", ", count, ", ", boost::print::array(v,count * 4), ")");;
    #endif
    App("glVertexAttribs4svNV","(", index, ", ", count, ", ", boost::print::array(v,count * 4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribs4svNV)(index, count, v);
  }

  REGAL_DECL void REGAL_CALL glVertexAttribs4ubvNV(GLuint index, GLsizei count, const GLubyte *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVertexAttribs4ubvNV","(", index, ", ", count, ", ", boost::print::array(v,count * 4), ")");;
    #endif
    App("glVertexAttribs4ubvNV","(", index, ", ", count, ", ", boost::print::array(v,count * 4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVertexAttribs4ubvNV)(index, count, v);
  }

  /* GL_NV_video_capture */

  REGAL_DECL void REGAL_CALL glBeginVideoCaptureNV(GLuint video_capture_slot)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBeginVideoCaptureNV","(", video_capture_slot, ")");;
    #endif
    App("glBeginVideoCaptureNV","(", video_capture_slot, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBeginVideoCaptureNV)(video_capture_slot);
  }

  REGAL_DECL void REGAL_CALL glBindVideoCaptureStreamBufferNV(GLuint video_capture_slot, GLuint stream, GLenum frame_region, GLintptrARB offset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindVideoCaptureStreamBufferNV","(", video_capture_slot, ", ", stream, ", ", toString(frame_region), ", ", offset, ")");;
    #endif
    App("glBindVideoCaptureStreamBufferNV","(", video_capture_slot, ", ", stream, ", ", toString(frame_region), ", ", offset, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindVideoCaptureStreamBufferNV)(video_capture_slot, stream, frame_region, offset);
  }

  REGAL_DECL void REGAL_CALL glBindVideoCaptureStreamTextureNV(GLuint video_capture_slot, GLuint stream, GLenum frame_region, GLenum target, GLuint texture)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindVideoCaptureStreamTextureNV","(", video_capture_slot, ", ", stream, ", ", toString(frame_region), ", ", toString(target), ", ", texture, ")");;
    #endif
    App("glBindVideoCaptureStreamTextureNV","(", video_capture_slot, ", ", stream, ", ", toString(frame_region), ", ", toString(target), ", ", texture, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindVideoCaptureStreamTextureNV)(video_capture_slot, stream, frame_region, target, texture);
  }

  REGAL_DECL void REGAL_CALL glEndVideoCaptureNV(GLuint video_capture_slot)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEndVideoCaptureNV","(", video_capture_slot, ")");;
    #endif
    App("glEndVideoCaptureNV","(", video_capture_slot, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEndVideoCaptureNV)(video_capture_slot);
  }

  REGAL_DECL void REGAL_CALL glGetVideoCaptureStreamdvNV(GLuint video_capture_slot, GLuint stream, GLenum pname, GLdouble *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetVideoCaptureStreamdvNV","(", video_capture_slot, ", ", stream, ", ", toString(pname), ")");;
    #endif
    App("glGetVideoCaptureStreamdvNV","(", video_capture_slot, ", ", stream, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVideoCaptureStreamdvNV)(video_capture_slot, stream, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetVideoCaptureStreamfvNV(GLuint video_capture_slot, GLuint stream, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetVideoCaptureStreamfvNV","(", video_capture_slot, ", ", stream, ", ", toString(pname), ")");;
    #endif
    App("glGetVideoCaptureStreamfvNV","(", video_capture_slot, ", ", stream, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVideoCaptureStreamfvNV)(video_capture_slot, stream, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetVideoCaptureStreamivNV(GLuint video_capture_slot, GLuint stream, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetVideoCaptureStreamivNV","(", video_capture_slot, ", ", stream, ", ", toString(pname), ")");;
    #endif
    App("glGetVideoCaptureStreamivNV","(", video_capture_slot, ", ", stream, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVideoCaptureStreamivNV)(video_capture_slot, stream, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetVideoCaptureivNV(GLuint video_capture_slot, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetVideoCaptureivNV","(", video_capture_slot, ", ", toString(pname), ")");;
    #endif
    App("glGetVideoCaptureivNV","(", video_capture_slot, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetVideoCaptureivNV)(video_capture_slot, pname, params);
  }

  REGAL_DECL GLenum REGAL_CALL glVideoCaptureNV(GLuint video_capture_slot, GLuint *sequence_num, GLuint64EXT *capture_time)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVideoCaptureNV","(", video_capture_slot, ")");;
    #endif
    App("glVideoCaptureNV","(", video_capture_slot, ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glVideoCaptureNV)(video_capture_slot, sequence_num, capture_time);
  }

  REGAL_DECL void REGAL_CALL glVideoCaptureStreamParameterdvNV(GLuint video_capture_slot, GLuint stream, GLenum pname, const GLdouble *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVideoCaptureStreamParameterdvNV","(", video_capture_slot, ", ", stream, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glVideoCaptureStreamParameterdvNV","(", video_capture_slot, ", ", stream, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVideoCaptureStreamParameterdvNV)(video_capture_slot, stream, pname, params);
  }

  REGAL_DECL void REGAL_CALL glVideoCaptureStreamParameterfvNV(GLuint video_capture_slot, GLuint stream, GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVideoCaptureStreamParameterfvNV","(", video_capture_slot, ", ", stream, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glVideoCaptureStreamParameterfvNV","(", video_capture_slot, ", ", stream, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVideoCaptureStreamParameterfvNV)(video_capture_slot, stream, pname, params);
  }

  REGAL_DECL void REGAL_CALL glVideoCaptureStreamParameterivNV(GLuint video_capture_slot, GLuint stream, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glVideoCaptureStreamParameterivNV","(", video_capture_slot, ", ", stream, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glVideoCaptureStreamParameterivNV","(", video_capture_slot, ", ", stream, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glVideoCaptureStreamParameterivNV)(video_capture_slot, stream, pname, params);
  }

  /* GL_OES_blend_equation_separate */

  REGAL_DECL void REGAL_CALL glBlendEquationSeparateOES(GLenum modeRGB, GLenum modeAlpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBlendEquationSeparateOES","(", GLmodeToString(modeRGB), ", ", GLmodeToString(modeAlpha), ")");;
    #endif
    App("glBlendEquationSeparateOES","(", GLmodeToString(modeRGB), ", ", GLmodeToString(modeAlpha), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendEquationSeparateOES)(modeRGB, modeAlpha);
  }

  /* GL_OES_blend_func_separate */

  REGAL_DECL void REGAL_CALL glBlendFuncSeparateOES(GLenum srcRGB, GLenum dstRGB, GLenum srcAlpha, GLenum dstAlpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBlendFuncSeparateOES","(", toString(srcRGB), ", ", toString(dstRGB), ", ", toString(srcAlpha), ", ", toString(dstAlpha), ")");;
    #endif
    App("glBlendFuncSeparateOES","(", toString(srcRGB), ", ", toString(dstRGB), ", ", toString(srcAlpha), ", ", toString(dstAlpha), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendFuncSeparateOES)(srcRGB, dstRGB, srcAlpha, dstAlpha);
  }

  /* GL_OES_blend_subtract */

  REGAL_DECL void REGAL_CALL glBlendEquationOES(GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBlendEquationOES","(", GLmodeToString(mode), ")");;
    #endif
    App("glBlendEquationOES","(", GLmodeToString(mode), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBlendEquationOES)(mode);
  }

  /* GL_OES_framebuffer_object */

  REGAL_DECL void REGAL_CALL glBindFramebufferOES(GLenum target, GLuint framebuffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindFramebufferOES","(", toString(target), ", ", framebuffer, ")");;
    #endif
    App("glBindFramebufferOES","(", toString(target), ", ", framebuffer, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindFramebufferOES)(target, framebuffer);
  }

  REGAL_DECL void REGAL_CALL glBindRenderbufferOES(GLenum target, GLuint renderbuffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindRenderbufferOES","(", toString(target), ", ", renderbuffer, ")");;
    #endif
    App("glBindRenderbufferOES","(", toString(target), ", ", renderbuffer, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindRenderbufferOES)(target, renderbuffer);
  }

  REGAL_DECL GLenum REGAL_CALL glCheckFramebufferStatusOES(GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCheckFramebufferStatusOES","(", toString(target), ")");;
    #endif
    App("glCheckFramebufferStatusOES","(", toString(target), ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glCheckFramebufferStatusOES)(target);
  }

  REGAL_DECL void REGAL_CALL glDeleteFramebuffersOES(GLsizei n, const GLuint *framebuffers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDeleteFramebuffersOES","(", n, ", ", boost::print::optional(framebuffers,Logging::pointers), ")");;
    #endif
    App("glDeleteFramebuffersOES","(", n, ", ", boost::print::optional(framebuffers,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteFramebuffersOES)(n, framebuffers);
  }

  REGAL_DECL void REGAL_CALL glDeleteRenderbuffersOES(GLsizei n, const GLuint *renderbuffers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDeleteRenderbuffersOES","(", n, ", ", boost::print::optional(renderbuffers,Logging::pointers), ")");;
    #endif
    App("glDeleteRenderbuffersOES","(", n, ", ", boost::print::optional(renderbuffers,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteRenderbuffersOES)(n, renderbuffers);
  }

  REGAL_DECL void REGAL_CALL glFramebufferRenderbufferOES(GLenum target, GLenum attachment, GLenum renderbuffertarget, GLuint renderbuffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFramebufferRenderbufferOES","(", toString(target), ", ", toString(attachment), ", ", toString(renderbuffertarget), ", ", renderbuffer, ")");;
    #endif
    App("glFramebufferRenderbufferOES","(", toString(target), ", ", toString(attachment), ", ", toString(renderbuffertarget), ", ", renderbuffer, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferRenderbufferOES)(target, attachment, renderbuffertarget, renderbuffer);
  }

  REGAL_DECL void REGAL_CALL glFramebufferTexture2DOES(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFramebufferTexture2DOES","(", toString(target), ", ", toString(attachment), ", ", toString(textarget), ", ", texture, ", ", level, ")");;
    #endif
    App("glFramebufferTexture2DOES","(", toString(target), ", ", toString(attachment), ", ", toString(textarget), ", ", texture, ", ", level, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferTexture2DOES)(target, attachment, textarget, texture, level);
  }

  REGAL_DECL void REGAL_CALL glGenFramebuffersOES(GLsizei n, GLuint *framebuffers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGenFramebuffersOES","(", n, ", ", boost::print::optional(framebuffers,Logging::pointers), ")");;
    #endif
    App("glGenFramebuffersOES","(", n, ", ", boost::print::optional(framebuffers,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenFramebuffersOES)(n, framebuffers);
  }

  REGAL_DECL void REGAL_CALL glGenRenderbuffersOES(GLsizei n, GLuint *renderbuffers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGenRenderbuffersOES","(", n, ", ", boost::print::optional(renderbuffers,Logging::pointers), ")");;
    #endif
    App("glGenRenderbuffersOES","(", n, ", ", boost::print::optional(renderbuffers,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenRenderbuffersOES)(n, renderbuffers);
  }

  REGAL_DECL void REGAL_CALL glGenerateMipmapOES(GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGenerateMipmapOES","(", toString(target), ")");;
    #endif
    App("glGenerateMipmapOES","(", toString(target), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenerateMipmapOES)(target);
  }

  REGAL_DECL void REGAL_CALL glGetFramebufferAttachmentParameterivOES(GLenum target, GLenum attachment, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetFramebufferAttachmentParameterivOES","(", toString(target), ", ", toString(attachment), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glGetFramebufferAttachmentParameterivOES","(", toString(target), ", ", toString(attachment), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetFramebufferAttachmentParameterivOES)(target, attachment, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetRenderbufferParameterivOES(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetRenderbufferParameterivOES","(", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glGetRenderbufferParameterivOES","(", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetRenderbufferParameterivOES)(target, pname, params);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsFramebufferOES(GLuint framebuffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsFramebufferOES","(", framebuffer, ")");;
    #endif
    App("glIsFramebufferOES","(", framebuffer, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsFramebufferOES)(framebuffer);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsRenderbufferOES(GLuint renderbuffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsRenderbufferOES","(", renderbuffer, ")");;
    #endif
    App("glIsRenderbufferOES","(", renderbuffer, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsRenderbufferOES)(renderbuffer);
  }

  REGAL_DECL void REGAL_CALL glRenderbufferStorageOES(GLenum target, GLenum internalformat, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glRenderbufferStorageOES","(", toString(target), ", ", toString(internalformat), ", ", width, ", ", height, ")");;
    #endif
    App("glRenderbufferStorageOES","(", toString(target), ", ", toString(internalformat), ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glRenderbufferStorageOES)(target, internalformat, width, height);
  }

  /* GL_OES_get_program_binary */

  REGAL_DECL void REGAL_CALL glGetProgramBinaryOES(GLuint program, GLsizei bufSize, GLsizei *length, GLenum *binaryFormat, GLvoid *binary)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetProgramBinaryOES","(", program, ", ", bufSize, ", ", boost::print::optional(length,Logging::pointers), ", ", boost::print::optional(binaryFormat,Logging::pointers), ", ", boost::print::optional(binary,Logging::pointers), ")");;
    #endif
    App("glGetProgramBinaryOES","(", program, ", ", bufSize, ", ", boost::print::optional(length,Logging::pointers), ", ", boost::print::optional(binaryFormat,Logging::pointers), ", ", boost::print::optional(binary,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetProgramBinaryOES)(program, bufSize, length, binaryFormat, binary);
  }

  REGAL_DECL void REGAL_CALL glProgramBinaryOES(GLuint program, GLenum binaryFormat, const GLvoid *binary, GLint length)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glProgramBinaryOES","(", program, ", ", toString(binaryFormat), ", ", boost::print::optional(binary,Logging::pointers), ", ", length, ")");;
    #endif
    App("glProgramBinaryOES","(", program, ", ", toString(binaryFormat), ", ", boost::print::optional(binary,Logging::pointers), ", ", length, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glProgramBinaryOES)(program, binaryFormat, binary, length);
  }

  /* GL_OES_mapbuffer */

  REGAL_DECL void REGAL_CALL glGetBufferPointervOES(GLenum target, GLenum pname, GLvoid **params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetBufferPointervOES","(", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glGetBufferPointervOES","(", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetBufferPointervOES)(target, pname, params);
  }

  REGAL_DECL void *REGAL_CALL glMapBufferOES(GLenum target, GLenum access)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMapBufferOES","(", toString(target), ", ", toString(access), ")");;
    #endif
    App("glMapBufferOES","(", toString(target), ", ", toString(access), ")");
    if (!_context) return NULL;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glMapBufferOES)(target, access);
  }

  REGAL_DECL GLboolean REGAL_CALL glUnmapBufferOES(GLenum target)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glUnmapBufferOES","(", toString(target), ")");;
    #endif
    App("glUnmapBufferOES","(", toString(target), ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glUnmapBufferOES)(target);
  }

  /* GL_OES_matrix_palette */

  REGAL_DECL void REGAL_CALL glCurrentPaletteMatrixOES(GLuint matrixpaletteindex)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCurrentPaletteMatrixOES","(", matrixpaletteindex, ")");;
    #endif
    App("glCurrentPaletteMatrixOES","(", matrixpaletteindex, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCurrentPaletteMatrixOES)(matrixpaletteindex);
  }

  REGAL_DECL void REGAL_CALL glMatrixIndexPointerOES(GLint size, GLenum type, GLsizei stride, GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMatrixIndexPointerOES","(", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");;
    #endif
    App("glMatrixIndexPointerOES","(", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glMatrixIndexPointerOES)(size, type, stride, pointer);
  }

  REGAL_DECL void REGAL_CALL glWeightPointerOES(GLint size, GLenum type, GLsizei stride, GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glWeightPointerOES","(", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");;
    #endif
    App("glWeightPointerOES","(", size, ", ", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glWeightPointerOES)(size, type, stride, pointer);
  }

  /* GL_OES_single_precision */

  REGAL_DECL void REGAL_CALL glClearDepthfOES(GLclampd depth)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glClearDepthfOES","(", depth, ")");;
    #endif
    App("glClearDepthfOES","(", depth, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClearDepthfOES)(depth);
  }

  REGAL_DECL void REGAL_CALL glClipPlanefOES(GLenum plane, const GLfloat *equation)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glClipPlanefOES","(", toString(plane), ", ", boost::print::optional(equation,Logging::pointers), ")");;
    #endif
    App("glClipPlanefOES","(", toString(plane), ", ", boost::print::optional(equation,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glClipPlanefOES)(plane, equation);
  }

  REGAL_DECL void REGAL_CALL glDepthRangefOES(GLclampf n, GLclampf f)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDepthRangefOES","(", n, ", ", f, ")");;
    #endif
    App("glDepthRangefOES","(", n, ", ", f, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDepthRangefOES)(n, f);
  }

  REGAL_DECL void REGAL_CALL glFrustumfOES(GLfloat l, GLfloat r, GLfloat b, GLfloat t, GLfloat n, GLfloat f)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFrustumfOES","(", l, ", ", r, ", ", b, ", ", t, ", ", n, ", ", f, ")");;
    #endif
    App("glFrustumfOES","(", l, ", ", r, ", ", b, ", ", t, ", ", n, ", ", f, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFrustumfOES)(l, r, b, t, n, f);
  }

  REGAL_DECL void REGAL_CALL glGetClipPlanefOES(GLenum plane, GLfloat *equation)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetClipPlanefOES","(", toString(plane), ")");;
    #endif
    App("glGetClipPlanefOES","(", toString(plane), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetClipPlanefOES)(plane, equation);
  }

  REGAL_DECL void REGAL_CALL glOrthofOES(GLfloat l, GLfloat r, GLfloat b, GLfloat t, GLfloat n, GLfloat f)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glOrthofOES","(", l, ", ", r, ", ", b, ", ", t, ", ", n, ", ", f, ")");;
    #endif
    App("glOrthofOES","(", l, ", ", r, ", ", b, ", ", t, ", ", n, ", ", f, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glOrthofOES)(l, r, b, t, n, f);
  }

  /* GL_OES_texture_3D */

  REGAL_DECL void REGAL_CALL glCompressedTexImage3DOES(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCompressedTexImage3DOES","(", toString(target), ", ", level, ", ", toString(internalformat), ", ", width, ", ", height, ", ", depth, ", ", border, ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");;
    #endif
    App("glCompressedTexImage3DOES","(", toString(target), ", ", level, ", ", toString(internalformat), ", ", width, ", ", height, ", ", depth, ", ", border, ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedTexImage3DOES)(target, level, internalformat, width, height, depth, border, imageSize, data);
  }

  REGAL_DECL void REGAL_CALL glCompressedTexSubImage3DOES(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const GLvoid *data)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCompressedTexSubImage3DOES","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ", ", toString(format), ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");;
    #endif
    App("glCompressedTexSubImage3DOES","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ", ", toString(format), ", ", imageSize, ", ", boost::print::optional(data,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCompressedTexSubImage3DOES)(target, level, xoffset, yoffset, zoffset, width, height, depth, format, imageSize, data);
  }

  REGAL_DECL void REGAL_CALL glCopyTexSubImage3DOES(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCopyTexSubImage3DOES","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", x, ", ", y, ", ", width, ", ", height, ")");;
    #endif
    App("glCopyTexSubImage3DOES","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", x, ", ", y, ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyTexSubImage3DOES)(target, level, xoffset, yoffset, zoffset, x, y, width, height);
  }

  REGAL_DECL void REGAL_CALL glFramebufferTexture3DOES(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLint zoffset)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFramebufferTexture3DOES","(", toString(target), ", ", toString(attachment), ", ", toString(textarget), ", ", texture, ", ", level, ", ", zoffset, ")");;
    #endif
    App("glFramebufferTexture3DOES","(", toString(target), ", ", toString(attachment), ", ", toString(textarget), ", ", texture, ", ", level, ", ", zoffset, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFramebufferTexture3DOES)(target, attachment, textarget, texture, level, zoffset);
  }

  REGAL_DECL void REGAL_CALL glTexImage3DOES(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexImage3DOES","(", toString(target), ", ", level, ", ", toString(internalformat), ", ", width, ", ", height, ", ", depth, ", ", border, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(pixels,Logging::pointers), ")");;
    #endif
    App("glTexImage3DOES","(", toString(target), ", ", level, ", ", toString(internalformat), ", ", width, ", ", height, ", ", depth, ", ", border, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(pixels,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexImage3DOES)(target, level, internalformat, width, height, depth, border, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glTexSubImage3DOES(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexSubImage3DOES","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(pixels,Logging::pointers), ")");;
    #endif
    App("glTexSubImage3DOES","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(pixels,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexSubImage3DOES)(target, level, xoffset, yoffset, zoffset, width, height, depth, format, type, pixels);
  }

  /* GL_OES_texture_cube_map */

  REGAL_DECL void REGAL_CALL glGetTexGenfvOES(GLenum coord, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTexGenfvOES","(", toString(coord), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glGetTexGenfvOES","(", toString(coord), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTexGenfvOES)(coord, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetTexGenivOES(GLenum coord, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTexGenivOES","(", toString(coord), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glGetTexGenivOES","(", toString(coord), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTexGenivOES)(coord, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetTexGenxvOES(GLenum coord, GLenum pname, GLfixed *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTexGenxvOES","(", toString(coord), ", ", toString(pname), ", ", params, ")");;
    #endif
    App("glGetTexGenxvOES","(", toString(coord), ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTexGenxvOES)(coord, pname, params);
  }

  REGAL_DECL void REGAL_CALL glTexGenfOES(GLenum coord, GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexGenfOES","(", toString(coord), ", ", toString(pname), ", ", param, ")");;
    #endif
    App("glTexGenfOES","(", toString(coord), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexGenfOES)(coord, pname, param);
  }

  REGAL_DECL void REGAL_CALL glTexGenfvOES(GLenum coord, GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexGenfvOES","(", toString(coord), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glTexGenfvOES","(", toString(coord), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexGenfvOES)(coord, pname, params);
  }

  REGAL_DECL void REGAL_CALL glTexGeniOES(GLenum coord, GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexGeniOES","(", toString(coord), ", ", toString(pname), ", ", param, ")");;
    #endif
    App("glTexGeniOES","(", toString(coord), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexGeniOES)(coord, pname, param);
  }

  REGAL_DECL void REGAL_CALL glTexGenivOES(GLenum coord, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexGenivOES","(", toString(coord), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glTexGenivOES","(", toString(coord), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexGenivOES)(coord, pname, params);
  }

  REGAL_DECL void REGAL_CALL glTexGenxOES(GLenum coord, GLenum pname, GLfixed param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexGenxOES","(", toString(coord), ", ", toString(pname), ", ", param, ")");;
    #endif
    App("glTexGenxOES","(", toString(coord), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexGenxOES)(coord, pname, param);
  }

  REGAL_DECL void REGAL_CALL glTexGenxvOES(GLenum coord, GLenum pname, const GLfixed *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexGenxvOES","(", toString(coord), ", ", toString(pname), ", ", params, ")");;
    #endif
    App("glTexGenxvOES","(", toString(coord), ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexGenxvOES)(coord, pname, params);
  }

  /* GL_OES_vertex_array_object */

  REGAL_DECL void REGAL_CALL glBindVertexArrayOES(GLuint array)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glBindVertexArrayOES","(", array, ")");;
    #endif
    App("glBindVertexArrayOES","(", array, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glBindVertexArrayOES)(array);
  }

  REGAL_DECL void REGAL_CALL glDeleteVertexArraysOES(GLsizei n, const GLuint *arrays)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDeleteVertexArraysOES","(", n, ", ", boost::print::optional(arrays,Logging::pointers), ")");;
    #endif
    App("glDeleteVertexArraysOES","(", n, ", ", boost::print::optional(arrays,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteVertexArraysOES)(n, arrays);
  }

  REGAL_DECL void REGAL_CALL glGenVertexArraysOES(GLsizei n, GLuint *arrays)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGenVertexArraysOES","(", n, ", ", boost::print::optional(arrays,Logging::pointers), ")");;
    #endif
    App("glGenVertexArraysOES","(", n, ", ", boost::print::optional(arrays,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGenVertexArraysOES)(n, arrays);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsVertexArrayOES(GLuint array)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsVertexArrayOES","(", array, ")");;
    #endif
    App("glIsVertexArrayOES","(", array, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsVertexArrayOES)(array);
  }

  /* GL_PGI_misc_hints */

  REGAL_DECL void REGAL_CALL glHintPGI(GLenum target, GLint mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glHintPGI","(", toString(target), ", ", mode, ")");;
    #endif
    App("glHintPGI","(", toString(target), ", ", mode, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glHintPGI)(target, mode);
  }

  /* GL_QCOM_alpha_test */

  REGAL_DECL void REGAL_CALL glAlphaFuncQCOM(GLenum func, GLclampf ref)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glAlphaFuncQCOM","(", toString(func), ", ", ref, ")");;
    #endif
    App("glAlphaFuncQCOM","(", toString(func), ", ", ref, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glAlphaFuncQCOM)(func, ref);
  }

  /* GL_QCOM_driver_control */

  REGAL_DECL void REGAL_CALL glDisableDriverControlQCOM(GLuint driverControl)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDisableDriverControlQCOM","(", driverControl, ")");;
    #endif
    App("glDisableDriverControlQCOM","(", driverControl, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDisableDriverControlQCOM)(driverControl);
  }

  REGAL_DECL void REGAL_CALL glEnableDriverControlQCOM(GLuint driverControl)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEnableDriverControlQCOM","(", driverControl, ")");;
    #endif
    App("glEnableDriverControlQCOM","(", driverControl, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEnableDriverControlQCOM)(driverControl);
  }

  REGAL_DECL void REGAL_CALL glGetDriverControlStringQCOM(GLuint driverControl, GLsizei bufSize, GLsizei *length, GLchar *driverControlString)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetDriverControlStringQCOM","(", driverControl, ", ", bufSize, ", ", boost::print::optional(length,Logging::pointers), ", ", boost::print::quote(driverControlString,'"'), ")");;
    #endif
    App("glGetDriverControlStringQCOM","(", driverControl, ", ", bufSize, ", ", boost::print::optional(length,Logging::pointers), ", ", boost::print::quote(driverControlString,'"'), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetDriverControlStringQCOM)(driverControl, bufSize, length, driverControlString);
  }

  REGAL_DECL void REGAL_CALL glGetDriverControlsQCOM(GLint *num, GLsizei size, GLuint *driverControls)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetDriverControlsQCOM","(", boost::print::optional(num,Logging::pointers), ", ", size, ", ", boost::print::optional(driverControls,Logging::pointers), ")");;
    #endif
    App("glGetDriverControlsQCOM","(", boost::print::optional(num,Logging::pointers), ", ", size, ", ", boost::print::optional(driverControls,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetDriverControlsQCOM)(num, size, driverControls);
  }

  /* GL_QCOM_extended_get */

  REGAL_DECL void REGAL_CALL glExtGetBufferPointervQCOM(GLenum target, GLvoid **params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glExtGetBufferPointervQCOM","(", toString(target), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glExtGetBufferPointervQCOM","(", toString(target), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glExtGetBufferPointervQCOM)(target, params);
  }

  REGAL_DECL void REGAL_CALL glExtGetBuffersQCOM(GLuint *buffers, GLint maxBuffers, GLint *numBuffers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glExtGetBuffersQCOM","(", boost::print::optional(buffers,Logging::pointers), ", ", maxBuffers, ", ", boost::print::optional(numBuffers,Logging::pointers), ")");;
    #endif
    App("glExtGetBuffersQCOM","(", boost::print::optional(buffers,Logging::pointers), ", ", maxBuffers, ", ", boost::print::optional(numBuffers,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glExtGetBuffersQCOM)(buffers, maxBuffers, numBuffers);
  }

  REGAL_DECL void REGAL_CALL glExtGetFramebuffersQCOM(GLuint *framebuffers, GLint maxFramebuffers, GLint *numFramebuffers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glExtGetFramebuffersQCOM","(", boost::print::optional(framebuffers,Logging::pointers), ", ", maxFramebuffers, ", ", boost::print::optional(numFramebuffers,Logging::pointers), ")");;
    #endif
    App("glExtGetFramebuffersQCOM","(", boost::print::optional(framebuffers,Logging::pointers), ", ", maxFramebuffers, ", ", boost::print::optional(numFramebuffers,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glExtGetFramebuffersQCOM)(framebuffers, maxFramebuffers, numFramebuffers);
  }

  REGAL_DECL void REGAL_CALL glExtGetRenderbuffersQCOM(GLuint *renderbuffers, GLint maxRenderbuffers, GLint *numRenderbuffers)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glExtGetRenderbuffersQCOM","(", boost::print::optional(renderbuffers,Logging::pointers), ", ", maxRenderbuffers, ", ", boost::print::optional(numRenderbuffers,Logging::pointers), ")");;
    #endif
    App("glExtGetRenderbuffersQCOM","(", boost::print::optional(renderbuffers,Logging::pointers), ", ", maxRenderbuffers, ", ", boost::print::optional(numRenderbuffers,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glExtGetRenderbuffersQCOM)(renderbuffers, maxRenderbuffers, numRenderbuffers);
  }

  REGAL_DECL void REGAL_CALL glExtGetTexLevelParameterivQCOM(GLuint texture, GLenum face, GLint level, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glExtGetTexLevelParameterivQCOM","(", texture, ", ", toString(face), ", ", level, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glExtGetTexLevelParameterivQCOM","(", texture, ", ", toString(face), ", ", level, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glExtGetTexLevelParameterivQCOM)(texture, face, level, pname, params);
  }

  REGAL_DECL void REGAL_CALL glExtGetTexSubImageQCOM(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, GLvoid *texels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glExtGetTexSubImageQCOM","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(texels,Logging::pointers), ")");;
    #endif
    App("glExtGetTexSubImageQCOM","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", width, ", ", height, ", ", depth, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(texels,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glExtGetTexSubImageQCOM)(target, level, xoffset, yoffset, zoffset, width, height, depth, format, type, texels);
  }

  REGAL_DECL void REGAL_CALL glExtGetTexturesQCOM(GLuint *textures, GLint maxTextures, GLint *numTextures)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glExtGetTexturesQCOM","(", boost::print::optional(textures,Logging::pointers), ", ", maxTextures, ", ", boost::print::optional(numTextures,Logging::pointers), ")");;
    #endif
    App("glExtGetTexturesQCOM","(", boost::print::optional(textures,Logging::pointers), ", ", maxTextures, ", ", boost::print::optional(numTextures,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glExtGetTexturesQCOM)(textures, maxTextures, numTextures);
  }

  REGAL_DECL void REGAL_CALL glExtTexObjectStateOverrideiQCOM(GLenum target, GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glExtTexObjectStateOverrideiQCOM","(", toString(target), ", ", toString(pname), ", ", param, ")");;
    #endif
    App("glExtTexObjectStateOverrideiQCOM","(", toString(target), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glExtTexObjectStateOverrideiQCOM)(target, pname, param);
  }

  /* GL_QCOM_extended_get2 */

  REGAL_DECL void REGAL_CALL glExtGetProgramBinarySourceQCOM(GLuint program, GLenum shadertype, GLchar *source, GLint *length)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glExtGetProgramBinarySourceQCOM","(", program, ", ", toString(shadertype), ", ", boost::print::quote(source,'"'), ", ", boost::print::optional(length,Logging::pointers), ")");;
    #endif
    App("glExtGetProgramBinarySourceQCOM","(", program, ", ", toString(shadertype), ", ", boost::print::quote(source,'"'), ", ", boost::print::optional(length,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glExtGetProgramBinarySourceQCOM)(program, shadertype, source, length);
  }

  REGAL_DECL void REGAL_CALL glExtGetProgramsQCOM(GLuint *programs, GLint maxPrograms, GLint *numPrograms)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glExtGetProgramsQCOM","(", boost::print::optional(programs,Logging::pointers), ", ", maxPrograms, ", ", boost::print::optional(numPrograms,Logging::pointers), ")");;
    #endif
    App("glExtGetProgramsQCOM","(", boost::print::optional(programs,Logging::pointers), ", ", maxPrograms, ", ", boost::print::optional(numPrograms,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glExtGetProgramsQCOM)(programs, maxPrograms, numPrograms);
  }

  REGAL_DECL void REGAL_CALL glExtGetShadersQCOM(GLuint *shaders, GLint maxShaders, GLint *numShaders)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glExtGetShadersQCOM","(", boost::print::optional(shaders,Logging::pointers), ", ", maxShaders, ", ", boost::print::optional(numShaders,Logging::pointers), ")");;
    #endif
    App("glExtGetShadersQCOM","(", boost::print::optional(shaders,Logging::pointers), ", ", maxShaders, ", ", boost::print::optional(numShaders,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glExtGetShadersQCOM)(shaders, maxShaders, numShaders);
  }

  REGAL_DECL GLboolean REGAL_CALL glExtIsProgramBinaryQCOM(GLuint program)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glExtIsProgramBinaryQCOM","(", program, ")");;
    #endif
    App("glExtIsProgramBinaryQCOM","(", program, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glExtIsProgramBinaryQCOM)(program);
  }

  /* GL_QCOM_tiled_rendering */

  REGAL_DECL void REGAL_CALL glEndTilingQCOM(GLbitfield preserveMask)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glEndTilingQCOM","(", GLstartTilingQCOMToString(preserveMask), ")");;
    #endif
    App("glEndTilingQCOM","(", GLstartTilingQCOMToString(preserveMask), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glEndTilingQCOM)(preserveMask);
  }

  REGAL_DECL void REGAL_CALL glStartTilingQCOM(GLuint x, GLuint y, GLuint width, GLuint height, GLbitfield preserveMask)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glStartTilingQCOM","(", x, ", ", y, ", ", width, ", ", height, ", ", GLstartTilingQCOMToString(preserveMask), ")");;
    #endif
    App("glStartTilingQCOM","(", x, ", ", y, ", ", width, ", ", height, ", ", GLstartTilingQCOMToString(preserveMask), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glStartTilingQCOM)(x, y, width, height, preserveMask);
  }

  /* GL_REGAL_ES1_0_compatibility */

  REGAL_DECL void REGAL_CALL glAlphaFuncx(GLenum func, GLclampx ref)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glAlphaFuncx","(", toString(func), ", ", ref, ")");;
    #endif
    App("glAlphaFuncx","(", toString(func), ", ", ref, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTableGL *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glAlphaFuncx)(func, ref);
      return;
    }
    #endif
    glAlphaFunc(func, fixedToFloat(ref));
  }

  REGAL_DECL void REGAL_CALL glClearColorx(GLclampx red, GLclampx green, GLclampx blue, GLclampx alpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glClearColorx","(", red, ", ", green, ", ", blue, ", ", alpha, ")");;
    #endif
    App("glClearColorx","(", red, ", ", green, ", ", blue, ", ", alpha, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTableGL *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glClearColorx)(red, green, blue, alpha);
      return;
    }
    #endif
    glClearColor(fixedToFloat(red), fixedToFloat(green), fixedToFloat(blue), fixedToFloat(alpha));
  }

  REGAL_DECL void REGAL_CALL glClearDepthx(GLclampx depth)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glClearDepthx","(", depth, ")");;
    #endif
    App("glClearDepthx","(", depth, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTableGL *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glClearDepthx)(depth);
      return;
    }
    #endif
    glClearDepth(fixedToFloat(depth));
  }

  REGAL_DECL void REGAL_CALL glColor4x(GLfixed red, GLfixed green, GLfixed blue, GLfixed alpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColor4x","(", red, ", ", green, ", ", blue, ", ", alpha, ")");;
    #endif
    App("glColor4x","(", red, ", ", green, ", ", blue, ", ", alpha, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTableGL *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glColor4x)(red, green, blue, alpha);
      return;
    }
    #endif
    glColor4f(fixedToFloat(red), fixedToFloat(green), fixedToFloat(blue), fixedToFloat(alpha));
  }

  REGAL_DECL void REGAL_CALL glDepthRangex(GLclampx n, GLclampx f)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDepthRangex","(", n, ", ", f, ")");;
    #endif
    App("glDepthRangex","(", n, ", ", f, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTableGL *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glDepthRangex)(n, f);
      return;
    }
    #endif
    glDepthRange(fixedToFloat(n), fixedToFloat(f));
  }

  REGAL_DECL void REGAL_CALL glFogx(GLenum pname, GLfixed param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFogx","(", toString(pname), ", ", param, ")");;
    #endif
    App("glFogx","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTableGL *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glFogx)(pname, param);
      return;
    }
    #endif
    glFogf(pname, fixedToFloat(param));
  }

  REGAL_DECL void REGAL_CALL glFogxv(GLenum pname, const GLfixed *param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFogxv","(", toString(pname), ", ", param, ")");;
    #endif
    App("glFogxv","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTableGL *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glFogxv)(pname, param);
      return;
    }
    #endif
    GLfloat tmp[4];
    fixedToFloat(tmp,param,pname==GL_FOG_COLOR ? 4 : 1);
    glFogfv(pname,tmp);
  }

  REGAL_DECL void REGAL_CALL glFrustumf(GLfloat l, GLfloat r, GLfloat b, GLfloat t, GLfloat n, GLfloat f)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFrustumf","(", l, ", ", r, ", ", b, ", ", t, ", ", n, ", ", f, ")");;
    #endif
    App("glFrustumf","(", l, ", ", r, ", ", b, ", ", t, ", ", n, ", ", f, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTableGL *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glFrustumf)(l, r, b, t, n, f);
      return;
    }
    #endif
    glFrustum(l,r,b,t,n,f);
  }

  REGAL_DECL void REGAL_CALL glFrustumx(GLfixed l, GLfixed r, GLfixed b, GLfixed t, GLfixed n, GLfixed f)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFrustumx","(", l, ", ", r, ", ", b, ", ", t, ", ", n, ", ", f, ")");;
    #endif
    App("glFrustumx","(", l, ", ", r, ", ", b, ", ", t, ", ", n, ", ", f, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTableGL *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glFrustumx)(l, r, b, t, n, f);
      return;
    }
    #endif
    glFrustumf(fixedToFloat(l), fixedToFloat(r), fixedToFloat(b), fixedToFloat(t), fixedToFloat(n), fixedToFloat(f));
  }

  REGAL_DECL void REGAL_CALL glLightModelx(GLenum pname, GLfixed param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glLightModelx","(", toString(pname), ", ", param, ")");;
    #endif
    App("glLightModelx","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTableGL *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glLightModelx)(pname, param);
      return;
    }
    #endif
    glLightModelf(pname, fixedToFloat(param));
  }

  REGAL_DECL void REGAL_CALL glLightModelxv(GLenum pname, const GLfixed *param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glLightModelxv","(", toString(pname), ", ", param, ")");;
    #endif
    App("glLightModelxv","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTableGL *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glLightModelxv)(pname, param);
      return;
    }
    #endif
    GLfloat tmp[4];
    fixedToFloat(tmp,param,pname==GL_LIGHT_MODEL_AMBIENT ? 4 : 1);
    glLightModelfv(pname,tmp);
  }

  REGAL_DECL void REGAL_CALL glLightx(GLenum light, GLenum pname, GLfixed param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glLightx","(", toString(light), ", ", toString(pname), ", ", param, ")");;
    #endif
    App("glLightx","(", toString(light), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTableGL *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glLightx)(light, pname, param);
      return;
    }
    #endif
    glLightf(light, pname, fixedToFloat(param));
  }

  REGAL_DECL void REGAL_CALL glLightxv(GLenum light, GLenum pname, const GLfixed *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glLightxv","(", toString(light), ", ", toString(pname), ", ", params, ")");;
    #endif
    App("glLightxv","(", toString(light), ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTableGL *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glLightxv)(light, pname, params);
      return;
    }
    #endif
    GLfloat tmp[4];
    fixedToFloat(tmp,params,(pname==GL_AMBIENT || pname==GL_DIFFUSE || pname==GL_SPECULAR || pname==GL_POSITION) ? 4 : (pname==GL_SPOT_DIRECTION ? 3 : 1));
    glLightfv(light,pname,tmp);
  }

  REGAL_DECL void REGAL_CALL glLineWidthx(GLfixed width)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glLineWidthx","(", width, ")");;
    #endif
    App("glLineWidthx","(", width, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTableGL *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glLineWidthx)(width);
      return;
    }
    #endif
    glLineWidth(fixedToFloat(width));
  }

  REGAL_DECL void REGAL_CALL glLoadMatrixx(const GLfixed *m)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glLoadMatrixx","(", m, ")");;
    #endif
    App("glLoadMatrixx","(", m, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTableGL *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glLoadMatrixx)(m);
      return;
    }
    #endif
    GLfloat tmp[16];
    fixedToFloat(tmp,m,16);
    glLoadMatrixf(tmp);
  }

  REGAL_DECL void REGAL_CALL glMaterialx(GLenum face, GLenum pname, GLfixed param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMaterialx","(", toString(face), ", ", toString(pname), ", ", param, ")");;
    #endif
    App("glMaterialx","(", toString(face), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTableGL *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glMaterialx)(face, pname, param);
      return;
    }
    #endif
    glMaterialf(face,pname,fixedToFloat(param));
  }

  REGAL_DECL void REGAL_CALL glMaterialxv(GLenum face, GLenum pname, const GLfixed *param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMaterialxv","(", toString(face), ", ", toString(pname), ", ", param, ")");;
    #endif
    App("glMaterialxv","(", toString(face), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTableGL *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glMaterialxv)(face, pname, param);
      return;
    }
    #endif
    GLfloat tmp[16];
    fixedToFloat(tmp,param,pname==GL_SHININESS ? 1 : 4);
    glMaterialfv(face,pname,tmp);
  }

  REGAL_DECL void REGAL_CALL glMultMatrixx(const GLfixed *m)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultMatrixx","(", m, ")");;
    #endif
    App("glMultMatrixx","(", m, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTableGL *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glMultMatrixx)(m);
      return;
    }
    #endif
    GLfloat tmp[16];
    fixedToFloat(tmp,m,16);
    glMultMatrixf(tmp);
  }

  REGAL_DECL void REGAL_CALL glMultiTexCoord4x(GLenum texture, GLfixed s, GLfixed t, GLfixed r, GLfixed q)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glMultiTexCoord4x","(", toString(texture), ", ", s, ", ", t, ", ", r, ", ", q, ")");;
    #endif
    App("glMultiTexCoord4x","(", toString(texture), ", ", s, ", ", t, ", ", r, ", ", q, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTableGL *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glMultiTexCoord4x)(texture, s, t, r, q);
      return;
    }
    #endif
    glMultiTexCoord4f(texture,fixedToFloat(s),fixedToFloat(t),fixedToFloat(r),fixedToFloat(q));
  }

  REGAL_DECL void REGAL_CALL glNormal3x(GLfixed nx, GLfixed ny, GLfixed nz)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNormal3x","(", nx, ", ", ny, ", ", nz, ")");;
    #endif
    App("glNormal3x","(", nx, ", ", ny, ", ", nz, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTableGL *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glNormal3x)(nx, ny, nz);
      return;
    }
    #endif
    glNormal3f(fixedToFloat(nx),fixedToFloat(ny),fixedToFloat(nz));
  }

  REGAL_DECL void REGAL_CALL glOrthof(GLfloat l, GLfloat r, GLfloat b, GLfloat t, GLfloat n, GLfloat f)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glOrthof","(", l, ", ", r, ", ", b, ", ", t, ", ", n, ", ", f, ")");;
    #endif
    App("glOrthof","(", l, ", ", r, ", ", b, ", ", t, ", ", n, ", ", f, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTableGL *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glOrthof)(l, r, b, t, n, f);
      return;
    }
    #endif
    glOrtho(l,r,b,t,n,f);
  }

  REGAL_DECL void REGAL_CALL glOrthox(GLfixed l, GLfixed r, GLfixed b, GLfixed t, GLfixed n, GLfixed f)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glOrthox","(", l, ", ", r, ", ", b, ", ", t, ", ", n, ", ", f, ")");;
    #endif
    App("glOrthox","(", l, ", ", r, ", ", b, ", ", t, ", ", n, ", ", f, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTableGL *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glOrthox)(l, r, b, t, n, f);
      return;
    }
    #endif
    glOrthof(fixedToFloat(l),fixedToFloat(r),fixedToFloat(b),fixedToFloat(t),fixedToFloat(n),fixedToFloat(f));
  }

  REGAL_DECL void REGAL_CALL glPointSizex(GLfixed size)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPointSizex","(", size, ")");;
    #endif
    App("glPointSizex","(", size, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTableGL *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glPointSizex)(size);
      return;
    }
    #endif
    glPointSize(fixedToFloat(size));
  }

  REGAL_DECL void REGAL_CALL glPolygonOffsetx(GLfixed factor, GLfixed units)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPolygonOffsetx","(", factor, ", ", units, ")");;
    #endif
    App("glPolygonOffsetx","(", factor, ", ", units, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTableGL *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glPolygonOffsetx)(factor, units);
      return;
    }
    #endif
    glPolygonOffset(fixedToFloat(factor),fixedToFloat(units));
  }

  REGAL_DECL void REGAL_CALL glRotatex(GLfixed angle, GLfixed x, GLfixed y, GLfixed z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glRotatex","(", angle, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glRotatex","(", angle, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTableGL *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glRotatex)(angle, x, y, z);
      return;
    }
    #endif
    glRotatef(fixedToFloat(angle),fixedToFloat(x),fixedToFloat(y),fixedToFloat(z));
  }

  REGAL_DECL void REGAL_CALL glSampleCoveragex(GLclampx value, GLboolean invert)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSampleCoveragex","(", value, ", ", toString(invert), ")");;
    #endif
    App("glSampleCoveragex","(", value, ", ", toString(invert), ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTableGL *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glSampleCoveragex)(value, invert);
      return;
    }
    #endif
    glSampleCoverage(fixedToFloat(value),invert);
  }

  REGAL_DECL void REGAL_CALL glScalex(GLfixed x, GLfixed y, GLfixed z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glScalex","(", x, ", ", y, ", ", z, ")");;
    #endif
    App("glScalex","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTableGL *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glScalex)(x, y, z);
      return;
    }
    #endif
    glScalef(fixedToFloat(x),fixedToFloat(y),fixedToFloat(z));
  }

  REGAL_DECL void REGAL_CALL glTexEnvx(GLenum target, GLenum pname, GLfixed param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexEnvx","(", toString(target), ", ", toString(pname), ", ", param, ")");;
    #endif
    App("glTexEnvx","(", toString(target), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTableGL *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glTexEnvx)(target, pname, param);
      return;
    }
    #endif
    glTexEnvf(target,pname,fixedToFloat(param));
  }

  REGAL_DECL void REGAL_CALL glTexEnvxv(GLenum target, GLenum pname, const GLfixed *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexEnvxv","(", toString(target), ", ", toString(pname), ", ", params, ")");;
    #endif
    App("glTexEnvxv","(", toString(target), ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTableGL *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glTexEnvxv)(target, pname, params);
      return;
    }
    #endif
    GLfloat tmp[16];
    fixedToFloat(tmp,params,pname==GL_TEXTURE_ENV_COLOR ? 4 : 1);
    glTexEnvfv(target,pname,tmp);
  }

  REGAL_DECL void REGAL_CALL glTexParameterx(GLenum target, GLenum pname, GLfixed param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexParameterx","(", toString(target), ", ", toString(pname), ", ", param, ")");;
    #endif
    App("glTexParameterx","(", toString(target), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTableGL *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glTexParameterx)(target, pname, param);
      return;
    }
    #endif
    glTexParameterf(target,pname,fixedToFloat(param));
  }

  REGAL_DECL void REGAL_CALL glTranslatex(GLfixed x, GLfixed y, GLfixed z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTranslatex","(", x, ", ", y, ", ", z, ")");;
    #endif
    App("glTranslatex","(", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTableGL *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glTranslatex)(x, y, z);
      return;
    }
    #endif
    glTranslatef(fixedToFloat(x),fixedToFloat(y),fixedToFloat(z));
  }

  /* GL_REGAL_ES1_1_compatibility */

  REGAL_DECL void REGAL_CALL glClipPlanef(GLenum p, const GLfloat *eqn)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glClipPlanef","(", toString(p), ", ", boost::print::optional(eqn,Logging::pointers), ")");;
    #endif
    App("glClipPlanef","(", toString(p), ", ", boost::print::optional(eqn,Logging::pointers), ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTableGL *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glClipPlanef)(p, eqn);
      return;
    }
    #endif
    GLdouble tmp[4];
    floatToDouble(tmp,eqn,4);
    glClipPlane(p,tmp);
  }

  REGAL_DECL void REGAL_CALL glClipPlanex(GLenum plane, const GLfixed *equation)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glClipPlanex","(", toString(plane), ", ", equation, ")");;
    #endif
    App("glClipPlanex","(", toString(plane), ", ", equation, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTableGL *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glClipPlanex)(plane, equation);
      return;
    }
    #endif
    GLdouble tmp[4];
    fixedToDouble(tmp,equation,4);
    glClipPlane(plane,tmp);
  }

  REGAL_DECL void REGAL_CALL glGetClipPlanef(GLenum plane, GLfloat *equation)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetClipPlanef","(", toString(plane), ", ", boost::print::optional(equation,Logging::pointers), ")");;
    #endif
    App("glGetClipPlanef","(", toString(plane), ", ", boost::print::optional(equation,Logging::pointers), ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTableGL *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glGetClipPlanef)(plane, equation);
      return;
    }
    #endif
    GLdouble tmp[4];
    glGetClipPlane(plane,tmp);
    doubleToFloat(equation,tmp,4);
  }

  REGAL_DECL void REGAL_CALL glGetClipPlanex(GLenum plane, GLfixed *equation)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetClipPlanex","(", toString(plane), ", ", equation, ")");;
    #endif
    App("glGetClipPlanex","(", toString(plane), ", ", equation, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTableGL *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glGetClipPlanex)(plane, equation);
      return;
    }
    #endif
    GLdouble tmp[4];
    glGetClipPlane(plane,tmp);
    doubleToFixed(equation,tmp,4);
  }

  REGAL_DECL void REGAL_CALL glGetFixedv(GLenum pname, GLfixed *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetFixedv","(", toString(pname), ", ", params, ")");;
    #endif
    App("glGetFixedv","(", toString(pname), ", ", params, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTableGL *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glGetFixedv)(pname, params);
      return;
    }
    #endif
    GLfloat tmp[4];
    glGetFloatv(pname,tmp);
    floatToFixed(params,tmp,helper::size::get(pname));
  }

  REGAL_DECL void REGAL_CALL glGetLightxv(GLenum light, GLenum pname, GLfixed *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetLightxv","(", toString(light), ", ", toString(pname), ", ", params, ")");;
    #endif
    App("glGetLightxv","(", toString(light), ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTableGL *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glGetLightxv)(light, pname, params);
      return;
    }
    #endif
    GLfloat tmp[4];
    glGetLightfv(light,pname,tmp);
    floatToFixed(params,tmp,helper::size::lightv(pname));
  }

  REGAL_DECL void REGAL_CALL glGetMaterialxv(GLenum face, GLenum pname, GLfixed *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetMaterialxv","(", toString(face), ", ", toString(pname), ", ", params, ")");;
    #endif
    App("glGetMaterialxv","(", toString(face), ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTableGL *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glGetMaterialxv)(face, pname, params);
      return;
    }
    #endif
    GLfloat tmp[4];
    glGetMaterialfv(face,pname,tmp);
    floatToFixed(params,tmp,helper::size::materialv(pname));
  }

  REGAL_DECL void REGAL_CALL glGetTexEnvxv(GLenum target, GLenum pname, GLfixed *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTexEnvxv","(", toString(target), ", ", toString(pname), ", ", params, ")");;
    #endif
    App("glGetTexEnvxv","(", toString(target), ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTableGL *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glGetTexEnvxv)(target, pname, params);
      return;
    }
    #endif
    GLfloat tmp[4];
    glGetTexEnvfv(target,pname,tmp);
    floatToFixed(params,tmp,helper::size::texEnvv(target,pname));
  }

  REGAL_DECL void REGAL_CALL glGetTexParameterxv(GLenum target, GLenum pname, GLfixed *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTexParameterxv","(", toString(target), ", ", toString(pname), ", ", params, ")");;
    #endif
    App("glGetTexParameterxv","(", toString(target), ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTableGL *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glGetTexParameterxv)(target, pname, params);
      return;
    }
    #endif
    GLfloat tmp[4];
    glGetTexParameterfv(target,pname,tmp);
    floatToFixed(params,tmp,helper::size::texParameterv(pname));
  }

  REGAL_DECL void REGAL_CALL glPointParameterx(GLenum pname, GLfixed param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPointParameterx","(", toString(pname), ", ", param, ")");;
    #endif
    App("glPointParameterx","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTableGL *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glPointParameterx)(pname, param);
      return;
    }
    #endif
    glPointParameterf(pname,fixedToFloat(param));
  }

  REGAL_DECL void REGAL_CALL glPointParameterxv(GLenum pname, const GLfixed *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPointParameterxv","(", toString(pname), ", ", params, ")");;
    #endif
    App("glPointParameterxv","(", toString(pname), ", ", params, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTableGL *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glPointParameterxv)(pname, params);
      return;
    }
    #endif
    GLfloat tmp[4];
    fixedToFloat(tmp,params,pname==GL_POINT_DISTANCE_ATTENUATION ? 3 : 1);
    glPointParameterfv(pname,tmp);
  }

  REGAL_DECL void REGAL_CALL glPointSizePointerOES(GLenum type, GLsizei stride, const GLvoid *pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPointSizePointerOES","(", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");;
    #endif
    App("glPointSizePointerOES","(", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPointSizePointerOES)(type, stride, pointer);
  }

  REGAL_DECL void REGAL_CALL glTexParameterxv(GLenum target, GLenum pname, const GLfixed *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexParameterxv","(", toString(target), ", ", toString(pname), ", ", params, ")");;
    #endif
    App("glTexParameterxv","(", toString(target), ", ", toString(pname), ", ", params, ")");
    if (!_context) return;
    #if REGAL_SYS_ES1
    if (_context->isES1()) // Pass-through for ES1 only
    {
      DispatchTableGL *_next = &_context->dispatcher.front();
      RegalAssert(_next);
      _next->call(&_next->glTexParameterxv)(target, pname, params);
      return;
    }
    #endif
    GLfloat tmp[4];
    fixedToFloat(tmp,params,helper::size::texParameterv(pname));
    glTexParameterfv(target,pname,tmp);
  }

  /* GL_REGAL_error_string */

  REGAL_DECL const GLchar *REGAL_CALL glErrorStringREGAL(GLenum error)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glErrorStringREGAL","(", toString(error), ")");;
    #endif
    App("glErrorStringREGAL","(", toString(error), ")");
    if (!_context) return NULL;
    RegalAssert(_context->info);
    return Token::GLerrorToString(error);
  }

  /* GL_REGAL_extension_query */

  REGAL_DECL GLboolean REGAL_CALL glGetExtensionREGAL(const GLchar *ext)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetExtensionREGAL","(", boost::print::quote(ext,'"'), ")");;
    #endif
    App("glGetExtensionREGAL","(", boost::print::quote(ext,'"'), ")");
    if (!_context) return GL_FALSE;
    RegalAssert(_context->info);
    RegalAssert(_context->emuInfo)
    return _context->emuInfo->getExtension(*_context->info,ext) ? GL_TRUE : GL_FALSE;
  }

  REGAL_DECL GLboolean REGAL_CALL glIsSupportedREGAL(const GLchar *ext)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsSupportedREGAL","(", boost::print::quote(ext,'"'), ")");;
    #endif
    App("glIsSupportedREGAL","(", boost::print::quote(ext,'"'), ")");
    if (!_context) return GL_FALSE;
    RegalAssert(_context->info);
    RegalAssert(_context->emuInfo)
    return _context->emuInfo->isSupported(*_context->info,ext) ? GL_TRUE : GL_FALSE;
  }

  /* GL_REGAL_log */

  REGAL_DECL void REGAL_CALL glLogMessageCallbackREGAL(GLLOGPROCREGAL callback)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glLogMessageCallbackREGAL","()");;
    #endif
    App("glLogMessageCallbackREGAL","()");
    if (!_context) return;
    // Emulate GL_REGAL_log, if necessary.
    if (!_context->info->gl_regal_log)
    {
      _context->logCallback = callback;
      return;
    }
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLogMessageCallbackREGAL)(callback);
  }

  /* GL_REGAL_proc_address */

  REGAL_DECL void *REGAL_CALL glGetProcAddressREGAL(const GLchar *name)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetProcAddressREGAL","(", boost::print::quote(name,'"'), ")");;
    #endif
    App("glGetProcAddressREGAL","(", boost::print::quote(name,'"'), ")");
    if (!_context) return NULL;
    void *ret;

    ret = Lookup::gl_Lookup<void *>(name);
    if (ret)
      return ret;

    #if REGAL_SYS_WGL
    ret = Lookup::wgl_Lookup<void *>(name);
    if (ret)
      return ret;
    #endif

    #if REGAL_SYS_GLX
    ret = Lookup::glx_Lookup<void *>(name);
    if (ret)
      return ret;
    #endif

    #if REGAL_SYS_EGL
    ret = Lookup::egl_Lookup<void *>(name);
    if (ret)
      return ret;
    #endif

    #if REGAL_SYS_OSX
    ret = Lookup::cgl_Lookup<void *>(name);
    if (ret)
      return ret;
    #endif

    return NULL;
  }

  /* GL_SGIS_detail_texture */

  REGAL_DECL void REGAL_CALL glDetailTexFuncSGIS(GLenum target, GLsizei n, const GLfloat *points)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDetailTexFuncSGIS","(", toString(target), ", ", n, ", ", boost::print::optional(points,Logging::pointers), ")");;
    #endif
    App("glDetailTexFuncSGIS","(", toString(target), ", ", n, ", ", boost::print::optional(points,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDetailTexFuncSGIS)(target, n, points);
  }

  REGAL_DECL void REGAL_CALL glGetDetailTexFuncSGIS(GLenum target, GLfloat *points)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetDetailTexFuncSGIS","(", toString(target), ")");;
    #endif
    App("glGetDetailTexFuncSGIS","(", toString(target), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetDetailTexFuncSGIS)(target, points);
  }

  /* GL_SGIS_fog_function */

  REGAL_DECL void REGAL_CALL glFogFuncSGIS(GLsizei n, const GLfloat *points)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFogFuncSGIS","(", n, ", ", boost::print::optional(points,Logging::pointers), ")");;
    #endif
    App("glFogFuncSGIS","(", n, ", ", boost::print::optional(points,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFogFuncSGIS)(n, points);
  }

  REGAL_DECL void REGAL_CALL glGetFogFuncSGIS(GLfloat *points)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetFogFuncSGIS","()");;
    #endif
    App("glGetFogFuncSGIS","()");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetFogFuncSGIS)(points);
  }

  /* GL_SGIS_multisample */

  REGAL_DECL void REGAL_CALL glSampleMaskSGIS(GLclampf value, GLboolean invert)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSampleMaskSGIS","(", value, ", ", toString(invert), ")");;
    #endif
    App("glSampleMaskSGIS","(", value, ", ", toString(invert), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSampleMaskSGIS)(value, invert);
  }

  REGAL_DECL void REGAL_CALL glSamplePatternSGIS(GLenum pattern)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSamplePatternSGIS","(", toString(pattern), ")");;
    #endif
    App("glSamplePatternSGIS","(", toString(pattern), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSamplePatternSGIS)(pattern);
  }

  /* GL_SGIS_pixel_texture */

  REGAL_DECL void REGAL_CALL glGetPixelTexGenParameterfvSGIS(GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetPixelTexGenParameterfvSGIS","(", toString(pname), ")");;
    #endif
    App("glGetPixelTexGenParameterfvSGIS","(", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPixelTexGenParameterfvSGIS)(pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetPixelTexGenParameterivSGIS(GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetPixelTexGenParameterivSGIS","(", toString(pname), ")");;
    #endif
    App("glGetPixelTexGenParameterivSGIS","(", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetPixelTexGenParameterivSGIS)(pname, params);
  }

  REGAL_DECL void REGAL_CALL glPixelTexGenParameterfSGIS(GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPixelTexGenParameterfSGIS","(", toString(pname), ", ", param, ")");;
    #endif
    App("glPixelTexGenParameterfSGIS","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPixelTexGenParameterfSGIS)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glPixelTexGenParameterfvSGIS(GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPixelTexGenParameterfvSGIS","(", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glPixelTexGenParameterfvSGIS","(", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPixelTexGenParameterfvSGIS)(pname, params);
  }

  REGAL_DECL void REGAL_CALL glPixelTexGenParameteriSGIS(GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPixelTexGenParameteriSGIS","(", toString(pname), ", ", param, ")");;
    #endif
    App("glPixelTexGenParameteriSGIS","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPixelTexGenParameteriSGIS)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glPixelTexGenParameterivSGIS(GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPixelTexGenParameterivSGIS","(", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glPixelTexGenParameterivSGIS","(", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPixelTexGenParameterivSGIS)(pname, params);
  }

  /* GL_SGIS_point_parameters */

  REGAL_DECL void REGAL_CALL glPointParameterfSGIS(GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPointParameterfSGIS","(", toString(pname), ", ", param, ")");;
    #endif
    App("glPointParameterfSGIS","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPointParameterfSGIS)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glPointParameterfvSGIS(GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPointParameterfvSGIS","(", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glPointParameterfvSGIS","(", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPointParameterfvSGIS)(pname, params);
  }

  /* GL_SGIS_sharpen_texture */

  REGAL_DECL void REGAL_CALL glGetSharpenTexFuncSGIS(GLenum target, GLfloat *points)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetSharpenTexFuncSGIS","(", toString(target), ")");;
    #endif
    App("glGetSharpenTexFuncSGIS","(", toString(target), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetSharpenTexFuncSGIS)(target, points);
  }

  REGAL_DECL void REGAL_CALL glSharpenTexFuncSGIS(GLenum target, GLsizei n, const GLfloat *points)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSharpenTexFuncSGIS","(", toString(target), ", ", n, ", ", boost::print::optional(points,Logging::pointers), ")");;
    #endif
    App("glSharpenTexFuncSGIS","(", toString(target), ", ", n, ", ", boost::print::optional(points,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSharpenTexFuncSGIS)(target, n, points);
  }

  /* GL_SGIS_texture4D */

  REGAL_DECL void REGAL_CALL glTexImage4DSGIS(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLsizei size4d, GLint border, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexImage4DSGIS","(", toString(target), ", ", level, ", ", internalFormatToString(internalformat), ", ", width, ", ", height, ", ", depth, ", ", size4d, ", ", border, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(pixels,Logging::pointers), ")");;
    #endif
    App("glTexImage4DSGIS","(", toString(target), ", ", level, ", ", internalFormatToString(internalformat), ", ", width, ", ", height, ", ", depth, ", ", size4d, ", ", border, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(pixels,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexImage4DSGIS)(target, level, internalformat, width, height, depth, size4d, border, format, type, pixels);
  }

  REGAL_DECL void REGAL_CALL glTexSubImage4DSGIS(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint woffset, GLsizei width, GLsizei height, GLsizei depth, GLsizei size4d, GLenum format, GLenum type, const GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexSubImage4DSGIS","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", woffset, ", ", width, ", ", height, ", ", depth, ", ", size4d, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(pixels,Logging::pointers), ")");;
    #endif
    App("glTexSubImage4DSGIS","(", toString(target), ", ", level, ", ", xoffset, ", ", yoffset, ", ", zoffset, ", ", woffset, ", ", width, ", ", height, ", ", depth, ", ", size4d, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(pixels,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexSubImage4DSGIS)(target, level, xoffset, yoffset, zoffset, woffset, width, height, depth, size4d, format, type, pixels);
  }

  /* GL_SGIS_texture_color_mask */

  REGAL_DECL void REGAL_CALL glTextureColorMaskSGIS(GLboolean red, GLboolean green, GLboolean blue, GLboolean alpha)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureColorMaskSGIS","(", toString(red), ", ", toString(green), ", ", toString(blue), ", ", toString(alpha), ")");;
    #endif
    App("glTextureColorMaskSGIS","(", toString(red), ", ", toString(green), ", ", toString(blue), ", ", toString(alpha), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureColorMaskSGIS)(red, green, blue, alpha);
  }

  /* GL_SGIS_texture_filter4 */

  REGAL_DECL void REGAL_CALL glGetTexFilterFuncSGIS(GLenum target, GLenum filter, GLfloat *weights)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetTexFilterFuncSGIS","(", toString(target), ", ", toString(filter), ")");;
    #endif
    App("glGetTexFilterFuncSGIS","(", toString(target), ", ", toString(filter), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetTexFilterFuncSGIS)(target, filter, weights);
  }

  REGAL_DECL void REGAL_CALL glTexFilterFuncSGIS(GLenum target, GLenum filter, GLsizei n, const GLfloat *weights)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexFilterFuncSGIS","(", toString(target), ", ", toString(filter), ", ", n, ", ", boost::print::optional(weights,Logging::pointers), ")");;
    #endif
    App("glTexFilterFuncSGIS","(", toString(target), ", ", toString(filter), ", ", n, ", ", boost::print::optional(weights,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexFilterFuncSGIS)(target, filter, n, weights);
  }

  /* GL_SGIX_async */

  REGAL_DECL void REGAL_CALL glAsyncMarkerSGIX(GLuint marker)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glAsyncMarkerSGIX","(", marker, ")");;
    #endif
    App("glAsyncMarkerSGIX","(", marker, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glAsyncMarkerSGIX)(marker);
  }

  REGAL_DECL void REGAL_CALL glDeleteAsyncMarkersSGIX(GLuint marker, GLsizei range)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDeleteAsyncMarkersSGIX","(", marker, ", ", range, ")");;
    #endif
    App("glDeleteAsyncMarkersSGIX","(", marker, ", ", range, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeleteAsyncMarkersSGIX)(marker, range);
  }

  REGAL_DECL GLint REGAL_CALL glFinishAsyncSGIX(GLuint *markerp)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFinishAsyncSGIX","()");;
    #endif
    App("glFinishAsyncSGIX","()");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glFinishAsyncSGIX)(markerp);
  }

  REGAL_DECL GLuint REGAL_CALL glGenAsyncMarkersSGIX(GLsizei range)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGenAsyncMarkersSGIX","(", range, ")");;
    #endif
    App("glGenAsyncMarkersSGIX","(", range, ")");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGenAsyncMarkersSGIX)(range);
  }

  REGAL_DECL GLboolean REGAL_CALL glIsAsyncMarkerSGIX(GLuint marker)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIsAsyncMarkerSGIX","(", marker, ")");;
    #endif
    App("glIsAsyncMarkerSGIX","(", marker, ")");
    if (!_context) return GL_FALSE;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glIsAsyncMarkerSGIX)(marker);
  }

  REGAL_DECL GLint REGAL_CALL glPollAsyncSGIX(GLuint *markerp)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPollAsyncSGIX","()");;
    #endif
    App("glPollAsyncSGIX","()");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glPollAsyncSGIX)(markerp);
  }

  /* GL_SGIX_flush_raster */

  REGAL_DECL void REGAL_CALL glFlushRasterSGIX(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFlushRasterSGIX","()");;
    #endif
    App("glFlushRasterSGIX","()");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFlushRasterSGIX)();
  }

  /* GL_SGIX_fog_texture */

  REGAL_DECL void REGAL_CALL glTextureFogSGIX(GLenum pname)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTextureFogSGIX","(", toString(pname), ")");;
    #endif
    App("glTextureFogSGIX","(", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTextureFogSGIX)(pname);
  }

  /* GL_SGIX_fragment_lighting */

  REGAL_DECL void REGAL_CALL glFragmentColorMaterialSGIX(GLenum face, GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFragmentColorMaterialSGIX","(", toString(face), ", ", GLmodeToString(mode), ")");;
    #endif
    App("glFragmentColorMaterialSGIX","(", toString(face), ", ", GLmodeToString(mode), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentColorMaterialSGIX)(face, mode);
  }

  REGAL_DECL void REGAL_CALL glFragmentLightModelfSGIX(GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFragmentLightModelfSGIX","(", toString(pname), ", ", param, ")");;
    #endif
    App("glFragmentLightModelfSGIX","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentLightModelfSGIX)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glFragmentLightModelfvSGIX(GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFragmentLightModelfvSGIX","(", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glFragmentLightModelfvSGIX","(", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentLightModelfvSGIX)(pname, params);
  }

  REGAL_DECL void REGAL_CALL glFragmentLightModeliSGIX(GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFragmentLightModeliSGIX","(", toString(pname), ", ", param, ")");;
    #endif
    App("glFragmentLightModeliSGIX","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentLightModeliSGIX)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glFragmentLightModelivSGIX(GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFragmentLightModelivSGIX","(", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glFragmentLightModelivSGIX","(", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentLightModelivSGIX)(pname, params);
  }

  REGAL_DECL void REGAL_CALL glFragmentLightfSGIX(GLenum light, GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFragmentLightfSGIX","(", toString(light), ", ", toString(pname), ", ", param, ")");;
    #endif
    App("glFragmentLightfSGIX","(", toString(light), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentLightfSGIX)(light, pname, param);
  }

  REGAL_DECL void REGAL_CALL glFragmentLightfvSGIX(GLenum light, GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFragmentLightfvSGIX","(", toString(light), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glFragmentLightfvSGIX","(", toString(light), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentLightfvSGIX)(light, pname, params);
  }

  REGAL_DECL void REGAL_CALL glFragmentLightiSGIX(GLenum light, GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFragmentLightiSGIX","(", toString(light), ", ", toString(pname), ", ", param, ")");;
    #endif
    App("glFragmentLightiSGIX","(", toString(light), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentLightiSGIX)(light, pname, param);
  }

  REGAL_DECL void REGAL_CALL glFragmentLightivSGIX(GLenum light, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFragmentLightivSGIX","(", toString(light), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glFragmentLightivSGIX","(", toString(light), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentLightivSGIX)(light, pname, params);
  }

  REGAL_DECL void REGAL_CALL glFragmentMaterialfSGIX(GLenum face, GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFragmentMaterialfSGIX","(", toString(face), ", ", toString(pname), ", ", param, ")");;
    #endif
    App("glFragmentMaterialfSGIX","(", toString(face), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentMaterialfSGIX)(face, pname, param);
  }

  REGAL_DECL void REGAL_CALL glFragmentMaterialfvSGIX(GLenum face, GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFragmentMaterialfvSGIX","(", toString(face), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glFragmentMaterialfvSGIX","(", toString(face), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentMaterialfvSGIX)(face, pname, params);
  }

  REGAL_DECL void REGAL_CALL glFragmentMaterialiSGIX(GLenum face, GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFragmentMaterialiSGIX","(", toString(face), ", ", toString(pname), ", ", param, ")");;
    #endif
    App("glFragmentMaterialiSGIX","(", toString(face), ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentMaterialiSGIX)(face, pname, param);
  }

  REGAL_DECL void REGAL_CALL glFragmentMaterialivSGIX(GLenum face, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFragmentMaterialivSGIX","(", toString(face), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glFragmentMaterialivSGIX","(", toString(face), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFragmentMaterialivSGIX)(face, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetFragmentLightfvSGIX(GLenum light, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetFragmentLightfvSGIX","(", toString(light), ", ", toString(pname), ")");;
    #endif
    App("glGetFragmentLightfvSGIX","(", toString(light), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetFragmentLightfvSGIX)(light, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetFragmentLightivSGIX(GLenum light, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetFragmentLightivSGIX","(", toString(light), ", ", toString(pname), ")");;
    #endif
    App("glGetFragmentLightivSGIX","(", toString(light), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetFragmentLightivSGIX)(light, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetFragmentMaterialfvSGIX(GLenum face, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetFragmentMaterialfvSGIX","(", toString(face), ", ", toString(pname), ")");;
    #endif
    App("glGetFragmentMaterialfvSGIX","(", toString(face), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetFragmentMaterialfvSGIX)(face, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetFragmentMaterialivSGIX(GLenum face, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetFragmentMaterialivSGIX","(", toString(face), ", ", toString(pname), ")");;
    #endif
    App("glGetFragmentMaterialivSGIX","(", toString(face), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetFragmentMaterialivSGIX)(face, pname, params);
  }

  REGAL_DECL void REGAL_CALL glLightEnviSGIX(GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glLightEnviSGIX","(", toString(pname), ", ", param, ")");;
    #endif
    App("glLightEnviSGIX","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLightEnviSGIX)(pname, param);
  }

  /* GL_SGIX_framezoom */

  REGAL_DECL void REGAL_CALL glFrameZoomSGIX(GLint factor)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFrameZoomSGIX","(", factor, ")");;
    #endif
    App("glFrameZoomSGIX","(", factor, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFrameZoomSGIX)(factor);
  }

  /* GL_SGIX_igloo_interface */

  REGAL_DECL void REGAL_CALL glIglooInterfaceSGIX(GLenum pname, const GLvoid *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glIglooInterfaceSGIX","(", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glIglooInterfaceSGIX","(", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glIglooInterfaceSGIX)(pname, params);
  }

  /* GL_SGIX_instruments */

  REGAL_DECL GLint REGAL_CALL glGetInstrumentsSGIX(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetInstrumentsSGIX","()");;
    #endif
    App("glGetInstrumentsSGIX","()");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glGetInstrumentsSGIX)();
  }

  REGAL_DECL void REGAL_CALL glInstrumentsBufferSGIX(GLsizei size, GLint *buffer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glInstrumentsBufferSGIX","(", size, ")");;
    #endif
    App("glInstrumentsBufferSGIX","(", size, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glInstrumentsBufferSGIX)(size, buffer);
  }

  REGAL_DECL GLint REGAL_CALL glPollInstrumentsSGIX(GLint *marker_p)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPollInstrumentsSGIX","()");;
    #endif
    App("glPollInstrumentsSGIX","()");
    if (!_context) return 0;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    return _next->call(&_next->glPollInstrumentsSGIX)(marker_p);
  }

  REGAL_DECL void REGAL_CALL glReadInstrumentsSGIX(GLint marker)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glReadInstrumentsSGIX","(", marker, ")");;
    #endif
    App("glReadInstrumentsSGIX","(", marker, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReadInstrumentsSGIX)(marker);
  }

  REGAL_DECL void REGAL_CALL glStartInstrumentsSGIX(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glStartInstrumentsSGIX","()");;
    #endif
    App("glStartInstrumentsSGIX","()");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glStartInstrumentsSGIX)();
  }

  REGAL_DECL void REGAL_CALL glStopInstrumentsSGIX(GLint marker)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glStopInstrumentsSGIX","(", marker, ")");;
    #endif
    App("glStopInstrumentsSGIX","(", marker, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glStopInstrumentsSGIX)(marker);
  }

  /* GL_SGIX_list_priority */

  REGAL_DECL void REGAL_CALL glGetListParameterfvSGIX(GLuint list, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetListParameterfvSGIX","(", list, ", ", toString(pname), ")");;
    #endif
    App("glGetListParameterfvSGIX","(", list, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetListParameterfvSGIX)(list, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetListParameterivSGIX(GLuint list, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetListParameterivSGIX","(", list, ", ", toString(pname), ")");;
    #endif
    App("glGetListParameterivSGIX","(", list, ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetListParameterivSGIX)(list, pname, params);
  }

  REGAL_DECL void REGAL_CALL glListParameterfSGIX(GLuint list, GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glListParameterfSGIX","(", list, ", ", toString(pname), ", ", param, ")");;
    #endif
    App("glListParameterfSGIX","(", list, ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glListParameterfSGIX)(list, pname, param);
  }

  REGAL_DECL void REGAL_CALL glListParameterfvSGIX(GLuint list, GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glListParameterfvSGIX","(", list, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glListParameterfvSGIX","(", list, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glListParameterfvSGIX)(list, pname, params);
  }

  REGAL_DECL void REGAL_CALL glListParameteriSGIX(GLuint list, GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glListParameteriSGIX","(", list, ", ", toString(pname), ", ", param, ")");;
    #endif
    App("glListParameteriSGIX","(", list, ", ", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glListParameteriSGIX)(list, pname, param);
  }

  REGAL_DECL void REGAL_CALL glListParameterivSGIX(GLuint list, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glListParameterivSGIX","(", list, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glListParameterivSGIX","(", list, ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glListParameterivSGIX)(list, pname, params);
  }

  /* GL_SGIX_pixel_texture */

  REGAL_DECL void REGAL_CALL glPixelTexGenSGIX(GLenum mode)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glPixelTexGenSGIX","(", toString(mode), ")");;
    #endif
    App("glPixelTexGenSGIX","(", toString(mode), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glPixelTexGenSGIX)(mode);
  }

  /* GL_SGIX_polynomial_ffd */

  REGAL_DECL void REGAL_CALL glDeformSGIX(GLbitfield mask)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDeformSGIX","(", mask, ")");;
    #endif
    App("glDeformSGIX","(", mask, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeformSGIX)(mask);
  }

  REGAL_DECL void REGAL_CALL glDeformationMap3dSGIX(GLenum target, GLdouble u1, GLdouble u2, GLint ustride, GLint uorder, GLdouble v1, GLdouble v2, GLint vstride, GLint vorder, GLdouble w1, GLdouble w2, GLint wstride, GLint worder, const GLdouble *points)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDeformationMap3dSGIX","(", toString(target), ", ", u1, ", ", u2, ", ", ustride, ", ", uorder, ", ", v1, ", ", v2, ", ", vstride, ", ", vorder, ", ", w1, ", ", w2, ", ", wstride, ", ", worder, ", ", boost::print::optional(points,Logging::pointers), ")");;
    #endif
    App("glDeformationMap3dSGIX","(", toString(target), ", ", u1, ", ", u2, ", ", ustride, ", ", uorder, ", ", v1, ", ", v2, ", ", vstride, ", ", vorder, ", ", w1, ", ", w2, ", ", wstride, ", ", worder, ", ", boost::print::optional(points,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeformationMap3dSGIX)(target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, w1, w2, wstride, worder, points);
  }

  REGAL_DECL void REGAL_CALL glDeformationMap3fSGIX(GLenum target, GLfloat u1, GLfloat u2, GLint ustride, GLint uorder, GLfloat v1, GLfloat v2, GLint vstride, GLint vorder, GLfloat w1, GLfloat w2, GLint wstride, GLint worder, const GLfloat *points)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDeformationMap3fSGIX","(", toString(target), ", ", u1, ", ", u2, ", ", ustride, ", ", uorder, ", ", v1, ", ", v2, ", ", vstride, ", ", vorder, ", ", w1, ", ", w2, ", ", wstride, ", ", worder, ", ", boost::print::optional(points,Logging::pointers), ")");;
    #endif
    App("glDeformationMap3fSGIX","(", toString(target), ", ", u1, ", ", u2, ", ", ustride, ", ", uorder, ", ", v1, ", ", v2, ", ", vstride, ", ", vorder, ", ", w1, ", ", w2, ", ", wstride, ", ", worder, ", ", boost::print::optional(points,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDeformationMap3fSGIX)(target, u1, u2, ustride, uorder, v1, v2, vstride, vorder, w1, w2, wstride, worder, points);
  }

  REGAL_DECL void REGAL_CALL glLoadIdentityDeformationMapSGIX(GLbitfield mask)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glLoadIdentityDeformationMapSGIX","(", mask, ")");;
    #endif
    App("glLoadIdentityDeformationMapSGIX","(", mask, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glLoadIdentityDeformationMapSGIX)(mask);
  }

  /* GL_SGIX_reference_plane */

  REGAL_DECL void REGAL_CALL glReferencePlaneSGIX(const GLdouble *equation)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glReferencePlaneSGIX","(", boost::print::array(equation,4), ")");;
    #endif
    App("glReferencePlaneSGIX","(", boost::print::array(equation,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReferencePlaneSGIX)(equation);
  }

  /* GL_SGIX_sprite */

  REGAL_DECL void REGAL_CALL glSpriteParameterfSGIX(GLenum pname, GLfloat param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSpriteParameterfSGIX","(", toString(pname), ", ", param, ")");;
    #endif
    App("glSpriteParameterfSGIX","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSpriteParameterfSGIX)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glSpriteParameterfvSGIX(GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSpriteParameterfvSGIX","(", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glSpriteParameterfvSGIX","(", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSpriteParameterfvSGIX)(pname, params);
  }

  REGAL_DECL void REGAL_CALL glSpriteParameteriSGIX(GLenum pname, GLint param)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSpriteParameteriSGIX","(", toString(pname), ", ", param, ")");;
    #endif
    App("glSpriteParameteriSGIX","(", toString(pname), ", ", param, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSpriteParameteriSGIX)(pname, param);
  }

  REGAL_DECL void REGAL_CALL glSpriteParameterivSGIX(GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glSpriteParameterivSGIX","(", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glSpriteParameterivSGIX","(", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glSpriteParameterivSGIX)(pname, params);
  }

  /* GL_SGIX_tag_sample_buffer */

  REGAL_DECL void REGAL_CALL glTagSampleBufferSGIX(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTagSampleBufferSGIX","()");;
    #endif
    App("glTagSampleBufferSGIX","()");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTagSampleBufferSGIX)();
  }

  /* GL_SGI_color_table */

  REGAL_DECL void REGAL_CALL glColorTableParameterfvSGI(GLenum target, GLenum pname, const GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColorTableParameterfvSGI","(", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glColorTableParameterfvSGI","(", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorTableParameterfvSGI)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glColorTableParameterivSGI(GLenum target, GLenum pname, const GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColorTableParameterivSGI","(", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");;
    #endif
    App("glColorTableParameterivSGI","(", toString(target), ", ", toString(pname), ", ", boost::print::optional(params,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorTableParameterivSGI)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glColorTableSGI(GLenum target, GLenum internalformat, GLsizei width, GLenum format, GLenum type, const GLvoid *table)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColorTableSGI","(", toString(target), ", ", toString(internalformat), ", ", width, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(table,Logging::pointers), ")");;
    #endif
    App("glColorTableSGI","(", toString(target), ", ", toString(internalformat), ", ", width, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(table,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColorTableSGI)(target, internalformat, width, format, type, table);
  }

  REGAL_DECL void REGAL_CALL glCopyColorTableSGI(GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glCopyColorTableSGI","(", toString(target), ", ", toString(internalformat), ", ", x, ", ", y, ", ", width, ")");;
    #endif
    App("glCopyColorTableSGI","(", toString(target), ", ", toString(internalformat), ", ", x, ", ", y, ", ", width, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glCopyColorTableSGI)(target, internalformat, x, y, width);
  }

  REGAL_DECL void REGAL_CALL glGetColorTableParameterfvSGI(GLenum target, GLenum pname, GLfloat *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetColorTableParameterfvSGI","(", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetColorTableParameterfvSGI","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetColorTableParameterfvSGI)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetColorTableParameterivSGI(GLenum target, GLenum pname, GLint *params)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetColorTableParameterivSGI","(", toString(target), ", ", toString(pname), ")");;
    #endif
    App("glGetColorTableParameterivSGI","(", toString(target), ", ", toString(pname), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetColorTableParameterivSGI)(target, pname, params);
  }

  REGAL_DECL void REGAL_CALL glGetColorTableSGI(GLenum target, GLenum format, GLenum type, GLvoid *table)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGetColorTableSGI","(", toString(target), ", ", toString(format), ", ", toString(type), ")");;
    #endif
    App("glGetColorTableSGI","(", toString(target), ", ", toString(format), ", ", toString(type), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGetColorTableSGI)(target, format, type, table);
  }

  /* GL_SUNX_constant_data */

  REGAL_DECL void REGAL_CALL glFinishTextureSUNX(void)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glFinishTextureSUNX","()");;
    #endif
    App("glFinishTextureSUNX","()");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glFinishTextureSUNX)();
  }

  /* GL_SUN_global_alpha */

  REGAL_DECL void REGAL_CALL glGlobalAlphaFactorbSUN(GLbyte factor)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGlobalAlphaFactorbSUN","(", factor, ")");;
    #endif
    App("glGlobalAlphaFactorbSUN","(", factor, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGlobalAlphaFactorbSUN)(factor);
  }

  REGAL_DECL void REGAL_CALL glGlobalAlphaFactordSUN(GLdouble factor)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGlobalAlphaFactordSUN","(", factor, ")");;
    #endif
    App("glGlobalAlphaFactordSUN","(", factor, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGlobalAlphaFactordSUN)(factor);
  }

  REGAL_DECL void REGAL_CALL glGlobalAlphaFactorfSUN(GLfloat factor)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGlobalAlphaFactorfSUN","(", factor, ")");;
    #endif
    App("glGlobalAlphaFactorfSUN","(", factor, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGlobalAlphaFactorfSUN)(factor);
  }

  REGAL_DECL void REGAL_CALL glGlobalAlphaFactoriSUN(GLint factor)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGlobalAlphaFactoriSUN","(", factor, ")");;
    #endif
    App("glGlobalAlphaFactoriSUN","(", factor, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGlobalAlphaFactoriSUN)(factor);
  }

  REGAL_DECL void REGAL_CALL glGlobalAlphaFactorsSUN(GLshort factor)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGlobalAlphaFactorsSUN","(", factor, ")");;
    #endif
    App("glGlobalAlphaFactorsSUN","(", factor, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGlobalAlphaFactorsSUN)(factor);
  }

  REGAL_DECL void REGAL_CALL glGlobalAlphaFactorubSUN(GLubyte factor)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGlobalAlphaFactorubSUN","(", factor, ")");;
    #endif
    App("glGlobalAlphaFactorubSUN","(", factor, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGlobalAlphaFactorubSUN)(factor);
  }

  REGAL_DECL void REGAL_CALL glGlobalAlphaFactoruiSUN(GLuint factor)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGlobalAlphaFactoruiSUN","(", factor, ")");;
    #endif
    App("glGlobalAlphaFactoruiSUN","(", factor, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGlobalAlphaFactoruiSUN)(factor);
  }

  REGAL_DECL void REGAL_CALL glGlobalAlphaFactorusSUN(GLushort factor)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glGlobalAlphaFactorusSUN","(", factor, ")");;
    #endif
    App("glGlobalAlphaFactorusSUN","(", factor, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glGlobalAlphaFactorusSUN)(factor);
  }

  /* GL_SUN_mesh_array */

  REGAL_DECL void REGAL_CALL glDrawMeshArraysSUN(GLenum mode, GLint first, GLsizei count, GLsizei width)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glDrawMeshArraysSUN","(", GLmodeToString(mode), ", ", first, ", ", count, ", ", width, ")");;
    #endif
    App("glDrawMeshArraysSUN","(", GLmodeToString(mode), ", ", first, ", ", count, ", ", width, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glDrawMeshArraysSUN)(mode, first, count, width);
  }

  /* GL_SUN_read_video_pixels */

  REGAL_DECL void REGAL_CALL glReadVideoPixelsSUN(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLvoid *pixels)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glReadVideoPixelsSUN","(", x, ", ", y, ", ", width, ", ", height, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(pixels,Logging::pointers), ")");;
    #endif
    App("glReadVideoPixelsSUN","(", x, ", ", y, ", ", width, ", ", height, ", ", toString(format), ", ", toString(type), ", ", boost::print::optional(pixels,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReadVideoPixelsSUN)(x, y, width, height, format, type, pixels);
  }

  /* GL_SUN_triangle_list */

  REGAL_DECL void REGAL_CALL glReplacementCodePointerSUN(GLenum type, GLsizei stride, const GLvoid **pointer)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glReplacementCodePointerSUN","(", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");;
    #endif
    App("glReplacementCodePointerSUN","(", toString(type), ", ", stride, ", ", boost::print::optional(pointer,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReplacementCodePointerSUN)(type, stride, pointer);
  }

  REGAL_DECL void REGAL_CALL glReplacementCodeubSUN(GLubyte code)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glReplacementCodeubSUN","(", code, ")");;
    #endif
    App("glReplacementCodeubSUN","(", code, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReplacementCodeubSUN)(code);
  }

  REGAL_DECL void REGAL_CALL glReplacementCodeubvSUN(const GLubyte *code)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glReplacementCodeubvSUN","(", boost::print::optional(code,Logging::pointers), ")");;
    #endif
    App("glReplacementCodeubvSUN","(", boost::print::optional(code,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReplacementCodeubvSUN)(code);
  }

  REGAL_DECL void REGAL_CALL glReplacementCodeuiSUN(GLuint code)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glReplacementCodeuiSUN","(", code, ")");;
    #endif
    App("glReplacementCodeuiSUN","(", code, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReplacementCodeuiSUN)(code);
  }

  REGAL_DECL void REGAL_CALL glReplacementCodeuivSUN(const GLuint *code)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glReplacementCodeuivSUN","(", boost::print::optional(code,Logging::pointers), ")");;
    #endif
    App("glReplacementCodeuivSUN","(", boost::print::optional(code,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReplacementCodeuivSUN)(code);
  }

  REGAL_DECL void REGAL_CALL glReplacementCodeusSUN(GLushort code)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glReplacementCodeusSUN","(", code, ")");;
    #endif
    App("glReplacementCodeusSUN","(", code, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReplacementCodeusSUN)(code);
  }

  REGAL_DECL void REGAL_CALL glReplacementCodeusvSUN(const GLushort *code)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glReplacementCodeusvSUN","(", boost::print::optional(code,Logging::pointers), ")");;
    #endif
    App("glReplacementCodeusvSUN","(", boost::print::optional(code,Logging::pointers), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReplacementCodeusvSUN)(code);
  }

  /* GL_SUN_vertex */

  REGAL_DECL void REGAL_CALL glColor3fVertex3fSUN(GLfloat r, GLfloat g, GLfloat b, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColor3fVertex3fSUN","(", r, ", ", g, ", ", b, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glColor3fVertex3fSUN","(", r, ", ", g, ", ", b, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor3fVertex3fSUN)(r, g, b, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glColor3fVertex3fvSUN(const GLfloat *c, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColor3fVertex3fvSUN","(", boost::print::array(c,3), ", ", boost::print::array(v,3), ")");;
    #endif
    App("glColor3fVertex3fvSUN","(", boost::print::array(c,3), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor3fVertex3fvSUN)(c, v);
  }

  REGAL_DECL void REGAL_CALL glColor4fNormal3fVertex3fSUN(GLfloat r, GLfloat g, GLfloat b, GLfloat a, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColor4fNormal3fVertex3fSUN","(", r, ", ", g, ", ", b, ", ", a, ", ", nx, ", ", ny, ", ", nz, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glColor4fNormal3fVertex3fSUN","(", r, ", ", g, ", ", b, ", ", a, ", ", nx, ", ", ny, ", ", nz, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor4fNormal3fVertex3fSUN)(r, g, b, a, nx, ny, nz, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glColor4fNormal3fVertex3fvSUN(const GLfloat *c, const GLfloat *n, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColor4fNormal3fVertex3fvSUN","(", boost::print::array(c,4), ", ", boost::print::array(n,3), ", ", boost::print::array(v,3), ")");;
    #endif
    App("glColor4fNormal3fVertex3fvSUN","(", boost::print::array(c,4), ", ", boost::print::array(n,3), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor4fNormal3fVertex3fvSUN)(c, n, v);
  }

  REGAL_DECL void REGAL_CALL glColor4ubVertex2fSUN(GLubyte r, GLubyte g, GLubyte b, GLubyte a, GLfloat x, GLfloat y)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColor4ubVertex2fSUN","(", r, ", ", g, ", ", b, ", ", a, ", ", x, ", ", y, ")");;
    #endif
    App("glColor4ubVertex2fSUN","(", r, ", ", g, ", ", b, ", ", a, ", ", x, ", ", y, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor4ubVertex2fSUN)(r, g, b, a, x, y);
  }

  REGAL_DECL void REGAL_CALL glColor4ubVertex2fvSUN(const GLubyte *c, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColor4ubVertex2fvSUN","(", boost::print::array(c,4), ", ", boost::print::array(v,2), ")");;
    #endif
    App("glColor4ubVertex2fvSUN","(", boost::print::array(c,4), ", ", boost::print::array(v,2), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor4ubVertex2fvSUN)(c, v);
  }

  REGAL_DECL void REGAL_CALL glColor4ubVertex3fSUN(GLubyte r, GLubyte g, GLubyte b, GLubyte a, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColor4ubVertex3fSUN","(", r, ", ", g, ", ", b, ", ", a, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glColor4ubVertex3fSUN","(", r, ", ", g, ", ", b, ", ", a, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor4ubVertex3fSUN)(r, g, b, a, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glColor4ubVertex3fvSUN(const GLubyte *c, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glColor4ubVertex3fvSUN","(", boost::print::array(c,4), ", ", boost::print::array(v,3), ")");;
    #endif
    App("glColor4ubVertex3fvSUN","(", boost::print::array(c,4), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glColor4ubVertex3fvSUN)(c, v);
  }

  REGAL_DECL void REGAL_CALL glNormal3fVertex3fSUN(GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNormal3fVertex3fSUN","(", nx, ", ", ny, ", ", nz, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glNormal3fVertex3fSUN","(", nx, ", ", ny, ", ", nz, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormal3fVertex3fSUN)(nx, ny, nz, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glNormal3fVertex3fvSUN(const GLfloat *n, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glNormal3fVertex3fvSUN","(", boost::print::array(n,3), ", ", boost::print::array(v,3), ")");;
    #endif
    App("glNormal3fVertex3fvSUN","(", boost::print::array(n,3), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glNormal3fVertex3fvSUN)(n, v);
  }

  REGAL_DECL void REGAL_CALL glReplacementCodeuiColor3fVertex3fSUN(GLuint rc, GLfloat r, GLfloat g, GLfloat b, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glReplacementCodeuiColor3fVertex3fSUN","(", rc, ", ", r, ", ", g, ", ", b, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glReplacementCodeuiColor3fVertex3fSUN","(", rc, ", ", r, ", ", g, ", ", b, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReplacementCodeuiColor3fVertex3fSUN)(rc, r, g, b, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glReplacementCodeuiColor3fVertex3fvSUN(const GLuint *rc, const GLfloat *c, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glReplacementCodeuiColor3fVertex3fvSUN","(", boost::print::array(rc,1), ", ", boost::print::array(c,3), ", ", boost::print::array(v,3), ")");;
    #endif
    App("glReplacementCodeuiColor3fVertex3fvSUN","(", boost::print::array(rc,1), ", ", boost::print::array(c,3), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReplacementCodeuiColor3fVertex3fvSUN)(rc, c, v);
  }

  REGAL_DECL void REGAL_CALL glReplacementCodeuiColor4fNormal3fVertex3fSUN(GLuint rc, GLfloat r, GLfloat g, GLfloat b, GLfloat a, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glReplacementCodeuiColor4fNormal3fVertex3fSUN","(", rc, ", ", r, ", ", g, ", ", b, ", ", a, ", ", nx, ", ", ny, ", ", nz, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glReplacementCodeuiColor4fNormal3fVertex3fSUN","(", rc, ", ", r, ", ", g, ", ", b, ", ", a, ", ", nx, ", ", ny, ", ", nz, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReplacementCodeuiColor4fNormal3fVertex3fSUN)(rc, r, g, b, a, nx, ny, nz, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glReplacementCodeuiColor4fNormal3fVertex3fvSUN(const GLuint *rc, const GLfloat *c, const GLfloat *n, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glReplacementCodeuiColor4fNormal3fVertex3fvSUN","(", boost::print::array(rc,1), ", ", boost::print::array(c,4), ", ", boost::print::array(n,3), ", ", boost::print::array(v,3), ")");;
    #endif
    App("glReplacementCodeuiColor4fNormal3fVertex3fvSUN","(", boost::print::array(rc,1), ", ", boost::print::array(c,4), ", ", boost::print::array(n,3), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReplacementCodeuiColor4fNormal3fVertex3fvSUN)(rc, c, n, v);
  }

  REGAL_DECL void REGAL_CALL glReplacementCodeuiColor4ubVertex3fSUN(GLuint rc, GLubyte r, GLubyte g, GLubyte b, GLubyte a, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glReplacementCodeuiColor4ubVertex3fSUN","(", rc, ", ", r, ", ", g, ", ", b, ", ", a, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glReplacementCodeuiColor4ubVertex3fSUN","(", rc, ", ", r, ", ", g, ", ", b, ", ", a, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReplacementCodeuiColor4ubVertex3fSUN)(rc, r, g, b, a, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glReplacementCodeuiColor4ubVertex3fvSUN(const GLuint *rc, const GLubyte *c, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glReplacementCodeuiColor4ubVertex3fvSUN","(", boost::print::array(rc,1), ", ", boost::print::array(c,4), ", ", boost::print::array(v,3), ")");;
    #endif
    App("glReplacementCodeuiColor4ubVertex3fvSUN","(", boost::print::array(rc,1), ", ", boost::print::array(c,4), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReplacementCodeuiColor4ubVertex3fvSUN)(rc, c, v);
  }

  REGAL_DECL void REGAL_CALL glReplacementCodeuiNormal3fVertex3fSUN(GLuint rc, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glReplacementCodeuiNormal3fVertex3fSUN","(", rc, ", ", nx, ", ", ny, ", ", nz, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glReplacementCodeuiNormal3fVertex3fSUN","(", rc, ", ", nx, ", ", ny, ", ", nz, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReplacementCodeuiNormal3fVertex3fSUN)(rc, nx, ny, nz, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glReplacementCodeuiNormal3fVertex3fvSUN(const GLuint *rc, const GLfloat *n, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glReplacementCodeuiNormal3fVertex3fvSUN","(", boost::print::array(rc,1), ", ", boost::print::array(n,3), ", ", boost::print::array(v,3), ")");;
    #endif
    App("glReplacementCodeuiNormal3fVertex3fvSUN","(", boost::print::array(rc,1), ", ", boost::print::array(n,3), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReplacementCodeuiNormal3fVertex3fvSUN)(rc, n, v);
  }

  REGAL_DECL void REGAL_CALL glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN(GLuint rc, GLfloat s, GLfloat t, GLfloat r, GLfloat g, GLfloat b, GLfloat a, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN","(", rc, ", ", s, ", ", t, ", ", r, ", ", g, ", ", b, ", ", a, ", ", nx, ", ", ny, ", ", nz, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN","(", rc, ", ", s, ", ", t, ", ", r, ", ", g, ", ", b, ", ", a, ", ", nx, ", ", ny, ", ", nz, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN)(rc, s, t, r, g, b, a, nx, ny, nz, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN(const GLuint *rc, const GLfloat *tc, const GLfloat *c, const GLfloat *n, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN","(", boost::print::array(rc,1), ", ", boost::print::array(tc,2), ", ", boost::print::array(c,4), ", ", boost::print::array(n,3), ", ", boost::print::array(v,3), ")");;
    #endif
    App("glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN","(", boost::print::array(rc,1), ", ", boost::print::array(tc,2), ", ", boost::print::array(c,4), ", ", boost::print::array(n,3), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN)(rc, tc, c, n, v);
  }

  REGAL_DECL void REGAL_CALL glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN(GLuint rc, GLfloat s, GLfloat t, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN","(", rc, ", ", s, ", ", t, ", ", nx, ", ", ny, ", ", nz, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN","(", rc, ", ", s, ", ", t, ", ", nx, ", ", ny, ", ", nz, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN)(rc, s, t, nx, ny, nz, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN(const GLuint *rc, const GLfloat *tc, const GLfloat *n, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN","(", boost::print::array(rc,1), ", ", boost::print::array(tc,2), ", ", boost::print::array(n,3), ", ", boost::print::array(v,3), ")");;
    #endif
    App("glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN","(", boost::print::array(rc,1), ", ", boost::print::array(tc,2), ", ", boost::print::array(n,3), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN)(rc, tc, n, v);
  }

  REGAL_DECL void REGAL_CALL glReplacementCodeuiTexCoord2fVertex3fSUN(GLuint rc, GLfloat s, GLfloat t, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glReplacementCodeuiTexCoord2fVertex3fSUN","(", rc, ", ", s, ", ", t, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glReplacementCodeuiTexCoord2fVertex3fSUN","(", rc, ", ", s, ", ", t, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReplacementCodeuiTexCoord2fVertex3fSUN)(rc, s, t, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glReplacementCodeuiTexCoord2fVertex3fvSUN(const GLuint *rc, const GLfloat *tc, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glReplacementCodeuiTexCoord2fVertex3fvSUN","(", boost::print::array(rc,1), ", ", boost::print::array(tc,2), ", ", boost::print::array(v,3), ")");;
    #endif
    App("glReplacementCodeuiTexCoord2fVertex3fvSUN","(", boost::print::array(rc,1), ", ", boost::print::array(tc,2), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReplacementCodeuiTexCoord2fVertex3fvSUN)(rc, tc, v);
  }

  REGAL_DECL void REGAL_CALL glReplacementCodeuiVertex3fSUN(GLuint rc, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glReplacementCodeuiVertex3fSUN","(", rc, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glReplacementCodeuiVertex3fSUN","(", rc, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReplacementCodeuiVertex3fSUN)(rc, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glReplacementCodeuiVertex3fvSUN(const GLuint *rc, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glReplacementCodeuiVertex3fvSUN","(", boost::print::array(rc,1), ", ", boost::print::array(v,3), ")");;
    #endif
    App("glReplacementCodeuiVertex3fvSUN","(", boost::print::array(rc,1), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glReplacementCodeuiVertex3fvSUN)(rc, v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord2fColor3fVertex3fSUN(GLfloat s, GLfloat t, GLfloat r, GLfloat g, GLfloat b, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord2fColor3fVertex3fSUN","(", s, ", ", t, ", ", r, ", ", g, ", ", b, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glTexCoord2fColor3fVertex3fSUN","(", s, ", ", t, ", ", r, ", ", g, ", ", b, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord2fColor3fVertex3fSUN)(s, t, r, g, b, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glTexCoord2fColor3fVertex3fvSUN(const GLfloat *tc, const GLfloat *c, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord2fColor3fVertex3fvSUN","(", boost::print::array(tc,2), ", ", boost::print::array(c,3), ", ", boost::print::array(v,3), ")");;
    #endif
    App("glTexCoord2fColor3fVertex3fvSUN","(", boost::print::array(tc,2), ", ", boost::print::array(c,3), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord2fColor3fVertex3fvSUN)(tc, c, v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord2fColor4fNormal3fVertex3fSUN(GLfloat s, GLfloat t, GLfloat r, GLfloat g, GLfloat b, GLfloat a, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord2fColor4fNormal3fVertex3fSUN","(", s, ", ", t, ", ", r, ", ", g, ", ", b, ", ", a, ", ", nx, ", ", ny, ", ", nz, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glTexCoord2fColor4fNormal3fVertex3fSUN","(", s, ", ", t, ", ", r, ", ", g, ", ", b, ", ", a, ", ", nx, ", ", ny, ", ", nz, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord2fColor4fNormal3fVertex3fSUN)(s, t, r, g, b, a, nx, ny, nz, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glTexCoord2fColor4fNormal3fVertex3fvSUN(const GLfloat *tc, const GLfloat *c, const GLfloat *n, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord2fColor4fNormal3fVertex3fvSUN","(", boost::print::array(tc,2), ", ", boost::print::array(c,4), ", ", boost::print::array(n,3), ", ", boost::print::array(v,3), ")");;
    #endif
    App("glTexCoord2fColor4fNormal3fVertex3fvSUN","(", boost::print::array(tc,2), ", ", boost::print::array(c,4), ", ", boost::print::array(n,3), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord2fColor4fNormal3fVertex3fvSUN)(tc, c, n, v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord2fColor4ubVertex3fSUN(GLfloat s, GLfloat t, GLubyte r, GLubyte g, GLubyte b, GLubyte a, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord2fColor4ubVertex3fSUN","(", s, ", ", t, ", ", r, ", ", g, ", ", b, ", ", a, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glTexCoord2fColor4ubVertex3fSUN","(", s, ", ", t, ", ", r, ", ", g, ", ", b, ", ", a, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord2fColor4ubVertex3fSUN)(s, t, r, g, b, a, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glTexCoord2fColor4ubVertex3fvSUN(const GLfloat *tc, const GLubyte *c, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord2fColor4ubVertex3fvSUN","(", boost::print::array(tc,2), ", ", boost::print::array(c,4), ", ", boost::print::array(v,3), ")");;
    #endif
    App("glTexCoord2fColor4ubVertex3fvSUN","(", boost::print::array(tc,2), ", ", boost::print::array(c,4), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord2fColor4ubVertex3fvSUN)(tc, c, v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord2fNormal3fVertex3fSUN(GLfloat s, GLfloat t, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord2fNormal3fVertex3fSUN","(", s, ", ", t, ", ", nx, ", ", ny, ", ", nz, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glTexCoord2fNormal3fVertex3fSUN","(", s, ", ", t, ", ", nx, ", ", ny, ", ", nz, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord2fNormal3fVertex3fSUN)(s, t, nx, ny, nz, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glTexCoord2fNormal3fVertex3fvSUN(const GLfloat *tc, const GLfloat *n, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord2fNormal3fVertex3fvSUN","(", boost::print::array(tc,2), ", ", boost::print::array(n,3), ", ", boost::print::array(v,3), ")");;
    #endif
    App("glTexCoord2fNormal3fVertex3fvSUN","(", boost::print::array(tc,2), ", ", boost::print::array(n,3), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord2fNormal3fVertex3fvSUN)(tc, n, v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord2fVertex3fSUN(GLfloat s, GLfloat t, GLfloat x, GLfloat y, GLfloat z)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord2fVertex3fSUN","(", s, ", ", t, ", ", x, ", ", y, ", ", z, ")");;
    #endif
    App("glTexCoord2fVertex3fSUN","(", s, ", ", t, ", ", x, ", ", y, ", ", z, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord2fVertex3fSUN)(s, t, x, y, z);
  }

  REGAL_DECL void REGAL_CALL glTexCoord2fVertex3fvSUN(const GLfloat *tc, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord2fVertex3fvSUN","(", boost::print::array(tc,2), ", ", boost::print::array(v,3), ")");;
    #endif
    App("glTexCoord2fVertex3fvSUN","(", boost::print::array(tc,2), ", ", boost::print::array(v,3), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord2fVertex3fvSUN)(tc, v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord4fColor4fNormal3fVertex4fSUN(GLfloat s, GLfloat t, GLfloat p, GLfloat q, GLfloat r, GLfloat g, GLfloat b, GLfloat a, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord4fColor4fNormal3fVertex4fSUN","(", s, ", ", t, ", ", p, ", ", q, ", ", r, ", ", g, ", ", b, ", ", a, ", ", nx, ", ", ny, ", ", nz, ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glTexCoord4fColor4fNormal3fVertex4fSUN","(", s, ", ", t, ", ", p, ", ", q, ", ", r, ", ", g, ", ", b, ", ", a, ", ", nx, ", ", ny, ", ", nz, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord4fColor4fNormal3fVertex4fSUN)(s, t, p, q, r, g, b, a, nx, ny, nz, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glTexCoord4fColor4fNormal3fVertex4fvSUN(const GLfloat *tc, const GLfloat *c, const GLfloat *n, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord4fColor4fNormal3fVertex4fvSUN","(", boost::print::array(tc,4), ", ", boost::print::array(c,4), ", ", boost::print::array(n,3), ", ", boost::print::array(v,4), ")");;
    #endif
    App("glTexCoord4fColor4fNormal3fVertex4fvSUN","(", boost::print::array(tc,4), ", ", boost::print::array(c,4), ", ", boost::print::array(n,3), ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord4fColor4fNormal3fVertex4fvSUN)(tc, c, n, v);
  }

  REGAL_DECL void REGAL_CALL glTexCoord4fVertex4fSUN(GLfloat s, GLfloat t, GLfloat p, GLfloat q, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord4fVertex4fSUN","(", s, ", ", t, ", ", p, ", ", q, ", ", x, ", ", y, ", ", z, ", ", w, ")");;
    #endif
    App("glTexCoord4fVertex4fSUN","(", s, ", ", t, ", ", p, ", ", q, ", ", x, ", ", y, ", ", z, ", ", w, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord4fVertex4fSUN)(s, t, p, q, x, y, z, w);
  }

  REGAL_DECL void REGAL_CALL glTexCoord4fVertex4fvSUN(const GLfloat *tc, const GLfloat *v)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glTexCoord4fVertex4fvSUN","(", boost::print::array(tc,4), ", ", boost::print::array(v,4), ")");;
    #endif
    App("glTexCoord4fVertex4fvSUN","(", boost::print::array(tc,4), ", ", boost::print::array(v,4), ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glTexCoord4fVertex4fvSUN)(tc, v);
  }

  /* GL_WIN_swap_hint */

  REGAL_DECL void REGAL_CALL glAddSwapHintRectWIN(GLint x, GLint y, GLsizei width, GLsizei height)
  {
    RegalContext *_context = REGAL_GET_CONTEXT();
    RegalAssert(Init::isInitialized());
    #if REGAL_HTTP
    _context->http.callString = print_string("glAddSwapHintRectWIN","(", x, ", ", y, ", ", width, ", ", height, ")");;
    #endif
    App("glAddSwapHintRectWIN","(", x, ", ", y, ", ", width, ", ", height, ")");
    if (!_context) return;
    DispatchTableGL *_next = &_context->dispatcher.front();
    RegalAssert(_next);
    _next->call(&_next->glAddSwapHintRectWIN)(x, y, width, height);
  }

#if REGAL_SYS_WGL

  /* WGL_3DL_stereo_control */

  REGAL_DECL BOOL REGAL_CALL wglSetStereoEmitterState3DL(HDC hDC, UINT uState)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ", ", uState, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglSetStereoEmitterState3DL", params );
      }
      App( "wglSetStereoEmitterState3DL", params );
    }
    #else
    App("wglSetStereoEmitterState3DL","(", boost::print::optional(hDC,Logging::pointers), ", ", uState, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglSetStereoEmitterState3DL)(hDC, uState);
    return ret;
  }

  /* WGL_AMD_gpu_association */

  REGAL_DECL VOID REGAL_CALL wglBlitContextFramebufferAMD(HGLRC dstCtx, GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dstCtx,Logging::pointers), ", ", srcX0, ", ", srcY0, ", ", srcX1, ", ", srcY1, ", ", dstX0, ", ", dstY0, ", ", dstX1, ", ", dstY1, ", ", GLblitFramebufferToString(mask), ", ", toString(filter), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglBlitContextFramebufferAMD", params );
      }
      App( "wglBlitContextFramebufferAMD", params );
    }
    #else
    App("wglBlitContextFramebufferAMD","(", boost::print::optional(dstCtx,Logging::pointers), ", ", srcX0, ", ", srcY0, ", ", srcX1, ", ", srcY1, ", ", dstX0, ", ", dstY0, ", ", dstX1, ", ", dstY1, ", ", GLblitFramebufferToString(mask), ", ", toString(filter), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    _next->call(&_next->wglBlitContextFramebufferAMD)(dstCtx, srcX0, srcY0, srcX1, srcY1, dstX0, dstY0, dstX1, dstY1, mask, filter);
  }

  REGAL_DECL HGLRC REGAL_CALL wglCreateAssociatedContextAMD(UINT id)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", id, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglCreateAssociatedContextAMD", params );
      }
      App( "wglCreateAssociatedContextAMD", params );
    }
    #else
    App("wglCreateAssociatedContextAMD","(", id, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    HGLRC ret = NULL;
    ret = _next->call(&_next->wglCreateAssociatedContextAMD)(id);
    return ret;
  }

  REGAL_DECL HGLRC REGAL_CALL wglCreateAssociatedContextAttribsAMD(UINT id, HGLRC hShareContext, const int *attribList)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", id, ", ", boost::print::optional(hShareContext,Logging::pointers), ", ", boost::print::optional(attribList,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglCreateAssociatedContextAttribsAMD", params );
      }
      App( "wglCreateAssociatedContextAttribsAMD", params );
    }
    #else
    App("wglCreateAssociatedContextAttribsAMD","(", id, ", ", boost::print::optional(hShareContext,Logging::pointers), ", ", boost::print::optional(attribList,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    HGLRC ret = NULL;
    ret = _next->call(&_next->wglCreateAssociatedContextAttribsAMD)(id, hShareContext, attribList);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglDeleteAssociatedContextAMD(HGLRC hglrc)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hglrc,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglDeleteAssociatedContextAMD", params );
      }
      App( "wglDeleteAssociatedContextAMD", params );
    }
    #else
    App("wglDeleteAssociatedContextAMD","(", boost::print::optional(hglrc,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglDeleteAssociatedContextAMD)(hglrc);
    return ret;
  }

  REGAL_DECL UINT REGAL_CALL wglGetContextGPUIDAMD(HGLRC hglrc)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hglrc,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglGetContextGPUIDAMD", params );
      }
      App( "wglGetContextGPUIDAMD", params );
    }
    #else
    App("wglGetContextGPUIDAMD","(", boost::print::optional(hglrc,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    UINT ret = 0;
    ret = _next->call(&_next->wglGetContextGPUIDAMD)(hglrc);
    return ret;
  }

  REGAL_DECL HGLRC REGAL_CALL wglGetCurrentAssociatedContextAMD(void)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("()");
      if( _context ) {
        _context->http.callString = print_string( "wglGetCurrentAssociatedContextAMD", params );
      }
      App( "wglGetCurrentAssociatedContextAMD", params );
    }
    #else
    App("wglGetCurrentAssociatedContextAMD","()");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    HGLRC ret = NULL;
    ret = _next->call(&_next->wglGetCurrentAssociatedContextAMD)();
    return ret;
  }

  REGAL_DECL UINT REGAL_CALL wglGetGPUIDsAMD(UINT maxCount, UINT *ids)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", maxCount, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglGetGPUIDsAMD", params );
      }
      App( "wglGetGPUIDsAMD", params );
    }
    #else
    App("wglGetGPUIDsAMD","(", maxCount, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    UINT ret = 0;
    ret = _next->call(&_next->wglGetGPUIDsAMD)(maxCount, ids);
    return ret;
  }

  REGAL_DECL INT REGAL_CALL wglGetGPUInfoAMD(UINT id, int property, GLenum dataType, UINT size, void *data)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", id, ", ", property, ", ", toString(dataType), ", ", size, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglGetGPUInfoAMD", params );
      }
      App( "wglGetGPUInfoAMD", params );
    }
    #else
    App("wglGetGPUInfoAMD","(", id, ", ", property, ", ", toString(dataType), ", ", size, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    INT ret = 0;
    ret = _next->call(&_next->wglGetGPUInfoAMD)(id, property, dataType, size, data);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglMakeAssociatedContextCurrentAMD(HGLRC hglrc)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hglrc,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglMakeAssociatedContextCurrentAMD", params );
      }
      App( "wglMakeAssociatedContextCurrentAMD", params );
    }
    #else
    App("wglMakeAssociatedContextCurrentAMD","(", boost::print::optional(hglrc,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglMakeAssociatedContextCurrentAMD)(hglrc);
    return ret;
  }

  /* WGL_ARB_buffer_region */

  REGAL_DECL HANDLE REGAL_CALL wglCreateBufferRegionARB(HDC hDC, int iLayerPlane, UINT uType)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ", ", iLayerPlane, ", ", uType, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglCreateBufferRegionARB", params );
      }
      App( "wglCreateBufferRegionARB", params );
    }
    #else
    App("wglCreateBufferRegionARB","(", boost::print::optional(hDC,Logging::pointers), ", ", iLayerPlane, ", ", uType, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    HANDLE ret = 0;
    ret = _next->call(&_next->wglCreateBufferRegionARB)(hDC, iLayerPlane, uType);
    return ret;
  }

  REGAL_DECL VOID REGAL_CALL wglDeleteBufferRegionARB(HANDLE hRegion)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", hRegion, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglDeleteBufferRegionARB", params );
      }
      App( "wglDeleteBufferRegionARB", params );
    }
    #else
    App("wglDeleteBufferRegionARB","(", hRegion, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    _next->call(&_next->wglDeleteBufferRegionARB)(hRegion);
  }

  REGAL_DECL BOOL REGAL_CALL wglRestoreBufferRegionARB(HANDLE hRegion, int x, int y, int width, int height, int xSrc, int ySrc)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", hRegion, ", ", x, ", ", y, ", ", width, ", ", height, ", ", xSrc, ", ", ySrc, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglRestoreBufferRegionARB", params );
      }
      App( "wglRestoreBufferRegionARB", params );
    }
    #else
    App("wglRestoreBufferRegionARB","(", hRegion, ", ", x, ", ", y, ", ", width, ", ", height, ", ", xSrc, ", ", ySrc, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglRestoreBufferRegionARB)(hRegion, x, y, width, height, xSrc, ySrc);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglSaveBufferRegionARB(HANDLE hRegion, int x, int y, int width, int height)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", hRegion, ", ", x, ", ", y, ", ", width, ", ", height, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglSaveBufferRegionARB", params );
      }
      App( "wglSaveBufferRegionARB", params );
    }
    #else
    App("wglSaveBufferRegionARB","(", hRegion, ", ", x, ", ", y, ", ", width, ", ", height, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglSaveBufferRegionARB)(hRegion, x, y, width, height);
    return ret;
  }

  /* WGL_ARB_create_context */

  REGAL_DECL HGLRC REGAL_CALL wglCreateContextAttribsARB(HDC hDC, HGLRC hShareContext, const int *piAttribList)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ", ", boost::print::optional(hShareContext,Logging::pointers), ", ", boost::print::optional(piAttribList,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglCreateContextAttribsARB", params );
      }
      App( "wglCreateContextAttribsARB", params );
    }
    #else
    App("wglCreateContextAttribsARB","(", boost::print::optional(hDC,Logging::pointers), ", ", boost::print::optional(hShareContext,Logging::pointers), ", ", boost::print::optional(piAttribList,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    HGLRC ret = NULL;
    ret = _next->call(&_next->wglCreateContextAttribsARB)(hDC, hShareContext, piAttribList);
    if (ret && hShareContext)
      Init::shareContext(ret,hShareContext);
    return ret;
  }

  /* WGL_ARB_extensions_string */

  REGAL_DECL const char *REGAL_CALL wglGetExtensionsStringARB(HDC hDC)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglGetExtensionsStringARB", params );
      }
      App( "wglGetExtensionsStringARB", params );
    }
    #else
    App("wglGetExtensionsStringARB","(", boost::print::optional(hDC,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    const char * ret = NULL;
    ret = _next->call(&_next->wglGetExtensionsStringARB)(hDC);
    return ret;
  }

  /* WGL_ARB_make_current_read */

  REGAL_DECL HDC REGAL_CALL wglGetCurrentReadDCARB(void)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("()");
      if( _context ) {
        _context->http.callString = print_string( "wglGetCurrentReadDCARB", params );
      }
      App( "wglGetCurrentReadDCARB", params );
    }
    #else
    App("wglGetCurrentReadDCARB","()");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    HDC ret = NULL;
    ret = _next->call(&_next->wglGetCurrentReadDCARB)();
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglMakeContextCurrentARB(HDC hDrawDC, HDC hReadDC, HGLRC hglrc)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDrawDC,Logging::pointers), ", ", boost::print::optional(hReadDC,Logging::pointers), ", ", boost::print::optional(hglrc,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglMakeContextCurrentARB", params );
      }
      App( "wglMakeContextCurrentARB", params );
    }
    #else
    App("wglMakeContextCurrentARB","(", boost::print::optional(hDrawDC,Logging::pointers), ", ", boost::print::optional(hReadDC,Logging::pointers), ", ", boost::print::optional(hglrc,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglMakeContextCurrentARB)(hDrawDC, hReadDC, hglrc);
    return ret;
  }

  /* WGL_ARB_pbuffer */

  REGAL_DECL HPBUFFERARB REGAL_CALL wglCreatePbufferARB(HDC hDC, int iPixelFormat, int iWidth, int iHeight, const int *piAttribList)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ", ", iPixelFormat, ", ", iWidth, ", ", iHeight, ", ", boost::print::optional(piAttribList,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglCreatePbufferARB", params );
      }
      App( "wglCreatePbufferARB", params );
    }
    #else
    App("wglCreatePbufferARB","(", boost::print::optional(hDC,Logging::pointers), ", ", iPixelFormat, ", ", iWidth, ", ", iHeight, ", ", boost::print::optional(piAttribList,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    HPBUFFERARB ret = (HPBUFFERARB) 0;
    ret = _next->call(&_next->wglCreatePbufferARB)(hDC, iPixelFormat, iWidth, iHeight, piAttribList);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglDestroyPbufferARB(HPBUFFERARB hPbuffer)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hPbuffer,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglDestroyPbufferARB", params );
      }
      App( "wglDestroyPbufferARB", params );
    }
    #else
    App("wglDestroyPbufferARB","(", boost::print::optional(hPbuffer,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglDestroyPbufferARB)(hPbuffer);
    return ret;
  }

  REGAL_DECL HDC REGAL_CALL wglGetPbufferDCARB(HPBUFFERARB hPbuffer)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hPbuffer,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglGetPbufferDCARB", params );
      }
      App( "wglGetPbufferDCARB", params );
    }
    #else
    App("wglGetPbufferDCARB","(", boost::print::optional(hPbuffer,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    HDC ret = NULL;
    ret = _next->call(&_next->wglGetPbufferDCARB)(hPbuffer);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglQueryPbufferARB(HPBUFFERARB hPbuffer, int iAttribute, int *piValue)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hPbuffer,Logging::pointers), ", ", iAttribute, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglQueryPbufferARB", params );
      }
      App( "wglQueryPbufferARB", params );
    }
    #else
    App("wglQueryPbufferARB","(", boost::print::optional(hPbuffer,Logging::pointers), ", ", iAttribute, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglQueryPbufferARB)(hPbuffer, iAttribute, piValue);
    return ret;
  }

  REGAL_DECL int REGAL_CALL wglReleasePbufferDCARB(HPBUFFERARB hPbuffer, HDC hDC)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hPbuffer,Logging::pointers), ", ", boost::print::optional(hDC,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglReleasePbufferDCARB", params );
      }
      App( "wglReleasePbufferDCARB", params );
    }
    #else
    App("wglReleasePbufferDCARB","(", boost::print::optional(hPbuffer,Logging::pointers), ", ", boost::print::optional(hDC,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    int ret = 0;
    ret = _next->call(&_next->wglReleasePbufferDCARB)(hPbuffer, hDC);
    return ret;
  }

  /* WGL_ARB_pixel_format */

  REGAL_DECL BOOL REGAL_CALL wglChoosePixelFormatARB(HDC hDC, const int *piAttribIList, const FLOAT *pfAttribFList, UINT nMaxFormats, int *piFormats, UINT *nNumFormats)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ", ", boost::print::optional(piAttribIList,Logging::pointers), ", ", pfAttribFList, ", ", nMaxFormats, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglChoosePixelFormatARB", params );
      }
      App( "wglChoosePixelFormatARB", params );
    }
    #else
    App("wglChoosePixelFormatARB","(", boost::print::optional(hDC,Logging::pointers), ", ", boost::print::optional(piAttribIList,Logging::pointers), ", ", pfAttribFList, ", ", nMaxFormats, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglChoosePixelFormatARB)(hDC, piAttribIList, pfAttribFList, nMaxFormats, piFormats, nNumFormats);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglGetPixelFormatAttribfvARB(HDC hDC, int iPixelFormat, int iLayerPlane, UINT nAttributes, const int *piAttributes, FLOAT *pfValues)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ", ", iPixelFormat, ", ", iLayerPlane, ", ", nAttributes, ", ", boost::print::array(piAttributes,nAttributes), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglGetPixelFormatAttribfvARB", params );
      }
      App( "wglGetPixelFormatAttribfvARB", params );
    }
    #else
    App("wglGetPixelFormatAttribfvARB","(", boost::print::optional(hDC,Logging::pointers), ", ", iPixelFormat, ", ", iLayerPlane, ", ", nAttributes, ", ", boost::print::array(piAttributes,nAttributes), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglGetPixelFormatAttribfvARB)(hDC, iPixelFormat, iLayerPlane, nAttributes, piAttributes, pfValues);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglGetPixelFormatAttribivARB(HDC hDC, int iPixelFormat, int iLayerPlane, UINT nAttributes, const int *piAttributes, int *piValues)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ", ", iPixelFormat, ", ", iLayerPlane, ", ", nAttributes, ", ", boost::print::array(piAttributes,nAttributes), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglGetPixelFormatAttribivARB", params );
      }
      App( "wglGetPixelFormatAttribivARB", params );
    }
    #else
    App("wglGetPixelFormatAttribivARB","(", boost::print::optional(hDC,Logging::pointers), ", ", iPixelFormat, ", ", iLayerPlane, ", ", nAttributes, ", ", boost::print::array(piAttributes,nAttributes), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglGetPixelFormatAttribivARB)(hDC, iPixelFormat, iLayerPlane, nAttributes, piAttributes, piValues);
    return ret;
  }

  /* WGL_ARB_render_texture */

  REGAL_DECL BOOL REGAL_CALL wglBindTexImageARB(HPBUFFERARB hPbuffer, int iBuffer)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hPbuffer,Logging::pointers), ", ", iBuffer, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglBindTexImageARB", params );
      }
      App( "wglBindTexImageARB", params );
    }
    #else
    App("wglBindTexImageARB","(", boost::print::optional(hPbuffer,Logging::pointers), ", ", iBuffer, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglBindTexImageARB)(hPbuffer, iBuffer);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglReleaseTexImageARB(HPBUFFERARB hPbuffer, int iBuffer)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hPbuffer,Logging::pointers), ", ", iBuffer, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglReleaseTexImageARB", params );
      }
      App( "wglReleaseTexImageARB", params );
    }
    #else
    App("wglReleaseTexImageARB","(", boost::print::optional(hPbuffer,Logging::pointers), ", ", iBuffer, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglReleaseTexImageARB)(hPbuffer, iBuffer);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglSetPbufferAttribARB(HPBUFFERARB hPbuffer, const int *piAttribList)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hPbuffer,Logging::pointers), ", ", boost::print::optional(piAttribList,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglSetPbufferAttribARB", params );
      }
      App( "wglSetPbufferAttribARB", params );
    }
    #else
    App("wglSetPbufferAttribARB","(", boost::print::optional(hPbuffer,Logging::pointers), ", ", boost::print::optional(piAttribList,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglSetPbufferAttribARB)(hPbuffer, piAttribList);
    return ret;
  }

  /* WGL_EXT_display_color_table */

  REGAL_DECL GLboolean REGAL_CALL wglBindDisplayColorTableEXT(GLushort id)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", id, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglBindDisplayColorTableEXT", params );
      }
      App( "wglBindDisplayColorTableEXT", params );
    }
    #else
    App("wglBindDisplayColorTableEXT","(", id, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    GLboolean ret = GL_FALSE;
    ret = _next->call(&_next->wglBindDisplayColorTableEXT)(id);
    return ret;
  }

  REGAL_DECL GLboolean REGAL_CALL wglCreateDisplayColorTableEXT(GLushort id)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", id, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglCreateDisplayColorTableEXT", params );
      }
      App( "wglCreateDisplayColorTableEXT", params );
    }
    #else
    App("wglCreateDisplayColorTableEXT","(", id, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    GLboolean ret = GL_FALSE;
    ret = _next->call(&_next->wglCreateDisplayColorTableEXT)(id);
    return ret;
  }

  REGAL_DECL VOID REGAL_CALL wglDestroyDisplayColorTableEXT(GLushort id)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", id, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglDestroyDisplayColorTableEXT", params );
      }
      App( "wglDestroyDisplayColorTableEXT", params );
    }
    #else
    App("wglDestroyDisplayColorTableEXT","(", id, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    _next->call(&_next->wglDestroyDisplayColorTableEXT)(id);
  }

  REGAL_DECL GLboolean REGAL_CALL wglLoadDisplayColorTableEXT(const GLushort *table, GLuint length)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::array(table,length), ", ", length, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglLoadDisplayColorTableEXT", params );
      }
      App( "wglLoadDisplayColorTableEXT", params );
    }
    #else
    App("wglLoadDisplayColorTableEXT","(", boost::print::array(table,length), ", ", length, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    GLboolean ret = GL_FALSE;
    ret = _next->call(&_next->wglLoadDisplayColorTableEXT)(table, length);
    return ret;
  }

  /* WGL_EXT_extensions_string */

  REGAL_DECL const char *REGAL_CALL wglGetExtensionsStringEXT(void)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("()");
      if( _context ) {
        _context->http.callString = print_string( "wglGetExtensionsStringEXT", params );
      }
      App( "wglGetExtensionsStringEXT", params );
    }
    #else
    App("wglGetExtensionsStringEXT","()");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    const char * ret = NULL;
    ret = _next->call(&_next->wglGetExtensionsStringEXT)();
    return ret;
  }

  /* WGL_EXT_make_current_read */

  REGAL_DECL HDC REGAL_CALL wglGetCurrentReadDCEXT(void)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("()");
      if( _context ) {
        _context->http.callString = print_string( "wglGetCurrentReadDCEXT", params );
      }
      App( "wglGetCurrentReadDCEXT", params );
    }
    #else
    App("wglGetCurrentReadDCEXT","()");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    HDC ret = NULL;
    ret = _next->call(&_next->wglGetCurrentReadDCEXT)();
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglMakeContextCurrentEXT(HDC hDrawDC, HDC hReadDC, HGLRC hglrc)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDrawDC,Logging::pointers), ", ", boost::print::optional(hReadDC,Logging::pointers), ", ", boost::print::optional(hglrc,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglMakeContextCurrentEXT", params );
      }
      App( "wglMakeContextCurrentEXT", params );
    }
    #else
    App("wglMakeContextCurrentEXT","(", boost::print::optional(hDrawDC,Logging::pointers), ", ", boost::print::optional(hReadDC,Logging::pointers), ", ", boost::print::optional(hglrc,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglMakeContextCurrentEXT)(hDrawDC, hReadDC, hglrc);
    return ret;
  }

  /* WGL_EXT_pbuffer */

  REGAL_DECL HPBUFFEREXT REGAL_CALL wglCreatePbufferEXT(HDC hDC, int iPixelFormat, int iWidth, int iHeight, const int *piAttribList)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ", ", iPixelFormat, ", ", iWidth, ", ", iHeight, ", ", boost::print::optional(piAttribList,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglCreatePbufferEXT", params );
      }
      App( "wglCreatePbufferEXT", params );
    }
    #else
    App("wglCreatePbufferEXT","(", boost::print::optional(hDC,Logging::pointers), ", ", iPixelFormat, ", ", iWidth, ", ", iHeight, ", ", boost::print::optional(piAttribList,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    HPBUFFEREXT ret = (HPBUFFEREXT) 0;
    ret = _next->call(&_next->wglCreatePbufferEXT)(hDC, iPixelFormat, iWidth, iHeight, piAttribList);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglDestroyPbufferEXT(HPBUFFEREXT hPbuffer)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hPbuffer,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglDestroyPbufferEXT", params );
      }
      App( "wglDestroyPbufferEXT", params );
    }
    #else
    App("wglDestroyPbufferEXT","(", boost::print::optional(hPbuffer,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglDestroyPbufferEXT)(hPbuffer);
    return ret;
  }

  REGAL_DECL HDC REGAL_CALL wglGetPbufferDCEXT(HPBUFFEREXT hPbuffer)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hPbuffer,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglGetPbufferDCEXT", params );
      }
      App( "wglGetPbufferDCEXT", params );
    }
    #else
    App("wglGetPbufferDCEXT","(", boost::print::optional(hPbuffer,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    HDC ret = NULL;
    ret = _next->call(&_next->wglGetPbufferDCEXT)(hPbuffer);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglQueryPbufferEXT(HPBUFFEREXT hPbuffer, int iAttribute, int *piValue)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hPbuffer,Logging::pointers), ", ", iAttribute, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglQueryPbufferEXT", params );
      }
      App( "wglQueryPbufferEXT", params );
    }
    #else
    App("wglQueryPbufferEXT","(", boost::print::optional(hPbuffer,Logging::pointers), ", ", iAttribute, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglQueryPbufferEXT)(hPbuffer, iAttribute, piValue);
    return ret;
  }

  REGAL_DECL int REGAL_CALL wglReleasePbufferDCEXT(HPBUFFEREXT hPbuffer, HDC hDC)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hPbuffer,Logging::pointers), ", ", boost::print::optional(hDC,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglReleasePbufferDCEXT", params );
      }
      App( "wglReleasePbufferDCEXT", params );
    }
    #else
    App("wglReleasePbufferDCEXT","(", boost::print::optional(hPbuffer,Logging::pointers), ", ", boost::print::optional(hDC,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    int ret = 0;
    ret = _next->call(&_next->wglReleasePbufferDCEXT)(hPbuffer, hDC);
    return ret;
  }

  /* WGL_EXT_pixel_format */

  REGAL_DECL BOOL REGAL_CALL wglChoosePixelFormatEXT(HDC hDC, const int *piAttribIList, const FLOAT *pfAttribFList, UINT nMaxFormats, int *piFormats, UINT *nNumFormats)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ", ", boost::print::optional(piAttribIList,Logging::pointers), ", ", pfAttribFList, ", ", nMaxFormats, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglChoosePixelFormatEXT", params );
      }
      App( "wglChoosePixelFormatEXT", params );
    }
    #else
    App("wglChoosePixelFormatEXT","(", boost::print::optional(hDC,Logging::pointers), ", ", boost::print::optional(piAttribIList,Logging::pointers), ", ", pfAttribFList, ", ", nMaxFormats, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglChoosePixelFormatEXT)(hDC, piAttribIList, pfAttribFList, nMaxFormats, piFormats, nNumFormats);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglGetPixelFormatAttribfvEXT(HDC hDC, int iPixelFormat, int iLayerPlane, UINT nAttributes, const int *piAttributes, FLOAT *pfValues)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ", ", iPixelFormat, ", ", iLayerPlane, ", ", nAttributes, ", ", boost::print::array(piAttributes,nAttributes), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglGetPixelFormatAttribfvEXT", params );
      }
      App( "wglGetPixelFormatAttribfvEXT", params );
    }
    #else
    App("wglGetPixelFormatAttribfvEXT","(", boost::print::optional(hDC,Logging::pointers), ", ", iPixelFormat, ", ", iLayerPlane, ", ", nAttributes, ", ", boost::print::array(piAttributes,nAttributes), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglGetPixelFormatAttribfvEXT)(hDC, iPixelFormat, iLayerPlane, nAttributes, piAttributes, pfValues);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglGetPixelFormatAttribivEXT(HDC hDC, int iPixelFormat, int iLayerPlane, UINT nAttributes, const int *piAttributes, int *piValues)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ", ", iPixelFormat, ", ", iLayerPlane, ", ", nAttributes, ", ", boost::print::array(piAttributes,nAttributes), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglGetPixelFormatAttribivEXT", params );
      }
      App( "wglGetPixelFormatAttribivEXT", params );
    }
    #else
    App("wglGetPixelFormatAttribivEXT","(", boost::print::optional(hDC,Logging::pointers), ", ", iPixelFormat, ", ", iLayerPlane, ", ", nAttributes, ", ", boost::print::array(piAttributes,nAttributes), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglGetPixelFormatAttribivEXT)(hDC, iPixelFormat, iLayerPlane, nAttributes, piAttributes, piValues);
    return ret;
  }

  /* WGL_EXT_swap_control */

  REGAL_DECL int REGAL_CALL wglGetSwapIntervalEXT(void)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("()");
      if( _context ) {
        _context->http.callString = print_string( "wglGetSwapIntervalEXT", params );
      }
      App( "wglGetSwapIntervalEXT", params );
    }
    #else
    App("wglGetSwapIntervalEXT","()");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    int ret = 0;
    ret = _next->call(&_next->wglGetSwapIntervalEXT)();
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglSwapIntervalEXT(int interval)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", interval, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglSwapIntervalEXT", params );
      }
      App( "wglSwapIntervalEXT", params );
    }
    #else
    App("wglSwapIntervalEXT","(", interval, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglSwapIntervalEXT)(interval);
    return ret;
  }

  /* WGL_GDI */

  REGAL_DECL int REGAL_CALL wglChoosePixelFormat(HDC hDC, const PIXELFORMATDESCRIPTOR *ppfd)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ", ", boost::print::optional(ppfd,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglChoosePixelFormat", params );
      }
      App( "wglChoosePixelFormat", params );
    }
    #else
    App("wglChoosePixelFormat","(", boost::print::optional(hDC,Logging::pointers), ", ", boost::print::optional(ppfd,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    int ret = 0;
    ret = _next->call(&_next->wglChoosePixelFormat)(hDC, ppfd);
    return ret;
  }

  REGAL_DECL int REGAL_CALL wglDescribePixelFormat(HDC hDC, int iPixelFormat, UINT nBytes, LPPIXELFORMATDESCRIPTOR ppfd)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ", ", iPixelFormat, ", ", nBytes, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglDescribePixelFormat", params );
      }
      App( "wglDescribePixelFormat", params );
    }
    #else
    App("wglDescribePixelFormat","(", boost::print::optional(hDC,Logging::pointers), ", ", iPixelFormat, ", ", nBytes, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    int ret = 0;
    ret = _next->call(&_next->wglDescribePixelFormat)(hDC, iPixelFormat, nBytes, ppfd);
    return ret;
  }

  REGAL_DECL int REGAL_CALL wglGetPixelFormat(HDC hDC)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglGetPixelFormat", params );
      }
      App( "wglGetPixelFormat", params );
    }
    #else
    App("wglGetPixelFormat","(", boost::print::optional(hDC,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    int ret = 0;
    ret = _next->call(&_next->wglGetPixelFormat)(hDC);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglSetPixelFormat(HDC hDC, int iPixelFormat, const PIXELFORMATDESCRIPTOR *ppfd)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ", ", iPixelFormat, ", ", boost::print::optional(ppfd,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglSetPixelFormat", params );
      }
      App( "wglSetPixelFormat", params );
    }
    #else
    App("wglSetPixelFormat","(", boost::print::optional(hDC,Logging::pointers), ", ", iPixelFormat, ", ", boost::print::optional(ppfd,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglSetPixelFormat)(hDC, iPixelFormat, ppfd);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglSwapBuffers(HDC hDC)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglSwapBuffers", params );
      }
      App( "wglSwapBuffers", params );
    }
    #else
    App("wglSwapBuffers","(", boost::print::optional(hDC,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    #if REGAL_FRAME
    RegalContext *_context = REGAL_GET_CONTEXT();
    // Notify Regal::Frame about the swap buffers event.
    if (_context && _context->frame)
        _context->frame->wglSwapBuffers(*_context);
    #endif
    ret = _next->call(&_next->wglSwapBuffers)(hDC);
    return ret;
  }

  /* WGL_I3D_digital_video_control */

  REGAL_DECL BOOL REGAL_CALL wglGetDigitalVideoParametersI3D(HDC hDC, int iAttribute, int *piValue)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ", ", iAttribute, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglGetDigitalVideoParametersI3D", params );
      }
      App( "wglGetDigitalVideoParametersI3D", params );
    }
    #else
    App("wglGetDigitalVideoParametersI3D","(", boost::print::optional(hDC,Logging::pointers), ", ", iAttribute, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglGetDigitalVideoParametersI3D)(hDC, iAttribute, piValue);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglSetDigitalVideoParametersI3D(HDC hDC, int iAttribute, const int *piValue)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ", ", iAttribute, ", ", boost::print::optional(piValue,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglSetDigitalVideoParametersI3D", params );
      }
      App( "wglSetDigitalVideoParametersI3D", params );
    }
    #else
    App("wglSetDigitalVideoParametersI3D","(", boost::print::optional(hDC,Logging::pointers), ", ", iAttribute, ", ", boost::print::optional(piValue,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglSetDigitalVideoParametersI3D)(hDC, iAttribute, piValue);
    return ret;
  }

  /* WGL_I3D_gamma */

  REGAL_DECL BOOL REGAL_CALL wglGetGammaTableI3D(HDC hDC, int iEntries, USHORT *puRed, USHORT *puGreen, USHORT *puBlue)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglGetGammaTableI3D", params );
      }
      App( "wglGetGammaTableI3D", params );
    }
    #else
    App("wglGetGammaTableI3D","(", boost::print::optional(hDC,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglGetGammaTableI3D)(hDC, iEntries, puRed, puGreen, puBlue);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglGetGammaTableParametersI3D(HDC hDC, int iAttribute, int *piValue)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ", ", iAttribute, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglGetGammaTableParametersI3D", params );
      }
      App( "wglGetGammaTableParametersI3D", params );
    }
    #else
    App("wglGetGammaTableParametersI3D","(", boost::print::optional(hDC,Logging::pointers), ", ", iAttribute, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglGetGammaTableParametersI3D)(hDC, iAttribute, piValue);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglSetGammaTableI3D(HDC hDC, int iEntries, const USHORT *puRed, const USHORT *puGreen, const USHORT *puBlue)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ", ", iEntries, ", ", boost::print::array(puRed,iEntries), ", ", boost::print::array(puGreen,iEntries), ", ", boost::print::array(puBlue,iEntries), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglSetGammaTableI3D", params );
      }
      App( "wglSetGammaTableI3D", params );
    }
    #else
    App("wglSetGammaTableI3D","(", boost::print::optional(hDC,Logging::pointers), ", ", iEntries, ", ", boost::print::array(puRed,iEntries), ", ", boost::print::array(puGreen,iEntries), ", ", boost::print::array(puBlue,iEntries), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglSetGammaTableI3D)(hDC, iEntries, puRed, puGreen, puBlue);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglSetGammaTableParametersI3D(HDC hDC, int iAttribute, const int *piValue)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ", ", iAttribute, ", ", boost::print::optional(piValue,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglSetGammaTableParametersI3D", params );
      }
      App( "wglSetGammaTableParametersI3D", params );
    }
    #else
    App("wglSetGammaTableParametersI3D","(", boost::print::optional(hDC,Logging::pointers), ", ", iAttribute, ", ", boost::print::optional(piValue,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglSetGammaTableParametersI3D)(hDC, iAttribute, piValue);
    return ret;
  }

  /* WGL_I3D_genlock */

  REGAL_DECL BOOL REGAL_CALL wglDisableGenlockI3D(HDC hDC)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglDisableGenlockI3D", params );
      }
      App( "wglDisableGenlockI3D", params );
    }
    #else
    App("wglDisableGenlockI3D","(", boost::print::optional(hDC,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglDisableGenlockI3D)(hDC);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglEnableGenlockI3D(HDC hDC)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglEnableGenlockI3D", params );
      }
      App( "wglEnableGenlockI3D", params );
    }
    #else
    App("wglEnableGenlockI3D","(", boost::print::optional(hDC,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglEnableGenlockI3D)(hDC);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglGenlockSampleRateI3D(HDC hDC, UINT uRate)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ", ", uRate, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglGenlockSampleRateI3D", params );
      }
      App( "wglGenlockSampleRateI3D", params );
    }
    #else
    App("wglGenlockSampleRateI3D","(", boost::print::optional(hDC,Logging::pointers), ", ", uRate, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglGenlockSampleRateI3D)(hDC, uRate);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglGenlockSourceDelayI3D(HDC hDC, UINT uDelay)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ", ", uDelay, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglGenlockSourceDelayI3D", params );
      }
      App( "wglGenlockSourceDelayI3D", params );
    }
    #else
    App("wglGenlockSourceDelayI3D","(", boost::print::optional(hDC,Logging::pointers), ", ", uDelay, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglGenlockSourceDelayI3D)(hDC, uDelay);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglGenlockSourceEdgeI3D(HDC hDC, UINT uEdge)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ", ", uEdge, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglGenlockSourceEdgeI3D", params );
      }
      App( "wglGenlockSourceEdgeI3D", params );
    }
    #else
    App("wglGenlockSourceEdgeI3D","(", boost::print::optional(hDC,Logging::pointers), ", ", uEdge, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglGenlockSourceEdgeI3D)(hDC, uEdge);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglGenlockSourceI3D(HDC hDC, UINT uSource)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ", ", uSource, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglGenlockSourceI3D", params );
      }
      App( "wglGenlockSourceI3D", params );
    }
    #else
    App("wglGenlockSourceI3D","(", boost::print::optional(hDC,Logging::pointers), ", ", uSource, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglGenlockSourceI3D)(hDC, uSource);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglGetGenlockSampleRateI3D(HDC hDC, UINT *uRate)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglGetGenlockSampleRateI3D", params );
      }
      App( "wglGetGenlockSampleRateI3D", params );
    }
    #else
    App("wglGetGenlockSampleRateI3D","(", boost::print::optional(hDC,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglGetGenlockSampleRateI3D)(hDC, uRate);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglGetGenlockSourceDelayI3D(HDC hDC, UINT *uDelay)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglGetGenlockSourceDelayI3D", params );
      }
      App( "wglGetGenlockSourceDelayI3D", params );
    }
    #else
    App("wglGetGenlockSourceDelayI3D","(", boost::print::optional(hDC,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglGetGenlockSourceDelayI3D)(hDC, uDelay);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglGetGenlockSourceEdgeI3D(HDC hDC, UINT *uEdge)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglGetGenlockSourceEdgeI3D", params );
      }
      App( "wglGetGenlockSourceEdgeI3D", params );
    }
    #else
    App("wglGetGenlockSourceEdgeI3D","(", boost::print::optional(hDC,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglGetGenlockSourceEdgeI3D)(hDC, uEdge);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglGetGenlockSourceI3D(HDC hDC, UINT *uSource)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglGetGenlockSourceI3D", params );
      }
      App( "wglGetGenlockSourceI3D", params );
    }
    #else
    App("wglGetGenlockSourceI3D","(", boost::print::optional(hDC,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglGetGenlockSourceI3D)(hDC, uSource);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglIsEnabledGenlockI3D(HDC hDC, BOOL *pFlag)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglIsEnabledGenlockI3D", params );
      }
      App( "wglIsEnabledGenlockI3D", params );
    }
    #else
    App("wglIsEnabledGenlockI3D","(", boost::print::optional(hDC,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglIsEnabledGenlockI3D)(hDC, pFlag);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglQueryGenlockMaxSourceDelayI3D(HDC hDC, UINT *uMaxLineDelay, UINT *uMaxPixelDelay)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglQueryGenlockMaxSourceDelayI3D", params );
      }
      App( "wglQueryGenlockMaxSourceDelayI3D", params );
    }
    #else
    App("wglQueryGenlockMaxSourceDelayI3D","(", boost::print::optional(hDC,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglQueryGenlockMaxSourceDelayI3D)(hDC, uMaxLineDelay, uMaxPixelDelay);
    return ret;
  }

  /* WGL_I3D_image_buffer */

  REGAL_DECL BOOL REGAL_CALL wglAssociateImageBufferEventsI3D(HDC hDC, const HANDLE *pEvent, const LPVOID *pAddress, const DWORD *pSize, UINT count)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ", ", boost::print::array(pEvent,count), ", ", boost::print::array(pAddress,count), ", ", boost::print::array(pSize,count), ", ", count, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglAssociateImageBufferEventsI3D", params );
      }
      App( "wglAssociateImageBufferEventsI3D", params );
    }
    #else
    App("wglAssociateImageBufferEventsI3D","(", boost::print::optional(hDC,Logging::pointers), ", ", boost::print::array(pEvent,count), ", ", boost::print::array(pAddress,count), ", ", boost::print::array(pSize,count), ", ", count, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglAssociateImageBufferEventsI3D)(hDC, pEvent, pAddress, pSize, count);
    return ret;
  }

  REGAL_DECL LPVOID REGAL_CALL wglCreateImageBufferI3D(HDC hDC, DWORD dwSize, UINT uFlags)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ", ", dwSize, ", ", uFlags, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglCreateImageBufferI3D", params );
      }
      App( "wglCreateImageBufferI3D", params );
    }
    #else
    App("wglCreateImageBufferI3D","(", boost::print::optional(hDC,Logging::pointers), ", ", dwSize, ", ", uFlags, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    LPVOID ret = 0;
    ret = _next->call(&_next->wglCreateImageBufferI3D)(hDC, dwSize, uFlags);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglDestroyImageBufferI3D(HDC hDC, LPVOID pAddress)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ", ", boost::print::optional(pAddress,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglDestroyImageBufferI3D", params );
      }
      App( "wglDestroyImageBufferI3D", params );
    }
    #else
    App("wglDestroyImageBufferI3D","(", boost::print::optional(hDC,Logging::pointers), ", ", boost::print::optional(pAddress,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglDestroyImageBufferI3D)(hDC, pAddress);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglReleaseImageBufferEventsI3D(HDC hDC, const LPVOID *pAddress, UINT count)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ", ", boost::print::array(pAddress,count), ", ", count, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglReleaseImageBufferEventsI3D", params );
      }
      App( "wglReleaseImageBufferEventsI3D", params );
    }
    #else
    App("wglReleaseImageBufferEventsI3D","(", boost::print::optional(hDC,Logging::pointers), ", ", boost::print::array(pAddress,count), ", ", count, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglReleaseImageBufferEventsI3D)(hDC, pAddress, count);
    return ret;
  }

  /* WGL_I3D_swap_frame_lock */

  REGAL_DECL BOOL REGAL_CALL wglDisableFrameLockI3D(void)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("()");
      if( _context ) {
        _context->http.callString = print_string( "wglDisableFrameLockI3D", params );
      }
      App( "wglDisableFrameLockI3D", params );
    }
    #else
    App("wglDisableFrameLockI3D","()");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglDisableFrameLockI3D)();
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglEnableFrameLockI3D(void)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("()");
      if( _context ) {
        _context->http.callString = print_string( "wglEnableFrameLockI3D", params );
      }
      App( "wglEnableFrameLockI3D", params );
    }
    #else
    App("wglEnableFrameLockI3D","()");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglEnableFrameLockI3D)();
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglIsEnabledFrameLockI3D(BOOL *pFlag)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("()");
      if( _context ) {
        _context->http.callString = print_string( "wglIsEnabledFrameLockI3D", params );
      }
      App( "wglIsEnabledFrameLockI3D", params );
    }
    #else
    App("wglIsEnabledFrameLockI3D","()");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglIsEnabledFrameLockI3D)(pFlag);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglQueryFrameLockMasterI3D(BOOL *pFlag)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("()");
      if( _context ) {
        _context->http.callString = print_string( "wglQueryFrameLockMasterI3D", params );
      }
      App( "wglQueryFrameLockMasterI3D", params );
    }
    #else
    App("wglQueryFrameLockMasterI3D","()");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglQueryFrameLockMasterI3D)(pFlag);
    return ret;
  }

  /* WGL_I3D_swap_frame_usage */

  REGAL_DECL BOOL REGAL_CALL wglBeginFrameTrackingI3D(void)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("()");
      if( _context ) {
        _context->http.callString = print_string( "wglBeginFrameTrackingI3D", params );
      }
      App( "wglBeginFrameTrackingI3D", params );
    }
    #else
    App("wglBeginFrameTrackingI3D","()");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglBeginFrameTrackingI3D)();
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglEndFrameTrackingI3D(void)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("()");
      if( _context ) {
        _context->http.callString = print_string( "wglEndFrameTrackingI3D", params );
      }
      App( "wglEndFrameTrackingI3D", params );
    }
    #else
    App("wglEndFrameTrackingI3D","()");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglEndFrameTrackingI3D)();
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglGetFrameUsageI3D(float *pUsage)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("()");
      if( _context ) {
        _context->http.callString = print_string( "wglGetFrameUsageI3D", params );
      }
      App( "wglGetFrameUsageI3D", params );
    }
    #else
    App("wglGetFrameUsageI3D","()");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglGetFrameUsageI3D)(pUsage);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglQueryFrameTrackingI3D(DWORD *pFrameCount, DWORD *pMissedFrames, float *pLastMissedUsage)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("()");
      if( _context ) {
        _context->http.callString = print_string( "wglQueryFrameTrackingI3D", params );
      }
      App( "wglQueryFrameTrackingI3D", params );
    }
    #else
    App("wglQueryFrameTrackingI3D","()");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglQueryFrameTrackingI3D)(pFrameCount, pMissedFrames, pLastMissedUsage);
    return ret;
  }

  /* WGL_NV_DX_interop */

  REGAL_DECL BOOL REGAL_CALL wglDXCloseDeviceNV(HANDLE hDevice)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", hDevice, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglDXCloseDeviceNV", params );
      }
      App( "wglDXCloseDeviceNV", params );
    }
    #else
    App("wglDXCloseDeviceNV","(", hDevice, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglDXCloseDeviceNV)(hDevice);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglDXLockObjectsNV(HANDLE hDevice, GLint count, HANDLE *hObjects)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", hDevice, ", ", count, ", ", hObjects, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglDXLockObjectsNV", params );
      }
      App( "wglDXLockObjectsNV", params );
    }
    #else
    App("wglDXLockObjectsNV","(", hDevice, ", ", count, ", ", hObjects, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglDXLockObjectsNV)(hDevice, count, hObjects);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglDXObjectAccessNV(HANDLE hObject, GLenum access)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", hObject, ", ", toString(access), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglDXObjectAccessNV", params );
      }
      App( "wglDXObjectAccessNV", params );
    }
    #else
    App("wglDXObjectAccessNV","(", hObject, ", ", toString(access), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglDXObjectAccessNV)(hObject, access);
    return ret;
  }

  REGAL_DECL HANDLE REGAL_CALL wglDXOpenDeviceNV(GLvoid *dxDevice)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dxDevice,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglDXOpenDeviceNV", params );
      }
      App( "wglDXOpenDeviceNV", params );
    }
    #else
    App("wglDXOpenDeviceNV","(", boost::print::optional(dxDevice,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    HANDLE ret = 0;
    ret = _next->call(&_next->wglDXOpenDeviceNV)(dxDevice);
    return ret;
  }

  REGAL_DECL HANDLE REGAL_CALL wglDXRegisterObjectNV(HANDLE hDevice, GLvoid *dxObject, GLuint name, GLenum type, GLenum access)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", hDevice, ", ", boost::print::optional(dxObject,Logging::pointers), ", ", name, ", ", toString(type), ", ", toString(access), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglDXRegisterObjectNV", params );
      }
      App( "wglDXRegisterObjectNV", params );
    }
    #else
    App("wglDXRegisterObjectNV","(", hDevice, ", ", boost::print::optional(dxObject,Logging::pointers), ", ", name, ", ", toString(type), ", ", toString(access), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    HANDLE ret = 0;
    ret = _next->call(&_next->wglDXRegisterObjectNV)(hDevice, dxObject, name, type, access);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglDXSetResourceShareHandleNV(GLvoid *dxObject, HANDLE shareHandle)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dxObject,Logging::pointers), ", ", shareHandle, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglDXSetResourceShareHandleNV", params );
      }
      App( "wglDXSetResourceShareHandleNV", params );
    }
    #else
    App("wglDXSetResourceShareHandleNV","(", boost::print::optional(dxObject,Logging::pointers), ", ", shareHandle, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglDXSetResourceShareHandleNV)(dxObject, shareHandle);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglDXUnlockObjectsNV(HANDLE hDevice, GLint count, HANDLE *hObjects)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", hDevice, ", ", count, ", ", hObjects, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglDXUnlockObjectsNV", params );
      }
      App( "wglDXUnlockObjectsNV", params );
    }
    #else
    App("wglDXUnlockObjectsNV","(", hDevice, ", ", count, ", ", hObjects, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglDXUnlockObjectsNV)(hDevice, count, hObjects);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglDXUnregisterObjectNV(HANDLE hDevice, HANDLE hObject)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", hDevice, ", ", hObject, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglDXUnregisterObjectNV", params );
      }
      App( "wglDXUnregisterObjectNV", params );
    }
    #else
    App("wglDXUnregisterObjectNV","(", hDevice, ", ", hObject, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglDXUnregisterObjectNV)(hDevice, hObject);
    return ret;
  }

  /* WGL_NV_copy_image */

  REGAL_DECL BOOL REGAL_CALL wglCopyImageSubDataNV(HGLRC hSrcRC, GLuint srcName, GLenum srcTarget, GLint srcLevel, GLint srcX, GLint srcY, GLint srcZ, HGLRC hDstRC, GLuint dstName, GLenum dstTarget, GLint dstLevel, GLint dstX, GLint dstY, GLint dstZ, GLsizei width, GLsizei height, GLsizei depth)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hSrcRC,Logging::pointers), ", ", srcName, ", ", toString(srcTarget), ", ", srcLevel, ", ", srcX, ", ", srcY, ", ", srcZ, ", ", boost::print::optional(hDstRC,Logging::pointers), ", ", dstName, ", ", toString(dstTarget), ", ", dstLevel, ", ", dstX, ", ", dstY, ", ", dstZ, ", ", width, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglCopyImageSubDataNV", params );
      }
      App( "wglCopyImageSubDataNV", params );
    }
    #else
    App("wglCopyImageSubDataNV","(", boost::print::optional(hSrcRC,Logging::pointers), ", ", srcName, ", ", toString(srcTarget), ", ", srcLevel, ", ", srcX, ", ", srcY, ", ", srcZ, ", ", boost::print::optional(hDstRC,Logging::pointers), ", ", dstName, ", ", toString(dstTarget), ", ", dstLevel, ", ", dstX, ", ", dstY, ", ", dstZ, ", ", width, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglCopyImageSubDataNV)(hSrcRC, srcName, srcTarget, srcLevel, srcX, srcY, srcZ, hDstRC, dstName, dstTarget, dstLevel, dstX, dstY, dstZ, width, height, depth);
    return ret;
  }

  /* WGL_NV_delay_before_swap */

  REGAL_DECL BOOL REGAL_CALL wglDelayBeforeSwapNV(HDC hDC, GLfloat seconds)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ", ", seconds, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglDelayBeforeSwapNV", params );
      }
      App( "wglDelayBeforeSwapNV", params );
    }
    #else
    App("wglDelayBeforeSwapNV","(", boost::print::optional(hDC,Logging::pointers), ", ", seconds, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglDelayBeforeSwapNV)(hDC, seconds);
    return ret;
  }

  /* WGL_NV_gpu_affinity */

  REGAL_DECL HDC REGAL_CALL wglCreateAffinityDCNV(const HGPUNV *phGpuList)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", phGpuList, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglCreateAffinityDCNV", params );
      }
      App( "wglCreateAffinityDCNV", params );
    }
    #else
    App("wglCreateAffinityDCNV","(", phGpuList, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    HDC ret = NULL;
    ret = _next->call(&_next->wglCreateAffinityDCNV)(phGpuList);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglDeleteDCNV(HDC hAffinityDC)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hAffinityDC,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglDeleteDCNV", params );
      }
      App( "wglDeleteDCNV", params );
    }
    #else
    App("wglDeleteDCNV","(", boost::print::optional(hAffinityDC,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglDeleteDCNV)(hAffinityDC);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglEnumGpuDevicesNV(HGPUNV hGpu, UINT iDeviceIndex, PGPU_DEVICE lpGpuDevice)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hGpu,Logging::pointers), ", ", iDeviceIndex, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglEnumGpuDevicesNV", params );
      }
      App( "wglEnumGpuDevicesNV", params );
    }
    #else
    App("wglEnumGpuDevicesNV","(", boost::print::optional(hGpu,Logging::pointers), ", ", iDeviceIndex, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglEnumGpuDevicesNV)(hGpu, iDeviceIndex, lpGpuDevice);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglEnumGpusFromAffinityDCNV(HDC hAffinityDC, UINT iGpuIndex, HGPUNV *hGpu)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hAffinityDC,Logging::pointers), ", ", iGpuIndex, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglEnumGpusFromAffinityDCNV", params );
      }
      App( "wglEnumGpusFromAffinityDCNV", params );
    }
    #else
    App("wglEnumGpusFromAffinityDCNV","(", boost::print::optional(hAffinityDC,Logging::pointers), ", ", iGpuIndex, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglEnumGpusFromAffinityDCNV)(hAffinityDC, iGpuIndex, hGpu);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglEnumGpusNV(UINT iGpuIndex, HGPUNV *phGpu)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", iGpuIndex, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglEnumGpusNV", params );
      }
      App( "wglEnumGpusNV", params );
    }
    #else
    App("wglEnumGpusNV","(", iGpuIndex, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglEnumGpusNV)(iGpuIndex, phGpu);
    return ret;
  }

  /* WGL_NV_present_video */

  REGAL_DECL BOOL REGAL_CALL wglBindVideoDeviceNV(HDC hDC, unsigned int uVideoSlot, HVIDEOOUTPUTDEVICENV hVideoDevice, const int *piAttribList)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ", ", uVideoSlot, ", ", boost::print::optional(hVideoDevice,Logging::pointers), ", ", boost::print::optional(piAttribList,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglBindVideoDeviceNV", params );
      }
      App( "wglBindVideoDeviceNV", params );
    }
    #else
    App("wglBindVideoDeviceNV","(", boost::print::optional(hDC,Logging::pointers), ", ", uVideoSlot, ", ", boost::print::optional(hVideoDevice,Logging::pointers), ", ", boost::print::optional(piAttribList,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglBindVideoDeviceNV)(hDC, uVideoSlot, hVideoDevice, piAttribList);
    return ret;
  }

  REGAL_DECL int REGAL_CALL wglEnumerateVideoDevicesNV(HDC hDC, HVIDEOOUTPUTDEVICENV *phDeviceList)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglEnumerateVideoDevicesNV", params );
      }
      App( "wglEnumerateVideoDevicesNV", params );
    }
    #else
    App("wglEnumerateVideoDevicesNV","(", boost::print::optional(hDC,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    int ret = 0;
    ret = _next->call(&_next->wglEnumerateVideoDevicesNV)(hDC, phDeviceList);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglQueryCurrentContextNV(int iAttribute, int *piValue)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", iAttribute, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglQueryCurrentContextNV", params );
      }
      App( "wglQueryCurrentContextNV", params );
    }
    #else
    App("wglQueryCurrentContextNV","(", iAttribute, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglQueryCurrentContextNV)(iAttribute, piValue);
    return ret;
  }

  /* WGL_NV_swap_group */

  REGAL_DECL BOOL REGAL_CALL wglBindSwapBarrierNV(GLuint group, GLuint barrier)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", group, ", ", barrier, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglBindSwapBarrierNV", params );
      }
      App( "wglBindSwapBarrierNV", params );
    }
    #else
    App("wglBindSwapBarrierNV","(", group, ", ", barrier, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglBindSwapBarrierNV)(group, barrier);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglJoinSwapGroupNV(HDC hDC, GLuint group)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ", ", group, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglJoinSwapGroupNV", params );
      }
      App( "wglJoinSwapGroupNV", params );
    }
    #else
    App("wglJoinSwapGroupNV","(", boost::print::optional(hDC,Logging::pointers), ", ", group, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglJoinSwapGroupNV)(hDC, group);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglQueryFrameCountNV(HDC hDC, GLuint *count)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglQueryFrameCountNV", params );
      }
      App( "wglQueryFrameCountNV", params );
    }
    #else
    App("wglQueryFrameCountNV","(", boost::print::optional(hDC,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglQueryFrameCountNV)(hDC, count);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglQueryMaxSwapGroupsNV(HDC hDC, GLuint *maxGroups, GLuint *maxBarriers)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglQueryMaxSwapGroupsNV", params );
      }
      App( "wglQueryMaxSwapGroupsNV", params );
    }
    #else
    App("wglQueryMaxSwapGroupsNV","(", boost::print::optional(hDC,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglQueryMaxSwapGroupsNV)(hDC, maxGroups, maxBarriers);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglQuerySwapGroupNV(HDC hDC, GLuint *group, GLuint *barrier)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglQuerySwapGroupNV", params );
      }
      App( "wglQuerySwapGroupNV", params );
    }
    #else
    App("wglQuerySwapGroupNV","(", boost::print::optional(hDC,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglQuerySwapGroupNV)(hDC, group, barrier);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglResetFrameCountNV(HDC hDC)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglResetFrameCountNV", params );
      }
      App( "wglResetFrameCountNV", params );
    }
    #else
    App("wglResetFrameCountNV","(", boost::print::optional(hDC,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglResetFrameCountNV)(hDC);
    return ret;
  }

  /* WGL_NV_vertex_array_range */

  REGAL_DECL void *REGAL_CALL wglAllocateMemoryNV(GLsizei size, GLfloat readfreq, GLfloat writefreq, GLfloat priority)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", size, ", ", readfreq, ", ", writefreq, ", ", priority, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglAllocateMemoryNV", params );
      }
      App( "wglAllocateMemoryNV", params );
    }
    #else
    App("wglAllocateMemoryNV","(", size, ", ", readfreq, ", ", writefreq, ", ", priority, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    void * ret = NULL;
    ret = _next->call(&_next->wglAllocateMemoryNV)(size, readfreq, writefreq, priority);
    return ret;
  }

  REGAL_DECL void REGAL_CALL wglFreeMemoryNV(void *pointer)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(pointer,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglFreeMemoryNV", params );
      }
      App( "wglFreeMemoryNV", params );
    }
    #else
    App("wglFreeMemoryNV","(", boost::print::optional(pointer,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    _next->call(&_next->wglFreeMemoryNV)(pointer);
  }

  /* WGL_NV_video_capture */

  REGAL_DECL BOOL REGAL_CALL wglBindVideoCaptureDeviceNV(UINT uVideoSlot, HVIDEOINPUTDEVICENV hDevice)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", uVideoSlot, ", ", boost::print::optional(hDevice,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglBindVideoCaptureDeviceNV", params );
      }
      App( "wglBindVideoCaptureDeviceNV", params );
    }
    #else
    App("wglBindVideoCaptureDeviceNV","(", uVideoSlot, ", ", boost::print::optional(hDevice,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglBindVideoCaptureDeviceNV)(uVideoSlot, hDevice);
    return ret;
  }

  REGAL_DECL UINT REGAL_CALL wglEnumerateVideoCaptureDevicesNV(HDC hDC, HVIDEOINPUTDEVICENV *phDeviceList)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglEnumerateVideoCaptureDevicesNV", params );
      }
      App( "wglEnumerateVideoCaptureDevicesNV", params );
    }
    #else
    App("wglEnumerateVideoCaptureDevicesNV","(", boost::print::optional(hDC,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    UINT ret = 0;
    ret = _next->call(&_next->wglEnumerateVideoCaptureDevicesNV)(hDC, phDeviceList);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglLockVideoCaptureDeviceNV(HDC hDC, HVIDEOINPUTDEVICENV hDevice)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ", ", boost::print::optional(hDevice,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglLockVideoCaptureDeviceNV", params );
      }
      App( "wglLockVideoCaptureDeviceNV", params );
    }
    #else
    App("wglLockVideoCaptureDeviceNV","(", boost::print::optional(hDC,Logging::pointers), ", ", boost::print::optional(hDevice,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglLockVideoCaptureDeviceNV)(hDC, hDevice);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglQueryVideoCaptureDeviceNV(HDC hDC, HVIDEOINPUTDEVICENV hDevice, int iAttribute, int *piValue)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ", ", boost::print::optional(hDevice,Logging::pointers), ", ", iAttribute, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglQueryVideoCaptureDeviceNV", params );
      }
      App( "wglQueryVideoCaptureDeviceNV", params );
    }
    #else
    App("wglQueryVideoCaptureDeviceNV","(", boost::print::optional(hDC,Logging::pointers), ", ", boost::print::optional(hDevice,Logging::pointers), ", ", iAttribute, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglQueryVideoCaptureDeviceNV)(hDC, hDevice, iAttribute, piValue);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglReleaseVideoCaptureDeviceNV(HDC hDC, HVIDEOINPUTDEVICENV hDevice)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ", ", boost::print::optional(hDevice,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglReleaseVideoCaptureDeviceNV", params );
      }
      App( "wglReleaseVideoCaptureDeviceNV", params );
    }
    #else
    App("wglReleaseVideoCaptureDeviceNV","(", boost::print::optional(hDC,Logging::pointers), ", ", boost::print::optional(hDevice,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglReleaseVideoCaptureDeviceNV)(hDC, hDevice);
    return ret;
  }

  /* WGL_NV_video_output */

  REGAL_DECL BOOL REGAL_CALL wglBindVideoImageNV(HPVIDEODEV hVideoDevice, HPBUFFERARB hPbuffer, int iVideoBuffer)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hVideoDevice,Logging::pointers), ", ", boost::print::optional(hPbuffer,Logging::pointers), ", ", iVideoBuffer, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglBindVideoImageNV", params );
      }
      App( "wglBindVideoImageNV", params );
    }
    #else
    App("wglBindVideoImageNV","(", boost::print::optional(hVideoDevice,Logging::pointers), ", ", boost::print::optional(hPbuffer,Logging::pointers), ", ", iVideoBuffer, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglBindVideoImageNV)(hVideoDevice, hPbuffer, iVideoBuffer);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglGetVideoDeviceNV(HDC hDC, int numDevices, HPVIDEODEV *hVideoDevice)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ", ", numDevices, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglGetVideoDeviceNV", params );
      }
      App( "wglGetVideoDeviceNV", params );
    }
    #else
    App("wglGetVideoDeviceNV","(", boost::print::optional(hDC,Logging::pointers), ", ", numDevices, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglGetVideoDeviceNV)(hDC, numDevices, hVideoDevice);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglGetVideoInfoNV(HPVIDEODEV hpVideoDevice, unsigned long *pulCounterOutputPbuffer, unsigned long *pulCounterOutputVideo)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hpVideoDevice,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglGetVideoInfoNV", params );
      }
      App( "wglGetVideoInfoNV", params );
    }
    #else
    App("wglGetVideoInfoNV","(", boost::print::optional(hpVideoDevice,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglGetVideoInfoNV)(hpVideoDevice, pulCounterOutputPbuffer, pulCounterOutputVideo);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglReleaseVideoDeviceNV(HPVIDEODEV hVideoDevice)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hVideoDevice,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglReleaseVideoDeviceNV", params );
      }
      App( "wglReleaseVideoDeviceNV", params );
    }
    #else
    App("wglReleaseVideoDeviceNV","(", boost::print::optional(hVideoDevice,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglReleaseVideoDeviceNV)(hVideoDevice);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglReleaseVideoImageNV(HPBUFFERARB hPbuffer, int iVideoBuffer)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hPbuffer,Logging::pointers), ", ", iVideoBuffer, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglReleaseVideoImageNV", params );
      }
      App( "wglReleaseVideoImageNV", params );
    }
    #else
    App("wglReleaseVideoImageNV","(", boost::print::optional(hPbuffer,Logging::pointers), ", ", iVideoBuffer, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglReleaseVideoImageNV)(hPbuffer, iVideoBuffer);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglSendPbufferToVideoNV(HPBUFFERARB hPbuffer, int iBufferType, unsigned long *pulCounterPbuffer, BOOL bBlock)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hPbuffer,Logging::pointers), ", ", iBufferType, ", ", bBlock, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglSendPbufferToVideoNV", params );
      }
      App( "wglSendPbufferToVideoNV", params );
    }
    #else
    App("wglSendPbufferToVideoNV","(", boost::print::optional(hPbuffer,Logging::pointers), ", ", iBufferType, ", ", bBlock, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglSendPbufferToVideoNV)(hPbuffer, iBufferType, pulCounterPbuffer, bBlock);
    return ret;
  }

  /* WGL_OML_sync_control */

  REGAL_DECL BOOL REGAL_CALL wglGetMscRateOML(HDC hDC, INT32 *numerator, INT32 *denominator)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglGetMscRateOML", params );
      }
      App( "wglGetMscRateOML", params );
    }
    #else
    App("wglGetMscRateOML","(", boost::print::optional(hDC,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglGetMscRateOML)(hDC, numerator, denominator);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglGetSyncValuesOML(HDC hDC, INT64 *ust, INT64 *msc, INT64 *sbc)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglGetSyncValuesOML", params );
      }
      App( "wglGetSyncValuesOML", params );
    }
    #else
    App("wglGetSyncValuesOML","(", boost::print::optional(hDC,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglGetSyncValuesOML)(hDC, ust, msc, sbc);
    return ret;
  }

  REGAL_DECL INT64 REGAL_CALL wglSwapBuffersMscOML(HDC hDC, INT64 target_msc, INT64 divisor, INT64 remainder)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ", ", target_msc, ", ", divisor, ", ", remainder, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglSwapBuffersMscOML", params );
      }
      App( "wglSwapBuffersMscOML", params );
    }
    #else
    App("wglSwapBuffersMscOML","(", boost::print::optional(hDC,Logging::pointers), ", ", target_msc, ", ", divisor, ", ", remainder, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    INT64 ret = 0;
    ret = _next->call(&_next->wglSwapBuffersMscOML)(hDC, target_msc, divisor, remainder);
    return ret;
  }

  REGAL_DECL INT64 REGAL_CALL wglSwapLayerBuffersMscOML(HDC hDC, int fuPlanes, INT64 target_msc, INT64 divisor, INT64 remainder)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ", ", fuPlanes, ", ", target_msc, ", ", divisor, ", ", remainder, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglSwapLayerBuffersMscOML", params );
      }
      App( "wglSwapLayerBuffersMscOML", params );
    }
    #else
    App("wglSwapLayerBuffersMscOML","(", boost::print::optional(hDC,Logging::pointers), ", ", fuPlanes, ", ", target_msc, ", ", divisor, ", ", remainder, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    INT64 ret = 0;
    ret = _next->call(&_next->wglSwapLayerBuffersMscOML)(hDC, fuPlanes, target_msc, divisor, remainder);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglWaitForMscOML(HDC hDC, INT64 target_msc, INT64 divisor, INT64 remainder, INT64 *ust, INT64 *msc, INT64 *sbc)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ", ", target_msc, ", ", divisor, ", ", remainder, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglWaitForMscOML", params );
      }
      App( "wglWaitForMscOML", params );
    }
    #else
    App("wglWaitForMscOML","(", boost::print::optional(hDC,Logging::pointers), ", ", target_msc, ", ", divisor, ", ", remainder, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglWaitForMscOML)(hDC, target_msc, divisor, remainder, ust, msc, sbc);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglWaitForSbcOML(HDC hDC, INT64 target_sbc, INT64 *ust, INT64 *msc, INT64 *sbc)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ", ", target_sbc, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglWaitForSbcOML", params );
      }
      App( "wglWaitForSbcOML", params );
    }
    #else
    App("wglWaitForSbcOML","(", boost::print::optional(hDC,Logging::pointers), ", ", target_sbc, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglWaitForSbcOML)(hDC, target_sbc, ust, msc, sbc);
    return ret;
  }

  /* WGL_core */

  REGAL_DECL BOOL REGAL_CALL wglCopyContext(HGLRC hglrcSrc, HGLRC hglrcDst, UINT mask)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hglrcSrc,Logging::pointers), ", ", boost::print::optional(hglrcDst,Logging::pointers), ", ", mask, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglCopyContext", params );
      }
      App( "wglCopyContext", params );
    }
    #else
    App("wglCopyContext","(", boost::print::optional(hglrcSrc,Logging::pointers), ", ", boost::print::optional(hglrcDst,Logging::pointers), ", ", mask, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglCopyContext)(hglrcSrc, hglrcDst, mask);
    return ret;
  }

  REGAL_DECL HGLRC REGAL_CALL wglCreateContext(HDC hDC)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglCreateContext", params );
      }
      App( "wglCreateContext", params );
    }
    #else
    App("wglCreateContext","(", boost::print::optional(hDC,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    Init::init();
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    HGLRC ret = NULL;
    ret = _next->call(&_next->wglCreateContext)(hDC);
    return ret;
  }

  REGAL_DECL HGLRC REGAL_CALL wglCreateLayerContext(HDC hDC, int iLayerPlane)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ", ", iLayerPlane, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglCreateLayerContext", params );
      }
      App( "wglCreateLayerContext", params );
    }
    #else
    App("wglCreateLayerContext","(", boost::print::optional(hDC,Logging::pointers), ", ", iLayerPlane, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    HGLRC ret = NULL;
    ret = _next->call(&_next->wglCreateLayerContext)(hDC, iLayerPlane);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglDeleteContext(HGLRC hglrc)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hglrc,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglDeleteContext", params );
      }
      App( "wglDeleteContext", params );
    }
    #else
    App("wglDeleteContext","(", boost::print::optional(hglrc,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglDeleteContext)(hglrc);
    Init::destroyContext(RegalSystemContext(hglrc));
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglDescribeLayerPlane(HDC hDC, int iPixelFormat, int iLayerPlane, UINT nBytes, LPLAYERPLANEDESCRIPTOR plpd)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ", ", iPixelFormat, ", ", iLayerPlane, ", ", nBytes, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglDescribeLayerPlane", params );
      }
      App( "wglDescribeLayerPlane", params );
    }
    #else
    App("wglDescribeLayerPlane","(", boost::print::optional(hDC,Logging::pointers), ", ", iPixelFormat, ", ", iLayerPlane, ", ", nBytes, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglDescribeLayerPlane)(hDC, iPixelFormat, iLayerPlane, nBytes, plpd);
    return ret;
  }

  REGAL_DECL HGLRC REGAL_CALL wglGetCurrentContext(void)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("()");
      if( _context ) {
        _context->http.callString = print_string( "wglGetCurrentContext", params );
      }
      App( "wglGetCurrentContext", params );
    }
    #else
    App("wglGetCurrentContext","()");
    #endif
    RegalAssert(Init::isInitialized());
    Init::init();
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    HGLRC ret = NULL;
    ret = _next->call(&_next->wglGetCurrentContext)();
    return ret;
  }

  REGAL_DECL HDC REGAL_CALL wglGetCurrentDC(void)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("()");
      if( _context ) {
        _context->http.callString = print_string( "wglGetCurrentDC", params );
      }
      App( "wglGetCurrentDC", params );
    }
    #else
    App("wglGetCurrentDC","()");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    HDC ret = NULL;
    ret = _next->call(&_next->wglGetCurrentDC)();
    return ret;
  }

  REGAL_DECL PROC REGAL_CALL wglGetDefaultProcAddress(LPCSTR lpszProc)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::quote(lpszProc,'"'), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglGetDefaultProcAddress", params );
      }
      App( "wglGetDefaultProcAddress", params );
    }
    #else
    App("wglGetDefaultProcAddress","(", boost::print::quote(lpszProc,'"'), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    PROC ret = NULL;
    ret = _next->call(&_next->wglGetDefaultProcAddress)(lpszProc);
    return ret;
  }

  REGAL_DECL int REGAL_CALL wglGetLayerPaletteEntries(HDC hDC, int iLayerPlane, int iStart, int nEntries, COLORREF *pcr)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ", ", iLayerPlane, ", ", iStart, ", ", nEntries, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglGetLayerPaletteEntries", params );
      }
      App( "wglGetLayerPaletteEntries", params );
    }
    #else
    App("wglGetLayerPaletteEntries","(", boost::print::optional(hDC,Logging::pointers), ", ", iLayerPlane, ", ", iStart, ", ", nEntries, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    int ret = 0;
    ret = _next->call(&_next->wglGetLayerPaletteEntries)(hDC, iLayerPlane, iStart, nEntries, pcr);
    return ret;
  }

  REGAL_DECL PROC REGAL_CALL wglGetProcAddress(LPCSTR lpszProc)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::quote(lpszProc,'"'), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglGetProcAddress", params );
      }
      App( "wglGetProcAddress", params );
    }
    #else
    App("wglGetProcAddress","(", boost::print::quote(lpszProc,'"'), ")");
    #endif
    RegalAssert(Init::isInitialized());
    Init::init();
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    PROC ret = NULL;
    //
    // wglGetProcAddress returns NULL for unsupported
    // entry points.  Here we need Regal to behave
    // similarly depending on what's emulated.
    //

    // Regal-only and ES 1.0 aliased functions are
    // always provided by Regal

    // ret = Lookup::regal_Lookup<PROC>(lpszProc);
    // if (ret)
    //  return ret;

    // Ask the back-end driver if the entry point
    // is available.  If not, return NULL
    //
    // TODO - we need to query ContextInfo and
    //        EmulationInfo here instead.

    ret = _next->call(&_next->wglGetProcAddress)(lpszProc);
    if (!ret)
      return NULL;

    // Return the Regal implementation of the entry
    // point, either GL or WGL

    ret = Lookup::gl_Lookup<PROC>(lpszProc);
    if (ret)
      return ret;

    ret = Lookup::wgl_Lookup<PROC>(lpszProc);
    if (ret)
      return ret;

    // As a last resort, dispatch the lookup to
    // the global dispatch stack...
    ret = _next->call(&_next->wglGetProcAddress)(lpszProc);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglMakeCurrent(HDC hDC, HGLRC hglrc)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ", ", boost::print::optional(hglrc,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglMakeCurrent", params );
      }
      App( "wglMakeCurrent", params );
    }
    #else
    App("wglMakeCurrent","(", boost::print::optional(hDC,Logging::pointers), ", ", boost::print::optional(hglrc,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglMakeCurrent)(hDC, hglrc);
    if (ret)
    {
      Init::init();
      Init::makeCurrent(RegalSystemContext(hglrc));
      RegalContext *_context = REGAL_GET_CONTEXT();
      RegalAssert(_context);
      _context->hglrc = hglrc;
      _context->hdc = hDC;
    }
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglRealizeLayerPalette(HDC hDC, int iLayerPlane, BOOL bRealize)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ", ", iLayerPlane, ", ", bRealize, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglRealizeLayerPalette", params );
      }
      App( "wglRealizeLayerPalette", params );
    }
    #else
    App("wglRealizeLayerPalette","(", boost::print::optional(hDC,Logging::pointers), ", ", iLayerPlane, ", ", bRealize, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglRealizeLayerPalette)(hDC, iLayerPlane, bRealize);
    return ret;
  }

  REGAL_DECL int REGAL_CALL wglSetLayerPaletteEntries(HDC hDC, int iLayerPlane, int iStart, int nEntries, const COLORREF *pcr)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ", ", iLayerPlane, ", ", iStart, ", ", nEntries, ", ", boost::print::array(pcr,nEntries), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglSetLayerPaletteEntries", params );
      }
      App( "wglSetLayerPaletteEntries", params );
    }
    #else
    App("wglSetLayerPaletteEntries","(", boost::print::optional(hDC,Logging::pointers), ", ", iLayerPlane, ", ", iStart, ", ", nEntries, ", ", boost::print::array(pcr,nEntries), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    int ret = 0;
    ret = _next->call(&_next->wglSetLayerPaletteEntries)(hDC, iLayerPlane, iStart, nEntries, pcr);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglShareLists(HGLRC hglrcShare, HGLRC hglrcSrc)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hglrcShare,Logging::pointers), ", ", boost::print::optional(hglrcSrc,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "wglShareLists", params );
      }
      App( "wglShareLists", params );
    }
    #else
    App("wglShareLists","(", boost::print::optional(hglrcShare,Logging::pointers), ", ", boost::print::optional(hglrcSrc,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglShareLists)(hglrcShare, hglrcSrc);
    if (ret && hglrcShare && hglrcSrc)
      Init::shareContext(hglrcShare,hglrcSrc);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglSwapLayerBuffers(HDC hDC, UINT fuPlanes)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ", ", fuPlanes, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglSwapLayerBuffers", params );
      }
      App( "wglSwapLayerBuffers", params );
    }
    #else
    App("wglSwapLayerBuffers","(", boost::print::optional(hDC,Logging::pointers), ", ", fuPlanes, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglSwapLayerBuffers)(hDC, fuPlanes);
    return ret;
  }

  REGAL_DECL DWORD REGAL_CALL wglSwapMultipleBuffers(UINT n, const WGLSWAP *ps)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", n, ", ", ps, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglSwapMultipleBuffers", params );
      }
      App( "wglSwapMultipleBuffers", params );
    }
    #else
    App("wglSwapMultipleBuffers","(", n, ", ", ps, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    DWORD ret = 0;
    ret = _next->call(&_next->wglSwapMultipleBuffers)(n, ps);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglUseFontBitmapsA(HDC hDC, DWORD first, DWORD count, DWORD listBase)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ", ", first, ", ", count, ", ", listBase, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglUseFontBitmapsA", params );
      }
      App( "wglUseFontBitmapsA", params );
    }
    #else
    App("wglUseFontBitmapsA","(", boost::print::optional(hDC,Logging::pointers), ", ", first, ", ", count, ", ", listBase, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglUseFontBitmapsA)(hDC, first, count, listBase);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglUseFontBitmapsW(HDC hDC, DWORD first, DWORD count, DWORD listBase)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ", ", first, ", ", count, ", ", listBase, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglUseFontBitmapsW", params );
      }
      App( "wglUseFontBitmapsW", params );
    }
    #else
    App("wglUseFontBitmapsW","(", boost::print::optional(hDC,Logging::pointers), ", ", first, ", ", count, ", ", listBase, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglUseFontBitmapsW)(hDC, first, count, listBase);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglUseFontOutlinesA(HDC hDC, DWORD first, DWORD count, DWORD listBase, FLOAT deviation, FLOAT extrusion, int format, LPGLYPHMETRICSFLOAT lpgmf)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ", ", first, ", ", count, ", ", listBase, ", ", deviation, ", ", extrusion, ", ", format, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglUseFontOutlinesA", params );
      }
      App( "wglUseFontOutlinesA", params );
    }
    #else
    App("wglUseFontOutlinesA","(", boost::print::optional(hDC,Logging::pointers), ", ", first, ", ", count, ", ", listBase, ", ", deviation, ", ", extrusion, ", ", format, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglUseFontOutlinesA)(hDC, first, count, listBase, deviation, extrusion, format, lpgmf);
    return ret;
  }

  REGAL_DECL BOOL REGAL_CALL wglUseFontOutlinesW(HDC hDC, DWORD first, DWORD count, DWORD listBase, FLOAT deviation, FLOAT extrusion, int format, LPGLYPHMETRICSFLOAT lpgmf)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(hDC,Logging::pointers), ", ", first, ", ", count, ", ", listBase, ", ", deviation, ", ", extrusion, ", ", format, ")");
      if( _context ) {
        _context->http.callString = print_string( "wglUseFontOutlinesW", params );
      }
      App( "wglUseFontOutlinesW", params );
    }
    #else
    App("wglUseFontOutlinesW","(", boost::print::optional(hDC,Logging::pointers), ", ", first, ", ", count, ", ", listBase, ", ", deviation, ", ", extrusion, ", ", format, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    BOOL ret = 0;
    ret = _next->call(&_next->wglUseFontOutlinesW)(hDC, first, count, listBase, deviation, extrusion, format, lpgmf);
    return ret;
  }

#endif /* REGAL_SYS_WGL */
#if REGAL_SYS_GLX

  /* GLX_VERSION_1_0 */

  REGAL_DECL XVisualInfo *REGAL_CALL glXChooseVisual(Display *dpy, int screen, int *attribList)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ", ", boost::print::optional(attribList,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXChooseVisual", params );
      }
      App( "glXChooseVisual", params );
    }
    #else
    App("glXChooseVisual","(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ", ", boost::print::optional(attribList,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    Init::init();
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    XVisualInfo * ret = NULL;
    ret = _next->call(&_next->glXChooseVisual)(dpy, screen, attribList);
    return ret;
  }

  REGAL_DECL void REGAL_CALL glXCopyContext(Display *dpy, GLXContext src, GLXContext dst, unsigned long mask)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(src,Logging::pointers), ", ", boost::print::optional(dst,Logging::pointers), ", ", mask, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXCopyContext", params );
      }
      App( "glXCopyContext", params );
    }
    #else
    App("glXCopyContext","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(src,Logging::pointers), ", ", boost::print::optional(dst,Logging::pointers), ", ", mask, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    _next->call(&_next->glXCopyContext)(dpy, src, dst, mask);
  }

  REGAL_DECL GLXContext REGAL_CALL glXCreateContext(Display *dpy, XVisualInfo *vis, GLXContext shareList, Bool direct)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(vis,Logging::pointers), ", ", boost::print::optional(shareList,Logging::pointers), ", ", direct, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXCreateContext", params );
      }
      App( "glXCreateContext", params );
    }
    #else
    App("glXCreateContext","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(vis,Logging::pointers), ", ", boost::print::optional(shareList,Logging::pointers), ", ", direct, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    GLXContext ret = 0;
    ret = _next->call(&_next->glXCreateContext)(dpy, vis, shareList, direct);
    if (ret && shareList)
      Init::shareContext(ret,shareList);
    return ret;
  }

  REGAL_DECL GLXPixmap REGAL_CALL glXCreateGLXPixmap(Display *dpy, XVisualInfo *vis, Pixmap pixmap)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(vis,Logging::pointers), ", ", boost::print::optional(pixmap,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXCreateGLXPixmap", params );
      }
      App( "glXCreateGLXPixmap", params );
    }
    #else
    App("glXCreateGLXPixmap","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(vis,Logging::pointers), ", ", boost::print::optional(pixmap,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    GLXPixmap ret = 0;
    ret = _next->call(&_next->glXCreateGLXPixmap)(dpy, vis, pixmap);
    return ret;
  }

  REGAL_DECL void REGAL_CALL glXDestroyContext(Display *dpy, GLXContext ctx)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(ctx,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXDestroyContext", params );
      }
      App( "glXDestroyContext", params );
    }
    #else
    App("glXDestroyContext","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(ctx,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    _next->call(&_next->glXDestroyContext)(dpy, ctx);
    Init::destroyContext(RegalSystemContext(ctx));
  }

  REGAL_DECL void REGAL_CALL glXDestroyGLXPixmap(Display *dpy, GLXPixmap pix)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(pix,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXDestroyGLXPixmap", params );
      }
      App( "glXDestroyGLXPixmap", params );
    }
    #else
    App("glXDestroyGLXPixmap","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(pix,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    _next->call(&_next->glXDestroyGLXPixmap)(dpy, pix);
  }

  REGAL_DECL int REGAL_CALL glXGetConfig(Display *dpy, XVisualInfo *vis, int attrib, int *value)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(vis,Logging::pointers), ", ", attrib, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXGetConfig", params );
      }
      App( "glXGetConfig", params );
    }
    #else
    App("glXGetConfig","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(vis,Logging::pointers), ", ", attrib, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    int ret = 0;
    ret = _next->call(&_next->glXGetConfig)(dpy, vis, attrib, value);
    return ret;
  }

  REGAL_DECL GLXContext REGAL_CALL glXGetCurrentContext(void)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("()");
      if( _context ) {
        _context->http.callString = print_string( "glXGetCurrentContext", params );
      }
      App( "glXGetCurrentContext", params );
    }
    #else
    App("glXGetCurrentContext","()");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    GLXContext ret = 0;
    ret = _next->call(&_next->glXGetCurrentContext)();
    return ret;
  }

  REGAL_DECL GLXDrawable REGAL_CALL glXGetCurrentDrawable(void)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("()");
      if( _context ) {
        _context->http.callString = print_string( "glXGetCurrentDrawable", params );
      }
      App( "glXGetCurrentDrawable", params );
    }
    #else
    App("glXGetCurrentDrawable","()");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    GLXDrawable ret = 0;
    ret = _next->call(&_next->glXGetCurrentDrawable)();
    return ret;
  }

  REGAL_DECL Bool REGAL_CALL glXIsDirect(Display *dpy, GLXContext ctx)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(ctx,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXIsDirect", params );
      }
      App( "glXIsDirect", params );
    }
    #else
    App("glXIsDirect","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(ctx,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    Bool ret = (Bool) 0;
    ret = _next->call(&_next->glXIsDirect)(dpy, ctx);
    return ret;
  }

  REGAL_DECL Bool REGAL_CALL glXMakeCurrent(Display *dpy, GLXDrawable drawable, GLXContext ctx)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ", ", boost::print::optional(ctx,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXMakeCurrent", params );
      }
      App( "glXMakeCurrent", params );
    }
    #else
    App("glXMakeCurrent","(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ", ", boost::print::optional(ctx,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    Bool ret = (Bool) 0;
    // Keep track of X11 Display and GLXDrawable for logging purposes.
    RegalContext *_context = REGAL_GET_CONTEXT();
    if (_context)
    {
        #if REGAL_SYS_X11
        _context->x11Display  = dpy;
        #endif
        _context->x11Drawable = drawable;
    }
    ret = _next->call(&_next->glXMakeCurrent)(dpy, drawable, ctx);
    if (ret)
        Init::makeCurrent(RegalSystemContext(ctx));
    return ret;
  }

  REGAL_DECL Bool REGAL_CALL glXQueryExtension(Display *dpy, int *errorBase, int *eventBase)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXQueryExtension", params );
      }
      App( "glXQueryExtension", params );
    }
    #else
    App("glXQueryExtension","(", boost::print::optional(dpy,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    Init::init();
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    Bool ret = (Bool) 0;
    ret = _next->call(&_next->glXQueryExtension)(dpy, errorBase, eventBase);
    return ret;
  }

  REGAL_DECL Bool REGAL_CALL glXQueryVersion(Display *dpy, int *major, int *minor)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXQueryVersion", params );
      }
      App( "glXQueryVersion", params );
    }
    #else
    App("glXQueryVersion","(", boost::print::optional(dpy,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    Bool ret = (Bool) 0;
    ret = _next->call(&_next->glXQueryVersion)(dpy, major, minor);
    return ret;
  }

  REGAL_DECL void REGAL_CALL glXSwapBuffers(Display *dpy, GLXDrawable drawable)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXSwapBuffers", params );
      }
      App( "glXSwapBuffers", params );
    }
    #else
    App("glXSwapBuffers","(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    // Keep track of X11 Display and GLXDrawable for logging purposes.
    RegalContext *_context = REGAL_GET_CONTEXT();
    if (_context)
    {
        #if REGAL_SYS_X11
        _context->x11Display  = dpy;
        #endif
        _context->x11Drawable = drawable;
    }
    #if REGAL_FRAME
    // Notify Regal::Frame about the swap buffers event.
    if (_context && _context->frame)
        _context->frame->glXSwapBuffers(*_context);
    #endif
    _next->call(&_next->glXSwapBuffers)(dpy, drawable);
  }

  REGAL_DECL void REGAL_CALL glXUseXFont(Font font, int first, int count, int listBase)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(font,Logging::pointers), ", ", first, ", ", count, ", ", listBase, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXUseXFont", params );
      }
      App( "glXUseXFont", params );
    }
    #else
    App("glXUseXFont","(", boost::print::optional(font,Logging::pointers), ", ", first, ", ", count, ", ", listBase, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    _next->call(&_next->glXUseXFont)(font, first, count, listBase);
  }

  REGAL_DECL void REGAL_CALL glXWaitGL(void)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("()");
      if( _context ) {
        _context->http.callString = print_string( "glXWaitGL", params );
      }
      App( "glXWaitGL", params );
    }
    #else
    App("glXWaitGL","()");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    _next->call(&_next->glXWaitGL)();
  }

  REGAL_DECL void REGAL_CALL glXWaitX(void)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("()");
      if( _context ) {
        _context->http.callString = print_string( "glXWaitX", params );
      }
      App( "glXWaitX", params );
    }
    #else
    App("glXWaitX","()");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    _next->call(&_next->glXWaitX)();
  }

  /* GLX_VERSION_1_1 */

  REGAL_DECL const char *REGAL_CALL glXGetClientString(Display *dpy, int name)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", name, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXGetClientString", params );
      }
      App( "glXGetClientString", params );
    }
    #else
    App("glXGetClientString","(", boost::print::optional(dpy,Logging::pointers), ", ", name, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    const char * ret = NULL;
    ret = _next->call(&_next->glXGetClientString)(dpy, name);
    return ret;
  }

  REGAL_DECL const char *REGAL_CALL glXQueryExtensionsString(Display *dpy, int screen)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXQueryExtensionsString", params );
      }
      App( "glXQueryExtensionsString", params );
    }
    #else
    App("glXQueryExtensionsString","(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    const char * ret = NULL;
    ret = _next->call(&_next->glXQueryExtensionsString)(dpy, screen);
    return ret;
  }

  REGAL_DECL const char *REGAL_CALL glXQueryServerString(Display *dpy, int screen, int name)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ", ", name, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXQueryServerString", params );
      }
      App( "glXQueryServerString", params );
    }
    #else
    App("glXQueryServerString","(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ", ", name, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    const char * ret = NULL;
    ret = _next->call(&_next->glXQueryServerString)(dpy, screen, name);
    return ret;
  }

  /* GLX_VERSION_1_2 */

  REGAL_DECL Display *REGAL_CALL glXGetCurrentDisplay(void)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("()");
      if( _context ) {
        _context->http.callString = print_string( "glXGetCurrentDisplay", params );
      }
      App( "glXGetCurrentDisplay", params );
    }
    #else
    App("glXGetCurrentDisplay","()");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    Display * ret = NULL;
    ret = _next->call(&_next->glXGetCurrentDisplay)();
    return ret;
  }

  /* GLX_VERSION_1_3 */

  REGAL_DECL GLXFBConfig *REGAL_CALL glXChooseFBConfig(Display *dpy, int screen, const int *attrib_list, int *nelements)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ", ", boost::print::optional(attrib_list,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXChooseFBConfig", params );
      }
      App( "glXChooseFBConfig", params );
    }
    #else
    App("glXChooseFBConfig","(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ", ", boost::print::optional(attrib_list,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    GLXFBConfig * ret = NULL;
    ret = _next->call(&_next->glXChooseFBConfig)(dpy, screen, attrib_list, nelements);
    return ret;
  }

  REGAL_DECL GLXContext REGAL_CALL glXCreateNewContext(Display *dpy, GLXFBConfig config, int render_type, GLXContext share_list, Bool direct)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", config, ", ", render_type, ", ", boost::print::optional(share_list,Logging::pointers), ", ", direct, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXCreateNewContext", params );
      }
      App( "glXCreateNewContext", params );
    }
    #else
    App("glXCreateNewContext","(", boost::print::optional(dpy,Logging::pointers), ", ", config, ", ", render_type, ", ", boost::print::optional(share_list,Logging::pointers), ", ", direct, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    GLXContext ret = 0;
    ret = _next->call(&_next->glXCreateNewContext)(dpy, config, render_type, share_list, direct);
    if (ret && share_list)
      Init::shareContext(ret,share_list);
    return ret;
  }

  REGAL_DECL GLXPbuffer REGAL_CALL glXCreatePbuffer(Display *dpy, GLXFBConfig config, const int *attrib_list)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", config, ", ", boost::print::optional(attrib_list,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXCreatePbuffer", params );
      }
      App( "glXCreatePbuffer", params );
    }
    #else
    App("glXCreatePbuffer","(", boost::print::optional(dpy,Logging::pointers), ", ", config, ", ", boost::print::optional(attrib_list,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    GLXPbuffer ret = 0;
    ret = _next->call(&_next->glXCreatePbuffer)(dpy, config, attrib_list);
    return ret;
  }

  REGAL_DECL GLXPixmap REGAL_CALL glXCreatePixmap(Display *dpy, GLXFBConfig config, Pixmap pixmap, const int *attrib_list)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", config, ", ", boost::print::optional(pixmap,Logging::pointers), ", ", boost::print::optional(attrib_list,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXCreatePixmap", params );
      }
      App( "glXCreatePixmap", params );
    }
    #else
    App("glXCreatePixmap","(", boost::print::optional(dpy,Logging::pointers), ", ", config, ", ", boost::print::optional(pixmap,Logging::pointers), ", ", boost::print::optional(attrib_list,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    GLXPixmap ret = 0;
    ret = _next->call(&_next->glXCreatePixmap)(dpy, config, pixmap, attrib_list);
    return ret;
  }

  REGAL_DECL GLXWindow REGAL_CALL glXCreateWindow(Display *dpy, GLXFBConfig config, Window win, const int *attrib_list)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", config, ", ", win, ", ", boost::print::optional(attrib_list,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXCreateWindow", params );
      }
      App( "glXCreateWindow", params );
    }
    #else
    App("glXCreateWindow","(", boost::print::optional(dpy,Logging::pointers), ", ", config, ", ", win, ", ", boost::print::optional(attrib_list,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    GLXWindow ret = 0;
    ret = _next->call(&_next->glXCreateWindow)(dpy, config, win, attrib_list);
    return ret;
  }

  REGAL_DECL void REGAL_CALL glXDestroyPbuffer(Display *dpy, GLXPbuffer pbuf)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(pbuf,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXDestroyPbuffer", params );
      }
      App( "glXDestroyPbuffer", params );
    }
    #else
    App("glXDestroyPbuffer","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(pbuf,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    _next->call(&_next->glXDestroyPbuffer)(dpy, pbuf);
  }

  REGAL_DECL void REGAL_CALL glXDestroyPixmap(Display *dpy, GLXPixmap pixmap)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(pixmap,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXDestroyPixmap", params );
      }
      App( "glXDestroyPixmap", params );
    }
    #else
    App("glXDestroyPixmap","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(pixmap,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    _next->call(&_next->glXDestroyPixmap)(dpy, pixmap);
  }

  REGAL_DECL void REGAL_CALL glXDestroyWindow(Display *dpy, GLXWindow win)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(win,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXDestroyWindow", params );
      }
      App( "glXDestroyWindow", params );
    }
    #else
    App("glXDestroyWindow","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(win,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    _next->call(&_next->glXDestroyWindow)(dpy, win);
  }

  REGAL_DECL GLXDrawable REGAL_CALL glXGetCurrentReadDrawable(void)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("()");
      if( _context ) {
        _context->http.callString = print_string( "glXGetCurrentReadDrawable", params );
      }
      App( "glXGetCurrentReadDrawable", params );
    }
    #else
    App("glXGetCurrentReadDrawable","()");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    GLXDrawable ret = 0;
    ret = _next->call(&_next->glXGetCurrentReadDrawable)();
    return ret;
  }

  REGAL_DECL int REGAL_CALL glXGetFBConfigAttrib(Display *dpy, GLXFBConfig config, int attribute, int *value)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", config, ", ", attribute, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXGetFBConfigAttrib", params );
      }
      App( "glXGetFBConfigAttrib", params );
    }
    #else
    App("glXGetFBConfigAttrib","(", boost::print::optional(dpy,Logging::pointers), ", ", config, ", ", attribute, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    int ret = 0;
    ret = _next->call(&_next->glXGetFBConfigAttrib)(dpy, config, attribute, value);
    return ret;
  }

  REGAL_DECL GLXFBConfig *REGAL_CALL glXGetFBConfigs(Display *dpy, int screen, int *nelements)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXGetFBConfigs", params );
      }
      App( "glXGetFBConfigs", params );
    }
    #else
    App("glXGetFBConfigs","(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    GLXFBConfig * ret = NULL;
    ret = _next->call(&_next->glXGetFBConfigs)(dpy, screen, nelements);
    return ret;
  }

  REGAL_DECL void REGAL_CALL glXGetSelectedEvent(Display *dpy, GLXDrawable draw, unsigned long *event_mask)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", draw, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXGetSelectedEvent", params );
      }
      App( "glXGetSelectedEvent", params );
    }
    #else
    App("glXGetSelectedEvent","(", boost::print::optional(dpy,Logging::pointers), ", ", draw, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    _next->call(&_next->glXGetSelectedEvent)(dpy, draw, event_mask);
  }

  REGAL_DECL XVisualInfo *REGAL_CALL glXGetVisualFromFBConfig(Display *dpy, GLXFBConfig config)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", config, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXGetVisualFromFBConfig", params );
      }
      App( "glXGetVisualFromFBConfig", params );
    }
    #else
    App("glXGetVisualFromFBConfig","(", boost::print::optional(dpy,Logging::pointers), ", ", config, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    XVisualInfo * ret = NULL;
    ret = _next->call(&_next->glXGetVisualFromFBConfig)(dpy, config);
    return ret;
  }

  REGAL_DECL Bool REGAL_CALL glXMakeContextCurrent(Display *display, GLXDrawable draw, GLXDrawable read, GLXContext ctx)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(display,Logging::pointers), ", ", draw, ", ", read, ", ", boost::print::optional(ctx,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXMakeContextCurrent", params );
      }
      App( "glXMakeContextCurrent", params );
    }
    #else
    App("glXMakeContextCurrent","(", boost::print::optional(display,Logging::pointers), ", ", draw, ", ", read, ", ", boost::print::optional(ctx,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    Bool ret = (Bool) 0;
    ret = _next->call(&_next->glXMakeContextCurrent)(display, draw, read, ctx);
    if (ret)
    {
      Init::init();
      Init::makeCurrent(RegalSystemContext(ctx));
    }
    return ret;
  }

  REGAL_DECL int REGAL_CALL glXQueryContext(Display *dpy, GLXContext ctx, int attribute, int *value)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(ctx,Logging::pointers), ", ", GLXenumToString(attribute), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXQueryContext", params );
      }
      App( "glXQueryContext", params );
    }
    #else
    App("glXQueryContext","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(ctx,Logging::pointers), ", ", GLXenumToString(attribute), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    int ret = 0;
    ret = _next->call(&_next->glXQueryContext)(dpy, ctx, attribute, value);
    return ret;
  }

  REGAL_DECL void REGAL_CALL glXQueryDrawable(Display *dpy, GLXDrawable draw, int attribute, unsigned int *value)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", draw, ", ", attribute, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXQueryDrawable", params );
      }
      App( "glXQueryDrawable", params );
    }
    #else
    App("glXQueryDrawable","(", boost::print::optional(dpy,Logging::pointers), ", ", draw, ", ", attribute, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    _next->call(&_next->glXQueryDrawable)(dpy, draw, attribute, value);
  }

  REGAL_DECL void REGAL_CALL glXSelectEvent(Display *dpy, GLXDrawable draw, unsigned long event_mask)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", draw, ", ", event_mask, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXSelectEvent", params );
      }
      App( "glXSelectEvent", params );
    }
    #else
    App("glXSelectEvent","(", boost::print::optional(dpy,Logging::pointers), ", ", draw, ", ", event_mask, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    _next->call(&_next->glXSelectEvent)(dpy, draw, event_mask);
  }

  /* GLX_VERSION_1_4 */

  REGAL_DECL __GLXextFuncPtr REGAL_CALL glXGetProcAddress(const GLubyte *procName)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::quote(reinterpret_cast<const char *>(procName),'"'), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXGetProcAddress", params );
      }
      App( "glXGetProcAddress", params );
    }
    #else
    App("glXGetProcAddress","(", boost::print::quote(reinterpret_cast<const char *>(procName),'"'), ")");
    #endif
    RegalAssert(Init::isInitialized());
    Init::init();
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    __GLXextFuncPtr ret = NULL;
    ret = Lookup::gl_Lookup<__GLXextFuncPtr>(reinterpret_cast<const char *>(procName));
    if (ret)
      return ret;
    ret = Lookup::glx_Lookup<__GLXextFuncPtr>(reinterpret_cast<const char *>(procName));
    if (ret)
      return ret;
    ret = _next->call(&_next->glXGetProcAddress)(procName);
    return ret;
  }

  /* GLX_AMD_gpu_association */

  REGAL_DECL void REGAL_CALL glXBlitContextFramebufferAMD(GLXContext dstCtx, GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dstCtx,Logging::pointers), ", ", srcX0, ", ", srcY0, ", ", srcX1, ", ", srcY1, ", ", dstX0, ", ", dstY0, ", ", dstX1, ", ", dstY1, ", ", GLblitFramebufferToString(mask), ", ", toString(filter), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXBlitContextFramebufferAMD", params );
      }
      App( "glXBlitContextFramebufferAMD", params );
    }
    #else
    App("glXBlitContextFramebufferAMD","(", boost::print::optional(dstCtx,Logging::pointers), ", ", srcX0, ", ", srcY0, ", ", srcX1, ", ", srcY1, ", ", dstX0, ", ", dstY0, ", ", dstX1, ", ", dstY1, ", ", GLblitFramebufferToString(mask), ", ", toString(filter), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    _next->call(&_next->glXBlitContextFramebufferAMD)(dstCtx, srcX0, srcY0, srcX1, srcY1, dstX0, dstY0, dstX1, dstY1, mask, filter);
  }

  REGAL_DECL GLXContext REGAL_CALL glXCreateAssociatedContextAMD(unsigned int id, GLXContext share_list)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", id, ", ", boost::print::optional(share_list,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXCreateAssociatedContextAMD", params );
      }
      App( "glXCreateAssociatedContextAMD", params );
    }
    #else
    App("glXCreateAssociatedContextAMD","(", id, ", ", boost::print::optional(share_list,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    GLXContext ret = 0;
    ret = _next->call(&_next->glXCreateAssociatedContextAMD)(id, share_list);
    return ret;
  }

  REGAL_DECL GLXContext REGAL_CALL glXCreateAssociatedContextAttribsAMD(unsigned int id, GLXContext share_context, const int *attribList)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", id, ", ", boost::print::optional(share_context,Logging::pointers), ", ", boost::print::optional(attribList,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXCreateAssociatedContextAttribsAMD", params );
      }
      App( "glXCreateAssociatedContextAttribsAMD", params );
    }
    #else
    App("glXCreateAssociatedContextAttribsAMD","(", id, ", ", boost::print::optional(share_context,Logging::pointers), ", ", boost::print::optional(attribList,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    GLXContext ret = 0;
    ret = _next->call(&_next->glXCreateAssociatedContextAttribsAMD)(id, share_context, attribList);
    return ret;
  }

  REGAL_DECL Bool REGAL_CALL glXDeleteAssociatedContextAMD(GLXContext ctx)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(ctx,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXDeleteAssociatedContextAMD", params );
      }
      App( "glXDeleteAssociatedContextAMD", params );
    }
    #else
    App("glXDeleteAssociatedContextAMD","(", boost::print::optional(ctx,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    Bool ret = (Bool) 0;
    ret = _next->call(&_next->glXDeleteAssociatedContextAMD)(ctx);
    return ret;
  }

  REGAL_DECL unsigned int REGAL_CALL glXGetContextGPUIDAMD(GLXContext ctx)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(ctx,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXGetContextGPUIDAMD", params );
      }
      App( "glXGetContextGPUIDAMD", params );
    }
    #else
    App("glXGetContextGPUIDAMD","(", boost::print::optional(ctx,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    unsigned int ret = (unsigned int) 0;
    ret = _next->call(&_next->glXGetContextGPUIDAMD)(ctx);
    return ret;
  }

  REGAL_DECL GLXContext REGAL_CALL glXGetCurrentAssociatedContextAMD(void)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("()");
      if( _context ) {
        _context->http.callString = print_string( "glXGetCurrentAssociatedContextAMD", params );
      }
      App( "glXGetCurrentAssociatedContextAMD", params );
    }
    #else
    App("glXGetCurrentAssociatedContextAMD","()");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    GLXContext ret = 0;
    ret = _next->call(&_next->glXGetCurrentAssociatedContextAMD)();
    return ret;
  }

  REGAL_DECL unsigned int REGAL_CALL glXGetGPUIDsAMD(unsigned int maxCount, unsigned int *ids)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", maxCount, ", ", ids, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXGetGPUIDsAMD", params );
      }
      App( "glXGetGPUIDsAMD", params );
    }
    #else
    App("glXGetGPUIDsAMD","(", maxCount, ", ", ids, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    unsigned int ret = (unsigned int) 0;
    ret = _next->call(&_next->glXGetGPUIDsAMD)(maxCount, ids);
    return ret;
  }

  REGAL_DECL int REGAL_CALL glXGetGPUInfoAMD(unsigned int id, int property, GLenum dataType, unsigned int size, GLvoid *data)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", id, ", ", property, ", ", toString(dataType), ", ", size, ", ", boost::print::optional(data,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXGetGPUInfoAMD", params );
      }
      App( "glXGetGPUInfoAMD", params );
    }
    #else
    App("glXGetGPUInfoAMD","(", id, ", ", property, ", ", toString(dataType), ", ", size, ", ", boost::print::optional(data,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    int ret = 0;
    ret = _next->call(&_next->glXGetGPUInfoAMD)(id, property, dataType, size, data);
    return ret;
  }

  REGAL_DECL Bool REGAL_CALL glXMakeAssociatedContextCurrentAMD(GLXContext ctx)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(ctx,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXMakeAssociatedContextCurrentAMD", params );
      }
      App( "glXMakeAssociatedContextCurrentAMD", params );
    }
    #else
    App("glXMakeAssociatedContextCurrentAMD","(", boost::print::optional(ctx,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    Bool ret = (Bool) 0;
    ret = _next->call(&_next->glXMakeAssociatedContextCurrentAMD)(ctx);
    return ret;
  }

  /* GLX_ARB_create_context */

  REGAL_DECL GLXContext REGAL_CALL glXCreateContextAttribsARB(Display *dpy, GLXFBConfig config, GLXContext share_context, Bool direct, const int *attrib_list)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", config, ", ", boost::print::optional(share_context,Logging::pointers), ", ", direct, ", ", boost::print::optional(attrib_list,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXCreateContextAttribsARB", params );
      }
      App( "glXCreateContextAttribsARB", params );
    }
    #else
    App("glXCreateContextAttribsARB","(", boost::print::optional(dpy,Logging::pointers), ", ", config, ", ", boost::print::optional(share_context,Logging::pointers), ", ", direct, ", ", boost::print::optional(attrib_list,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    GLXContext ret = 0;
    ret = _next->call(&_next->glXCreateContextAttribsARB)(dpy, config, share_context, direct, attrib_list);
    if (ret && share_context)
      Init::shareContext(ret,share_context);
    return ret;
  }

  /* GLX_ARB_get_proc_address */

  REGAL_DECL __GLXextFuncPtr REGAL_CALL glXGetProcAddressARB(const GLubyte *procName)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::quote(reinterpret_cast<const char *>(procName),'"'), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXGetProcAddressARB", params );
      }
      App( "glXGetProcAddressARB", params );
    }
    #else
    App("glXGetProcAddressARB","(", boost::print::quote(reinterpret_cast<const char *>(procName),'"'), ")");
    #endif
    RegalAssert(Init::isInitialized());
    Init::init();
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    __GLXextFuncPtr ret = NULL;
    ret = Lookup::gl_Lookup<__GLXextFuncPtr>(reinterpret_cast<const char *>(procName));
    if (ret)
      return ret;
    ret = Lookup::glx_Lookup<__GLXextFuncPtr>(reinterpret_cast<const char *>(procName));
    if (ret)
      return ret;
    ret = _next->call(&_next->glXGetProcAddressARB)(procName);
    return ret;
  }

  /* GLX_ATI_render_texture */

  REGAL_DECL void REGAL_CALL glXBindTexImageATI(Display *dpy, GLXPbuffer pbuf, int buffer)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(pbuf,Logging::pointers), ", ", buffer, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXBindTexImageATI", params );
      }
      App( "glXBindTexImageATI", params );
    }
    #else
    App("glXBindTexImageATI","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(pbuf,Logging::pointers), ", ", buffer, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    _next->call(&_next->glXBindTexImageATI)(dpy, pbuf, buffer);
  }

  REGAL_DECL void REGAL_CALL glXDrawableAttribATI(Display *dpy, GLXDrawable draw, const int *attrib_list)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", draw, ", ", boost::print::optional(attrib_list,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXDrawableAttribATI", params );
      }
      App( "glXDrawableAttribATI", params );
    }
    #else
    App("glXDrawableAttribATI","(", boost::print::optional(dpy,Logging::pointers), ", ", draw, ", ", boost::print::optional(attrib_list,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    _next->call(&_next->glXDrawableAttribATI)(dpy, draw, attrib_list);
  }

  REGAL_DECL void REGAL_CALL glXReleaseTexImageATI(Display *dpy, GLXPbuffer pbuf, int buffer)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(pbuf,Logging::pointers), ", ", buffer, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXReleaseTexImageATI", params );
      }
      App( "glXReleaseTexImageATI", params );
    }
    #else
    App("glXReleaseTexImageATI","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(pbuf,Logging::pointers), ", ", buffer, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    _next->call(&_next->glXReleaseTexImageATI)(dpy, pbuf, buffer);
  }

  /* GLX_EXT_import_context */

  REGAL_DECL void REGAL_CALL glXFreeContextEXT(Display *dpy, GLXContext context)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(context,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXFreeContextEXT", params );
      }
      App( "glXFreeContextEXT", params );
    }
    #else
    App("glXFreeContextEXT","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(context,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    _next->call(&_next->glXFreeContextEXT)(dpy, context);
  }

  REGAL_DECL GLXContextID REGAL_CALL glXGetContextIDEXT(const GLXContext context)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", context, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXGetContextIDEXT", params );
      }
      App( "glXGetContextIDEXT", params );
    }
    #else
    App("glXGetContextIDEXT","(", context, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    GLXContextID ret = 0;
    ret = _next->call(&_next->glXGetContextIDEXT)(context);
    return ret;
  }

  REGAL_DECL GLXContext REGAL_CALL glXImportContextEXT(Display *dpy, GLXContextID contextID)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", contextID, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXImportContextEXT", params );
      }
      App( "glXImportContextEXT", params );
    }
    #else
    App("glXImportContextEXT","(", boost::print::optional(dpy,Logging::pointers), ", ", contextID, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    GLXContext ret = 0;
    ret = _next->call(&_next->glXImportContextEXT)(dpy, contextID);
    return ret;
  }

  REGAL_DECL int REGAL_CALL glXQueryContextInfoEXT(Display *dpy, GLXContext context, int attribute, int *value)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(context,Logging::pointers), ", ", attribute, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXQueryContextInfoEXT", params );
      }
      App( "glXQueryContextInfoEXT", params );
    }
    #else
    App("glXQueryContextInfoEXT","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(context,Logging::pointers), ", ", attribute, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    int ret = 0;
    ret = _next->call(&_next->glXQueryContextInfoEXT)(dpy, context, attribute, value);
    return ret;
  }

  /* GLX_EXT_swap_control */

  REGAL_DECL void REGAL_CALL glXSwapIntervalEXT(Display *dpy, GLXDrawable drawable, int interval)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ", ", interval, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXSwapIntervalEXT", params );
      }
      App( "glXSwapIntervalEXT", params );
    }
    #else
    App("glXSwapIntervalEXT","(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ", ", interval, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    _next->call(&_next->glXSwapIntervalEXT)(dpy, drawable, interval);
  }

  /* GLX_EXT_texture_from_pixmap */

  REGAL_DECL void REGAL_CALL glXBindTexImageEXT(Display *display, GLXDrawable drawable, int buffer, const int *attrib_list)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(display,Logging::pointers), ", ", drawable, ", ", buffer, ", ", boost::print::optional(attrib_list,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXBindTexImageEXT", params );
      }
      App( "glXBindTexImageEXT", params );
    }
    #else
    App("glXBindTexImageEXT","(", boost::print::optional(display,Logging::pointers), ", ", drawable, ", ", buffer, ", ", boost::print::optional(attrib_list,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    _next->call(&_next->glXBindTexImageEXT)(display, drawable, buffer, attrib_list);
  }

  REGAL_DECL void REGAL_CALL glXReleaseTexImageEXT(Display *display, GLXDrawable drawable, int buffer)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(display,Logging::pointers), ", ", drawable, ", ", buffer, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXReleaseTexImageEXT", params );
      }
      App( "glXReleaseTexImageEXT", params );
    }
    #else
    App("glXReleaseTexImageEXT","(", boost::print::optional(display,Logging::pointers), ", ", drawable, ", ", buffer, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    _next->call(&_next->glXReleaseTexImageEXT)(display, drawable, buffer);
  }

  /* GLX_MESA_agp_offset */

  REGAL_DECL unsigned int REGAL_CALL glXGetAGPOffsetMESA(const void *pointer)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(pointer,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXGetAGPOffsetMESA", params );
      }
      App( "glXGetAGPOffsetMESA", params );
    }
    #else
    App("glXGetAGPOffsetMESA","(", boost::print::optional(pointer,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    unsigned int ret = (unsigned int) 0;
    ret = _next->call(&_next->glXGetAGPOffsetMESA)(pointer);
    return ret;
  }

  /* GLX_MESA_copy_sub_buffer */

  REGAL_DECL void REGAL_CALL glXCopySubBufferMESA(Display *dpy, GLXDrawable drawable, int x, int y, int width, int height)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ", ", x, ", ", y, ", ", width, ", ", height, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXCopySubBufferMESA", params );
      }
      App( "glXCopySubBufferMESA", params );
    }
    #else
    App("glXCopySubBufferMESA","(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ", ", x, ", ", y, ", ", width, ", ", height, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    _next->call(&_next->glXCopySubBufferMESA)(dpy, drawable, x, y, width, height);
  }

  /* GLX_MESA_pixmap_colormap */

  REGAL_DECL GLXPixmap REGAL_CALL glXCreateGLXPixmapMESA(Display *dpy, XVisualInfo *visual, Pixmap pixmap, Colormap cmap)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(visual,Logging::pointers), ", ", boost::print::optional(pixmap,Logging::pointers), ", ", cmap, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXCreateGLXPixmapMESA", params );
      }
      App( "glXCreateGLXPixmapMESA", params );
    }
    #else
    App("glXCreateGLXPixmapMESA","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(visual,Logging::pointers), ", ", boost::print::optional(pixmap,Logging::pointers), ", ", cmap, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    GLXPixmap ret = 0;
    ret = _next->call(&_next->glXCreateGLXPixmapMESA)(dpy, visual, pixmap, cmap);
    return ret;
  }

  /* GLX_MESA_query_renderer */

  REGAL_DECL Bool REGAL_CALL glXQueryCurrentRendererIntegerMESA(int attribute, unsigned int *value)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", attribute, ", ", value, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXQueryCurrentRendererIntegerMESA", params );
      }
      App( "glXQueryCurrentRendererIntegerMESA", params );
    }
    #else
    App("glXQueryCurrentRendererIntegerMESA","(", attribute, ", ", value, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    Bool ret = (Bool) 0;
    ret = _next->call(&_next->glXQueryCurrentRendererIntegerMESA)(attribute, value);
    return ret;
  }

  REGAL_DECL const char *REGAL_CALL glXQueryCurrentRendererStringMESA(int attribute)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", attribute, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXQueryCurrentRendererStringMESA", params );
      }
      App( "glXQueryCurrentRendererStringMESA", params );
    }
    #else
    App("glXQueryCurrentRendererStringMESA","(", attribute, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    const char * ret = NULL;
    ret = _next->call(&_next->glXQueryCurrentRendererStringMESA)(attribute);
    return ret;
  }

  REGAL_DECL Bool REGAL_CALL glXQueryRendererIntegerMESA(Display *dpy, int screen, int renderer, int attribute, unsigned int *value)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ", ", renderer, ", ", attribute, ", ", value, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXQueryRendererIntegerMESA", params );
      }
      App( "glXQueryRendererIntegerMESA", params );
    }
    #else
    App("glXQueryRendererIntegerMESA","(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ", ", renderer, ", ", attribute, ", ", value, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    Bool ret = (Bool) 0;
    ret = _next->call(&_next->glXQueryRendererIntegerMESA)(dpy, screen, renderer, attribute, value);
    return ret;
  }

  REGAL_DECL const char *REGAL_CALL glXQueryRendererStringMESA(Display *dpy, int screen, int renderer, int attribute)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ", ", renderer, ", ", attribute, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXQueryRendererStringMESA", params );
      }
      App( "glXQueryRendererStringMESA", params );
    }
    #else
    App("glXQueryRendererStringMESA","(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ", ", renderer, ", ", attribute, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    const char * ret = NULL;
    ret = _next->call(&_next->glXQueryRendererStringMESA)(dpy, screen, renderer, attribute);
    return ret;
  }

  /* GLX_MESA_release_buffers */

  REGAL_DECL Bool REGAL_CALL glXReleaseBuffersMESA(Display *dpy, GLXDrawable d)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", d, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXReleaseBuffersMESA", params );
      }
      App( "glXReleaseBuffersMESA", params );
    }
    #else
    App("glXReleaseBuffersMESA","(", boost::print::optional(dpy,Logging::pointers), ", ", d, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    Bool ret = (Bool) 0;
    ret = _next->call(&_next->glXReleaseBuffersMESA)(dpy, d);
    return ret;
  }

  /* GLX_MESA_set_3dfx_mode */

  REGAL_DECL GLboolean REGAL_CALL glXSet3DfxModeMESA(GLint mode)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", mode, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXSet3DfxModeMESA", params );
      }
      App( "glXSet3DfxModeMESA", params );
    }
    #else
    App("glXSet3DfxModeMESA","(", mode, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    GLboolean ret = GL_FALSE;
    ret = _next->call(&_next->glXSet3DfxModeMESA)(mode);
    return ret;
  }

  /* GLX_MESA_swap_control */

  REGAL_DECL int REGAL_CALL glXGetSwapIntervalMESA(void)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("()");
      if( _context ) {
        _context->http.callString = print_string( "glXGetSwapIntervalMESA", params );
      }
      App( "glXGetSwapIntervalMESA", params );
    }
    #else
    App("glXGetSwapIntervalMESA","()");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    int ret = 0;
    ret = _next->call(&_next->glXGetSwapIntervalMESA)();
    return ret;
  }

  REGAL_DECL int REGAL_CALL glXSwapIntervalMESA(unsigned int interval)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", interval, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXSwapIntervalMESA", params );
      }
      App( "glXSwapIntervalMESA", params );
    }
    #else
    App("glXSwapIntervalMESA","(", interval, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    int ret = 0;
    ret = _next->call(&_next->glXSwapIntervalMESA)(interval);
    return ret;
  }

  /* GLX_NV_copy_buffer */

  REGAL_DECL void REGAL_CALL glXCopyBufferSubDataNV(Display *dpy, GLXContext readCtx, GLXContext writeCtx, GLenum readTarget, GLenum writeTarget, GLintptr readOffset, GLintptr writeOffset, GLsizeiptr size)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(readCtx,Logging::pointers), ", ", boost::print::optional(writeCtx,Logging::pointers), ", ", toString(readTarget), ", ", toString(writeTarget), ", ", readOffset, ", ", writeOffset, ", ", size, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXCopyBufferSubDataNV", params );
      }
      App( "glXCopyBufferSubDataNV", params );
    }
    #else
    App("glXCopyBufferSubDataNV","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(readCtx,Logging::pointers), ", ", boost::print::optional(writeCtx,Logging::pointers), ", ", toString(readTarget), ", ", toString(writeTarget), ", ", readOffset, ", ", writeOffset, ", ", size, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    _next->call(&_next->glXCopyBufferSubDataNV)(dpy, readCtx, writeCtx, readTarget, writeTarget, readOffset, writeOffset, size);
  }

  REGAL_DECL void REGAL_CALL glXNamedCopyBufferSubDataNV(Display *dpy, GLXContext readCtx, GLXContext writeCtx, GLuint readBuffer, GLuint writeBuffer, GLintptr readOffset, GLintptr writeOffset, GLsizeiptr size)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(readCtx,Logging::pointers), ", ", boost::print::optional(writeCtx,Logging::pointers), ", ", readBuffer, ", ", writeBuffer, ", ", readOffset, ", ", writeOffset, ", ", size, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXNamedCopyBufferSubDataNV", params );
      }
      App( "glXNamedCopyBufferSubDataNV", params );
    }
    #else
    App("glXNamedCopyBufferSubDataNV","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(readCtx,Logging::pointers), ", ", boost::print::optional(writeCtx,Logging::pointers), ", ", readBuffer, ", ", writeBuffer, ", ", readOffset, ", ", writeOffset, ", ", size, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    _next->call(&_next->glXNamedCopyBufferSubDataNV)(dpy, readCtx, writeCtx, readBuffer, writeBuffer, readOffset, writeOffset, size);
  }

  /* GLX_NV_copy_image */

  REGAL_DECL void REGAL_CALL glXCopyImageSubDataNV(Display *dpy, GLXContext srcCtx, GLuint srcName, GLenum srcTarget, GLint srcLevel, GLint srcX, GLint srcY, GLint srcZ, GLXContext dstCtx, GLuint dstName, GLenum dstTarget, GLint dstLevel, GLint dstX, GLint dstY, GLint dstZ, GLsizei width, GLsizei height, GLsizei depth)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(srcCtx,Logging::pointers), ", ", srcName, ", ", toString(srcTarget), ", ", srcLevel, ", ", srcX, ", ", srcY, ", ", srcZ, ", ", boost::print::optional(dstCtx,Logging::pointers), ", ", dstName, ", ", toString(dstTarget), ", ", dstLevel, ", ", dstX, ", ", dstY, ", ", dstZ, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXCopyImageSubDataNV", params );
      }
      App( "glXCopyImageSubDataNV", params );
    }
    #else
    App("glXCopyImageSubDataNV","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(srcCtx,Logging::pointers), ", ", srcName, ", ", toString(srcTarget), ", ", srcLevel, ", ", srcX, ", ", srcY, ", ", srcZ, ", ", boost::print::optional(dstCtx,Logging::pointers), ", ", dstName, ", ", toString(dstTarget), ", ", dstLevel, ", ", dstX, ", ", dstY, ", ", dstZ, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    _next->call(&_next->glXCopyImageSubDataNV)(dpy, srcCtx, srcName, srcTarget, srcLevel, srcX, srcY, srcZ, dstCtx, dstName, dstTarget, dstLevel, dstX, dstY, dstZ, width, height, depth);
  }

  /* GLX_NV_delay_before_swap */

  REGAL_DECL Bool REGAL_CALL glXDelayBeforeSwapNV(Display *dpy, GLXDrawable drawable, GLfloat seconds)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ", ", seconds, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXDelayBeforeSwapNV", params );
      }
      App( "glXDelayBeforeSwapNV", params );
    }
    #else
    App("glXDelayBeforeSwapNV","(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ", ", seconds, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    Bool ret = (Bool) 0;
    ret = _next->call(&_next->glXDelayBeforeSwapNV)(dpy, drawable, seconds);
    return ret;
  }

  /* GLX_NV_present_video */

  REGAL_DECL int REGAL_CALL glXBindVideoDeviceNV(Display *dpy, unsigned int video_slot, unsigned int video_device, const int *attrib_list)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", video_slot, ", ", video_device, ", ", boost::print::optional(attrib_list,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXBindVideoDeviceNV", params );
      }
      App( "glXBindVideoDeviceNV", params );
    }
    #else
    App("glXBindVideoDeviceNV","(", boost::print::optional(dpy,Logging::pointers), ", ", video_slot, ", ", video_device, ", ", boost::print::optional(attrib_list,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    int ret = 0;
    ret = _next->call(&_next->glXBindVideoDeviceNV)(dpy, video_slot, video_device, attrib_list);
    return ret;
  }

  REGAL_DECL unsigned int *REGAL_CALL glXEnumerateVideoDevicesNV(Display *dpy, int screen, int *nelements)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXEnumerateVideoDevicesNV", params );
      }
      App( "glXEnumerateVideoDevicesNV", params );
    }
    #else
    App("glXEnumerateVideoDevicesNV","(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    unsigned int * ret = NULL;
    ret = _next->call(&_next->glXEnumerateVideoDevicesNV)(dpy, screen, nelements);
    return ret;
  }

  /* GLX_NV_swap_group */

  REGAL_DECL Bool REGAL_CALL glXBindSwapBarrierNV(Display *dpy, GLuint group, GLuint barrier)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", group, ", ", barrier, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXBindSwapBarrierNV", params );
      }
      App( "glXBindSwapBarrierNV", params );
    }
    #else
    App("glXBindSwapBarrierNV","(", boost::print::optional(dpy,Logging::pointers), ", ", group, ", ", barrier, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    Bool ret = (Bool) 0;
    ret = _next->call(&_next->glXBindSwapBarrierNV)(dpy, group, barrier);
    return ret;
  }

  REGAL_DECL Bool REGAL_CALL glXJoinSwapGroupNV(Display *dpy, GLXDrawable drawable, GLuint group)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ", ", group, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXJoinSwapGroupNV", params );
      }
      App( "glXJoinSwapGroupNV", params );
    }
    #else
    App("glXJoinSwapGroupNV","(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ", ", group, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    Bool ret = (Bool) 0;
    ret = _next->call(&_next->glXJoinSwapGroupNV)(dpy, drawable, group);
    return ret;
  }

  REGAL_DECL Bool REGAL_CALL glXQueryFrameCountNV(Display *dpy, int screen, GLuint *count)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXQueryFrameCountNV", params );
      }
      App( "glXQueryFrameCountNV", params );
    }
    #else
    App("glXQueryFrameCountNV","(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    Bool ret = (Bool) 0;
    ret = _next->call(&_next->glXQueryFrameCountNV)(dpy, screen, count);
    return ret;
  }

  REGAL_DECL Bool REGAL_CALL glXQueryMaxSwapGroupsNV(Display *dpy, int screen, GLuint *maxGroups, GLuint *maxBarriers)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXQueryMaxSwapGroupsNV", params );
      }
      App( "glXQueryMaxSwapGroupsNV", params );
    }
    #else
    App("glXQueryMaxSwapGroupsNV","(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    Bool ret = (Bool) 0;
    ret = _next->call(&_next->glXQueryMaxSwapGroupsNV)(dpy, screen, maxGroups, maxBarriers);
    return ret;
  }

  REGAL_DECL Bool REGAL_CALL glXQuerySwapGroupNV(Display *dpy, GLXDrawable drawable, GLuint *group, GLuint *barrier)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXQuerySwapGroupNV", params );
      }
      App( "glXQuerySwapGroupNV", params );
    }
    #else
    App("glXQuerySwapGroupNV","(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    Bool ret = (Bool) 0;
    ret = _next->call(&_next->glXQuerySwapGroupNV)(dpy, drawable, group, barrier);
    return ret;
  }

  REGAL_DECL Bool REGAL_CALL glXResetFrameCountNV(Display *dpy, int screen)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXResetFrameCountNV", params );
      }
      App( "glXResetFrameCountNV", params );
    }
    #else
    App("glXResetFrameCountNV","(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    Bool ret = (Bool) 0;
    ret = _next->call(&_next->glXResetFrameCountNV)(dpy, screen);
    return ret;
  }

  /* GLX_NV_vertex_array_range */

  REGAL_DECL void *REGAL_CALL glXAllocateMemoryNV(GLsizei size, GLfloat readFrequency, GLfloat writeFrequency, GLfloat priority)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", size, ", ", readFrequency, ", ", writeFrequency, ", ", priority, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXAllocateMemoryNV", params );
      }
      App( "glXAllocateMemoryNV", params );
    }
    #else
    App("glXAllocateMemoryNV","(", size, ", ", readFrequency, ", ", writeFrequency, ", ", priority, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    void * ret = NULL;
    ret = _next->call(&_next->glXAllocateMemoryNV)(size, readFrequency, writeFrequency, priority);
    return ret;
  }

  REGAL_DECL void REGAL_CALL glXFreeMemoryNV(void *pointer)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(pointer,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXFreeMemoryNV", params );
      }
      App( "glXFreeMemoryNV", params );
    }
    #else
    App("glXFreeMemoryNV","(", boost::print::optional(pointer,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    _next->call(&_next->glXFreeMemoryNV)(pointer);
  }

  /* GLX_NV_video_capture */

  REGAL_DECL int REGAL_CALL glXBindVideoCaptureDeviceNV(Display *dpy, unsigned int video_capture_slot, GLXVideoCaptureDeviceNV device)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", video_capture_slot, ", ", device, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXBindVideoCaptureDeviceNV", params );
      }
      App( "glXBindVideoCaptureDeviceNV", params );
    }
    #else
    App("glXBindVideoCaptureDeviceNV","(", boost::print::optional(dpy,Logging::pointers), ", ", video_capture_slot, ", ", device, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    int ret = 0;
    ret = _next->call(&_next->glXBindVideoCaptureDeviceNV)(dpy, video_capture_slot, device);
    return ret;
  }

  REGAL_DECL GLXVideoCaptureDeviceNV *REGAL_CALL glXEnumerateVideoCaptureDevicesNV(Display *dpy, int screen, int *nelements)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ", ", boost::print::optional(nelements,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXEnumerateVideoCaptureDevicesNV", params );
      }
      App( "glXEnumerateVideoCaptureDevicesNV", params );
    }
    #else
    App("glXEnumerateVideoCaptureDevicesNV","(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ", ", boost::print::optional(nelements,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    GLXVideoCaptureDeviceNV * ret = NULL;
    ret = _next->call(&_next->glXEnumerateVideoCaptureDevicesNV)(dpy, screen, nelements);
    return ret;
  }

  REGAL_DECL void REGAL_CALL glXLockVideoCaptureDeviceNV(Display *dpy, GLXVideoCaptureDeviceNV device)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", device, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXLockVideoCaptureDeviceNV", params );
      }
      App( "glXLockVideoCaptureDeviceNV", params );
    }
    #else
    App("glXLockVideoCaptureDeviceNV","(", boost::print::optional(dpy,Logging::pointers), ", ", device, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    _next->call(&_next->glXLockVideoCaptureDeviceNV)(dpy, device);
  }

  REGAL_DECL int REGAL_CALL glXQueryVideoCaptureDeviceNV(Display *dpy, GLXVideoCaptureDeviceNV device, int attribute, int *value)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", device, ", ", attribute, ", ", boost::print::optional(value,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXQueryVideoCaptureDeviceNV", params );
      }
      App( "glXQueryVideoCaptureDeviceNV", params );
    }
    #else
    App("glXQueryVideoCaptureDeviceNV","(", boost::print::optional(dpy,Logging::pointers), ", ", device, ", ", attribute, ", ", boost::print::optional(value,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    int ret = 0;
    ret = _next->call(&_next->glXQueryVideoCaptureDeviceNV)(dpy, device, attribute, value);
    return ret;
  }

  REGAL_DECL void REGAL_CALL glXReleaseVideoCaptureDeviceNV(Display *dpy, GLXVideoCaptureDeviceNV device)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", device, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXReleaseVideoCaptureDeviceNV", params );
      }
      App( "glXReleaseVideoCaptureDeviceNV", params );
    }
    #else
    App("glXReleaseVideoCaptureDeviceNV","(", boost::print::optional(dpy,Logging::pointers), ", ", device, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    _next->call(&_next->glXReleaseVideoCaptureDeviceNV)(dpy, device);
  }

  /* GLX_NV_video_output */

  REGAL_DECL int REGAL_CALL glXBindVideoImageNV(Display *dpy, GLXVideoDeviceNV VideoDevice, GLXPbuffer pbuf, int iVideoBuffer)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(VideoDevice,Logging::pointers), ", ", boost::print::optional(pbuf,Logging::pointers), ", ", iVideoBuffer, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXBindVideoImageNV", params );
      }
      App( "glXBindVideoImageNV", params );
    }
    #else
    App("glXBindVideoImageNV","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(VideoDevice,Logging::pointers), ", ", boost::print::optional(pbuf,Logging::pointers), ", ", iVideoBuffer, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    int ret = 0;
    ret = _next->call(&_next->glXBindVideoImageNV)(dpy, VideoDevice, pbuf, iVideoBuffer);
    return ret;
  }

  REGAL_DECL int REGAL_CALL glXGetVideoDeviceNV(Display *dpy, int screen, int numVideoDevices, GLXVideoDeviceNV *pVideoDevice)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ", ", numVideoDevices, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXGetVideoDeviceNV", params );
      }
      App( "glXGetVideoDeviceNV", params );
    }
    #else
    App("glXGetVideoDeviceNV","(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ", ", numVideoDevices, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    int ret = 0;
    ret = _next->call(&_next->glXGetVideoDeviceNV)(dpy, screen, numVideoDevices, pVideoDevice);
    return ret;
  }

  REGAL_DECL int REGAL_CALL glXGetVideoInfoNV(Display *dpy, int screen, GLXVideoDeviceNV VideoDevice, unsigned long *pulCounterOutputPbuffer, unsigned long *pulCounterOutputVideo)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ", ", boost::print::optional(VideoDevice,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXGetVideoInfoNV", params );
      }
      App( "glXGetVideoInfoNV", params );
    }
    #else
    App("glXGetVideoInfoNV","(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ", ", boost::print::optional(VideoDevice,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    int ret = 0;
    ret = _next->call(&_next->glXGetVideoInfoNV)(dpy, screen, VideoDevice, pulCounterOutputPbuffer, pulCounterOutputVideo);
    return ret;
  }

  REGAL_DECL int REGAL_CALL glXReleaseVideoDeviceNV(Display *dpy, int screen, GLXVideoDeviceNV VideoDevice)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ", ", boost::print::optional(VideoDevice,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXReleaseVideoDeviceNV", params );
      }
      App( "glXReleaseVideoDeviceNV", params );
    }
    #else
    App("glXReleaseVideoDeviceNV","(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ", ", boost::print::optional(VideoDevice,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    int ret = 0;
    ret = _next->call(&_next->glXReleaseVideoDeviceNV)(dpy, screen, VideoDevice);
    return ret;
  }

  REGAL_DECL int REGAL_CALL glXReleaseVideoImageNV(Display *dpy, GLXPbuffer pbuf)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(pbuf,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXReleaseVideoImageNV", params );
      }
      App( "glXReleaseVideoImageNV", params );
    }
    #else
    App("glXReleaseVideoImageNV","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(pbuf,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    int ret = 0;
    ret = _next->call(&_next->glXReleaseVideoImageNV)(dpy, pbuf);
    return ret;
  }

  REGAL_DECL int REGAL_CALL glXSendPbufferToVideoNV(Display *dpy, GLXPbuffer pbuf, int iBufferType, unsigned long *pulCounterPbuffer, GLboolean bBlock)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(pbuf,Logging::pointers), ", ", iBufferType, ", ", toString(bBlock), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXSendPbufferToVideoNV", params );
      }
      App( "glXSendPbufferToVideoNV", params );
    }
    #else
    App("glXSendPbufferToVideoNV","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(pbuf,Logging::pointers), ", ", iBufferType, ", ", toString(bBlock), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    int ret = 0;
    ret = _next->call(&_next->glXSendPbufferToVideoNV)(dpy, pbuf, iBufferType, pulCounterPbuffer, bBlock);
    return ret;
  }

  /* GLX_OML_sync_control */

  REGAL_DECL Bool REGAL_CALL glXGetMscRateOML(Display *dpy, GLXDrawable drawable, int32_t *numerator, int32_t *denominator)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXGetMscRateOML", params );
      }
      App( "glXGetMscRateOML", params );
    }
    #else
    App("glXGetMscRateOML","(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    Bool ret = (Bool) 0;
    ret = _next->call(&_next->glXGetMscRateOML)(dpy, drawable, numerator, denominator);
    return ret;
  }

  REGAL_DECL Bool REGAL_CALL glXGetSyncValuesOML(Display *dpy, GLXDrawable drawable, int64_t *ust, int64_t *msc, int64_t *sbc)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXGetSyncValuesOML", params );
      }
      App( "glXGetSyncValuesOML", params );
    }
    #else
    App("glXGetSyncValuesOML","(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    Bool ret = (Bool) 0;
    ret = _next->call(&_next->glXGetSyncValuesOML)(dpy, drawable, ust, msc, sbc);
    return ret;
  }

  REGAL_DECL int64_t REGAL_CALL glXSwapBuffersMscOML(Display *dpy, GLXDrawable drawable, int64_t target_msc, int64_t divisor, int64_t remainder)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ", ", target_msc, ", ", divisor, ", ", remainder, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXSwapBuffersMscOML", params );
      }
      App( "glXSwapBuffersMscOML", params );
    }
    #else
    App("glXSwapBuffersMscOML","(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ", ", target_msc, ", ", divisor, ", ", remainder, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    int64_t ret = (int64_t) 0;
    ret = _next->call(&_next->glXSwapBuffersMscOML)(dpy, drawable, target_msc, divisor, remainder);
    return ret;
  }

  REGAL_DECL Bool REGAL_CALL glXWaitForMscOML(Display *dpy, GLXDrawable drawable, int64_t target_msc, int64_t divisor, int64_t remainder, int64_t *ust, int64_t *msc, int64_t *sbc)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ", ", target_msc, ", ", divisor, ", ", remainder, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXWaitForMscOML", params );
      }
      App( "glXWaitForMscOML", params );
    }
    #else
    App("glXWaitForMscOML","(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ", ", target_msc, ", ", divisor, ", ", remainder, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    Bool ret = (Bool) 0;
    ret = _next->call(&_next->glXWaitForMscOML)(dpy, drawable, target_msc, divisor, remainder, ust, msc, sbc);
    return ret;
  }

  REGAL_DECL Bool REGAL_CALL glXWaitForSbcOML(Display *dpy, GLXDrawable drawable, int64_t target_sbc, int64_t *ust, int64_t *msc, int64_t *sbc)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ", ", target_sbc, ", ", boost::print::array(ust,1), ", ", boost::print::array(msc,1), ", ", boost::print::array(sbc,1), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXWaitForSbcOML", params );
      }
      App( "glXWaitForSbcOML", params );
    }
    #else
    App("glXWaitForSbcOML","(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ", ", target_sbc, ", ", boost::print::array(ust,1), ", ", boost::print::array(msc,1), ", ", boost::print::array(sbc,1), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    Bool ret = (Bool) 0;
    ret = _next->call(&_next->glXWaitForSbcOML)(dpy, drawable, target_sbc, ust, msc, sbc);
    return ret;
  }

  /* GLX_SGIX_fbconfig */

  REGAL_DECL GLXFBConfigSGIX *REGAL_CALL glXChooseFBConfigSGIX(Display *dpy, int screen, const int *attrib_list, int *nelements)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ", ", boost::print::optional(attrib_list,Logging::pointers), ", ", boost::print::optional(nelements,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXChooseFBConfigSGIX", params );
      }
      App( "glXChooseFBConfigSGIX", params );
    }
    #else
    App("glXChooseFBConfigSGIX","(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ", ", boost::print::optional(attrib_list,Logging::pointers), ", ", boost::print::optional(nelements,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    GLXFBConfigSGIX * ret = NULL;
    ret = _next->call(&_next->glXChooseFBConfigSGIX)(dpy, screen, attrib_list, nelements);
    return ret;
  }

  REGAL_DECL GLXContext REGAL_CALL glXCreateContextWithConfigSGIX(Display *dpy, GLXFBConfig config, int render_type, GLXContext share_list, Bool direct)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", config, ", ", render_type, ", ", boost::print::optional(share_list,Logging::pointers), ", ", direct, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXCreateContextWithConfigSGIX", params );
      }
      App( "glXCreateContextWithConfigSGIX", params );
    }
    #else
    App("glXCreateContextWithConfigSGIX","(", boost::print::optional(dpy,Logging::pointers), ", ", config, ", ", render_type, ", ", boost::print::optional(share_list,Logging::pointers), ", ", direct, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    GLXContext ret = 0;
    ret = _next->call(&_next->glXCreateContextWithConfigSGIX)(dpy, config, render_type, share_list, direct);
    return ret;
  }

  REGAL_DECL GLXPixmap REGAL_CALL glXCreateGLXPixmapWithConfigSGIX(Display *dpy, GLXFBConfig config, Pixmap pixmap)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", config, ", ", boost::print::optional(pixmap,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXCreateGLXPixmapWithConfigSGIX", params );
      }
      App( "glXCreateGLXPixmapWithConfigSGIX", params );
    }
    #else
    App("glXCreateGLXPixmapWithConfigSGIX","(", boost::print::optional(dpy,Logging::pointers), ", ", config, ", ", boost::print::optional(pixmap,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    GLXPixmap ret = 0;
    ret = _next->call(&_next->glXCreateGLXPixmapWithConfigSGIX)(dpy, config, pixmap);
    return ret;
  }

  REGAL_DECL int REGAL_CALL glXGetFBConfigAttribSGIX(Display *dpy, GLXFBConfigSGIX config, int attribute, int *value)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", config, ", ", attribute, ", ", boost::print::array(value,1), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXGetFBConfigAttribSGIX", params );
      }
      App( "glXGetFBConfigAttribSGIX", params );
    }
    #else
    App("glXGetFBConfigAttribSGIX","(", boost::print::optional(dpy,Logging::pointers), ", ", config, ", ", attribute, ", ", boost::print::array(value,1), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    int ret = 0;
    ret = _next->call(&_next->glXGetFBConfigAttribSGIX)(dpy, config, attribute, value);
    return ret;
  }

  REGAL_DECL GLXFBConfigSGIX REGAL_CALL glXGetFBConfigFromVisualSGIX(Display *dpy, XVisualInfo *vis)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(vis,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXGetFBConfigFromVisualSGIX", params );
      }
      App( "glXGetFBConfigFromVisualSGIX", params );
    }
    #else
    App("glXGetFBConfigFromVisualSGIX","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(vis,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    GLXFBConfigSGIX ret = 0;
    ret = _next->call(&_next->glXGetFBConfigFromVisualSGIX)(dpy, vis);
    return ret;
  }

  REGAL_DECL XVisualInfo *REGAL_CALL glXGetVisualFromFBConfigSGIX(Display *dpy, GLXFBConfig config)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", config, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXGetVisualFromFBConfigSGIX", params );
      }
      App( "glXGetVisualFromFBConfigSGIX", params );
    }
    #else
    App("glXGetVisualFromFBConfigSGIX","(", boost::print::optional(dpy,Logging::pointers), ", ", config, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    XVisualInfo * ret = NULL;
    ret = _next->call(&_next->glXGetVisualFromFBConfigSGIX)(dpy, config);
    return ret;
  }

  /* GLX_SGIX_pbuffer */

  REGAL_DECL GLXPbuffer REGAL_CALL glXCreateGLXPbufferSGIX(Display *dpy, GLXFBConfig config, unsigned int width, unsigned int height, int *attrib_list)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", config, ", ", width, ", ", height, ", ", boost::print::optional(attrib_list,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXCreateGLXPbufferSGIX", params );
      }
      App( "glXCreateGLXPbufferSGIX", params );
    }
    #else
    App("glXCreateGLXPbufferSGIX","(", boost::print::optional(dpy,Logging::pointers), ", ", config, ", ", width, ", ", height, ", ", boost::print::optional(attrib_list,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    GLXPbuffer ret = 0;
    ret = _next->call(&_next->glXCreateGLXPbufferSGIX)(dpy, config, width, height, attrib_list);
    return ret;
  }

  REGAL_DECL void REGAL_CALL glXDestroyGLXPbufferSGIX(Display *dpy, GLXPbuffer pbuf)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(pbuf,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXDestroyGLXPbufferSGIX", params );
      }
      App( "glXDestroyGLXPbufferSGIX", params );
    }
    #else
    App("glXDestroyGLXPbufferSGIX","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(pbuf,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    _next->call(&_next->glXDestroyGLXPbufferSGIX)(dpy, pbuf);
  }

  REGAL_DECL void REGAL_CALL glXGetSelectedEventSGIX(Display *dpy, GLXDrawable drawable, unsigned long *mask)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ", ", boost::print::array(mask,1), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXGetSelectedEventSGIX", params );
      }
      App( "glXGetSelectedEventSGIX", params );
    }
    #else
    App("glXGetSelectedEventSGIX","(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ", ", boost::print::array(mask,1), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    _next->call(&_next->glXGetSelectedEventSGIX)(dpy, drawable, mask);
  }

  REGAL_DECL void REGAL_CALL glXQueryGLXPbufferSGIX(Display *dpy, GLXPbuffer pbuf, int attribute, unsigned int *value)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(pbuf,Logging::pointers), ", ", attribute, ", ", boost::print::array(value,1), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXQueryGLXPbufferSGIX", params );
      }
      App( "glXQueryGLXPbufferSGIX", params );
    }
    #else
    App("glXQueryGLXPbufferSGIX","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(pbuf,Logging::pointers), ", ", attribute, ", ", boost::print::array(value,1), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    _next->call(&_next->glXQueryGLXPbufferSGIX)(dpy, pbuf, attribute, value);
  }

  REGAL_DECL void REGAL_CALL glXSelectEventSGIX(Display *dpy, GLXDrawable drawable, unsigned long mask)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ", ", mask, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXSelectEventSGIX", params );
      }
      App( "glXSelectEventSGIX", params );
    }
    #else
    App("glXSelectEventSGIX","(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ", ", mask, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    _next->call(&_next->glXSelectEventSGIX)(dpy, drawable, mask);
  }

  /* GLX_SGIX_swap_barrier */

  REGAL_DECL void REGAL_CALL glXBindSwapBarrierSGIX(Display *dpy, GLXDrawable drawable, int barrier)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ", ", barrier, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXBindSwapBarrierSGIX", params );
      }
      App( "glXBindSwapBarrierSGIX", params );
    }
    #else
    App("glXBindSwapBarrierSGIX","(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ", ", barrier, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    _next->call(&_next->glXBindSwapBarrierSGIX)(dpy, drawable, barrier);
  }

  REGAL_DECL Bool REGAL_CALL glXQueryMaxSwapBarriersSGIX(Display *dpy, int screen, int *max)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXQueryMaxSwapBarriersSGIX", params );
      }
      App( "glXQueryMaxSwapBarriersSGIX", params );
    }
    #else
    App("glXQueryMaxSwapBarriersSGIX","(", boost::print::optional(dpy,Logging::pointers), ", ", screen, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    Bool ret = (Bool) 0;
    ret = _next->call(&_next->glXQueryMaxSwapBarriersSGIX)(dpy, screen, max);
    return ret;
  }

  /* GLX_SGIX_swap_group */

  REGAL_DECL void REGAL_CALL glXJoinSwapGroupSGIX(Display *dpy, GLXDrawable drawable, GLXDrawable member)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ", ", member, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXJoinSwapGroupSGIX", params );
      }
      App( "glXJoinSwapGroupSGIX", params );
    }
    #else
    App("glXJoinSwapGroupSGIX","(", boost::print::optional(dpy,Logging::pointers), ", ", drawable, ", ", member, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    _next->call(&_next->glXJoinSwapGroupSGIX)(dpy, drawable, member);
  }

  /* GLX_SGIX_video_resize */

  REGAL_DECL int REGAL_CALL glXBindChannelToWindowSGIX(Display *display, int screen, int channel, Window window)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(display,Logging::pointers), ", ", screen, ", ", channel, ", ", window, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXBindChannelToWindowSGIX", params );
      }
      App( "glXBindChannelToWindowSGIX", params );
    }
    #else
    App("glXBindChannelToWindowSGIX","(", boost::print::optional(display,Logging::pointers), ", ", screen, ", ", channel, ", ", window, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    int ret = 0;
    ret = _next->call(&_next->glXBindChannelToWindowSGIX)(display, screen, channel, window);
    return ret;
  }

  REGAL_DECL int REGAL_CALL glXChannelRectSGIX(Display *display, int screen, int channel, int x, int y, int w, int h)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(display,Logging::pointers), ", ", screen, ", ", channel, ", ", x, ", ", y, ", ", w, ", ", h, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXChannelRectSGIX", params );
      }
      App( "glXChannelRectSGIX", params );
    }
    #else
    App("glXChannelRectSGIX","(", boost::print::optional(display,Logging::pointers), ", ", screen, ", ", channel, ", ", x, ", ", y, ", ", w, ", ", h, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    int ret = 0;
    ret = _next->call(&_next->glXChannelRectSGIX)(display, screen, channel, x, y, w, h);
    return ret;
  }

  REGAL_DECL int REGAL_CALL glXChannelRectSyncSGIX(Display *display, int screen, int channel, GLenum synctype)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(display,Logging::pointers), ", ", screen, ", ", channel, ", ", toString(synctype), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXChannelRectSyncSGIX", params );
      }
      App( "glXChannelRectSyncSGIX", params );
    }
    #else
    App("glXChannelRectSyncSGIX","(", boost::print::optional(display,Logging::pointers), ", ", screen, ", ", channel, ", ", toString(synctype), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    int ret = 0;
    ret = _next->call(&_next->glXChannelRectSyncSGIX)(display, screen, channel, synctype);
    return ret;
  }

  REGAL_DECL int REGAL_CALL glXQueryChannelDeltasSGIX(Display *display, int screen, int channel, int *x, int *y, int *w, int *h)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(display,Logging::pointers), ", ", screen, ", ", channel, ", ", boost::print::array(x,1), ", ", boost::print::array(y,1), ", ", boost::print::array(w,1), ", ", boost::print::array(h,1), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXQueryChannelDeltasSGIX", params );
      }
      App( "glXQueryChannelDeltasSGIX", params );
    }
    #else
    App("glXQueryChannelDeltasSGIX","(", boost::print::optional(display,Logging::pointers), ", ", screen, ", ", channel, ", ", boost::print::array(x,1), ", ", boost::print::array(y,1), ", ", boost::print::array(w,1), ", ", boost::print::array(h,1), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    int ret = 0;
    ret = _next->call(&_next->glXQueryChannelDeltasSGIX)(display, screen, channel, x, y, w, h);
    return ret;
  }

  REGAL_DECL int REGAL_CALL glXQueryChannelRectSGIX(Display *display, int screen, int channel, int *dx, int *dy, int *dw, int *dh)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(display,Logging::pointers), ", ", screen, ", ", channel, ", ", boost::print::array(dx,1), ", ", boost::print::array(dy,1), ", ", boost::print::array(dw,1), ", ", boost::print::array(dh,1), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXQueryChannelRectSGIX", params );
      }
      App( "glXQueryChannelRectSGIX", params );
    }
    #else
    App("glXQueryChannelRectSGIX","(", boost::print::optional(display,Logging::pointers), ", ", screen, ", ", channel, ", ", boost::print::array(dx,1), ", ", boost::print::array(dy,1), ", ", boost::print::array(dw,1), ", ", boost::print::array(dh,1), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    int ret = 0;
    ret = _next->call(&_next->glXQueryChannelRectSGIX)(display, screen, channel, dx, dy, dw, dh);
    return ret;
  }

  /* GLX_SGI_cushion */

  REGAL_DECL void REGAL_CALL glXCushionSGI(Display *dpy, Window window, float cushion)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", window, ", ", cushion, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXCushionSGI", params );
      }
      App( "glXCushionSGI", params );
    }
    #else
    App("glXCushionSGI","(", boost::print::optional(dpy,Logging::pointers), ", ", window, ", ", cushion, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    _next->call(&_next->glXCushionSGI)(dpy, window, cushion);
  }

  /* GLX_SGI_make_current_read */

  REGAL_DECL GLXDrawable REGAL_CALL glXGetCurrentReadDrawableSGI(void)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("()");
      if( _context ) {
        _context->http.callString = print_string( "glXGetCurrentReadDrawableSGI", params );
      }
      App( "glXGetCurrentReadDrawableSGI", params );
    }
    #else
    App("glXGetCurrentReadDrawableSGI","()");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    GLXDrawable ret = 0;
    ret = _next->call(&_next->glXGetCurrentReadDrawableSGI)();
    return ret;
  }

  REGAL_DECL Bool REGAL_CALL glXMakeCurrentReadSGI(Display *dpy, GLXDrawable draw, GLXDrawable read, GLXContext ctx)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", draw, ", ", read, ", ", boost::print::optional(ctx,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXMakeCurrentReadSGI", params );
      }
      App( "glXMakeCurrentReadSGI", params );
    }
    #else
    App("glXMakeCurrentReadSGI","(", boost::print::optional(dpy,Logging::pointers), ", ", draw, ", ", read, ", ", boost::print::optional(ctx,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    Bool ret = (Bool) 0;
    ret = _next->call(&_next->glXMakeCurrentReadSGI)(dpy, draw, read, ctx);
    return ret;
  }

  /* GLX_SGI_swap_control */

  REGAL_DECL int REGAL_CALL glXSwapIntervalSGI(int interval)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", interval, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXSwapIntervalSGI", params );
      }
      App( "glXSwapIntervalSGI", params );
    }
    #else
    App("glXSwapIntervalSGI","(", interval, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    int ret = 0;
    ret = _next->call(&_next->glXSwapIntervalSGI)(interval);
    return ret;
  }

  /* GLX_SGI_video_sync */

  REGAL_DECL int REGAL_CALL glXGetVideoSyncSGI(unsigned int *count)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("()");
      if( _context ) {
        _context->http.callString = print_string( "glXGetVideoSyncSGI", params );
      }
      App( "glXGetVideoSyncSGI", params );
    }
    #else
    App("glXGetVideoSyncSGI","()");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    int ret = 0;
    ret = _next->call(&_next->glXGetVideoSyncSGI)(count);
    return ret;
  }

  REGAL_DECL int REGAL_CALL glXWaitVideoSyncSGI(int divisor, int remainder, unsigned int *count)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", divisor, ", ", remainder, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXWaitVideoSyncSGI", params );
      }
      App( "glXWaitVideoSyncSGI", params );
    }
    #else
    App("glXWaitVideoSyncSGI","(", divisor, ", ", remainder, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    int ret = 0;
    ret = _next->call(&_next->glXWaitVideoSyncSGI)(divisor, remainder, count);
    return ret;
  }

  /* GLX_SUN_get_transparent_index */

  REGAL_DECL Status REGAL_CALL glXGetTransparentIndexSUN(Display *dpy, Window overlay, Window underlay, unsigned long *pTransparentIndex)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", overlay, ", ", underlay, ", ", boost::print::array(pTransparentIndex,1), ")");
      if( _context ) {
        _context->http.callString = print_string( "glXGetTransparentIndexSUN", params );
      }
      App( "glXGetTransparentIndexSUN", params );
    }
    #else
    App("glXGetTransparentIndexSUN","(", boost::print::optional(dpy,Logging::pointers), ", ", overlay, ", ", underlay, ", ", boost::print::array(pTransparentIndex,1), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    Status ret = (Status) 0;
    ret = _next->call(&_next->glXGetTransparentIndexSUN)(dpy, overlay, underlay, pTransparentIndex);
    return ret;
  }

  /* GLX_SUN_video_resize */

  REGAL_DECL int REGAL_CALL glXGetVideoResizeSUN(Display *display, GLXDrawable window, float *factor)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(display,Logging::pointers), ", ", window, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXGetVideoResizeSUN", params );
      }
      App( "glXGetVideoResizeSUN", params );
    }
    #else
    App("glXGetVideoResizeSUN","(", boost::print::optional(display,Logging::pointers), ", ", window, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    int ret = 0;
    ret = _next->call(&_next->glXGetVideoResizeSUN)(display, window, factor);
    return ret;
  }

  REGAL_DECL int REGAL_CALL glXVideoResizeSUN(Display *display, GLXDrawable window, float factor)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(display,Logging::pointers), ", ", window, ", ", factor, ")");
      if( _context ) {
        _context->http.callString = print_string( "glXVideoResizeSUN", params );
      }
      App( "glXVideoResizeSUN", params );
    }
    #else
    App("glXVideoResizeSUN","(", boost::print::optional(display,Logging::pointers), ", ", window, ", ", factor, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    int ret = 0;
    ret = _next->call(&_next->glXVideoResizeSUN)(display, window, factor);
    return ret;
  }

#endif /* REGAL_SYS_GLX */
#if REGAL_SYS_OSX

  /* CGL_VERSION_1_0 */

  REGAL_DECL CGLError REGAL_CALL CGLChoosePixelFormat(const CGLPixelFormatAttribute *attribs, CGLPixelFormatObj *pix, GLint *npix)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", attribs, ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLChoosePixelFormat", params );
      }
      App( "CGLChoosePixelFormat", params );
    }
    #else
    App("CGLChoosePixelFormat","(", attribs, ")");
    #endif
    RegalAssert(Init::isInitialized());
    Init::init();
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    CGLError ret = (CGLError) 0;
    scoped_array<CGLPixelFormatAttribute> nattribs;
    if (Config::forceCoreProfile)
      attribs = nattribs = Mac::forceCoreAttribs(attribs);
    ret = _next->call(&_next->CGLChoosePixelFormat)(attribs, pix, npix);
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLClearDrawable(CGLContextObj ctx)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", ctx, ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLClearDrawable", params );
      }
      App( "CGLClearDrawable", params );
    }
    #else
    App("CGLClearDrawable","(", ctx, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    CGLError ret = (CGLError) 0;
    ret = _next->call(&_next->CGLClearDrawable)(ctx);
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLCopyContext(CGLContextObj src, CGLContextObj dst, GLbitfield mask)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", src, ", ", dst, ", ", GLpushAttribToString(mask), ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLCopyContext", params );
      }
      App( "CGLCopyContext", params );
    }
    #else
    App("CGLCopyContext","(", src, ", ", dst, ", ", GLpushAttribToString(mask), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    CGLError ret = (CGLError) 0;
    ret = _next->call(&_next->CGLCopyContext)(src, dst, mask);
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLCreateContext(CGLPixelFormatObj pix, CGLContextObj share, CGLContextObj *ctx)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", pix, ", ", share, ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLCreateContext", params );
      }
      App( "CGLCreateContext", params );
    }
    #else
    App("CGLCreateContext","(", pix, ", ", share, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    CGLError ret = (CGLError) 0;
    ret = _next->call(&_next->CGLCreateContext)(pix, share, ctx);
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLDescribePixelFormat(CGLPixelFormatObj pix, GLint pix_num, CGLPixelFormatAttribute attrib, GLint *value)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", pix, ", ", pix_num, ", ", attrib, ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLDescribePixelFormat", params );
      }
      App( "CGLDescribePixelFormat", params );
    }
    #else
    App("CGLDescribePixelFormat","(", pix, ", ", pix_num, ", ", attrib, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    CGLError ret = (CGLError) 0;
    ret = _next->call(&_next->CGLDescribePixelFormat)(pix, pix_num, attrib, value);
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLDescribeRenderer(CGLRendererInfoObj rend, GLint rend_num, CGLRendererProperty prop, GLint *value)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", rend, ", ", rend_num, ", ", prop, ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLDescribeRenderer", params );
      }
      App( "CGLDescribeRenderer", params );
    }
    #else
    App("CGLDescribeRenderer","(", rend, ", ", rend_num, ", ", prop, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    CGLError ret = (CGLError) 0;
    ret = _next->call(&_next->CGLDescribeRenderer)(rend, rend_num, prop, value);
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLDestroyContext(CGLContextObj ctx)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", ctx, ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLDestroyContext", params );
      }
      App( "CGLDestroyContext", params );
    }
    #else
    App("CGLDestroyContext","(", ctx, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    CGLError ret = (CGLError) 0;
    ret = _next->call(&_next->CGLDestroyContext)(ctx);
    Init::destroyContext(RegalSystemContext(ctx));
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLDestroyPixelFormat(CGLPixelFormatObj pix)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", pix, ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLDestroyPixelFormat", params );
      }
      App( "CGLDestroyPixelFormat", params );
    }
    #else
    App("CGLDestroyPixelFormat","(", pix, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    CGLError ret = (CGLError) 0;
    ret = _next->call(&_next->CGLDestroyPixelFormat)(pix);
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLDestroyRendererInfo(CGLRendererInfoObj rend)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", rend, ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLDestroyRendererInfo", params );
      }
      App( "CGLDestroyRendererInfo", params );
    }
    #else
    App("CGLDestroyRendererInfo","(", rend, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    CGLError ret = (CGLError) 0;
    ret = _next->call(&_next->CGLDestroyRendererInfo)(rend);
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLDisable(CGLContextObj ctx, CGLContextEnable pname)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", ctx, ", ", pname, ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLDisable", params );
      }
      App( "CGLDisable", params );
    }
    #else
    App("CGLDisable","(", ctx, ", ", pname, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    CGLError ret = (CGLError) 0;
    ret = _next->call(&_next->CGLDisable)(ctx, pname);
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLEnable(CGLContextObj ctx, CGLContextEnable pname)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", ctx, ", ", pname, ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLEnable", params );
      }
      App( "CGLEnable", params );
    }
    #else
    App("CGLEnable","(", ctx, ", ", pname, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    CGLError ret = (CGLError) 0;
    ret = _next->call(&_next->CGLEnable)(ctx, pname);
    return ret;
  }

  REGAL_DECL const char *REGAL_CALL CGLErrorString(CGLError error)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", error, ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLErrorString", params );
      }
      App( "CGLErrorString", params );
    }
    #else
    App("CGLErrorString","(", error, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    const char * ret = NULL;
    ret = _next->call(&_next->CGLErrorString)(error);
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLFlushDrawable(CGLContextObj ctx)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", ctx, ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLFlushDrawable", params );
      }
      App( "CGLFlushDrawable", params );
    }
    #else
    App("CGLFlushDrawable","(", ctx, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    CGLError ret = (CGLError) 0;
    #if REGAL_FRAME
    RegalContext *_context = REGAL_GET_CONTEXT();
    // Notify Regal::Frame about the flush drawable event.
    if (_context && _context->frame)
        _context->frame->CGLFlushDrawable(*_context);
    #endif
    ret = _next->call(&_next->CGLFlushDrawable)(ctx);
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLGetOffScreen(CGLContextObj ctx, GLsizei *width, GLsizei *height, GLsizei *rowbytes, void **baseaddr)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", ctx, ", ", boost::print::optional(width,Logging::pointers), ", ", boost::print::optional(height,Logging::pointers), ", ", boost::print::optional(rowbytes,Logging::pointers), ", ", boost::print::optional(baseaddr,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLGetOffScreen", params );
      }
      App( "CGLGetOffScreen", params );
    }
    #else
    App("CGLGetOffScreen","(", ctx, ", ", boost::print::optional(width,Logging::pointers), ", ", boost::print::optional(height,Logging::pointers), ", ", boost::print::optional(rowbytes,Logging::pointers), ", ", boost::print::optional(baseaddr,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    CGLError ret = (CGLError) 0;
    ret = _next->call(&_next->CGLGetOffScreen)(ctx, width, height, rowbytes, baseaddr);
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLGetOption(CGLGlobalOption pname, GLint *param)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", pname, ", ", boost::print::optional(param,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLGetOption", params );
      }
      App( "CGLGetOption", params );
    }
    #else
    App("CGLGetOption","(", pname, ", ", boost::print::optional(param,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    CGLError ret = (CGLError) 0;
    ret = _next->call(&_next->CGLGetOption)(pname, param);
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLGetParameter(CGLContextObj ctx, CGLContextParameter pname, GLint *params)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", ctx, ", ", pname, ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLGetParameter", params );
      }
      App( "CGLGetParameter", params );
    }
    #else
    App("CGLGetParameter","(", ctx, ", ", pname, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    CGLError ret = (CGLError) 0;
    ret = _next->call(&_next->CGLGetParameter)(ctx, pname, params);
    return ret;
  }

  REGAL_DECL void REGAL_CALL CGLGetVersion(GLint *majorvers, GLint *minorvers)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("()");
      if( _context ) {
        _context->http.callString = print_string( "CGLGetVersion", params );
      }
      App( "CGLGetVersion", params );
    }
    #else
    App("CGLGetVersion","()");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    _next->call(&_next->CGLGetVersion)(majorvers, minorvers);
  }

  REGAL_DECL CGLError REGAL_CALL CGLGetVirtualScreen(CGLContextObj ctx, GLint *screen)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", ctx, ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLGetVirtualScreen", params );
      }
      App( "CGLGetVirtualScreen", params );
    }
    #else
    App("CGLGetVirtualScreen","(", ctx, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    CGLError ret = (CGLError) 0;
    ret = _next->call(&_next->CGLGetVirtualScreen)(ctx, screen);
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLIsEnabled(CGLContextObj ctx, CGLContextEnable pname, GLint *enable)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", ctx, ", ", pname, ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLIsEnabled", params );
      }
      App( "CGLIsEnabled", params );
    }
    #else
    App("CGLIsEnabled","(", ctx, ", ", pname, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    CGLError ret = (CGLError) 0;
    ret = _next->call(&_next->CGLIsEnabled)(ctx, pname, enable);
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLQueryRendererInfo(GLuint display_mask, CGLRendererInfoObj *rend, GLint *nrend)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", display_mask, ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLQueryRendererInfo", params );
      }
      App( "CGLQueryRendererInfo", params );
    }
    #else
    App("CGLQueryRendererInfo","(", display_mask, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    CGLError ret = (CGLError) 0;
    ret = _next->call(&_next->CGLQueryRendererInfo)(display_mask, rend, nrend);
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLSetFullScreen(CGLContextObj ctx)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", ctx, ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLSetFullScreen", params );
      }
      App( "CGLSetFullScreen", params );
    }
    #else
    App("CGLSetFullScreen","(", ctx, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    CGLError ret = (CGLError) 0;
    ret = _next->call(&_next->CGLSetFullScreen)(ctx);
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLSetOffScreen(CGLContextObj ctx, GLsizei width, GLsizei height, GLsizei rowbytes, void *baseaddr)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", ctx, ", ", width, ", ", height, ", ", rowbytes, ", ", boost::print::optional(baseaddr,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLSetOffScreen", params );
      }
      App( "CGLSetOffScreen", params );
    }
    #else
    App("CGLSetOffScreen","(", ctx, ", ", width, ", ", height, ", ", rowbytes, ", ", boost::print::optional(baseaddr,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    CGLError ret = (CGLError) 0;
    ret = _next->call(&_next->CGLSetOffScreen)(ctx, width, height, rowbytes, baseaddr);
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLSetOption(CGLGlobalOption pname, GLint param)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", pname, ", ", param, ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLSetOption", params );
      }
      App( "CGLSetOption", params );
    }
    #else
    App("CGLSetOption","(", pname, ", ", param, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    CGLError ret = (CGLError) 0;
    ret = _next->call(&_next->CGLSetOption)(pname, param);
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLSetParameter(CGLContextObj ctx, CGLContextParameter pname, const GLint *params)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", ctx, ", ", pname, ", ", boost::print::optional(params,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLSetParameter", params );
      }
      App( "CGLSetParameter", params );
    }
    #else
    App("CGLSetParameter","(", ctx, ", ", pname, ", ", boost::print::optional(params,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    CGLError ret = (CGLError) 0;
    ret = _next->call(&_next->CGLSetParameter)(ctx, pname, params);
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLSetVirtualScreen(CGLContextObj ctx, GLint screen)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", ctx, ", ", screen, ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLSetVirtualScreen", params );
      }
      App( "CGLSetVirtualScreen", params );
    }
    #else
    App("CGLSetVirtualScreen","(", ctx, ", ", screen, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    CGLError ret = (CGLError) 0;
    ret = _next->call(&_next->CGLSetVirtualScreen)(ctx, screen);
    return ret;
  }

  /* CGL_VERSION_1_1 */

  REGAL_DECL CGLError REGAL_CALL CGLCreatePBuffer(GLsizei width, GLsizei height, GLenum target, GLenum internalFormat, GLint max_level, CGLPBufferObj *pbuffer)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", width, ", ", height, ", ", toString(target), ", ", toString(internalFormat), ", ", max_level, ", ", pbuffer, ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLCreatePBuffer", params );
      }
      App( "CGLCreatePBuffer", params );
    }
    #else
    App("CGLCreatePBuffer","(", width, ", ", height, ", ", toString(target), ", ", toString(internalFormat), ", ", max_level, ", ", pbuffer, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    CGLError ret = (CGLError) 0;
    ret = _next->call(&_next->CGLCreatePBuffer)(width, height, target, internalFormat, max_level, pbuffer);
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLDescribePBuffer(CGLPBufferObj pbuffer, GLsizei *width, GLsizei *height, GLenum *target, GLenum *internalFormat, GLint *mipmap)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", pbuffer, ", ", boost::print::optional(width,Logging::pointers), ", ", boost::print::optional(height,Logging::pointers), ", ", boost::print::optional(target,Logging::pointers), ", ", boost::print::optional(internalFormat,Logging::pointers), ", ", boost::print::optional(mipmap,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLDescribePBuffer", params );
      }
      App( "CGLDescribePBuffer", params );
    }
    #else
    App("CGLDescribePBuffer","(", pbuffer, ", ", boost::print::optional(width,Logging::pointers), ", ", boost::print::optional(height,Logging::pointers), ", ", boost::print::optional(target,Logging::pointers), ", ", boost::print::optional(internalFormat,Logging::pointers), ", ", boost::print::optional(mipmap,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    CGLError ret = (CGLError) 0;
    ret = _next->call(&_next->CGLDescribePBuffer)(pbuffer, width, height, target, internalFormat, mipmap);
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLDestroyPBuffer(CGLPBufferObj pbuffer)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", pbuffer, ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLDestroyPBuffer", params );
      }
      App( "CGLDestroyPBuffer", params );
    }
    #else
    App("CGLDestroyPBuffer","(", pbuffer, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    CGLError ret = (CGLError) 0;
    ret = _next->call(&_next->CGLDestroyPBuffer)(pbuffer);
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLGetPBuffer(CGLContextObj ctx, CGLPBufferObj *pbuffer, GLenum *face, GLint *level, GLint *screen)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", ctx, ", ", pbuffer, ", ", boost::print::optional(face,Logging::pointers), ", ", boost::print::optional(level,Logging::pointers), ", ", boost::print::optional(screen,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLGetPBuffer", params );
      }
      App( "CGLGetPBuffer", params );
    }
    #else
    App("CGLGetPBuffer","(", ctx, ", ", pbuffer, ", ", boost::print::optional(face,Logging::pointers), ", ", boost::print::optional(level,Logging::pointers), ", ", boost::print::optional(screen,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    CGLError ret = (CGLError) 0;
    ret = _next->call(&_next->CGLGetPBuffer)(ctx, pbuffer, face, level, screen);
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLSetPBuffer(CGLContextObj ctx, CGLPBufferObj pbuffer, GLenum face, GLint level, GLint screen)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", ctx, ", ", pbuffer, ", ", toString(face), ", ", level, ", ", screen, ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLSetPBuffer", params );
      }
      App( "CGLSetPBuffer", params );
    }
    #else
    App("CGLSetPBuffer","(", ctx, ", ", pbuffer, ", ", toString(face), ", ", level, ", ", screen, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    CGLError ret = (CGLError) 0;
    ret = _next->call(&_next->CGLSetPBuffer)(ctx, pbuffer, face, level, screen);
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLTexImagePBuffer(CGLContextObj ctx, CGLPBufferObj pbuffer, GLenum source)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", ctx, ", ", pbuffer, ", ", toString(source), ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLTexImagePBuffer", params );
      }
      App( "CGLTexImagePBuffer", params );
    }
    #else
    App("CGLTexImagePBuffer","(", ctx, ", ", pbuffer, ", ", toString(source), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    CGLError ret = (CGLError) 0;
    ret = _next->call(&_next->CGLTexImagePBuffer)(ctx, pbuffer, source);
    return ret;
  }

  /* CGL_VERSION_1_2 */

  REGAL_DECL GLuint REGAL_CALL CGLGetContextRetainCount(CGLContextObj ctx)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", ctx, ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLGetContextRetainCount", params );
      }
      App( "CGLGetContextRetainCount", params );
    }
    #else
    App("CGLGetContextRetainCount","(", ctx, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    GLuint ret = 0;
    ret = _next->call(&_next->CGLGetContextRetainCount)(ctx);
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLGetGlobalOption(CGLGlobalOption pname, GLint *params)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", pname, ", ", boost::print::optional(params,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLGetGlobalOption", params );
      }
      App( "CGLGetGlobalOption", params );
    }
    #else
    App("CGLGetGlobalOption","(", pname, ", ", boost::print::optional(params,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    CGLError ret = (CGLError) 0;
    ret = _next->call(&_next->CGLGetGlobalOption)(pname, params);
    return ret;
  }

  REGAL_DECL GLuint REGAL_CALL CGLGetPBufferRetainCount(CGLPBufferObj pbuffer)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", pbuffer, ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLGetPBufferRetainCount", params );
      }
      App( "CGLGetPBufferRetainCount", params );
    }
    #else
    App("CGLGetPBufferRetainCount","(", pbuffer, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    GLuint ret = 0;
    ret = _next->call(&_next->CGLGetPBufferRetainCount)(pbuffer);
    return ret;
  }

  REGAL_DECL CGLPixelFormatObj REGAL_CALL CGLGetPixelFormat(CGLContextObj ctx)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", ctx, ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLGetPixelFormat", params );
      }
      App( "CGLGetPixelFormat", params );
    }
    #else
    App("CGLGetPixelFormat","(", ctx, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    CGLPixelFormatObj ret = 0;
    ret = _next->call(&_next->CGLGetPixelFormat)(ctx);
    return ret;
  }

  REGAL_DECL GLuint REGAL_CALL CGLGetPixelFormatRetainCount(CGLPixelFormatObj pix)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", pix, ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLGetPixelFormatRetainCount", params );
      }
      App( "CGLGetPixelFormatRetainCount", params );
    }
    #else
    App("CGLGetPixelFormatRetainCount","(", pix, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    GLuint ret = 0;
    ret = _next->call(&_next->CGLGetPixelFormatRetainCount)(pix);
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLLockContext(CGLContextObj ctx)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", ctx, ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLLockContext", params );
      }
      App( "CGLLockContext", params );
    }
    #else
    App("CGLLockContext","(", ctx, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    CGLError ret = (CGLError) 0;
    ret = _next->call(&_next->CGLLockContext)(ctx);
    return ret;
  }

  REGAL_DECL void REGAL_CALL CGLReleaseContext(CGLContextObj ctx)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", ctx, ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLReleaseContext", params );
      }
      App( "CGLReleaseContext", params );
    }
    #else
    App("CGLReleaseContext","(", ctx, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    _next->call(&_next->CGLReleaseContext)(ctx);
  }

  REGAL_DECL void REGAL_CALL CGLReleasePBuffer(CGLPBufferObj pbuffer)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", pbuffer, ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLReleasePBuffer", params );
      }
      App( "CGLReleasePBuffer", params );
    }
    #else
    App("CGLReleasePBuffer","(", pbuffer, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    _next->call(&_next->CGLReleasePBuffer)(pbuffer);
  }

  REGAL_DECL void REGAL_CALL CGLReleasePixelFormat(CGLPixelFormatObj pix)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", pix, ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLReleasePixelFormat", params );
      }
      App( "CGLReleasePixelFormat", params );
    }
    #else
    App("CGLReleasePixelFormat","(", pix, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    _next->call(&_next->CGLReleasePixelFormat)(pix);
  }

  REGAL_DECL CGLContextObj REGAL_CALL CGLRetainContext(CGLContextObj ctx)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", ctx, ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLRetainContext", params );
      }
      App( "CGLRetainContext", params );
    }
    #else
    App("CGLRetainContext","(", ctx, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    CGLContextObj ret = 0;
    ret = _next->call(&_next->CGLRetainContext)(ctx);
    return ret;
  }

  REGAL_DECL CGLPBufferObj REGAL_CALL CGLRetainPBuffer(CGLPBufferObj pbuffer)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", pbuffer, ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLRetainPBuffer", params );
      }
      App( "CGLRetainPBuffer", params );
    }
    #else
    App("CGLRetainPBuffer","(", pbuffer, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    CGLPBufferObj ret = 0;
    ret = _next->call(&_next->CGLRetainPBuffer)(pbuffer);
    return ret;
  }

  REGAL_DECL CGLPixelFormatObj REGAL_CALL CGLRetainPixelFormat(CGLPixelFormatObj pix)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", pix, ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLRetainPixelFormat", params );
      }
      App( "CGLRetainPixelFormat", params );
    }
    #else
    App("CGLRetainPixelFormat","(", pix, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    CGLPixelFormatObj ret = 0;
    ret = _next->call(&_next->CGLRetainPixelFormat)(pix);
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLSetGlobalOption(CGLGlobalOption pname, const GLint *params)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", pname, ", ", boost::print::optional(params,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLSetGlobalOption", params );
      }
      App( "CGLSetGlobalOption", params );
    }
    #else
    App("CGLSetGlobalOption","(", pname, ", ", boost::print::optional(params,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    CGLError ret = (CGLError) 0;
    ret = _next->call(&_next->CGLSetGlobalOption)(pname, params);
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLUnlockContext(CGLContextObj ctx)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", ctx, ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLUnlockContext", params );
      }
      App( "CGLUnlockContext", params );
    }
    #else
    App("CGLUnlockContext","(", ctx, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    CGLError ret = (CGLError) 0;
    ret = _next->call(&_next->CGLUnlockContext)(ctx);
    return ret;
  }

  /* CGL_VERSION_1_3 */

  REGAL_DECL CGLContextObj REGAL_CALL CGLGetCurrentContext(void)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("()");
      if( _context ) {
        _context->http.callString = print_string( "CGLGetCurrentContext", params );
      }
      App( "CGLGetCurrentContext", params );
    }
    #else
    App("CGLGetCurrentContext","()");
    #endif
    RegalAssert(Init::isInitialized());
    Init::init();
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    CGLContextObj ret = 0;
    ret = _next->call(&_next->CGLGetCurrentContext)();
    return ret;
  }

  REGAL_DECL CGLShareGroupObj REGAL_CALL CGLGetShareGroup(CGLContextObj ctx)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", ctx, ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLGetShareGroup", params );
      }
      App( "CGLGetShareGroup", params );
    }
    #else
    App("CGLGetShareGroup","(", ctx, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    CGLShareGroupObj ret = 0;
    ret = _next->call(&_next->CGLGetShareGroup)(ctx);
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLGetSurface(CGLContextObj ctx, CGSConnectionID *conn, CGSWindowID *win, CGSSurfaceID *srf)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", ctx, ", ", conn, ", ", win, ", ", srf, ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLGetSurface", params );
      }
      App( "CGLGetSurface", params );
    }
    #else
    App("CGLGetSurface","(", ctx, ", ", conn, ", ", win, ", ", srf, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    CGLError ret = (CGLError) 0;
    ret = _next->call(&_next->CGLGetSurface)(ctx, conn, win, srf);
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLSetCurrentContext(CGLContextObj ctx)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", ctx, ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLSetCurrentContext", params );
      }
      App( "CGLSetCurrentContext", params );
    }
    #else
    App("CGLSetCurrentContext","(", ctx, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    CGLError ret = (CGLError) 0;
    ret = _next->call(&_next->CGLSetCurrentContext)(ctx);
    if (!ret)
    {
      Init::init();
      Init::makeCurrent(ctx);
    }
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLSetSurface(CGLContextObj ctx, CGSConnectionID conn, CGSWindowID win, CGSSurfaceID srf)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", ctx, ", ", conn, ", ", win, ", ", srf, ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLSetSurface", params );
      }
      App( "CGLSetSurface", params );
    }
    #else
    App("CGLSetSurface","(", ctx, ", ", conn, ", ", win, ", ", srf, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    CGLError ret = (CGLError) 0;
    ret = _next->call(&_next->CGLSetSurface)(ctx, conn, win, srf);
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLTexImageIOSurface2D(CGLContextObj ctx, GLenum target, GLenum internal_format, GLsizei width, GLsizei height, GLenum format, GLenum type, IOSurfaceRef ioSurface, GLuint plane)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", ctx, ", ", toString(target), ", ", toString(internal_format), ", ", width, ", ", height, ", ", toString(format), ", ", toString(type), ", ", ioSurface, ", ", plane, ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLTexImageIOSurface2D", params );
      }
      App( "CGLTexImageIOSurface2D", params );
    }
    #else
    App("CGLTexImageIOSurface2D","(", ctx, ", ", toString(target), ", ", toString(internal_format), ", ", width, ", ", height, ", ", toString(format), ", ", toString(type), ", ", ioSurface, ", ", plane, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    CGLError ret = (CGLError) 0;
    ret = _next->call(&_next->CGLTexImageIOSurface2D)(ctx, target, internal_format, width, height, format, type, ioSurface, plane);
    return ret;
  }

  REGAL_DECL CGLError REGAL_CALL CGLUpdateContext(CGLContextObj ctx)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", ctx, ")");
      if( _context ) {
        _context->http.callString = print_string( "CGLUpdateContext", params );
      }
      App( "CGLUpdateContext", params );
    }
    #else
    App("CGLUpdateContext","(", ctx, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    CGLError ret = (CGLError) 0;
    ret = _next->call(&_next->CGLUpdateContext)(ctx);
    return ret;
  }

#endif /* REGAL_SYS_OSX */
#if REGAL_SYS_EGL

  /* EGL_ANGLE_query_surface_pointer */

  REGAL_DECL EGLBoolean REGAL_CALL eglQuerySurfacePointerANGLE(EGLDisplay dpy, EGLSurface surface, EGLint attribute, GLvoid **value)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(surface,Logging::pointers), ", ", attribute, ", ", boost::print::optional(value,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "eglQuerySurfacePointerANGLE", params );
      }
      App( "eglQuerySurfacePointerANGLE", params );
    }
    #else
    App("eglQuerySurfacePointerANGLE","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(surface,Logging::pointers), ", ", attribute, ", ", boost::print::optional(value,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLBoolean ret = 0;
    ret = _next->call(&_next->eglQuerySurfacePointerANGLE)(dpy, surface, attribute, value);
    return ret;
  }

  /* EGL_KHR_fence_sync */

  REGAL_DECL EGLint REGAL_CALL eglClientWaitSyncKHR(EGLDisplay dpy, EGLSyncKHR GLsync, EGLint flags, EGLTimeKHR timeout)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(GLsync,Logging::pointers), ", ", flags, ", ", timeout, ")");
      if( _context ) {
        _context->http.callString = print_string( "eglClientWaitSyncKHR", params );
      }
      App( "eglClientWaitSyncKHR", params );
    }
    #else
    App("eglClientWaitSyncKHR","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(GLsync,Logging::pointers), ", ", flags, ", ", timeout, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLint ret = 0;
    ret = _next->call(&_next->eglClientWaitSyncKHR)(dpy, GLsync, flags, timeout);
    return ret;
  }

  REGAL_DECL EGLSyncKHR REGAL_CALL eglCreateSyncKHR(EGLDisplay dpy, EGLenum type, const EGLint *attrib_list)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", EGLenumToString(type), ", ", attrib_list, ")");
      if( _context ) {
        _context->http.callString = print_string( "eglCreateSyncKHR", params );
      }
      App( "eglCreateSyncKHR", params );
    }
    #else
    App("eglCreateSyncKHR","(", boost::print::optional(dpy,Logging::pointers), ", ", EGLenumToString(type), ", ", attrib_list, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLSyncKHR ret = 0;
    ret = _next->call(&_next->eglCreateSyncKHR)(dpy, type, attrib_list);
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglDestroySyncKHR(EGLDisplay dpy, EGLSyncKHR GLsync)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(GLsync,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "eglDestroySyncKHR", params );
      }
      App( "eglDestroySyncKHR", params );
    }
    #else
    App("eglDestroySyncKHR","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(GLsync,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLBoolean ret = 0;
    ret = _next->call(&_next->eglDestroySyncKHR)(dpy, GLsync);
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglGetSyncAttribKHR(EGLDisplay dpy, EGLSyncKHR GLsync, EGLint attribute, EGLint *value)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(GLsync,Logging::pointers), ", ", attribute, ", ", value, ")");
      if( _context ) {
        _context->http.callString = print_string( "eglGetSyncAttribKHR", params );
      }
      App( "eglGetSyncAttribKHR", params );
    }
    #else
    App("eglGetSyncAttribKHR","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(GLsync,Logging::pointers), ", ", attribute, ", ", value, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLBoolean ret = 0;
    ret = _next->call(&_next->eglGetSyncAttribKHR)(dpy, GLsync, attribute, value);
    return ret;
  }

  /* EGL_KHR_image_base */

  REGAL_DECL EGLImageKHR REGAL_CALL eglCreateImageKHR(EGLDisplay dpy, EGLContext ctx, EGLenum target, EGLClientBuffer buffer, const EGLint *attrib_list)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(ctx,Logging::pointers), ", ", EGLenumToString(target), ", ", boost::print::optional(buffer,Logging::pointers), ", ", attrib_list, ")");
      if( _context ) {
        _context->http.callString = print_string( "eglCreateImageKHR", params );
      }
      App( "eglCreateImageKHR", params );
    }
    #else
    App("eglCreateImageKHR","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(ctx,Logging::pointers), ", ", EGLenumToString(target), ", ", boost::print::optional(buffer,Logging::pointers), ", ", attrib_list, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLImageKHR ret = 0;
    ret = _next->call(&_next->eglCreateImageKHR)(dpy, ctx, target, buffer, attrib_list);
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglDestroyImageKHR(EGLDisplay dpy, EGLImageKHR image)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(image,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "eglDestroyImageKHR", params );
      }
      App( "eglDestroyImageKHR", params );
    }
    #else
    App("eglDestroyImageKHR","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(image,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLBoolean ret = 0;
    ret = _next->call(&_next->eglDestroyImageKHR)(dpy, image);
    return ret;
  }

  /* EGL_KHR_lock_surface */

  REGAL_DECL EGLBoolean REGAL_CALL eglLockSurfaceKHR(EGLDisplay display, EGLSurface surface, const EGLint *attrib_list)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(display,Logging::pointers), ", ", boost::print::optional(surface,Logging::pointers), ", ", attrib_list, ")");
      if( _context ) {
        _context->http.callString = print_string( "eglLockSurfaceKHR", params );
      }
      App( "eglLockSurfaceKHR", params );
    }
    #else
    App("eglLockSurfaceKHR","(", boost::print::optional(display,Logging::pointers), ", ", boost::print::optional(surface,Logging::pointers), ", ", attrib_list, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLBoolean ret = 0;
    ret = _next->call(&_next->eglLockSurfaceKHR)(display, surface, attrib_list);
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglUnlockSurfaceKHR(EGLDisplay display, EGLSurface surface)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(display,Logging::pointers), ", ", boost::print::optional(surface,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "eglUnlockSurfaceKHR", params );
      }
      App( "eglUnlockSurfaceKHR", params );
    }
    #else
    App("eglUnlockSurfaceKHR","(", boost::print::optional(display,Logging::pointers), ", ", boost::print::optional(surface,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLBoolean ret = 0;
    ret = _next->call(&_next->eglUnlockSurfaceKHR)(display, surface);
    return ret;
  }

  /* EGL_KHR_stream_consumer_gltexture */

  REGAL_DECL EGLBoolean REGAL_CALL eglStreamConsumerAcquireKHR(EGLDisplay dpy, EGLStreamKHR stream)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(stream,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "eglStreamConsumerAcquireKHR", params );
      }
      App( "eglStreamConsumerAcquireKHR", params );
    }
    #else
    App("eglStreamConsumerAcquireKHR","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(stream,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLBoolean ret = 0;
    ret = _next->call(&_next->eglStreamConsumerAcquireKHR)(dpy, stream);
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglStreamConsumerGLTextureExternalKHR(EGLDisplay dpy, EGLStreamKHR stream)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(stream,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "eglStreamConsumerGLTextureExternalKHR", params );
      }
      App( "eglStreamConsumerGLTextureExternalKHR", params );
    }
    #else
    App("eglStreamConsumerGLTextureExternalKHR","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(stream,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLBoolean ret = 0;
    ret = _next->call(&_next->eglStreamConsumerGLTextureExternalKHR)(dpy, stream);
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglStreamConsumerReleaseKHR(EGLDisplay dpy, EGLStreamKHR stream)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(stream,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "eglStreamConsumerReleaseKHR", params );
      }
      App( "eglStreamConsumerReleaseKHR", params );
    }
    #else
    App("eglStreamConsumerReleaseKHR","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(stream,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLBoolean ret = 0;
    ret = _next->call(&_next->eglStreamConsumerReleaseKHR)(dpy, stream);
    return ret;
  }

  /* EGL_KHR_stream_cross_process_fd */

  REGAL_DECL EGLStreamKHR REGAL_CALL eglCreateStreamFromFileDescriptorKHR(EGLDisplay dpy, EGLNativeFileDescriptorKHR file_descriptor)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", file_descriptor, ")");
      if( _context ) {
        _context->http.callString = print_string( "eglCreateStreamFromFileDescriptorKHR", params );
      }
      App( "eglCreateStreamFromFileDescriptorKHR", params );
    }
    #else
    App("eglCreateStreamFromFileDescriptorKHR","(", boost::print::optional(dpy,Logging::pointers), ", ", file_descriptor, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLStreamKHR ret = 0;
    ret = _next->call(&_next->eglCreateStreamFromFileDescriptorKHR)(dpy, file_descriptor);
    return ret;
  }

  REGAL_DECL EGLNativeFileDescriptorKHR REGAL_CALL eglGetStreamFileDescriptorKHR(EGLDisplay dpy, EGLStreamKHR stream)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(stream,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "eglGetStreamFileDescriptorKHR", params );
      }
      App( "eglGetStreamFileDescriptorKHR", params );
    }
    #else
    App("eglGetStreamFileDescriptorKHR","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(stream,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLNativeFileDescriptorKHR ret = 0;
    ret = _next->call(&_next->eglGetStreamFileDescriptorKHR)(dpy, stream);
    return ret;
  }

  /* EGL_KHR_stream_producer_eglsurface */

  REGAL_DECL EGLSurface REGAL_CALL eglCreateStreamProducerSurfaceKHR(EGLDisplay dpy, EGLConfig config, EGLStreamKHR stream, const EGLint *attrib_list)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(config,Logging::pointers), ", ", boost::print::optional(stream,Logging::pointers), ", ", attrib_list, ")");
      if( _context ) {
        _context->http.callString = print_string( "eglCreateStreamProducerSurfaceKHR", params );
      }
      App( "eglCreateStreamProducerSurfaceKHR", params );
    }
    #else
    App("eglCreateStreamProducerSurfaceKHR","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(config,Logging::pointers), ", ", boost::print::optional(stream,Logging::pointers), ", ", attrib_list, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLSurface ret = 0;
    ret = _next->call(&_next->eglCreateStreamProducerSurfaceKHR)(dpy, config, stream, attrib_list);
    return ret;
  }

  /* EGL_KHR_wait_sync */

  REGAL_DECL EGLint REGAL_CALL eglWaitSyncKHR(EGLDisplay dpy, EGLSyncKHR GLsync, EGLint flags)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(GLsync,Logging::pointers), ", ", flags, ")");
      if( _context ) {
        _context->http.callString = print_string( "eglWaitSyncKHR", params );
      }
      App( "eglWaitSyncKHR", params );
    }
    #else
    App("eglWaitSyncKHR","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(GLsync,Logging::pointers), ", ", flags, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLint ret = 0;
    ret = _next->call(&_next->eglWaitSyncKHR)(dpy, GLsync, flags);
    return ret;
  }

  /* EGL_MESA_drm_image */

  REGAL_DECL EGLImageKHR REGAL_CALL eglCreateDRMImageMESA(EGLDisplay dpy, const EGLint *attrib_list)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", attrib_list, ")");
      if( _context ) {
        _context->http.callString = print_string( "eglCreateDRMImageMESA", params );
      }
      App( "eglCreateDRMImageMESA", params );
    }
    #else
    App("eglCreateDRMImageMESA","(", boost::print::optional(dpy,Logging::pointers), ", ", attrib_list, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLImageKHR ret = 0;
    ret = _next->call(&_next->eglCreateDRMImageMESA)(dpy, attrib_list);
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglExportDRMImageMESA(EGLDisplay dpy, EGLImageKHR image, EGLint *name, EGLint *handle, EGLint *stride)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(image,Logging::pointers), ", ", name, ", ", handle, ", ", stride, ")");
      if( _context ) {
        _context->http.callString = print_string( "eglExportDRMImageMESA", params );
      }
      App( "eglExportDRMImageMESA", params );
    }
    #else
    App("eglExportDRMImageMESA","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(image,Logging::pointers), ", ", name, ", ", handle, ", ", stride, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLBoolean ret = 0;
    ret = _next->call(&_next->eglExportDRMImageMESA)(dpy, image, name, handle, stride);
    return ret;
  }

  /* EGL_NV_coverage_sample */

  REGAL_DECL void REGAL_CALL eglCoverageMaskNV(GLboolean mask)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", toString(mask), ")");
      if( _context ) {
        _context->http.callString = print_string( "eglCoverageMaskNV", params );
      }
      App( "eglCoverageMaskNV", params );
    }
    #else
    App("eglCoverageMaskNV","(", toString(mask), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    _next->call(&_next->eglCoverageMaskNV)(mask);
  }

  REGAL_DECL void REGAL_CALL eglCoverageOperationNV(GLenum operation)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", toString(operation), ")");
      if( _context ) {
        _context->http.callString = print_string( "eglCoverageOperationNV", params );
      }
      App( "eglCoverageOperationNV", params );
    }
    #else
    App("eglCoverageOperationNV","(", toString(operation), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    _next->call(&_next->eglCoverageOperationNV)(operation);
  }

  /* EGL_NV_post_sub_buffer */

  REGAL_DECL EGLBoolean REGAL_CALL eglPostSubBufferNV(EGLDisplay dpy, EGLSurface surface, EGLint x, EGLint y, EGLint width, EGLint height)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(surface,Logging::pointers), ", ", x, ", ", y, ", ", width, ", ", height, ")");
      if( _context ) {
        _context->http.callString = print_string( "eglPostSubBufferNV", params );
      }
      App( "eglPostSubBufferNV", params );
    }
    #else
    App("eglPostSubBufferNV","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(surface,Logging::pointers), ", ", x, ", ", y, ", ", width, ", ", height, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLBoolean ret = 0;
    ret = _next->call(&_next->eglPostSubBufferNV)(dpy, surface, x, y, width, height);
    return ret;
  }

  /* EGL_NV_sync */

  REGAL_DECL EGLint REGAL_CALL eglClientWaitSyncNV(EGLSyncNV GLsync, EGLint flags, EGLTimeNV timeout)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(GLsync,Logging::pointers), ", ", flags, ", ", timeout, ")");
      if( _context ) {
        _context->http.callString = print_string( "eglClientWaitSyncNV", params );
      }
      App( "eglClientWaitSyncNV", params );
    }
    #else
    App("eglClientWaitSyncNV","(", boost::print::optional(GLsync,Logging::pointers), ", ", flags, ", ", timeout, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLint ret = 0;
    ret = _next->call(&_next->eglClientWaitSyncNV)(GLsync, flags, timeout);
    return ret;
  }

  REGAL_DECL EGLSyncNV REGAL_CALL eglCreateFenceSyncNV(EGLDisplay dpy, EGLenum condition, const EGLint *attrib_list)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", EGLenumToString(condition), ", ", attrib_list, ")");
      if( _context ) {
        _context->http.callString = print_string( "eglCreateFenceSyncNV", params );
      }
      App( "eglCreateFenceSyncNV", params );
    }
    #else
    App("eglCreateFenceSyncNV","(", boost::print::optional(dpy,Logging::pointers), ", ", EGLenumToString(condition), ", ", attrib_list, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLSyncNV ret = 0;
    ret = _next->call(&_next->eglCreateFenceSyncNV)(dpy, condition, attrib_list);
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglDestroySyncNV(EGLSyncNV GLsync)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(GLsync,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "eglDestroySyncNV", params );
      }
      App( "eglDestroySyncNV", params );
    }
    #else
    App("eglDestroySyncNV","(", boost::print::optional(GLsync,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLBoolean ret = 0;
    ret = _next->call(&_next->eglDestroySyncNV)(GLsync);
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglFenceNV(EGLSyncNV GLsync)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(GLsync,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "eglFenceNV", params );
      }
      App( "eglFenceNV", params );
    }
    #else
    App("eglFenceNV","(", boost::print::optional(GLsync,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLBoolean ret = 0;
    ret = _next->call(&_next->eglFenceNV)(GLsync);
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglGetSyncAttribNV(EGLSyncNV GLsync, EGLint attribute, EGLint *value)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(GLsync,Logging::pointers), ", ", attribute, ", ", value, ")");
      if( _context ) {
        _context->http.callString = print_string( "eglGetSyncAttribNV", params );
      }
      App( "eglGetSyncAttribNV", params );
    }
    #else
    App("eglGetSyncAttribNV","(", boost::print::optional(GLsync,Logging::pointers), ", ", attribute, ", ", value, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLBoolean ret = 0;
    ret = _next->call(&_next->eglGetSyncAttribNV)(GLsync, attribute, value);
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglSignalSyncNV(EGLSyncNV GLsync, EGLenum mode)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(GLsync,Logging::pointers), ", ", EGLenumToString(mode), ")");
      if( _context ) {
        _context->http.callString = print_string( "eglSignalSyncNV", params );
      }
      App( "eglSignalSyncNV", params );
    }
    #else
    App("eglSignalSyncNV","(", boost::print::optional(GLsync,Logging::pointers), ", ", EGLenumToString(mode), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLBoolean ret = 0;
    ret = _next->call(&_next->eglSignalSyncNV)(GLsync, mode);
    return ret;
  }

  /* EGL_NV_system_time */

  REGAL_DECL EGLuint64NV REGAL_CALL eglGetSystemTimeFrequencyNV(void)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("()");
      if( _context ) {
        _context->http.callString = print_string( "eglGetSystemTimeFrequencyNV", params );
      }
      App( "eglGetSystemTimeFrequencyNV", params );
    }
    #else
    App("eglGetSystemTimeFrequencyNV","()");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLuint64NV ret = 0;
    ret = _next->call(&_next->eglGetSystemTimeFrequencyNV)();
    return ret;
  }

  REGAL_DECL EGLuint64NV REGAL_CALL eglGetSystemTimeNV(void)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("()");
      if( _context ) {
        _context->http.callString = print_string( "eglGetSystemTimeNV", params );
      }
      App( "eglGetSystemTimeNV", params );
    }
    #else
    App("eglGetSystemTimeNV","()");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLuint64NV ret = 0;
    ret = _next->call(&_next->eglGetSystemTimeNV)();
    return ret;
  }

  /* EGL_VERSION_1_0 */

  REGAL_DECL EGLBoolean REGAL_CALL eglChooseConfig(EGLDisplay dpy, const EGLint *attrib_list, EGLConfig *configs, EGLint config_size, EGLint *num_config)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", attrib_list, ", ", configs, ", ", config_size, ", ", num_config, ")");
      if( _context ) {
        _context->http.callString = print_string( "eglChooseConfig", params );
      }
      App( "eglChooseConfig", params );
    }
    #else
    App("eglChooseConfig","(", boost::print::optional(dpy,Logging::pointers), ", ", attrib_list, ", ", configs, ", ", config_size, ", ", num_config, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLBoolean ret = 0;
    ret = _next->call(&_next->eglChooseConfig)(dpy, attrib_list, configs, config_size, num_config);
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglCopyBuffers(EGLDisplay dpy, EGLSurface surface, EGLNativePixmapType target)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(surface,Logging::pointers), ", ", boost::print::optional(target,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "eglCopyBuffers", params );
      }
      App( "eglCopyBuffers", params );
    }
    #else
    App("eglCopyBuffers","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(surface,Logging::pointers), ", ", boost::print::optional(target,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLBoolean ret = 0;
    ret = _next->call(&_next->eglCopyBuffers)(dpy, surface, target);
    return ret;
  }

  REGAL_DECL EGLContext REGAL_CALL eglCreateContext(EGLDisplay dpy, EGLConfig config, EGLContext share_context, const EGLint *attrib_list)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(config,Logging::pointers), ", ", boost::print::optional(share_context,Logging::pointers), ", ", attrib_list, ")");
      if( _context ) {
        _context->http.callString = print_string( "eglCreateContext", params );
      }
      App( "eglCreateContext", params );
    }
    #else
    App("eglCreateContext","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(config,Logging::pointers), ", ", boost::print::optional(share_context,Logging::pointers), ", ", attrib_list, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLContext ret = 0;
    ret = _next->call(&_next->eglCreateContext)(dpy, config, share_context, attrib_list);
    return ret;
  }

  REGAL_DECL EGLSurface REGAL_CALL eglCreatePbufferSurface(EGLDisplay dpy, EGLConfig config, const EGLint *attrib_list)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(config,Logging::pointers), ", ", attrib_list, ")");
      if( _context ) {
        _context->http.callString = print_string( "eglCreatePbufferSurface", params );
      }
      App( "eglCreatePbufferSurface", params );
    }
    #else
    App("eglCreatePbufferSurface","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(config,Logging::pointers), ", ", attrib_list, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLSurface ret = 0;
    ret = _next->call(&_next->eglCreatePbufferSurface)(dpy, config, attrib_list);
    return ret;
  }

  REGAL_DECL EGLSurface REGAL_CALL eglCreatePixmapSurface(EGLDisplay dpy, EGLConfig config, EGLNativePixmapType pixmap, const EGLint *attrib_list)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(config,Logging::pointers), ", ", boost::print::optional(pixmap,Logging::pointers), ", ", attrib_list, ")");
      if( _context ) {
        _context->http.callString = print_string( "eglCreatePixmapSurface", params );
      }
      App( "eglCreatePixmapSurface", params );
    }
    #else
    App("eglCreatePixmapSurface","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(config,Logging::pointers), ", ", boost::print::optional(pixmap,Logging::pointers), ", ", attrib_list, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLSurface ret = 0;
    ret = _next->call(&_next->eglCreatePixmapSurface)(dpy, config, pixmap, attrib_list);
    return ret;
  }

  REGAL_DECL EGLSurface REGAL_CALL eglCreateWindowSurface(EGLDisplay dpy, EGLConfig config, EGLNativeWindowType win, const EGLint *attrib_list)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(config,Logging::pointers), ", ", boost::print::optional(win,Logging::pointers), ", ", attrib_list, ")");
      if( _context ) {
        _context->http.callString = print_string( "eglCreateWindowSurface", params );
      }
      App( "eglCreateWindowSurface", params );
    }
    #else
    App("eglCreateWindowSurface","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(config,Logging::pointers), ", ", boost::print::optional(win,Logging::pointers), ", ", attrib_list, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLSurface ret = 0;
    ret = _next->call(&_next->eglCreateWindowSurface)(dpy, config, win, attrib_list);
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglDestroyContext(EGLDisplay dpy, EGLContext ctx)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(ctx,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "eglDestroyContext", params );
      }
      App( "eglDestroyContext", params );
    }
    #else
    App("eglDestroyContext","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(ctx,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLBoolean ret = 0;
    ret = _next->call(&_next->eglDestroyContext)(dpy, ctx);
    Init::destroyContext(RegalSystemContext(ctx));
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglDestroySurface(EGLDisplay dpy, EGLSurface surface)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(surface,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "eglDestroySurface", params );
      }
      App( "eglDestroySurface", params );
    }
    #else
    App("eglDestroySurface","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(surface,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLBoolean ret = 0;
    ret = _next->call(&_next->eglDestroySurface)(dpy, surface);
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglGetConfigAttrib(EGLDisplay dpy, EGLConfig config, EGLint attribute, EGLint *value)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(config,Logging::pointers), ", ", attribute, ", ", value, ")");
      if( _context ) {
        _context->http.callString = print_string( "eglGetConfigAttrib", params );
      }
      App( "eglGetConfigAttrib", params );
    }
    #else
    App("eglGetConfigAttrib","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(config,Logging::pointers), ", ", attribute, ", ", value, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLBoolean ret = 0;
    ret = _next->call(&_next->eglGetConfigAttrib)(dpy, config, attribute, value);
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglGetConfigs(EGLDisplay dpy, EGLConfig *configs, EGLint config_size, EGLint *num_config)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", configs, ", ", config_size, ", ", num_config, ")");
      if( _context ) {
        _context->http.callString = print_string( "eglGetConfigs", params );
      }
      App( "eglGetConfigs", params );
    }
    #else
    App("eglGetConfigs","(", boost::print::optional(dpy,Logging::pointers), ", ", configs, ", ", config_size, ", ", num_config, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLBoolean ret = 0;
    ret = _next->call(&_next->eglGetConfigs)(dpy, configs, config_size, num_config);
    return ret;
  }

  REGAL_DECL EGLContext REGAL_CALL eglGetCurrentContext(void)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("()");
      if( _context ) {
        _context->http.callString = print_string( "eglGetCurrentContext", params );
      }
      App( "eglGetCurrentContext", params );
    }
    #else
    App("eglGetCurrentContext","()");
    #endif
    RegalAssert(Init::isInitialized());
    Init::init();
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLContext ret = 0;
    ret = _next->call(&_next->eglGetCurrentContext)();
    return ret;
  }

  REGAL_DECL EGLDisplay REGAL_CALL eglGetCurrentDisplay(void)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("()");
      if( _context ) {
        _context->http.callString = print_string( "eglGetCurrentDisplay", params );
      }
      App( "eglGetCurrentDisplay", params );
    }
    #else
    App("eglGetCurrentDisplay","()");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLDisplay ret = 0;
    ret = _next->call(&_next->eglGetCurrentDisplay)();
    return ret;
  }

  REGAL_DECL EGLSurface REGAL_CALL eglGetCurrentSurface(EGLint readdraw)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", readdraw, ")");
      if( _context ) {
        _context->http.callString = print_string( "eglGetCurrentSurface", params );
      }
      App( "eglGetCurrentSurface", params );
    }
    #else
    App("eglGetCurrentSurface","(", readdraw, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLSurface ret = 0;
    ret = _next->call(&_next->eglGetCurrentSurface)(readdraw);
    return ret;
  }

  REGAL_DECL EGLDisplay REGAL_CALL eglGetDisplay(EGLNativeDisplayType display_id)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(display_id,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "eglGetDisplay", params );
      }
      App( "eglGetDisplay", params );
    }
    #else
    App("eglGetDisplay","(", boost::print::optional(display_id,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    Init::init();
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLDisplay ret = 0;
    ret = _next->call(&_next->eglGetDisplay)(display_id);
    return ret;
  }

  REGAL_DECL EGLint REGAL_CALL eglGetError(void)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("()");
      if( _context ) {
        _context->http.callString = print_string( "eglGetError", params );
      }
      App( "eglGetError", params );
    }
    #else
    App("eglGetError","()");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLint ret = 0;
    ret = _next->call(&_next->eglGetError)();
    return ret;
  }

  REGAL_DECL __eglMustCastToProperFunctionPointerType REGAL_CALL eglGetProcAddress(const char *procname)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::quote(procname,'"'), ")");
      if( _context ) {
        _context->http.callString = print_string( "eglGetProcAddress", params );
      }
      App( "eglGetProcAddress", params );
    }
    #else
    App("eglGetProcAddress","(", boost::print::quote(procname,'"'), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    __eglMustCastToProperFunctionPointerType ret = 0;
    ret = Lookup::gl_Lookup<__eglMustCastToProperFunctionPointerType>(reinterpret_cast<const char *>(procname));
    if (ret)
      return ret;
    ret = Lookup::egl_Lookup<__eglMustCastToProperFunctionPointerType>(reinterpret_cast<const char *>(procname));
    if (ret)
      return ret;
    ret = _next->call(&_next->eglGetProcAddress)(procname);
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglInitialize(EGLDisplay dpy, EGLint *major, EGLint *minor)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "eglInitialize", params );
      }
      App( "eglInitialize", params );
    }
    #else
    App("eglInitialize","(", boost::print::optional(dpy,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLBoolean ret = 0;
    ret = _next->call(&_next->eglInitialize)(dpy, major, minor);
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglMakeCurrent(EGLDisplay dpy, EGLSurface draw, EGLSurface read, EGLContext ctx)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(draw,Logging::pointers), ", ", boost::print::optional(read,Logging::pointers), ", ", boost::print::optional(ctx,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "eglMakeCurrent", params );
      }
      App( "eglMakeCurrent", params );
    }
    #else
    App("eglMakeCurrent","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(draw,Logging::pointers), ", ", boost::print::optional(read,Logging::pointers), ", ", boost::print::optional(ctx,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLBoolean ret = 0;
    ret = _next->call(&_next->eglMakeCurrent)(dpy, draw, read, ctx);
    #if !REGAL_SYS_PPAPI
    if (ret)
    {
      Init::init();
      Init::makeCurrent(ctx);
    }
    #endif
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglQueryContext(EGLDisplay dpy, EGLContext ctx, EGLint attribute, EGLint *value)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(ctx,Logging::pointers), ", ", attribute, ")");
      if( _context ) {
        _context->http.callString = print_string( "eglQueryContext", params );
      }
      App( "eglQueryContext", params );
    }
    #else
    App("eglQueryContext","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(ctx,Logging::pointers), ", ", attribute, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLBoolean ret = 0;
    ret = _next->call(&_next->eglQueryContext)(dpy, ctx, attribute, value);
    return ret;
  }

  REGAL_DECL const char *REGAL_CALL eglQueryString(EGLDisplay dpy, EGLint name)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", EGLenumToString(name), ")");
      if( _context ) {
        _context->http.callString = print_string( "eglQueryString", params );
      }
      App( "eglQueryString", params );
    }
    #else
    App("eglQueryString","(", boost::print::optional(dpy,Logging::pointers), ", ", EGLenumToString(name), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    const char * ret = NULL;
    ret = _next->call(&_next->eglQueryString)(dpy, name);
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglQuerySurface(EGLDisplay dpy, EGLSurface surface, EGLint attribute, EGLint *value)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(surface,Logging::pointers), ", ", attribute, ")");
      if( _context ) {
        _context->http.callString = print_string( "eglQuerySurface", params );
      }
      App( "eglQuerySurface", params );
    }
    #else
    App("eglQuerySurface","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(surface,Logging::pointers), ", ", attribute, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLBoolean ret = 0;
    ret = _next->call(&_next->eglQuerySurface)(dpy, surface, attribute, value);
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglSwapBuffers(EGLDisplay dpy, EGLSurface surface)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(surface,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "eglSwapBuffers", params );
      }
      App( "eglSwapBuffers", params );
    }
    #else
    App("eglSwapBuffers","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(surface,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLBoolean ret = 0;
    #if REGAL_FRAME
    RegalContext *_context = REGAL_GET_CONTEXT();
    // Notify Regal::Frame about the swap buffers event.
    if (_context && _context->frame)
        _context->frame->eglSwapBuffers(*_context);
    #endif
    ret = _next->call(&_next->eglSwapBuffers)(dpy, surface);
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglTerminate(EGLDisplay dpy)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ")");
      if( _context ) {
        _context->http.callString = print_string( "eglTerminate", params );
      }
      App( "eglTerminate", params );
    }
    #else
    App("eglTerminate","(", boost::print::optional(dpy,Logging::pointers), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLBoolean ret = 0;
    ret = _next->call(&_next->eglTerminate)(dpy);
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglWaitGL(void)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("()");
      if( _context ) {
        _context->http.callString = print_string( "eglWaitGL", params );
      }
      App( "eglWaitGL", params );
    }
    #else
    App("eglWaitGL","()");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLBoolean ret = 0;
    ret = _next->call(&_next->eglWaitGL)();
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglWaitNative(EGLint engine)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", engine, ")");
      if( _context ) {
        _context->http.callString = print_string( "eglWaitNative", params );
      }
      App( "eglWaitNative", params );
    }
    #else
    App("eglWaitNative","(", engine, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLBoolean ret = 0;
    ret = _next->call(&_next->eglWaitNative)(engine);
    return ret;
  }

  /* EGL_VERSION_1_1 */

  REGAL_DECL EGLBoolean REGAL_CALL eglBindTexImage(EGLDisplay dpy, EGLSurface surface, EGLint buffer)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(surface,Logging::pointers), ", ", buffer, ")");
      if( _context ) {
        _context->http.callString = print_string( "eglBindTexImage", params );
      }
      App( "eglBindTexImage", params );
    }
    #else
    App("eglBindTexImage","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(surface,Logging::pointers), ", ", buffer, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLBoolean ret = 0;
    ret = _next->call(&_next->eglBindTexImage)(dpy, surface, buffer);
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglReleaseTexImage(EGLDisplay dpy, EGLSurface surface, EGLint buffer)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(surface,Logging::pointers), ", ", buffer, ")");
      if( _context ) {
        _context->http.callString = print_string( "eglReleaseTexImage", params );
      }
      App( "eglReleaseTexImage", params );
    }
    #else
    App("eglReleaseTexImage","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(surface,Logging::pointers), ", ", buffer, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLBoolean ret = 0;
    ret = _next->call(&_next->eglReleaseTexImage)(dpy, surface, buffer);
    return ret;
  }

  /* EGL_VERSION_1_2 */

  REGAL_DECL EGLBoolean REGAL_CALL eglBindAPI(EGLenum api)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", EGLenumToString(api), ")");
      if( _context ) {
        _context->http.callString = print_string( "eglBindAPI", params );
      }
      App( "eglBindAPI", params );
    }
    #else
    App("eglBindAPI","(", EGLenumToString(api), ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLBoolean ret = 0;
    ret = _next->call(&_next->eglBindAPI)(api);
    return ret;
  }

  REGAL_DECL EGLSurface REGAL_CALL eglCreatePbufferFromClientBuffer(EGLDisplay dpy, EGLenum buftype, EGLClientBuffer buffer, EGLConfig config, const EGLint *attrib_list)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", dpy, ", ", EGLenumToString(buftype), ", ", boost::print::optional(buffer,Logging::pointers), ", ", boost::print::optional(config,Logging::pointers), ", ", attrib_list, ")");
      if( _context ) {
        _context->http.callString = print_string( "eglCreatePbufferFromClientBuffer", params );
      }
      App( "eglCreatePbufferFromClientBuffer", params );
    }
    #else
    App("eglCreatePbufferFromClientBuffer","(", dpy, ", ", EGLenumToString(buftype), ", ", boost::print::optional(buffer,Logging::pointers), ", ", boost::print::optional(config,Logging::pointers), ", ", attrib_list, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLSurface ret = 0;
    ret = _next->call(&_next->eglCreatePbufferFromClientBuffer)(dpy, buftype, buffer, config, attrib_list);
    return ret;
  }

  REGAL_DECL EGLenum REGAL_CALL eglQueryAPI(void)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("()");
      if( _context ) {
        _context->http.callString = print_string( "eglQueryAPI", params );
      }
      App( "eglQueryAPI", params );
    }
    #else
    App("eglQueryAPI","()");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLenum ret = 0;
    ret = _next->call(&_next->eglQueryAPI)();
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglReleaseThread(void)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("()");
      if( _context ) {
        _context->http.callString = print_string( "eglReleaseThread", params );
      }
      App( "eglReleaseThread", params );
    }
    #else
    App("eglReleaseThread","()");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLBoolean ret = 0;
    ret = _next->call(&_next->eglReleaseThread)();
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglSurfaceAttrib(EGLDisplay dpy, EGLSurface surface, EGLint attribute, EGLint value)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(surface,Logging::pointers), ", ", attribute, ", ", value, ")");
      if( _context ) {
        _context->http.callString = print_string( "eglSurfaceAttrib", params );
      }
      App( "eglSurfaceAttrib", params );
    }
    #else
    App("eglSurfaceAttrib","(", boost::print::optional(dpy,Logging::pointers), ", ", boost::print::optional(surface,Logging::pointers), ", ", attribute, ", ", value, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLBoolean ret = 0;
    ret = _next->call(&_next->eglSurfaceAttrib)(dpy, surface, attribute, value);
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglSwapInterval(EGLDisplay dpy, EGLint interval)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("(", boost::print::optional(dpy,Logging::pointers), ", ", interval, ")");
      if( _context ) {
        _context->http.callString = print_string( "eglSwapInterval", params );
      }
      App( "eglSwapInterval", params );
    }
    #else
    App("eglSwapInterval","(", boost::print::optional(dpy,Logging::pointers), ", ", interval, ")");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLBoolean ret = 0;
    ret = _next->call(&_next->eglSwapInterval)(dpy, interval);
    return ret;
  }

  REGAL_DECL EGLBoolean REGAL_CALL eglWaitClient(void)
  {
    #if REGAL_HTTP
    {
      RegalContext *_context = REGAL_GET_CONTEXT();
      std::string params = print_string("()");
      if( _context ) {
        _context->http.callString = print_string( "eglWaitClient", params );
      }
      App( "eglWaitClient", params );
    }
    #else
    App("eglWaitClient","()");
    #endif
    RegalAssert(Init::isInitialized());
    DispatchTableGlobal *_next = &dispatcherGlobal.front();
    RegalAssert(_next);
    EGLBoolean ret = 0;
    ret = _next->call(&_next->eglWaitClient)();
    return ret;
  }

#endif /* REGAL_SYS_EGL */

}

REGAL_GLOBAL_END
